(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[    213938,       5650]
NotebookOptionsPosition[    209953,       5529]
NotebookOutlinePosition[    210491,       5550]
CellTagsIndexPosition[    210448,       5547]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Moments defined by Doo-Sabin surfaces", "Section",
 CellChangeTimes->{{3.604699325951583*^9, 3.604699342005501*^9}, {
  3.605316105939847*^9, 3.6053161113441563`*^9}, {3.6053189977682505`*^9, 
  3.605319007676817*^9}, {3.60569576697237*^9, 3.6056957867405005`*^9}, {
  3.612308616785124*^9, 3.6123086227794666`*^9}, {3.6189000284343295`*^9, 
  3.6189000314905043`*^9}}],

Cell[TextData[{
 "code by jph, 2014\ndownload from ",
 StyleBox["www.hakenberg.de",
  FontSlant->"Italic"]
}], "Text",
 CellChangeTimes->{{3.605695943586472*^9, 3.6056959456205883`*^9}, {
   3.6056970059162335`*^9, 3.6056970389631243`*^9}, 3.605735755713481*^9, 
   3.612138146605847*^9, {3.612175969429984*^9, 3.6121759752833195`*^9}, {
   3.6121774860257287`*^9, 3.6121774882888584`*^9}, {3.61231043884534*^9, 
   3.6123104396233845`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Implementation", "Section",
 CellChangeTimes->{{3.605327924449959*^9, 3.6053279283121796`*^9}, {
  3.6056149079927945`*^9, 3.6056149089858513`*^9}, {3.6056228516001425`*^9, 
  3.6056228546483173`*^9}, {3.605646909007148*^9, 3.6056469329195156`*^9}, {
  3.60564698352641*^9, 3.6056469954380913`*^9}, {3.605696857837764*^9, 
  3.605696861844993*^9}, {3.605697358177382*^9, 3.605697358385394*^9}, {
  3.6123087117865577`*^9, 3.6123087140776887`*^9}, {3.612310224706092*^9, 
  3.612310236688777*^9}, {3.6123105322016797`*^9, 3.612310532326687*^9}, {
  3.615859645394127*^9, 3.615859645666631*^9}}],

Cell[CellGroupData[{

Cell["Helper functions", "Subsection",
 CellChangeTimes->{{3.606513742476762*^9, 3.606513746957018*^9}, 
   3.6122811832721615`*^9, {3.612310537944008*^9, 3.6123105385180407`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"NestT", "[", 
   RowBox[{"form_", ",", "S_"}], "]"}], ":=", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"d", "=", 
      RowBox[{"TensorRank", "[", "form", "]"}]}], "}"}], ",", 
    RowBox[{"Nest", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Transpose", "[", 
        RowBox[{
         RowBox[{"#", ".", "S"}], ",", 
         RowBox[{"RotateLeft", "[", 
          RowBox[{
           RowBox[{"Range", "[", "d", "]"}], ",", "1"}], "]"}]}], "]"}], 
       "&"}], ",", "form", ",", "d"}], "]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6162826986108327`*^9, 3.616282704038416*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"SubsetQ", "[", 
   RowBox[{"sup_", ",", "sub_"}], "]"}], ":=", 
  RowBox[{"And", "@@", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"MemberQ", "[", 
       RowBox[{"sup", ",", "#"}], "]"}], "&"}], "/@", "sub"}], 
    ")"}]}]}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"NestP", "[", 
    RowBox[{"form_", ",", "ind_"}], "]"}], ":=", 
   RowBox[{"Nest", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Transpose", "[", 
       RowBox[{
        RowBox[{"#", "\[LeftDoubleBracket]", "ind", "\[RightDoubleBracket]"}],
         ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "3", ",", "1"}], "}"}]}], "]"}], "&"}], ",", 
     "form", ",", "3"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"RHS", "[", 
   RowBox[{"reg_", ",", "gen_", ",", "sub_", ",", "ind_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"NestT", "[", 
    RowBox[{"reg", ",", 
     RowBox[{"sub", "\[LeftDoubleBracket]", 
      RowBox[{"ind", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
      "\[RightDoubleBracket]"}]}], "]"}], "+", 
   RowBox[{"NestT", "[", 
    RowBox[{"reg", ",", 
     RowBox[{"sub", "\[LeftDoubleBracket]", 
      RowBox[{"ind", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
      "\[RightDoubleBracket]"}]}], "]"}], "+", 
   RowBox[{"NestT", "[", 
    RowBox[{"reg", ",", 
     RowBox[{"sub", "\[LeftDoubleBracket]", 
      RowBox[{"ind", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
      "\[RightDoubleBracket]"}]}], "]"}], "+", 
   RowBox[{"NestT", "[", 
    RowBox[{"gen", ",", 
     RowBox[{"sub", "\[LeftDoubleBracket]", 
      RowBox[{"ind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
      "\[RightDoubleBracket]"}]}], "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Skew3", "[", "frm_", "]"}], ":=", 
  RowBox[{"frm", "-", 
   RowBox[{"Transpose", "[", 
    RowBox[{"frm", ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "1", ",", "3"}], "}"}]}], 
    "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"HashGet", "[", 
   RowBox[{"hash_", ",", "key_"}], "]"}], ":=", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"entry", "=", 
      RowBox[{"hash", "[", "key", "]"}]}], "}"}], ",", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Head", "[", "entry", "]"}], "===", "hash"}], ",", "Null", ",",
       "entry"}], "]"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.6072454291602287`*^9, 3.6072454396158266`*^9}, {
   3.6089343516197047`*^9, 3.60893436273534*^9}, 3.6123087832576456`*^9, 
   3.6123090134618125`*^9, {3.6157753779588575`*^9, 3.615775378651368*^9}, {
   3.616058636815837*^9, 3.6160586374908476`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"NumericMesh", "[", 
   RowBox[{"{", 
    RowBox[{"V_", ",", "F_"}], "}"}], "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"N", "[", "V", "]"}], ",", "F"}], "}"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"TranslateMesh", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"V_", ",", "F_"}], "}"}], ",", "ofs_"}], "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"ofs", "+", "#"}], "&"}], "/@", "V"}], ",", "F"}], 
   "}"}]}]], "Input",
 CellChangeTimes->{{3.616146698845546*^9, 3.6161467415879908`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"PlotMesh", "[", 
   RowBox[{"{", 
    RowBox[{"V_", ",", "F_"}], "}"}], "]"}], ":=", 
  RowBox[{"Graphics3D", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"Polygon", "[", 
       RowBox[{"V", "\[LeftDoubleBracket]", 
        RowBox[{"#", ",", "All"}], "\[RightDoubleBracket]"}], "]"}], "&"}], "/@",
      "F"}], ",", 
    RowBox[{"Axes", "\[Rule]", "True"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"HueValues", "[", "lst_", "]"}], ":=", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"mn", "=", 
       RowBox[{"Min", "[", "lst", "]"}]}], ",", 
      RowBox[{"mx", "=", 
       RowBox[{"Max", "[", "lst", "]"}]}]}], "}"}], ",", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"lst", "-", "mn"}], ")"}], "/", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"0", "<", 
        RowBox[{"mx", "-", "mn"}]}], ",", 
       RowBox[{"(", 
        RowBox[{"mx", "-", "mn"}], ")"}], ",", "1"}], "]"}]}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PlotMesh", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"V_", ",", "F_"}], "}"}], ",", "vol_"}], "]"}], ":=", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"hue", "=", 
      RowBox[{"HueValues", "[", "vol", "]"}]}], "}"}], ",", 
    RowBox[{"Graphics3D", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Hue", "[", 
           RowBox[{
           "hue", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
           "]"}], ",", 
          RowBox[{"Polygon", "[", 
           RowBox[{"V", "\[LeftDoubleBracket]", 
            RowBox[{
             RowBox[{
             "F", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], ",",
              "All"}], "\[RightDoubleBracket]"}], "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", 
          RowBox[{"Length", "[", "F", "]"}]}], "}"}]}], "]"}], ",", 
      RowBox[{"AspectRatio", "\[Rule]", "Automatic"}]}], "]"}]}], 
   "]"}]}]}], "Input",
 CellChangeTimes->{
  3.6056884725371523`*^9, {3.6056916585413814`*^9, 3.6056916603574853`*^9}, {
   3.6056929270129337`*^9, 3.605692927350953*^9}, 3.6057452624192333`*^9, {
   3.605904510119336*^9, 3.605904512804489*^9}, {3.60601814107796*^9, 
   3.6060181527506275`*^9}, {3.606018433068661*^9, 3.606018444850335*^9}, {
   3.606018505237789*^9, 3.6060185554976635`*^9}, 3.6064761283891163`*^9, {
   3.6064764752519445`*^9, 3.6064765094974704`*^9}, {3.606518749067122*^9, 
   3.6065188500849*^9}, {3.6065189233370895`*^9, 3.6065189241701374`*^9}, {
   3.6065190671383147`*^9, 3.606519072808639*^9}, {3.6066444171121025`*^9, 
   3.6066444174401207`*^9}, 3.6066444636937666`*^9, {3.6075028094102373`*^9, 
   3.607502810516301*^9}, {3.6075030583374753`*^9, 3.6075030721572657`*^9}, 
   3.612309025848521*^9, {3.612309186296698*^9, 3.612309224034857*^9}, {
   3.6162425249666967`*^9, 3.6162425489570684`*^9}}],

Cell[BoxData[{
 RowBox[{"Clear", "[", "PlotMeshIndex", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PlotMeshIndex", "[", 
   RowBox[{"{", 
    RowBox[{"V_", ",", "F_"}], "}"}], "]"}], ":=", 
  RowBox[{"Show", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"PlotMesh", "[", 
      RowBox[{"{", 
       RowBox[{"V", ",", "F"}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Graphics3D", "[", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"k", ",", "Bold", ",", "12"}], "]"}], ",", 
          RowBox[{"V", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}],
           ",", 
          RowBox[{"Background", "\[Rule]", "LightRed"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", 
          RowBox[{"Length", "[", "V", "]"}]}], "}"}]}], "]"}], "]"}]}], "}"}],
    "]"}]}]}], "Input",
 CellChangeTimes->{{3.6097956911824703`*^9, 3.609795795010409*^9}, {
  3.6097958316185026`*^9, 3.6097958512986283`*^9}, {3.6158979338248014`*^9, 
  3.615897949807716*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Corollary2", "[", 
   RowBox[{"sub_", ",", "ind_", ",", "frm_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"m", "=", 
      RowBox[{"Length", "[", 
       RowBox[{"ind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
       "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"With", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"SUB", "=", 
          RowBox[{"sub", "\[LeftDoubleBracket]", 
           RowBox[{
           "ind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
           "\[RightDoubleBracket]"}]}], "}"}], ",", 
        RowBox[{
         RowBox[{"ArrayReshape", "[", 
          RowBox[{
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"Table", "[", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{
                RowBox[{"SUB", "\[LeftDoubleBracket]", 
                 RowBox[{"a", ",", "i"}], "\[RightDoubleBracket]"}], " ", 
                RowBox[{"SUB", "\[LeftDoubleBracket]", 
                 RowBox[{"b", ",", "j"}], "\[RightDoubleBracket]"}], 
                RowBox[{"SUB", "\[LeftDoubleBracket]", 
                 RowBox[{"c", ",", "k"}], "\[RightDoubleBracket]"}]}], ",", 
               RowBox[{"{", 
                RowBox[{"c", ",", "m"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"b", ",", "m"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"a", ",", "m"}], "}"}]}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"k", ",", "m"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"j", ",", "m"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"i", ",", "m"}], "}"}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"m", "^", "3"}], ",", 
             RowBox[{"m", "^", "3"}]}], "}"}]}], "]"}], "-", 
         RowBox[{"IdentityMatrix", "[", 
          RowBox[{"m", "^", "3"}], "]"}]}]}], "]"}], "\[IndentingNewLine]", 
      ",", 
      RowBox[{"-", 
       RowBox[{"Flatten", "[", 
        RowBox[{
         RowBox[{"NestT", "[", 
          RowBox[{"frm", ",", 
           RowBox[{"sub", "\[LeftDoubleBracket]", 
            RowBox[{
            "ind", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
            "\[RightDoubleBracket]"}]}], "]"}], "+", 
         RowBox[{"NestT", "[", 
          RowBox[{"frm", ",", 
           RowBox[{"sub", "\[LeftDoubleBracket]", 
            RowBox[{
            "ind", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
            "\[RightDoubleBracket]"}]}], "]"}], "+", 
         RowBox[{"NestT", "[", 
          RowBox[{"frm", ",", 
           RowBox[{"sub", "\[LeftDoubleBracket]", 
            RowBox[{
            "ind", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
            "\[RightDoubleBracket]"}]}], "]"}]}], "]"}]}]}], "}"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.607162300850188*^9, 3.60716233165495*^9}, {
   3.6071623703741646`*^9, 3.607162422277133*^9}, {3.6071626305650463`*^9, 
   3.607162703079194*^9}, {3.6071627826137433`*^9, 3.607162821181949*^9}, {
   3.6071628849865985`*^9, 3.6071628903059025`*^9}, 3.607163066822999*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"EssentialMesh", "[", 
   RowBox[{"{", 
    RowBox[{"V_", ",", "F_"}], "}"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"uni", "=", 
       RowBox[{"Union", "[", 
        RowBox[{"Flatten", "[", "F", "]"}], "]"}]}], ",", "hash"}], "}"}], 
    ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"hash", "[", 
         RowBox[{
         "uni", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], "]"}],
         "=", "k"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", 
         RowBox[{"Length", "[", "uni", "]"}]}], "}"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"SetAttributes", "[", 
      RowBox[{"hash", ",", "Listable"}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"V", "\[LeftDoubleBracket]", "uni", "\[RightDoubleBracket]"}], 
       ",", 
       RowBox[{"hash", "[", "F", "]"}]}], "}"}]}]}], "]"}]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Subdivision", "Subsection",
 CellChangeTimes->{{3.6123087875068884`*^9, 3.6123087918591375`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"QuadLinearSubdivide", "[", 
   RowBox[{"{", 
    RowBox[{"V_", ",", "F_"}], "}"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Vout", "=", "V"}], ",", 
      RowBox[{"Fout", "=", 
       RowBox[{"{", "}"}]}], ",", "mid", ",", "key", ",", "hash", ",", "edge",
       ",", "list"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"AppendTo", "[", 
         RowBox[{"Vout", ",", 
          RowBox[{"Mean", "[", 
           RowBox[{"V", "\[LeftDoubleBracket]", 
            RowBox[{
            "F", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
            "\[RightDoubleBracket]"}], "]"}]}], "]"}], ";", 
        RowBox[{"mid", "=", 
         RowBox[{"Length", "[", "Vout", "]"}]}], ";", 
        RowBox[{"list", "=", 
         RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Table", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"key", "=", 
            RowBox[{"Sort", "[", 
             RowBox[{
              RowBox[{"RotateLeft", "[", 
               RowBox[{
                RowBox[{
                "F", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
                ",", 
                RowBox[{"j", "-", "1"}]}], "]"}], "\[LeftDoubleBracket]", 
              RowBox[{"{", 
               RowBox[{"1", ",", "2"}], "}"}], "\[RightDoubleBracket]"}], 
             "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"edge", "=", 
            RowBox[{"HashGet", "[", 
             RowBox[{"hash", ",", "key"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"edge", "===", "Null"}], ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"AppendTo", "[", 
               RowBox[{"Vout", ",", 
                RowBox[{"Mean", "[", 
                 RowBox[{
                 "V", "\[LeftDoubleBracket]", "key", 
                  "\[RightDoubleBracket]"}], "]"}]}], "]"}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"edge", "=", 
               RowBox[{"Length", "[", "Vout", "]"}]}], ";", 
              RowBox[{
               RowBox[{"hash", "[", "key", "]"}], "=", "edge"}]}]}], "]"}], 
           ";", "\[IndentingNewLine]", 
           RowBox[{"AppendTo", "[", 
            RowBox[{"list", ",", "edge"}], "]"}], ";"}], 
          "\[IndentingNewLine]", ",", 
          RowBox[{"{", 
           RowBox[{"j", ",", 
            RowBox[{"Length", "[", 
             RowBox[{
             "F", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
             "]"}]}], "}"}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"AppendTo", "[", 
           RowBox[{"Fout", ",", 
            RowBox[{"{", 
             RowBox[{"mid", ",", 
              RowBox[{"list", "\[LeftDoubleBracket]", 
               RowBox[{
                RowBox[{"Mod", "[", 
                 RowBox[{
                  RowBox[{"j", "-", "2"}], ",", 
                  RowBox[{"Length", "[", 
                   RowBox[{
                   "F", "\[LeftDoubleBracket]", "k", 
                    "\[RightDoubleBracket]"}], "]"}]}], "]"}], "+", "1"}], 
               "\[RightDoubleBracket]"}], ",", 
              RowBox[{"F", "\[LeftDoubleBracket]", 
               RowBox[{"k", ",", "j"}], "\[RightDoubleBracket]"}], ",", 
              RowBox[{
              "list", "\[LeftDoubleBracket]", "j", 
               "\[RightDoubleBracket]"}]}], "}"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"j", ",", 
            RowBox[{"Length", "[", 
             RowBox[{
             "F", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
             "]"}]}], "}"}]}], "]"}]}], "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", 
         RowBox[{"Length", "[", "F", "]"}]}], "}"}]}], "]"}], ";", 
     RowBox[{"{", 
      RowBox[{"Vout", ",", "Fout"}], "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6123092614349957`*^9, 3.6123092641501513`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"DooSabinWeight", "[", "n_", "]"}], ":=", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     FractionBox["1", 
      RowBox[{"4", " ", "n"}]], 
     RowBox[{"Join", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"n", "+", "5"}], "}"}], ",", 
       RowBox[{"3", "+", 
        RowBox[{"2", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"2", " ", "\[Pi]", " ", 
           RowBox[{
            RowBox[{"Range", "[", 
             RowBox[{"n", "-", "1"}], "]"}], "/", "n"}]}], "]"}]}]}]}], 
      "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DooSabinMatrix", "[", "n_", "]"}], ":=", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"w", "=", 
      RowBox[{"DooSabinWeight", "[", "n", "]"}]}], "}"}], ",", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"RotateRight", "[", 
       RowBox[{"w", ",", 
        RowBox[{"k", "-", "1"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", "n"}], "}"}]}], "]"}]}], "]"}]}]}], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"VertexRing", "[", 
   RowBox[{"F_", ",", "f_", ",", "vind_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"fn", "=", 
       RowBox[{"RotateLeft", "[", 
        RowBox[{"f", ",", 
         RowBox[{"vind", "-", "1"}]}], "]"}]}], ",", "v1", ",", "v2", ",", 
      "adj", ",", 
      RowBox[{"ring", "=", 
       RowBox[{"{", "}"}]}], ",", 
      RowBox[{"count", "=", "0"}], ",", 
      RowBox[{"rev", "=", 
       RowBox[{"{", "}"}]}], ",", "tmp", ",", "pos"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"adj", "=", "fn"}], ";", "\[IndentingNewLine]", 
     RowBox[{"AppendTo", "[", 
      RowBox[{"ring", ",", "adj"}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"AppendTo", "[", 
      RowBox[{"rev", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Position", "[", 
           RowBox[{"F", ",", "f"}], "]"}], "\[LeftDoubleBracket]", 
          RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
         RowBox[{"vind", "-", "1"}]}], "}"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"While", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"++", "count"}], "<", "10"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"v1", "=", 
         RowBox[{
         "adj", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], ";",
         "\[IndentingNewLine]", 
        RowBox[{"v2", "=", 
         RowBox[{"Last", "[", "adj", "]"}]}], ";", 
        RowBox[{"(*", 
         RowBox[{"this", " ", "used", " ", "to", " ", 
          RowBox[{
          "be", " ", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}]}],
          "*)"}], "\[IndentingNewLine]", 
        RowBox[{"tmp", "=", 
         RowBox[{
          RowBox[{"Select", "[", 
           RowBox[{"F", ",", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"Union", "[", "#", "]"}], "\[NotEqual]", 
               RowBox[{"Union", "[", "adj", "]"}]}], "\[And]", 
              RowBox[{"MemberQ", "[", 
               RowBox[{"#", ",", "v1"}], "]"}], "\[And]", 
              RowBox[{"MemberQ", "[", 
               RowBox[{"#", ",", "v2"}], "]"}]}], "&"}]}], "]"}], 
          "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"pos", "=", 
         RowBox[{
          RowBox[{
           RowBox[{"Position", "[", 
            RowBox[{"tmp", ",", "v1"}], "]"}], "\[LeftDoubleBracket]", 
           RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}], "-", "1"}]}], 
        ";", "\[IndentingNewLine]", 
        RowBox[{"adj", "=", 
         RowBox[{"RotateLeft", "[", 
          RowBox[{"tmp", ",", "pos"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"adj", "\[Equal]", "fn"}], ",", 
          RowBox[{"Break", "[", "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"ring", ",", "adj"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"rev", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"Position", "[", 
              RowBox[{"F", ",", "tmp"}], "]"}], "\[LeftDoubleBracket]", 
             RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}], ",", "pos"}],
            "}"}]}], "]"}]}]}], "\[IndentingNewLine]", "]"}], ";", 
     RowBox[{"{", 
      RowBox[{"ring", ",", "rev"}], "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6056882724627085`*^9, 3.6056883453958807`*^9}, {
  3.6056884876190147`*^9, 3.6056885310424986`*^9}, {3.605688644786004*^9, 
  3.6056886654661875`*^9}, {3.6056891823907537`*^9, 3.6056891852929196`*^9}, {
  3.605689769738348*^9, 3.605689776326725*^9}, {3.6056898164250183`*^9, 
  3.6056898204342475`*^9}, {3.6056898546592054`*^9, 3.6056898723452168`*^9}, {
  3.605689903609005*^9, 3.605689984347623*^9}, {3.6056900268750553`*^9, 
  3.605690029665215*^9}, {3.605690080540125*^9, 3.605690090137674*^9}, {
  3.605691408210063*^9, 3.6056914192316933`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"DooSabinSubdivide", "[", 
   RowBox[{"{", 
    RowBox[{"V_", ",", "F_"}], "}"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"Vout", ",", 
      RowBox[{"Fout", "=", 
       RowBox[{"{", "}"}]}], ",", 
      RowBox[{"count", "=", "0"}], ",", 
      RowBox[{"Vind", "=", 
       RowBox[{"{", "}"}]}], ",", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"rings", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"{", "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", 
             RowBox[{"Length", "[", "V", "]"}]}], "}"}]}], "]"}]}], ","}], 
       "*)"}], "ring", ",", "rev"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{"Face", " ", "subdivision"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Vout", "=", 
      RowBox[{"Flatten", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"With", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"point", "=", 
               RowBox[{"V", "\[LeftDoubleBracket]", 
                RowBox[{"#", ",", "All"}], "\[RightDoubleBracket]"}]}], ",", 
              RowBox[{"n", "=", 
               RowBox[{"Length", "[", "#", "]"}]}]}], "}"}], ",", 
            RowBox[{
             RowBox[{"AppendTo", "[", 
              RowBox[{"Fout", ",", 
               RowBox[{"count", "+", 
                RowBox[{"Range", "[", "n", "]"}]}]}], "]"}], ";", 
             RowBox[{"count", "+=", "n"}], ";", 
             RowBox[{
              RowBox[{"DooSabinMatrix", "[", "n", "]"}], ".", "point"}]}]}], 
           "]"}], "&"}], "/@", "F"}], ",", "1"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"!", 
            RowBox[{"MemberQ", "[", 
             RowBox[{"Vind", ",", 
              RowBox[{
               RowBox[{
               "F", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}], 
               "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], 
             "]"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"AppendTo", "[", 
             RowBox[{"Vind", ",", 
              RowBox[{
               RowBox[{
               "F", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}], 
               "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], 
             "]"}], ";", "\[IndentingNewLine]", 
            RowBox[{"(*", 
             RowBox[{
              RowBox[{"tmp", "=", 
               RowBox[{"Join", "@@", 
                RowBox[{"rings", "\[LeftDoubleBracket]", 
                 RowBox[{
                 "F", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}], 
                 "\[RightDoubleBracket]"}]}]}], ";"}], "*)"}], 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"ring", ",", "rev"}], "}"}], "=", 
             RowBox[{"VertexRing", "[", 
              RowBox[{"F", ",", 
               RowBox[{
               "F", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}], 
               ",", "k"}], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"(*", 
             RowBox[{"Vertex", " ", "subdivision"}], "*)"}], 
            "\[IndentingNewLine]", 
            RowBox[{"AppendTo", "[", 
             RowBox[{"Fout", ",", 
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"RotateRight", "[", 
                  RowBox[{
                   RowBox[{"Fout", "\[LeftDoubleBracket]", 
                    RowBox[{"rev", "\[LeftDoubleBracket]", 
                    RowBox[{"m", ",", "1"}], "\[RightDoubleBracket]"}], 
                    "\[RightDoubleBracket]"}], ",", 
                   RowBox[{"-", 
                    RowBox[{"rev", "\[LeftDoubleBracket]", 
                    RowBox[{"m", ",", "2"}], "\[RightDoubleBracket]"}]}]}], 
                  "]"}], "\[LeftDoubleBracket]", "1", 
                 "\[RightDoubleBracket]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"m", ",", 
                  RowBox[{"Length", "[", "rev", "]"}]}], "}"}]}], "]"}]}], 
             "]"}], ";", "\[IndentingNewLine]", 
            RowBox[{"(*", 
             RowBox[{"Edge", " ", "subdivision"}], "*)"}], 
            "\[IndentingNewLine]", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"ring", "\[LeftDoubleBracket]", 
                  RowBox[{"m", ",", "1"}], "\[RightDoubleBracket]"}], "<", 
                 RowBox[{"ring", "\[LeftDoubleBracket]", 
                  RowBox[{"m", ",", "2"}], "\[RightDoubleBracket]"}]}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"With", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"n", "=", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"m", "\[Equal]", "1"}], ",", 
                    RowBox[{"Length", "[", "rev", "]"}], ",", 
                    RowBox[{"m", "-", "1"}]}], "]"}]}], "}"}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"AppendTo", "[", 
                   RowBox[{"Fout", ",", 
                    RowBox[{"Join", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RotateRight", "[", 
                    RowBox[{
                    RowBox[{"Fout", "\[LeftDoubleBracket]", 
                    RowBox[{"rev", "\[LeftDoubleBracket]", 
                    RowBox[{"m", ",", "1"}], "\[RightDoubleBracket]"}], 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"0", "-", 
                    RowBox[{"rev", "\[LeftDoubleBracket]", 
                    RowBox[{"m", ",", "2"}], "\[RightDoubleBracket]"}]}]}], 
                    "]"}], "\[LeftDoubleBracket]", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", "1"}], "}"}], "\[RightDoubleBracket]"}],
                     ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"RotateRight", "[", 
                    RowBox[{
                    RowBox[{"Fout", "\[LeftDoubleBracket]", 
                    RowBox[{"rev", "\[LeftDoubleBracket]", 
                    RowBox[{"n", ",", "1"}], "\[RightDoubleBracket]"}], 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"1", "-", 
                    RowBox[{"rev", "\[LeftDoubleBracket]", 
                    RowBox[{"n", ",", "2"}], "\[RightDoubleBracket]"}]}]}], 
                    "]"}], "\[LeftDoubleBracket]", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", "1"}], "}"}], 
                    "\[RightDoubleBracket]"}]}], "]"}]}], "]"}]}], "]"}]}], 
               "\[IndentingNewLine]", "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"m", ",", 
                RowBox[{"Length", "[", "rev", "]"}]}], "}"}]}], "]"}], 
            ";"}]}], "\[IndentingNewLine]", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", 
           RowBox[{"Length", "[", 
            RowBox[{
            "F", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}], 
            "]"}]}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", 
         RowBox[{"Length", "[", "F", "]"}]}], "}"}]}], "]"}], 
     RowBox[{"(*", 
      RowBox[{"&", "/@", "F"}], "*)"}], ";", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"Vout", ",", "Fout"}], "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.605687021623165*^9, 3.605687098938587*^9}, {
   3.605687222334645*^9, 3.6056872447969294`*^9}, {3.605687437926976*^9, 
   3.605687449908661*^9}, {3.6056874839176064`*^9, 3.605687582134224*^9}, {
   3.6056876256947155`*^9, 3.6056876404875617`*^9}, {3.605688753694234*^9, 
   3.6056887683080697`*^9}, {3.6056888425253143`*^9, 
   3.6056889301073236`*^9}, {3.6056889641722727`*^9, 
   3.6056891428214903`*^9}, {3.605689229388442*^9, 3.605689244669316*^9}, {
   3.605689287877787*^9, 3.605689299957478*^9}, {3.6056901254656944`*^9, 
   3.6056901628878345`*^9}, {3.6056902166629105`*^9, 
   3.6056902390001884`*^9}, {3.6056902853528395`*^9, 3.605690370231694*^9}, {
   3.6056907198126893`*^9, 3.605690838206461*^9}, {3.605690885082142*^9, 
   3.6056909379691668`*^9}, {3.605691039272961*^9, 3.6056910852745924`*^9}, {
   3.605691190969638*^9, 3.605691198764084*^9}, {3.605691229811859*^9, 
   3.605691326141369*^9}, {3.6056915687542458`*^9, 3.6056915795108614`*^9}, {
   3.60569177215788*^9, 3.605691777123164*^9}, {3.605691887340468*^9, 
   3.60569191326095*^9}, {3.60688832448534*^9, 3.6068883455365443`*^9}, {
   3.6068883945753493`*^9, 3.606888500989436*^9}, {3.6068885690613294`*^9, 
   3.606888599965097*^9}, 3.6068886481278515`*^9, 3.6068888101801205`*^9, {
   3.6075477702369556`*^9, 3.6075477873029323`*^9}, {3.6075479115110364`*^9, 
   3.6075480363431764`*^9}, {3.6075480885161605`*^9, 
   3.6075481092493467`*^9}, {3.607548186331755*^9, 3.607548230437278*^9}, {
   3.607548272460682*^9, 3.607548354987402*^9}, {3.6088786493131742`*^9, 
   3.608878650674252*^9}, {3.6123091534378185`*^9, 3.6123091541068573`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"DualMesh", "[", 
   RowBox[{"{", 
    RowBox[{"V_", ",", "F_"}], "}"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Vout", "=", 
       RowBox[{
        RowBox[{
         RowBox[{"Mean", "[", 
          RowBox[{"V", "\[LeftDoubleBracket]", "#", "\[RightDoubleBracket]"}],
           "]"}], "&"}], "/@", "F"}]}], ",", 
      RowBox[{"rings", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", 
           RowBox[{"Length", "[", "V", "]"}]}], "}"}]}], "]"}]}], ",", 
      RowBox[{"index", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", 
           RowBox[{"Length", "[", "V", "]"}]}], "}"}]}], "]"}]}], ",", 
      RowBox[{"Fout", "=", 
       RowBox[{"{", "}"}]}], ",", "ring", ",", "rev"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"AppendTo", "[", 
          RowBox[{
           RowBox[{"rings", "\[LeftDoubleBracket]", 
            RowBox[{"F", "\[LeftDoubleBracket]", 
             RowBox[{"k", ",", "j"}], "\[RightDoubleBracket]"}], 
            "\[RightDoubleBracket]"}], ",", 
           RowBox[{
           "F", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], 
          "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", 
           RowBox[{"Length", "[", 
            RowBox[{
            "F", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
            "]"}]}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", 
         RowBox[{"Length", "[", "F", "]"}]}], "}"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"AppendTo", "[", 
          RowBox[{
           RowBox[{"index", "\[LeftDoubleBracket]", 
            RowBox[{"F", "\[LeftDoubleBracket]", 
             RowBox[{"k", ",", "j"}], "\[RightDoubleBracket]"}], 
            "\[RightDoubleBracket]"}], ",", "k"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", 
           RowBox[{"Length", "[", 
            RowBox[{
            "F", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
            "]"}]}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", 
         RowBox[{"Length", "[", "F", "]"}]}], "}"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{"ring", ",", "rev"}], "}"}], "=", 
         RowBox[{"VertexRing", "[", 
          RowBox[{
           RowBox[{
           "rings", "\[LeftDoubleBracket]", "n", "\[RightDoubleBracket]"}], 
           ",", 
           RowBox[{"rings", "\[LeftDoubleBracket]", 
            RowBox[{"n", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
           RowBox[{
            RowBox[{"Position", "[", 
             RowBox[{
              RowBox[{"rings", "\[LeftDoubleBracket]", 
               RowBox[{"n", ",", "1"}], "\[RightDoubleBracket]"}], ",", "n"}],
              "]"}], "\[LeftDoubleBracket]", 
            RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}]}], "]"}]}], 
        ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Fout", ",", 
          RowBox[{"index", "\[LeftDoubleBracket]", 
           RowBox[{"n", ",", 
            RowBox[{"rev", "\[LeftDoubleBracket]", 
             RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}]}], 
           "\[RightDoubleBracket]"}]}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"n", ",", 
         RowBox[{"Length", "[", "rings", "]"}]}], "}"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"Vout", ",", "Fout"}], "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.607498914401456*^9, 3.6074989973401995`*^9}, {
  3.60749906396301*^9, 3.607499072470497*^9}, {3.607499136908182*^9, 
  3.6074991648147783`*^9}, {3.6074992558529854`*^9, 3.607499386759473*^9}, {
  3.6074994314600296`*^9, 3.607499453875312*^9}, {3.6074995061092997`*^9, 
  3.607499508757451*^9}, {3.6074995511638765`*^9, 3.6074996679415555`*^9}, {
  3.607499703248575*^9, 3.6074997721145144`*^9}, {3.607499858365447*^9, 
  3.607499879409651*^9}, {3.607499920112979*^9, 3.607500007335968*^9}, {
  3.6075000878415728`*^9, 3.6075001085907593`*^9}, {3.607500274222233*^9, 
  3.607500289868128*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Load volume forms", "Subsection",
 CellChangeTimes->{{3.6073261432421274`*^9, 3.6073261482547045`*^9}, {
   3.607684800319235*^9, 3.6076848008522654`*^9}, {3.6088884739271097`*^9, 
   3.608888474763158*^9}, 3.612310418836195*^9, {3.616210389045317*^9, 
   3.6162103892103195`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Lambda]X", "[", 
   RowBox[{"n_", ",", "\[Lambda]_"}], "]"}], ":=", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"d", "=", 
      RowBox[{"Length", "[", "\[Lambda]", "]"}]}], "}"}], ",", 
    RowBox[{
     RowBox[{"Binomial", "[", 
      RowBox[{"n", ",", "d"}], "]"}], "-", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{"Binomial", "[", 
        RowBox[{
         RowBox[{"n", "-", 
          RowBox[{
          "\[Lambda]", "\[LeftDoubleBracket]", "i", 
           "\[RightDoubleBracket]"}]}], ",", 
         RowBox[{"d", "+", "1", "-", "i"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "d"}], "}"}]}], "]"}]}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalLambda]set", "[", 
   RowBox[{"n_", ",", "d_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"lst", "=", 
      RowBox[{"{", "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Array", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"{", "##", "}"}], "==", 
            RowBox[{"Sort", "[", 
             RowBox[{"{", "##", "}"}], "]"}]}], "&&", 
           RowBox[{
            RowBox[{"Length", "[", 
             RowBox[{"Union", "[", 
              RowBox[{"{", "##", "}"}], "]"}], "]"}], "\[Equal]", "d"}]}], 
          ",", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"lst", ",", 
            RowBox[{"{", "##", "}"}]}], "]"}]}], "]"}], "&"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Table", "[", 
        RowBox[{"n", ",", 
         RowBox[{"{", "d", "}"}]}], "]"}]}], "]"}], ";", "lst"}]}], 
   "]"}]}]}], "Input",
 CellChangeTimes->{{3.6117137433353386`*^9, 3.611713743561352*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"InflateForm", "[", 
   RowBox[{"lst_", ",", "n_", ",", "d_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "}"}], ",", 
    RowBox[{"Array", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"With", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"p", "=", 
            RowBox[{"{", "##", "}"}]}], ",", 
           RowBox[{"s", "=", 
            RowBox[{"Signature", "[", 
             RowBox[{"{", "##", "}"}], "]"}]}]}], "}"}], ",", " ", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"s", "\[Equal]", "0"}], ",", "0", ",", 
           RowBox[{"s", " ", 
            RowBox[{"lst", "\[LeftDoubleBracket]", 
             RowBox[{"\[Lambda]X", "[", 
              RowBox[{"n", ",", 
               RowBox[{"Sort", "[", "p", "]"}]}], "]"}], 
             "\[RightDoubleBracket]"}]}]}], "]"}]}], "]"}], "&"}], ",", 
      RowBox[{"Table", "[", 
       RowBox[{"n", ",", 
        RowBox[{"{", "d", "}"}]}], "]"}]}], "]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.611850156341178*^9, 3.6118501617654877`*^9}, {
  3.6121340542537775`*^9, 3.612134064621371*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"CompressForm", "[", "frm_", "]"}], ":=", 
   RowBox[{
    RowBox[{
     RowBox[{"frm", "\[LeftDoubleBracket]", 
      RowBox[{
       RowBox[{"#", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
       ",", 
       RowBox[{"#", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
       ",", 
       RowBox[{"#", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]}], 
      "\[RightDoubleBracket]"}], "&"}], "/@", 
    RowBox[{"\[CapitalLambda]set", "[", 
     RowBox[{
      RowBox[{"Length", "[", "frm", "]"}], ",", 
      RowBox[{"TensorRank", "[", "frm", "]"}]}], "]"}]}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"DooSabinListAlt", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"num", "=", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"k", "<", "10"}], ",", "\"\<0\>\"", ",", "\"\<\>\""}], 
           "]"}], "<>", 
          RowBox[{"ToString", "[", "k", "]"}]}]}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"InflateForm", "[", 
        RowBox[{
         RowBox[{"<<", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
            "\"\<_forms\\\\DSalt\>\"", "<>", "num", "<>", "\"\<vec.mx\>\""}], 
           ")"}]}], ",", 
         RowBox[{"5", "+", "k"}], ",", "3"}], "]"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "3", ",", "12"}], "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.607683337072542*^9, 3.6076833777318673`*^9}, {
  3.60768469725134*^9, 3.6076847090920167`*^9}, {3.6088861374804726`*^9, 
  3.608886137872495*^9}, {3.6123089874803267`*^9, 3.6123089947567425`*^9}, {
  3.6123090676609125`*^9, 3.612309075345352*^9}, {3.6123101691279125`*^9, 
  3.61231019268226*^9}, {3.612310278825187*^9, 3.6123102970182276`*^9}, {
  3.6123173009798317`*^9, 3.612317303643984*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"PrepareOldMoment1Form", "[", "A_", "]"}], ":=", 
  RowBox[{"A", "-", 
   RowBox[{"Transpose", "[", 
    RowBox[{"A", ",", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"2", ",", "1"}], "}"}], "~", "Join", "~", 
      RowBox[{"Range", "[", 
       RowBox[{"3", ",", 
        RowBox[{"TensorRank", "[", "A", "]"}]}], "]"}]}]}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.6157750723691635`*^9, 3.615775148640335*^9}, {
  3.6157756227501173`*^9, 3.6157756254651585`*^9}, {3.616054536584704*^9, 
  3.6160545837579284`*^9}, {3.6160547928361397`*^9, 3.6160547945136657`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"DooSabinListMoment1", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"PrepareOldMoment1Form", "[", 
       RowBox[{"<<", "\"\<DooSabinMoment1Int3.mx\>\""}], "]"}], "/", "2"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "DooSabinMoment1RegVar", "*)"}], "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"PrepareOldMoment1Form", "[", 
       RowBox[{"<<", "\"\<DooSabinMoment1Int4.mx\>\""}], "]"}], "/", "2"}]}], 
    "\[IndentingNewLine]", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"DooSabinListMoment1", ",", 
    RowBox[{"<<", "\"\<DooSabinMoment1Xalt5.mx\>\""}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"DooSabinListMoment1", ",", 
    RowBox[{"<<", "\"\<DooSabinMoment1Xalt6.mx\>\""}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"DooSabinListMoment1", ",", 
    RowBox[{"<<", "\"\<DooSabinMoment1Xalt7.mx\>\""}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"DooSabinListMoment1", ",", 
    RowBox[{"<<", "\"\<DooSabinMoment1Xalt8.mx\>\""}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"DooSabinListMoment1", ",", 
    RowBox[{"<<", "\"\<DooSabinMoment1Xalt9.mx\>\""}]}], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.615775152490394*^9, 3.6157751789082994`*^9}, {
  3.615775759862223*^9, 3.615775763674782*^9}, {3.615780772655219*^9, 
  3.615780772845222*^9}, {3.6157815779100876`*^9, 3.61578158002512*^9}, {
  3.6157824929961452`*^9, 3.6157824953036804`*^9}, {3.615783087867782*^9, 
  3.6157830913753357`*^9}, {3.615856712153571*^9, 3.6158567143736053`*^9}, {
  3.616054809378894*^9, 3.6160548505020256`*^9}, {3.6161518014043956`*^9, 
  3.6161518112669597`*^9}, {3.616153394472514*^9, 3.616153399351793*^9}}],

Cell[BoxData[{
 RowBox[{"Dimensions", "/@", "DooSabinListMoment1"}], "\[IndentingNewLine]", 
 RowBox[{"Variables", "@", "DooSabinListMoment1"}]}], "Input",
 CellChangeTimes->{{3.615775186648419*^9, 3.6157752124663153`*^9}, 
   3.615775440312315*^9, {3.6161518160072308`*^9, 3.6161518206954985`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"DooSabinListMoment2", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"<<", "\"\<DooSabinMoment2Xalt3.mx\>\""}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"PrepareOldMoment1Form", "[", 
      RowBox[{"<<", "\"\<DooSabinMoment2Int4.mx\>\""}], "]"}]}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.616054641413814*^9, 3.61605473036018*^9}, {
   3.6160548288316927`*^9, 3.6160548295267034`*^9}, 3.616054947608517*^9, {
   3.6160567976278086`*^9, 3.616056798790326*^9}}],

Cell[BoxData[
 RowBox[{"Dimensions", "/@", "DooSabinListMoment2"}]], "Input",
 CellChangeTimes->{3.616054738757809*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Volume, Moment1, Moment2", "Subsection",
 CellChangeTimes->{{3.6123088402879076`*^9, 3.6123088453221955`*^9}, {
  3.615775455152543*^9, 3.6157754598176146`*^9}, {3.6160567616172557`*^9, 
  3.616056762874775*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"LinearVolume", "[", 
    RowBox[{"{", 
     RowBox[{"V_", ",", "F_"}], "}"}], "]"}], ":=", 
   RowBox[{"With", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"QuadDet", "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0", ",", 
             RowBox[{"-", 
              FractionBox["1", "12"]}], ",", 
             RowBox[{"-", 
              FractionBox["1", "12"]}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", 
             FractionBox["1", "12"], ",", "0", ",", 
             RowBox[{"-", 
              FractionBox["1", "12"]}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", 
             FractionBox["1", "12"], ",", 
             FractionBox["1", "12"], ",", "0"}], "}"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0", ",", 
             FractionBox["1", "12"], ",", 
             FractionBox["1", "12"]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", 
              FractionBox["1", "12"]}], ",", "0", ",", "0", ",", 
             RowBox[{"-", 
              FractionBox["1", "12"]}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", 
              FractionBox["1", "12"]}], ",", "0", ",", 
             FractionBox["1", "12"], ",", "0"}], "}"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"-", 
              FractionBox["1", "12"]}], ",", "0", ",", 
             FractionBox["1", "12"]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             FractionBox["1", "12"], ",", "0", ",", "0", ",", 
             FractionBox["1", "12"]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", 
              FractionBox["1", "12"]}], ",", 
             RowBox[{"-", 
              FractionBox["1", "12"]}], ",", "0", ",", "0"}], "}"}]}], "}"}], 
         ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"-", 
              FractionBox["1", "12"]}], ",", 
             RowBox[{"-", 
              FractionBox["1", "12"]}], ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             FractionBox["1", "12"], ",", "0", ",", 
             RowBox[{"-", 
              FractionBox["1", "12"]}], ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             FractionBox["1", "12"], ",", 
             FractionBox["1", "12"], ",", "0", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], 
        "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Simplify", "[", 
      RowBox[{"Sum", "[", 
       RowBox[{
        RowBox[{"With", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"f", "=", 
            RowBox[{
            "F", "\[LeftDoubleBracket]", "m", "\[RightDoubleBracket]"}]}], 
           "}"}], ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Length", "[", "f", "]"}], "\[Equal]", "4"}], ",", 
            RowBox[{"QuadDet", ".", 
             RowBox[{"V", "\[LeftDoubleBracket]", 
              RowBox[{"f", ",", "1"}], "\[RightDoubleBracket]"}], ".", 
             RowBox[{"V", "\[LeftDoubleBracket]", 
              RowBox[{"f", ",", "2"}], "\[RightDoubleBracket]"}], ".", 
             RowBox[{"V", "\[LeftDoubleBracket]", 
              RowBox[{"f", ",", "3"}], "\[RightDoubleBracket]"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Simplify", "[", 
             RowBox[{
              RowBox[{"Sum", "[", 
               RowBox[{
                RowBox[{"Det", "[", 
                 RowBox[{"V", "\[LeftDoubleBracket]", 
                  RowBox[{
                   RowBox[{"f", "\[LeftDoubleBracket]", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "k", ",", 
                    RowBox[{"k", "+", "1"}]}], "}"}], 
                    "\[RightDoubleBracket]"}], ",", "All"}], 
                  "\[RightDoubleBracket]"}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"k", ",", "2", ",", 
                  RowBox[{
                   RowBox[{"Length", "[", "f", "]"}], "-", "1"}]}], "}"}]}], 
               "]"}], "/", "6"}], "]"}]}], "]"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"m", ",", 
          RowBox[{"Length", "[", "F", "]"}]}], "}"}]}], "]"}], "]"}]}], 
    "]"}]}], ";"}]], "Input",
 CellChangeTimes->{3.612309131945589*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"DooSabinStencil", "[", 
   RowBox[{"ringsN_", ",", "n_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"ring", ",", "rev", ",", "pos"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{"ring", ",", "rev"}], "}"}], "=", 
      RowBox[{"VertexRing", "[", 
       RowBox[{"ringsN", ",", 
        RowBox[{
        "ringsN", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], ",", 
        RowBox[{
         RowBox[{"Position", "[", 
          RowBox[{
           RowBox[{
           "ringsN", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
           ",", "n"}], "]"}], "\[LeftDoubleBracket]", 
         RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"pos", "=", 
      RowBox[{
       RowBox[{"Flatten", "[", 
        RowBox[{"Append", "[", 
         RowBox[{
          RowBox[{"Position", "[", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"Length", "[", "#", "]"}], "\[NotEqual]", "4"}], "&"}],
              "/@", "ring"}], ",", "True"}], "]"}], ",", "3"}], "]"}], "]"}], 
       "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"ring", "=", 
      RowBox[{"RotateRight", "[", 
       RowBox[{"ring", ",", 
        RowBox[{"3", "-", "pos"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Flatten", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"ring", "\[LeftDoubleBracket]", 
         RowBox[{"1", ",", 
          RowBox[{"{", 
           RowBox[{"3", ",", "4"}], "}"}]}], "\[RightDoubleBracket]"}], ",", 
        RowBox[{"ring", "\[LeftDoubleBracket]", 
         RowBox[{"2", ",", "3"}], "\[RightDoubleBracket]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"ring", "\[LeftDoubleBracket]", 
         RowBox[{"1", ",", 
          RowBox[{"{", 
           RowBox[{"2", ",", "1"}], "}"}]}], "\[RightDoubleBracket]"}], ",", 
        RowBox[{"ring", "\[LeftDoubleBracket]", 
         RowBox[{"2", ",", "4"}], "\[RightDoubleBracket]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"ring", "\[LeftDoubleBracket]", 
         RowBox[{"4", ",", "3"}], "\[RightDoubleBracket]"}], ",", 
        RowBox[{"Reverse", "[", 
         RowBox[{"Drop", "[", 
          RowBox[{
           RowBox[{
           "ring", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
           ",", "2"}], "]"}], "]"}]}], "\[IndentingNewLine]", "}"}], 
      "]"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.607501604402315*^9, 3.60750163018979*^9}, {
   3.607501690701251*^9, 3.6075017026169324`*^9}, {3.60750174173617*^9, 
   3.607501778885295*^9}, {3.6075018404058137`*^9, 3.607501896887044*^9}, {
   3.6075019605016828`*^9, 3.60750210084671*^9}, {3.6075021315904684`*^9, 
   3.6075021739238896`*^9}, {3.6075022287090235`*^9, 3.607502228933036*^9}, {
   3.6075024523858166`*^9, 3.6075024535488834`*^9}, {3.607548687781437*^9, 
   3.607548688228462*^9}, {3.6090499286962023`*^9, 3.6090499990362253`*^9}, {
   3.6090500308030424`*^9, 3.6090500799958563`*^9}, {3.609050122182269*^9, 
   3.6090502276052985`*^9}, {3.609050269578699*^9, 3.609050273516925*^9}, 
   3.6123088345845814`*^9, 3.615775742866962*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"DooSabinValences", "[", 
    RowBox[{"{", 
     RowBox[{"V_", ",", "F_"}], "}"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"rings", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", 
           RowBox[{"Length", "[", "V", "]"}]}], "}"}]}], "]"}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"AppendTo", "[", 
           RowBox[{
            RowBox[{"rings", "\[LeftDoubleBracket]", 
             RowBox[{"F", "\[LeftDoubleBracket]", 
              RowBox[{"k", ",", "j"}], "\[RightDoubleBracket]"}], 
             "\[RightDoubleBracket]"}], ",", 
            RowBox[{
            "F", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], 
           "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"j", ",", 
            RowBox[{"Length", "[", 
             RowBox[{
             "F", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
             "]"}]}], "}"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", 
          RowBox[{"Length", "[", "F", "]"}]}], "}"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Union", "[", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Length", "[", 
           RowBox[{"DooSabinStencil", "[", 
            RowBox[{
             RowBox[{
             "rings", "\[LeftDoubleBracket]", "n", "\[RightDoubleBracket]"}], 
             ",", "n"}], "]"}], "]"}], "-", "5"}], ",", 
         RowBox[{"{", 
          RowBox[{"n", ",", 
           RowBox[{"Length", "[", "rings", "]"}]}], "}"}]}], "]"}], "]"}]}]}],
     "]"}]}], ";"}]], "Input"],

Cell[CellGroupData[{

Cell["Volume", "Subsubsection",
 CellChangeTimes->{{3.6160568367859097`*^9, 3.6160568653038483`*^9}, {
  3.616065519561555*^9, 3.6160655213915825`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"DooSabinVolumeVertex", "[", 
   RowBox[{"{", 
    RowBox[{"V_", ",", "F_"}], "}"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"rings", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", 
           RowBox[{"Length", "[", "V", "]"}]}], "}"}]}], "]"}]}], ",", 
      "stencil"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"AppendTo", "[", 
          RowBox[{
           RowBox[{"rings", "\[LeftDoubleBracket]", 
            RowBox[{"F", "\[LeftDoubleBracket]", 
             RowBox[{"k", ",", "j"}], "\[RightDoubleBracket]"}], 
            "\[RightDoubleBracket]"}], ",", 
           RowBox[{
           "F", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], 
          "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", 
           RowBox[{"Length", "[", 
            RowBox[{
            "F", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
            "]"}]}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", 
         RowBox[{"Length", "[", "F", "]"}]}], "}"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"stencil", "=", 
         RowBox[{"DooSabinStencil", "[", 
          RowBox[{
           RowBox[{
           "rings", "\[LeftDoubleBracket]", "n", "\[RightDoubleBracket]"}], 
           ",", "n"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"With", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"point", "=", 
             RowBox[{"Transpose", "[", 
              RowBox[{
              "V", "\[LeftDoubleBracket]", "stencil", 
               "\[RightDoubleBracket]"}], "]"}]}], ",", 
            RowBox[{"val", "=", 
             RowBox[{
              RowBox[{"Length", "[", "stencil", "]"}], "-", "5"}]}]}], "}"}], 
          ",", "\[IndentingNewLine]", 
          RowBox[{"Simplify", "[", 
           RowBox[{
            RowBox[{"DooSabinListAlt", "\[LeftDoubleBracket]", 
             RowBox[{"val", "-", "2"}], "\[RightDoubleBracket]"}], ".", 
            RowBox[{
            "point", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
            ".", 
            RowBox[{
            "point", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
            ".", 
            RowBox[{
            "point", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]}],
            "]"}]}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"n", ",", 
         RowBox[{"Length", "[", "rings", "]"}]}], "}"}]}], "]"}]}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DooSabinVolume", "[", 
   RowBox[{"{", 
    RowBox[{"V_", ",", "F_"}], "}"}], "]"}], ":=", 
  RowBox[{"Simplify", "[", 
   RowBox[{"Total", "[", 
    RowBox[{"DooSabinVolumeVertex", "[", 
     RowBox[{"{", 
      RowBox[{"V", ",", "F"}], "}"}], "]"}], "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.612309091956302*^9, 3.612309107146171*^9}, {
  3.615775472687812*^9, 3.6157754751853504`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Centroid", "Subsubsection",
 CellChangeTimes->{{3.6160568367859097`*^9, 3.6160568653038483`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"DooSabinMoment1Vertex", "[", 
   RowBox[{"{", 
    RowBox[{"V_", ",", "F_"}], "}"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"rings", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", 
           RowBox[{"Length", "[", "V", "]"}]}], "}"}]}], "]"}]}], ",", 
      "stencil"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"AppendTo", "[", 
          RowBox[{
           RowBox[{"rings", "\[LeftDoubleBracket]", 
            RowBox[{"F", "\[LeftDoubleBracket]", 
             RowBox[{"k", ",", "j"}], "\[RightDoubleBracket]"}], 
            "\[RightDoubleBracket]"}], ",", 
           RowBox[{
           "F", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], 
          "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", 
           RowBox[{"Length", "[", 
            RowBox[{
            "F", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
            "]"}]}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", 
         RowBox[{"Length", "[", "F", "]"}]}], "}"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"stencil", "=", 
         RowBox[{"DooSabinStencil", "[", 
          RowBox[{
           RowBox[{
           "rings", "\[LeftDoubleBracket]", "n", "\[RightDoubleBracket]"}], 
           ",", "n"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"With", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"point", "=", 
             RowBox[{"Transpose", "[", 
              RowBox[{
              "V", "\[LeftDoubleBracket]", "stencil", 
               "\[RightDoubleBracket]"}], "]"}]}], ",", 
            RowBox[{"val", "=", 
             RowBox[{
              RowBox[{"Length", "[", "stencil", "]"}], "-", "5"}]}]}], "}"}], 
          ",", "\[IndentingNewLine]", 
          RowBox[{"Simplify", "[", 
           RowBox[{"{", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"DooSabinListMoment1", "\[LeftDoubleBracket]", 
               RowBox[{"val", "-", "2"}], "\[RightDoubleBracket]"}], ".", 
              RowBox[{
              "point", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}],
               ".", 
              RowBox[{
              "point", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}],
               ".", 
              RowBox[{
              "point", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}],
               ".", 
              RowBox[{
              "point", "\[LeftDoubleBracket]", "3", 
               "\[RightDoubleBracket]"}]}], ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"DooSabinListMoment1", "\[LeftDoubleBracket]", 
               RowBox[{"val", "-", "2"}], "\[RightDoubleBracket]"}], ".", 
              RowBox[{
              "point", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}],
               ".", 
              RowBox[{
              "point", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}],
               ".", 
              RowBox[{
              "point", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}],
               ".", 
              RowBox[{
              "point", "\[LeftDoubleBracket]", "1", 
               "\[RightDoubleBracket]"}]}], ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"DooSabinListMoment1", "\[LeftDoubleBracket]", 
               RowBox[{"val", "-", "2"}], "\[RightDoubleBracket]"}], ".", 
              RowBox[{
              "point", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}],
               ".", 
              RowBox[{
              "point", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}],
               ".", 
              RowBox[{
              "point", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}],
               ".", 
              RowBox[{
              "point", "\[LeftDoubleBracket]", "2", 
               "\[RightDoubleBracket]"}]}]}], "\[IndentingNewLine]", "}"}], 
           "]"}]}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"n", ",", 
         RowBox[{"Length", "[", "rings", "]"}]}], "}"}]}], "]"}]}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DooSabinMoment1", "[", 
   RowBox[{"{", 
    RowBox[{"V_", ",", "F_"}], "}"}], "]"}], ":=", 
  RowBox[{"Simplify", "[", 
   RowBox[{"Total", "[", 
    RowBox[{"DooSabinMoment1Vertex", "[", 
     RowBox[{"{", 
      RowBox[{"V", ",", "F"}], "}"}], "]"}], "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.6157754874180384`*^9, 3.6157755205385475`*^9}, {
   3.615775564876728*^9, 3.6157755696518016`*^9}, {3.615780959320586*^9, 
   3.6157810108063774`*^9}, 3.615781078839922*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"DooSabinAltMoment1Vertex", "[", 
   RowBox[{"{", 
    RowBox[{"V_", ",", "F_"}], "}"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"rings", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", 
           RowBox[{"Length", "[", "V", "]"}]}], "}"}]}], "]"}]}], ",", 
      "stencil"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"AppendTo", "[", 
          RowBox[{
           RowBox[{"rings", "\[LeftDoubleBracket]", 
            RowBox[{"F", "\[LeftDoubleBracket]", 
             RowBox[{"k", ",", "j"}], "\[RightDoubleBracket]"}], 
            "\[RightDoubleBracket]"}], ",", 
           RowBox[{
           "F", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], 
          "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", 
           RowBox[{"Length", "[", 
            RowBox[{
            "F", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
            "]"}]}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", 
         RowBox[{"Length", "[", "F", "]"}]}], "}"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"stencil", "=", 
         RowBox[{"DooSabinStencil", "[", 
          RowBox[{
           RowBox[{
           "rings", "\[LeftDoubleBracket]", "n", "\[RightDoubleBracket]"}], 
           ",", "n"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"With", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"point", "=", 
             RowBox[{"Transpose", "[", 
              RowBox[{
              "V", "\[LeftDoubleBracket]", "stencil", 
               "\[RightDoubleBracket]"}], "]"}]}], ",", 
            RowBox[{"val", "=", 
             RowBox[{
              RowBox[{"Length", "[", "stencil", "]"}], "-", "5"}]}]}], "}"}], 
          ",", "\[IndentingNewLine]", 
          RowBox[{"Simplify", "[", 
           RowBox[{"{", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"2", 
                RowBox[{
                 RowBox[{"DooSabinListMoment1", "\[LeftDoubleBracket]", 
                  RowBox[{"val", "-", "2"}], "\[RightDoubleBracket]"}], ".", 
                 RowBox[{
                 "point", "\[LeftDoubleBracket]", "1", 
                  "\[RightDoubleBracket]"}], ".", 
                 RowBox[{
                 "point", "\[LeftDoubleBracket]", "1", 
                  "\[RightDoubleBracket]"}], ".", 
                 RowBox[{
                 "point", "\[LeftDoubleBracket]", "2", 
                  "\[RightDoubleBracket]"}], ".", 
                 RowBox[{
                 "point", "\[LeftDoubleBracket]", "3", 
                  "\[RightDoubleBracket]"}]}]}], ")"}], "/", "2"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"2", 
                RowBox[{
                 RowBox[{"DooSabinListMoment1", "\[LeftDoubleBracket]", 
                  RowBox[{"val", "-", "2"}], "\[RightDoubleBracket]"}], ".", 
                 RowBox[{
                 "point", "\[LeftDoubleBracket]", "1", 
                  "\[RightDoubleBracket]"}], ".", 
                 RowBox[{
                 "point", "\[LeftDoubleBracket]", "2", 
                  "\[RightDoubleBracket]"}], ".", 
                 RowBox[{
                 "point", "\[LeftDoubleBracket]", "2", 
                  "\[RightDoubleBracket]"}], ".", 
                 RowBox[{
                 "point", "\[LeftDoubleBracket]", "3", 
                  "\[RightDoubleBracket]"}]}]}], ")"}], "/", "1"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"2", 
                RowBox[{
                 RowBox[{"DooSabinListMoment1", "\[LeftDoubleBracket]", 
                  RowBox[{"val", "-", "2"}], "\[RightDoubleBracket]"}], ".", 
                 RowBox[{
                 "point", "\[LeftDoubleBracket]", "1", 
                  "\[RightDoubleBracket]"}], ".", 
                 RowBox[{
                 "point", "\[LeftDoubleBracket]", "3", 
                  "\[RightDoubleBracket]"}], ".", 
                 RowBox[{
                 "point", "\[LeftDoubleBracket]", "2", 
                  "\[RightDoubleBracket]"}], ".", 
                 RowBox[{
                 "point", "\[LeftDoubleBracket]", "3", 
                  "\[RightDoubleBracket]"}]}]}], ")"}], "/", "1"}]}], 
            "\[IndentingNewLine]", "}"}], "]"}]}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"n", ",", 
         RowBox[{"Length", "[", "rings", "]"}]}], "}"}]}], "]"}]}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DooSabinAltMoment1", "[", 
   RowBox[{"{", 
    RowBox[{"V_", ",", "F_"}], "}"}], "]"}], ":=", 
  RowBox[{"Simplify", "[", 
   RowBox[{"Total", "[", 
    RowBox[{"DooSabinMoment1Vertex", "[", 
     RowBox[{"{", 
      RowBox[{"V", ",", "F"}], "}"}], "]"}], "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.6165017696721916`*^9, 3.616501840126221*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{"DooSabinCentroid", "[", "msh_", "]"}], ":=", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"DooSabinMoment1", "[", "msh", "]"}], "/", 
     RowBox[{"DooSabinVolume", "[", "msh", "]"}]}], "]"}]}], "*)"}]], "Input",
 CellChangeTimes->{{3.615785870065017*^9, 3.6157859164932303`*^9}, {
  3.615899441350027*^9, 3.6158994514586053`*^9}, {3.616145834114086*^9, 
  3.616145834898131*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Inertia", "Subsubsection",
 CellChangeTimes->{{3.6160568367859097`*^9, 3.616056877419034*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"DooSabinMoment2Vertex", "[", 
   RowBox[{"{", 
    RowBox[{"V_", ",", "F_"}], "}"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"rings", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", 
           RowBox[{"Length", "[", "V", "]"}]}], "}"}]}], "]"}]}], ",", 
      "stencil"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"AppendTo", "[", 
          RowBox[{
           RowBox[{"rings", "\[LeftDoubleBracket]", 
            RowBox[{"F", "\[LeftDoubleBracket]", 
             RowBox[{"k", ",", "j"}], "\[RightDoubleBracket]"}], 
            "\[RightDoubleBracket]"}], ",", 
           RowBox[{
           "F", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], 
          "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", 
           RowBox[{"Length", "[", 
            RowBox[{
            "F", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
            "]"}]}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", 
         RowBox[{"Length", "[", "F", "]"}]}], "}"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"stencil", "=", 
         RowBox[{"DooSabinStencil", "[", 
          RowBox[{
           RowBox[{
           "rings", "\[LeftDoubleBracket]", "n", "\[RightDoubleBracket]"}], 
           ",", "n"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"With", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"point", "=", 
             RowBox[{"Transpose", "[", 
              RowBox[{
              "V", "\[LeftDoubleBracket]", "stencil", 
               "\[RightDoubleBracket]"}], "]"}]}], ",", 
            RowBox[{"val", "=", 
             RowBox[{
              RowBox[{"Length", "[", "stencil", "]"}], "-", "5"}]}]}], "}"}], 
          ",", "\[IndentingNewLine]", 
          RowBox[{"Simplify", "[", 
           RowBox[{"{", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"1", "/", "3"}], 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"DooSabinListMoment2", "\[LeftDoubleBracket]", 
                 RowBox[{"val", "-", "2"}], "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "1", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "1", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "1", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "2", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "3", 
                 "\[RightDoubleBracket]"}]}], ")"}]}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"1", "/", "3"}], 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"DooSabinListMoment2", "\[LeftDoubleBracket]", 
                 RowBox[{"val", "-", "2"}], "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "2", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "2", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "2", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "3", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "1", 
                 "\[RightDoubleBracket]"}]}], ")"}]}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"1", "/", "3"}], 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"DooSabinListMoment2", "\[LeftDoubleBracket]", 
                 RowBox[{"val", "-", "2"}], "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "3", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "3", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "3", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "1", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "2", 
                 "\[RightDoubleBracket]"}]}], ")"}]}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"1", "/", "2"}], 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"DooSabinListMoment2", "\[LeftDoubleBracket]", 
                 RowBox[{"val", "-", "2"}], "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "1", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "1", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "2", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "2", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "3", 
                 "\[RightDoubleBracket]"}]}], ")"}]}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"1", "/", "2"}], 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"DooSabinListMoment2", "\[LeftDoubleBracket]", 
                 RowBox[{"val", "-", "2"}], "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "2", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "2", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "3", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "3", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "1", 
                 "\[RightDoubleBracket]"}]}], ")"}]}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"1", "/", "2"}], 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"DooSabinListMoment2", "\[LeftDoubleBracket]", 
                 RowBox[{"val", "-", "2"}], "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "3", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "3", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "1", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "1", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "2", 
                 "\[RightDoubleBracket]"}]}], ")"}]}]}], 
            "\[IndentingNewLine]", "}"}], "]"}]}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"n", ",", 
         RowBox[{"Length", "[", "rings", "]"}]}], "}"}]}], "]"}]}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DooSabinMoment2", "[", 
   RowBox[{"{", 
    RowBox[{"V_", ",", "F_"}], "}"}], "]"}], ":=", 
  RowBox[{"Simplify", "[", 
   RowBox[{"Total", "[", 
    RowBox[{"DooSabinMoment2Vertex", "[", 
     RowBox[{"{", 
      RowBox[{"V", ",", "F"}], "}"}], "]"}], "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.6157754874180384`*^9, 3.6157755205385475`*^9}, {
   3.615775564876728*^9, 3.6157755696518016`*^9}, {3.615780959320586*^9, 
   3.6157810108063774`*^9}, 3.615781078839922*^9, 3.6160569306173515`*^9, {
   3.616056981038126*^9, 3.6160570385090084`*^9}, {3.6160577976231685`*^9, 
   3.6160578575590887`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"DooSabinAltMoment2Vertex", "[", 
   RowBox[{"{", 
    RowBox[{"V_", ",", "F_"}], "}"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"rings", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", 
           RowBox[{"Length", "[", "V", "]"}]}], "}"}]}], "]"}]}], ",", 
      "stencil"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"AppendTo", "[", 
          RowBox[{
           RowBox[{"rings", "\[LeftDoubleBracket]", 
            RowBox[{"F", "\[LeftDoubleBracket]", 
             RowBox[{"k", ",", "j"}], "\[RightDoubleBracket]"}], 
            "\[RightDoubleBracket]"}], ",", 
           RowBox[{
           "F", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], 
          "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", 
           RowBox[{"Length", "[", 
            RowBox[{
            "F", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
            "]"}]}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", 
         RowBox[{"Length", "[", "F", "]"}]}], "}"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"stencil", "=", 
         RowBox[{"DooSabinStencil", "[", 
          RowBox[{
           RowBox[{
           "rings", "\[LeftDoubleBracket]", "n", "\[RightDoubleBracket]"}], 
           ",", "n"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"With", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"point", "=", 
             RowBox[{"Transpose", "[", 
              RowBox[{
              "V", "\[LeftDoubleBracket]", "stencil", 
               "\[RightDoubleBracket]"}], "]"}]}], ",", 
            RowBox[{"val", "=", 
             RowBox[{
              RowBox[{"Length", "[", "stencil", "]"}], "-", "5"}]}]}], "}"}], 
          ",", "\[IndentingNewLine]", 
          RowBox[{"Simplify", "[", 
           RowBox[{"{", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"1", "/", "3"}], 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"DooSabinListMoment2", "\[LeftDoubleBracket]", 
                 RowBox[{"val", "-", "2"}], "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "1", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "1", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "1", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "2", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "3", 
                 "\[RightDoubleBracket]"}]}], ")"}]}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"1", "/", "1"}], 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"DooSabinListMoment2", "\[LeftDoubleBracket]", 
                 RowBox[{"val", "-", "2"}], "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "1", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "2", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "2", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "2", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "3", 
                 "\[RightDoubleBracket]"}]}], ")"}]}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"1", "/", "1"}], 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"DooSabinListMoment2", "\[LeftDoubleBracket]", 
                 RowBox[{"val", "-", "2"}], "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "1", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "3", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "3", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "2", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "3", 
                 "\[RightDoubleBracket]"}]}], ")"}]}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"1", "/", "2"}], 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"DooSabinListMoment2", "\[LeftDoubleBracket]", 
                 RowBox[{"val", "-", "2"}], "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "1", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "1", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "2", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "2", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "3", 
                 "\[RightDoubleBracket]"}]}], ")"}]}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"1", "/", "1"}], 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"DooSabinListMoment2", "\[LeftDoubleBracket]", 
                 RowBox[{"val", "-", "2"}], "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "1", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "2", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "3", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "2", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "3", 
                 "\[RightDoubleBracket]"}]}], ")"}]}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"1", "/", "2"}], 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"DooSabinListMoment2", "\[LeftDoubleBracket]", 
                 RowBox[{"val", "-", "2"}], "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "1", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "1", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "3", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "2", 
                 "\[RightDoubleBracket]"}], ".", 
                RowBox[{
                "point", "\[LeftDoubleBracket]", "3", 
                 "\[RightDoubleBracket]"}]}], ")"}]}]}], 
            "\[IndentingNewLine]", "}"}], "]"}]}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"n", ",", 
         RowBox[{"Length", "[", "rings", "]"}]}], "}"}]}], "]"}]}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DooSabinAltMoment2", "[", 
   RowBox[{"{", 
    RowBox[{"V_", ",", "F_"}], "}"}], "]"}], ":=", 
  RowBox[{"Simplify", "[", 
   RowBox[{"Total", "[", 
    RowBox[{"DooSabinMoment2Vertex", "[", 
     RowBox[{"{", 
      RowBox[{"V", ",", "F"}], "}"}], "]"}], "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.6157754874180384`*^9, 3.6157755205385475`*^9}, {
   3.615775564876728*^9, 3.6157755696518016`*^9}, {3.615780959320586*^9, 
   3.6157810108063774`*^9}, 3.615781078839922*^9, 3.6160569306173515`*^9, {
   3.616056981038126*^9, 3.6160570385090084`*^9}, {3.6160577976231685`*^9, 
   3.6160578575590887`*^9}, {3.6165020694343367`*^9, 3.616502124646495*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"EllipsoidEquivalent", "[", "m_", "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"mat", "=", 
       RowBox[{"(", GridBox[{
          {
           RowBox[{
           "m", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
           RowBox[{
           "m", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
           RowBox[{
           "m", "\[LeftDoubleBracket]", "6", "\[RightDoubleBracket]"}]},
          {
           RowBox[{
           "m", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
           RowBox[{
           "m", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
           RowBox[{
           "m", "\[LeftDoubleBracket]", "5", "\[RightDoubleBracket]"}]},
          {
           RowBox[{
           "m", "\[LeftDoubleBracket]", "6", "\[RightDoubleBracket]"}], 
           RowBox[{
           "m", "\[LeftDoubleBracket]", "5", "\[RightDoubleBracket]"}], 
           RowBox[{"m", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]}
         }], ")"}]}], ",", "val", ",", "vec", ",", "r1", ",", "r2", ",", "r3",
       ",", "sol"}], "}"}], ",", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{"val", ",", "vec"}], "}"}], "=", 
      RowBox[{"Eigensystem", "[", 
       RowBox[{"N", "[", "mat", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"sol", "=", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"r1", ",", "r2", ",", "r3"}], "}"}], "/.", 
       RowBox[{"Chop", "[", 
        RowBox[{"NSolve", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"0", "\[Equal]", "#"}], "&"}], "/@", 
           RowBox[{"(", 
            RowBox[{"val", "-", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                FractionBox["4", "15"], " ", "\[Pi]", " ", 
                SuperscriptBox["r1", "3"], " ", "r2", " ", "r3"}], ",", 
               RowBox[{
                FractionBox["4", "15"], " ", "\[Pi]", " ", "r1", " ", 
                SuperscriptBox["r2", "3"], " ", "r3"}], ",", 
               RowBox[{
                FractionBox["4", "15"], " ", "\[Pi]", " ", "r1", " ", "r2", 
                " ", 
                SuperscriptBox["r3", "3"]}]}], "}"}]}], ")"}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"r1", ",", "r2", ",", "r3"}], "}"}]}], "]"}], "]"}]}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"Select", "[", 
        RowBox[{"sol", ",", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"Im", "[", "#", "]"}], "===", 
            RowBox[{"{", 
             RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "\[And]", 
           RowBox[{"0", "<", 
            RowBox[{
            "#", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
           "\[And]", 
           RowBox[{"0", "<", 
            RowBox[{
            "#", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], 
           "\[And]", 
           RowBox[{"0", "<", 
            RowBox[{
            "#", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]}]}], 
          "&"}]}], "]"}], "\[LeftDoubleBracket]", "1", 
       "\[RightDoubleBracket]"}], " ", "vec"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.6161459050161414`*^9, 3.616145925809331*^9}, {
   3.6161459658726225`*^9, 3.616146031629383*^9}, {3.61614736643673*^9, 
   3.616147367227775*^9}, {3.6162005394384966`*^9, 3.61620056638391*^9}, 
   3.616200647215152*^9, {3.6162007769821453`*^9, 3.6162007867122946`*^9}, {
   3.616200818355281*^9, 3.616201166698131*^9}, {3.6162012083162704`*^9, 
   3.61620128899751*^9}, {3.61620175390215*^9, 3.6162017562071857`*^9}, {
   3.6162051881359167`*^9, 3.616205191715972*^9}}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Demo routine", "Subsection",
 CellChangeTimes->{{3.6066937912720757`*^9, 3.6066938001225815`*^9}, {
  3.615787192794036*^9, 3.6157871948915677`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MeshBounds", "[", 
   RowBox[{"{", 
    RowBox[{"V_", ",", "F_"}], "}"}], "]"}], ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Min", "[", 
       RowBox[{"V", "\[LeftDoubleBracket]", 
        RowBox[{"All", ",", "k"}], "\[RightDoubleBracket]"}], "]"}], ",", 
      RowBox[{"Max", "[", 
       RowBox[{"V", "\[LeftDoubleBracket]", 
        RowBox[{"All", ",", "k"}], "\[RightDoubleBracket]"}], "]"}]}], "}"}], 
    ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "3"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6158559213564243`*^9, 3.615855972019703*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MeshCentroid", "[", 
   RowBox[{"bnd_", ",", "cen_"}], "]"}], ":=", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"cen", "===", 
     RowBox[{"{", "}"}]}], ",", 
    RowBox[{"Graphics3D", "[", 
     RowBox[{"{", "}"}], "]"}], ",", "\[IndentingNewLine]", 
    RowBox[{"With", "[", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"lXa", "=", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"bnd", "\[LeftDoubleBracket]", 
            RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
           RowBox[{
           "cen", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], ",", 
           RowBox[{
           "cen", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]}], 
          "}"}]}], ",", 
        RowBox[{"lXb", "=", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"bnd", "\[LeftDoubleBracket]", 
            RowBox[{"1", ",", "2"}], "\[RightDoubleBracket]"}], ",", 
           RowBox[{
           "cen", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], ",", 
           RowBox[{
           "cen", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]}], 
          "}"}]}], ",", "\[IndentingNewLine]", 
        RowBox[{"lYa", "=", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
           "cen", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], ",", 
           RowBox[{"bnd", "\[LeftDoubleBracket]", 
            RowBox[{"2", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
           RowBox[{
           "cen", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]}], 
          "}"}]}], ",", 
        RowBox[{"lYb", "=", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
           "cen", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], ",", 
           RowBox[{"bnd", "\[LeftDoubleBracket]", 
            RowBox[{"2", ",", "2"}], "\[RightDoubleBracket]"}], ",", 
           RowBox[{
           "cen", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]}], 
          "}"}]}], ",", "\[IndentingNewLine]", 
        RowBox[{"lZa", "=", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
           "cen", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], ",", 
           RowBox[{
           "cen", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], ",", 
           RowBox[{"bnd", "\[LeftDoubleBracket]", 
            RowBox[{"3", ",", "1"}], "\[RightDoubleBracket]"}]}], "}"}]}], 
        ",", 
        RowBox[{"lZb", "=", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
           "cen", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], ",", 
           RowBox[{
           "cen", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], ",", 
           RowBox[{"bnd", "\[LeftDoubleBracket]", 
            RowBox[{"3", ",", "2"}], "\[RightDoubleBracket]"}]}], "}"}]}]}], 
       "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Graphics3D", "[", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"Purple", ",", 
           RowBox[{"PointSize", "[", ".04", "]"}], ",", 
           RowBox[{"Point", "/@", 
            RowBox[{"{", 
             RowBox[{
             "lXa", ",", "lXb", ",", "lYa", ",", "lYb", ",", "lZa", ",", 
              "lZb"}], "}"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"Thick", ",", "Pink", ",", "\[IndentingNewLine]", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{"lXa", ",", "lXb"}], "}"}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{"lYa", ",", "lYb"}], "}"}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{"lZa", ",", "lZb"}], "}"}], "]"}]}], "}"}]}], "}"}], 
       "]"}]}], "]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.615857338073185*^9, 3.6158575215385027`*^9}, {
  3.615857756237108*^9, 3.615857774689891*^9}, {3.6158578234756403`*^9, 
  3.615857934214842*^9}, {3.615857973605447*^9, 3.6158580543266864`*^9}, {
  3.6158582077190423`*^9, 3.615858230191888*^9}, {3.616058482840972*^9, 
  3.6160584964961815`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MeshInertia", "[", 
   RowBox[{"cen_", ",", "m_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"vec", ",", "Ellipse"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"Ellipse", "[", 
       RowBox[{"v1_", ",", "v2_"}], "]"}], ":=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"cen", "+", 
         RowBox[{
          RowBox[{"Cos", "[", "t", "]"}], "v1"}], "+", 
         RowBox[{
          RowBox[{"Sin", "[", "t", "]"}], "v2"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", 
          RowBox[{
           RowBox[{"2", "\[Pi]"}], "+", "1.*^-6"}], ",", 
          RowBox[{"2", 
           RowBox[{"\[Pi]", "/", "50."}]}]}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"vec", "=", 
      RowBox[{"EllipsoidEquivalent", "[", "m", "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Graphics3D", "[", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{"Thick", ",", "\[IndentingNewLine]", "Red", ",", 
        RowBox[{"Line", "[", 
         RowBox[{"Ellipse", "[", 
          RowBox[{
           RowBox[{
           "vec", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], ",", 
           RowBox[{
           "vec", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], 
          "]"}], "]"}], ",", "\[IndentingNewLine]", "Green", ",", 
        RowBox[{"Line", "[", 
         RowBox[{"Ellipse", "[", 
          RowBox[{
           RowBox[{
           "vec", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], ",", 
           RowBox[{
           "vec", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]}], 
          "]"}], "]"}], ",", "\[IndentingNewLine]", "Blue", ",", 
        RowBox[{"Line", "[", 
         RowBox[{"Ellipse", "[", 
          RowBox[{
           RowBox[{
           "vec", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], ",", 
           RowBox[{
           "vec", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
          "]"}], "]"}]}], "\[IndentingNewLine]", "}"}], "]"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.6162052137663107`*^9, 3.616205238804195*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"DooSabinDemo", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"V_", ",", "F_"}], "}"}], ",", 
    RowBox[{"depth_:", "3"}]}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"V1", "=", "V"}], ",", 
      RowBox[{"F1", "=", "F"}], ",", "Vd", ",", "Fd", ",", "img", ",", 
      "delta", ",", 
      RowBox[{"lst", "=", 
       RowBox[{"{", "}"}]}], ",", "fcv", ",", "\[IndentingNewLine]", 
      RowBox[{"bnd", "=", 
       RowBox[{"MeshBounds", "[", 
        RowBox[{"{", 
         RowBox[{"V", ",", "F"}], "}"}], "]"}]}], ",", "vol", ",", "inf", ",",
       "val", ",", 
      RowBox[{"elp", "=", 
       RowBox[{"{", "}"}]}], ",", 
      RowBox[{"cen", "=", 
       RowBox[{"{", "}"}]}], ",", 
      RowBox[{"cmp", "=", 
       RowBox[{"{", "}"}]}], ",", "sub", ",", 
      RowBox[{"ine", "=", 
       RowBox[{"{", 
        RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "5", ",", "6"}], 
        "}"}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"size", "=", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Length", "[", "V", "]"}], "<", "100"}], ",", "160", ",", 
         "160"}], "]"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"size", "=", "160"}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Length", "[", "V", "]"}], "<", "100"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Print", "[", 
        RowBox[{"TableForm", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
            "\"\<Vertices \[DownArrow]\>\"", ",", 
             "\"\<Faces \[DownArrow]\>\""}], "}"}], ",", 
           RowBox[{"MatrixForm", "/@", 
            RowBox[{"{", 
             RowBox[{"V", ",", "F"}], "}"}]}]}], "}"}], "]"}], "]"}]}], "]"}],
      ";", "\[IndentingNewLine]", 
     RowBox[{"sub", "=", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"And", "@@", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"Length", "[", "#", "]"}], "\[Equal]", "4"}], "&"}], "/@",
            "F"}], ")"}]}], ",", "1", ",", "2"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{"V1", ",", "F1"}], "}"}], "=", 
         RowBox[{"DooSabinSubdivide", "[", 
          RowBox[{"{", 
           RowBox[{"V1", ",", "F1"}], "}"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"sub", "\[Equal]", "k"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"inf", "=", 
            RowBox[{"DooSabinVolume", "[", 
             RowBox[{"{", 
              RowBox[{"V1", ",", "F1"}], "}"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"val", "=", 
            RowBox[{"DooSabinValences", "[", 
             RowBox[{"{", 
              RowBox[{"V1", ",", "F1"}], "}"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"cen", "=", 
            RowBox[{"Simplify", "[", 
             RowBox[{
              RowBox[{"DooSabinMoment1", "[", 
               RowBox[{"{", 
                RowBox[{"V1", ",", "F1"}], "}"}], "]"}], "/", "inf"}], 
             "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"SubsetQ", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"3", ",", "4"}], "}"}], ",", "val"}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"ine", "=", 
               RowBox[{"DooSabinMoment2", "[", 
                RowBox[{"TranslateMesh", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"V1", ",", "F1"}], "}"}], ",", 
                  RowBox[{"-", "cen"}]}], "]"}], "]"}]}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"elp", "=", 
               RowBox[{"MeshInertia", "[", 
                RowBox[{"cen", ",", "ine"}], "]"}]}], ";"}]}], 
            "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"img", "=", 
            RowBox[{"Rasterize", "[", 
             RowBox[{
              RowBox[{"Show", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"PlotMesh", "[", 
                   RowBox[{"{", 
                    RowBox[{"V", ",", "F"}], "}"}], "]"}], ",", 
                  RowBox[{"MeshCentroid", "[", 
                   RowBox[{"bnd", ",", "cen"}], "]"}], ",", "elp"}], "}"}], 
                ",", 
                RowBox[{"Axes", "\[Rule]", "False"}], ",", 
                RowBox[{"PlotRangePadding", "\[Rule]", "None"}], ",", 
                RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
                RowBox[{"ImageSize", "\[Rule]", "size"}]}], "]"}], ",", 
              RowBox[{"ImageResolution", "\[Rule]", "size"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"PrependTo", "[", 
            RowBox[{"lst", ",", "img"}], "]"}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"img", "=", 
         RowBox[{"Rasterize", "[", 
          RowBox[{
           RowBox[{"Show", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"sub", "\[LessEqual]", "k"}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"fcv", "=", 
                   RowBox[{"DooSabinVolumeVertex", "[", 
                    RowBox[{"NumericMesh", "[", 
                    RowBox[{"{", 
                    RowBox[{"V1", ",", "F1"}], "}"}], "]"}], "]"}]}], ";", 
                  "\[IndentingNewLine]", 
                  RowBox[{"AppendTo", "[", 
                   RowBox[{"cmp", ",", 
                    RowBox[{"Total", "[", "fcv", "]"}]}], "]"}], ";", 
                  "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"Vd", ",", "Fd"}], "}"}], "=", 
                   RowBox[{"DualMesh", "[", 
                    RowBox[{"{", 
                    RowBox[{"V1", ",", "F1"}], "}"}], "]"}]}], ";", 
                  "\[IndentingNewLine]", 
                  RowBox[{"PlotMesh", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"Vd", ",", "Fd"}], "}"}], ",", "fcv"}], "]"}]}], 
                 ",", "\[IndentingNewLine]", 
                 RowBox[{"PlotMesh", "[", 
                  RowBox[{"{", 
                   RowBox[{"V1", ",", "F1"}], "}"}], "]"}]}], 
                "\[IndentingNewLine]", "]"}], ",", 
               RowBox[{"MeshCentroid", "[", 
                RowBox[{"bnd", ",", "cen"}], "]"}], ",", "elp"}], "}"}], 
             "\[IndentingNewLine]", ",", 
             RowBox[{"Axes", "\[Rule]", "False"}], ",", 
             RowBox[{"PlotRangePadding", "\[Rule]", "None"}], ",", 
             RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "size"}]}], "]"}], ",", 
           RowBox[{"ImageResolution", "\[Rule]", "size"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"lst", ",", "img"}], "]"}], ";"}], "\[IndentingNewLine]", 
       ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "depth"}], "}"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"delta", "=", "0"}], ";", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{"delta", "=", 
        RowBox[{"N", "[", 
         RowBox[{"vls", "-", "inf"}], "]"}]}], ";"}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"Print", "[", "lst", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Print", "[", 
      RowBox[{"\"\<Required valences \[Tau](f) \[Element] \>\"", "<>", 
       RowBox[{"ToString", "[", "val", "]"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Print", "[", 
      RowBox[{"\"\<Limit volume \[DownArrow] \>\"", "<>", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"InexactNumberQ", "[", "inf", "]"}], "\[Equal]", "False"}], 
         ",", 
         RowBox[{"\"\<(\[TildeTilde]\>\"", "<>", 
          RowBox[{"ToString", "[", 
           RowBox[{"N", "[", 
            RowBox[{"inf", ",", "30"}], "]"}], "]"}], "<>", "\"\<)\>\""}], 
         ",", "\"\<\>\""}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Print", "[", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"InexactNumberQ", "[", "inf", "]"}], "\[Equal]", "False"}], 
        ",", "inf", ",", 
        RowBox[{"ToString", "[", 
         RowBox[{"InputForm", "[", "inf", "]"}], "]"}]}], "]"}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"cmp", "=", 
      RowBox[{"Union", "[", 
       RowBox[{"Chop", "[", 
        RowBox[{"cmp", "-", "inf"}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"1", "<", 
        RowBox[{"Length", "[", "cmp", "]"}]}], ",", 
       RowBox[{"Print", "[", "cmp", "]"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Print", "[", "\"\<Limit centroid \[DownArrow] \>\"", "]"}], ";",
      "\[IndentingNewLine]", 
     RowBox[{"Print", "[", 
      RowBox[{"TableForm", "[", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"{", 
             RowBox[{"\"\<x\>\"", ",", "\"\<y\>\"", ",", "\"\<z\>\""}], "}"}],
             "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"InexactNumberQ", "[", 
               RowBox[{
               "cen", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
               "]"}], "\[Equal]", "False"}], ",", 
             RowBox[{
             "cen", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
             ",", 
             RowBox[{"ToString", "[", 
              RowBox[{"InputForm", "[", 
               RowBox[{
               "cen", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
               "]"}], "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"InexactNumberQ", "[", 
               RowBox[{
               "cen", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
               "]"}], "\[Equal]", "False"}], ",", "\[IndentingNewLine]", 
             RowBox[{"\"\<(\[TildeTilde]\>\"", "<>", 
              RowBox[{"ToString", "[", 
               RowBox[{"N", "[", 
                RowBox[{
                 RowBox[{
                 "cen", "\[LeftDoubleBracket]", "k", 
                  "\[RightDoubleBracket]"}], ",", "30"}], "]"}], "]"}], "<>", 
              "\"\<)\>\""}], ",", "\"\<\>\""}], "]"}]}], 
          "\[IndentingNewLine]", "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "3"}], "}"}]}], "]"}], "]"}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"SubsetQ", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"3", ",", "4"}], "}"}], ",", "val"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Print", "[", "\"\<Limit inertia \[DownArrow] \>\"", "]"}], 
        ";", "\[IndentingNewLine]", 
        RowBox[{"Print", "[", 
         RowBox[{"TableForm", "[", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                "\"\<xx\>\"", ",", "\"\<yy\>\"", ",", "\"\<zz\>\"", ",", 
                 "\"\<xy\>\"", ",", "\"\<yz\>\"", ",", "\"\<zx\>\""}], "}"}], 
               "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"InexactNumberQ", "[", 
                  RowBox[{
                  "ine", "\[LeftDoubleBracket]", "k", 
                   "\[RightDoubleBracket]"}], "]"}], "\[Equal]", "False"}], 
                ",", 
                RowBox[{
                "ine", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}],
                 ",", 
                RowBox[{"ToString", "[", 
                 RowBox[{"InputForm", "[", 
                  RowBox[{
                  "ine", "\[LeftDoubleBracket]", "k", 
                   "\[RightDoubleBracket]"}], "]"}], "]"}]}], "]"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"InexactNumberQ", "[", 
                  RowBox[{
                  "ine", "\[LeftDoubleBracket]", "k", 
                   "\[RightDoubleBracket]"}], "]"}], "\[Equal]", "False"}], 
                ",", "\[IndentingNewLine]", 
                RowBox[{"\"\<(\[TildeTilde]\>\"", "<>", 
                 RowBox[{"ToString", "[", 
                  RowBox[{"N", "[", 
                   RowBox[{
                    RowBox[{
                    "ine", "\[LeftDoubleBracket]", "k", 
                    "\[RightDoubleBracket]"}], ",", "30"}], "]"}], "]"}], 
                 "<>", "\"\<)\>\""}], ",", "\"\<\>\""}], "]"}]}], 
             "\[IndentingNewLine]", "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"k", ",", "6"}], "}"}]}], "]"}], "]"}], "]"}], ";"}]}], 
      "\[IndentingNewLine]", "]"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.6056947444118834`*^9, 3.605694806787451*^9}, {
   3.6056948914532933`*^9, 3.605694915195651*^9}, {3.605694994686198*^9, 
   3.6056950366906004`*^9}, {3.6056951609467077`*^9, 
   3.6056952028411036`*^9}, {3.6056969226214695`*^9, 
   3.6056969230554943`*^9}, {3.605823698784614*^9, 3.6058237007427263`*^9}, 
   3.6064761536220045`*^9, 3.6065188943384314`*^9, {3.6066923697257676`*^9, 
   3.606692389333889*^9}, {3.606692449893353*^9, 3.606692450132367*^9}, {
   3.606692486065422*^9, 3.606692531680031*^9}, {3.606692564236893*^9, 
   3.60669288587929*^9}, {3.606692925815574*^9, 3.6066929294527826`*^9}, {
   3.6066929697830887`*^9, 3.6066931347265234`*^9}, {3.6066933434764633`*^9, 
   3.60669334499355*^9}, 3.6066934910919065`*^9, 3.606693534668399*^9, {
   3.606693648999938*^9, 3.6066936496419744`*^9}, {3.606734825537229*^9, 
   3.606734861201269*^9}, {3.6067349274160557`*^9, 3.6067349318013067`*^9}, {
   3.606735022009466*^9, 3.6067350891763086`*^9}, {3.6067362559900465`*^9, 
   3.6067362585101905`*^9}, {3.606887000696624*^9, 3.6068870053108883`*^9}, {
   3.6075023593124933`*^9, 3.6075023610295916`*^9}, {3.6075049745180745`*^9, 
   3.6075049929951315`*^9}, 3.607505031546336*^9, {3.6075489134053416`*^9, 
   3.607548937696731*^9}, {3.60884976066334*^9, 3.6088498906907773`*^9}, {
   3.6088510679811144`*^9, 3.608851069794218*^9}, 3.60887855569582*^9, {
   3.60887859434103*^9, 3.6088786177623696`*^9}, {3.608878657565646*^9, 
   3.608878668278259*^9}, {3.6088788849636526`*^9, 3.608878919898651*^9}, {
   3.6088789706975565`*^9, 3.6088791536280193`*^9}, {3.6088793316272*^9, 
   3.6088793699183903`*^9}, {3.6088794088786187`*^9, 
   3.6088794907833033`*^9}, {3.608879708466754*^9, 3.608879709479812*^9}, {
   3.608879853879071*^9, 3.608879855863185*^9}, 3.60888016645395*^9, {
   3.608880211084502*^9, 3.60888040615366*^9}, {3.60888044636296*^9, 
   3.6088804915785456`*^9}, {3.6088805632586455`*^9, 3.60888057365024*^9}, {
   3.6088806831955056`*^9, 3.6088806898038836`*^9}, {3.6088807235598145`*^9, 
   3.60888074761419*^9}, {3.608880784170281*^9, 3.608880813090935*^9}, {
   3.6088808462088294`*^9, 3.6088808918614407`*^9}, {3.6088809690098534`*^9, 
   3.6088810079230785`*^9}, {3.6088812771254764`*^9, 
   3.6088813452933755`*^9}, {3.6088813766451683`*^9, 3.608881414150314*^9}, {
   3.6088814971000586`*^9, 3.6088815481039753`*^9}, {3.6088815784817133`*^9, 
   3.6088816255384045`*^9}, {3.608881666332738*^9, 3.608881669065894*^9}, {
   3.6088820175898285`*^9, 3.6088820477705545`*^9}, {3.608882078439309*^9, 
   3.6088820821705227`*^9}, {3.6088829049675837`*^9, 3.608882950733201*^9}, {
   3.6088831156606345`*^9, 3.608883179756301*^9}, {3.608884194618347*^9, 
   3.6088842263621635`*^9}, {3.60888612833095*^9, 3.60888612903399*^9}, {
   3.608886198866984*^9, 3.6088862516050005`*^9}, {3.6088863013248444`*^9, 
   3.608886304976053*^9}, {3.6088895093103304`*^9, 3.6088895106854095`*^9}, {
   3.609020219209234*^9, 3.60902022106434*^9}, {3.609020435304594*^9, 
   3.60902058611022*^9}, 3.6090217565751667`*^9, {3.6090497250545545`*^9, 
   3.60904976763399*^9}, {3.609049820416009*^9, 3.609049896647369*^9}, {
   3.609050281988409*^9, 3.609050347644164*^9}, {3.609050384175254*^9, 
   3.6090504081196237`*^9}, {3.609050445596767*^9, 3.609050447673886*^9}, {
   3.6090505058842154`*^9, 3.609050508291353*^9}, {3.615787306215778*^9, 
   3.6157873501289525`*^9}, {3.615787403234768*^9, 3.615787471570818*^9}, {
   3.615787535061793*^9, 3.6157875659372673`*^9}, {3.615849761471802*^9, 
   3.615849766466879*^9}, {3.6158498362829514`*^9, 3.6158498560332546`*^9}, {
   3.615849940892058*^9, 3.6158499978854337`*^9}, {3.615850040568589*^9, 
   3.6158501891033707`*^9}, {3.6158568057900095`*^9, 
   3.6158568406780453`*^9}, {3.6158569026789975`*^9, 
   3.6158569218692923`*^9}, {3.6158569815302086`*^9, 3.615857019783296*^9}, {
   3.6158575325236716`*^9, 3.6158575411113033`*^9}, {3.61585758905704*^9, 
   3.6158576192675037`*^9}, {3.6158576862310324`*^9, 3.615857718286525*^9}, {
   3.6158582554947767`*^9, 3.615858258707326*^9}, 3.6158583136756697`*^9, {
   3.6158583659089727`*^9, 3.615858394666914*^9}, {3.615899468531582*^9, 
   3.6158994757619953`*^9}, {3.615947561321738*^9, 3.6159475618907704`*^9}, {
   3.61605851657399*^9, 3.616058539024335*^9}, {3.616058674818921*^9, 
   3.616058792758232*^9}, {3.6162017980053277`*^9, 3.616201816185607*^9}, {
   3.6162018821666203`*^9, 3.6162018846391582`*^9}, {3.6162020094995766`*^9, 
   3.616202035314973*^9}, {3.616202065797941*^9, 3.61620210543605*^9}, 
   3.6162025442977905`*^9, {3.6162421031715713`*^9, 3.616242105338695*^9}, 
   3.616242219851245*^9, {3.6189004108362017`*^9, 3.6189004110902157`*^9}, 
   3.618900529626996*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Mesh examples", "Subsection",
 CellChangeTimes->{{3.6066937912720757`*^9, 3.6066938001225815`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"CubeMesh", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"(", GridBox[{
        {"0", "0", "0"},
        {"1", "0", "0"},
        {"0", "1", "0"},
        {"1", "1", "0"},
        {"0", "0", "1"},
        {"1", "0", "1"},
        {"0", "1", "1"},
        {"1", "1", "1"}
       }], ")"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "2", ",", "6", ",", "5"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"3", ",", "4", ",", "2", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"4", ",", "8", ",", "6", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"5", ",", "6", ",", "8", ",", "7"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"7", ",", "8", ",", "4", ",", "3"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"7", ",", "3", ",", "1", ",", "5"}], "}"}]}], "}"}]}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"CornerMesh", "=", 
   RowBox[{"{", 
    RowBox[{
     TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {"0", "0", "0"},
         {"1", "0", "0"},
         {"0", "1", "0"},
         {"1", "1", "0"},
         {"0", "0", "1"},
         {"1", "0", "1"},
         {"0", "1", "1"},
         {"1", "1", "1"},
         {"1", "0", "2"},
         {"1", "1", "2"},
         {"2", "0", "0"},
         {"2", "1", "0"},
         {"2", "0", "1"},
         {"2", "1", "1"},
         {"2", "0", "2"},
         {"2", "1", "2"}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
      Function[BoxForm`e$, 
       MatrixForm[BoxForm`e$]]], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "2", ",", "6", ",", "5"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"3", ",", "4", ",", "2", ",", "1"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"5", ",", "6", ",", "8", ",", "7"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"7", ",", "8", ",", "4", ",", "3"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"7", ",", "3", ",", "1", ",", "5"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"2", ",", "11", ",", "13", ",", "6"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"6", ",", "13", ",", "15", ",", "9"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"4", ",", "12", ",", "11", ",", "2"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"12", ",", "14", ",", "13", ",", "11"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"14", ",", "16", ",", "15", ",", "13"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"9", ",", "15", ",", "16", ",", "10"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"6", ",", "9", ",", "10", ",", "8"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"4", ",", "8", ",", "14", ",", "12"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"8", ",", "10", ",", "16", ",", "14"}], "}"}]}], "}"}]}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"TripodMesh", "=", 
    RowBox[{"{", 
     RowBox[{
      TagBox[
       RowBox[{"(", "\[NoBreak]", GridBox[{
          {"0", "0", "0"},
          {"1", "0", "0"},
          {"0", "1", "0"},
          {"1", "1", "0"},
          {"0", "0", "1"},
          {"1", "0", "1"},
          {"0", "1", "1"},
          {"1", "1", "1"},
          {"1", "0", "2"},
          {"1", "1", "2"},
          {"2", "0", "0"},
          {"2", "1", "0"},
          {"2", "0", "1"},
          {"2", "1", "1"},
          {"2", "0", "2"},
          {"2", "1", "2"},
          {"1", 
           RowBox[{"-", "1"}], "0"},
          {"2", 
           RowBox[{"-", "1"}], "0"},
          {"1", 
           RowBox[{"-", "1"}], "1"},
          {"2", 
           RowBox[{"-", "1"}], "1"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.7]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
       Function[BoxForm`e$, 
        MatrixForm[BoxForm`e$]]], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", "2", ",", "6", ",", "5"}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"3", ",", "4", ",", "2", ",", "1"}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"5", ",", "6", ",", "8", ",", "7"}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"7", ",", "8", ",", "4", ",", "3"}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"7", ",", "3", ",", "1", ",", "5"}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"6", ",", "13", ",", "15", ",", "9"}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"4", ",", "12", ",", "11", ",", "2"}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"12", ",", "14", ",", "13", ",", "11"}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"14", ",", "16", ",", "15", ",", "13"}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"9", ",", "15", ",", "16", ",", "10"}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"6", ",", "9", ",", "10", ",", "8"}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"4", ",", "8", ",", "14", ",", "12"}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"8", ",", "10", ",", "16", ",", "14"}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"17", ",", "18", ",", "20", ",", "19"}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"19", ",", "20", ",", "13", ",", "6"}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"11", ",", "13", ",", "20", ",", "18"}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"11", ",", "18", ",", "17", ",", "2"}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"17", ",", "19", ",", "6", ",", "2"}], "}"}]}], "}"}]}], 
     "}"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TetrahedronMesh", "=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"A", "=", 
       RowBox[{"(", GridBox[{
          {"1", 
           FractionBox["1", "2"], 
           FractionBox["1", "2"]},
          {"0", 
           FractionBox[
            SqrtBox["3"], "2"], 
           FractionBox["1", 
            RowBox[{"2", 
             SqrtBox["3"]}]]},
          {"0", "0", 
           SqrtBox[
            FractionBox["2", "3"]]}
         }], ")"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"(", GridBox[{
           {"0", "0", "0"},
           {"1", "0", "0"},
           {"0", "1", "0"},
           {"0", "0", "1"}
          }], ")"}], ".", 
        RowBox[{"Transpose", "[", "A", "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"1", ",", "2", ",", "4"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "2", ",", "3"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "4", ",", "3"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"2", ",", "1", ",", "3"}], "}"}]}], "}"}]}], "}"}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"OctahedronMesh", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"(", GridBox[{
        {"0", "0", "0"},
        {"1", "0", "0"},
        {"1", "1", "0"},
        {"0", "1", "0"},
        {
         RowBox[{"1", "/", "2"}], 
         RowBox[{"1", "/", "2"}], 
         RowBox[{"1", "/", 
          SqrtBox["2"]}]},
        {
         RowBox[{"1", "/", "2"}], 
         RowBox[{"1", "/", "2"}], 
         RowBox[{
          RowBox[{"-", "1"}], "/", 
          SqrtBox["2"]}]}
       }], ")"}], ",", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "2", ",", "5"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"2", ",", "3", ",", "5"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"3", ",", "4", ",", "5"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"4", ",", "1", ",", "5"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"6", ",", "2", ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"6", ",", "3", ",", "2"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"6", ",", "4", ",", "3"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"6", ",", "1", ",", "4"}], "}"}]}], "\[IndentingNewLine]", 
      "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TriQuadPrismMesh", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"(", GridBox[{
        {"0", "0", "0"},
        {"1", "0", "0"},
        {
         RowBox[{"1", "/", "2"}], 
         FractionBox[
          SqrtBox["3"], "2"], "0"},
        {"0", "0", "1"},
        {"1", "0", "1"},
        {
         RowBox[{"1", "/", "2"}], 
         FractionBox[
          SqrtBox["3"], "2"], "1"}
       }], ")"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "3", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "2", ",", "5", ",", "4"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"4", ",", "5", ",", "6"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"2", ",", "3", ",", "6", ",", "5"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"3", ",", "1", ",", "4", ",", "6"}], "}"}]}], "}"}]}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TwistedPrismMesh", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"(", GridBox[{
        {"0", "0", "0"},
        {"1", "0", "0"},
        {"0", "1", "0"},
        {"0", "0", "1"},
        {"1", "0", "1"},
        {"0", "1", "1"}
       }], ")"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "2", ",", "4"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"4", ",", "2", ",", "5"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"4", ",", "5", ",", "6"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"2", ",", "1", ",", "3"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"5", ",", "2", ",", "6"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"6", ",", "2", ",", "3"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"1", ",", "4", ",", "6"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"1", ",", "6", ",", "3"}], "}"}]}], "}"}]}], "}"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.606693175688866*^9, 3.6066931925668316`*^9}, {
   3.6066934092942276`*^9, 3.6066934695606747`*^9}, {3.6066936984677677`*^9, 
   3.6066937331517515`*^9}, {3.606693785456743*^9, 3.6066937858307643`*^9}, {
   3.606694300801219*^9, 3.6066943224624577`*^9}, {3.6066944264494057`*^9, 
   3.6066944405282106`*^9}, {3.6066944879599237`*^9, 
   3.6066944972164536`*^9}, {3.6088434287549133`*^9, 
   3.6088434886233373`*^9}, {3.615898651235835*^9, 3.6158986516428585`*^9}, 
   3.615899183188261*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"TorusMesh", "=", 
   RowBox[{"{", 
    RowBox[{
     TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {
          RowBox[{"3", "/", "2"}], "0", "0"},
         {"1.2135254915624212`", "0.8816778784387097`", "0"},
         {"0.4635254915624212`", "1.4265847744427302`", "0"},
         {
          RowBox[{"-", "0.463525491562421`"}], "1.4265847744427305`", "0"},
         {
          RowBox[{"-", "1.213525491562421`"}], "0.8816778784387098`", "0"},
         {
          RowBox[{
           RowBox[{"-", "3"}], "/", "2"}], "0", "0"},
         {
          RowBox[{"-", "1.2135254915624212`"}], 
          RowBox[{"-", "0.8816778784387096`"}], "0"},
         {
          RowBox[{"-", "0.46352549156242134`"}], 
          RowBox[{"-", "1.4265847744427302`"}], "0"},
         {"0.46352549156242084`", 
          RowBox[{"-", "1.4265847744427305`"}], "0"},
         {"1.213525491562421`", 
          RowBox[{"-", "0.88167787843871`"}], "0"},
         {"1", "0", 
          RowBox[{"1", "/", "2"}]},
         {
          RowBox[{"1", "/", "2"}], "0.8660254037844386`", 
          RowBox[{"1", "/", "2"}]},
         {
          RowBox[{
           RowBox[{"-", "1"}], "/", "2"}], "0.8660254037844387`", 
          RowBox[{"1", "/", "2"}]},
         {
          RowBox[{"-", "1"}], "0", 
          RowBox[{"1", "/", "2"}]},
         {
          RowBox[{
           RowBox[{"-", "1"}], "/", "2"}], 
          RowBox[{"-", "0.8660254037844385`"}], 
          RowBox[{"1", "/", "2"}]},
         {
          RowBox[{"1", "/", "2"}], 
          RowBox[{"-", "0.8660254037844386`"}], 
          RowBox[{"1", "/", "2"}]},
         {
          RowBox[{"1", "/", "2"}], "0", "0"},
         {
          RowBox[{
           RowBox[{"-", "1"}], "/", "4"}], "0.43301270189221935`", "0"},
         {
          RowBox[{
           RowBox[{"-", "1"}], "/", "4"}], 
          RowBox[{"-", "0.43301270189221924`"}], "0"},
         {"1", "0", 
          RowBox[{
           RowBox[{"-", "1"}], "/", "2"}]},
         {
          RowBox[{"1", "/", "2"}], "0.8660254037844385`", 
          RowBox[{
           RowBox[{"-", "1"}], "/", "2"}]},
         {
          RowBox[{
           RowBox[{"-", "1"}], "/", "2"}], "0.8660254037844386`", 
          RowBox[{
           RowBox[{"-", "1"}], "/", "2"}]},
         {
          RowBox[{"-", "1"}], "0", 
          RowBox[{
           RowBox[{"-", "1"}], "/", "2"}]},
         {
          RowBox[{
           RowBox[{"-", "1"}], "/", "2"}], 
          RowBox[{"-", "0.8660254037844384`"}], 
          RowBox[{
           RowBox[{"-", "1"}], "/", "2"}]},
         {
          RowBox[{"1", "/", "2"}], 
          RowBox[{"-", "0.8660254037844385`"}], 
          RowBox[{
           RowBox[{"-", "1"}], "/", "2"}]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
      Function[BoxForm`e$, 
       MatrixForm[BoxForm`e$]]], ",", "\[IndentingNewLine]", 
     TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {"3", "4", "13"},
         {"12", "2", "3"},
         {"18", "13", "14"},
         {"23", "18", "19"},
         {"21", "20", "17"},
         {"22", "4", "3"},
         {"24", "19", "25"},
         {"8", "24", "9"},
         {"7", "6", "23"},
         {"6", "14", "5"},
         {"14", "13", "5"},
         {"11", "1", "2"},
         {"12", "3", "13"},
         {"13", "4", "5"},
         {"18", "12", "13"},
         {"11", "2", "12"},
         {"10", "16", "9"},
         {"19", "18", "14"},
         {"17", "11", "12"},
         {"18", "17", "12"},
         {"2", "20", "21"},
         {"23", "5", "22"},
         {"2", "1", "20"},
         {"3", "2", "21"},
         {"22", "3", "21"},
         {"22", "5", "4"},
         {"24", "23", "19"},
         {"21", "17", "18"},
         {"18", "22", "21"},
         {"23", "6", "5"},
         {"18", "23", "22"},
         {"24", "7", "23"},
         {"7", "24", "8"},
         {"24", "25", "9"},
         {"25", "10", "9"},
         {"25", "19", "17"},
         {"25", "20", "10"},
         {"10", "20", "1"},
         {"25", "17", "20"},
         {"16", "10", "11"},
         {"19", "16", "17"},
         {"16", "15", "9"},
         {"19", "14", "15"},
         {"17", "16", "11"},
         {"19", "15", "16"},
         {"7", "14", "6"},
         {"15", "14", "7"},
         {"15", "8", "9"},
         {"15", "7", "8"},
         {"10", "1", "11"}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
      Function[BoxForm`e$, 
       MatrixForm[BoxForm`e$]]]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.606694128983392*^9, 3.60669414801748*^9}, {
  3.6088426029046774`*^9, 3.6088426832282715`*^9}, {3.608842745425829*^9, 
  3.6088428057522793`*^9}, {3.60884346279786*^9, 3.6088434648269763`*^9}}],

Cell[CellGroupData[{

Cell["Recent additions", "Subsubsection",
 CellChangeTimes->{{3.61589919191376*^9, 3.6158992010672836`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"CubePeakMesh", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"(", GridBox[{
         {"0", "0", "0"},
         {"1", "0", "0"},
         {"0", "1", "0"},
         {"1", "1", "0"},
         {"0", "0", "1"},
         {"1", "0", "1"},
         {"0", "1", "1"},
         {"1", "1", "2"}
        }], ")"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", "2", ",", "6", ",", "5"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"3", ",", "4", ",", "2", ",", "1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"4", ",", "8", ",", "6", ",", "2"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"5", ",", "6", ",", "8", ",", "7"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"7", ",", "8", ",", "4", ",", "3"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"7", ",", "3", ",", "1", ",", "5"}], "}"}]}], "}"}]}], 
     "}"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"CubePeak2Mesh", "=", 
   RowBox[{"{", 
    RowBox[{
     TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {"0", "0", "0"},
         {"1", "0", "0"},
         {"0", "1", "0"},
         {"1", "1", "0"},
         {"0", "0", "1"},
         {"1", "0", "1"},
         {"0", "1", "1"},
         {"1", "1", "2"}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
      Function[BoxForm`e$, 
       MatrixForm[BoxForm`e$]]], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "2", ",", "6", ",", "5"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"3", ",", "4", ",", "2", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"4", ",", "8", ",", "6", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"7", ",", "8", ",", "4", ",", "3"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"7", ",", "3", ",", "1", ",", "5"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"5", ",", "6", ",", "7"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"7", ",", "6", ",", "8"}], "}"}]}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"CubePeak3Mesh", "=", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {"0", "0", "0"},
         {"1", "0", "0"},
         {"0", "1", "0"},
         {"1", "1", "0"},
         {"0", "0", "1"},
         {"1", "0", "1"},
         {"0", "1", "2"},
         {"1", "1", "2"}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
      Function[BoxForm`e$, 
       MatrixForm[BoxForm`e$]]], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "2", ",", "6", ",", "5"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"3", ",", "4", ",", "2", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"4", ",", "8", ",", "6", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"7", ",", "8", ",", "4", ",", "3"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"7", ",", "3", ",", "1", ",", "5"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"5", ",", "6", ",", "7"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"7", ",", "6", ",", "8"}], "}"}]}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"KeilMesh", "=", 
   RowBox[{"{", 
    RowBox[{
     TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {"0", "0", "0"},
         {"1", "0", "0"},
         {"0", "1", "0"},
         {"1", "1", "0"},
         {"0", "0", "1"},
         {"1", "0", "2"},
         {"0", "1", "2"},
         {"1", "1", "1"}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
      Function[BoxForm`e$, 
       MatrixForm[BoxForm`e$]]], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "2", ",", "6", ",", "5"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"3", ",", "4", ",", "2", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"4", ",", "8", ",", "6", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"7", ",", "8", ",", "4", ",", "3"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"7", ",", "3", ",", "1", ",", "5"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"5", ",", "6", ",", "7"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"7", ",", "6", ",", "8"}], "}"}]}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"KeilCubeMesh", "=", 
    RowBox[{"{", 
     RowBox[{
      TagBox[
       RowBox[{"(", "\[NoBreak]", GridBox[{
          {"0", "0", "0"},
          {"1", "0", "0"},
          {"0", "1", "0"},
          {"1", "1", "0"},
          {"0", "0", "1"},
          {"1", "0", "2"},
          {"0", "1", "2"},
          {"1", "1", "1"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.7]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
       Function[BoxForm`e$, 
        MatrixForm[BoxForm`e$]]], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", "2", ",", "6", ",", "5"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"3", ",", "4", ",", "2", ",", "1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"4", ",", "8", ",", "6", ",", "2"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"7", ",", "8", ",", "4", ",", "3"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"7", ",", "3", ",", "1", ",", "5"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"5", ",", "6", ",", "8", ",", "7"}], "}"}]}], "}"}]}], 
     "}"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"CornerReducedMesh", "=", 
   RowBox[{"{", 
    RowBox[{
     TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {"0", "0", "0"},
         {"0", "1", "0"},
         {"0", "0", "1"},
         {"1", "0", "1"},
         {"0", "1", "1"},
         {"1", "1", "1"},
         {"1", "0", "2"},
         {"1", "1", "2"},
         {"2", "0", "0"},
         {"2", "1", "0"},
         {"2", "0", "2"},
         {"2", "1", "2"}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
      Function[BoxForm`e$, 
       MatrixForm[BoxForm`e$]]], ",", 
     TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {"1", "9", "4", "3"},
         {"2", "10", "9", "1"},
         {"3", "4", "6", "5"},
         {"5", "6", "10", "2"},
         {"5", "2", "1", "3"},
         {"4", "9", "11", "7"},
         {"10", "12", "11", "9"},
         {"7", "11", "12", "8"},
         {"4", "7", "8", "6"},
         {"6", "8", "12", "10"}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
      Function[BoxForm`e$, 
       MatrixForm[BoxForm`e$]]]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TripodReducedMesh", "=", 
   RowBox[{"{", 
    RowBox[{
     TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {"0", "0", "0"},
         {"1", "0", "0"},
         {"0", "1", "0"},
         {"0", "0", "1"},
         {"1", "0", "1"},
         {"0", "1", "1"},
         {"1", "1", "1"},
         {"1", "0", "2"},
         {"1", "1", "2"},
         {"2", "1", "0"},
         {"2", "0", "1"},
         {"2", "0", "2"},
         {"2", "1", "2"},
         {"1", 
          RowBox[{"-", "1"}], "0"},
         {"2", 
          RowBox[{"-", "1"}], "0"},
         {"1", 
          RowBox[{"-", "1"}], "1"},
         {"2", 
          RowBox[{"-", "1"}], "1"}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
      Function[BoxForm`e$, 
       MatrixForm[BoxForm`e$]]], ",", 
     TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {"1", "2", "5", "4"},
         {"3", "10", "2", "1"},
         {"4", "5", "7", "6"},
         {"6", "7", "10", "3"},
         {"6", "3", "1", "4"},
         {"5", "11", "12", "8"},
         {"10", "13", "12", "11"},
         {"8", "12", "13", "9"},
         {"5", "8", "9", "7"},
         {"7", "9", "13", "10"},
         {"14", "15", "17", "16"},
         {"16", "17", "11", "5"},
         {"10", "11", "17", "15"},
         {"10", "15", "14", "2"},
         {"14", "16", "5", "2"}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
      Function[BoxForm`e$, 
       MatrixForm[BoxForm`e$]]]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TetrisMesh", "=", 
   RowBox[{"{", 
    RowBox[{
     TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {"0", "0", "0"},
         {"1", "0", "0"},
         {"0", "1", "0"},
         {"1", "1", "0"},
         {"0", "0", "1"},
         {"1", "0", "1"},
         {"0", "1", "1"},
         {"1", "1", "1"},
         {"1", "0", "2"},
         {"1", "1", "2"},
         {"2", "0", "0"},
         {"2", "1", "0"},
         {"2", "0", "1"},
         {"2", "1", "1"},
         {"2", "0", "2"},
         {"2", "1", "2"},
         {"3", "0", "0"},
         {"3", "1", "0"},
         {"3", "0", "1"},
         {"3", "1", "1"}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
      Function[BoxForm`e$, 
       MatrixForm[BoxForm`e$]]], ",", 
     TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {"1", "2", "6", "5"},
         {"3", "4", "2", "1"},
         {"5", "6", "8", "7"},
         {"7", "8", "4", "3"},
         {"7", "3", "1", "5"},
         {"2", "11", "13", "6"},
         {"6", "13", "15", "9"},
         {"4", "12", "11", "2"},
         {"14", "16", "15", "13"},
         {"9", "15", "16", "10"},
         {"6", "9", "10", "8"},
         {"4", "8", "14", "12"},
         {"8", "10", "16", "14"},
         {"12", "18", "17", "11"},
         {"11", "17", "19", "13"},
         {"14", "20", "18", "12"},
         {"17", "18", "20", "19"},
         {"13", "19", "20", "14"}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
      Function[BoxForm`e$, 
       MatrixForm[BoxForm`e$]]]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TetrahedronPeakMesh", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"(", "\[NoBreak]", GridBox[{
        {"0", "0", "0"},
        {"1", "0", "0"},
        {
         FractionBox["1", "2"], 
         FractionBox[
          SqrtBox["3"], "2"], "0"},
        {
         FractionBox["1", "2"], 
         FractionBox["1", 
          RowBox[{"2", " ", 
           SqrtBox["3"]}]], "2"}
       },
       GridBoxAlignment->{
        "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
         "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.7]}, 
           Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}], ",", 
     RowBox[{"(", "\[NoBreak]", GridBox[{
        {"1", "2", "4"},
        {"4", "2", "3"},
        {"1", "4", "3"},
        {"2", "1", "3"}
       },
       GridBoxAlignment->{
        "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
         "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.7]}, 
           Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}]}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TetrahedronBasisMesh", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"(", GridBox[{
        {"0", "0", "0"},
        {"1", "0", "0"},
        {"0", "1", "0"},
        {"0", "0", "1"}
       }], ")"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "2", ",", "4"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"4", ",", "2", ",", "3"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "4", ",", "3"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"2", ",", "1", ",", "3"}], "}"}]}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"OctahedronPeakMesh", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"(", GridBox[{
        {"0", "0", "0"},
        {"1", "0", "0"},
        {"1", "1", "0"},
        {"0", "1", "0"},
        {
         RowBox[{"1", "/", "2"}], 
         RowBox[{"1", "/", "2"}], 
         RowBox[{"1", "/", "2"}]},
        {
         RowBox[{"1", "/", "2"}], 
         RowBox[{"1", "/", "2"}], 
         RowBox[{"-", "1"}]}
       }], ")"}], ",", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "2", ",", "5"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"2", ",", "3", ",", "5"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"3", ",", "4", ",", "5"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"4", ",", "1", ",", "5"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"6", ",", "2", ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"6", ",", "3", ",", "2"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"6", ",", "4", ",", "3"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"6", ",", "1", ",", "4"}], "}"}]}], "\[IndentingNewLine]", 
      "}"}]}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.6157844621048913`*^9, 3.615784468407488*^9}, {
   3.615788265686516*^9, 3.6157882790417213`*^9}, 3.615788323114898*^9, {
   3.615899188187547*^9, 3.6158991885445676`*^9}, {3.61589922722678*^9, 
   3.6158992416636057`*^9}, {3.6158993321667824`*^9, 3.615899347104637*^9}, {
   3.6158996499069557`*^9, 3.615899665121826*^9}, {3.615899836140608*^9, 
   3.615899848009287*^9}, {3.615901639324744*^9, 3.615901639651763*^9}, {
   3.615933120116568*^9, 3.6159331205655937`*^9}, {3.6159460876484485`*^9, 
   3.6159460891945367`*^9}, 3.616062363696081*^9, {3.6160624913330417`*^9, 
   3.6160624915180445`*^9}, {3.61606256479167*^9, 3.6160625670567045`*^9}, 
   3.6162035729276075`*^9, {3.6189002476128654`*^9, 3.618900280152727*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Special meshes", "Subsection",
 CellChangeTimes->{{3.612175287980008*^9, 3.612175296248481*^9}, {
  3.612176390496068*^9, 3.6121764020637293`*^9}, {3.615849162209319*^9, 
  3.615849164076848*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Torus", "[", 
    RowBox[{"R_", ",", "r_", ",", "\[Theta]_", ",", "\[Phi]_"}], "]"}], "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"R", "+", 
        RowBox[{"r", " ", 
         RowBox[{"Cos", "[", "\[Phi]", "]"}]}]}], ")"}], " ", 
      RowBox[{"Cos", "[", "\[Theta]", "]"}]}], ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"R", "+", 
        RowBox[{"r", " ", 
         RowBox[{"Cos", "[", "\[Phi]", "]"}]}]}], ")"}], " ", 
      RowBox[{"Sin", "[", "\[Theta]", "]"}]}], ",", 
     RowBox[{"r", " ", 
      RowBox[{"Sin", "[", "\[Phi]", "]"}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"TorusVolume", "[", 
    RowBox[{"R_", ",", "r_"}], "]"}], "=", 
   RowBox[{"2", " ", 
    SuperscriptBox["\[Pi]", "2"], "R", " ", 
    SuperscriptBox["r", "2"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TorusSample", "[", 
   RowBox[{"N_", ",", "M_", ",", "i_", ",", "j_"}], "]"}], ":=", 
  RowBox[{"Torus", "[", 
   RowBox[{"2", ",", "1", ",", 
    RowBox[{
     FractionBox[
      RowBox[{"2", "\[Pi]", " ", "i"}], "N"], "+", 
     FractionBox["\[Pi]", "4"]}], ",", 
    FractionBox[
     RowBox[{"2", "\[Pi]", " ", "j"}], "M"]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.6065531864185305`*^9, 3.6065531923228683`*^9}, {
  3.6065544938033085`*^9, 3.606554505849998*^9}, {3.606554616960353*^9, 
  3.606554618703453*^9}, {3.6067694316322355`*^9, 3.6067694620499754`*^9}, {
  3.608806220050144*^9, 3.608806223829361*^9}, {3.6088425841666055`*^9, 
  3.608842590787984*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"RegularTorusQuad", "[", 
   RowBox[{"N_", ",", "M_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "func", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"func", "[", 
       RowBox[{"i_", ",", "j_"}], "]"}], ":=", 
      RowBox[{
       RowBox[{"Mod", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"i", " ", "M"}], "+", "j"}], ",", 
         RowBox[{"N", " ", "M"}]}], "]"}], "+", "1"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Flatten", "[", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"TorusSample", "[", 
            RowBox[{"N", ",", "M", ",", "i", ",", "j"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "0", ",", 
             RowBox[{"N", "-", "1"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "0", ",", 
             RowBox[{"M", "-", "1"}]}], "}"}]}], "]"}], ",", "1"}], "]"}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{"Flatten", "[", 
        RowBox[{
         RowBox[{"Table", "[", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"func", "[", 
               RowBox[{"i", ",", "j"}], "]"}], ",", 
              RowBox[{"func", "[", 
               RowBox[{
                RowBox[{"i", "+", "1"}], ",", "j"}], "]"}], ",", 
              RowBox[{"func", "[", 
               RowBox[{
                RowBox[{"i", "+", "1"}], ",", 
                RowBox[{"j", "+", "1"}]}], "]"}], ",", 
              RowBox[{"func", "[", 
               RowBox[{"i", ",", 
                RowBox[{"j", "+", "1"}]}], "]"}]}], "}"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "0", ",", 
             RowBox[{"N", "-", "1"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "0", ",", 
             RowBox[{"M", "-", "1"}]}], "}"}]}], "]"}], ",", "2"}], "]"}]}], 
      "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6088849060730405`*^9, 3.6088849207658806`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"RegularTorusTria", "[", 
   RowBox[{"N_", ",", "M_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "func", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"func", "[", 
       RowBox[{"i_", ",", "j_"}], "]"}], ":=", 
      RowBox[{
       RowBox[{"Mod", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"i", " ", "M"}], "+", "j"}], ",", 
         RowBox[{"N", " ", "M"}]}], "]"}], "+", "1"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Flatten", "[", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"TorusSample", "[", 
            RowBox[{"N", ",", "M", ",", "i", ",", "j"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "0", ",", 
             RowBox[{"N", "-", "1"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "0", ",", 
             RowBox[{"M", "-", "1"}]}], "}"}]}], "]"}], ",", "1"}], "]"}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{"Flatten", "[", 
        RowBox[{
         RowBox[{"Table", "[", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"func", "[", 
                RowBox[{"i", ",", "j"}], "]"}], ",", 
               RowBox[{"func", "[", 
                RowBox[{
                 RowBox[{"i", "+", "1"}], ",", "j"}], "]"}], ",", 
               RowBox[{"func", "[", 
                RowBox[{"i", ",", 
                 RowBox[{"j", "+", "1"}]}], "]"}]}], "}"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"func", "[", 
                RowBox[{
                 RowBox[{"i", "+", "1"}], ",", "j"}], "]"}], ",", 
               RowBox[{"func", "[", 
                RowBox[{
                 RowBox[{"i", "+", "1"}], ",", 
                 RowBox[{"j", "+", "1"}]}], "]"}], ",", 
               RowBox[{"func", "[", 
                RowBox[{"i", ",", 
                 RowBox[{"j", "+", "1"}]}], "]"}]}], "}"}]}], 
            "\[IndentingNewLine]", "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "0", ",", 
             RowBox[{"N", "-", "1"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "0", ",", 
             RowBox[{"M", "-", "1"}]}], "}"}]}], "]"}], ",", "2"}], "]"}]}], 
      "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6065532167602663`*^9, 3.6065533077684717`*^9}, {
  3.606553339978314*^9, 3.6065533556702113`*^9}, {3.60655345215273*^9, 
  3.606553453766822*^9}, {3.606553484510581*^9, 3.6065535192295666`*^9}, {
  3.6065536185682487`*^9, 3.6065536493200073`*^9}, {3.606553718464962*^9, 
  3.6065537427133493`*^9}, {3.6065537860728292`*^9, 3.6065538299113364`*^9}, {
  3.6065538753049326`*^9, 3.606553950997262*^9}, {3.6065540157739673`*^9, 
  3.6065540528860903`*^9}, {3.6067688938164744`*^9, 3.606768926741358*^9}, {
  3.6067692563772116`*^9, 3.606769273456188*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"CubedMesh", "[", "m_", "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"pnt", ",", 
      RowBox[{"n", "=", 
       RowBox[{"2", " ", "m"}]}], ",", "lne"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"lne", "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", 
            RowBox[{"k", "/", "m"}]}]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", "m"}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"pnt", "=", 
      RowBox[{"Flatten", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"lne", ".", 
           RowBox[{"RotationMatrix", "[", "#", "]"}]}], "&"}], "/@", 
         RowBox[{"{", 
          RowBox[{"0", ",", 
           RowBox[{
            RowBox[{"-", "\[Pi]"}], "/", "2"}], ",", 
           RowBox[{"-", "\[Pi]"}], ",", 
           RowBox[{"\[Pi]", "/", "2"}]}], "}"}]}], ",", "1"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Join", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"Join", "[", 
             RowBox[{"#", ",", 
              RowBox[{"{", "1", "}"}]}], "]"}], "&"}], "/@", "pnt"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"Join", "[", 
             RowBox[{"#", ",", 
              RowBox[{"{", 
               RowBox[{"-", "1"}], "}"}]}], "]"}], "&"}], "/@", "pnt"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0", ",", 
              RowBox[{"-", "1"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}]}], 
         "\[IndentingNewLine]", "]"}], "/", "2"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Join", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Mod", "[", 
             RowBox[{
              RowBox[{"k", "+", 
               RowBox[{"{", 
                RowBox[{"1", ",", "1", ",", "2", ",", "2"}], "}"}]}], ",", 
              RowBox[{"2", " ", "n"}]}], "]"}], "+", "1", "+", 
            RowBox[{"{", 
             RowBox[{"0", ",", 
              RowBox[{"2", "n"}], ",", 
              RowBox[{"2", "n"}], ",", "0"}], "}"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "0", ",", 
             RowBox[{
              RowBox[{"2", "n"}], "-", "1"}]}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"2", "k"}], "+", "1"}], ",", 
             RowBox[{
              RowBox[{"2", "k"}], "+", "2"}], ",", 
             RowBox[{
              RowBox[{"Mod", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"2", "k"}], "+", "3", "-", "1"}], ",", 
                RowBox[{"2", "n"}]}], "]"}], "+", "1"}], ",", 
             RowBox[{
              RowBox[{"4", "n"}], "+", "2"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "0", ",", 
             RowBox[{"n", "-", "1"}]}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"Reverse", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"2", "n"}], "+", 
               RowBox[{"2", "k"}], "+", "1"}], ",", 
              RowBox[{
               RowBox[{"2", "n"}], "+", 
               RowBox[{"2", "k"}], "+", "2"}], ",", 
              RowBox[{
               RowBox[{"2", "n"}], "+", 
               RowBox[{"Mod", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"2", "k"}], "+", "3", "-", "1"}], ",", 
                 RowBox[{"2", "n"}]}], "]"}], "+", "1"}], ",", 
              RowBox[{
               RowBox[{"4", "n"}], "+", "1"}]}], "}"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "0", ",", 
             RowBox[{"n", "-", "1"}]}], "}"}]}], "]"}]}], 
        "\[IndentingNewLine]", "]"}]}], "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{3.612176801885598*^9, 3.612176911132847*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"CubedPeakMesh", "[", "m_", "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"V", ",", "F"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{"V", ",", "F"}], "}"}], "=", 
      RowBox[{"CubedMesh", "[", "m", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"V", "\[LeftDoubleBracket]", 
       RowBox[{
        RowBox[{"Length", "[", "V", "]"}], ",", "3"}], 
       "\[RightDoubleBracket]"}], "=", 
      RowBox[{"3", "/", "2"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"V", ",", "F"}], "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6158492680034437`*^9, 3.6158493118541174`*^9}, {
  3.6158494120681567`*^9, 3.615849415023202*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"DiamondMesh", "[", "n_", "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"Vout", ",", "adj", ",", 
       RowBox[{"Fout", "=", 
        RowBox[{"{", "}"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Vout", "=", 
       RowBox[{"Join", "[", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"With", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"ang", "=", 
               RowBox[{
                RowBox[{"2", "\[Pi]", " ", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"k", "-", 
                    RowBox[{"1", "/", "2"}]}], ")"}], "/", "n"}]}], "-", 
                RowBox[{"\[Pi]", "/", "2"}]}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Cos", "[", "ang", "]"}], ",", 
               RowBox[{"Sin", "[", "ang", "]"}], ",", "0"}], "}"}]}], "]"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "0", ",", 
             RowBox[{"n", "-", "1"}]}], "}"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0", ",", 
             RowBox[{"-", "1"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], "]"}]}], ";",
       "\[IndentingNewLine]", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"AppendTo", "[", 
         RowBox[{"Fout", ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", 
            RowBox[{
             RowBox[{"Mod", "[", 
              RowBox[{"k", ",", "n"}], "]"}], "+", "1"}], ",", 
            RowBox[{"n", "+", "2"}]}], "}"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", "n"}], "}"}]}], "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"AppendTo", "[", 
         RowBox[{"Fout", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"Mod", "[", 
              RowBox[{"k", ",", "n"}], "]"}], "+", "1"}], ",", "k", ",", 
            RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", "n"}], "}"}]}], "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"Vout", ",", "Fout"}], "}"}]}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6159455684587526`*^9, 3.6159456426749973`*^9}, {
   3.6159458912612157`*^9, 3.6159458990916634`*^9}, {3.615945945151298*^9, 
   3.615945973597925*^9}, 3.61594607560176*^9, {3.6159467258899536`*^9, 
   3.6159467604989333`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"DSCalibrationCubeMesh", "=", 
   RowBox[{"{", 
    RowBox[{
     TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {"0", "0", "0"},
         {"1", "0", "0"},
         {"0", "1", "0"},
         {"1", "1", "0"},
         {"0", "0", "1"},
         {"1", "0", "1"},
         {"0", "1", "1"},
         {"1", "1", "1"},
         {"0", "0", "0"},
         {"0", "0", "0"},
         {"1", "0", "0"},
         {"0", "0", "1"},
         {"0", "0", "0"},
         {"0", "0", "0"},
         {"0", "1", "0"},
         {"1", "0", "0"},
         {"0", "0", "0"},
         {"1", "0", "0"},
         {"1", "1", "0"},
         {"1", "0", "1"},
         {"0", "0", "1"},
         {"0", "1", "1"},
         {"0", "0", "1"},
         {"0", "1", "0"},
         {"0", "1", "0"},
         {"0", "0", "0"},
         {"0", "0", "0"},
         {"0", "0", "0"},
         {"0", "0", "0"},
         {"0", "0", "0"},
         {"0", "0", "0"},
         {"1", "0", "0"},
         {"1", "0", "0"},
         {"1", "0", "0"},
         {"1", "0", "0"},
         {"1", "0", "1"},
         {"1", "0", "1"},
         {"1", "0", "1"},
         {"0", "0", "1"},
         {"0", "0", "1"},
         {"0", "0", "1"},
         {"0", "0", "1"},
         {"0", "1", "0"},
         {"0", "0", "0"},
         {"0", "1", "0"},
         {"0", "1", "0"},
         {"0", "1", "0"},
         {"1", "1", "0"},
         {"1", "1", "0"},
         {"1", "1", "0"},
         {"1", "0", "0"},
         {"1", "0", "0"},
         {"1", "0", "0"},
         {"0", "0", "0"},
         {"0", "0", "0"},
         {"0", "0", "0"},
         {"1", "1", "0"},
         {"1", "0", "0"},
         {"1", "1", "0"},
         {"1", "1", "0"},
         {"1", "1", "1"},
         {"1", "1", "1"},
         {"1", "1", "1"},
         {"1", "0", "1"},
         {"1", "0", "1"},
         {"1", "0", "1"},
         {"1", "0", "0"},
         {"1", "0", "0"},
         {"0", "0", "1"},
         {"0", "0", "1"},
         {"0", "0", "1"},
         {"0", "0", "1"},
         {"1", "0", "1"},
         {"1", "0", "1"},
         {"1", "1", "1"},
         {"1", "1", "1"},
         {"0", "1", "1"},
         {"0", "1", "1"},
         {"0", "1", "1"},
         {"0", "1", "1"},
         {"0", "1", "1"},
         {"0", "1", "0"},
         {"0", "1", "1"},
         {"0", "1", "1"},
         {"1", "1", "1"},
         {"1", "1", "0"},
         {"1", "1", "0"},
         {"0", "1", "0"},
         {"0", "1", "0"},
         {"0", "1", "0"},
         {"0", "1", "1"},
         {"0", "0", "1"},
         {"0", "1", "0"},
         {"0", "1", "0"},
         {"0", "0", "0"},
         {"0", "0", "0"},
         {"0", "0", "0"},
         {"0", "0", "1"}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
      Function[BoxForm`e$, 
       MatrixForm[BoxForm`e$]]], ",", 
     TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {"27", "31", "9", "28"},
         {"27", "28", "13", "29"},
         {"27", "29", "1", "30"},
         {"27", "30", "10", "31"},
         {"32", "35", "9", "31"},
         {"32", "31", "10", "33"},
         {"32", "33", "2", "34"},
         {"32", "34", "11", "35"},
         {"36", "39", "9", "35"},
         {"36", "35", "11", "37"},
         {"36", "37", "6", "38"},
         {"36", "38", "12", "39"},
         {"40", "28", "9", "39"},
         {"40", "39", "12", "41"},
         {"40", "41", "5", "42"},
         {"40", "42", "13", "28"},
         {"43", "47", "14", "44"},
         {"43", "44", "17", "45"},
         {"43", "45", "3", "46"},
         {"43", "46", "15", "47"},
         {"48", "51", "14", "47"},
         {"48", "47", "15", "49"},
         {"48", "49", "4", "50"},
         {"48", "50", "16", "51"},
         {"52", "54", "14", "51"},
         {"52", "51", "16", "53"},
         {"52", "53", "2", "33"},
         {"52", "33", "10", "54"},
         {"55", "44", "14", "54"},
         {"55", "54", "10", "30"},
         {"55", "30", "1", "56"},
         {"55", "56", "17", "44"},
         {"57", "60", "18", "58"},
         {"57", "58", "16", "50"},
         {"57", "50", "4", "59"},
         {"57", "59", "19", "60"},
         {"61", "64", "18", "60"},
         {"61", "60", "19", "62"},
         {"61", "62", "8", "63"},
         {"61", "63", "20", "64"},
         {"65", "67", "18", "64"},
         {"65", "64", "20", "66"},
         {"65", "66", "6", "37"},
         {"65", "37", "11", "67"},
         {"68", "58", "18", "67"},
         {"68", "67", "11", "34"},
         {"68", "34", "2", "53"},
         {"68", "53", "16", "58"},
         {"69", "72", "21", "70"},
         {"69", "70", "23", "71"},
         {"69", "71", "5", "41"},
         {"69", "41", "12", "72"},
         {"73", "74", "21", "72"},
         {"73", "72", "12", "38"},
         {"73", "38", "6", "66"},
         {"73", "66", "20", "74"},
         {"75", "77", "21", "74"},
         {"75", "74", "20", "63"},
         {"75", "63", "8", "76"},
         {"75", "76", "22", "77"},
         {"78", "70", "21", "77"},
         {"78", "77", "22", "79"},
         {"78", "79", "7", "80"},
         {"78", "80", "23", "70"},
         {"81", "84", "24", "82"},
         {"81", "82", "25", "83"},
         {"81", "83", "7", "79"},
         {"81", "79", "22", "84"},
         {"85", "86", "24", "84"},
         {"85", "84", "22", "76"},
         {"85", "76", "8", "62"},
         {"85", "62", "19", "86"},
         {"87", "88", "24", "86"},
         {"87", "86", "19", "59"},
         {"87", "59", "4", "49"},
         {"87", "49", "15", "88"},
         {"89", "82", "24", "88"},
         {"89", "88", "15", "46"},
         {"89", "46", "3", "90"},
         {"89", "90", "25", "82"},
         {"91", "93", "26", "92"},
         {"91", "92", "23", "80"},
         {"91", "80", "7", "83"},
         {"91", "83", "25", "93"},
         {"94", "95", "26", "93"},
         {"94", "93", "25", "90"},
         {"94", "90", "3", "45"},
         {"94", "45", "17", "95"},
         {"96", "97", "26", "95"},
         {"96", "95", "17", "56"},
         {"96", "56", "1", "29"},
         {"96", "29", "13", "97"},
         {"98", "92", "26", "97"},
         {"98", "97", "13", "42"},
         {"98", "42", "5", "71"},
         {"98", "71", "23", "92"}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
      Function[BoxForm`e$, 
       MatrixForm[BoxForm`e$]]]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.616058307688282*^9, 3.6160583186159496`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Facet topology", "Subsection",
 CellChangeTimes->{{3.612175287980008*^9, 3.612175296248481*^9}, {
  3.612176390496068*^9, 3.6121764020637293`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"DooSabinDefault", "[", "n_", "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"Join", "[", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", 
          RowBox[{"-", "1"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"-", "1"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"-", "1"}]}], "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         SqrtBox["2"], 
         RowBox[{"With", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"\[Alpha]", "=", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Sin", "[", 
              RowBox[{
               RowBox[{"(", 
                FractionBox["k", 
                 RowBox[{"n", "-", "2"}]], ")"}], 
               FractionBox["\[Pi]", "2"]}], "]"}], ",", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"(", 
                FractionBox["k", 
                 RowBox[{"n", "-", "2"}]], ")"}], 
               FractionBox["\[Pi]", "2"]}], "]"}]}], "}"}]}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", 
          RowBox[{"n", "-", "3"}]}], "}"}]}], "]"}]}], "]"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "2", ",", "5", ",", "4"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"2", ",", "3", ",", "6", ",", "5"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"4", ",", "5", ",", "8", ",", "7"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Flatten", "[", 
       RowBox[{"{", 
        RowBox[{"5", ",", "6", ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"6", "+", "n", "-", "k"}], ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", 
             RowBox[{"n", "-", "3"}]}], "}"}]}], "]"}], ",", "8"}], "}"}], 
       "]"}]}], "}"}]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DooSabinPlot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"V_", ",", "F_"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"Vs_", ",", "Fs_"}], "}"}], ",", "col_"}], "]"}], ":=", 
  RowBox[{"Graphics", "[", 
   RowBox[{
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"Gray", ",", 
        RowBox[{
         RowBox[{
          RowBox[{"Line", "[", 
           RowBox[{"Vs", "\[LeftDoubleBracket]", 
            RowBox[{"#", "\[LeftDoubleBracket]", 
             RowBox[{"Join", "[", 
              RowBox[{
               RowBox[{"Range", "[", 
                RowBox[{"Length", "[", "#", "]"}], "]"}], ",", 
               RowBox[{"{", "1", "}"}]}], "]"}], "\[RightDoubleBracket]"}], 
            "\[RightDoubleBracket]"}], "]"}], "&"}], "/@", "Fs"}]}], "}"}], 
      ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"EdgeForm", "[", "Dashed", "]"}], ",", "LightGreen", ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"Polygon", "[", 
           RowBox[{"V", "\[LeftDoubleBracket]", 
            RowBox[{"#", ",", "All"}], "\[RightDoubleBracket]"}], "]"}], 
          "&"}], "/@", "F"}]}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Length", "[", 
          RowBox[{"Flatten", "[", 
           RowBox[{"{", "col", "}"}], "]"}], "]"}], "\[Equal]", "0"}], ",", 
        RowBox[{"{", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"col", ",", 
          RowBox[{"Opacity", "[", "0.5", "]"}], ",", 
          RowBox[{"Polygon", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Mean", "[", 
              RowBox[{
              "V", "\[LeftDoubleBracket]", "#", "\[RightDoubleBracket]"}], 
              "]"}], "&"}], "/@", 
            RowBox[{"F", "\[LeftDoubleBracket]", 
             RowBox[{"{", 
              RowBox[{"1", ",", "2", ",", "4", ",", "3"}], "}"}], 
             "\[RightDoubleBracket]"}]}], "]"}]}], "}"}]}], "]"}], ",", 
      "\[IndentingNewLine]", "Green", ",", "\[IndentingNewLine]", 
      RowBox[{"EdgeForm", "[", 
       RowBox[{"{", "Blue", "}"}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"Disk", "[", 
         RowBox[{"#", ",", "0.04"}], "]"}], "&"}], "/@", "Vs"}]}], 
     "\[IndentingNewLine]", "}"}], ",", 
    RowBox[{"Axes", "\[Rule]", "False"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}]}], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"DooSabinDecomposition", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"V_", ",", "F_"}], "}"}], ",", "sub_", ",", "ind_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"fine", "=", 
       RowBox[{"sub", ".", "V"}]}], ",", 
      RowBox[{"Freg", "=", 
       RowBox[{
        RowBox[{"DooSabinDefault", "[", "4", "]"}], "\[LeftDoubleBracket]", 
        "2", "\[RightDoubleBracket]"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"DooSabinPlot", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"V", ",", "F"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"V", ",", "F"}], "}"}], ",", "Red"}], "]"}], "}"}], ",", 
      "\"\<=\>\"", ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"DooSabinPlot", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"fine", "\[LeftDoubleBracket]", 
             RowBox[{
             "ind", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
             "\[RightDoubleBracket]"}], ",", "Freg"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"V", ",", "F"}], "}"}], ",", "Green"}], "]"}], ",", 
        "\"\<+\>\"", ",", "\[IndentingNewLine]", 
        RowBox[{"DooSabinPlot", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"fine", "\[LeftDoubleBracket]", 
             RowBox[{
             "ind", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
             "\[RightDoubleBracket]"}], ",", "Freg"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"V", ",", "F"}], "}"}], ",", "Green"}], "]"}], ",", 
        "\"\<+\>\"", ",", "\[IndentingNewLine]", 
        RowBox[{"DooSabinPlot", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"fine", "\[LeftDoubleBracket]", 
             RowBox[{
             "ind", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
             "\[RightDoubleBracket]"}], ",", "Freg"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"V", ",", "F"}], "}"}], ",", "Green"}], "]"}], ",", 
        "\"\<+\>\"", ",", "\[IndentingNewLine]", 
        RowBox[{"DooSabinPlot", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"fine", "\[LeftDoubleBracket]", 
             RowBox[{
             "ind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
             "\[RightDoubleBracket]"}], ",", "F"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"V", ",", "F"}], "}"}], ",", "Red"}], "]"}]}], "}"}]}], 
     "}"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"GraphicsWeights", "[", 
   RowBox[{"V_", ",", "s_", ",", 
    RowBox[{"size_:", "Medium"}]}], "]"}], ":=", 
  RowBox[{"Graphics", "[", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"s", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
        "\[NotEqual]", "0"}], ",", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{
           "s", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], ",", 
           "Bold", ",", "size"}], "]"}], ",", 
         RowBox[{"V", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
         ",", 
         RowBox[{"Background", "\[Rule]", "LightRed"}]}], "]"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "s", "]"}]}], "}"}]}], "]"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DooSabinStencils", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"V_", ",", "F_"}], "}"}], ",", "sub_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"pnt", "=", 
      RowBox[{"sub", ".", "V"}]}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"Show", "[", 
       RowBox[{
        RowBox[{"DooSabinPlot", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"V", ",", "F"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"V", ",", "F"}], "}"}], ",", 
          RowBox[{"{", "}"}]}], "]"}], ",", 
        RowBox[{"GraphicsWeights", "[", 
         RowBox[{"V", ",", 
          RowBox[{
          "sub", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], 
         "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Graphics", "[", 
         RowBox[{"{", 
          RowBox[{"Red", ",", 
           RowBox[{"Disk", "[", 
            RowBox[{
             RowBox[{
             "pnt", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
             ",", "0.05"}], "]"}]}], "}"}], "]"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", 
        RowBox[{"Length", "[", "sub", "]"}]}], "}"}]}], "]"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DooSabinShow", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"V_", ",", "F_"}], "}"}], ",", "sub_", ",", "ind_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Print", "[", 
      RowBox[{"DooSabinStencils", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"V", ",", "F"}], "}"}], ",", "sub"}], "]"}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Print", "[", 
      RowBox[{"DooSabinDecomposition", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"V", ",", "F"}], "}"}], ",", "sub", ",", "ind"}], "]"}], 
      "]"}], ";"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.6053279328724403`*^9, 3.605328023342615*^9}, {
   3.605328073853504*^9, 3.6053281294456835`*^9}, {3.6053281608344793`*^9, 
   3.605328190727189*^9}, {3.6053344118450165`*^9, 3.605334412448051*^9}, {
   3.6053379255949917`*^9, 3.6053379273090897`*^9}, {3.6056148686535444`*^9, 
   3.6056148866475735`*^9}, {3.605623319394899*^9, 3.605623323010106*^9}, {
   3.6056799995368123`*^9, 3.6056800091563625`*^9}, {3.6056800650635605`*^9, 
   3.605680075078133*^9}, {3.6056864121233034`*^9, 3.605686412642333*^9}, {
   3.605687316046005*^9, 3.6056873629646883`*^9}, {3.606000465804489*^9, 
   3.606000466110506*^9}, {3.606000496154225*^9, 3.606000517725458*^9}, {
   3.6060006614756804`*^9, 3.6060008992722816`*^9}, {3.606000965769085*^9, 
   3.606000968217225*^9}, {3.6060010137988324`*^9, 3.606001036997159*^9}, {
   3.6060010772454615`*^9, 3.6060010791785717`*^9}, 3.606001113697546*^9, {
   3.6060011679036465`*^9, 3.60600117250591*^9}, {3.6060012328363605`*^9, 
   3.6060012367525845`*^9}, {3.6060012700014863`*^9, 3.606001288791561*^9}, {
   3.6060013503740835`*^9, 3.606001361275707*^9}, {3.6060013922184763`*^9, 
   3.606001393620557*^9}, {3.6060014480266685`*^9, 3.6060015439171534`*^9}, {
   3.6060142794210863`*^9, 3.6060142806801577`*^9}, {3.6060828732180815`*^9, 
   3.606082874037128*^9}, {3.6060829137093973`*^9, 3.6060829145924473`*^9}, {
   3.606159131018979*^9, 3.6061591313469973`*^9}, {3.60616053496628*^9, 
   3.606160588145322*^9}, {3.6061607308594847`*^9, 3.606160743935232*^9}, {
   3.606245697066432*^9, 3.606245697746471*^9}, {3.6062457342265577`*^9, 
   3.6062457427050424`*^9}, {3.606475087562629*^9, 3.6064750877776327`*^9}, {
   3.606475119566121*^9, 3.606475143171484*^9}, {3.6064752302328215`*^9, 
   3.6064752398329687`*^9}, {3.606631773669779*^9, 3.6066318218885365`*^9}, {
   3.606692292087327*^9, 3.606692292825369*^9}, {3.6070292094499245`*^9, 
   3.607029219118477*^9}, 3.612309290020631*^9, {3.612309606178714*^9, 
   3.6123096174143567`*^9}, 3.6123096514583035`*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"DooSabinIndexing", "[", "n_", "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"V", ",", "F"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{"V", ",", "F"}], "}"}], "=", 
      RowBox[{"DooSabinDefault", "[", "n", "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Show", "[", 
      RowBox[{
       RowBox[{"DooSabinPlot", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"V", ",", "F"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"V", ",", "F"}], "}"}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"n", "\[Equal]", "4"}], ",", "Green", ",", "Red"}], 
          "]"}]}], "]"}], ",", 
       RowBox[{"GraphicsWeights", "[", 
        RowBox[{"V", ",", 
         RowBox[{"Range", "[", 
          RowBox[{"Length", "[", "V", "]"}], "]"}], ",", "Medium"}], "]"}]}], 
      "]"}]}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"GetAt", "[", 
      RowBox[{"frm_", ",", 
       RowBox[{"{", 
        RowBox[{"i_", ",", "j_", ",", "k_"}], "}"}]}], "]"}], ":=", 
     RowBox[{"frm", "\[LeftDoubleBracket]", 
      RowBox[{"k", ",", "j", ",", "i"}], "\[RightDoubleBracket]"}]}], ";"}], 
   "*)"}]}]}], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"DooSabinIntegral", "[", "form_", "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"V", ",", "F", ",", 
      RowBox[{"n", "=", 
       RowBox[{"Length", "[", "form", "]"}]}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{"V", ",", "F"}], "}"}], "=", 
      RowBox[{"DooSabinDefault", "[", 
       RowBox[{"n", "-", "5"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Show", "[", 
        RowBox[{
         RowBox[{"DooSabinPlot", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"V", ",", "F"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"V", ",", "F"}], "}"}], ",", 
           RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"GraphicsWeights", "[", 
          RowBox[{"V", ",", 
           RowBox[{
            RowBox[{"form", "\[LeftDoubleBracket]", 
             RowBox[{"j", ",", "k", ",", "All"}], "\[RightDoubleBracket]"}], 
            "-", 
            RowBox[{"form", "\[LeftDoubleBracket]", 
             RowBox[{"k", ",", "j", ",", "All"}], 
             "\[RightDoubleBracket]"}]}]}], "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"Graphics", "[", 
          RowBox[{"{", 
           RowBox[{"Red", ",", 
            RowBox[{"Circle", "[", 
             RowBox[{
              RowBox[{
              "V", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}], 
              ",", "0.4"}], "]"}], ",", "Blue", ",", 
            RowBox[{"Circle", "[", 
             RowBox[{
              RowBox[{
              "V", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
              ",", "0.5"}], "]"}]}], "}"}], "]"}]}], "\[IndentingNewLine]", 
        "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "n"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "n"}], "}"}]}], "]"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.606016315487542*^9, 3.606016336094721*^9}, {
  3.6060164095139203`*^9, 3.6060165875361023`*^9}, {3.6060167084960213`*^9, 
  3.6060168253447046`*^9}, {3.6060187613274364`*^9, 3.6060187840277348`*^9}, {
  3.6060192807461452`*^9, 3.606019281856209*^9}, {3.6060193161131687`*^9, 
  3.606019328766892*^9}, {3.6060194111776056`*^9, 3.606019413508739*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Animation utilities", "Subsection",
 CellChangeTimes->{{3.6121765636889744`*^9, 3.6121765698473263`*^9}, {
   3.6121773544582033`*^9, 3.612177355481262*^9}, 3.612281197503976*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"DooSabinStencilList", "[", 
   RowBox[{"{", 
    RowBox[{"V_", ",", "F_"}], "}"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"rings", "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", 
          RowBox[{"Length", "[", "V", "]"}]}], "}"}]}], "]"}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"AppendTo", "[", 
          RowBox[{
           RowBox[{"rings", "\[LeftDoubleBracket]", 
            RowBox[{"F", "\[LeftDoubleBracket]", 
             RowBox[{"k", ",", "j"}], "\[RightDoubleBracket]"}], 
            "\[RightDoubleBracket]"}], ",", 
           RowBox[{
           "F", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], 
          "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", 
           RowBox[{"Length", "[", 
            RowBox[{
            "F", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
            "]"}]}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", 
         RowBox[{"Length", "[", "F", "]"}]}], "}"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"DooSabinStencil", "[", 
        RowBox[{
         RowBox[{
         "rings", "\[LeftDoubleBracket]", "n", "\[RightDoubleBracket]"}], ",",
          "n"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"n", ",", 
         RowBox[{"Length", "[", "rings", "]"}]}], "}"}]}], "]"}]}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DooSabinStencilPlot", "[", 
   RowBox[{"{", 
    RowBox[{"V_", ",", "F_"}], "}"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"lst", "=", 
      RowBox[{"DooSabinStencilList", "[", 
       RowBox[{"{", 
        RowBox[{"V", ",", "F"}], "}"}], "]"}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"Rasterize", "[", 
       RowBox[{
        RowBox[{"Show", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Graphics3D", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Opacity", "[", "0.1", "]"}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"Polygon", "[", 
                RowBox[{"V", "\[LeftDoubleBracket]", 
                 RowBox[{"#", ",", "All"}], "\[RightDoubleBracket]"}], "]"}], 
               "&"}], "/@", "F"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Graphics3D", "[", 
           RowBox[{"{", "\[IndentingNewLine]", 
            RowBox[{"With", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"ver", "=", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"V", "\[LeftDoubleBracket]", 
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    "lst", "\[LeftDoubleBracket]", "n", 
                    "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "2", ",", "5", ",", "4"}], "}"}], 
                    "\[RightDoubleBracket]"}], ",", "All"}], 
                   "\[RightDoubleBracket]"}], ",", "\[IndentingNewLine]", 
                  RowBox[{"V", "\[LeftDoubleBracket]", 
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    "lst", "\[LeftDoubleBracket]", "n", 
                    "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", "3", ",", "6", ",", "5"}], "}"}], 
                    "\[RightDoubleBracket]"}], ",", "All"}], 
                   "\[RightDoubleBracket]"}], ",", "\[IndentingNewLine]", 
                  RowBox[{"V", "\[LeftDoubleBracket]", 
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    "lst", "\[LeftDoubleBracket]", "n", 
                    "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", 
                    RowBox[{"{", 
                    RowBox[{"4", ",", "5", ",", "8", ",", "7"}], "}"}], 
                    "\[RightDoubleBracket]"}], ",", "All"}], 
                   "\[RightDoubleBracket]"}], ",", "\[IndentingNewLine]", 
                  RowBox[{"V", "\[LeftDoubleBracket]", 
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    "lst", "\[LeftDoubleBracket]", "n", 
                    "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", 
                    RowBox[{"Reverse", "[", 
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"6", ",", "5"}], "}"}], ",", 
                    RowBox[{"Range", "[", 
                    RowBox[{"8", ",", 
                    RowBox[{"Length", "[", 
                    RowBox[{
                    "lst", "\[LeftDoubleBracket]", "n", 
                    "\[RightDoubleBracket]"}], "]"}]}], "]"}]}], "]"}], "]"}],
                     "\[RightDoubleBracket]"}], ",", "All"}], 
                   "\[RightDoubleBracket]"}]}], "}"}]}], 
               "\[IndentingNewLine]", "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Opacity", "[", "1", "]"}], ",", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Length", "[", 
                    RowBox[{
                    "lst", "\[LeftDoubleBracket]", "n", 
                    "\[RightDoubleBracket]"}], "]"}], "\[Equal]", "9"}], ",", 
                  "Green", ",", "Red"}], "]"}], ",", 
                RowBox[{"Polygon", "[", 
                 RowBox[{"Mean", "/@", 
                  RowBox[{"ver", "\[LeftDoubleBracket]", 
                   RowBox[{"{", 
                    RowBox[{"1", ",", "2", ",", "4", ",", "3"}], "}"}], 
                   "\[RightDoubleBracket]"}]}], "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Opacity", "[", "0.7", "]"}], ",", "Gray", ",", 
                RowBox[{"Polygon", "/@", "ver"}]}], "}"}]}], "]"}], 
            "\[IndentingNewLine]", "}"}], "]"}], ",", 
          RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
          RowBox[{"PlotRangePadding", "\[Rule]", "0"}], ",", 
          RowBox[{"ViewPoint", "\[Rule]", 
           RowBox[{"5", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "2.2"}], ",", 
              RowBox[{"-", "2.9"}], ",", "1.5"}], "}"}]}]}], ",", 
          RowBox[{"ImageSize", "\[Rule]", "200"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"ImageResolution", "\[Rule]", "200"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"n", ",", 
        RowBox[{"Min", "[", 
         RowBox[{
          RowBox[{"Length", "[", "lst", "]"}], ",", "300"}], "]"}]}], "}"}]}],
      "]"}]}], "]"}]}]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Export to Matlab", "Subsection",
 CellChangeTimes->{{3.6121765636889744`*^9, 3.6121765698473263`*^9}, {
   3.6121773544582033`*^9, 3.612177355481262*^9}, 3.612281197503976*^9, {
   3.616204191652111*^9, 3.616204199579733*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"TriangulateMesh", "[", 
   RowBox[{"{", 
    RowBox[{"V_", ",", "F_"}], "}"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"Fout", "=", 
      RowBox[{"{", "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"With", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"f", "=", 
           RowBox[{
           "F", "\[LeftDoubleBracket]", "m", "\[RightDoubleBracket]"}]}], 
          "}"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"AppendTo", "[", 
            RowBox[{"Fout", ",", 
             RowBox[{"f", "\[LeftDoubleBracket]", 
              RowBox[{"{", 
               RowBox[{"1", ",", "k", ",", 
                RowBox[{"k", "+", "1"}]}], "}"}], "\[RightDoubleBracket]"}]}],
             "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "2", ",", 
             RowBox[{
              RowBox[{"Length", "[", "f", "]"}], "-", "1"}]}], "}"}]}], 
          "]"}]}], "]"}], "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"m", ",", 
         RowBox[{"Length", "[", "F", "]"}]}], "}"}]}], "]"}], ";", 
     RowBox[{"{", 
      RowBox[{"V", ",", "Fout"}], "}"}]}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TriangulateMesh", "[", 
   RowBox[{"{", 
    RowBox[{"V_", ",", "F_", ",", "B_"}], "}"}], "]"}], ":=", 
  RowBox[{"Join", "[", 
   RowBox[{
    RowBox[{"TriangulateMesh", "[", 
     RowBox[{"{", 
      RowBox[{"V", ",", "F"}], "}"}], "]"}], ",", 
    RowBox[{"{", "B", "}"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.6101930017315054`*^9, 3.610193010964033*^9}, {
  3.6101931470338163`*^9, 3.6101931520031004`*^9}, {3.615260622157529*^9, 
  3.6152606238700557`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MeshToMatlab", "[", 
   RowBox[{"fname_", ",", 
    RowBox[{"{", 
     RowBox[{"V_", ",", "F_"}], "}"}]}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "str", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"str", "=", 
      RowBox[{"OpenWrite", "[", 
       RowBox[{"fname", ",", 
        RowBox[{"PageWidth", "\[Rule]", "10000"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Write", "[", 
      RowBox[{"str", ",", 
       RowBox[{"OutputForm", "[", "\"\<function [V,T]=meshcode\>\"", "]"}]}], 
      "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Write", "[", 
      RowBox[{"str", ",", 
       RowBox[{"OutputForm", "[", "\"\<V=[\>\"", "]"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"Write", "[", 
         RowBox[{"str", ",", 
          RowBox[{"OutputForm", "[", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"ToString", "[", 
             RowBox[{"CForm", "[", 
              RowBox[{
               RowBox[{"V", "\[LeftDoubleBracket]", 
                RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], "//", 
               "N"}], "]"}], "]"}], "<>", "\"\< \>\"", "<>", 
            "\[IndentingNewLine]", 
            RowBox[{"ToString", "[", 
             RowBox[{"CForm", "[", 
              RowBox[{
               RowBox[{"V", "\[LeftDoubleBracket]", 
                RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}], "//", 
               "N"}], "]"}], "]"}], "<>", "\"\< \>\"", "<>", 
            "\[IndentingNewLine]", 
            RowBox[{"ToString", "[", 
             RowBox[{"CForm", "[", 
              RowBox[{
               RowBox[{"V", "\[LeftDoubleBracket]", 
                RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}], "//", 
               "N"}], "]"}], "]"}], "<>", "\"\< \>\""}], 
           "\[IndentingNewLine]", "]"}]}], "]"}], ";"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", 
         RowBox[{"Length", "[", "V", "]"}]}], "}"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Write", "[", 
      RowBox[{"str", ",", 
       RowBox[{"OutputForm", "[", "\"\<];\>\"", "]"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Write", "[", 
      RowBox[{"str", ",", 
       RowBox[{"OutputForm", "[", "\"\<T=[\>\"", "]"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"Write", "[", 
         RowBox[{"str", ",", 
          RowBox[{"OutputForm", "[", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"ToString", "[", 
             RowBox[{"F", "\[LeftDoubleBracket]", 
              RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}], "]"}], 
            "<>", "\"\< \>\"", "<>", "\[IndentingNewLine]", 
            RowBox[{"ToString", "[", 
             RowBox[{"F", "\[LeftDoubleBracket]", 
              RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}], "]"}], 
            "<>", "\"\< \>\"", "<>", "\[IndentingNewLine]", 
            RowBox[{"ToString", "[", 
             RowBox[{"F", "\[LeftDoubleBracket]", 
              RowBox[{"k", ",", "3"}], "\[RightDoubleBracket]"}], "]"}], 
            "<>", "\"\< \>\"", "<>", "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"Length", "[", 
                RowBox[{
                "F", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
                "]"}], "\[Equal]", "4"}], ",", 
              RowBox[{"ToString", "[", 
               RowBox[{"F", "\[LeftDoubleBracket]", 
                RowBox[{"k", ",", "4"}], "\[RightDoubleBracket]"}], "]"}], 
              ",", "\"\<\>\""}], "]"}]}], "\[IndentingNewLine]", "]"}]}], 
         "]"}], ";"}], "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", 
         RowBox[{"Length", "[", "F", "]"}]}], "}"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Write", "[", 
      RowBox[{"str", ",", 
       RowBox[{"OutputForm", "[", "\"\<];\>\"", "]"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Close", "[", "str", "]"}], ";"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6068870396538525`*^9, 3.606887055139738*^9}, {
  3.6068871492491207`*^9, 3.6068872792315555`*^9}, {3.6068873556479263`*^9, 
  3.606887463388088*^9}, {3.6068894206630383`*^9, 3.6068894565110884`*^9}, {
  3.6101929277402735`*^9, 3.610192944871253*^9}, {3.614673764441723*^9, 
  3.614673765057758*^9}}]
}, Closed]]
}, Open  ]]
},
WindowSize->{903, 952},
WindowMargins->{{8, Automatic}, {Automatic, 6}},
PrintingCopies->1,
PrintingPageRange->{32000, 32000},
PrintingOptions->{"Magnification"->0.75,
"PaperOrientation"->"Landscape",
"PaperSize"->{1056, 816},
"PrintingMargins"->{{72, 72}, {54, 54}}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 375, 5, 79, "Section"],
Cell[957, 29, 441, 9, 49, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1435, 43, 599, 8, 79, "Section"],
Cell[CellGroupData[{
Cell[2059, 55, 180, 2, 43, "Subsection"],
Cell[2242, 59, 647, 19, 31, "Input"],
Cell[2892, 80, 286, 10, 31, "Input"],
Cell[3181, 92, 2413, 63, 112, "Input"],
Cell[5597, 157, 216, 7, 31, "Input"],
Cell[5816, 166, 365, 12, 31, "Input"],
Cell[6184, 180, 3015, 77, 92, "Input"],
Cell[9202, 259, 1092, 28, 72, "Input"],
Cell[10297, 289, 3289, 79, 112, "Input"],
Cell[13589, 370, 1045, 31, 92, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[14671, 406, 103, 1, 35, "Subsection"],
Cell[14777, 409, 4201, 104, 197, "Input"],
Cell[18981, 515, 1054, 33, 49, "Input"],
Cell[20038, 550, 4152, 98, 225, "Input"],
Cell[24193, 650, 9463, 208, 328, "Input"],
Cell[33659, 860, 4624, 118, 138, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[38320, 983, 287, 4, 35, "Subsection"],
Cell[38610, 989, 1842, 56, 92, "Input"],
Cell[40455, 1047, 1176, 32, 52, "Input"],
Cell[41634, 1081, 660, 17, 31, "Input"],
Cell[42297, 1100, 1322, 32, 52, "Input"],
Cell[43622, 1134, 612, 15, 31, "Input"],
Cell[44237, 1151, 1949, 45, 212, "Input"],
Cell[46189, 1198, 299, 4, 52, "Input"],
Cell[46491, 1204, 514, 12, 52, "Input"],
Cell[47008, 1218, 119, 2, 31, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[47164, 1225, 218, 3, 35, "Subsection"],
Cell[47385, 1230, 5102, 134, 231, "Input"],
Cell[52490, 1366, 3354, 78, 172, "Input"],
Cell[55847, 1446, 1868, 54, 72, "Input"],
Cell[CellGroupData[{
Cell[57740, 1504, 152, 2, 34, "Subsubsection"],
Cell[57895, 1508, 3296, 90, 152, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[61228, 1603, 103, 1, 34, "Subsubsection"],
Cell[61334, 1606, 5014, 127, 232, "Input"],
Cell[66351, 1735, 5365, 136, 232, "Input"],
Cell[71719, 1873, 444, 10, 31, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[72200, 1888, 100, 1, 34, "Subsubsection"],
Cell[72303, 1891, 8842, 215, 292, "Input"],
Cell[81148, 2108, 8896, 215, 292, "Input"],
Cell[90047, 2325, 3865, 96, 213, "Input"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[93961, 2427, 155, 2, 35, "Subsection"],
Cell[94119, 2431, 643, 18, 31, "Input"],
Cell[94765, 2451, 4305, 103, 252, "Input"],
Cell[99073, 2556, 2211, 57, 192, "Input"],
Cell[101287, 2615, 18654, 409, 1112, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[119978, 3029, 105, 1, 35, "Subsection"],
Cell[120086, 3032, 12727, 359, 2399, "Input"],
Cell[132816, 3393, 5566, 165, 1183, "Input"],
Cell[CellGroupData[{
Cell[138407, 3562, 108, 1, 34, "Subsubsection"],
Cell[138518, 3565, 18175, 515, 2141, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[156742, 4086, 202, 3, 35, "Subsection"],
Cell[156947, 4091, 1609, 44, 87, "Input"],
Cell[158559, 4137, 2154, 59, 112, "Input"],
Cell[160716, 4198, 3085, 77, 152, "Input"],
Cell[163804, 4277, 4517, 127, 272, "Input"],
Cell[168324, 4406, 797, 21, 92, "Input"],
Cell[169124, 4429, 2689, 72, 132, "Input"],
Cell[171816, 4503, 7250, 229, 1482, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[179103, 4737, 153, 2, 35, "Subsection"],
Cell[179259, 4741, 5166, 143, 404, "Input"],
Cell[184428, 4886, 7670, 183, 292, "Input"],
Cell[192101, 5071, 1343, 40, 92, "Input"],
Cell[193447, 5113, 2389, 58, 152, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[195873, 5176, 185, 2, 35, "Subsection"],
Cell[196061, 5180, 7139, 174, 240, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[203237, 5359, 232, 3, 35, "Subsection"],
Cell[203472, 5364, 1817, 51, 80, "Input"],
Cell[205292, 5417, 4633, 108, 422, "Input"]
}, Closed]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
