(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[    297518,       7925]
NotebookOptionsPosition[    277388,       7353]
NotebookOutlinePosition[    277883,       7373]
CellTagsIndexPosition[    277840,       7370]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Moments defined by Doo-Sabin surfaces", "Section",
 CellChangeTimes->{{3.604699325951583*^9, 3.604699342005501*^9}, {
  3.605316105939847*^9, 3.6053161113441563`*^9}, {3.6053189977682505`*^9, 
  3.605319007676817*^9}, {3.60569576697237*^9, 3.6056957867405005`*^9}, {
  3.612308616785124*^9, 3.6123086227794666`*^9}, {3.6189000284343295`*^9, 
  3.6189000314905043`*^9}}],

Cell[TextData[{
 "code by jph, 2014\ndownload from ",
 StyleBox["www.hakenberg.de",
  FontSlant->"Italic"]
}], "Text",
 CellChangeTimes->{{3.605695943586472*^9, 3.6056959456205883`*^9}, {
   3.6056970059162335`*^9, 3.6056970389631243`*^9}, 3.605735755713481*^9, 
   3.612138146605847*^9, {3.612175969429984*^9, 3.6121759752833195`*^9}, {
   3.6121774860257287`*^9, 3.6121774882888584`*^9}, {3.61231043884534*^9, 
   3.6123104396233845`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Utilities", "Section",
 CellChangeTimes->{{3.604699325951583*^9, 3.604699342005501*^9}, {
  3.605316105939847*^9, 3.6053161113441563`*^9}, {3.6053189977682505`*^9, 
  3.605319007676817*^9}, {3.619007908662404*^9, 3.619007916036826*^9}}],

Cell[CellGroupData[{

Cell["\<\
Centroid regular case analytically\
\>", "Subsection",
 CellChangeTimes->{{3.615775718576589*^9, 3.615775729351754*^9}, {
  3.6161498325337825`*^9, 3.6161498487857122`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"bas2", "[", "x_", "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      FractionBox["1", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "x"}], ")"}], "2"]}], ",", 
     RowBox[{
      FractionBox["1", "2"], "+", "x", "-", 
      SuperscriptBox["x", "2"]}], ",", 
     FractionBox[
      SuperscriptBox["x", "2"], "2"]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Bas2", "[", 
    RowBox[{"s_", ",", "t_"}], "]"}], "=", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"bas2", "[", "s", "]"}], "\[LeftDoubleBracket]", "k1", 
        "\[RightDoubleBracket]"}], 
       RowBox[{
        RowBox[{"bas2", "[", "t", "]"}], "\[LeftDoubleBracket]", "k2", 
        "\[RightDoubleBracket]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"k2", ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"k1", ",", "3"}], "}"}]}], "]"}], "//", "Flatten"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Sas2", "[", 
    RowBox[{"s_", ",", "t_"}], "]"}], "=", 
   RowBox[{
    SubscriptBox["\[PartialD]", "s"], 
    RowBox[{"Bas2", "[", 
     RowBox[{"s", ",", "t"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Tas2", "[", 
    RowBox[{"s_", ",", "t_"}], "]"}], "=", 
   RowBox[{
    SubscriptBox["\[PartialD]", "t"], 
    RowBox[{"Bas2", "[", 
     RowBox[{"s", ",", "t"}], "]"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.605311373856182*^9, 3.6053113916902018`*^9}, {
  3.6053183209275374`*^9, 3.605318322126606*^9}, {3.605679142382786*^9, 
  3.605679142872814*^9}, {3.6056792859319963`*^9, 3.6056792882031264`*^9}}],

Cell[BoxData[
 RowBox[{"Bas2", "[", 
  RowBox[{"s", ",", "t"}], "]"}]], "Input",
 CellChangeTimes->{{3.615764508592004*^9, 3.6157645266040344`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Ten3", "=", 
   RowBox[{"Table", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"Bas2", "[", 
        RowBox[{"s", ",", "t"}], "]"}], "\[LeftDoubleBracket]", "a1", 
       "\[RightDoubleBracket]"}], 
      RowBox[{
       RowBox[{"Bas2", "[", 
        RowBox[{"s", ",", "t"}], "]"}], "\[LeftDoubleBracket]", "b1", 
       "\[RightDoubleBracket]"}], 
      RowBox[{
       RowBox[{"Sas2", "[", 
        RowBox[{"s", ",", "t"}], "]"}], "\[LeftDoubleBracket]", "c1", 
       "\[RightDoubleBracket]"}], 
      RowBox[{
       RowBox[{"Tas2", "[", 
        RowBox[{"s", ",", "t"}], "]"}], "\[LeftDoubleBracket]", "d1", 
       "\[RightDoubleBracket]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"d1", ",", "9"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c1", ",", "9"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b1", ",", "9"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a1", ",", "9"}], "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6157646805488396`*^9, 3.6157646980358396`*^9}, {
   3.615764765332689*^9, 3.615764801127736*^9}, 3.615764909870956*^9, 
   3.6157650503919935`*^9, {3.6157650946965275`*^9, 3.615765118279876*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"res", "=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"cnt", "=", "0"}], ",", "val"}], "}"}], ",", 
     RowBox[{"Array", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"With", "[", 
         RowBox[{
          RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"cnt", "++"}], ";", "\[IndentingNewLine]", 
           RowBox[{"val", "=", 
            RowBox[{
             SubsuperscriptBox["\[Integral]", "0", "1"], 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                SubsuperscriptBox["\[Integral]", "0", "1"], 
                RowBox[{
                 RowBox[{
                 "Ten3", "\[LeftDoubleBracket]", "##", 
                  "\[RightDoubleBracket]"}], 
                 RowBox[{"\[DifferentialD]", "s"}]}]}], ")"}], 
              RowBox[{"\[DifferentialD]", "t"}]}]}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Mod", "[", 
               RowBox[{"cnt", ",", "100"}], "]"}], "\[Equal]", "0"}], ",", 
             RowBox[{"Print", "[", 
              RowBox[{"{", 
               RowBox[{"##", ",", 
                RowBox[{
                "Ten3", "\[LeftDoubleBracket]", "##", 
                 "\[RightDoubleBracket]"}], ",", "val"}], "}"}], "]"}]}], 
            "]"}], ";", "\[IndentingNewLine]", "val"}]}], 
         "\[IndentingNewLine]", "]"}], "&"}], ",", 
       RowBox[{"Dimensions", "[", "Ten3", "]"}]}], "]"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.615764809781231*^9, 3.615764879229203*^9}, {
  3.6157649195075073`*^9, 3.6157649879574223`*^9}, {3.6157651349248285`*^9, 
  3.6157653128910074`*^9}, {3.615765611690098*^9, 3.6157656118061047`*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"res", ">>", "\"\<DooSabinMoment1top4.mx\>\""}], "*)"}]], "Input",
 CellChangeTimes->{{3.6157656163303633`*^9, 3.615765636605523*^9}, {
  3.61576603797748*^9, 3.6157660385955153`*^9}}],

Cell[BoxData[
 RowBox[{"res", "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.615765643741931*^9, 3.6157656451470113`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Inertia regular case analytically\
\>", "Subsection",
 CellChangeTimes->{{3.615775718576589*^9, 3.615775729351754*^9}, {
  3.6160065197661824`*^9, 3.61600652545127*^9}, {3.6161498404512353`*^9, 
  3.6161498521699057`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"bas2", "[", "x_", "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      FractionBox["1", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "x"}], ")"}], "2"]}], ",", 
     RowBox[{
      FractionBox["1", "2"], "+", "x", "-", 
      SuperscriptBox["x", "2"]}], ",", 
     FractionBox[
      SuperscriptBox["x", "2"], "2"]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Bas2", "[", 
    RowBox[{"s_", ",", "t_"}], "]"}], "=", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"bas2", "[", "s", "]"}], "\[LeftDoubleBracket]", "k1", 
        "\[RightDoubleBracket]"}], 
       RowBox[{
        RowBox[{"bas2", "[", "t", "]"}], "\[LeftDoubleBracket]", "k2", 
        "\[RightDoubleBracket]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"k2", ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"k1", ",", "3"}], "}"}]}], "]"}], "//", "Flatten"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Sas2", "[", 
    RowBox[{"s_", ",", "t_"}], "]"}], "=", 
   RowBox[{
    SubscriptBox["\[PartialD]", "s"], 
    RowBox[{"Bas2", "[", 
     RowBox[{"s", ",", "t"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Tas2", "[", 
    RowBox[{"s_", ",", "t_"}], "]"}], "=", 
   RowBox[{
    SubscriptBox["\[PartialD]", "t"], 
    RowBox[{"Bas2", "[", 
     RowBox[{"s", ",", "t"}], "]"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.605311373856182*^9, 3.6053113916902018`*^9}, {
  3.6053183209275374`*^9, 3.605318322126606*^9}, {3.605679142382786*^9, 
  3.605679142872814*^9}, {3.6056792859319963`*^9, 3.6056792882031264`*^9}}],

Cell[BoxData[
 RowBox[{"Bas2", "[", 
  RowBox[{"s", ",", "t"}], "]"}]], "Input",
 CellChangeTimes->{{3.615764508592004*^9, 3.6157645266040344`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Ten3", "=", 
   RowBox[{"Table", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"Bas2", "[", 
        RowBox[{"s", ",", "t"}], "]"}], "\[LeftDoubleBracket]", "a1", 
       "\[RightDoubleBracket]"}], 
      RowBox[{
       RowBox[{"Bas2", "[", 
        RowBox[{"s", ",", "t"}], "]"}], "\[LeftDoubleBracket]", "b1", 
       "\[RightDoubleBracket]"}], 
      RowBox[{
       RowBox[{"Bas2", "[", 
        RowBox[{"s", ",", "t"}], "]"}], "\[LeftDoubleBracket]", "c1", 
       "\[RightDoubleBracket]"}], 
      RowBox[{
       RowBox[{"Sas2", "[", 
        RowBox[{"s", ",", "t"}], "]"}], "\[LeftDoubleBracket]", "d1", 
       "\[RightDoubleBracket]"}], 
      RowBox[{
       RowBox[{"Tas2", "[", 
        RowBox[{"s", ",", "t"}], "]"}], "\[LeftDoubleBracket]", "e1", 
       "\[RightDoubleBracket]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"e1", ",", "9"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d1", ",", "9"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c1", ",", "9"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b1", ",", "9"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a1", ",", "9"}], "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6157646805488396`*^9, 3.6157646980358396`*^9}, {
   3.615764765332689*^9, 3.615764801127736*^9}, 3.615764909870956*^9, 
   3.6157650503919935`*^9, {3.6157650946965275`*^9, 3.615765118279876*^9}, {
   3.616006556501747*^9, 3.6160065657343884`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"res", "=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"cnt", "=", "0"}], ",", "val"}], "}"}], ",", 
     RowBox[{"Array", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"With", "[", 
         RowBox[{
          RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"cnt", "++"}], ";", "\[IndentingNewLine]", 
           RowBox[{"val", "=", 
            RowBox[{
             SubsuperscriptBox["\[Integral]", "0", "1"], 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                SubsuperscriptBox["\[Integral]", "0", "1"], 
                RowBox[{
                 RowBox[{
                 "Ten3", "\[LeftDoubleBracket]", "##", 
                  "\[RightDoubleBracket]"}], 
                 RowBox[{"\[DifferentialD]", "s"}]}]}], ")"}], 
              RowBox[{"\[DifferentialD]", "t"}]}]}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Mod", "[", 
               RowBox[{"cnt", ",", "200"}], "]"}], "\[Equal]", "0"}], ",", 
             RowBox[{"Print", "[", 
              RowBox[{"{", 
               RowBox[{"##", ",", 
                RowBox[{
                "Ten3", "\[LeftDoubleBracket]", "##", 
                 "\[RightDoubleBracket]"}], ",", "val"}], "}"}], "]"}]}], 
            "]"}], ";", "\[IndentingNewLine]", "val"}]}], 
         "\[IndentingNewLine]", "]"}], "&"}], ",", 
       RowBox[{"Dimensions", "[", "Ten3", "]"}]}], "]"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.615764809781231*^9, 3.615764879229203*^9}, {
   3.6157649195075073`*^9, 3.6157649879574223`*^9}, {3.6157651349248285`*^9, 
   3.6157653128910074`*^9}, {3.615765611690098*^9, 3.6157656118061047`*^9}, 
   3.6160066221302547`*^9}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"res", ">>", "\"\<DooSabinMoment2top4.mx\>\""}], "*)"}]], "Input",
 CellChangeTimes->{{3.6157656163303633`*^9, 3.615765636605523*^9}, {
  3.61576603797748*^9, 3.6157660385955153`*^9}, {3.6160076039713354`*^9, 
  3.6160076082989025`*^9}, {3.6160544916990147`*^9, 3.616054492586528*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Build LGS", "Subsection",
 CellChangeTimes->{{3.615775718576589*^9, 3.615775729351754*^9}, {
  3.615778207877325*^9, 3.6157782097548532`*^9}, {3.6161509834346104`*^9, 
  3.616150984706683*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"BuildEssential", "[", 
   RowBox[{"eqs_", ",", "vars_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"lst", "=", 
       RowBox[{
        RowBox[{
         RowBox[{"Normal", "[", 
          RowBox[{"CoefficientArrays", "[", 
           RowBox[{"#", ",", 
            RowBox[{"Flatten", "[", "vars", "]"}]}], "]"}], "]"}], "&"}], "/@", 
        RowBox[{"Flatten", "[", "eqs", "]"}]}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"outM", "=", 
       RowBox[{"{", "}"}]}], ",", 
      RowBox[{"outV", "=", 
       RowBox[{"{", "}"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Which", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"Length", "[", 
           RowBox[{
           "lst", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
           "]"}], "\[Equal]", "1"}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Chop", "[", 
             RowBox[{
             "lst", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
             "]"}], "=!=", 
            RowBox[{"{", "0", "}"}]}], ",", 
           RowBox[{
            RowBox[{"Print", "/@", 
             RowBox[{"{", 
              RowBox[{"\"\<zero expected\>\"", ",", 
               RowBox[{
               "lst", "\[LeftDoubleBracket]", "k", 
                "\[RightDoubleBracket]"}]}], "}"}]}], ";"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Length", "[", 
           RowBox[{
           "lst", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
           "]"}], "\[Equal]", "2"}], ",", "\[IndentingNewLine]", 
         RowBox[{"With", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"row", "=", 
              RowBox[{"lst", "\[LeftDoubleBracket]", 
               RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]}], ",", 
             RowBox[{"val", "=", 
              RowBox[{"lst", "\[LeftDoubleBracket]", 
               RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}]}]}], "}"}], 
           ",", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"Union", "@", "row"}], ")"}], "===", 
               RowBox[{"{", "0", "}"}]}], "\[And]", 
              RowBox[{"(", 
               RowBox[{"val", "===", "0"}], ")"}]}], ",", 
             "\[IndentingNewLine]", ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"AppendTo", "[", 
               RowBox[{"outM", ",", "row"}], "]"}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"AppendTo", "[", 
               RowBox[{"outV", ",", "val"}], "]"}], ";"}]}], 
            "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}], ",",
          "\[IndentingNewLine]", "True", ",", 
         RowBox[{"Print", "[", 
          RowBox[{"Length", "[", 
           RowBox[{
           "lst", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
           "]"}], "]"}]}], "\[IndentingNewLine]", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", 
         RowBox[{"Length", "[", "lst", "]"}]}], "}"}]}], "]"}], ";", 
     RowBox[{"{", 
      RowBox[{"outM", ",", "outV"}], "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6158509739489255`*^9, 3.615851065820337*^9}, {
  3.61585115193666*^9, 3.615851209737547*^9}, {3.615851240963027*^9, 
  3.6158512782060986`*^9}, {3.615851568254562*^9, 3.6158516254479403`*^9}, {
  3.615851878464327*^9, 3.61585188195938*^9}, {3.6158519171974216`*^9, 
  3.6158519289626026`*^9}, {3.615854169994524*^9, 3.6158541731420727`*^9}, {
  3.61600203717083*^9, 3.61600204239841*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Unified Constructor", "Subsection",
 CellChangeTimes->{{3.615775718576589*^9, 3.615775729351754*^9}, {
  3.615778207877325*^9, 3.6157782097548532`*^9}, {3.6159993842305813`*^9, 
  3.615999387713135*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"UniIndexSwapXX", "[", 
   RowBox[{"{", 
    RowBox[{"p_", ",", "s_"}], "}"}], "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[LeftDoubleBracket]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", "2"}], "}"}], "~", "Join", "~", "#"}], 
       "\[RightDoubleBracket]"}], ",", "s"}], "}"}], "&"}], "/@", 
   RowBox[{"Permutations", "[", 
    RowBox[{"Range", "[", 
     RowBox[{"3", ",", 
      RowBox[{"Length", "[", "p", "]"}]}], "]"}], 
    "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"UniIndexSwapYZ", "[", 
   RowBox[{"{", 
    RowBox[{"p_", ",", "s_"}], "}"}], "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"p", ",", "s"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[LeftDoubleBracket]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"2", ",", "1"}], "}"}], "~", "Join", "~", 
        RowBox[{"Range", "[", 
         RowBox[{"3", ",", 
          RowBox[{"Length", "[", "p", "]"}]}], "]"}]}], 
       "\[RightDoubleBracket]"}], ",", 
      RowBox[{"-", "s"}]}], "}"}]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"GetRepresentative", "[", 
   RowBox[{"func_", ",", 
    RowBox[{"{", 
     RowBox[{"p_", ",", "s_"}], "}"}]}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"lst", "=", 
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{"p", ",", "s"}], "}"}], "}"}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"lst", "=", 
         RowBox[{"Flatten", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
            "func", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], "/@",
             "lst"}], ",", "1"}], "]"}]}], ";"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", 
         RowBox[{"Length", "[", "func", "]"}]}], "}"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"lst", "=", 
      RowBox[{"Union", "@", "lst"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"lst", "\[LeftDoubleBracket]", 
         RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}], "===", 
        RowBox[{"lst", "\[LeftDoubleBracket]", 
         RowBox[{"2", ",", "1"}], "\[RightDoubleBracket]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"lst", "\[LeftDoubleBracket]", 
          RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}], ",", "0"}], 
        "}"}], ",", 
       RowBox[{
       "lst", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
      "]"}]}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.616005955090009*^9, 3.616006006115793*^9}, {
   3.616006036261256*^9, 3.6160061921736507`*^9}, {3.616006240691896*^9, 
   3.616006266789797*^9}, {3.6160553009674454`*^9, 3.616055301572455*^9}, {
   3.6160553527807417`*^9, 3.6160553833862114`*^9}, {3.6160555221508427`*^9, 
   3.616055525910901*^9}, 3.6160586205805874`*^9, 3.6160642762824583`*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"DSMoment1Coef", "[", 
   RowBox[{"n_", ",", "var_", ",", 
    RowBox[{"{", 
     RowBox[{"p_", ",", "s_"}], "}"}]}], "]"}], ":=", 
  RowBox[{"s", " ", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"n", "\[NotEqual]", "9"}], "\[And]", 
      RowBox[{"SubsetQ", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "7"}], "}"}], ",", 
        "p"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
      "DooSabinListMoment1", "\[LeftDoubleBracket]", "2", 
       "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", 
      RowBox[{
       RowBox[{"p", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
       ",", 
       RowBox[{"p", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
       ",", 
       RowBox[{"p", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
       ",", 
       RowBox[{"p", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}]}], 
      "\[RightDoubleBracket]"}], ",", 
     SubscriptBox["var", 
      RowBox[{"Reverse", "[", "p", "]"}]]}], "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DSMoment2Coef", "[", 
   RowBox[{"n_", ",", "var_", ",", 
    RowBox[{"{", 
     RowBox[{"p_", ",", "s_"}], "}"}]}], "]"}], ":=", 
  RowBox[{"s", " ", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"n", "\[NotEqual]", "9"}], "\[And]", 
      RowBox[{"SubsetQ", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "7"}], "}"}], ",", 
        "p"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
      "DooSabinListMoment2", "\[LeftDoubleBracket]", "2", 
       "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", 
      RowBox[{
       RowBox[{"p", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
       ",", 
       RowBox[{"p", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
       ",", 
       RowBox[{"p", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
       ",", 
       RowBox[{"p", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
       ",", 
       RowBox[{"p", "\[LeftDoubleBracket]", "5", "\[RightDoubleBracket]"}]}], 
      "\[RightDoubleBracket]"}], ",", 
     SubscriptBox["var", 
      RowBox[{"Reverse", "[", "p", "]"}]]}], "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"s", " ", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"n", "\[NotEqual]", "9"}], "\[And]", 
       RowBox[{"SubsetQ", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "7"}], "}"}], ",", 
         "p"}], "]"}]}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
       "DooSabinListMoment2", "\[LeftDoubleBracket]", "2", 
        "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", 
       RowBox[{
        RowBox[{"p", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
        ",", 
        RowBox[{"p", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
        ",", 
        RowBox[{"p", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
        ",", 
        RowBox[{"p", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
        ",", 
        RowBox[{"p", "\[LeftDoubleBracket]", "5", "\[RightDoubleBracket]"}]}],
        "\[RightDoubleBracket]"}], ",", 
      SubscriptBox["var", 
       RowBox[{"Reverse", "[", "p", "]"}]]}], "]"}]}], "*)"}]}]}], "Input",
 CellChangeTimes->{{3.615952745785986*^9, 3.6159527699463673`*^9}, {
  3.6159995333253713`*^9, 3.615999572388471*^9}, {3.6159997791626472`*^9, 
  3.6159997807426715`*^9}, {3.6159998583488636`*^9, 3.61599986204642*^9}, {
  3.6160008499890947`*^9, 3.6160008812320747`*^9}, {3.616001073090022*^9, 
  3.616001120558251*^9}, {3.6160012147531977`*^9, 3.61600124028859*^9}, {
  3.6160013071146164`*^9, 3.616001387943358*^9}, {3.616055627347459*^9, 
  3.6160556369951067`*^9}, {3.616055674008176*^9, 3.616055724311448*^9}, {
  3.6163356230985746`*^9, 3.6163356505114956`*^9}}],

Cell[BoxData[
 RowBox[{"Dimensions", "/@", "DooSabinListMoment2"}]], "Input",
 CellChangeTimes->{{3.616335604298286*^9, 3.6163356058808107`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"DSIndexMirror", "[", 
   RowBox[{"n_", ",", 
    RowBox[{"{", 
     RowBox[{"p_", ",", "s_"}], "}"}]}], "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"p", ",", "s"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"Join", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
          "1", ",", "4", ",", "7", ",", "2", ",", "5", ",", "8", ",", "3", 
           ",", "6"}], "}"}], ",", 
         RowBox[{"Range", "[", 
          RowBox[{"n", ",", "9", ",", 
           RowBox[{"-", "1"}]}], "]"}]}], "]"}], "\[LeftDoubleBracket]", "p", 
       "\[RightDoubleBracket]"}], ",", 
      RowBox[{"-", "s"}]}], "}"}]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DSIndexMirror", "[", "n_", "]"}], ":=", 
  RowBox[{
   RowBox[{"DSIndexMirror", "[", 
    RowBox[{"n", ",", "#"}], "]"}], "&"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DSIndexRotate", "[", 
   RowBox[{"{", 
    RowBox[{"p_", ",", "s_"}], "}"}], "]"}], ":=", 
  RowBox[{"NestList", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "3", ",", "6", ",", "9", ",", "  ", "2", ",", "5", ",", "8", ",", 
          "  ", "1", ",", "4", ",", "7"}], "}"}], "\[LeftDoubleBracket]", 
        RowBox[{"#", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
        "\[RightDoubleBracket]"}], ",", "s"}], "}"}], "&"}], ",", 
    RowBox[{"{", 
     RowBox[{"p", ",", "s"}], "}"}], ",", "3"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.615951525436186*^9, 3.6159515500275917`*^9}, {
  3.6159516060367956`*^9, 3.61595160645982*^9}, {3.61600089783733*^9, 
  3.6160008980473332`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"DSMoment1Protoform", "[", 
   RowBox[{"n_", ",", "var_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"func", "=", 
      RowBox[{"{", 
       RowBox[{"UniIndexSwapXX", ",", "UniIndexSwapYZ", ",", 
        RowBox[{"DSIndexMirror", "[", "n", "]"}]}], "}"}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"n", "\[Equal]", "9"}], ",", 
       RowBox[{"AppendTo", "[", 
        RowBox[{"func", ",", "DSIndexRotate"}], "]"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Array", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"DSMoment1Coef", "[", 
         RowBox[{"n", ",", "var", ",", 
          RowBox[{"GetRepresentative", "[", 
           RowBox[{"func", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", "##", "}"}], ",", "1"}], "}"}]}], "]"}]}], "]"}], 
        "&"}], ",", 
       RowBox[{"{", 
        RowBox[{"n", ",", "n", ",", "n", ",", "n"}], "}"}]}], "]"}]}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DSMoment2Protoform", "[", 
   RowBox[{"n_", ",", "var_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"func", "=", 
      RowBox[{"{", 
       RowBox[{"UniIndexSwapXX", ",", "UniIndexSwapYZ", ",", 
        RowBox[{"DSIndexMirror", "[", "n", "]"}]}], "}"}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"n", "\[Equal]", "9"}], ",", 
       RowBox[{"AppendTo", "[", 
        RowBox[{"func", ",", "DSIndexRotate"}], "]"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Array", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"DSMoment2Coef", "[", 
         RowBox[{"n", ",", "var", ",", 
          RowBox[{"GetRepresentative", "[", 
           RowBox[{"func", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", "##", "}"}], ",", "1"}], "}"}]}], "]"}]}], "]"}], 
        "&"}], ",", 
       RowBox[{"{", 
        RowBox[{"n", ",", "n", ",", "n", ",", "n", ",", "n"}], "}"}]}], 
      "]"}]}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.6160005635146947`*^9, 3.6160006678837976`*^9}, {
   3.616000905614949*^9, 3.6160009281202955`*^9}, {3.6160012521212716`*^9, 
   3.61600125525882*^9}, {3.616055479435187*^9, 3.6160554911278667`*^9}, {
   3.616055574774151*^9, 3.616055600472046*^9}, {3.616055665000537*^9, 
   3.616055667935582*^9}, 3.6160557013035946`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Catmull-Clark fun", "Subsection",
 CellChangeTimes->{{3.6161512251654367`*^9, 3.616151227696581*^9}, {
  3.6163358750574446`*^9, 3.616335882920066*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"CCMoment1Coef", "[", 
   RowBox[{"n_", ",", "var_", ",", 
    RowBox[{"{", 
     RowBox[{"p_", ",", "s_"}], "}"}]}], "]"}], ":=", 
  RowBox[{"s", " ", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"n", "\[NotEqual]", "16"}], "\[And]", 
      RowBox[{"SubsetQ", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "1", ",", "2", ",", "3", ",", "4", ",", "5", ",", "9", ",", "13"}], 
         "}"}], ",", "p"}], "]"}]}], ",", "\[IndentingNewLine]", "1", ",", 
     SubscriptBox["var", 
      RowBox[{"Reverse", "[", "p", "]"}]]}], "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"CCMoment2Coef", "[", 
   RowBox[{"n_", ",", "var_", ",", 
    RowBox[{"{", 
     RowBox[{"p_", ",", "s_"}], "}"}]}], "]"}], ":=", 
  RowBox[{"s", " ", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"n", "\[NotEqual]", "16"}], "\[And]", 
      RowBox[{"SubsetQ", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "1", ",", "2", ",", "3", ",", "4", ",", "5", ",", "9", ",", "13"}], 
         "}"}], ",", "p"}], "]"}]}], ",", "\[IndentingNewLine]", "1", ",", 
     SubscriptBox["var", 
      RowBox[{"Reverse", "[", "p", "]"}]]}], "]"}]}]}]}], "Input",
 CellChangeTimes->{{3.615952745785986*^9, 3.6159527699463673`*^9}, {
  3.6159995333253713`*^9, 3.615999572388471*^9}, {3.6159997791626472`*^9, 
  3.6159997807426715`*^9}, {3.6159998583488636`*^9, 3.61599986204642*^9}, {
  3.6160008499890947`*^9, 3.6160008812320747`*^9}, {3.616001073090022*^9, 
  3.616001120558251*^9}, {3.6160012147531977`*^9, 3.61600124028859*^9}, {
  3.6160013071146164`*^9, 3.616001387943358*^9}, {3.616055627347459*^9, 
  3.6160556369951067`*^9}, {3.616055674008176*^9, 3.616055724311448*^9}, {
  3.6163356230985746`*^9, 3.6163356505114956`*^9}, {3.6163359055329127`*^9, 
  3.6163359057079153`*^9}, {3.616336275651098*^9, 3.616336318691759*^9}, {
  3.6163366237014437`*^9, 3.616336624558957*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"CCIndexMirror", "[", 
   RowBox[{"n_", ",", 
    RowBox[{"{", 
     RowBox[{"p_", ",", "s_"}], "}"}]}], "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"p", ",", "s"}], "}"}], ",", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"Which", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"n", "\[Equal]", "16"}], ",", 
         RowBox[{"{", 
          RowBox[{
          "1", ",", "5", ",", "9", ",", "13", ",", "  ", "2", ",", "6", ",", 
           "10", ",", "14", ",", "  ", "3", ",", "7", ",", "11", ",", "15", 
           ",", "  ", "4", ",", "8", ",", "12", ",", "16"}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"n", "\[Equal]", "14"}], ",", 
         RowBox[{"{", 
          RowBox[{
          "1", ",", "5", ",", "9", ",", "13", ",", "  ", "2", ",", "6", ",", 
           "10", ",", "14", ",", "  ", "3", ",", "7", ",", "11", ",", "12", 
           ",", "  ", "4", ",", "8"}], "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"n", "\[Equal]", "18"}], ",", 
         RowBox[{"{", 
          RowBox[{
          "1", ",", "5", ",", "9", ",", "13", ",", "  ", "2", ",", "6", ",", 
           "10", ",", "14", ",", "  ", "3", ",", "7", ",", "11", ",", "15", 
           ",", "  ", "4", ",", "8", ",", "12", ",", "18", ",", "  ", "17", 
           ",", "16"}], "}"}], ",", "\[IndentingNewLine]", "True", ",", 
         RowBox[{"{", "}"}]}], "]"}], "\[LeftDoubleBracket]", "p", 
       "\[RightDoubleBracket]"}], ",", 
      RowBox[{"-", "s"}]}], "}"}]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"CCIndexMirror", "[", "n_", "]"}], ":=", 
  RowBox[{
   RowBox[{"CCIndexMirror", "[", 
    RowBox[{"n", ",", "#"}], "]"}], "&"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"CCIndexRotate", "[", 
   RowBox[{"{", 
    RowBox[{"p_", ",", "s_"}], "}"}], "]"}], ":=", 
  RowBox[{"NestList", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "4", ",", "8", ",", "12", ",", "16", ",", "  ", "3", ",", "7", ",", 
          "11", ",", "15", ",", "  ", "2", ",", "6", ",", "10", ",", "14", 
          ",", "  ", "1", ",", "5", ",", "9", ",", "13"}], "}"}], 
        "\[LeftDoubleBracket]", 
        RowBox[{"#", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
        "\[RightDoubleBracket]"}], ",", "s"}], "}"}], "&"}], ",", 
    RowBox[{"{", 
     RowBox[{"p", ",", "s"}], "}"}], ",", "3"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.615951525436186*^9, 3.6159515500275917`*^9}, {
  3.6159516060367956`*^9, 3.61595160645982*^9}, {3.61600089783733*^9, 
  3.6160008980473332`*^9}, {3.616336324926855*^9, 3.6163363250843573`*^9}, {
  3.6163363753976297`*^9, 3.6163365590954514`*^9}, {3.616336700412622*^9, 
  3.6163367534059362`*^9}, {3.6163367940615606`*^9, 3.6163368036367073`*^9}, {
  3.6163369882455435`*^9, 3.6163370168059816`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"CCMoment1Protoform", "[", 
   RowBox[{"n_", ",", "var_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"func", "=", 
      RowBox[{"{", 
       RowBox[{"UniIndexSwapXX", ",", "UniIndexSwapYZ", ",", 
        RowBox[{"CCIndexMirror", "[", "n", "]"}]}], "}"}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"n", "\[Equal]", "16"}], ",", 
       RowBox[{"AppendTo", "[", 
        RowBox[{"func", ",", "CCIndexRotate"}], "]"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Array", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"CCMoment1Coef", "[", 
         RowBox[{"n", ",", "var", ",", 
          RowBox[{"GetRepresentative", "[", 
           RowBox[{"func", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", "##", "}"}], ",", "1"}], "}"}]}], "]"}]}], "]"}], 
        "&"}], ",", 
       RowBox[{"{", 
        RowBox[{"n", ",", "n", ",", "n", ",", "n"}], "}"}]}], "]"}]}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"CCMoment2Protoform", "[", 
   RowBox[{"n_", ",", "var_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"func", "=", 
      RowBox[{"{", 
       RowBox[{"UniIndexSwapXX", ",", "UniIndexSwapYZ", ",", 
        RowBox[{"CCIndexMirror", "[", "n", "]"}]}], "}"}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"n", "\[Equal]", "16"}], ",", 
       RowBox[{"AppendTo", "[", 
        RowBox[{"func", ",", "CCIndexRotate"}], "]"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Array", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"CCMoment2Coef", "[", 
         RowBox[{"n", ",", "var", ",", 
          RowBox[{"GetRepresentative", "[", 
           RowBox[{"func", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", "##", "}"}], ",", "1"}], "}"}]}], "]"}]}], "]"}], 
        "&"}], ",", 
       RowBox[{"{", 
        RowBox[{"n", ",", "n", ",", "n", ",", "n", ",", "n"}], "}"}]}], 
      "]"}]}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.6160005635146947`*^9, 3.6160006678837976`*^9}, {
   3.616000905614949*^9, 3.6160009281202955`*^9}, {3.6160012521212716`*^9, 
   3.61600125525882*^9}, {3.616055479435187*^9, 3.6160554911278667`*^9}, {
   3.616055574774151*^9, 3.616055600472046*^9}, {3.616055665000537*^9, 
   3.616055667935582*^9}, 3.6160557013035946`*^9, {3.6163365616479907`*^9, 
   3.6163366019911103`*^9}, {3.616337107134869*^9, 3.6163371093599033`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Test", "Subsection",
 CellChangeTimes->{{3.6161512251654367`*^9, 3.616151227696581*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"frm", "=", 
      RowBox[{"DSMoment1Protoform", "[", 
       RowBox[{"8", ",", "a"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"eqs", "=", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"0", "\[Equal]", "#"}], "&"}], "/@", 
         RowBox[{"Flatten", "[", 
          RowBox[{"frm", "-", 
           RowBox[{
           "DooSabinListMoment1", "\[LeftDoubleBracket]", "1", 
            "\[RightDoubleBracket]"}]}], "]"}]}], ")"}]}], ",", 
      RowBox[{"Variables", "[", "frm", "]"}]}], "]"}]}], 
   "\[IndentingNewLine]", "]"}], "//", "Length"}]], "Input",
 CellChangeTimes->{{3.6159997250043154`*^9, 3.615999747037154*^9}, {
   3.6160011940828805`*^9, 3.6160012094006157`*^9}, 3.6160555394611087`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"frm", "=", 
      RowBox[{"DSMoment1Protoform", "[", 
       RowBox[{"9", ",", "a"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"eqs", "=", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"0", "\[Equal]", "#"}], "&"}], "/@", 
         RowBox[{"Flatten", "[", 
          RowBox[{"frm", "-", 
           RowBox[{
           "DooSabinListMoment1", "\[LeftDoubleBracket]", "2", 
            "\[RightDoubleBracket]"}]}], "]"}]}], ")"}]}], ",", 
      RowBox[{"Variables", "[", "frm", "]"}]}], "]"}]}], 
   "\[IndentingNewLine]", "]"}], "//", "Length"}]], "Input",
 CellChangeTimes->{{3.6160004728458023`*^9, 3.6160005304466867`*^9}, {
   3.616001166802461*^9, 3.616001177997633*^9}, {3.616001408506174*^9, 
   3.616001422356386*^9}, 3.616055558958908*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"frm", "=", 
      RowBox[{"DSMoment2Protoform", "[", 
       RowBox[{"9", ",", "a"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"eqs", "=", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"0", "\[Equal]", "#"}], "&"}], "/@", 
         RowBox[{"Flatten", "[", 
          RowBox[{"frm", "-", 
           RowBox[{
           "DooSabinListMoment2", "\[LeftDoubleBracket]", "2", 
            "\[RightDoubleBracket]"}]}], "]"}]}], ")"}]}], ",", 
      RowBox[{"Variables", "[", "frm", "]"}]}], "]"}]}], 
   "\[IndentingNewLine]", "]"}], "//", "Length"}]], "Input",
 CellChangeTimes->{{3.616055736031628*^9, 3.6160557402066927`*^9}}],

Cell[BoxData[
 RowBox[{"DooSabinWeight", "[", "5", "]"}]], "Input",
 CellChangeTimes->{{3.616002401158921*^9, 3.6160024241617737`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"k", "-", "5"}], ",", 
       RowBox[{"Length", "@", 
        RowBox[{"Variables", "@", 
         RowBox[{"DSPrototypeForm", "[", 
          RowBox[{"k", ",", "a"}], "]"}]}]}]}], "}"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "8", ",", 
      RowBox[{"5", "+", "10"}]}], "}"}]}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.6160014522318454`*^9, 3.616001458924448*^9}, {
  3.6160015112352514`*^9, 3.616001554938423*^9}, {3.6160023442855473`*^9, 
  3.616002371908471*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"frm", "=", 
      RowBox[{"DSPrototypeForm", "[", 
       RowBox[{"11", ",", "a"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"eqs", "=", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"0", "\[Equal]", "#"}], "&"}], "/@", 
         RowBox[{"Flatten", "[", 
          RowBox[{"frm", "-", 
           RowBox[{
           "DooSabinListMoment1", "\[LeftDoubleBracket]", "4", 
            "\[RightDoubleBracket]"}]}], "]"}]}], ")"}]}], ",", 
      RowBox[{"Variables", "[", "frm", "]"}]}], "]"}]}], 
   "\[IndentingNewLine]", "]"}], "//", "Length"}]], "Input",
 CellChangeTimes->{{3.6160014283439784`*^9, 3.6160014315440273`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Union", "@", 
   RowBox[{
    RowBox[{"Select", "[", 
     RowBox[{
      RowBox[{"Union", "@", 
       RowBox[{"Flatten", "[", 
        RowBox[{
         RowBox[{"Array", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"GetRepresentative", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"UniIndexSwapXXX", ",", "UniIndexSwapYZ", ",", 
                RowBox[{"DSIndexMirror", "[", "8", "]"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", "##", "}"}], ",", "1"}], "}"}]}], "]"}], "&"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{"8", ",", "8", ",", "8", ",", "8", ",", "8"}], "}"}]}], 
          "]"}], ",", "4"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"#", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
        "\[NotEqual]", "0"}], "&"}]}], "]"}], "\[LeftDoubleBracket]", 
    RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}]}], "//", 
  "Length"}]], "Input",
 CellChangeTimes->{{3.6159525440334463`*^9, 3.6159525453575215`*^9}, {
  3.615952578825436*^9, 3.615952634772636*^9}, {3.615952770765414*^9, 
  3.615952798062976*^9}, {3.615952843495574*^9, 3.615952862211645*^9}, {
  3.6159529793983474`*^9, 3.6159529915740438`*^9}, {3.616006284832574*^9, 
  3.616006315948052*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Union", "@", 
   RowBox[{
    RowBox[{"Select", "[", 
     RowBox[{
      RowBox[{"Union", "@", 
       RowBox[{"Flatten", "[", 
        RowBox[{
         RowBox[{"Array", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"GetRepresentative", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"UniIndexSwapXXX", ",", "UniIndexSwapYZ", ",", 
                RowBox[{"DSIndexMirror", "[", "9", "]"}], ",", 
                "DSIndexRotate"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", "##", "}"}], ",", "1"}], "}"}]}], "]"}], "&"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{"9", ",", "9", ",", "9", ",", "9", ",", "9"}], "}"}]}], 
          "]"}], ",", "4"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"#", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
        "\[NotEqual]", "0"}], "&"}]}], "]"}], "\[LeftDoubleBracket]", 
    RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}]}], "//", 
  "Length"}]], "Input",
 CellChangeTimes->{{3.616006424622221*^9, 3.61600643823493*^9}}],

Cell[BoxData["1820"], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Union", "@", 
   RowBox[{
    RowBox[{"Select", "[", 
     RowBox[{
      RowBox[{"Union", "@", 
       RowBox[{"Flatten", "[", 
        RowBox[{
         RowBox[{"Array", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"GetRepresentative", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"DSIndexSwapXX", ",", "DSIndexSwapYZ", ",", 
                RowBox[{"DSIndexMirror", "[", "12", "]"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", "##", "}"}], ",", "1"}], "}"}]}], "]"}], "&"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{"12", ",", "12", ",", "12", ",", "12"}], "}"}]}], "]"}], 
         ",", "3"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"#", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
        "\[NotEqual]", "0"}], "&"}]}], "]"}], "\[LeftDoubleBracket]", 
    RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}]}], "//", 
  "Length"}]], "Input",
 CellChangeTimes->{{3.615999472124431*^9, 3.615999480682063*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Union", "@", 
   RowBox[{
    RowBox[{"Select", "[", 
     RowBox[{
      RowBox[{"Union", "@", 
       RowBox[{"Flatten", "[", 
        RowBox[{
         RowBox[{"Array", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"GetRepresentative", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
               "DSIndexSwapXX", ",", "DSIndexSwapYZ", ",", "DSIndexRotate", 
                ",", 
                RowBox[{"DSIndexMirror", "[", 
                 RowBox[{"5", "+", "4"}], "]"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", "##", "}"}], ",", "1"}], "}"}]}], "]"}], "&"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{"9", ",", "9", ",", "9", ",", "9"}], "}"}]}], "]"}], ",", 
         "3"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"#", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
        "\[NotEqual]", "0"}], "&"}]}], "]"}], "\[LeftDoubleBracket]", 
    RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}]}], "//", 
  "Length"}]], "Input",
 CellChangeTimes->{{3.6159518796514454`*^9, 3.615951885269767*^9}, {
   3.615951925503068*^9, 3.6159519416489916`*^9}, 3.615951995774087*^9, {
   3.6159530175955324`*^9, 3.6159530399198093`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Demo", "Subsection",
 CellChangeTimes->{{3.615775718576589*^9, 3.615775729351754*^9}, {
  3.615778207877325*^9, 3.6157782097548532`*^9}, {3.615780466145511*^9, 
  3.615780466588018*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"LocationOf", "[", 
   RowBox[{"frm_", ",", "val_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"lst", "=", 
      RowBox[{"{", "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Array", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Abs", "[", 
            RowBox[{
            "frm", "\[LeftDoubleBracket]", "##", "\[RightDoubleBracket]"}], 
            "]"}], "===", "val"}], ",", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"lst", ",", 
            RowBox[{"{", 
             RowBox[{"##", ",", 
              RowBox[{
              "frm", "\[LeftDoubleBracket]", "##", 
               "\[RightDoubleBracket]"}]}], "}"}]}], "]"}]}], "]"}], "&"}], 
       ",", 
       RowBox[{"Dimensions", "[", "frm", "]"}]}], "]"}], ";", 
     "\[IndentingNewLine]", "lst"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.615841039099402*^9, 3.615841206019949*^9}, {
  3.615841301754425*^9, 3.615841303851545*^9}, {3.6158413869652987`*^9, 
  3.6158414249554715`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"lst", "=", 
   RowBox[{"LocationOf", "[", 
    RowBox[{
     RowBox[{
     "DooSabinListMoment1", "\[LeftDoubleBracket]", "1", 
      "\[RightDoubleBracket]"}], ",", 
     FractionBox["7221537503135759", "17095949052531148800"]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.6158412487723947`*^9, 3.615841255775795*^9}, {
   3.6158412878666306`*^9, 3.6158412945480127`*^9}, {3.6158414117717175`*^9, 
   3.6158414209462423`*^9}, 3.61584191393744*^9, 3.6158422164487424`*^9, 
   3.6158422650525227`*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Reverse", "@", "#"}], ",", 
     RowBox[{"rep", "\[LeftDoubleBracket]", 
      RowBox[{
       RowBox[{"#", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
       ",", 
       RowBox[{"#", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
       ",", 
       RowBox[{"#", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
       ",", 
       RowBox[{"#", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}]}], 
      "\[RightDoubleBracket]"}], ",", 
     RowBox[{
      RowBox[{
      "DooSabinListMoment1", "\[LeftDoubleBracket]", "1", 
       "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", 
      RowBox[{
       RowBox[{"#", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
       ",", 
       RowBox[{"#", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
       ",", 
       RowBox[{"#", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
       ",", 
       RowBox[{"#", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}]}], 
      "\[RightDoubleBracket]"}]}], "}"}], "&"}], "/@", 
  RowBox[{"lst", "\[LeftDoubleBracket]", 
   RowBox[{"All", ",", 
    RowBox[{"Range", "[", "4", "]"}]}], 
   "\[RightDoubleBracket]"}]}], "\[IndentingNewLine]", 
 RowBox[{"%", "//", "Variables"}]}], "Input",
 CellChangeTimes->{{3.6158412278561983`*^9, 3.6158412306943607`*^9}, {
  3.6158412977621965`*^9, 3.615841350220197*^9}, {3.6158414400023327`*^9, 
  3.6158414437995496`*^9}, {3.615841495753521*^9, 3.61584150342596*^9}, {
  3.6158416543615932`*^9, 3.61584165885485*^9}, {3.6158417146530414`*^9, 
  3.6158417355122347`*^9}, {3.6158422466544704`*^9, 3.6158422895279226`*^9}}]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Doo-Sabin case 3, 5, 6, ..., 9", "Section",
 CellChangeTimes->{{3.605327924449959*^9, 3.6053279283121796`*^9}, {
  3.6056149079927945`*^9, 3.6056149089858513`*^9}, {3.6056228516001425`*^9, 
  3.6056228546483173`*^9}, {3.6158639571278963`*^9, 3.615863961377962*^9}, {
  3.6158671505747256`*^9, 3.6158671524897547`*^9}}],

Cell[CellGroupData[{

Cell["case 4", "Subsection",
 CellChangeTimes->{{3.60562336381744*^9, 3.6056233784292755`*^9}, {
  3.6158654820083184`*^9, 3.6158654885984197`*^9}, {3.6162764333493605`*^9, 
  3.616276438621662*^9}}],

Cell[CellGroupData[{

Cell["Subdivision", "Subsubsection",
 CellChangeTimes->{{3.6160558160028563`*^9, 3.616055826500518*^9}, {
  3.616275238575023*^9, 3.616275240342124*^9}, {3.6162754296939545`*^9, 
  3.6162754320210876`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    SubscriptBox["\[Omega]", "1"], ",", 
    SubscriptBox["\[Omega]", "2"], ",", 
    SubscriptBox["\[Omega]", "3"], ",", 
    SubscriptBox["\[Omega]", "2"]}], "}"}], "=", 
  RowBox[{"16", " ", 
   RowBox[{"DooSabinWeight", "[", "4", "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"{", 
  RowBox[{
   SubscriptBox["\[Omega]", "1"], ",", 
   SubscriptBox["\[Omega]", "2"]}], "}"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DS4sub", "=", 
   RowBox[{
    FractionBox["1", "16"], 
    RowBox[{"(", GridBox[{
       {"9", "3", "0", "3", "1", "0", "0", "0", "0"},
       {"3", "9", "0", "1", "3", "0", "0", "0", "0"},
       {"0", "9", "3", "0", "3", "1", "0", "0", "0"},
       {"0", "3", "9", "0", "1", "3", "0", "0", "0"},
       {"3", "1", "0", "9", "3", "0", "0", "0", "0"},
       {"1", "3", "0", "3", "9", "0", "0", "0", "0"},
       {"0", "3", "1", "0", "9", "3", "0", "0", "0"},
       {"0", "1", "3", "0", "3", "9", "0", "0", "0"},
       {"0", "0", "0", "9", "3", "0", "3", "1", "0"},
       {"0", "0", "0", "3", "9", "0", "1", "3", "0"},
       {"0", "0", "0", "0", 
        SubscriptBox["\[Omega]", "1"], 
        SubscriptBox["\[Omega]", "2"], "0", 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "3"]},
       {"0", "0", "0", "0", 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "1"], "0", 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "2"]},
       {"0", "0", "0", "3", "1", "0", "9", "3", "0"},
       {"0", "0", "0", "1", "3", "0", "3", "9", "0"},
       {"0", "0", "0", "0", 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "3"], "0", 
        SubscriptBox["\[Omega]", "1"], 
        SubscriptBox["\[Omega]", "2"]},
       {"0", "0", "0", "0", 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "2"], "0", 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "1"]}
      }], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DS4ind", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "1", ",", "2", ",", "3", ",", "5", ",", "6", ",", "7", ",", "9", ",", 
       "10", ",", "11"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "2", ",", "3", ",", "4", ",", "6", ",", "7", ",", "8", ",", "10", ",", 
       "11", ",", "12"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "5", ",", "6", ",", "7", ",", "9", ",", "10", ",", "11", ",", "13", ",",
        "14", ",", "15"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "6", ",", "7", ",", "8", ",", "10", ",", "11", ",", "12", ",", "14", 
       ",", "15", ",", "16"}], "}"}]}], "}"}]}], ";"}]}], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"DS4sub", "\[LeftDoubleBracket]", 
   RowBox[{"DS4ind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
   "\[RightDoubleBracket]"}], "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.615766473350382*^9, 3.6157664954506454`*^9}, {
  3.615865579397314*^9, 3.6158655810848403`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Centroid via nullspace", "Subsubsection",
 CellChangeTimes->{{3.616276402186578*^9, 3.6162764425018835`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frm4", "=", 
   RowBox[{"DSMoment1Protoform", "[", 
    RowBox[{"9", ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"frm4", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm4", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"var", "//", "Length"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
   3.615766552206892*^9, 3.615766553603972*^9}, {3.615777145035*^9, 
   3.6157771458075113`*^9}, 3.615777506580553*^9, {3.6158483613035173`*^9, 
   3.6158483649685736`*^9}, {3.615850523497007*^9, 3.615850524609524*^9}, {
   3.615865587912445*^9, 3.615865604127694*^9}, {3.6160019693522882`*^9, 
   3.616001977987421*^9}, 3.616151347555437*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"eqs", "=", 
   RowBox[{
    RowBox[{"Sum", "[", 
     RowBox[{
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS4sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS4ind", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", "4"}], "}"}]}], "]"}], "-", "frm4"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.61576653363883*^9, 3.615766611305272*^9}, {
  3.6157753144203815`*^9, 3.6157753321406536`*^9}, {3.6157774072065268`*^9, 
  3.615777423144271*^9}, {3.6157784459034805`*^9, 3.61577844843602*^9}, {
  3.6157791005035353`*^9, 3.6157791031910763`*^9}, {3.615865635648178*^9, 
  3.61586566114357*^9}, {3.6158660814633045`*^9, 3.6158661220314274`*^9}, {
  3.615866168059634*^9, 3.615866170957179*^9}, {3.616151379227248*^9, 
  3.6161513799462895`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"mat", ",", "vec"}], "}"}], "=", 
   RowBox[{"BuildEssential", "[", 
    RowBox[{"eqs", ",", "var"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6157784163080263`*^9, 3.615778417588046*^9}, {
   3.6157784536986003`*^9, 3.615778494956734*^9}, {3.615778565062811*^9, 
   3.615778574187951*^9}, 3.6158505213319736`*^9}],

Cell[BoxData[{
 RowBox[{"mat", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{"Union", "@", "vec"}]}], "Input",
 CellChangeTimes->{{3.615865730872141*^9, 3.615865731714654*^9}, {
  3.6158662484283686`*^9, 3.6158662582235193`*^9}}],

Cell[BoxData[
 RowBox[{"mat", ">>", "\"\<doosabin_regularMat.mx\>\""}]], "Input",
 CellChangeTimes->{{3.615865752372471*^9, 3.615865760507596*^9}, {
  3.6161512901151514`*^9, 3.6161512908181915`*^9}, {3.6161514348254285`*^9, 
  3.6161514356974783`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"mat", "=", 
   RowBox[{"<<", "\"\<doosabin_regularMat.mx\>\""}]}], ";"}]], "Input",
 CellChangeTimes->{{3.616151295634467*^9, 3.616151297338565*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nul", "=", 
   RowBox[{"NullSpace", "[", "mat", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6158657336246834`*^9, 3.6158657372147384`*^9}, {
  3.6158657705652504`*^9, 3.615865772717784*^9}}],

Cell[BoxData[
 RowBox[{"nul", "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.615865787330508*^9, 3.615865788215522*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"sol", "=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"lin", "=", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Alpha]", "1"], ",", 
          SubscriptBox["\[Alpha]", "2"]}], "}"}], ".", "nul"}]}], "}"}], ",", 
     RowBox[{"frm4", "/.", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
         "var", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
         "\[Rule]", 
         RowBox[{
         "lin", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", 
          RowBox[{"Length", "[", "var", "]"}]}], "}"}]}], "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"sol", "//", "Dimensions"}]}], "Input",
 CellChangeTimes->{{3.6160021609777317`*^9, 3.6160022383389196`*^9}, {
  3.6161514965389585`*^9, 3.6161514968929787`*^9}}],

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"0", "\[Equal]", "#"}], "&"}], "/@", 
    RowBox[{"Flatten", "[", 
     RowBox[{"sol", "-", 
      RowBox[{
      "DooSabinListMoment1", "\[LeftDoubleBracket]", "2", 
       "\[RightDoubleBracket]"}]}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Alpha]", "1"], ",", 
     SubscriptBox["\[Alpha]", "2"]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.615865816895962*^9, 3.615865859984124*^9}, {
  3.6158662905240154`*^9, 3.6158663024691987`*^9}, {3.6160022643618193`*^9, 
  3.616002264596823*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"DooSabinMoment1RegVar", "=", "sol"}], ";"}]], "Input",
 CellChangeTimes->{{3.6161517797071543`*^9, 3.6161517906057777`*^9}}],

Cell[BoxData[
 RowBox[{"sol", "//", "Variables"}]], "Input",
 CellChangeTimes->{{3.6161517702146115`*^9, 3.616151771831704*^9}}],

Cell[BoxData[
 RowBox[{"DooSabinVolume", "[", 
  RowBox[{"DooSabinSubdivide", "[", "DSCalibrationCubeMesh", "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.6161518294820013`*^9, 3.6161518646390123`*^9}}],

Cell[BoxData[
 RowBox[{"DooSabinMoment1", "[", 
  RowBox[{"Nest", "[", 
   RowBox[{"DooSabinSubdivide", ",", "DSCalibrationCubeMesh", ",", "1"}], 
   "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.6161518721104393`*^9, 3.616151873393513*^9}, {
   3.616151946727708*^9, 3.616151950364916*^9}, 3.6161520161676793`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"0", "\[Equal]", "#"}], "&"}], "/@", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      FractionBox["1", "2"], 
      RowBox[{"{", 
       RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], "-", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        FractionBox[
         RowBox[{"2257920", " ", 
          SubscriptBox["\[Alpha]", "1"]}], "11"]}], ",", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{"2257920", " ", 
          SubscriptBox["\[Alpha]", "1"]}], "11"]}], ",", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{"2257920", " ", 
          SubscriptBox["\[Alpha]", "1"]}], "11"]}]}], "}"}]}], ")"}]}], "//", 
  "Solve"}]], "Input",
 CellChangeTimes->{{3.616151899786023*^9, 3.6161519227733374`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"DooSabinMoment1RegVar", "=", 
   RowBox[{"sol", "/.", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Alpha]", "1"], "\[Rule]", 
      RowBox[{"-", 
       FractionBox["11", "4515840"]}]}], "}"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.616152031008528*^9, 3.6161520334796696`*^9}}],

Cell[BoxData[
 RowBox[{"DooSabinMoment1", "[", 
  RowBox[{"Nest", "[", 
   RowBox[{"DooSabinSubdivide", ",", "DSCalibrationCubeMesh", ",", "1"}], 
   "]"}], "]"}]], "Input"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.616152594139737*^9, 3.616152612066763*^9}, {
   3.6161526581633997`*^9, 3.616152664441758*^9}, 3.6161527779922533`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"mysug", "=", 
   RowBox[{"Select", "[", 
    RowBox[{
     RowBox[{"Union", "@", 
      RowBox[{"Flatten", "@", "DooSabinMoment1RegVar"}]}], ",", 
     RowBox[{
      RowBox[{"0", "<", 
       RowBox[{"Length", "@", 
        RowBox[{"Variables", "[", "#", "]"}]}]}], "&"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{3.616152216454135*^9}],

Cell[BoxData[
 RowBox[{"opt", "=", 
  RowBox[{"Union", "@", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"Solve", "[", 
        RowBox[{"0", "\[Equal]", "#"}], "]"}], "\[LeftDoubleBracket]", "1", 
       "\[RightDoubleBracket]"}], "&"}], "/@", "mysug"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.6161522385643997`*^9, 3.6161523039321384`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"Tally", "@", 
    RowBox[{"Unitize", "@", 
     RowBox[{"Flatten", "@", 
      RowBox[{"PrepareOldMoment1Form", "[", 
       RowBox[{"<<", "\"\<DooSabinMoment1Int4.mx\>\""}], "]"}]}]}]}], ")"}], 
  "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]], "Input",
 CellChangeTimes->{{3.6161524793611727`*^9, 3.6161525064827237`*^9}, 
   3.6161525443628902`*^9}],

Cell[BoxData[
 RowBox[{"627200", " ", "2"}]], "Input",
 CellChangeTimes->{{3.6161528522314997`*^9, 3.6161528524395113`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Tally", "[", 
   RowBox[{"Unitize", "@", 
    RowBox[{"Flatten", "[", 
     RowBox[{"DooSabinMoment1RegVar", "/.", 
      RowBox[{
       SubscriptBox["\[Alpha]", "2"], "\[Rule]", 
       RowBox[{"-", 
        FractionBox["51", "627200"]}]}]}], "]"}]}], "]"}], 
  "\[LeftDoubleBracket]", "1", 
  "\[RightDoubleBracket]"}], "\[IndentingNewLine]", 
 RowBox[{"Sort", "[", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Tally", "[", 
      RowBox[{"Unitize", "@", 
       RowBox[{"Flatten", "[", 
        RowBox[{"DooSabinMoment1RegVar", "/.", 
         RowBox[{
         "opt", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], 
        "]"}]}], "]"}], "\[LeftDoubleBracket]", "1", 
     "\[RightDoubleBracket]"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", 
      RowBox[{"Length", "[", "opt", "]"}]}], "}"}]}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.6161523820306053`*^9, 3.616152471771738*^9}, {
  3.6161526818267527`*^9, 3.616152723722149*^9}, {3.6161527802413816`*^9, 
  3.6161527906759787`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Inertia via nullspace", "Subsubsection",
 CellChangeTimes->{{3.616276402186578*^9, 3.6162764425018835`*^9}, {
  3.6162778886189528`*^9, 3.616277889546467*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frm4", "=", 
   RowBox[{"DSMoment2Protoform", "[", 
    RowBox[{"9", ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"frm4", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm4", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"var", "//", "Length"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
   3.615766552206892*^9, 3.615766553603972*^9}, {3.615777145035*^9, 
   3.6157771458075113`*^9}, 3.615777506580553*^9, {3.6158483613035173`*^9, 
   3.6158483649685736`*^9}, {3.615850523497007*^9, 3.615850524609524*^9}, {
   3.615865587912445*^9, 3.615865604127694*^9}, {3.6160019693522882`*^9, 
   3.616001977987421*^9}, 3.616151347555437*^9, 3.616277894111537*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"eqs", "=", 
   RowBox[{
    RowBox[{"Sum", "[", 
     RowBox[{
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS4sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS4ind", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", "4"}], "}"}]}], "]"}], "-", "frm4"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.61576653363883*^9, 3.615766611305272*^9}, {
  3.6157753144203815`*^9, 3.6157753321406536`*^9}, {3.6157774072065268`*^9, 
  3.615777423144271*^9}, {3.6157784459034805`*^9, 3.61577844843602*^9}, {
  3.6157791005035353`*^9, 3.6157791031910763`*^9}, {3.615865635648178*^9, 
  3.61586566114357*^9}, {3.6158660814633045`*^9, 3.6158661220314274`*^9}, {
  3.615866168059634*^9, 3.615866170957179*^9}, {3.616151379227248*^9, 
  3.6161513799462895`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"mat", ",", "vec"}], "}"}], "=", 
   RowBox[{"BuildEssential", "[", 
    RowBox[{"eqs", ",", "var"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6157784163080263`*^9, 3.615778417588046*^9}, {
   3.6157784536986003`*^9, 3.615778494956734*^9}, {3.615778565062811*^9, 
   3.615778574187951*^9}, 3.6158505213319736`*^9}],

Cell[BoxData[{
 RowBox[{"mat", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{"Union", "@", "vec"}]}], "Input",
 CellChangeTimes->{{3.615865730872141*^9, 3.615865731714654*^9}, {
  3.6158662484283686`*^9, 3.6158662582235193`*^9}}],

Cell[BoxData[
 RowBox[{"mat", ">>", "\"\<doosabin_m2regularMat.mx\>\""}]], "Input",
 CellChangeTimes->{{3.615865752372471*^9, 3.615865760507596*^9}, {
  3.6161512901151514`*^9, 3.6161512908181915`*^9}, {3.6161514348254285`*^9, 
  3.6161514356974783`*^9}, {3.6162779611150656`*^9, 3.6162779653226304`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"mat", "=", 
   RowBox[{"<<", "\"\<doosabin_m2regularMat.mx\>\""}]}], ";"}]], "Input",
 CellChangeTimes->{{3.616151295634467*^9, 3.616151297338565*^9}, {
  3.6162779686276813`*^9, 3.616277968755183*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nul", "=", 
   RowBox[{"NullSpace", "[", "mat", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6158657336246834`*^9, 3.6158657372147384`*^9}, {
  3.6158657705652504`*^9, 3.615865772717784*^9}}],

Cell[BoxData[
 RowBox[{"nul", "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.615865787330508*^9, 3.615865788215522*^9}}],

Cell[BoxData[
 RowBox[{"nul", ">>", "\"\<nullspace_dsmoment2reg.mx\>\""}]], "Input",
 CellChangeTimes->{{3.6162818632545023`*^9, 3.616281872379642*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"sol", "=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"lin", "=", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Alpha]", "1"], ",", 
          SubscriptBox["\[Alpha]", "2"]}], "}"}], ".", "nul"}]}], "}"}], ",", 
     RowBox[{"frm4", "/.", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
         "var", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
         "\[Rule]", 
         RowBox[{
         "lin", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", 
          RowBox[{"Length", "[", "var", "]"}]}], "}"}]}], "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"sol", "//", "Dimensions"}]}], "Input",
 CellChangeTimes->{{3.6160021609777317`*^9, 3.6160022383389196`*^9}, {
  3.6161514965389585`*^9, 3.6161514968929787`*^9}}],

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"0", "\[Equal]", "#"}], "&"}], "/@", 
    RowBox[{"Flatten", "[", 
     RowBox[{"sol", "-", 
      RowBox[{
      "DooSabinListMoment2", "\[LeftDoubleBracket]", "2", 
       "\[RightDoubleBracket]"}]}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Alpha]", "1"], ",", 
     SubscriptBox["\[Alpha]", "2"]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.615865816895962*^9, 3.615865859984124*^9}, {
   3.6158662905240154`*^9, 3.6158663024691987`*^9}, {3.6160022643618193`*^9, 
   3.616002264596823*^9}, 3.6162811735764084`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"DooSabinMoment1RegVar", "=", "sol"}], ";"}]], "Input",
 CellChangeTimes->{{3.6161517797071543`*^9, 3.6161517906057777`*^9}}],

Cell[BoxData[
 RowBox[{"sol", "//", "Variables"}]], "Input",
 CellChangeTimes->{{3.6161517702146115`*^9, 3.616151771831704*^9}}],

Cell[BoxData[
 RowBox[{"DooSabinVolume", "[", 
  RowBox[{"DooSabinSubdivide", "[", "DSCalibrationCubeMesh", "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.6161518294820013`*^9, 3.6161518646390123`*^9}}],

Cell[BoxData[
 RowBox[{"DooSabinMoment1", "[", 
  RowBox[{"Nest", "[", 
   RowBox[{"DooSabinSubdivide", ",", "DSCalibrationCubeMesh", ",", "1"}], 
   "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.6161518721104393`*^9, 3.616151873393513*^9}, {
   3.616151946727708*^9, 3.616151950364916*^9}, 3.6161520161676793`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"0", "\[Equal]", "#"}], "&"}], "/@", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      FractionBox["1", "2"], 
      RowBox[{"{", 
       RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], "-", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        FractionBox[
         RowBox[{"2257920", " ", 
          SubscriptBox["\[Alpha]", "1"]}], "11"]}], ",", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{"2257920", " ", 
          SubscriptBox["\[Alpha]", "1"]}], "11"]}], ",", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{"2257920", " ", 
          SubscriptBox["\[Alpha]", "1"]}], "11"]}]}], "}"}]}], ")"}]}], "//", 
  "Solve"}]], "Input",
 CellChangeTimes->{{3.616151899786023*^9, 3.6161519227733374`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"DooSabinMoment1RegVar", "=", 
   RowBox[{"sol", "/.", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Alpha]", "1"], "\[Rule]", 
      RowBox[{"-", 
       FractionBox["11", "4515840"]}]}], "}"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.616152031008528*^9, 3.6161520334796696`*^9}}],

Cell[BoxData[
 RowBox[{"DooSabinMoment1", "[", 
  RowBox[{"Nest", "[", 
   RowBox[{"DooSabinSubdivide", ",", "DSCalibrationCubeMesh", ",", "1"}], 
   "]"}], "]"}]], "Input"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.616152594139737*^9, 3.616152612066763*^9}, {
   3.6161526581633997`*^9, 3.616152664441758*^9}, 3.6161527779922533`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"mysug", "=", 
   RowBox[{"Select", "[", 
    RowBox[{
     RowBox[{"Union", "@", 
      RowBox[{"Flatten", "@", "DooSabinMoment1RegVar"}]}], ",", 
     RowBox[{
      RowBox[{"0", "<", 
       RowBox[{"Length", "@", 
        RowBox[{"Variables", "[", "#", "]"}]}]}], "&"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{3.616152216454135*^9}],

Cell[BoxData[
 RowBox[{"opt", "=", 
  RowBox[{"Union", "@", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"Solve", "[", 
        RowBox[{"0", "\[Equal]", "#"}], "]"}], "\[LeftDoubleBracket]", "1", 
       "\[RightDoubleBracket]"}], "&"}], "/@", "mysug"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.6161522385643997`*^9, 3.6161523039321384`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"Tally", "@", 
    RowBox[{"Unitize", "@", 
     RowBox[{"Flatten", "@", 
      RowBox[{"PrepareOldMoment1Form", "[", 
       RowBox[{"<<", "\"\<DooSabinMoment1Int4.mx\>\""}], "]"}]}]}]}], ")"}], 
  "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]], "Input",
 CellChangeTimes->{{3.6161524793611727`*^9, 3.6161525064827237`*^9}, 
   3.6161525443628902`*^9}],

Cell[BoxData[
 RowBox[{"627200", " ", "2"}]], "Input",
 CellChangeTimes->{{3.6161528522314997`*^9, 3.6161528524395113`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Tally", "[", 
   RowBox[{"Unitize", "@", 
    RowBox[{"Flatten", "[", 
     RowBox[{"DooSabinMoment1RegVar", "/.", 
      RowBox[{
       SubscriptBox["\[Alpha]", "2"], "\[Rule]", 
       RowBox[{"-", 
        FractionBox["51", "627200"]}]}]}], "]"}]}], "]"}], 
  "\[LeftDoubleBracket]", "1", 
  "\[RightDoubleBracket]"}], "\[IndentingNewLine]", 
 RowBox[{"Sort", "[", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Tally", "[", 
      RowBox[{"Unitize", "@", 
       RowBox[{"Flatten", "[", 
        RowBox[{"DooSabinMoment1RegVar", "/.", 
         RowBox[{
         "opt", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], 
        "]"}]}], "]"}], "\[LeftDoubleBracket]", "1", 
     "\[RightDoubleBracket]"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", 
      RowBox[{"Length", "[", "opt", "]"}]}], "}"}]}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.6161523820306053`*^9, 3.616152471771738*^9}, {
  3.6161526818267527`*^9, 3.616152723722149*^9}, {3.6161527802413816`*^9, 
  3.6161527906759787`*^9}}]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["case 3", "Subsection",
 CellChangeTimes->{{3.60562336381744*^9, 3.6056233784292755`*^9}}],

Cell[CellGroupData[{

Cell["Subdivision", "Subsubsection",
 CellChangeTimes->{{3.6160558160028563`*^9, 3.616055826500518*^9}, {
  3.616275238575023*^9, 3.616275240342124*^9}, {3.6162754296939545`*^9, 
  3.6162754320210876`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Omega]", "1"], ",", 
     SubscriptBox["\[Omega]", "2"], ",", 
     SubscriptBox["\[Omega]", "2"]}], "}"}], "=", 
   RowBox[{"16", " ", 
    RowBox[{"DooSabinWeight", "[", "3", "]"}]}]}], ";", 
  RowBox[{"{", 
   RowBox[{
    SubscriptBox["\[Omega]", "1"], ",", 
    SubscriptBox["\[Omega]", "2"]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DS3sub", "=", 
   RowBox[{
    FractionBox["1", "16"], 
    RowBox[{"(", GridBox[{
       {"9", "3", "0", "3", "1", "0", "0", "0"},
       {"3", "9", "0", "1", "3", "0", "0", "0"},
       {"0", "9", "3", "0", "3", "1", "0", "0"},
       {"0", "3", "9", "0", "1", "3", "0", "0"},
       {"3", "1", "0", "9", "3", "0", "0", "0"},
       {"1", "3", "0", "3", "9", "0", "0", "0"},
       {"0", "3", "1", "0", "9", "3", "0", "0"},
       {"0", "1", "3", "0", "3", "9", "0", "0"},
       {"0", "0", "0", "9", "3", "0", "3", "1"},
       {"0", "0", "0", "3", "9", "0", "1", "3"},
       {"0", "0", "0", "0", 
        SubscriptBox["\[Omega]", "1"], 
        SubscriptBox["\[Omega]", "2"], "0", 
        SubscriptBox["\[Omega]", "2"]},
       {"0", "0", "0", "0", 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "1"], "0", 
        SubscriptBox["\[Omega]", "2"]},
       {"0", "0", "0", "3", "1", "0", "9", "3"},
       {"0", "0", "0", "1", "3", "0", "3", "9"},
       {"0", "0", "0", "0", 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "2"], "0", 
        SubscriptBox["\[Omega]", "1"]}
      }], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DS3ind", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "1", ",", "2", ",", "3", ",", "5", ",", "6", ",", "7", ",", "9", ",", 
       "10", ",", "11"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "2", ",", "3", ",", "4", ",", "6", ",", "7", ",", "8", ",", "10", ",", 
       "11", ",", "12"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "5", ",", "6", ",", "7", ",", "9", ",", "10", ",", "11", ",", "13", ",",
        "14", ",", "15"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "6", ",", "7", ",", "8", ",", "10", ",", "11", ",", "12", ",", "14", 
       ",", "15"}], "}"}]}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.605623526106722*^9, 3.60562356785511*^9}, {
   3.6056238341423407`*^9, 3.605623873782608*^9}, {3.6056287677625275`*^9, 
   3.6056287914028797`*^9}, 3.605644527569937*^9, {3.6056803634436264`*^9, 
   3.6056803807856183`*^9}, {3.615766375327775*^9, 3.6157663755307865`*^9}, {
   3.6157664100087585`*^9, 3.6157664261246805`*^9}, {3.6157783899751215`*^9, 
   3.6157783997377715`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"DS3sub", "\[LeftDoubleBracket]", 
   RowBox[{"DS3ind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
   "\[RightDoubleBracket]"}], "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.615766473350382*^9, 3.6157664954506454`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Centroid previous", "Subsubsection",
 CellChangeTimes->{{3.6160558160028563`*^9, 3.616055826500518*^9}, {
  3.616275238575023*^9, 3.616275240342124*^9}, {3.6162754606217237`*^9, 
  3.6162754627568455`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frm3", "=", 
   RowBox[{"MirrorForm3D", "[", 
    RowBox[{"8", ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"frm3", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm3", "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
   3.615766552206892*^9, 3.615766553603972*^9}, {3.615777145035*^9, 
   3.6157771458075113`*^9}, 3.615777506580553*^9, {3.6158483613035173`*^9, 
   3.6158483649685736`*^9}, {3.615850523497007*^9, 3.615850524609524*^9}}],

Cell[BoxData[
 RowBox[{"Length", "[", 
  RowBox[{"Flatten", "[", "frm3", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.615850745142911*^9, 3.6158507560705795`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"prm", ",", "vec"}], "}"}], "=", 
   RowBox[{"BuildEssential", "[", 
    RowBox[{"frm3", ",", "var"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6158505061792407`*^9, 3.6158505126568403`*^9}, {
  3.6158505790903606`*^9, 3.615850582122907*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"Union", "@", "#"}], ")"}], "===", 
      RowBox[{"{", "0", "}"}]}], ",", 
     RowBox[{
      RowBox[{"Print", "[", "\"\<here\>\"", "]"}], ";"}]}], "]"}], "&"}], "/@",
   "prm"}]], "Input",
 CellChangeTimes->{{3.6158508624122124`*^9, 3.615850862652216*^9}}],

Cell[BoxData[
 RowBox[{"Dimensions", "[", "prm", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Dimensions", "[", "prm", "]"}]], "Input",
 CellChangeTimes->{{3.6158505837104316`*^9, 3.615850585090453*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"eqs", "=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"frm4", "=", 
       RowBox[{
       "DooSabinListMoment1", "\[LeftDoubleBracket]", "2", 
        "\[RightDoubleBracket]"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS3sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS3ind", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS3sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS3ind", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS3sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS3ind", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm3", ",", 
        RowBox[{"DS3sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS3ind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "-", "frm3"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.61576653363883*^9, 3.615766611305272*^9}, {
  3.6157753144203815`*^9, 3.6157753321406536`*^9}, {3.6157774072065268`*^9, 
  3.615777423144271*^9}, {3.6157784459034805`*^9, 3.61577844843602*^9}, {
  3.6157791005035353`*^9, 3.6157791031910763`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"mat", ",", "vec"}], "}"}], "=", 
   RowBox[{"BuildEssential", "[", 
    RowBox[{"eqs", ",", "var"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6157784163080263`*^9, 3.615778417588046*^9}, {
   3.6157784536986003`*^9, 3.615778494956734*^9}, {3.615778565062811*^9, 
   3.615778574187951*^9}, 3.6158505213319736`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"Union", "@", "#"}], ")"}], "===", 
      RowBox[{"{", "0", "}"}]}], ",", 
     RowBox[{
      RowBox[{"Print", "[", "\"\<here\>\"", "]"}], ";"}]}], "]"}], "&"}], "/@",
   "mat"}]], "Input",
 CellChangeTimes->{{3.6158508092238955`*^9, 3.6158508449244437`*^9}}],

Cell[BoxData[
 RowBox[{"Dimensions", "[", "mat", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"3258", ",", "564"}], "}"}]], "Input",
 CellChangeTimes->{{3.6162472989807544`*^9, 3.616247301259885*^9}}],

Cell[BoxData[
 RowBox[{"Dimensions", "[", "mat", "]"}]], "Input",
 CellChangeTimes->{{3.615848414781839*^9, 3.615848416764369*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"lin", "=", 
   RowBox[{"LinearSolve", "[", 
    RowBox[{"mat", ",", 
     RowBox[{"-", "vec"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.615848394969034*^9, 3.615848410259269*^9}}],

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"frm", "=", 
     RowBox[{"frm3", "/.", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
         "var", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
         "\[Rule]", 
         RowBox[{
         "lin", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", 
          RowBox[{"Length", "[", "lin", "]"}]}], "}"}]}], "]"}]}]}], "}"}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"Union", "@", 
    RowBox[{"Flatten", "[", 
     RowBox[{"frm", "-", 
      RowBox[{
      "DooSabinListMoment1", "\[LeftDoubleBracket]", "1", 
       "\[RightDoubleBracket]"}]}], "]"}]}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"red", "=", 
   RowBox[{"RowReduce", "[", 
    RowBox[{"Transpose", "[", 
     RowBox[{"Append", "[", 
      RowBox[{
       RowBox[{"Transpose", "[", "mat", "]"}], ",", 
       RowBox[{"-", "vec"}]}], "]"}], "]"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6157790640104747`*^9, 3.6157790754306498`*^9}, {
   3.6157793017451267`*^9, 3.6157793194053974`*^9}, 3.6157793499983673`*^9}],

Cell[BoxData[
 RowBox[{"Dimensions", "[", "red", "]"}]], "Input",
 CellChangeTimes->{{3.615779084250786*^9, 3.615779089703369*^9}, {
  3.615779330328065*^9, 3.6157793306130695`*^9}}],

Cell[BoxData[
 RowBox[{"Union", "@", 
  RowBox[{"Flatten", "@", 
   RowBox[{"red", "\[LeftDoubleBracket]", 
    RowBox[{"Range", "[", 
     RowBox[{
      RowBox[{"858", "+", "1"}], ",", "3432"}], "]"}], 
    "\[RightDoubleBracket]"}]}]}]], "Input",
 CellChangeTimes->{{3.6157790937584314`*^9, 3.6157791264564342`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"lin", "=", 
   RowBox[{"LinearSolve", "[", 
    RowBox[{
     RowBox[{"red", "\[LeftDoubleBracket]", 
      RowBox[{
       RowBox[{"Range", "[", "858", "]"}], ",", 
       RowBox[{"Range", "[", "858", "]"}]}], "\[RightDoubleBracket]"}], ",", 
     RowBox[{"red", "\[LeftDoubleBracket]", 
      RowBox[{
       RowBox[{"Range", "[", "858", "]"}], ",", "859"}], 
      "\[RightDoubleBracket]"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.615778526514719*^9, 3.6157785621277657`*^9}, {
  3.615779141974172*^9, 3.6157791474067554`*^9}, {3.61577934496329*^9, 
  3.6157794141593533`*^9}}],

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"frm", "=", 
     RowBox[{"frm3", "/.", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
         "var", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
         "\[Rule]", 
         RowBox[{
         "lin", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", 
          RowBox[{"Length", "[", "lin", "]"}]}], "}"}]}], "]"}]}]}], "}"}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"Union", "@", 
    RowBox[{"Flatten", "[", 
     RowBox[{"frm", "-", 
      RowBox[{
      "DooSabinListMoment1", "\[LeftDoubleBracket]", "1", 
       "\[RightDoubleBracket]"}]}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6157785959557858`*^9, 3.6157786920622616`*^9}}],

Cell[BoxData[
 RowBox[{"Union", "@", 
  RowBox[{"Flatten", "@", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"frm3", "=", 
        RowBox[{
        "DooSabinListMoment1", "\[LeftDoubleBracket]", "1", 
         "\[RightDoubleBracket]"}]}], ",", 
       RowBox[{"frm4", "=", 
        RowBox[{
        "DooSabinListMoment1", "\[LeftDoubleBracket]", "2", 
         "\[RightDoubleBracket]"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS3sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS3ind", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS3sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS3ind", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS3sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS3ind", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm3", ",", 
        RowBox[{"DS3sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS3ind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "-", "frm3"}]}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.6158669801246076`*^9, 3.6158670136576223`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Centroid new", "Subsubsection",
 CellChangeTimes->{{3.6160558160028563`*^9, 3.616055826500518*^9}, {
  3.616275242142227*^9, 3.6162752426382556`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frm3", "=", 
   RowBox[{"DSMoment1Protoform", "[", 
    RowBox[{"8", ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"frm3", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm3", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Length", "[", "var", "]"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
   3.615766552206892*^9, 3.615766553603972*^9}, {3.615777145035*^9, 
   3.6157771458075113`*^9}, 3.615777506580553*^9, {3.6158483613035173`*^9, 
   3.6158483649685736`*^9}, {3.615850523497007*^9, 3.615850524609524*^9}, {
   3.616275244784378*^9, 3.6162752450833955`*^9}, {3.616275278852327*^9, 
   3.616275293045139*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"eqs", "=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"frm4", "=", 
       RowBox[{
       "DooSabinListMoment1", "\[LeftDoubleBracket]", "2", 
        "\[RightDoubleBracket]"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS3sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS3ind", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS3sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS3ind", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS3sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS3ind", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm3", ",", 
        RowBox[{"DS3sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS3ind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "-", "frm3"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.61576653363883*^9, 3.615766611305272*^9}, {
  3.6157753144203815`*^9, 3.6157753321406536`*^9}, {3.6157774072065268`*^9, 
  3.615777423144271*^9}, {3.6157784459034805`*^9, 3.61577844843602*^9}, {
  3.6157791005035353`*^9, 3.6157791031910763`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"mat", ",", "vec"}], "}"}], "=", 
   RowBox[{"BuildEssential", "[", 
    RowBox[{"eqs", ",", "var"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6157784163080263`*^9, 3.615778417588046*^9}, {
   3.6157784536986003`*^9, 3.615778494956734*^9}, {3.615778565062811*^9, 
   3.615778574187951*^9}, 3.6158505213319736`*^9}],

Cell[BoxData[
 RowBox[{"Dimensions", "[", "mat", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"lin", "=", 
   RowBox[{"LinearSolve", "[", 
    RowBox[{"mat", ",", 
     RowBox[{"-", "vec"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.615848394969034*^9, 3.615848410259269*^9}}],

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"frm", "=", 
     RowBox[{"frm3", "/.", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
         "var", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
         "\[Rule]", 
         RowBox[{
         "lin", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", 
          RowBox[{"Length", "[", "lin", "]"}]}], "}"}]}], "]"}]}]}], "}"}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"Union", "@", 
    RowBox[{"Flatten", "[", 
     RowBox[{"frm", "-", 
      RowBox[{
      "DooSabinListMoment1", "\[LeftDoubleBracket]", "1", 
       "\[RightDoubleBracket]"}]}], "]"}]}]}], "]"}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Inertia", "Subsubsection",
 CellChangeTimes->{{3.6160558160028563`*^9, 3.616055826500518*^9}, {
  3.6162752164067554`*^9, 3.6162752173348083`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"frm3", "=", 
   RowBox[{"DSMoment2Protoform", "[", 
    RowBox[{"8", ",", "a"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6160558855439243`*^9, 3.6160559259520454`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm3", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Length", "@", "var"}]}], "Input",
 CellChangeTimes->{{3.6160559294945993`*^9, 3.61605593928725*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"eqs", "=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"frm4", "=", 
       RowBox[{
       "DooSabinListMoment2", "\[LeftDoubleBracket]", "2", 
        "\[RightDoubleBracket]"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS3sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS3ind", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS3sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS3ind", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS3sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS3ind", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm3", ",", 
        RowBox[{"DS3sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS3ind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "-", "frm3"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{3.616055875601272*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"mat", ",", "vec"}], "}"}], "=", 
   RowBox[{"BuildEssential", "[", 
    RowBox[{"eqs", ",", "var"}], "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"mat", "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.6160562176147895`*^9, 3.6160562193198867`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"mat", ",", "vec"}], "}"}], ">>", 
   "\"\<doosabin_matvecinertia3.mx\>\""}], ";"}]], "Input",
 CellChangeTimes->{{3.616056265657136*^9, 3.6160562812573757`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"lin", "=", 
   RowBox[{"LinearSolve", "[", 
    RowBox[{"mat", ",", 
     RowBox[{"-", "vec"}]}], "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"sol", "=", 
   RowBox[{"frm3", "/.", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"var", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
       "\[Rule]", 
       RowBox[{
       "lin", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", 
        RowBox[{"Length", "[", "lin", "]"}]}], "}"}]}], "]"}]}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.616056437880782*^9, 3.616056446295912*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"sol", ">>", "\"\<DooSabinMoment2Xalt3.mx\>\""}], ";"}]], "Input",
 CellChangeTimes->{{3.6160564653262043`*^9, 3.616056475178855*^9}}],

Cell[BoxData[
 RowBox[{"Length", "@", 
  RowBox[{"Tally", "@", 
   RowBox[{"Abs", "@", 
    RowBox[{"Flatten", "@", "sol"}]}]}]}]], "Input",
 CellChangeTimes->{{3.616056517084499*^9, 3.616056517352003*^9}}],

Cell[BoxData[
 RowBox[{"Length", "@", 
  RowBox[{"Tally", "@", 
   RowBox[{"Abs", "@", 
    RowBox[{"Flatten", "@", 
     RowBox[{
     "DooSabinListMoment2", "\[LeftDoubleBracket]", "2", 
      "\[RightDoubleBracket]"}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.6160104223441253`*^9, 3.616010433896803*^9}, 
   3.6160565062818327`*^9}],

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"frm", "=", 
     RowBox[{"frm3", "/.", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
         "var", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
         "\[Rule]", 
         RowBox[{
         "lin", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", 
          RowBox[{"Length", "[", "lin", "]"}]}], "}"}]}], "]"}]}]}], "}"}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"Union", "@", 
    RowBox[{"Flatten", "[", 
     RowBox[{"frm", "-", 
      RowBox[{
      "DooSabinListMoment1", "\[LeftDoubleBracket]", "1", 
       "\[RightDoubleBracket]"}]}], "]"}]}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"sol", "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.616056789202679*^9, 3.6160567908477044`*^9}}]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["case 5 numeric", "Subsection",
 CellChangeTimes->{{3.60562336381744*^9, 3.6056233784292755`*^9}, 
   3.61576773483696*^9, {3.615777686460816*^9, 3.6157776877408357`*^9}, {
   3.615781235649831*^9, 3.615781236429843*^9}, {3.615852952133318*^9, 
   3.6158529528783293`*^9}}],

Cell[CellGroupData[{

Cell["Subdivision", "Subsubsection",
 CellChangeTimes->{{3.6160558160028563`*^9, 3.616055826500518*^9}, {
  3.616275238575023*^9, 3.616275240342124*^9}, {3.6162754296939545`*^9, 
  3.6162754320210876`*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Omega]", "1"], ",", 
     SubscriptBox["\[Omega]", "2"], ",", 
     SubscriptBox["\[Omega]", "3"]}], "}"}], "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"8", ",", 
      RowBox[{"2", "+", 
       RowBox[{"2", " ", "s"}]}], ",", 
      RowBox[{"2", "-", 
       RowBox[{"2", " ", "s"}]}]}], "}"}], "//", "Expand"}]}], 
  "*)"}]], "Input",
 CellChangeTimes->{{3.615767828180894*^9, 3.6157678288609037`*^9}, 
   3.615779925382205*^9, 3.6162754534233117`*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Omega]", "1"], ",", 
     SubscriptBox["\[Omega]", "2"], ",", 
     SubscriptBox["\[Omega]", "3"], ",", 
     SubscriptBox["\[Omega]", "3"], ",", 
     SubscriptBox["\[Omega]", "2"]}], "}"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"16", " ", 
      RowBox[{"DooSabinWeight", "[", "5", "]"}]}], "//", "Expand"}], "//", 
    "N"}]}], ";", 
  RowBox[{"{", 
   RowBox[{
    SubscriptBox["\[Omega]", "1"], ",", 
    SubscriptBox["\[Omega]", "2"], ",", 
    SubscriptBox["\[Omega]", "3"]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DS5sub", "=", 
   RowBox[{
    FractionBox["1", "16"], 
    RowBox[{"(", GridBox[{
       {"9", "3", "0", "3", "1", "0", "0", "0", "0", "0"},
       {"3", "9", "0", "1", "3", "0", "0", "0", "0", "0"},
       {"0", "9", "3", "0", "3", "1", "0", "0", "0", "0"},
       {"0", "3", "9", "0", "1", "3", "0", "0", "0", "0"},
       {"3", "1", "0", "9", "3", "0", "0", "0", "0", "0"},
       {"1", "3", "0", "3", "9", "0", "0", "0", "0", "0"},
       {"0", "3", "1", "0", "9", "3", "0", "0", "0", "0"},
       {"0", "1", "3", "0", "3", "9", "0", "0", "0", "0"},
       {"0", "0", "0", "9", "3", "0", "3", "1", "0", "0"},
       {"0", "0", "0", "3", "9", "0", "1", "3", "0", "0"},
       {"0", "0", "0", "0", 
        SubscriptBox["\[Omega]", "1"], 
        SubscriptBox["\[Omega]", "2"], "0", 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "3"]},
       {"0", "0", "0", "0", 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "1"], "0", 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "2"]},
       {"0", "0", "0", "3", "1", "0", "9", "3", "0", "0"},
       {"0", "0", "0", "1", "3", "0", "3", "9", "0", "0"},
       {"0", "0", "0", "0", 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "3"], "0", 
        SubscriptBox["\[Omega]", "1"], 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "3"]},
       {"0", "0", "0", "0", 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "3"], "0", 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "1"], 
        SubscriptBox["\[Omega]", "2"]},
       {"0", "0", "0", "0", 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "2"], "0", 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "1"]}
      }], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DS5ind", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "1", ",", "2", ",", "3", ",", "5", ",", "6", ",", "7", ",", "9", ",", 
       "10", ",", "11"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "2", ",", "3", ",", "4", ",", "6", ",", "7", ",", "8", ",", "10", ",", 
       "11", ",", "12"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "5", ",", "6", ",", "7", ",", "9", ",", "10", ",", "11", ",", "13", ",",
        "14", ",", "15"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "6", ",", "7", ",", "8", ",", "10", ",", "11", ",", "12", ",", "14", 
       ",", "15", ",", "16", ",", "17"}], "}"}]}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.615767820468275*^9, 3.615767824750841*^9}, 
   3.6157678967794476`*^9, {3.615779927344735*^9, 3.6157799278847437`*^9}, {
   3.615780498536009*^9, 3.6157805079311533`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Centroid previous", "Subsubsection",
 CellChangeTimes->{{3.6160558160028563`*^9, 3.616055826500518*^9}, {
  3.616275238575023*^9, 3.616275240342124*^9}, {3.6162754606217237`*^9, 
  3.6162754627568455`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frm5", "=", 
   RowBox[{"InsertForm3D", "[", 
    RowBox[{"10", ",", "1", ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"frm5", "//", "Dimensions"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
  3.615766552206892*^9, 3.615766553603972*^9}, {3.615767775075078*^9, 
  3.6157677805951624`*^9}, {3.6157799132370186`*^9, 3.615779914952045*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"DS5sub", "\[LeftDoubleBracket]", 
   RowBox[{"DS5ind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
   "\[RightDoubleBracket]"}], "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.615766473350382*^9, 3.6157664954506454`*^9}, {
  3.615767908469627*^9, 3.6157679102196536`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"eqs", "=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"frm4", "=", 
       RowBox[{
       "DooSabinListMoment1", "\[LeftDoubleBracket]", "2", 
        "\[RightDoubleBracket]"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS5sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS5ind", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS5sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS5ind", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS5sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS5ind", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm5", ",", 
        RowBox[{"DS5sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS5ind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "-", "frm5"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.61576653363883*^9, 3.615766611305272*^9}, {
  3.6157679143747177`*^9, 3.6157679466152124`*^9}, {3.615779945072508*^9, 
  3.6157799634127893`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm5", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"mat", ",", "vec"}], "}"}], "=", 
   RowBox[{"BuildEssential", "[", 
    RowBox[{"eqs", ",", "var"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{3.6157800000583525`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"mat", ",", "vec"}], "}"}], ">>", 
  "\"\<CentroidDSValence5LGS.mx\>\""}]], "Input",
 CellChangeTimes->{{3.6157801440855646`*^9, 3.615780162465847*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"mat", ",", "vec"}], "}"}], "=", 
   RowBox[{"<<", "\"\<CentroidDSValence5LGS.mx\>\""}]}], ";"}]], "Input",
 CellChangeTimes->{{3.615780315353195*^9, 3.6157803177332315`*^9}}],

Cell[BoxData[
 RowBox[{"mat", "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.6157802556097775`*^9, 3.6157802586948247`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"lin", "=", 
   RowBox[{"LinearSolve", "[", 
    RowBox[{"mat", ",", 
     RowBox[{"-", "vec"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.615778526514719*^9, 3.6157785621277657`*^9}, {
  3.615779141974172*^9, 3.6157791474067554`*^9}, {3.61577934496329*^9, 
  3.6157794141593533`*^9}, {3.6157800592117605`*^9, 3.61578006241931*^9}, {
  3.6157801365779495`*^9, 3.615780137247959*^9}, {3.6157805466467476`*^9, 
  3.615780547046754*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"myMat", "=", 
   RowBox[{"frm5", "/.", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"var", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
       "\[Rule]", 
       RowBox[{
       "lin", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", 
        RowBox[{"Length", "[", "lin", "]"}]}], "}"}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"myMat", ">>", "\"\<DooSabinMoment1Xalt5.mx\>\""}]}], "Input",
 CellChangeTimes->{{3.6157785959557858`*^9, 3.6157786920622616`*^9}, {
  3.615780655280916*^9, 3.61578072256945*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Centroid new", "Subsubsection",
 CellChangeTimes->{{3.6160558160028563`*^9, 3.616055826500518*^9}, {
  3.616275238575023*^9, 3.616275240342124*^9}, {3.6162754606217237`*^9, 
  3.616275484885111*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frm5", "=", 
   RowBox[{"DSMoment1Protoform", "[", 
    RowBox[{"10", ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"frm5", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm5", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Length", "[", "var", "]"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
  3.615766552206892*^9, 3.615766553603972*^9}, {3.615767775075078*^9, 
  3.6157677805951624`*^9}, {3.6157799132370186`*^9, 3.615779914952045*^9}, {
  3.616275506663357*^9, 3.6162755155758667`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"DS5sub", "\[LeftDoubleBracket]", 
   RowBox[{"DS5ind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
   "\[RightDoubleBracket]"}], "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.615766473350382*^9, 3.6157664954506454`*^9}, {
  3.615767908469627*^9, 3.6157679102196536`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"eqs", "=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"frm4", "=", 
       RowBox[{
       "DooSabinListMoment1", "\[LeftDoubleBracket]", "2", 
        "\[RightDoubleBracket]"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS5sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS5ind", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS5sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS5ind", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS5sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS5ind", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm5", ",", 
        RowBox[{"DS5sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS5ind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "-", "frm5"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.61576653363883*^9, 3.615766611305272*^9}, {
  3.6157679143747177`*^9, 3.6157679466152124`*^9}, {3.615779945072508*^9, 
  3.6157799634127893`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"mat", ",", "vec"}], "}"}], "=", 
   RowBox[{"BuildEssential", "[", 
    RowBox[{"eqs", ",", "var"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{3.6157800000583525`*^9, 3.6162755333888855`*^9}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"mat", ",", "vec"}], "}"}], ">>", 
   "\"\<CentroidDSValence5LGS.mx\>\""}], "*)"}]], "Input",
 CellChangeTimes->{{3.6157801440855646`*^9, 3.615780162465847*^9}, {
  3.616275538573182*^9, 3.616275539341226*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{"mat", ",", "vec"}], "}"}], "=", 
    RowBox[{"<<", "\"\<CentroidDSValence5LGS.mx\>\""}]}], ";"}], 
  "*)"}]], "Input",
 CellChangeTimes->{{3.615780315353195*^9, 3.6157803177332315`*^9}, {
  3.6162755404212875`*^9, 3.616275541077325*^9}}],

Cell[BoxData[
 RowBox[{"mat", "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.6157802556097775`*^9, 3.6157802586948247`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"lin", "=", 
   RowBox[{"LinearSolve", "[", 
    RowBox[{"mat", ",", 
     RowBox[{"-", "vec"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.615778526514719*^9, 3.6157785621277657`*^9}, {
  3.615779141974172*^9, 3.6157791474067554`*^9}, {3.61577934496329*^9, 
  3.6157794141593533`*^9}, {3.6157800592117605`*^9, 3.61578006241931*^9}, {
  3.6157801365779495`*^9, 3.615780137247959*^9}, {3.6157805466467476`*^9, 
  3.615780547046754*^9}}],

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"frm", "=", 
     RowBox[{"frm5", "/.", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
         "var", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
         "\[Rule]", 
         RowBox[{
         "lin", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", 
          RowBox[{"Length", "[", "lin", "]"}]}], "}"}]}], "]"}]}]}], "}"}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"Union", "@", 
    RowBox[{"Flatten", "[", 
     RowBox[{"Chop", "[", 
      RowBox[{"frm", "-", 
       RowBox[{
       "DooSabinListMoment1", "\[LeftDoubleBracket]", "3", 
        "\[RightDoubleBracket]"}]}], "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6162756099162626`*^9, 3.61627561861576*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Inertia", "Subsubsection",
 CellChangeTimes->{{3.6160558160028563`*^9, 3.616055826500518*^9}, {
  3.6162752164067554`*^9, 3.6162752173348083`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"frm5", "=", 
   RowBox[{"DSMoment2Protoform", "[", 
    RowBox[{"10", ",", "a"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6160558855439243`*^9, 3.6160559259520454`*^9}, {
  3.6163357107099204`*^9, 3.6163357148299837`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm5", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Length", "@", "var"}]}], "Input",
 CellChangeTimes->{{3.6160559294945993`*^9, 3.61605593928725*^9}, 
   3.61633571917255*^9}],

Cell[BoxData[
 RowBox[{"Clear", "[", "frm5", "]"}]], "Input",
 CellChangeTimes->{{3.616335753173073*^9, 3.616335755908115*^9}}]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["case 6", "Subsection",
 CellChangeTimes->{{3.60562336381744*^9, 3.6056233784292755`*^9}, 
   3.6157776927559123`*^9, {3.6157787716534843`*^9, 3.6157787723209944`*^9}, 
   3.615781858412897*^9, {3.6158484819928713`*^9, 3.6158484840529027`*^9}, 
   3.616275668338604*^9}],

Cell[CellGroupData[{

Cell["Subdivision", "Subsubsection",
 CellChangeTimes->{{3.6160558160028563`*^9, 3.616055826500518*^9}, {
  3.616275238575023*^9, 3.616275240342124*^9}, {3.6162754296939545`*^9, 
  3.6162754320210876`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Omega]", "1"], ",", 
     SubscriptBox["\[Omega]", "2"], ",", 
     SubscriptBox["\[Omega]", "3"], ",", 
     SubscriptBox["\[Omega]", "4"], ",", 
     SubscriptBox["\[Omega]", "3"], ",", 
     SubscriptBox["\[Omega]", "2"]}], "}"}], "=", 
   RowBox[{"16", " ", 
    RowBox[{"DooSabinWeight", "[", "6", "]"}]}]}], ";", 
  RowBox[{"{", 
   RowBox[{
    SubscriptBox["\[Omega]", "1"], ",", 
    SubscriptBox["\[Omega]", "2"], ",", 
    SubscriptBox["\[Omega]", "3"], ",", 
    SubscriptBox["\[Omega]", "4"]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DS6sub", "=", 
   RowBox[{
    FractionBox["1", "16"], 
    RowBox[{"(", GridBox[{
       {"9", "3", "0", "3", "1", "0", "0", "0", "0", "0", "0"},
       {"3", "9", "0", "1", "3", "0", "0", "0", "0", "0", "0"},
       {"0", "9", "3", "0", "3", "1", "0", "0", "0", "0", "0"},
       {"0", "3", "9", "0", "1", "3", "0", "0", "0", "0", "0"},
       {"3", "1", "0", "9", "3", "0", "0", "0", "0", "0", "0"},
       {"1", "3", "0", "3", "9", "0", "0", "0", "0", "0", "0"},
       {"0", "3", "1", "0", "9", "3", "0", "0", "0", "0", "0"},
       {"0", "1", "3", "0", "3", "9", "0", "0", "0", "0", "0"},
       {"0", "0", "0", "9", "3", "0", "3", "1", "0", "0", "0"},
       {"0", "0", "0", "3", "9", "0", "1", "3", "0", "0", "0"},
       {"0", "0", "0", "0", 
        SubscriptBox["\[Omega]", "1"], 
        SubscriptBox["\[Omega]", "2"], "0", 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "4"], 
        SubscriptBox["\[Omega]", "3"]},
       {"0", "0", "0", "0", 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "1"], "0", 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "4"], 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "2"]},
       {"0", "0", "0", "3", "1", "0", "9", "3", "0", "0", "0"},
       {"0", "0", "0", "1", "3", "0", "3", "9", "0", "0", "0"},
       {"0", "0", "0", "0", 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "3"], "0", 
        SubscriptBox["\[Omega]", "1"], 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "4"]},
       {"0", "0", "0", "0", 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "4"], "0", 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "1"], 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "3"]},
       {"0", "0", "0", "0", 
        SubscriptBox["\[Omega]", "4"], 
        SubscriptBox["\[Omega]", "3"], "0", 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "1"], 
        SubscriptBox["\[Omega]", "2"]},
       {"0", "0", "0", "0", 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "2"], "0", 
        SubscriptBox["\[Omega]", "4"], 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "1"]}
      }], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DS6ind", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "1", ",", "2", ",", "3", ",", "5", ",", "6", ",", "7", ",", "9", ",", 
       "10", ",", "11"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "2", ",", "3", ",", "4", ",", "6", ",", "7", ",", "8", ",", "10", ",", 
       "11", ",", "12"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "5", ",", "6", ",", "7", ",", "9", ",", "10", ",", "11", ",", "13", ",",
        "14", ",", "15"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "6", ",", "7", ",", "8", ",", "10", ",", "11", ",", "12", ",", "14", 
       ",", "15", ",", "16", ",", "17", ",", "18"}], "}"}]}], "}"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.605623526106722*^9, 3.60562356785511*^9}, {
   3.6056238341423407`*^9, 3.605623873782608*^9}, {3.6056287677625275`*^9, 
   3.6056287914028797`*^9}, 3.605644527569937*^9, {3.6056803634436264`*^9, 
   3.6056803807856183`*^9}, {3.615766375327775*^9, 3.6157663755307865`*^9}, {
   3.6157664100087585`*^9, 3.6157664261246805`*^9}, 3.615777729974984*^9, {
   3.6157814120775404`*^9, 3.6157814125075474`*^9}, 3.6158484879054623`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"DS6sub", "\[LeftDoubleBracket]", 
   RowBox[{"DS6ind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
   "\[RightDoubleBracket]"}], "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.615766473350382*^9, 3.6157664954506454`*^9}, {
  3.615777746215234*^9, 3.6157777481177626`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Centroid previous", "Subsubsection",
 CellChangeTimes->{{3.6160558160028563`*^9, 3.616055826500518*^9}, {
  3.616275238575023*^9, 3.616275240342124*^9}, {3.6162754606217237`*^9, 
  3.6162754627568455`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frm6", "=", 
   RowBox[{"MirrorForm3D", "[", 
    RowBox[{
     RowBox[{"9", "+", "2"}], ",", "a"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"frm6", "//", "Dimensions"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
   3.615766552206892*^9, 3.615766553603972*^9}, {3.615777145035*^9, 
   3.6157771458075113`*^9}, 3.615777506580553*^9, {3.615777751277811*^9, 
   3.6157777594604373`*^9}, {3.615848495693082*^9, 3.6158484986806273`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"eqs", "=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"frm4", "=", 
       RowBox[{
       "DooSabinListMoment1", "\[LeftDoubleBracket]", "2", 
        "\[RightDoubleBracket]"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS6sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS6ind", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS6sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS6ind", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS6sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS6ind", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm6", ",", 
        RowBox[{"DS6sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS6ind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "-", "frm6"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.6157788205817356`*^9, 3.615778822401764*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm6", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"mat", ",", "vec"}], "}"}], "=", 
   RowBox[{"BuildEssential", "[", 
    RowBox[{"eqs", ",", "var"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.6157784163080263`*^9, 3.615778417588046*^9}, {
   3.6157784536986003`*^9, 3.615778494956734*^9}, {3.615778565062811*^9, 
   3.615778574187951*^9}, 3.615778803571474*^9}],

Cell[BoxData[
 RowBox[{"mat", "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.6157789544987926`*^9, 3.615778957703842*^9}, {
  3.6157794609925723`*^9, 3.615779461670083*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"lin", "=", 
   RowBox[{"LinearSolve", "[", 
    RowBox[{"mat", ",", 
     RowBox[{"-", "vec"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.615778526514719*^9, 3.6157785621277657`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"myMat", "=", 
   RowBox[{"frm6", "/.", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"var", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
       "\[Rule]", 
       RowBox[{
       "lin", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", 
        RowBox[{"Length", "[", "lin", "]"}]}], "}"}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"myMat", ">>", "\"\<DooSabinMoment1Xalt6.mx\>\""}]}], "Input",
 CellChangeTimes->{{3.6157785959557858`*^9, 3.6157786920622616`*^9}, {
   3.615780655280916*^9, 3.61578072256945*^9}, {3.6157814720559616`*^9, 
   3.6157814758985205`*^9}, 3.6158487113638945`*^9, 3.6158488552661047`*^9}],

Cell[BoxData[
 RowBox[{"Union", "@", 
  RowBox[{"Flatten", "@", 
   RowBox[{"Chop", "[", 
    RowBox[{"myMat", "-", 
     RowBox[{
     "DooSabinListMoment1", "\[LeftDoubleBracket]", "4", 
      "\[RightDoubleBracket]"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.6158487204090333`*^9, 3.6158487611996593`*^9}, {
  3.615848796602703*^9, 3.6158488032378054`*^9}}],

Cell[BoxData[
 RowBox[{"Union", "@", 
  RowBox[{"Flatten", "@", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"frm4", "=", 
        RowBox[{
        "DooSabinListMoment1", "\[LeftDoubleBracket]", "2", 
         "\[RightDoubleBracket]"}]}], ",", 
       RowBox[{"frm6", "=", 
        RowBox[{
        "DooSabinListMoment1", "\[LeftDoubleBracket]", "4", 
         "\[RightDoubleBracket]"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS6sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS6ind", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS6sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS6ind", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS6sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS6ind", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm6", ",", 
        RowBox[{"DS6sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS6ind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "-", "frm6"}]}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.6158670824086785`*^9, 3.615867106664051*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Centroid new", "Subsubsection",
 CellChangeTimes->{{3.6160558160028563`*^9, 3.616055826500518*^9}, {
  3.616275238575023*^9, 3.616275240342124*^9}, {3.6162754606217237`*^9, 
  3.6162754627568455`*^9}, {3.6162756957391715`*^9, 3.616275697899295*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frm6", "=", 
   RowBox[{"DSMoment1Protoform", "[", 
    RowBox[{"11", ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"frm6", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm6", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Length", "[", "var", "]"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
   3.615766552206892*^9, 3.615766553603972*^9}, {3.615777145035*^9, 
   3.6157771458075113`*^9}, 3.615777506580553*^9, {3.615777751277811*^9, 
   3.6157777594604373`*^9}, {3.615848495693082*^9, 3.6158484986806273`*^9}, {
   3.6162757213836384`*^9, 3.6162757276939993`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"eqs", "=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"frm4", "=", 
       RowBox[{
       "DooSabinListMoment1", "\[LeftDoubleBracket]", "2", 
        "\[RightDoubleBracket]"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS6sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS6ind", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS6sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS6ind", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS6sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS6ind", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm6", ",", 
        RowBox[{"DS6sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS6ind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "-", "frm6"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.6157788205817356`*^9, 3.615778822401764*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"mat", ",", "vec"}], "}"}], "=", 
   RowBox[{"BuildEssential", "[", 
    RowBox[{"eqs", ",", "var"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6157784163080263`*^9, 3.615778417588046*^9}, {
   3.6157784536986003`*^9, 3.615778494956734*^9}, {3.615778565062811*^9, 
   3.615778574187951*^9}, 3.615778803571474*^9, 3.6162757367395163`*^9}],

Cell[BoxData[
 RowBox[{"mat", "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.6157789544987926`*^9, 3.615778957703842*^9}, {
  3.6157794609925723`*^9, 3.615779461670083*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"lin", "=", 
   RowBox[{"LinearSolve", "[", 
    RowBox[{"mat", ",", 
     RowBox[{"-", "vec"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.615778526514719*^9, 3.6157785621277657`*^9}}],

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"frm", "=", 
     RowBox[{"frm6", "/.", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
         "var", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
         "\[Rule]", 
         RowBox[{
         "lin", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", 
          RowBox[{"Length", "[", "lin", "]"}]}], "}"}]}], "]"}]}]}], "}"}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"Union", "@", 
    RowBox[{"Flatten", "[", 
     RowBox[{"frm", "-", 
      RowBox[{
      "DooSabinListMoment1", "\[LeftDoubleBracket]", "4", 
       "\[RightDoubleBracket]"}]}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6162756099162626`*^9, 3.61627561861576*^9}, {
  3.616275774163657*^9, 3.6162757846112547`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Inertia", "Subsubsection",
 CellChangeTimes->{{3.6160558160028563`*^9, 3.616055826500518*^9}, {
  3.6162752164067554`*^9, 3.6162752173348083`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"frm6", "=", 
   RowBox[{"DSMoment2Protoform", "[", 
    RowBox[{"11", ",", "a"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6160558855439243`*^9, 3.6160559259520454`*^9}, {
  3.6163357107099204`*^9, 3.6163357148299837`*^9}, {3.6163357716183558`*^9, 
  3.616335773493385*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm6", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Length", "@", "var"}]}], "Input",
 CellChangeTimes->{{3.6160559294945993`*^9, 3.61605593928725*^9}, 
   3.61633571917255*^9, 3.616335777403445*^9}],

Cell[BoxData[
 RowBox[{"Clear", "[", "frm6", "]"}]], "Input",
 CellChangeTimes->{{3.616335753173073*^9, 3.616335755908115*^9}, 
   3.616335830799265*^9}]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["case 7 numeric", "Subsection",
 CellChangeTimes->{{3.60562336381744*^9, 3.6056233784292755`*^9}, 
   3.6157776927559123`*^9, {3.6157787716534843`*^9, 3.6157787723209944`*^9}, {
   3.615781858412897*^9, 3.6157818679280434`*^9}, 3.615852956343383*^9}],

Cell[CellGroupData[{

Cell["Subdivision", "Subsubsection",
 CellChangeTimes->{{3.6160558160028563`*^9, 3.616055826500518*^9}, {
  3.616275238575023*^9, 3.616275240342124*^9}, {3.6162754296939545`*^9, 
  3.6162754320210876`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Omega]", "1"], ",", 
     SubscriptBox["\[Omega]", "2"], ",", 
     SubscriptBox["\[Omega]", "3"], ",", 
     SubscriptBox["\[Omega]", "4"], ",", 
     SubscriptBox["\[Omega]", "4"], ",", 
     SubscriptBox["\[Omega]", "3"], ",", 
     SubscriptBox["\[Omega]", "2"]}], "}"}], "=", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{"16", " ", 
      RowBox[{"DooSabinWeight", "[", "7", "]"}]}], "]"}], "//", "N"}]}], ";", 
  RowBox[{"{", 
   RowBox[{
    SubscriptBox["\[Omega]", "1"], ",", 
    SubscriptBox["\[Omega]", "2"], ",", 
    SubscriptBox["\[Omega]", "3"], ",", 
    SubscriptBox["\[Omega]", "4"]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DS7sub", "=", 
   RowBox[{
    FractionBox["1", "16"], 
    RowBox[{"(", GridBox[{
       {"9", "3", "0", "3", "1", "0", "0", "0", "0", "0", "0", "0"},
       {"3", "9", "0", "1", "3", "0", "0", "0", "0", "0", "0", "0"},
       {"0", "9", "3", "0", "3", "1", "0", "0", "0", "0", "0", "0"},
       {"0", "3", "9", "0", "1", "3", "0", "0", "0", "0", "0", "0"},
       {"3", "1", "0", "9", "3", "0", "0", "0", "0", "0", "0", "0"},
       {"1", "3", "0", "3", "9", "0", "0", "0", "0", "0", "0", "0"},
       {"0", "3", "1", "0", "9", "3", "0", "0", "0", "0", "0", "0"},
       {"0", "1", "3", "0", "3", "9", "0", "0", "0", "0", "0", "0"},
       {"0", "0", "0", "9", "3", "0", "3", "1", "0", "0", "0", "0"},
       {"0", "0", "0", "3", "9", "0", "1", "3", "0", "0", "0", "0"},
       {"0", "0", "0", "0", 
        SubscriptBox["\[Omega]", "1"], 
        SubscriptBox["\[Omega]", "2"], "0", 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "4"], 
        SubscriptBox["\[Omega]", "4"], 
        SubscriptBox["\[Omega]", "3"]},
       {"0", "0", "0", "0", 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "1"], "0", 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "4"], 
        SubscriptBox["\[Omega]", "4"], 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "2"]},
       {"0", "0", "0", "3", "1", "0", "9", "3", "0", "0", "0", "0"},
       {"0", "0", "0", "1", "3", "0", "3", "9", "0", "0", "0", "0"},
       {"0", "0", "0", "0", 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "3"], "0", 
        SubscriptBox["\[Omega]", "1"], 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "4"], 
        SubscriptBox["\[Omega]", "4"]},
       {"0", "0", "0", "0", 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "4"], "0", 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "1"], 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "4"]},
       {"0", "0", "0", "0", 
        SubscriptBox["\[Omega]", "4"], 
        SubscriptBox["\[Omega]", "4"], "0", 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "1"], 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "3"]},
       {"0", "0", "0", "0", 
        SubscriptBox["\[Omega]", "4"], 
        SubscriptBox["\[Omega]", "3"], "0", 
        SubscriptBox["\[Omega]", "4"], 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "1"], 
        SubscriptBox["\[Omega]", "2"]},
       {"0", "0", "0", "0", 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "2"], "0", 
        SubscriptBox["\[Omega]", "4"], 
        SubscriptBox["\[Omega]", "4"], 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "1"]}
      }], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DS7ind", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "1", ",", "2", ",", "3", ",", "5", ",", "6", ",", "7", ",", "9", ",", 
       "10", ",", "11"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "2", ",", "3", ",", "4", ",", "6", ",", "7", ",", "8", ",", "10", ",", 
       "11", ",", "12"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "5", ",", "6", ",", "7", ",", "9", ",", "10", ",", "11", ",", "13", ",",
        "14", ",", "15"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "6", ",", "7", ",", "8", ",", "10", ",", "11", ",", "12", ",", "14", 
       ",", "15", ",", "16", ",", "17", ",", "18", ",", "19"}], "}"}]}], 
    "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.605623526106722*^9, 3.60562356785511*^9}, {
   3.6056238341423407`*^9, 3.605623873782608*^9}, {3.6056287677625275`*^9, 
   3.6056287914028797`*^9}, 3.605644527569937*^9, {3.6056803634436264`*^9, 
   3.6056803807856183`*^9}, {3.615766375327775*^9, 3.6157663755307865`*^9}, {
   3.6157664100087585`*^9, 3.6157664261246805`*^9}, 3.615777729974984*^9, {
   3.6157814120775404`*^9, 3.6157814125075474`*^9}, {3.6157818930134287`*^9, 
   3.6157818967809863`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"DS7sub", "\[LeftDoubleBracket]", 
   RowBox[{"DS7ind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
   "\[RightDoubleBracket]"}], "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.615766473350382*^9, 3.6157664954506454`*^9}, {
  3.615777746215234*^9, 3.6157777481177626`*^9}, {3.61578190351609*^9, 
  3.6157819053586187`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Centroid previous", "Subsubsection",
 CellChangeTimes->{{3.6160558160028563`*^9, 3.616055826500518*^9}, {
  3.616275238575023*^9, 3.616275240342124*^9}, {3.6162754606217237`*^9, 
  3.6162754627568455`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frm7", "=", 
   RowBox[{"InsertForm3D", "[", 
    RowBox[{
     RowBox[{"9", "+", "3"}], ",", "1", ",", "a"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"frm7", "//", "Dimensions"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
   3.615766552206892*^9, 3.615766553603972*^9}, {3.615777145035*^9, 
   3.6157771458075113`*^9}, 3.615777506580553*^9, {3.615777751277811*^9, 
   3.6157777594604373`*^9}, {3.615781908603668*^9, 3.615781912188723*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"eqs", "=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"frm4", "=", 
       RowBox[{
       "DooSabinListMoment1", "\[LeftDoubleBracket]", "2", 
        "\[RightDoubleBracket]"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS7sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS7ind", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS7sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS7ind", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS7sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS7ind", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm7", ",", 
        RowBox[{"DS7sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS7ind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "-", "frm7"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.6157788205817356`*^9, 3.615778822401764*^9}, {
  3.615781918891326*^9, 3.615781947911772*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm7", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"mat", ",", "vec"}], "}"}], "=", 
   RowBox[{"BuildEssential", "[", 
    RowBox[{"eqs", ",", "var"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.6157784163080263`*^9, 3.615778417588046*^9}, {
   3.6157784536986003`*^9, 3.615778494956734*^9}, {3.615778565062811*^9, 
   3.615778574187951*^9}, 3.615778803571474*^9, 3.6157819608244705`*^9}],

Cell[BoxData[
 RowBox[{"mat", "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.6157789544987926`*^9, 3.615778957703842*^9}, {
  3.6157794609925723`*^9, 3.615779461670083*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"lin", "=", 
   RowBox[{"LinearSolve", "[", 
    RowBox[{"mat", ",", 
     RowBox[{"-", "vec"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.615778526514719*^9, 3.6157785621277657`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"myMat", "=", 
   RowBox[{"frm7", "/.", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"var", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
       "\[Rule]", 
       RowBox[{
       "lin", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", 
        RowBox[{"Length", "[", "lin", "]"}]}], "}"}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"myMat", ">>", "\"\<DooSabinMoment1Xalt7.mx\>\""}]}], "Input",
 CellChangeTimes->{{3.6157785959557858`*^9, 3.6157786920622616`*^9}, {
  3.615780655280916*^9, 3.61578072256945*^9}, {3.6157814720559616`*^9, 
  3.6157814758985205`*^9}, {3.615781985234845*^9, 3.6157819887899*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Centroid new", "Subsubsection",
 CellChangeTimes->{{3.6160558160028563`*^9, 3.616055826500518*^9}, {
  3.616275238575023*^9, 3.616275240342124*^9}, {3.6162754606217237`*^9, 
  3.6162754627568455`*^9}, {3.6162759154657393`*^9, 3.616275915625748*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frm7", "=", 
   RowBox[{"DSMoment1Protoform", "[", 
    RowBox[{"12", ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"frm7", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm7", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Length", "[", "var", "]"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
   3.615766552206892*^9, 3.615766553603972*^9}, {3.615777145035*^9, 
   3.6157771458075113`*^9}, 3.615777506580553*^9, {3.615777751277811*^9, 
   3.6157777594604373`*^9}, {3.615781908603668*^9, 3.615781912188723*^9}, {
   3.6162759350848613`*^9, 3.6162759430133147`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"eqs", "=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"frm4", "=", 
       RowBox[{
       "DooSabinListMoment1", "\[LeftDoubleBracket]", "2", 
        "\[RightDoubleBracket]"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS7sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS7ind", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS7sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS7ind", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS7sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS7ind", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm7", ",", 
        RowBox[{"DS7sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS7ind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "-", "frm7"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.6157788205817356`*^9, 3.615778822401764*^9}, {
  3.615781918891326*^9, 3.615781947911772*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"mat", ",", "vec"}], "}"}], "=", 
   RowBox[{"BuildEssential", "[", 
    RowBox[{"eqs", ",", "var"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6157784163080263`*^9, 3.615778417588046*^9}, {
   3.6157784536986003`*^9, 3.615778494956734*^9}, {3.615778565062811*^9, 
   3.615778574187951*^9}, 3.615778803571474*^9, 3.6157819608244705`*^9, 
   3.6162759558020463`*^9}],

Cell[BoxData[
 RowBox[{"mat", "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.6157789544987926`*^9, 3.615778957703842*^9}, {
  3.6157794609925723`*^9, 3.615779461670083*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"lin", "=", 
   RowBox[{"LinearSolve", "[", 
    RowBox[{"mat", ",", 
     RowBox[{"-", "vec"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.615778526514719*^9, 3.6157785621277657`*^9}}],

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"frm", "=", 
     RowBox[{"frm7", "/.", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
         "var", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
         "\[Rule]", 
         RowBox[{
         "lin", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", 
          RowBox[{"Length", "[", "lin", "]"}]}], "}"}]}], "]"}]}]}], "}"}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"Union", "@", 
    RowBox[{"Flatten", "[", 
     RowBox[{"Chop", "[", 
      RowBox[{"frm", "-", 
       RowBox[{
       "DooSabinListMoment1", "\[LeftDoubleBracket]", "5", 
        "\[RightDoubleBracket]"}]}], "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6157785959557858`*^9, 3.6157786920622616`*^9}, {
  3.615780655280916*^9, 3.61578072256945*^9}, {3.6157814720559616`*^9, 
  3.6157814758985205`*^9}, {3.615781985234845*^9, 3.6157819887899*^9}, {
  3.61627598593077*^9, 3.616275998458486*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Inertia", "Subsubsection",
 CellChangeTimes->{{3.6160558160028563`*^9, 3.616055826500518*^9}, {
  3.6162752164067554`*^9, 3.6162752173348083`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"frm7", "=", 
   RowBox[{"DSMoment2Protoform", "[", 
    RowBox[{"12", ",", "a"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6160558855439243`*^9, 3.6160559259520454`*^9}, {
  3.6163357107099204`*^9, 3.6163357148299837`*^9}, {3.6163357716183558`*^9, 
  3.616335773493385*^9}, {3.6163358409094205`*^9, 3.616335842916951*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm7", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Length", "@", "var"}]}], "Input",
 CellChangeTimes->{{3.6160559294945993`*^9, 3.61605593928725*^9}, 
   3.61633571917255*^9, 3.616335777403445*^9, 3.6163358461695013`*^9}],

Cell[BoxData[
 RowBox[{"Clear", "[", "frm7", "]"}]], "Input",
 CellChangeTimes->{{3.616335753173073*^9, 3.616335755908115*^9}, {
  3.616335830799265*^9, 3.616335849169547*^9}}]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["case 8 numeric", "Subsection",
 CellChangeTimes->{{3.60562336381744*^9, 3.6056233784292755`*^9}, 
   3.6157776927559123`*^9, {3.6157787716534843`*^9, 3.6157787723209944`*^9}, {
   3.615781858412897*^9, 3.6157818679280434`*^9}, 3.6157827072719364`*^9, 
   3.6158529572608967`*^9}],

Cell[CellGroupData[{

Cell["Subdivision", "Subsubsection",
 CellChangeTimes->{{3.6160558160028563`*^9, 3.616055826500518*^9}, {
  3.616275238575023*^9, 3.616275240342124*^9}, {3.6162754296939545`*^9, 
  3.6162754320210876`*^9}}],

Cell[BoxData[
 RowBox[{"DooSabinWeight", "[", "8", "]"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Omega]", "1"], ",", 
     SubscriptBox["\[Omega]", "2"], ",", 
     SubscriptBox["\[Omega]", "3"], ",", 
     SubscriptBox["\[Omega]", "4"], ",", 
     SubscriptBox["\[Omega]", "5"], ",", 
     SubscriptBox["\[Omega]", "4"], ",", 
     SubscriptBox["\[Omega]", "3"], ",", 
     SubscriptBox["\[Omega]", "2"]}], "}"}], "=", 
   RowBox[{
    RowBox[{"16", 
     RowBox[{"DooSabinWeight", "[", "8", "]"}]}], "//", "N"}]}], ";", 
  RowBox[{"{", 
   RowBox[{
    SubscriptBox["\[Omega]", "1"], ",", 
    SubscriptBox["\[Omega]", "2"], ",", 
    SubscriptBox["\[Omega]", "3"], ",", 
    SubscriptBox["\[Omega]", "4"], ",", 
    SubscriptBox["\[Omega]", "5"]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DS8sub", "=", 
   RowBox[{
    FractionBox["1", "16"], 
    RowBox[{"(", GridBox[{
       {"9", "3", "0", "3", "1", "0", "0", "0", "0", "0", "0", "0", "0"},
       {"3", "9", "0", "1", "3", "0", "0", "0", "0", "0", "0", "0", "0"},
       {"0", "9", "3", "0", "3", "1", "0", "0", "0", "0", "0", "0", "0"},
       {"0", "3", "9", "0", "1", "3", "0", "0", "0", "0", "0", "0", "0"},
       {"3", "1", "0", "9", "3", "0", "0", "0", "0", "0", "0", "0", "0"},
       {"1", "3", "0", "3", "9", "0", "0", "0", "0", "0", "0", "0", "0"},
       {"0", "3", "1", "0", "9", "3", "0", "0", "0", "0", "0", "0", "0"},
       {"0", "1", "3", "0", "3", "9", "0", "0", "0", "0", "0", "0", "0"},
       {"0", "0", "0", "9", "3", "0", "3", "1", "0", "0", "0", "0", "0"},
       {"0", "0", "0", "3", "9", "0", "1", "3", "0", "0", "0", "0", "0"},
       {"0", "0", "0", "0", 
        SubscriptBox["\[Omega]", "1"], 
        SubscriptBox["\[Omega]", "2"], "0", 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "4"], 
        SubscriptBox["\[Omega]", "5"], 
        SubscriptBox["\[Omega]", "4"], 
        SubscriptBox["\[Omega]", "3"]},
       {"0", "0", "0", "0", 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "1"], "0", 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "4"], 
        SubscriptBox["\[Omega]", "5"], 
        SubscriptBox["\[Omega]", "4"], 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "2"]},
       {"0", "0", "0", "3", "1", "0", "9", "3", "0", "0", "0", "0", "0"},
       {"0", "0", "0", "1", "3", "0", "3", "9", "0", "0", "0", "0", "0"},
       {"0", "0", "0", "0", 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "3"], "0", 
        SubscriptBox["\[Omega]", "1"], 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "4"], 
        SubscriptBox["\[Omega]", "5"], 
        SubscriptBox["\[Omega]", "4"]},
       {"0", "0", "0", "0", 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "4"], "0", 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "1"], 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "4"], 
        SubscriptBox["\[Omega]", "5"]},
       {"0", "0", "0", "0", 
        SubscriptBox["\[Omega]", "4"], 
        SubscriptBox["\[Omega]", "5"], "0", 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "1"], 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "4"]},
       {"0", "0", "0", "0", 
        SubscriptBox["\[Omega]", "5"], 
        SubscriptBox["\[Omega]", "4"], "0", 
        SubscriptBox["\[Omega]", "4"], 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "1"], 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "3"]},
       {"0", "0", "0", "0", 
        SubscriptBox["\[Omega]", "4"], 
        SubscriptBox["\[Omega]", "3"], "0", 
        SubscriptBox["\[Omega]", "5"], 
        SubscriptBox["\[Omega]", "4"], 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "1"], 
        SubscriptBox["\[Omega]", "2"]},
       {"0", "0", "0", "0", 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "2"], "0", 
        SubscriptBox["\[Omega]", "4"], 
        SubscriptBox["\[Omega]", "5"], 
        SubscriptBox["\[Omega]", "4"], 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "1"]}
      }], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DS8ind", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "1", ",", "2", ",", "3", ",", "5", ",", "6", ",", "7", ",", "9", ",", 
       "10", ",", "11"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "2", ",", "3", ",", "4", ",", "6", ",", "7", ",", "8", ",", "10", ",", 
       "11", ",", "12"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "5", ",", "6", ",", "7", ",", "9", ",", "10", ",", "11", ",", "13", ",",
        "14", ",", "15"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "6", ",", "7", ",", "8", ",", "10", ",", "11", ",", "12", ",", "14", 
       ",", "15", ",", "16", ",", "17", ",", "18", ",", "19", ",", "20"}], 
      "}"}]}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.605623526106722*^9, 3.60562356785511*^9}, {
   3.6056238341423407`*^9, 3.605623873782608*^9}, {3.6056287677625275`*^9, 
   3.6056287914028797`*^9}, 3.605644527569937*^9, {3.6056803634436264`*^9, 
   3.6056803807856183`*^9}, {3.615766375327775*^9, 3.6157663755307865`*^9}, {
   3.6157664100087585`*^9, 3.6157664261246805`*^9}, 3.615777729974984*^9, {
   3.6157814120775404`*^9, 3.6157814125075474`*^9}, {3.6157818930134287`*^9, 
   3.6157818967809863`*^9}, {3.615782756202688*^9, 3.615782803825919*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"DS8sub", "\[LeftDoubleBracket]", 
   RowBox[{"DS8ind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
   "\[RightDoubleBracket]"}], "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.615766473350382*^9, 3.6157664954506454`*^9}, {
  3.615777746215234*^9, 3.6157777481177626`*^9}, {3.61578190351609*^9, 
  3.6157819053586187`*^9}, {3.6157828242687335`*^9, 3.6157828262212634`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Centroid previous", "Subsubsection",
 CellChangeTimes->{{3.6160558160028563`*^9, 3.616055826500518*^9}, {
  3.616275238575023*^9, 3.616275240342124*^9}, {3.6162754606217237`*^9, 
  3.6162754627568455`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frm8", "=", 
   RowBox[{"InsertForm3D", "[", 
    RowBox[{
     RowBox[{"9", "+", "4"}], ",", "1", ",", "a"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"frm8", "//", "Dimensions"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
   3.615766552206892*^9, 3.615766553603972*^9}, {3.615777145035*^9, 
   3.6157771458075113`*^9}, 3.615777506580553*^9, {3.615777751277811*^9, 
   3.6157777594604373`*^9}, {3.615781908603668*^9, 3.615781912188723*^9}, {
   3.6157828339813824`*^9, 3.6157828383364496`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"eqs", "=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"frm4", "=", 
       RowBox[{
       "DooSabinListMoment1", "\[LeftDoubleBracket]", "2", 
        "\[RightDoubleBracket]"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS8sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS8ind", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS8sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS8ind", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS8sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS8ind", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm8", ",", 
        RowBox[{"DS8sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS8ind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "-", "frm8"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.6157788205817356`*^9, 3.615778822401764*^9}, {
  3.615781918891326*^9, 3.615781947911772*^9}, {3.6157828443840427`*^9, 
  3.615782866781886*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm8", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"mat", ",", "vec"}], "}"}], "=", 
   RowBox[{"BuildEssential", "[", 
    RowBox[{"eqs", ",", "var"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.6157784163080263`*^9, 3.615778417588046*^9}, {
   3.6157784536986003`*^9, 3.615778494956734*^9}, {3.615778565062811*^9, 
   3.615778574187951*^9}, 3.615778803571474*^9, 3.6157819608244705`*^9, {
   3.6157828701119375`*^9, 3.6157828718644643`*^9}}],

Cell[BoxData[
 RowBox[{"mat", "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.6157789544987926`*^9, 3.615778957703842*^9}, {
  3.6157794609925723`*^9, 3.615779461670083*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"lin", "=", 
   RowBox[{"LinearSolve", "[", 
    RowBox[{"mat", ",", 
     RowBox[{"-", "vec"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.615778526514719*^9, 3.6157785621277657`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"myMat", "=", 
   RowBox[{"frm8", "/.", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"var", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
       "\[Rule]", 
       RowBox[{
       "lin", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", 
        RowBox[{"Length", "[", "lin", "]"}]}], "}"}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"myMat", ">>", "\"\<DooSabinMoment1Xalt8.mx\>\""}]}], "Input",
 CellChangeTimes->{{3.6157785959557858`*^9, 3.6157786920622616`*^9}, {
  3.615780655280916*^9, 3.61578072256945*^9}, {3.6157814720559616`*^9, 
  3.6157814758985205`*^9}, {3.615781985234845*^9, 3.6157819887899*^9}, {
  3.615783057299813*^9, 3.615783061187372*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Centroid new", "Subsubsection",
 CellChangeTimes->{{3.6160558160028563`*^9, 3.616055826500518*^9}, {
  3.616275238575023*^9, 3.616275240342124*^9}, {3.6162754606217237`*^9, 
  3.6162754627568455`*^9}, {3.6162760438720837`*^9, 3.616276044056094*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frm8", "=", 
   RowBox[{"DSMoment1Protoform", "[", 
    RowBox[{"13", ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"frm8", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm8", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Length", "[", "var", "]"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
   3.615766552206892*^9, 3.615766553603972*^9}, {3.615777145035*^9, 
   3.6157771458075113`*^9}, 3.615777506580553*^9, {3.615777751277811*^9, 
   3.6157777594604373`*^9}, {3.615781908603668*^9, 3.615781912188723*^9}, {
   3.6157828339813824`*^9, 3.6157828383364496`*^9}, {3.6162760524015713`*^9, 
   3.6162760589449453`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"eqs", "=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"frm4", "=", 
       RowBox[{
       "DooSabinListMoment1", "\[LeftDoubleBracket]", "2", 
        "\[RightDoubleBracket]"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS8sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS8ind", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS8sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS8ind", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS8sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS8ind", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm8", ",", 
        RowBox[{"DS8sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS8ind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "-", "frm8"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.6157788205817356`*^9, 3.615778822401764*^9}, {
  3.615781918891326*^9, 3.615781947911772*^9}, {3.6157828443840427`*^9, 
  3.615782866781886*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"mat", ",", "vec"}], "}"}], "=", 
   RowBox[{"BuildEssential", "[", 
    RowBox[{"eqs", ",", "var"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6157784163080263`*^9, 3.615778417588046*^9}, {
   3.6157784536986003`*^9, 3.615778494956734*^9}, {3.615778565062811*^9, 
   3.615778574187951*^9}, 3.615778803571474*^9, 3.6157819608244705`*^9, {
   3.6157828701119375`*^9, 3.6157828718644643`*^9}, {3.6162760683854856`*^9, 
   3.616276068616499*^9}}],

Cell[BoxData[
 RowBox[{"mat", "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.6157789544987926`*^9, 3.615778957703842*^9}, {
  3.6157794609925723`*^9, 3.615779461670083*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"lin", "=", 
   RowBox[{"LinearSolve", "[", 
    RowBox[{"mat", ",", 
     RowBox[{"-", "vec"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.615778526514719*^9, 3.6157785621277657`*^9}}],

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"frm", "=", 
     RowBox[{"frm8", "/.", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
         "var", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
         "\[Rule]", 
         RowBox[{
         "lin", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", 
          RowBox[{"Length", "[", "lin", "]"}]}], "}"}]}], "]"}]}]}], "}"}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"Union", "@", 
    RowBox[{"Flatten", "[", 
     RowBox[{"Chop", "[", 
      RowBox[{"frm", "-", 
       RowBox[{
       "DooSabinListMoment1", "\[LeftDoubleBracket]", "6", 
        "\[RightDoubleBracket]"}]}], "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6157785959557858`*^9, 3.6157786920622616`*^9}, {
  3.615780655280916*^9, 3.61578072256945*^9}, {3.6157814720559616`*^9, 
  3.6157814758985205`*^9}, {3.615781985234845*^9, 3.6157819887899*^9}, {
  3.61627598593077*^9, 3.616275998458486*^9}, {3.6162762665848217`*^9, 
  3.6162762702810335`*^9}}],

Cell[BoxData[
 RowBox[{"Clear", "[", "frm8", "]"}]], "Input",
 CellChangeTimes->{{3.6162767374137516`*^9, 3.6162767517755733`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Inertia", "Subsubsection",
 CellChangeTimes->{{3.6160558160028563`*^9, 3.616055826500518*^9}, {
  3.6162752164067554`*^9, 3.6162752173348083`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"frm8", "=", 
   RowBox[{"DSMoment2Protoform", "[", 
    RowBox[{"13", ",", "a"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6160558855439243`*^9, 3.6160559259520454`*^9}, {
  3.6163357107099204`*^9, 3.6163357148299837`*^9}, {3.6163357716183558`*^9, 
  3.616335773493385*^9}, {3.6163358409094205`*^9, 3.616335842916951*^9}, {
  3.6163359846116276`*^9, 3.6163359861166506`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm8", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Length", "@", "var"}]}], "Input",
 CellChangeTimes->{{3.6160559294945993`*^9, 3.61605593928725*^9}, 
   3.61633571917255*^9, 3.616335777403445*^9, 3.6163358461695013`*^9, 
   3.616335990056711*^9}],

Cell[BoxData[
 RowBox[{"Clear", "[", "frm8", "]"}]], "Input",
 CellChangeTimes->{{3.616335753173073*^9, 3.616335755908115*^9}, {
   3.616335830799265*^9, 3.616335849169547*^9}, 3.6163359928567543`*^9}]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["case 9 numeric", "Subsection",
 CellChangeTimes->{{3.60562336381744*^9, 3.6056233784292755`*^9}, 
   3.6157776927559123`*^9, {3.6157787716534843`*^9, 3.6157787723209944`*^9}, {
   3.615781858412897*^9, 3.6157818679280434`*^9}, 3.6157827072719364`*^9, 
   3.615851969035718*^9, {3.6158529580309086`*^9, 3.6158529623334746`*^9}, 
   3.615863974336661*^9}],

Cell[CellGroupData[{

Cell["Subdivision", "Subsubsection",
 CellChangeTimes->{{3.6160558160028563`*^9, 3.616055826500518*^9}, {
  3.616275238575023*^9, 3.616275240342124*^9}, {3.6162754296939545`*^9, 
  3.6162754320210876`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"DooSabinWeight", "[", "9", "]"}], "//", "FullSimplify"}]], "Input",
 CellChangeTimes->{
  3.615851974568303*^9, {3.6158543097591705`*^9, 3.615854313294225*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    SubscriptBox["\[Omega]", "1"], ",", 
    SubscriptBox["\[Omega]", "2"], ",", 
    SubscriptBox["\[Omega]", "3"], ",", 
    SubscriptBox["\[Omega]", "4"], ",", 
    SubscriptBox["\[Omega]", "5"]}], "}"}], "=", 
  RowBox[{
   RowBox[{"16", 
    RowBox[{
     RowBox[{"DooSabinWeight", "[", "9", "]"}], "\[LeftDoubleBracket]", 
     RowBox[{"Range", "[", "5", "]"}], "\[RightDoubleBracket]"}]}], "//", 
   "N"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DS9sub", "=", 
   RowBox[{
    FractionBox["1", "16"], 
    RowBox[{"(", GridBox[{
       {"9", "3", "0", "3", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
       {"3", "9", "0", "1", "3", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
       {"0", "9", "3", "0", "3", "1", "0", "0", "0", "0", "0", "0", "0", "0"},
       {"0", "3", "9", "0", "1", "3", "0", "0", "0", "0", "0", "0", "0", "0"},
       {"3", "1", "0", "9", "3", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
       {"1", "3", "0", "3", "9", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
       {"0", "3", "1", "0", "9", "3", "0", "0", "0", "0", "0", "0", "0", "0"},
       {"0", "1", "3", "0", "3", "9", "0", "0", "0", "0", "0", "0", "0", "0"},
       {"0", "0", "0", "9", "3", "0", "3", "1", "0", "0", "0", "0", "0", "0"},
       {"0", "0", "0", "3", "9", "0", "1", "3", "0", "0", "0", "0", "0", "0"},
       {"0", "0", "0", "0", 
        SubscriptBox["\[Omega]", "1"], 
        SubscriptBox["\[Omega]", "2"], "0", 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "4"], 
        SubscriptBox["\[Omega]", "5"], 
        SubscriptBox["\[Omega]", "5"], 
        SubscriptBox["\[Omega]", "4"], 
        SubscriptBox["\[Omega]", "3"]},
       {"0", "0", "0", "0", 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "1"], "0", 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "4"], 
        SubscriptBox["\[Omega]", "5"], 
        SubscriptBox["\[Omega]", "5"], 
        SubscriptBox["\[Omega]", "4"], 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "2"]},
       {"0", "0", "0", "3", "1", "0", "9", "3", "0", "0", "0", "0", "0", "0"},
       {"0", "0", "0", "1", "3", "0", "3", "9", "0", "0", "0", "0", "0", "0"},
       {"0", "0", "0", "0", 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "3"], "0", 
        SubscriptBox["\[Omega]", "1"], 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "4"], 
        SubscriptBox["\[Omega]", "5"], 
        SubscriptBox["\[Omega]", "5"], 
        SubscriptBox["\[Omega]", "4"]},
       {"0", "0", "0", "0", 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "4"], "0", 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "1"], 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "4"], 
        SubscriptBox["\[Omega]", "5"], 
        SubscriptBox["\[Omega]", "5"]},
       {"0", "0", "0", "0", 
        SubscriptBox["\[Omega]", "4"], 
        SubscriptBox["\[Omega]", "5"], "0", 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "1"], 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "4"], 
        SubscriptBox["\[Omega]", "5"]},
       {"0", "0", "0", "0", 
        SubscriptBox["\[Omega]", "5"], 
        SubscriptBox["\[Omega]", "5"], "0", 
        SubscriptBox["\[Omega]", "4"], 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "1"], 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "4"]},
       {"0", "0", "0", "0", 
        SubscriptBox["\[Omega]", "5"], 
        SubscriptBox["\[Omega]", "4"], "0", 
        SubscriptBox["\[Omega]", "5"], 
        SubscriptBox["\[Omega]", "4"], 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "1"], 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "3"]},
       {"0", "0", "0", "0", 
        SubscriptBox["\[Omega]", "4"], 
        SubscriptBox["\[Omega]", "3"], "0", 
        SubscriptBox["\[Omega]", "5"], 
        SubscriptBox["\[Omega]", "5"], 
        SubscriptBox["\[Omega]", "4"], 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "1"], 
        SubscriptBox["\[Omega]", "2"]},
       {"0", "0", "0", "0", 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "2"], "0", 
        SubscriptBox["\[Omega]", "4"], 
        SubscriptBox["\[Omega]", "5"], 
        SubscriptBox["\[Omega]", "5"], 
        SubscriptBox["\[Omega]", "4"], 
        SubscriptBox["\[Omega]", "3"], 
        SubscriptBox["\[Omega]", "2"], 
        SubscriptBox["\[Omega]", "1"]}
      }], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DS9ind", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "1", ",", "2", ",", "3", ",", "5", ",", "6", ",", "7", ",", "9", ",", 
       "10", ",", "11"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "2", ",", "3", ",", "4", ",", "6", ",", "7", ",", "8", ",", "10", ",", 
       "11", ",", "12"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "5", ",", "6", ",", "7", ",", "9", ",", "10", ",", "11", ",", "13", ",",
        "14", ",", "15"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "6", ",", "7", ",", "8", ",", "10", ",", "11", ",", "12", ",", "14", 
       ",", "15", ",", "16", ",", "17", ",", "18", ",", "19", ",", "20", ",", 
       "21"}], "}"}]}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.605623526106722*^9, 3.60562356785511*^9}, {
   3.6056238341423407`*^9, 3.605623873782608*^9}, {3.6056287677625275`*^9, 
   3.6056287914028797`*^9}, 3.605644527569937*^9, {3.6056803634436264`*^9, 
   3.6056803807856183`*^9}, {3.615766375327775*^9, 3.6157663755307865`*^9}, {
   3.6157664100087585`*^9, 3.6157664261246805`*^9}, 3.615777729974984*^9, {
   3.6157814120775404`*^9, 3.6157814125075474`*^9}, {3.6157818930134287`*^9, 
   3.6157818967809863`*^9}, {3.615782756202688*^9, 3.615782803825919*^9}, 
   3.615852991251419*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"DS9sub", "\[LeftDoubleBracket]", 
   RowBox[{"DS9ind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
   "\[RightDoubleBracket]"}], "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.615766473350382*^9, 3.6157664954506454`*^9}, {
  3.615777746215234*^9, 3.6157777481177626`*^9}, {3.61578190351609*^9, 
  3.6157819053586187`*^9}, {3.6157828242687335`*^9, 3.6157828262212634`*^9}, {
  3.615853007726672*^9, 3.615853010906721*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Centroid previous", "Subsubsection",
 CellChangeTimes->{{3.6160558160028563`*^9, 3.616055826500518*^9}, {
  3.616275238575023*^9, 3.616275240342124*^9}, {3.6162754606217237`*^9, 
  3.6162754627568455`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frm9", "=", 
   RowBox[{"MirrorForm3D", "[", 
    RowBox[{
     RowBox[{"5", "+", "9"}], ",", "1"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"frm9", "//", "Dimensions"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
   3.615766552206892*^9, 3.615766553603972*^9}, {3.615777145035*^9, 
   3.6157771458075113`*^9}, 3.615777506580553*^9, {3.615777751277811*^9, 
   3.6157777594604373`*^9}, {3.615781908603668*^9, 3.615781912188723*^9}, {
   3.6157828339813824`*^9, 3.6157828383364496`*^9}, {3.615853014001768*^9, 
   3.6158530376621313`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm9", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"var", "//", "Length"}]}], "Input",
 CellChangeTimes->{{3.615853098503066*^9, 3.6158531000680904`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"eqs", "=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"frm4", "=", 
       RowBox[{
       "DooSabinListMoment1", "\[LeftDoubleBracket]", "2", 
        "\[RightDoubleBracket]"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS9sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS9ind", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS9sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS9ind", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS9sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS9ind", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm9", ",", 
        RowBox[{"DS9sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS9ind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "-", "frm9"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.6157788205817356`*^9, 3.615778822401764*^9}, {
  3.615781918891326*^9, 3.615781947911772*^9}, {3.6157828443840427`*^9, 
  3.615782866781886*^9}, {3.6158530450772457`*^9, 3.6158530619200044`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"mat", ",", "vec"}], "}"}], "=", 
   RowBox[{"BuildEssential", "[", 
    RowBox[{"eqs", ",", "var"}], "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{"mat", ",", "vec"}], "}"}], ">>", 
    "\"\<DooSabinMoment1XlgsVal9.mx\>\""}], ";"}], "*)"}]], "Input",
 CellChangeTimes->{{3.615853224732505*^9, 3.6158532382402124`*^9}, {
  3.6158556827152596`*^9, 3.6158556834627705`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"mat", ",", "vec"}], "}"}], "=", 
   RowBox[{"<<", "\"\<DooSabinMoment1XlgsVal9.mx\>\""}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6158560362556896`*^9, 3.615856038180719*^9}}],

Cell[BoxData[
 RowBox[{"Clear", "[", "eqs", "]"}]], "Input",
 CellChangeTimes->{{3.615853213239828*^9, 3.6158532194874244`*^9}}],

Cell[BoxData[
 RowBox[{"mat", "//", "Dimensions"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"lin", "=", 
   RowBox[{"LinearSolve", "[", 
    RowBox[{"mat", ",", 
     RowBox[{"-", "vec"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.615778526514719*^9, 3.6157785621277657`*^9}}],

Cell[BoxData[
 RowBox[{"lin", ">>", "\"\<DooSabinMoment1XlgsVal9solution.mx\>\""}]], "Input",
 CellChangeTimes->{{3.6158565742664533`*^9, 3.6158565851566205`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"myMat", "=", 
   RowBox[{"frm9", "/.", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"var", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
       "\[Rule]", 
       RowBox[{
       "lin", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", 
        RowBox[{"Length", "[", "lin", "]"}]}], "}"}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"myMat", ">>", "\"\<DooSabinMoment1Xalt9.mx\>\""}]}], "Input",
 CellChangeTimes->{{3.6157785959557858`*^9, 3.6157786920622616`*^9}, {
   3.615780655280916*^9, 3.61578072256945*^9}, {3.6157814720559616`*^9, 
   3.6157814758985205`*^9}, {3.615781985234845*^9, 3.6157819887899*^9}, {
   3.615783057299813*^9, 3.615783061187372*^9}, 3.6158565700588884`*^9, 
   3.6158566562677126`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Centroid new", "Subsubsection",
 CellChangeTimes->{{3.6160558160028563`*^9, 3.616055826500518*^9}, {
  3.616275238575023*^9, 3.616275240342124*^9}, {3.6162754606217237`*^9, 
  3.6162754627568455`*^9}, {3.6162763161906595`*^9, 3.616276316358669*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frm9", "=", 
   RowBox[{"DSMoment1Protoform", "[", 
    RowBox[{"14", ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"frm9", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm9", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Length", "[", "var", "]"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
   3.615766552206892*^9, 3.615766553603972*^9}, {3.615777145035*^9, 
   3.6157771458075113`*^9}, 3.615777506580553*^9, {3.615777751277811*^9, 
   3.6157777594604373`*^9}, {3.615781908603668*^9, 3.615781912188723*^9}, {
   3.6157828339813824`*^9, 3.6157828383364496`*^9}, {3.615853014001768*^9, 
   3.6158530376621313`*^9}, {3.6162763217439766`*^9, 3.616276328711375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"eqs", "=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"frm4", "=", 
       RowBox[{
       "DooSabinListMoment1", "\[LeftDoubleBracket]", "2", 
        "\[RightDoubleBracket]"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS9sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS9ind", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS9sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS9ind", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"DS9sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS9ind", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm9", ",", 
        RowBox[{"DS9sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "DS9ind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "-", "frm9"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.6157788205817356`*^9, 3.615778822401764*^9}, {
  3.615781918891326*^9, 3.615781947911772*^9}, {3.6157828443840427`*^9, 
  3.615782866781886*^9}, {3.6158530450772457`*^9, 3.6158530619200044`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"mat", ",", "vec"}], "}"}], "=", 
   RowBox[{"BuildEssential", "[", 
    RowBox[{"eqs", ",", "var"}], "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"mat", "//", "Dimensions"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"lin", "=", 
   RowBox[{"LinearSolve", "[", 
    RowBox[{"mat", ",", 
     RowBox[{"-", "vec"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.615778526514719*^9, 3.6157785621277657`*^9}}],

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"frm", "=", 
     RowBox[{"frm9", "/.", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
         "var", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
         "\[Rule]", 
         RowBox[{
         "lin", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", 
          RowBox[{"Length", "[", "lin", "]"}]}], "}"}]}], "]"}]}]}], "}"}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"Union", "@", 
    RowBox[{"Flatten", "[", 
     RowBox[{"Chop", "[", 
      RowBox[{"frm", "-", 
       RowBox[{
       "DooSabinListMoment1", "\[LeftDoubleBracket]", "7", 
        "\[RightDoubleBracket]"}]}], "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6157785959557858`*^9, 3.6157786920622616`*^9}, {
  3.615780655280916*^9, 3.61578072256945*^9}, {3.6157814720559616`*^9, 
  3.6157814758985205`*^9}, {3.615781985234845*^9, 3.6157819887899*^9}, {
  3.61627598593077*^9, 3.616275998458486*^9}, {3.6162762665848217`*^9, 
  3.6162762702810335`*^9}, {3.61627635764003*^9, 3.61627636078421*^9}}]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["case 10+ theory", "Subsection",
 CellChangeTimes->{{3.60562336381744*^9, 3.6056233784292755`*^9}, 
   3.6157776927559123`*^9, {3.6157787716534843`*^9, 3.6157787723209944`*^9}, {
   3.615781858412897*^9, 3.6157818679280434`*^9}, 3.6157827072719364`*^9, 
   3.615851969035718*^9, {3.6158529580309086`*^9, 3.6158529623334746`*^9}, 
   3.615863974336661*^9, {3.6163360217746983`*^9, 3.61633602575976*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frmA", "=", 
   RowBox[{"DSMoment1Protoform", "[", 
    RowBox[{"16", ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"frmA", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frmA", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Length", "[", "var", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Clear", "[", "frmA", "]"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
   3.615766552206892*^9, 3.615766553603972*^9}, {3.615777145035*^9, 
   3.6157771458075113`*^9}, 3.615777506580553*^9, {3.615777751277811*^9, 
   3.6157777594604373`*^9}, {3.615781908603668*^9, 3.615781912188723*^9}, {
   3.6157828339813824`*^9, 3.6157828383364496`*^9}, {3.615853014001768*^9, 
   3.6158530376621313`*^9}, {3.6162763217439766`*^9, 3.616276328711375*^9}, {
   3.616336039322468*^9, 3.6163360494026227`*^9}, 3.616336177629592*^9}]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Applications", "Section",
 CellChangeTimes->{{3.605327924449959*^9, 3.6053279283121796`*^9}, {
  3.6056149079927945`*^9, 3.6056149089858513`*^9}, {3.6056228516001425`*^9, 
  3.6056228546483173`*^9}, {3.605646909007148*^9, 3.6056469329195156`*^9}, {
  3.60564698352641*^9, 3.6056469954380913`*^9}, {3.605696857837764*^9, 
  3.605696861844993*^9}, {3.605697358177382*^9, 3.605697358385394*^9}, {
  3.6123087117865577`*^9, 3.6123087140776887`*^9}}],

Cell[CellGroupData[{

Cell["Facet topologies", "Subsection",
 CellChangeTimes->{{3.618904417426365*^9, 3.618904427765957*^9}}],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"DooSabinPlot", "[", 
      RowBox[{
       RowBox[{"DooSabinDefault", "[", "k", "]"}], ",", 
       RowBox[{"DooSabinDefault", "[", "k", "]"}], ",", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"k", "\[Equal]", "4"}], ",", "Green", ",", "Red"}], "]"}]}], 
      "]"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "130"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "3", ",", "8"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.618904321988907*^9, 3.6189043779381065`*^9}, {
  3.6189044863223057`*^9, 3.618904514698929*^9}, {3.618904655620989*^9, 
  3.618904665270541*^9}}],

Cell[BoxData[
 RowBox[{
  GraphicsBox[{
    {GrayLevel[0.5], LineBox[{{-1, -1}, {0, -1}, {0, 0}, {-1, 0}, {-1, -1}}], 
     LineBox[{{0, -1}, {1, -1}, {1, 0}, {0, 0}, {0, -1}}], 
     LineBox[{{-1, 0}, {0, 0}, {0, 1}, {-1, 1}, {-1, 0}}], 
     LineBox[{{0, 0}, {1, 0}, {0, 1}, {0, 0}}]}, 
    {RGBColor[0.88, 1, 0.88], EdgeForm[Dashing[{Small, Small}]], 
     PolygonBox[{{-1, -1}, {0, -1}, {0, 0}, {-1, 0}}], 
     PolygonBox[{{0, -1}, {1, -1}, {1, 0}, {0, 0}}], 
     PolygonBox[{{-1, 0}, {0, 0}, {0, 1}, {-1, 1}}], 
     PolygonBox[{{0, 0}, {1, 0}, {0, 1}}]}, 
    {RGBColor[1, 0, 0], Opacity[0.5], 
     PolygonBox[
      NCache[{{Rational[-1, 2], Rational[-1, 2]}, {
        Rational[1, 2], Rational[-1, 2]}, {Rational[1, 3], Rational[1, 3]}, {
        Rational[-1, 2], Rational[1, 2]}}, {{-0.5, -0.5}, {0.5, -0.5}, {
       0.3333333333333333, 0.3333333333333333}, {-0.5, 0.5}}]]}, 
    {RGBColor[0, 1, 0], EdgeForm[RGBColor[0, 0, 1]], DiskBox[{-1, -1}, 0.04], 
     DiskBox[{0, -1}, 0.04], DiskBox[{1, -1}, 0.04], DiskBox[{-1, 0}, 0.04], 
     DiskBox[{0, 0}, 0.04], DiskBox[{1, 0}, 0.04], DiskBox[{-1, 1}, 0.04], 
     DiskBox[{0, 1}, 0.04]}},
   Axes->False,
   ImageSize->130,
   PlotRange->All], "  ", 
  GraphicsBox[{
    {GrayLevel[0.5], LineBox[{{-1, -1}, {0, -1}, {0, 0}, {-1, 0}, {-1, -1}}], 
     LineBox[{{0, -1}, {1, -1}, {1, 0}, {0, 0}, {0, -1}}], 
     LineBox[{{-1, 0}, {0, 0}, {0, 1}, {-1, 1}, {-1, 0}}], 
     LineBox[{{0, 0}, {1, 0}, {1, 1}, {0, 1}, {0, 0}}]}, 
    {RGBColor[0.88, 1, 0.88], EdgeForm[Dashing[{Small, Small}]], 
     PolygonBox[{{-1, -1}, {0, -1}, {0, 0}, {-1, 0}}], 
     PolygonBox[{{0, -1}, {1, -1}, {1, 0}, {0, 0}}], 
     PolygonBox[{{-1, 0}, {0, 0}, {0, 1}, {-1, 1}}], 
     PolygonBox[{{0, 0}, {1, 0}, {1, 1}, {0, 1}}]}, 
    {RGBColor[0, 1, 0], Opacity[0.5], 
     PolygonBox[
      NCache[{{Rational[-1, 2], Rational[-1, 2]}, {
        Rational[1, 2], Rational[-1, 2]}, {Rational[1, 2], Rational[1, 2]}, {
        Rational[-1, 2], Rational[1, 2]}}, {{-0.5, -0.5}, {0.5, -0.5}, {0.5, 
       0.5}, {-0.5, 0.5}}]]}, 
    {RGBColor[0, 1, 0], EdgeForm[RGBColor[0, 0, 1]], DiskBox[{-1, -1}, 0.04], 
     DiskBox[{0, -1}, 0.04], DiskBox[{1, -1}, 0.04], DiskBox[{-1, 0}, 0.04], 
     DiskBox[{0, 0}, 0.04], DiskBox[{1, 0}, 0.04], DiskBox[{-1, 1}, 0.04], 
     DiskBox[{0, 1}, 0.04], DiskBox[{1, 1}, 0.04]}},
   Axes->False,
   ImageSize->130,
   PlotRange->All], "  ", 
  GraphicsBox[{
    {GrayLevel[0.5], LineBox[{{-1, -1}, {0, -1}, {0, 0}, {-1, 0}, {-1, -1}}], 
     LineBox[{{0, -1}, {1, -1}, {1, 0}, {0, 0}, {0, -1}}], 
     LineBox[{{-1, 0}, {0, 0}, {0, 1}, {-1, 1}, {-1, 0}}], 
     LineBox[NCache[{{0, 0}, {1, 0}, {
        Rational[3, 2]^Rational[1, 2], 2^Rational[-1, 2]}, {
        2^Rational[-1, 2], Rational[3, 2]^Rational[1, 2]}, {0, 1}, {0, 0}}, {{
        0, 0}, {1, 0}, {1.224744871391589, 0.7071067811865475}, {
        0.7071067811865475, 1.224744871391589}, {0, 1}, {0, 0}}]]}, 
    {RGBColor[0.88, 1, 0.88], EdgeForm[Dashing[{Small, Small}]], 
     PolygonBox[{{-1, -1}, {0, -1}, {0, 0}, {-1, 0}}], 
     PolygonBox[{{0, -1}, {1, -1}, {1, 0}, {0, 0}}], 
     PolygonBox[{{-1, 0}, {0, 0}, {0, 1}, {-1, 1}}], 
     PolygonBox[
      NCache[{{0, 0}, {1, 0}, {
        Rational[3, 2]^Rational[1, 2], 2^Rational[-1, 2]}, {
        2^Rational[-1, 2], Rational[3, 2]^Rational[1, 2]}, {0, 1}}, {{0, 0}, {
        1, 0}, {1.224744871391589, 0.7071067811865475}, {0.7071067811865475, 
        1.224744871391589}, {0, 1}}]]}, 
    {RGBColor[1, 0, 0], Opacity[0.5], 
     PolygonBox[
      NCache[{{Rational[-1, 2], Rational[-1, 2]}, {
        Rational[1, 2], Rational[-1, 2]}, {
        Rational[1, 5] (1 + Rational[3, 2]^Rational[1, 2] + 
          2^Rational[-1, 2]), 
         Rational[1, 5] (1 + Rational[3, 2]^Rational[1, 2] + 
          2^Rational[-1, 2])}, {
        Rational[-1, 2], Rational[1, 2]}}, {{-0.5, -0.5}, {0.5, -0.5}, {
       0.5863703305156273, 0.5863703305156273}, {-0.5, 0.5}}]]}, 
    {RGBColor[0, 1, 0], EdgeForm[RGBColor[0, 0, 1]], DiskBox[{-1, -1}, 0.04], 
     DiskBox[{0, -1}, 0.04], DiskBox[{1, -1}, 0.04], DiskBox[{-1, 0}, 0.04], 
     DiskBox[{0, 0}, 0.04], DiskBox[{1, 0}, 0.04], DiskBox[{-1, 1}, 0.04], 
     DiskBox[{0, 1}, 0.04], 
     DiskBox[NCache[{2^Rational[-1, 2], Rational[3, 2]^Rational[1, 2]}, {
       0.7071067811865475, 1.224744871391589}], 0.04], 
     DiskBox[NCache[{Rational[3, 2]^Rational[1, 2], 2^Rational[-1, 2]}, {
       1.224744871391589, 0.7071067811865475}], 0.04]}},
   Axes->False,
   ImageSize->130,
   PlotRange->All], "  ", 
  GraphicsBox[{
    {GrayLevel[0.5], LineBox[{{-1, -1}, {0, -1}, {0, 0}, {-1, 0}, {-1, -1}}], 
     LineBox[{{0, -1}, {1, -1}, {1, 0}, {0, 0}, {0, -1}}], 
     LineBox[{{-1, 0}, {0, 0}, {0, 1}, {-1, 1}, {-1, 0}}], 
     LineBox[NCache[{{0, 0}, {1, 0}, {
        2^Rational[1, 2] Cos[Rational[1, 8] Pi], 2^Rational[1, 2] 
         Sin[Rational[1, 8] Pi]}, {1, 1}, {
        2^Rational[1, 2] Sin[Rational[1, 8] Pi], 2^Rational[1, 2] 
         Cos[Rational[1, 8] Pi]}, {0, 1}, {0, 0}}, {{0, 0}, {1, 0}, {
        1.3065629648763766`, 0.541196100146197}, {1, 1}, {0.541196100146197, 
        1.3065629648763766`}, {0, 1}, {0, 0}}]]}, 
    {RGBColor[0.88, 1, 0.88], EdgeForm[Dashing[{Small, Small}]], 
     PolygonBox[{{-1, -1}, {0, -1}, {0, 0}, {-1, 0}}], 
     PolygonBox[{{0, -1}, {1, -1}, {1, 0}, {0, 0}}], 
     PolygonBox[{{-1, 0}, {0, 0}, {0, 1}, {-1, 1}}], 
     PolygonBox[
      NCache[{{0, 0}, {1, 0}, {
        2^Rational[1, 2] Cos[Rational[1, 8] Pi], 2^Rational[1, 2] 
         Sin[Rational[1, 8] Pi]}, {1, 1}, {
        2^Rational[1, 2] Sin[Rational[1, 8] Pi], 2^Rational[1, 2] 
         Cos[Rational[1, 8] Pi]}, {0, 1}}, {{0, 0}, {1, 0}, {
        1.3065629648763766`, 0.541196100146197}, {1, 1}, {0.541196100146197, 
        1.3065629648763766`}, {0, 1}}]]}, 
    {RGBColor[1, 0, 0], Opacity[0.5], 
     PolygonBox[
      NCache[{{Rational[-1, 2], Rational[-1, 2]}, {
        Rational[1, 2], Rational[-1, 2]}, {
        Rational[1, 6] (2 + 2^Rational[1, 2] Cos[Rational[1, 8] Pi] + 
          2^Rational[1, 2] Sin[Rational[1, 8] Pi]), 
         Rational[1, 6] (2 + 2^Rational[1, 2] Cos[Rational[1, 8] Pi] + 
          2^Rational[1, 2] Sin[Rational[1, 8] Pi])}, {
        Rational[-1, 2], Rational[1, 2]}}, {{-0.5, -0.5}, {0.5, -0.5}, {
       0.6412931775037622, 0.6412931775037622}, {-0.5, 0.5}}]]}, 
    {RGBColor[0, 1, 0], EdgeForm[RGBColor[0, 0, 1]], DiskBox[{-1, -1}, 0.04], 
     DiskBox[{0, -1}, 0.04], DiskBox[{1, -1}, 0.04], DiskBox[{-1, 0}, 0.04], 
     DiskBox[{0, 0}, 0.04], DiskBox[{1, 0}, 0.04], DiskBox[{-1, 1}, 0.04], 
     DiskBox[{0, 1}, 0.04], 
     DiskBox[NCache[{
       2^Rational[1, 2] Sin[Rational[1, 8] Pi], 2^Rational[1, 2] 
        Cos[Rational[1, 8] Pi]}, {0.541196100146197, 1.3065629648763766`}], 
      0.04], DiskBox[{1, 1}, 0.04], 
     DiskBox[NCache[{
       2^Rational[1, 2] Cos[Rational[1, 8] Pi], 2^Rational[1, 2] 
        Sin[Rational[1, 8] Pi]}, {1.3065629648763766`, 0.541196100146197}], 
      0.04]}},
   Axes->False,
   ImageSize->130,
   PlotRange->All], "  ", 
  GraphicsBox[{
    {GrayLevel[0.5], LineBox[{{-1, -1}, {0, -1}, {0, 0}, {-1, 0}, {-1, -1}}], 
     LineBox[{{0, -1}, {1, -1}, {1, 0}, {0, 0}, {0, -1}}], 
     LineBox[{{-1, 0}, {0, 0}, {0, 1}, {-1, 1}, {-1, 0}}], 
     LineBox[NCache[{{0, 0}, {1, 
        0}, {(2 (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2]))^
         Rational[1, 2], (Rational[1, 2] 2^Rational[-1, 2]) (-1 + 
          5^Rational[1, 2])}, {(Rational[1, 2] 2^Rational[-1, 2]) (1 + 
          5^Rational[1, 2]), (
          2 (Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2]))^
         Rational[1, 2]}, {(
          2 (Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2]))^
         Rational[1, 2], (Rational[1, 2] 2^Rational[-1, 2]) (1 + 
          5^Rational[1, 2])}, {(Rational[1, 2] 2^Rational[-1, 2]) (-1 + 
          5^Rational[1, 2]), (
          2 (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2]))^
         Rational[1, 2]}, {0, 1}, {0, 0}}, {{0, 0}, {1, 0}, {
        1.3449970239279148`, 0.4370160244488211}, {1.1441228056353685`, 
        0.8312538755549068}, {0.8312538755549068, 1.1441228056353685`}, {
        0.4370160244488211, 1.3449970239279148`}, {0, 1}, {0, 0}}]]}, 
    {RGBColor[0.88, 1, 0.88], EdgeForm[Dashing[{Small, Small}]], 
     PolygonBox[{{-1, -1}, {0, -1}, {0, 0}, {-1, 0}}], 
     PolygonBox[{{0, -1}, {1, -1}, {1, 0}, {0, 0}}], 
     PolygonBox[{{-1, 0}, {0, 0}, {0, 1}, {-1, 1}}], 
     PolygonBox[
      NCache[{{0, 0}, {1, 
        0}, {(2 (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2]))^
         Rational[1, 2], (Rational[1, 2] 2^Rational[-1, 2]) (-1 + 
          5^Rational[1, 2])}, {(Rational[1, 2] 2^Rational[-1, 2]) (1 + 
          5^Rational[1, 2]), (
          2 (Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2]))^
         Rational[1, 2]}, {(
          2 (Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2]))^
         Rational[1, 2], (Rational[1, 2] 2^Rational[-1, 2]) (1 + 
          5^Rational[1, 2])}, {(Rational[1, 2] 2^Rational[-1, 2]) (-1 + 
          5^Rational[1, 2]), (
          2 (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2]))^
         Rational[1, 2]}, {0, 1}}, {{0, 0}, {1, 0}, {1.3449970239279148`, 
        0.4370160244488211}, {1.1441228056353685`, 0.8312538755549068}, {
        0.8312538755549068, 1.1441228056353685`}, {0.4370160244488211, 
        1.3449970239279148`}, {0, 1}}]]}, 
    {RGBColor[1, 0, 0], Opacity[0.5], 
     PolygonBox[
      NCache[{{Rational[-1, 2], Rational[-1, 2]}, {
        Rational[1, 2], Rational[-1, 2]}, {
        Rational[1, 7] (
          1 + (2 (Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2]))^
           Rational[1, 2] + (
            2 (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2]))^
           Rational[1, 2] + (Rational[1, 2] 2^Rational[-1, 2]) (-1 + 
            5^Rational[1, 2]) + (Rational[1, 2] 2^Rational[-1, 2]) (1 + 
            5^Rational[1, 2])), 
         Rational[1, 7] (
          1 + (2 (Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2]))^
           Rational[1, 2] + (
            2 (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2]))^
           Rational[1, 2] + (Rational[1, 2] 2^Rational[-1, 2]) (-1 + 
            5^Rational[1, 2]) + (Rational[1, 2] 2^Rational[-1, 2]) (1 + 
            5^Rational[1, 2]))}, {
        Rational[-1, 2], Rational[1, 2]}}, {{-0.5, -0.5}, {0.5, -0.5}, {
       0.6796271042238587, 0.6796271042238587}, {-0.5, 0.5}}]]}, 
    {RGBColor[0, 1, 0], EdgeForm[RGBColor[0, 0, 1]], DiskBox[{-1, -1}, 0.04], 
     DiskBox[{0, -1}, 0.04], DiskBox[{1, -1}, 0.04], DiskBox[{-1, 0}, 0.04], 
     DiskBox[{0, 0}, 0.04], DiskBox[{1, 0}, 0.04], DiskBox[{-1, 1}, 0.04], 
     DiskBox[{0, 1}, 0.04], 
     DiskBox[NCache[{(Rational[1, 2] 2^Rational[-1, 2]) (-1 + 
         5^Rational[1, 2]), (
         2 (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2]))^
        Rational[1, 2]}, {0.4370160244488211, 1.3449970239279148`}], 0.04], 
     DiskBox[NCache[{(2 (Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2]))^
        Rational[1, 2], (Rational[1, 2] 2^Rational[-1, 2]) (1 + 
         5^Rational[1, 2])}, {0.8312538755549068, 1.1441228056353685`}], 
      0.04], DiskBox[
      NCache[{(Rational[1, 2] 2^Rational[-1, 2]) (1 + 5^Rational[1, 2]), (
         2 (Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2]))^
        Rational[1, 2]}, {1.1441228056353685`, 0.8312538755549068}], 0.04], 
     DiskBox[NCache[{(2 (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2]))^
        Rational[1, 2], (Rational[1, 2] 2^Rational[-1, 2]) (-1 + 
         5^Rational[1, 2])}, {1.3449970239279148`, 0.4370160244488211}], 
      0.04]}},
   Axes->False,
   ImageSize->130,
   PlotRange->All], "  ", 
  GraphicsBox[{
    {GrayLevel[0.5], LineBox[{{-1, -1}, {0, -1}, {0, 0}, {-1, 0}, {-1, -1}}], 
     LineBox[{{0, -1}, {1, -1}, {1, 0}, {0, 0}, {0, -1}}], 
     LineBox[{{-1, 0}, {0, 0}, {0, 1}, {-1, 1}, {-1, 0}}], 
     LineBox[NCache[{{0, 0}, {1, 0}, {
        Rational[1, 2] (1 + 3^Rational[1, 2]), 
         Rational[1, 2] (-1 + 3^Rational[1, 2])}, {
        Rational[3, 2]^Rational[1, 2], 2^Rational[-1, 2]}, {1, 1}, {
        2^Rational[-1, 2], Rational[3, 2]^Rational[1, 2]}, {
        Rational[1, 2] (-1 + 3^Rational[1, 2]), 
         Rational[1, 2] (1 + 3^Rational[1, 2])}, {0, 1}, {0, 0}}, {{0, 0}, {1,
         0}, {1.3660254037844386`, 0.3660254037844386}, {1.224744871391589, 
        0.7071067811865475}, {1, 1}, {0.7071067811865475, 
        1.224744871391589}, {0.3660254037844386, 1.3660254037844386`}, {0, 
        1}, {0, 0}}]]}, 
    {RGBColor[0.88, 1, 0.88], EdgeForm[Dashing[{Small, Small}]], 
     PolygonBox[{{-1, -1}, {0, -1}, {0, 0}, {-1, 0}}], 
     PolygonBox[{{0, -1}, {1, -1}, {1, 0}, {0, 0}}], 
     PolygonBox[{{-1, 0}, {0, 0}, {0, 1}, {-1, 1}}], 
     PolygonBox[
      NCache[{{0, 0}, {1, 0}, {
        Rational[1, 2] (1 + 3^Rational[1, 2]), 
         Rational[1, 2] (-1 + 3^Rational[1, 2])}, {
        Rational[3, 2]^Rational[1, 2], 2^Rational[-1, 2]}, {1, 1}, {
        2^Rational[-1, 2], Rational[3, 2]^Rational[1, 2]}, {
        Rational[1, 2] (-1 + 3^Rational[1, 2]), 
         Rational[1, 2] (1 + 3^Rational[1, 2])}, {0, 1}}, {{0, 0}, {1, 0}, {
        1.3660254037844386`, 0.3660254037844386}, {1.224744871391589, 
        0.7071067811865475}, {1, 1}, {0.7071067811865475, 
        1.224744871391589}, {0.3660254037844386, 1.3660254037844386`}, {0, 
        1}}]]}, 
    {RGBColor[1, 0, 0], Opacity[0.5], 
     PolygonBox[
      NCache[{{Rational[-1, 2], Rational[-1, 2]}, {
        Rational[1, 2], Rational[-1, 2]}, {
        Rational[1, 8] (2 + Rational[3, 2]^Rational[1, 2] + 2^Rational[-1, 2] + 
          Rational[1, 2] (-1 + 3^Rational[1, 2]) + 
          Rational[1, 2] (1 + 3^Rational[1, 2])), 
         Rational[1, 8] (2 + Rational[3, 2]^Rational[1, 2] + 
          2^Rational[-1, 2] + Rational[1, 2] (-1 + 3^Rational[1, 2]) + 
          Rational[1, 2] (1 + 3^Rational[1, 2]))}, {
        Rational[-1, 2], Rational[1, 2]}}, {{-0.5, -0.5}, {0.5, -0.5}, {
       0.7079878075183768, 0.7079878075183768}, {-0.5, 0.5}}]]}, 
    {RGBColor[0, 1, 0], EdgeForm[RGBColor[0, 0, 1]], DiskBox[{-1, -1}, 0.04], 
     DiskBox[{0, -1}, 0.04], DiskBox[{1, -1}, 0.04], DiskBox[{-1, 0}, 0.04], 
     DiskBox[{0, 0}, 0.04], DiskBox[{1, 0}, 0.04], DiskBox[{-1, 1}, 0.04], 
     DiskBox[{0, 1}, 0.04], 
     DiskBox[NCache[{
       Rational[1, 2] (-1 + 3^Rational[1, 2]), 
        Rational[1, 2] (1 + 3^Rational[1, 2])}, {0.3660254037844386, 
       1.3660254037844386`}], 0.04], 
     DiskBox[NCache[{2^Rational[-1, 2], Rational[3, 2]^Rational[1, 2]}, {
       0.7071067811865475, 1.224744871391589}], 0.04], DiskBox[{1, 1}, 0.04], 
     DiskBox[NCache[{Rational[3, 2]^Rational[1, 2], 2^Rational[-1, 2]}, {
       1.224744871391589, 0.7071067811865475}], 0.04], 
     DiskBox[NCache[{
       Rational[1, 2] (1 + 3^Rational[1, 2]), 
        Rational[1, 2] (-1 + 3^Rational[1, 2])}, {1.3660254037844386`, 
       0.3660254037844386}], 0.04]}},
   Axes->False,
   ImageSize->130,
   PlotRange->All]}]], "Input",
 CellChangeTimes->{{3.6189046829545527`*^9, 3.6189046890289*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Permute test", "Subsection",
 CellChangeTimes->{{3.616145692327976*^9, 3.6161457007194567`*^9}, {
  3.6165018645066156`*^9, 3.6165018661457095`*^9}}],

Cell["Doo", "Text",
 CellChangeTimes->{{3.6165018683328342`*^9, 3.6165018719210396`*^9}, {
  3.6165019075140753`*^9, 3.6165019078560953`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"msh", "=", 
   RowBox[{"DooSabinSubdivide", "[", "CornerMesh", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"DooSabinMoment1", "[", "msh", "]"}], "\[IndentingNewLine]", 
 RowBox[{"DooSabinAltMoment1", "[", "msh", "]"}]}], "Input",
 CellChangeTimes->{{3.616501936931758*^9, 3.6165019665384517`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"msh", "=", 
   RowBox[{"DooSabinSubdivide", "[", "CornerReducedMesh", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"DooSabinMoment1", "[", "msh", "]"}], "\[IndentingNewLine]", 
 RowBox[{"DooSabinAltMoment1", "[", "msh", "]"}]}], "Input",
 CellChangeTimes->{{3.616501936931758*^9, 3.6165019790441666`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"msh", "=", 
   RowBox[{"DooSabinSubdivide", "[", "CubeMesh", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"DooSabinMoment1", "[", "msh", "]"}], "\[IndentingNewLine]", 
 RowBox[{"DooSabinAltMoment1", "[", "msh", "]"}]}], "Input",
 CellChangeTimes->{{3.616501936931758*^9, 3.6165019790441666`*^9}, {
  3.6165021410364323`*^9, 3.616502142062491*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"msh", "=", 
   RowBox[{"DooSabinSubdivide", "[", "CubeMesh", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"DooSabinMoment2", "[", "msh", "]"}], "\[IndentingNewLine]", 
 RowBox[{"DooSabinAltMoment2", "[", "msh", "]"}]}], "Input",
 CellChangeTimes->{{3.616502152041062*^9, 3.616502153691156*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Calibration of 1st DOF", "Subsection",
 CellChangeTimes->{{3.606378196577406*^9, 3.6063782068569937`*^9}, {
  3.6063791489238772`*^9, 3.606379149377903*^9}, {3.607340556836029*^9, 
  3.607340557043532*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"V", ",", "F"}], "}"}], "=", "CubeMesh"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"Vs", ",", "Fs"}], "}"}], "=", 
   RowBox[{"Nest", "[", 
    RowBox[{"QuadLinearSubdivide", ",", 
     RowBox[{"{", 
      RowBox[{"V", ",", "F"}], "}"}], ",", "2"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Vn", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"V", "\[LeftDoubleBracket]", 
      RowBox[{
       RowBox[{"Sort", "[", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"With", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"dif", "=", 
              RowBox[{
               RowBox[{
               "Vs", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
               "-", 
               RowBox[{
               "V", "\[LeftDoubleBracket]", "j", 
                "\[RightDoubleBracket]"}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"N", "[", 
               RowBox[{"dif", ".", "dif"}], "]"}], ",", "j"}], "}"}]}], "]"}],
           ",", 
          RowBox[{"{", 
           RowBox[{"j", ",", 
            RowBox[{"Length", "[", "V", "]"}]}], "}"}]}], "]"}], "]"}], 
       "\[LeftDoubleBracket]", 
       RowBox[{"1", ",", "2"}], "\[RightDoubleBracket]"}], 
      "\[RightDoubleBracket]"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "Vs", "]"}]}], "}"}]}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.607247290727704*^9, 3.607247293305852*^9}, {
   3.607247325001665*^9, 3.6072473323690863`*^9}, 3.6073829616078005`*^9, {
   3.6073831512582135`*^9, 3.6073831776236186`*^9}, {3.6073833382335854`*^9, 
   3.6073833657690086`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Rasterize", "[", 
    RowBox[{
     RowBox[{"Show", "[", 
      RowBox[{
       RowBox[{"PlotMesh", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "-", "\[Lambda]"}], ")"}], " ", "Vs"}], "+", 
            RowBox[{"\[Lambda]", " ", "Vn"}]}], ",", "Fs"}], "}"}], "/.", 
         RowBox[{"\[Lambda]", "\[Rule]", "#"}]}], "]"}], ",", 
       RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
       RowBox[{"PlotRangePadding", "\[Rule]", "None"}], ",", 
       RowBox[{"Axes", "\[Rule]", "False"}], ",", 
       RowBox[{"ImageSize", "\[Rule]", "80"}]}], "]"}], ",", 
     RowBox[{"ImageResolution", "\[Rule]", "200"}]}], "]"}], "&"}], "/@", 
  RowBox[{"{", 
   RowBox[{"0", ",", "0.4", ",", "0.7", ",", "1"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.6073832925903845`*^9, 3.607383301150516*^9}, {
  3.60738397330084*^9, 3.6073839764983892`*^9}, {3.6075474494396076`*^9, 
  3.6075474538618603`*^9}}],

Cell[BoxData[
 RowBox[{"Rasterize", "[", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"PlotMesh", "[", 
      RowBox[{"Nest", "[", 
       RowBox[{"DooSabinSubdivide", ",", 
        RowBox[{"{", 
         RowBox[{"Vn", ",", "Fs"}], "}"}], ",", "1"}], "]"}], "]"}], ",", 
     RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
     RowBox[{"PlotRangePadding", "\[Rule]", "None"}], ",", 
     RowBox[{"Axes", "\[Rule]", "False"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "80"}]}], "]"}], ",", 
   RowBox[{"ImageResolution", "\[Rule]", "200"}]}], "]"}]], "Input",
 CellChangeTimes->{3.6161607741306057`*^9}],

Cell[BoxData[
 RowBox[{"Rasterize", "[", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"PlotMesh", "[", 
      RowBox[{"Nest", "[", 
       RowBox[{"DooSabinSubdivide", ",", 
        RowBox[{"{", 
         RowBox[{"Vn", ",", "Fs"}], "}"}], ",", "2"}], "]"}], "]"}], ",", 
     RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
     RowBox[{"PlotRangePadding", "\[Rule]", "None"}], ",", 
     RowBox[{"Axes", "\[Rule]", "False"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "80"}]}], "]"}], ",", 
   RowBox[{"ImageResolution", "\[Rule]", "200"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6073840224165945`*^9, 3.6073840370718193`*^9}, {
   3.607384067545788*^9, 3.6073840854085617`*^9}, {3.6075474809484096`*^9, 
   3.6075475131902537`*^9}, 3.6083656277719545`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Analytical Moment", "Subsection",
 CellChangeTimes->{{3.616145692327976*^9, 3.6161457007194567`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{
      SubsuperscriptBox["\[Integral]", "0", "1"], 
      RowBox[{
       SubsuperscriptBox["\[Integral]", "0", "1"], 
       RowBox[{
        SubsuperscriptBox["\[Integral]", "0", "1"], 
        RowBox[{
         RowBox[{"x", "^", "p"}], " ", 
         RowBox[{"y", "^", "q"}], " ", 
         RowBox[{"z", "^", "r"}], " ", 
         RowBox[{"\[DifferentialD]", "x"}], 
         RowBox[{"\[DifferentialD]", "y"}], 
         RowBox[{"\[DifferentialD]", "z"}]}]}]}]}], ",", 
     RowBox[{"0", "\[LessEqual]", "r"}]}], "]"}], "\[Equal]", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"1", "+", "p"}]], 
    FractionBox["1", 
     RowBox[{"1", "+", "q"}]], 
    FractionBox["1", 
     RowBox[{"1", "+", "r"}]]}]}], "//", "Simplify"}]], "Input",
 CellChangeTimes->{{3.6161457265949364`*^9, 3.616145733028304*^9}, 
   3.6161457802720065`*^9}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.616146795931099*^9, 3.616146812026019*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Ellipsoid fit", "Subsection",
 CellChangeTimes->{{3.616145692327976*^9, 3.6161457007194567`*^9}, {
  3.616147386779894*^9, 3.616147389067024*^9}}],

Cell["cube starts at -1/2", "Text",
 CellChangeTimes->{{3.616146824729746*^9, 3.6161468296150255`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"msh", "=", 
   RowBox[{"DooSabinSubdivide", "[", "CubeMesh", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"cen", "=", 
  RowBox[{
   RowBox[{"DooSabinMoment1", "[", "msh", "]"}], "/", 
   RowBox[{"DooSabinVolume", "[", "msh", "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"cm2", "=", 
  RowBox[{"DooSabinMoment2", "[", 
   RowBox[{"TranslateMesh", "[", 
    RowBox[{"msh", ",", 
     RowBox[{"-", "cen"}]}], "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.6161460459041996`*^9, 3.6161460899757204`*^9}, {
  3.6161462353750367`*^9, 3.6161462428144627`*^9}, {3.616146791428841*^9, 
  3.6161468138621244`*^9}, {3.6162013999317136`*^9, 3.616201416059461*^9}, {
  3.616201576849431*^9, 3.6162016442754664`*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"PlotMesh", "[", 
     RowBox[{"Nest", "[", 
      RowBox[{"DooSabinSubdivide", ",", "msh", ",", "2"}], "]"}], "]"}], ",", 
    RowBox[{"MeshInertia", "[", 
     RowBox[{"cen", ",", "cm2"}], "]"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.616201443067376*^9, 3.6162014666527386`*^9}, {
  3.6162016512480736`*^9, 3.6162016528055973`*^9}}],

Cell[BoxData[
 RowBox[{"cm2", "=", 
  RowBox[{"{", 
   RowBox[{
    FractionBox["3003739685043074286227439869", 
     "83986143313084156058923008000"], ",", 
    FractionBox["3003739685043074286227439869", 
     "83986143313084156058923008000"], ",", 
    FractionBox["3003739685043074286227439869", 
     "83986143313084156058923008000"], ",", "0", ",", "0", ",", "0"}], 
   "}"}]}]], "Input",
 CellChangeTimes->{{3.616146838768549*^9, 3.6161468398376102`*^9}}],

Cell["cube starts at 0", "Text",
 CellChangeTimes->{{3.616146818105367*^9, 3.6161468235746803`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"cm2", "=", 
   RowBox[{"{", 
    RowBox[{
     FractionBox["16213354614905932601845849469", 
      "83986143313084156058923008000"], ",", 
     FractionBox["16213354614905932601845849469", 
      "83986143313084156058923008000"], ",", 
     FractionBox["16213354614905932601845849469", 
      "83986143313084156058923008000"], ",", 
     FractionBox["6241", "39680"], ",", 
     FractionBox["6241", "39680"], ",", 
     FractionBox["6241", "39680"]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.616146262763603*^9, 3.6161462682939196`*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"PlotMesh", "[", "CubeMesh", "]"}], ",", 
    RowBox[{"MeshInertia", "[", "cm2", "]"}]}], "}"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"EllipsoidEquivalent", "[", "cm2", "]"}]], "Input",
 CellChangeTimes->{{3.6161469182070923`*^9, 3.6161469206012297`*^9}}],

Cell[BoxData[
 RowBox[{"cm2", "//", "N"}]], "Input",
 CellChangeTimes->{{3.61614692986576*^9, 3.616146930521797*^9}}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{
  3.6162013005951877`*^9, {3.616201350148449*^9, 3.616201357716065*^9}, 
   3.6162014305271835`*^9}],

Cell[BoxData[
 RowBox[{"Im", "[", 
  RowBox[{"123", " ", "\[ImaginaryI]"}], "]"}]], "Input",
 CellChangeTimes->{{3.616201099829604*^9, 3.616201106619708*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Matlab corner demo", "Subsection",
 CellChangeTimes->{{3.616145692327976*^9, 3.6161457007194567`*^9}, {
  3.616147386779894*^9, 3.616147389067024*^9}, {3.616204532347344*^9, 
  3.6162045349223833`*^9}}],

Cell[BoxData[
 RowBox[{"DooSabinDemo", "[", 
  RowBox[{"NumericMesh", "[", "CornerReducedMesh", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.616205295952573*^9, 3.6162053033201857`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ctr", "=", 
   RowBox[{"NumericMesh", "[", "CornerReducedMesh", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"msh", "=", 
   RowBox[{"DooSabinSubdivide", "[", "ctr", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"cen", "=", 
  RowBox[{
   RowBox[{"DooSabinMoment1", "[", "msh", "]"}], "/", 
   RowBox[{"DooSabinVolume", "[", "msh", "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ctr", "=", 
   RowBox[{"TranslateMesh", "[", 
    RowBox[{"ctr", ",", 
     RowBox[{"-", "cen"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"msh", "=", 
   RowBox[{"TranslateMesh", "[", 
    RowBox[{"msh", ",", 
     RowBox[{"-", "cen"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fin", "=", 
   RowBox[{"Nest", "[", 
    RowBox[{"DooSabinSubdivide", ",", "msh", ",", "3"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"cm2", "=", 
  RowBox[{"DooSabinMoment2", "[", "msh", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"vec", "=", 
  RowBox[{"EllipsoidEquivalent", "[", "cm2", "]"}]}]}], "Input",
 CellChangeTimes->{{3.6162046582842784`*^9, 3.616204723430279*^9}, {
   3.616204786973755*^9, 3.6162048053815374`*^9}, {3.616205042851185*^9, 
   3.6162050595439415`*^9}, {3.6162052925950212`*^9, 
   3.6162052934350343`*^9}, {3.616205388343992*^9, 3.6162053885039945`*^9}, 
   3.616205609762393*^9}],

Cell[BoxData[
 RowBox[{"ToString", "@", 
  RowBox[{"(", 
   RowBox[{"InputForm", "/@", 
    RowBox[{"Flatten", "[", "vec", "]"}]}], ")"}]}]], "Input",
 CellChangeTimes->{{3.6162055376337852`*^9, 3.616205589789586*^9}}],

Cell["previous", "Text",
 CellChangeTimes->{{3.6162050809617705`*^9, 3.6162050857143435`*^9}, {
  3.6162052710946913`*^9, 3.616205271989705*^9}, {3.6162053964616165`*^9, 
  3.6162054002991753`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "1.2571714577275643`", ",", "0.7714585572632309`", ",", 
     "0.5425526193464737`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.7071067811865476`", ",", "0.`", ",", "0.7071067811865476`"}],
       "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0.7071067811865476`", ",", "0.`", ",", 
       RowBox[{"-", "0.7071067811865475`"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0.`", ",", "1.`", ",", "0.`"}], "}"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.616205022870878*^9, {3.616205066284045*^9, 3.616205087026864*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"PlotMesh", "/@", 
     RowBox[{"{", 
      RowBox[{"ctr", ",", "fin"}], "}"}]}], ",", 
    RowBox[{"Graphics3D", "[", 
     RowBox[{"{", 
      RowBox[{"Thick", ",", 
       RowBox[{"Table", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
            RowBox[{"2", 
             RowBox[{
             "vec", "\[LeftDoubleBracket]", "k", 
              "\[RightDoubleBracket]"}]}]}], "}"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "3"}], "}"}]}], "]"}]}], "}"}], "]"}]}], "}"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.6162046289213276`*^9, 3.616204661356826*^9}, {
  3.6162047348029537`*^9, 3.6162047504606943`*^9}, {3.6162048129316535`*^9, 
  3.6162048284993925`*^9}, {3.6162049905953827`*^9, 3.6162049963379707`*^9}, {
  3.616205039608636*^9, 3.6162050668340535`*^9}, {3.616205103507117*^9, 
  3.6162051219849005`*^9}, {3.6162054371597414`*^9, 3.616205508440837*^9}, {
  3.6162059507451305`*^9, 3.6162059517426453`*^9}}],

Cell[BoxData[{
 RowBox[{"MeshToMatlab", "[", 
  RowBox[{"\"\<D:\\\\matlab\\\\centroid\\\\redcorC.m\>\"", ",", "ctr"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"MeshToMatlab", "[", 
  RowBox[{"\"\<D:\\\\matlab\\\\centroid\\\\redcorF.m\>\"", ",", 
   RowBox[{"TriangulateMesh", "[", "fin", "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.6162059575077343`*^9, 3.6162059965108333`*^9}, {
  3.6162061104050856`*^9, 3.6162061133751307`*^9}}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.616205924964734*^9, 3.6162059288272934`*^9}, 
   3.616205959477764*^9}],

Cell[BoxData["vec"], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"a", ",", "b", ",", "c"}], "}"}], "vec"}]], "Input",
 CellChangeTimes->{{3.6162051588179665`*^9, 3.6162051693456283`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Matlab 2 demo", "Subsection",
 CellChangeTimes->{{3.616145692327976*^9, 3.6161457007194567`*^9}, {
  3.616147386779894*^9, 3.616147389067024*^9}, {3.616204532347344*^9, 
  3.6162045349223833`*^9}, {3.6162119664930468`*^9, 3.6162119665680475`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MatrixForm", "/@", "CubeMesh"}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.6162119857033415`*^9, 3.616211991890937*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"myMesh", "=", 
   RowBox[{"{", 
    RowBox[{
     TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {"0", "0", "0"},
         {"1", "0", "0"},
         {"0", "1", "0"},
         {"1", "1", "0"},
         {"0", "0", "1"},
         {"1", "0", "2"},
         {"0", "1", "2"},
         {"1", "1", "1"}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
      Function[BoxForm`e$, 
       MatrixForm[BoxForm`e$]]], ",", 
     TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {"1", "2", "6", "5"},
         {"3", "4", "2", "1"},
         {"4", "8", "6", "2"},
         {"5", "6", "8", "7"},
         {"7", "8", "4", "3"},
         {"7", "3", "1", "5"}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
      Function[BoxForm`e$, 
       MatrixForm[BoxForm`e$]]]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6162119993585515`*^9, 3.616212010608724*^9}}],

Cell[BoxData[
 RowBox[{"DooSabinDemo", "[", "myMesh", "]"}]], "Input",
 CellChangeTimes->{{3.616211968805582*^9, 3.6162119789857388`*^9}, {
  3.6162120155663004`*^9, 3.6162120311140394`*^9}}],

Cell[BoxData[
 RowBox[{
  FractionBox["189061858950460927", "251161615260877860"], "-", 
  RowBox[{"1", "/", "2"}]}]], "Input",
 CellChangeTimes->{{3.6162127369358807`*^9, 3.6162127394234185`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ctr", "=", 
   RowBox[{"NumericMesh", "[", "myMesh", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"msh", "=", 
   RowBox[{"DooSabinSubdivide", "[", "ctr", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"cen", "=", 
  RowBox[{
   RowBox[{"DooSabinMoment1", "[", "msh", "]"}], "/", 
   RowBox[{"DooSabinVolume", "[", "msh", "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ctr", "=", 
   RowBox[{"TranslateMesh", "[", 
    RowBox[{"ctr", ",", 
     RowBox[{"-", "cen"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"msh", "=", 
   RowBox[{"TranslateMesh", "[", 
    RowBox[{"msh", ",", 
     RowBox[{"-", "cen"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fin", "=", 
   RowBox[{"Nest", "[", 
    RowBox[{"DooSabinSubdivide", ",", "msh", ",", "3"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"cm2", "=", 
  RowBox[{"DooSabinMoment2", "[", "msh", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"vec", "=", 
  RowBox[{"EllipsoidEquivalent", "[", "cm2", "]"}]}]}], "Input",
 CellChangeTimes->{3.6162121214829273`*^9, 3.616212307531785*^9, 
  3.616212370237748*^9}],

Cell[BoxData[
 RowBox[{"ToString", "@", 
  RowBox[{"(", 
   RowBox[{"InputForm", "/@", 
    RowBox[{"Flatten", "[", "vec", "]"}]}], ")"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"PlotMesh", "/@", 
     RowBox[{"{", 
      RowBox[{"ctr", ",", "fin"}], "}"}]}], ",", 
    RowBox[{"Graphics3D", "[", 
     RowBox[{"{", 
      RowBox[{"Thick", ",", 
       RowBox[{"Table", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
            RowBox[{"2", 
             RowBox[{
             "vec", "\[LeftDoubleBracket]", "k", 
              "\[RightDoubleBracket]"}]}]}], "}"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "3"}], "}"}]}], "]"}]}], "}"}], "]"}]}], "}"}], 
  "]"}]], "Input"],

Cell[BoxData[{
 RowBox[{"MeshToMatlab", "[", 
  RowBox[{"\"\<D:\\\\matlab\\\\centroid\\\\cubepC.m\>\"", ",", "ctr"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"MeshToMatlab", "[", 
  RowBox[{"\"\<D:\\\\matlab\\\\centroid\\\\cubepF.m\>\"", ",", 
   RowBox[{"TriangulateMesh", "[", "fin", "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.6162122132403364`*^9, 3.6162122201804433`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Article 3 demo", "Subsection",
 CellChangeTimes->{{3.616145692327976*^9, 3.6161457007194567`*^9}, {
  3.616147386779894*^9, 3.616147389067024*^9}, {3.616204532347344*^9, 
  3.6162045349223833`*^9}, {3.6162119664930468`*^9, 3.6162119665680475`*^9}, {
  3.616215276413937*^9, 3.6162152797914886`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"msh", "=", 
   RowBox[{"TranslateMesh", "[", 
    RowBox[{"TripodMesh", ",", 
     RowBox[{"-", 
      RowBox[{"{", 
       RowBox[{"1", ",", "0", ",", "1"}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"PlotMesh", "[", "msh", "]"}]}], "Input",
 CellChangeTimes->{{3.6162152824515295`*^9, 3.6162153526676083`*^9}}],

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"m", "=", 
     RowBox[{"Nest", "[", 
      RowBox[{"DooSabinSubdivide", ",", "msh", ",", "1"}], "]"}]}], "}"}], 
   ",", 
   RowBox[{
    RowBox[{"DooSabinMoment1", "[", "m", "]"}], "/", 
    RowBox[{"DooSabinVolume", "[", "m", "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6162153607402325`*^9, 3.6162154070334435`*^9}}],

Cell[BoxData[
 RowBox[{"nrm", "=", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0.26148127937581384`", ",", "0.26148127937581384`", ",", 
     RowBox[{"-", "0.26148127937581384`"}]}], "}"}], "//", 
   "Norm"}]}]], "Input",
 CellChangeTimes->{{3.6162155091175113`*^9, 3.616215510462532*^9}, {
  3.616216625914665*^9, 3.616216626377172*^9}}],

Cell[BoxData[
 RowBox[{"InputForm", "[", "nrm", "]"}]], "Input",
 CellChangeTimes->{{3.616216628513205*^9, 3.6162166333782797`*^9}}],

Cell[BoxData["0.45289886110702154`"], "Input",
 CellChangeTimes->{{3.6162155879662223`*^9, 3.616215587993723*^9}, 
   3.6162166180645447`*^9}],

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"m", "=", 
     RowBox[{"Nest", "[", 
      RowBox[{"DooSabinSubdivide", ",", 
       RowBox[{"NumericMesh", "[", "msh", "]"}], ",", "2"}], "]"}]}], "}"}], 
   ",", 
   RowBox[{
    RowBox[{"DooSabinMoment1", "[", "m", "]"}], "/", 
    RowBox[{"DooSabinVolume", "[", "m", "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.616215506897477*^9, 3.616215507009979*^9}, {
  3.6162155632258425`*^9, 3.616215572553486*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"0.2614812793758137`", ",", "0.2614812793758137`", ",", 
    RowBox[{"-", "0.2614812793758137`"}]}], "}"}], "//", "Norm"}]], "Input",
 CellChangeTimes->{{3.616215581086117*^9, 3.6162155821361327`*^9}}],

Cell[BoxData[{
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"m", "=", 
     RowBox[{"Nest", "[", 
      RowBox[{"DooSabinSubdivide", ",", "msh", ",", "1"}], "]"}]}], "}"}], 
   ",", 
   RowBox[{"DooSabinVolume", "[", "m", "]"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"m", "=", 
     RowBox[{"Nest", "[", 
      RowBox[{"DooSabinSubdivide", ",", "msh", ",", "2"}], "]"}]}], "}"}], 
   ",", 
   RowBox[{"DooSabinVolume", "[", "m", "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.616215863030447*^9, 3.6162158687655354`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Cube Demo", "Subsection",
 CellChangeTimes->{{3.616241985065816*^9, 3.6162419895690737`*^9}}],

Cell[BoxData[
 RowBox[{"msh", "=", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"m", "=", "CubeMesh"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"2", 
        RowBox[{"m", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}],
        "-", "1"}], ",", 
      RowBox[{"m", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], 
     "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6162419014290323`*^9, 3.6162419230122666`*^9}, {
  3.616241976078302*^9, 3.616241982843689*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"myList", "=", 
   RowBox[{"NestList", "[", 
    RowBox[{"DooSabinSubdivide", ",", 
     RowBox[{"DooSabinSubdivide", "[", 
      RowBox[{"NumericMesh", "[", "msh", "]"}], "]"}], ",", "4"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.616243025197308*^9, 3.6162430298485737`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"Rasterize", "[", 
      RowBox[{
       RowBox[{"Show", "[", 
        RowBox[{
         RowBox[{"PlotMesh", "[", 
          RowBox[{
           RowBox[{"DualMesh", "[", "#", "]"}], ",", 
           RowBox[{"DooSabinVolumeVertex", "[", "#", "]"}]}], "]"}], ",", 
         RowBox[{"Axes", "\[Rule]", "False"}], ",", 
         RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
         RowBox[{"ImagePadding", "\[Rule]", "0"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "300"}]}], "]"}], ",", 
       RowBox[{"ImageResolution", "\[Rule]", "200"}]}], "]"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "100"}]}], "]"}], "&"}], "/@", 
  RowBox[{"myList", "\[LeftDoubleBracket]", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "5"}], "}"}], 
   "\[RightDoubleBracket]"}]}]], "Input",
 CellChangeTimes->{{3.616242069180627*^9, 3.616242077170084*^9}, 
   3.616242327164383*^9, {3.6162425973638372`*^9, 3.6162426114886456`*^9}, {
   3.6162427060760555`*^9, 3.616242819147523*^9}, {3.616242860201871*^9, 
   3.616242862787019*^9}, {3.6162430175668716`*^9, 3.6162430335067835`*^9}, {
   3.6162431515135326`*^9, 3.616243219740435*^9}}],

Cell[BoxData[
 RowBox[{"DooSabinDemo", "[", 
  RowBox[{"msh", ",", "2"}], "]"}]], "Input",
 CellChangeTimes->{{3.616243117131566*^9, 3.6162431249940157`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ctr", "=", 
   RowBox[{"NumericMesh", "[", 
    RowBox[{"With", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"m", "=", "CubeMesh"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"2", 
          RowBox[{
          "m", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], "-", 
         "1"}], ",", 
        RowBox[{"m", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}],
        "}"}]}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"msh", "=", 
   RowBox[{"DooSabinSubdivide", "[", "ctr", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"cen", "=", 
  RowBox[{
   RowBox[{"DooSabinMoment1", "[", "msh", "]"}], "/", 
   RowBox[{"DooSabinVolume", "[", "msh", "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ctr", "=", 
   RowBox[{"TranslateMesh", "[", 
    RowBox[{"ctr", ",", 
     RowBox[{"-", "cen"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"msh", "=", 
   RowBox[{"TranslateMesh", "[", 
    RowBox[{"msh", ",", 
     RowBox[{"-", "cen"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fin", "=", 
   RowBox[{"Nest", "[", 
    RowBox[{"DooSabinSubdivide", ",", "msh", ",", "3"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"cm2", "=", 
  RowBox[{"DooSabinMoment2", "[", "msh", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"vec", "=", 
  RowBox[{"EllipsoidEquivalent", "[", "cm2", "]"}]}]}], "Input",
 CellChangeTimes->{
  3.6162121214829273`*^9, 3.616212307531785*^9, 3.616212370237748*^9, {
   3.6162435662802563`*^9, 3.6162435849803257`*^9}}],

Cell[BoxData[
 RowBox[{"ToString", "@", 
  RowBox[{"(", 
   RowBox[{"InputForm", "/@", 
    RowBox[{"Flatten", "[", "vec", "]"}]}], ")"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"PlotMesh", "/@", 
     RowBox[{"{", 
      RowBox[{"ctr", ",", "fin"}], "}"}]}], ",", 
    RowBox[{"Graphics3D", "[", 
     RowBox[{"{", 
      RowBox[{"Thick", ",", 
       RowBox[{"Table", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
            RowBox[{"2", 
             RowBox[{
             "vec", "\[LeftDoubleBracket]", "k", 
              "\[RightDoubleBracket]"}]}]}], "}"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "3"}], "}"}]}], "]"}]}], "}"}], "]"}]}], "}"}], 
  "]"}]], "Input"],

Cell[BoxData[{
 RowBox[{"MeshToMatlab", "[", 
  RowBox[{"\"\<D:\\\\matlab\\\\centroid\\\\cubenrmC.m\>\"", ",", "ctr"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"MeshToMatlab", "[", 
  RowBox[{"\"\<D:\\\\matlab\\\\centroid\\\\cubenrmF.m\>\"", ",", 
   RowBox[{"TriangulateMesh", "[", "fin", "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.6162122132403364`*^9, 3.6162122201804433`*^9}, {
  3.6162436368182907`*^9, 3.6162436406575108`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Cube Centroid Color Facet Demo", "Subsection",
 CellChangeTimes->{{3.616241985065816*^9, 3.6162419895690737`*^9}, {
  3.616589396985197*^9, 3.6165894026015177`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"msh", "=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"m", "=", "CubeMesh"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"2", 
         RowBox[{
         "m", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], "-", 
        "1"}], ",", 
       RowBox[{"m", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], 
      "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"msh", "=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"m", "=", "CornerReducedMesh"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"2", 
         RowBox[{
         "m", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], "-", 
        "1"}], ",", 
       RowBox[{"m", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], 
      "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.6162419014290323`*^9, 3.6162419230122666`*^9}, {
  3.616241976078302*^9, 3.616241982843689*^9}, {3.618903322386733*^9, 
  3.618903342778899*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"myList", "=", 
   RowBox[{"NestList", "[", 
    RowBox[{"DooSabinSubdivide", ",", 
     RowBox[{"DooSabinSubdivide", "[", 
      RowBox[{"NumericMesh", "[", "msh", "]"}], "]"}], ",", "0"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.616243025197308*^9, 3.6162430298485737`*^9}, 
   3.6165894456739817`*^9, 3.616589555845283*^9, 3.6189031709030685`*^9, {
   3.6189032093002644`*^9, 3.618903226913272*^9}, 3.618903352214439*^9}],

Cell[CellGroupData[{

Cell["Volume", "Subsubsection",
 CellChangeTimes->{{3.61658982661977*^9, 3.6165898529812784`*^9}, {
  3.6189035303306265`*^9, 3.6189035327647657`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"VolNrm", "=", 
   RowBox[{"DooSabinVolumeVertex", "/@", "myList"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6189034927064743`*^9, 3.6189035166358433`*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"Rasterize", "[", 
    RowBox[{
     RowBox[{"Show", "[", 
      RowBox[{
       RowBox[{"PlotMesh", "[", 
        RowBox[{
         RowBox[{"DualMesh", "[", 
          RowBox[{
          "myList", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
          "]"}], ",", 
         RowBox[{
         "VolNrm", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
        "]"}], ",", 
       RowBox[{"Axes", "\[Rule]", "False"}], ",", 
       RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
       RowBox[{"ImagePadding", "\[Rule]", "0"}], ",", 
       RowBox[{"ImageSize", "\[Rule]", "300"}]}], "]"}], ",", 
     RowBox[{"ImageResolution", "\[Rule]", "200"}]}], "]"}], ",", 
   RowBox[{"ImageSize", "\[Rule]", "150"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6171675835339546`*^9, 3.617167623596246*^9}, {
  3.618903190531191*^9, 3.6189032017498326`*^9}, {3.618903543874401*^9, 
  3.618903600711652*^9}, {3.6189036317354264`*^9, 3.6189036320674458`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Centroid", "Subsubsection",
 CellChangeTimes->{{3.61658982661977*^9, 3.6165898529812784`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"CenNrm", "=", 
   RowBox[{"DooSabinMoment1Vertex", "/@", "myList"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6171675026193266`*^9, 3.6171675194822907`*^9}}],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"Rasterize", "[", 
      RowBox[{
       RowBox[{"Show", "[", 
        RowBox[{
         RowBox[{"PlotMesh", "[", 
          RowBox[{
           RowBox[{"DualMesh", "[", 
            RowBox[{
            "myList", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
            "]"}], ",", 
           RowBox[{
            RowBox[{
            "CenNrm", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
            "\[LeftDoubleBracket]", 
            RowBox[{"All", ",", "n"}], "\[RightDoubleBracket]"}]}], "]"}], 
         ",", 
         RowBox[{"Axes", "\[Rule]", "False"}], ",", 
         RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
         RowBox[{"ImagePadding", "\[Rule]", "0"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "300"}]}], "]"}], ",", 
       RowBox[{"ImageResolution", "\[Rule]", "200"}]}], "]"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "150"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", 
     RowBox[{"Length", "[", "CenNrm", "]"}], ",", 
     RowBox[{"Length", "[", "CenNrm", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "3"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6171675835339546`*^9, 3.617167623596246*^9}, {
   3.618903190531191*^9, 3.6189032017498326`*^9}, 3.6189036062549686`*^9, {
   3.618903643670109*^9, 3.6189036440451307`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"Rasterize", "[", 
      RowBox[{
       RowBox[{"Show", "[", 
        RowBox[{
         RowBox[{"PlotMesh", "[", 
          RowBox[{
           RowBox[{"DualMesh", "[", "#", "]"}], ",", 
           RowBox[{
            RowBox[{"DooSabinMoment1Vertex", "[", "#", "]"}], 
            "\[LeftDoubleBracket]", 
            RowBox[{"All", ",", "2"}], "\[RightDoubleBracket]"}]}], "]"}], 
         ",", 
         RowBox[{"Axes", "\[Rule]", "False"}], ",", 
         RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
         RowBox[{"ImagePadding", "\[Rule]", "0"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "300"}]}], "]"}], ",", 
       RowBox[{"ImageResolution", "\[Rule]", "200"}]}], "]"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "100"}]}], "]"}], "&"}], "/@", 
  "myList"}]], "Input",
 CellChangeTimes->{{3.616242069180627*^9, 3.616242077170084*^9}, 
   3.616242327164383*^9, {3.6162425973638372`*^9, 3.6162426114886456`*^9}, {
   3.6162427060760555`*^9, 3.616242819147523*^9}, {3.616242860201871*^9, 
   3.616242862787019*^9}, {3.6162430175668716`*^9, 3.6162430335067835`*^9}, {
   3.6162431515135326`*^9, 3.616243219740435*^9}, {3.6165894547695017`*^9, 
   3.616589464333049*^9}, {3.6165895279136853`*^9, 3.6165895447106457`*^9}, 
   3.616589697045359*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"Rasterize", "[", 
      RowBox[{
       RowBox[{"Show", "[", 
        RowBox[{
         RowBox[{"PlotMesh", "[", 
          RowBox[{
           RowBox[{"DualMesh", "[", "#", "]"}], ",", 
           RowBox[{
            RowBox[{"DooSabinMoment1Vertex", "[", "#", "]"}], 
            "\[LeftDoubleBracket]", 
            RowBox[{"All", ",", "3"}], "\[RightDoubleBracket]"}]}], "]"}], 
         ",", 
         RowBox[{"Axes", "\[Rule]", "False"}], ",", 
         RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
         RowBox[{"ImagePadding", "\[Rule]", "0"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "300"}]}], "]"}], ",", 
       RowBox[{"ImageResolution", "\[Rule]", "200"}]}], "]"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "100"}]}], "]"}], "&"}], "/@", 
  "myList"}]], "Input",
 CellChangeTimes->{{3.616242069180627*^9, 3.616242077170084*^9}, 
   3.616242327164383*^9, {3.6162425973638372`*^9, 3.6162426114886456`*^9}, {
   3.6162427060760555`*^9, 3.616242819147523*^9}, {3.616242860201871*^9, 
   3.616242862787019*^9}, {3.6162430175668716`*^9, 3.6162430335067835`*^9}, {
   3.6162431515135326`*^9, 3.616243219740435*^9}, {3.6165894547695017`*^9, 
   3.616589464333049*^9}, {3.6165895279136853`*^9, 3.6165895447106457`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Centroid Alt", "Subsubsection",
 CellChangeTimes->{{3.61658982661977*^9, 3.6165898529812784`*^9}, {
  3.6165933873992715`*^9, 3.6165933886303415`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"CenAlt", "=", 
   RowBox[{"DooSabinAltMoment1Vertex", "/@", "myList"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6165935060740595`*^9, 3.616593521858962*^9}}],

Cell[BoxData[
 RowBox[{"Table", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"Rasterize", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Show", "[", 
        RowBox[{
         RowBox[{"PlotMesh", "[", 
          RowBox[{
           RowBox[{"DualMesh", "[", 
            RowBox[{
            "myList", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
            "]"}], ",", 
           RowBox[{
            RowBox[{
            "CenAlt", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
            "\[LeftDoubleBracket]", 
            RowBox[{"All", ",", "n"}], "\[RightDoubleBracket]"}]}], "]"}], 
         ",", 
         RowBox[{"Axes", "\[Rule]", "False"}], ",", 
         RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
         RowBox[{"ImagePadding", "\[Rule]", "0"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "300"}], ",", 
         RowBox[{"ViewPoint", "\[Rule]", 
          RowBox[{"5", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "4"}], ",", "2", ",", "1"}], "}"}]}]}]}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"ImageResolution", "\[Rule]", "200"}]}], "]"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "100"}]}], "]"}], "\[IndentingNewLine]", 
   ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "5", ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "3"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.616242069180627*^9, 3.616242077170084*^9}, 
   3.616242327164383*^9, {3.6162425973638372`*^9, 3.6162426114886456`*^9}, {
   3.6162427060760555`*^9, 3.616242819147523*^9}, {3.616242860201871*^9, 
   3.616242862787019*^9}, {3.6162430175668716`*^9, 3.6162430335067835`*^9}, {
   3.6162431515135326`*^9, 3.616243219740435*^9}, {3.6165894547695017`*^9, 
   3.616589464333049*^9}, {3.6165895279136853`*^9, 3.6165895447106457`*^9}, {
   3.616589697045359*^9, 3.6165897154324107`*^9}, {3.6165933915335083`*^9, 
   3.6165933950947113`*^9}, {3.616593441437362*^9, 3.616593472555142*^9}, {
   3.6165935297914157`*^9, 3.6165936054767447`*^9}, {3.6165936357914786`*^9, 
   3.6165936496552715`*^9}, {3.617167646728569*^9, 3.617167646962582*^9}, {
   3.617167928151665*^9, 3.6171680454683757`*^9}, {3.617168245105794*^9, 
   3.6171682484189835`*^9}}],

Cell[BoxData[
 RowBox[{"Table", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"Rasterize", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Show", "[", 
        RowBox[{
         RowBox[{"PlotMesh", "[", 
          RowBox[{
           RowBox[{"DualMesh", "[", 
            RowBox[{
            "myList", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
            "]"}], ",", 
           RowBox[{
            RowBox[{
            "CenAlt", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
            "\[LeftDoubleBracket]", 
            RowBox[{"All", ",", "n"}], "\[RightDoubleBracket]"}]}], "]"}], 
         ",", 
         RowBox[{"Axes", "\[Rule]", "False"}], ",", 
         RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
         RowBox[{"ImagePadding", "\[Rule]", "0"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "500"}], ",", 
         RowBox[{"ViewPoint", "\[Rule]", 
          RowBox[{"5", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "4"}], ",", "2", ",", "1"}], "}"}]}]}]}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"ImageResolution", "\[Rule]", "250"}]}], "]"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "300"}]}], "]"}], "\[IndentingNewLine]", 
   ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "5", ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "3"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.617168285913128*^9, 3.61716832633344*^9}}],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"Rasterize", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Show", "[", 
        RowBox[{
         RowBox[{"PlotMesh", "[", 
          RowBox[{
           RowBox[{"DualMesh", "[", 
            RowBox[{
            "myList", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
            "]"}], ",", 
           RowBox[{
            RowBox[{
            "CenAlt", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
            "\[LeftDoubleBracket]", 
            RowBox[{"All", ",", "n"}], "\[RightDoubleBracket]"}]}], "]"}], 
         ",", 
         RowBox[{"Axes", "\[Rule]", "False"}], ",", 
         RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
         RowBox[{"ImagePadding", "\[Rule]", "0"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "300"}]}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"ImageResolution", "\[Rule]", "200"}]}], "]"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "100"}]}], "]"}], "\[IndentingNewLine]", 
   ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "4", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "3"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.616242069180627*^9, 3.616242077170084*^9}, 
   3.616242327164383*^9, {3.6162425973638372`*^9, 3.6162426114886456`*^9}, {
   3.6162427060760555`*^9, 3.616242819147523*^9}, {3.616242860201871*^9, 
   3.616242862787019*^9}, {3.6162430175668716`*^9, 3.6162430335067835`*^9}, {
   3.6162431515135326`*^9, 3.616243219740435*^9}, {3.6165894547695017`*^9, 
   3.616589464333049*^9}, {3.6165895279136853`*^9, 3.6165895447106457`*^9}, {
   3.616589697045359*^9, 3.6165897154324107`*^9}, {3.6165933915335083`*^9, 
   3.6165933950947113`*^9}, {3.616593441437362*^9, 3.616593472555142*^9}, {
   3.6165935297914157`*^9, 3.6165936054767447`*^9}, {3.6165936357914786`*^9, 
   3.6165936496552715`*^9}, {3.617167646728569*^9, 3.617167646962582*^9}, {
   3.617167928151665*^9, 3.6171679360481167`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Inertia", "Subsubsection",
 CellChangeTimes->{{3.61658982661977*^9, 3.6165898302699795`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"IneVert", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"DooSabinMoment2Vertex", "[", "#", "]"}], "&"}], "/@", 
    "myList"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6165898984238772`*^9, 3.6165899115686293`*^9}, {
  3.6165900658674545`*^9, 3.616590068655614*^9}, {3.616590113152159*^9, 
  3.6165901133271694`*^9}, {3.6165901905215845`*^9, 3.616590190760598*^9}, {
  3.616594063971969*^9, 3.616594079340848*^9}, {3.6189034428636236`*^9, 
  3.6189034461498117`*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{"IneVert", ">>", "\"\<DSIneVert.mx\>\""}], ";"}], "*)"}]], "Input",
 CellChangeTimes->{{3.6165904898687057`*^9, 3.616590501020344*^9}}],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"Rasterize", "[", 
      RowBox[{
       RowBox[{"Show", "[", 
        RowBox[{
         RowBox[{"PlotMesh", "[", 
          RowBox[{
           RowBox[{"DualMesh", "[", 
            RowBox[{
            "myList", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
            "]"}], ",", 
           RowBox[{
            RowBox[{
            "IneVert", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}],
             "\[LeftDoubleBracket]", 
            RowBox[{"All", ",", "j"}], "\[RightDoubleBracket]"}]}], "]"}], 
         ",", 
         RowBox[{"Axes", "\[Rule]", "False"}], ",", 
         RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
         RowBox[{"ImagePadding", "\[Rule]", "0"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "300"}]}], "]"}], ",", 
       RowBox[{"ImageResolution", "\[Rule]", "200"}]}], "]"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "150"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", "6"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.616242069180627*^9, 3.616242077170084*^9}, 
   3.616242327164383*^9, {3.6162425973638372`*^9, 3.6162426114886456`*^9}, {
   3.6162427060760555`*^9, 3.616242819147523*^9}, {3.616242860201871*^9, 
   3.616242862787019*^9}, {3.6162430175668716`*^9, 3.6162430335067835`*^9}, {
   3.6162431515135326`*^9, 3.616243219740435*^9}, {3.6165894547695017`*^9, 
   3.616589464333049*^9}, {3.6165895279136853`*^9, 3.6165895447106457`*^9}, {
   3.6165898172662354`*^9, 3.616589822050509*^9}, {3.6165898956137166`*^9, 
   3.6165899701349792`*^9}, 3.6165900841865025`*^9, {3.616590117350399*^9, 
   3.61659015355947*^9}, 3.6165904649842825`*^9, 3.618903467858053*^9, 
   3.6189036122763133`*^9, {3.6189036535076714`*^9, 3.618903653725684*^9}}],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"PlotMesh", "[", 
      RowBox[{
       RowBox[{"DualMesh", "[", 
        RowBox[{
        "myList", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
        "]"}], ",", 
       RowBox[{
        RowBox[{
        "IneVert", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
        "\[LeftDoubleBracket]", 
        RowBox[{"All", ",", "j"}], "\[RightDoubleBracket]"}]}], "]"}], ",", 
     RowBox[{"Axes", "\[Rule]", "False"}], ",", 
     RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
     RowBox[{"ImagePadding", "\[Rule]", "0"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "100"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", "6"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.616242069180627*^9, 3.616242077170084*^9}, 
   3.616242327164383*^9, {3.6162425973638372`*^9, 3.6162426114886456`*^9}, {
   3.6162427060760555`*^9, 3.616242819147523*^9}, {3.616242860201871*^9, 
   3.616242862787019*^9}, {3.6162430175668716`*^9, 3.6162430335067835`*^9}, {
   3.6162431515135326`*^9, 3.616243219740435*^9}, {3.6165894547695017`*^9, 
   3.616589464333049*^9}, {3.6165895279136853`*^9, 3.6165895447106457`*^9}, {
   3.6165898172662354`*^9, 3.616589822050509*^9}, {3.6165898956137166`*^9, 
   3.6165899701349792`*^9}, 3.6165900841865025`*^9, {3.616590117350399*^9, 
   3.61659015355947*^9}, 3.6165904649842825`*^9, {3.6165905418236775`*^9, 
   3.616590551920255*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Inertia", "Subsubsection",
 CellChangeTimes->{{3.61658982661977*^9, 3.6165898302699795`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"IneVert2", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"DooSabinAltMoment2Vertex", "[", "#", "]"}], "&"}], "/@", 
    RowBox[{"myList", "\[LeftDoubleBracket]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "}"}], 
     "\[RightDoubleBracket]"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6165898984238772`*^9, 3.6165899115686293`*^9}, {
  3.6165900658674545`*^9, 3.616590068655614*^9}, {3.616590113152159*^9, 
  3.6165901133271694`*^9}, {3.6165901905215845`*^9, 3.616590190760598*^9}, {
  3.616594063971969*^9, 3.6165940692772727`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"IneVert2", ">>", "\"\<DSIneVert2.mx\>\""}], ";"}]], "Input",
 CellChangeTimes->{{3.6165904898687057`*^9, 3.616590501020344*^9}, {
  3.6165962545722647`*^9, 3.6165962584934883`*^9}}],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"Rasterize", "[", 
      RowBox[{
       RowBox[{"Show", "[", 
        RowBox[{
         RowBox[{"PlotMesh", "[", 
          RowBox[{
           RowBox[{"DualMesh", "[", 
            RowBox[{
            "myList", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
            "]"}], ",", 
           RowBox[{
            RowBox[{
            "IneVert2", "\[LeftDoubleBracket]", "k", 
             "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", 
            RowBox[{"All", ",", "j"}], "\[RightDoubleBracket]"}]}], "]"}], 
         ",", 
         RowBox[{"Axes", "\[Rule]", "False"}], ",", 
         RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
         RowBox[{"ImagePadding", "\[Rule]", "0"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "300"}]}], "]"}], ",", 
       RowBox[{"ImageResolution", "\[Rule]", "200"}]}], "]"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "100"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", "6"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.616242069180627*^9, 3.616242077170084*^9}, 
   3.616242327164383*^9, {3.6162425973638372`*^9, 3.6162426114886456`*^9}, {
   3.6162427060760555`*^9, 3.616242819147523*^9}, {3.616242860201871*^9, 
   3.616242862787019*^9}, {3.6162430175668716`*^9, 3.6162430335067835`*^9}, {
   3.6162431515135326`*^9, 3.616243219740435*^9}, {3.6165894547695017`*^9, 
   3.616589464333049*^9}, {3.6165895279136853`*^9, 3.6165895447106457`*^9}, {
   3.6165898172662354`*^9, 3.616589822050509*^9}, {3.6165898956137166`*^9, 
   3.6165899701349792`*^9}, 3.6165900841865025`*^9, {3.616590117350399*^9, 
   3.61659015355947*^9}, 3.6165904649842825`*^9, 3.6165940888383913`*^9}],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"PlotMesh", "[", 
      RowBox[{
       RowBox[{"DualMesh", "[", 
        RowBox[{
        "myList", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
        "]"}], ",", 
       RowBox[{
        RowBox[{
        "IneVert", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
        "\[LeftDoubleBracket]", 
        RowBox[{"All", ",", "j"}], "\[RightDoubleBracket]"}]}], "]"}], ",", 
     RowBox[{"Axes", "\[Rule]", "False"}], ",", 
     RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
     RowBox[{"ImagePadding", "\[Rule]", "0"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "100"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", "6"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.616242069180627*^9, 3.616242077170084*^9}, 
   3.616242327164383*^9, {3.6162425973638372`*^9, 3.6162426114886456`*^9}, {
   3.6162427060760555`*^9, 3.616242819147523*^9}, {3.616242860201871*^9, 
   3.616242862787019*^9}, {3.6162430175668716`*^9, 3.6162430335067835`*^9}, {
   3.6162431515135326`*^9, 3.616243219740435*^9}, {3.6165894547695017`*^9, 
   3.616589464333049*^9}, {3.6165895279136853`*^9, 3.6165895447106457`*^9}, {
   3.6165898172662354`*^9, 3.616589822050509*^9}, {3.6165898956137166`*^9, 
   3.6165899701349792`*^9}, 3.6165900841865025`*^9, {3.616590117350399*^9, 
   3.61659015355947*^9}, 3.6165904649842825`*^9, {3.6165905418236775`*^9, 
   3.616590551920255*^9}}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Basis function plot", "Subsection",
 CellChangeTimes->{{3.616241985065816*^9, 3.6162419895690737`*^9}, {
  3.616367272659546*^9, 3.6163672747770786`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"bas2", "[", "x_", "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      FractionBox["1", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "x"}], ")"}], "2"]}], ",", 
     RowBox[{
      FractionBox["1", "2"], "+", "x", "-", 
      SuperscriptBox["x", "2"]}], ",", 
     FractionBox[
      SuperscriptBox["x", "2"], "2"]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Bas2", "[", 
    RowBox[{"s_", ",", "t_"}], "]"}], "=", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"bas2", "[", "s", "]"}], "\[LeftDoubleBracket]", "k1", 
        "\[RightDoubleBracket]"}], 
       RowBox[{
        RowBox[{"bas2", "[", "t", "]"}], "\[LeftDoubleBracket]", "k2", 
        "\[RightDoubleBracket]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"k2", ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"k1", ",", "3"}], "}"}]}], "]"}], "//", "Flatten"}]}], 
  ";"}]}], "Input"],

Cell[BoxData[
 RowBox[{"Rationalize", "[", 
  RowBox[{
   RowBox[{"Bas2", "[", 
    RowBox[{"0.", ",", "0.5"}], "]"}], "\[LeftDoubleBracket]", "4", 
   "\[RightDoubleBracket]"}], "]"}]], "Input",
 CellChangeTimes->{{3.6163666712793074`*^9, 3.6163666719743185`*^9}, {
   3.616366725982648*^9, 3.6163667442879295`*^9}, {3.616366787886099*^9, 
   3.616366792846175*^9}, 3.6163672443486104`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"mx", "=", 
   RowBox[{"{", 
    RowBox[{
     FractionBox["1", "4"], ",", 
     FractionBox["3", "8"], ",", 
     FractionBox["1", "4"], ",", 
     FractionBox["3", "8"], ",", 
     FractionBox["9", "16"], ",", 
     FractionBox["3", "8"], ",", 
     FractionBox["1", "4"], ",", 
     FractionBox["3", "8"], ",", 
     FractionBox["1", "4"]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.616366711479925*^9, 3.616366714174967*^9}, {
   3.616366747040471*^9, 3.6163668061588793`*^9}, 3.616367248478674*^9}],

Cell[BoxData[
 RowBox[{"Table", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"Rasterize", "[", 
      RowBox[{
       RowBox[{"Plot3D", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Bas2", "[", 
           RowBox[{"s", ",", "t"}], "]"}], "\[LeftDoubleBracket]", "k", 
          "\[RightDoubleBracket]"}], ",", 
         RowBox[{"{", 
          RowBox[{"s", ",", "0", ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", "0", ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"PlotRange", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "1"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "1"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{"9", "/", "16"}]}], "}"}]}], "}"}]}], ",", 
           RowBox[{"Ticks", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "1"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "1"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{
                "mx", "\[LeftDoubleBracket]", "k", 
                 "\[RightDoubleBracket]"}]}], "}"}]}], "}"}]}], ",", 
           RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
           RowBox[{"ImageSize", "\[Rule]", "120"}], ",", 
           RowBox[{"AxesLabel", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"\"\<s\>\"", ",", "\"\<t\>\"", ",", "\"\<\>\""}], 
             "}"}]}]}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"ImageResolution", "\[Rule]", "150"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"ImageSize", "\[Rule]", "110"}], "}"}]}], "]"}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "5", ",", "9"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6163663682871537`*^9, 3.616366410252798*^9}, {
   3.616366477741335*^9, 3.6163666019157424`*^9}, {3.616366661066651*^9, 
   3.6163667183700314`*^9}, {3.6163667552430973`*^9, 
   3.6163667665882716`*^9}, {3.616366811706465*^9, 3.616366937005889*^9}, {
   3.6163670131570587`*^9, 3.616367049810122*^9}, 3.616367123858759*^9}],

Cell[BoxData[
 RowBox[{"Table", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"Rasterize", "[", 
      RowBox[{
       RowBox[{"Plot3D", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Bas2", "[", 
           RowBox[{"s", ",", "t"}], "]"}], "\[LeftDoubleBracket]", "k", 
          "\[RightDoubleBracket]"}], ",", 
         RowBox[{"{", 
          RowBox[{"s", ",", "0", ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", "0", ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"PlotRange", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "1"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "1"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{"9", "/", "16"}]}], "}"}]}], "}"}]}], ",", 
           RowBox[{"Ticks", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "1"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "1"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{
                "mx", "\[LeftDoubleBracket]", "k", 
                 "\[RightDoubleBracket]"}]}], "}"}]}], "}"}]}], ",", 
           RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
           RowBox[{"ImageSize", "\[Rule]", "120"}], ",", 
           RowBox[{"AxesLabel", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"\"\<s\>\"", ",", "\"\<t\>\"", ",", "\"\<\>\""}], 
             "}"}]}]}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"ImageResolution", "\[Rule]", "150"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"ImageSize", "\[Rule]", "110"}], "}"}]}], "]"}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "5"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6163663682871537`*^9, 3.616366410252798*^9}, {
   3.616366477741335*^9, 3.6163666019157424`*^9}, {3.616366661066651*^9, 
   3.6163667183700314`*^9}, {3.6163667552430973`*^9, 
   3.6163667665882716`*^9}, {3.616366811706465*^9, 3.616366937005889*^9}, {
   3.6163670131570587`*^9, 3.616367049810122*^9}, 3.616367123858759*^9, {
   3.6163675054556217`*^9, 3.6163675056381245`*^9}}],

Cell[BoxData[
 RowBox[{"Table", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"Plot3D", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Bas2", "[", 
         RowBox[{"s", ",", "t"}], "]"}], "\[LeftDoubleBracket]", "k", 
        "\[RightDoubleBracket]"}], ",", 
       RowBox[{"{", 
        RowBox[{"s", ",", "0", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "1"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "1"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", 
              RowBox[{"9", "/", "16"}]}], "}"}]}], "}"}]}], ",", 
         RowBox[{"Ticks", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "1"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "1"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", 
              RowBox[{
              "mx", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], 
             "}"}]}], "}"}]}], ",", 
         RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "110"}], ",", 
         RowBox[{"AxesLabel", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"\"\<s\>\"", ",", "\"\<t\>\"", ",", "\"\<\>\""}], 
           "}"}]}]}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"ImageSize", "\[Rule]", "110"}], "}"}]}], "]"}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "5"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6163663682871537`*^9, 3.616366410252798*^9}, {
   3.616366477741335*^9, 3.6163666019157424`*^9}, {3.616366661066651*^9, 
   3.6163667183700314`*^9}, {3.6163667552430973`*^9, 
   3.6163667665882716`*^9}, {3.616366811706465*^9, 3.616366937005889*^9}, {
   3.6163670131570587`*^9, 3.616367049810122*^9}, 3.616367123858759*^9, {
   3.6163675054556217`*^9, 3.6163675056381245`*^9}, {3.6163684690249233`*^9, 
   3.6163684880552154`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Example values for article", "Subsection",
 CellChangeTimes->{{3.616066517892889*^9, 3.616066525368004*^9}, {
  3.6161477964933276`*^9, 3.6161477997765155`*^9}, {3.6161484368929567`*^9, 
  3.616148442676287*^9}, {3.6162101405315*^9, 3.616210143211541*^9}, {
  3.616211894519441*^9, 3.616211895446955*^9}, {3.6162415825907955`*^9, 
  3.6162415846359124`*^9}, {3.6162832730846567`*^9, 3.616283281854791*^9}}],

Cell["\<\
LoopCen1aForm = << (NotebookDirectory[] <> \
\"_forms\\\\LoopMoment1altc11vec.mx\");
LoopCen1bForm = << (NotebookDirectory[] <> \
\"_forms\\\\LoopMoment1altc12vec.mx\");
LoopCen1cForm = << (NotebookDirectory[] <> \
\"_forms\\\\LoopMoment1altc13vec.mx\");
LoopCen2Form = << (NotebookDirectory[] <> \"_forms\\\\LoopMoment1altc21vec.mx\
\");
LoopCen3aForm = << (NotebookDirectory[] <> \
\"_forms\\\\LoopMoment1altc31vec.mx\");
LoopCen3bForm = << (NotebookDirectory[] <> \
\"_forms\\\\LoopMoment1altc32vec.mx\");
LoopCen4aForm = << (NotebookDirectory[] <> \
\"_forms\\\\LoopMoment1altc41vec.mx\");
LoopCen4bForm = << (NotebookDirectory[] <> \
\"_forms\\\\LoopMoment1altc42vec.mx\");\
\>", "Text",
 CellChangeTimes->{3.6162834602400312`*^9}],

Cell[BoxData[
 RowBox[{"LoopCen1aForm", "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.616283463257578*^9, 3.616283468772662*^9}}],

Cell[BoxData[
 RowBox[{"LoopCen3aForm", "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.616283477255293*^9, 3.6162834787978163`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"GetAt", "[", 
   RowBox[{"Y_", ",", "prm_"}], "]"}], ":=", 
  RowBox[{"Y", "\[LeftDoubleBracket]", 
   RowBox[{
    RowBox[{"prm", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
    ",", 
    RowBox[{"prm", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
    ",", 
    RowBox[{"prm", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
    ",", 
    RowBox[{"prm", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
   "\[RightDoubleBracket]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"GetAt2", "[", 
   RowBox[{"Y_", ",", "prm_"}], "]"}], ":=", 
  RowBox[{"Y", "\[LeftDoubleBracket]", 
   RowBox[{
    RowBox[{"prm", "\[LeftDoubleBracket]", "5", "\[RightDoubleBracket]"}], 
    ",", 
    RowBox[{"prm", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
    ",", 
    RowBox[{"prm", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
    ",", 
    RowBox[{"prm", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
    ",", 
    RowBox[{"prm", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
   "\[RightDoubleBracket]"}]}]}], "Input",
 CellChangeTimes->{{3.616283513595851*^9, 3.6162835492463984`*^9}, {
  3.6163789937714853`*^9, 3.6163790018849497`*^9}}],

Cell[BoxData[
 RowBox[{"Dimensions", "/@", "DooSabinListMoment1"}]], "Input",
 CellChangeTimes->{{3.6163785935085917`*^9, 3.616378596146743*^9}}],

Cell[CellGroupData[{

Cell["d=1 \[Bullet] 4", "Subsubsection",
 CellChangeTimes->{{3.6162837699107876`*^9, 3.616283773410842*^9}, {
  3.616378739696954*^9, 3.6163787460733185`*^9}, {3.6163789711511917`*^9, 
  3.6163789729672956`*^9}}],

Cell[BoxData[
 RowBox[{"GetAt", "[", 
  RowBox[{
   RowBox[{
   "DooSabinListMoment1", "\[LeftDoubleBracket]", "2", 
    "\[RightDoubleBracket]"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "5", ",", "3", ",", "6"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.61628365874058*^9, 3.6162836807144175`*^9}, {
  3.6163788611569004`*^9, 3.616378891417631*^9}}],

Cell[BoxData[
 RowBox[{"GetAt", "[", 
  RowBox[{
   RowBox[{
   "DooSabinListMoment1", "\[LeftDoubleBracket]", "2", 
    "\[RightDoubleBracket]"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "7", ",", "2", ",", "8"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.616283481975365*^9, 3.616283483002881*^9}, {
  3.616283551611435*^9, 3.616283600534686*^9}, {3.6163784209583797`*^9, 
  3.616378423230915*^9}, {3.616378602055081*^9, 3.616378605942303*^9}, {
  3.616378748164438*^9, 3.616378753293731*^9}, {3.6163789664099207`*^9, 
  3.6163789700271273`*^9}}],

Cell[BoxData[
 RowBox[{"GetAt", "[", 
  RowBox[{
   RowBox[{
   "DooSabinListMoment1", "\[LeftDoubleBracket]", "2", 
    "\[RightDoubleBracket]"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "9", ",", "1", ",", "7"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6162836214550076`*^9, 3.616283633295189*^9}, {
  3.6163786722860975`*^9, 3.616378692516255*^9}, {3.6163787498055315`*^9, 
  3.616378767772559*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["d=2 \[Bullet] 4", "Subsubsection",
 CellChangeTimes->{{3.6162837699107876`*^9, 3.616283773410842*^9}, {
  3.616378739696954*^9, 3.6163787460733185`*^9}, {3.6163789711511917`*^9, 
  3.6163789811277623`*^9}}],

Cell[BoxData[
 RowBox[{"GetAt2", "[", 
  RowBox[{
   RowBox[{
   "DooSabinListMoment2", "\[LeftDoubleBracket]", "2", 
    "\[RightDoubleBracket]"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "4", ",", "9", ",", "3", ",", "7"}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.6162836214550076`*^9, 3.616283633295189*^9}, {
  3.6163786722860975`*^9, 3.616378692516255*^9}, {3.6163787498055315`*^9, 
  3.616378767772559*^9}, {3.616378984219939*^9, 3.6163790097473993`*^9}, {
  3.6163791392098045`*^9, 3.6163791484423323`*^9}}],

Cell[BoxData[
 RowBox[{"GetAt2", "[", 
  RowBox[{
   RowBox[{
   "DooSabinListMoment2", "\[LeftDoubleBracket]", "2", 
    "\[RightDoubleBracket]"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "8", ",", "7", ",", "9"}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.616283481975365*^9, 3.616283483002881*^9}, {
  3.616283551611435*^9, 3.616283600534686*^9}, {3.6163784209583797`*^9, 
  3.616378423230915*^9}, {3.616378602055081*^9, 3.616378605942303*^9}, {
  3.616378748164438*^9, 3.616378753293731*^9}, {3.6163789664099207`*^9, 
  3.6163790311346226`*^9}}],

Cell[BoxData[
 RowBox[{"GetAt2", "[", 
  RowBox[{
   RowBox[{
   "DooSabinListMoment2", "\[LeftDoubleBracket]", "2", 
    "\[RightDoubleBracket]"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "6", ",", "7", ",", "2", ",", "5"}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.61628365874058*^9, 3.6162836807144175`*^9}, {
  3.6163788611569004`*^9, 3.616378891417631*^9}, {3.616378986028043*^9, 
  3.616379010907466*^9}, {3.6163791672414074`*^9, 3.616379181730236*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["d=1 \[Bullet] 3", "Subsubsection",
 CellChangeTimes->{{3.6162837699107876`*^9, 3.616283773410842*^9}, 
   3.616378739696954*^9, {3.6163793315508056`*^9, 3.6163793327248726`*^9}}],

Cell[BoxData[
 RowBox[{"GetAt", "[", 
  RowBox[{
   RowBox[{
   "DooSabinListMoment1", "\[LeftDoubleBracket]", "1", 
    "\[RightDoubleBracket]"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "7", ",", "2", ",", "8"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.616283481975365*^9, 3.616283483002881*^9}, {
  3.616283551611435*^9, 3.616283600534686*^9}, {3.6163784209583797`*^9, 
  3.616378423230915*^9}, {3.616378602055081*^9, 3.616378605942303*^9}}],

Cell[BoxData[
 RowBox[{"GetAt", "[", 
  RowBox[{
   RowBox[{
   "DooSabinListMoment1", "\[LeftDoubleBracket]", "1", 
    "\[RightDoubleBracket]"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "1", ",", "3"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6163798903971157`*^9, 3.6163799067548666`*^9}}],

Cell[BoxData[
 RowBox[{"GetAt", "[", 
  RowBox[{
   RowBox[{
   "DooSabinListMoment1", "\[LeftDoubleBracket]", "1", 
    "\[RightDoubleBracket]"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "5", ",", "4", ",", "6"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6162836214550076`*^9, 3.616283633295189*^9}, {
  3.6163786722860975`*^9, 3.616378692516255*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["d=1 \[Bullet] 5", "Subsubsection",
 CellChangeTimes->{{3.6162837699107876`*^9, 3.616283773410842*^9}, 
   3.616378739696954*^9, {3.6163793315508056`*^9, 3.6163793327248726`*^9}, 
   3.6187916209733057`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"GetAt", "[", 
   RowBox[{
    RowBox[{
    "DooSabinListMoment1", "\[LeftDoubleBracket]", "3", 
     "\[RightDoubleBracket]"}], ",", 
    RowBox[{"{", 
     RowBox[{"2", ",", "4", ",", "1", ",", "10"}], "}"}]}], "]"}], 
  RowBox[{"10", "^", "8"}]}]], "Input",
 CellChangeTimes->{{3.6163798903971157`*^9, 3.6163799067548666`*^9}, {
  3.618791626876643*^9, 3.6187916395553684`*^9}, {3.618847232453968*^9, 
  3.618847234068061*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"GetAt", "[", 
   RowBox[{
    RowBox[{
    "DooSabinListMoment1", "\[LeftDoubleBracket]", "3", 
     "\[RightDoubleBracket]"}], ",", 
    RowBox[{"{", 
     RowBox[{"3", ",", "6", ",", "5", ",", "8"}], "}"}]}], "]"}], 
  RowBox[{"10", "^", "4"}]}]], "Input",
 CellChangeTimes->{{3.6162836214550076`*^9, 3.616283633295189*^9}, {
   3.6163786722860975`*^9, 3.616378692516255*^9}, 3.6187916288177547`*^9, {
   3.618791685652005*^9, 3.6187917123285313`*^9}, {3.6188472394163666`*^9, 
   3.6188472444236526`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"GetAt", "[", 
   RowBox[{
    RowBox[{
    "DooSabinListMoment1", "\[LeftDoubleBracket]", "3", 
     "\[RightDoubleBracket]"}], ",", 
    RowBox[{"{", 
     RowBox[{"3", ",", "8", ",", "5", ",", "9"}], "}"}]}], "]"}], 
  RowBox[{"10", "^", "5"}]}]], "Input",
 CellChangeTimes->{{3.616283481975365*^9, 3.616283483002881*^9}, {
  3.616283551611435*^9, 3.616283600534686*^9}, {3.6163784209583797`*^9, 
  3.616378423230915*^9}, {3.616378602055081*^9, 3.616378605942303*^9}, {
  3.618791624452505*^9, 3.6187916620486555`*^9}, {3.6188472495259447`*^9, 
  3.6188472520580893`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["d=1 \[Bullet] 6", "Subsubsection",
 CellChangeTimes->{{3.6162837699107876`*^9, 3.616283773410842*^9}, 
   3.616378739696954*^9, {3.6163793315508056`*^9, 3.6163793327248726`*^9}, 
   3.616380091735208*^9}],

Cell[BoxData[
 RowBox[{"GetAt", "[", 
  RowBox[{
   RowBox[{
   "DooSabinListMoment1", "\[LeftDoubleBracket]", "4", 
    "\[RightDoubleBracket]"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "4", ",", "1", ",", "11"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.616283481975365*^9, 3.616283483002881*^9}, {
  3.616283551611435*^9, 3.616283600534686*^9}, {3.6163784209583797`*^9, 
  3.616378423230915*^9}, {3.616378602055081*^9, 3.616378605942303*^9}, {
  3.6163800973227935`*^9, 3.616380116416587*^9}}],

Cell[BoxData[
 RowBox[{"GetAt", "[", 
  RowBox[{
   RowBox[{
   "DooSabinListMoment1", "\[LeftDoubleBracket]", "4", 
    "\[RightDoubleBracket]"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "3", ",", "2", ",", "10"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6163798903971157`*^9, 3.6163799067548666`*^9}, {
  3.61638014393951*^9, 3.616380169474902*^9}, {3.616380250633649*^9, 
  3.6163802534186916`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["d=2 \[Bullet] 3", "Subsubsection",
 CellChangeTimes->{{3.6162837699107876`*^9, 3.616283773410842*^9}, 
   3.616378739696954*^9, {3.6163793315508056`*^9, 3.6163793327248726`*^9}, 
   3.6163803124770985`*^9}],

Cell[BoxData[
 RowBox[{"GetAt2", "[", 
  RowBox[{
   RowBox[{
   "DooSabinListMoment2", "\[LeftDoubleBracket]", "1", 
    "\[RightDoubleBracket]"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2", ",", "4", ",", "1", ",", "8"}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.616283481975365*^9, 3.616283483002881*^9}, {
  3.616283551611435*^9, 3.616283600534686*^9}, {3.6163784209583797`*^9, 
  3.616378423230915*^9}, {3.616378602055081*^9, 3.616378605942303*^9}, {
  3.6163803138396196`*^9, 3.616380337832488*^9}}],

Cell[BoxData[
 RowBox[{"GetAt2", "[", 
  RowBox[{
   RowBox[{
   "DooSabinListMoment2", "\[LeftDoubleBracket]", "1", 
    "\[RightDoubleBracket]"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "5", ",", "7", ",", "3", ",", "7"}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.616283481975365*^9, 3.616283483002881*^9}, {
  3.616283551611435*^9, 3.616283600534686*^9}, {3.6163784209583797`*^9, 
  3.616378423230915*^9}, {3.616378602055081*^9, 3.616378605942303*^9}, {
  3.6163803138396196`*^9, 3.616380337832488*^9}, {3.6163803708479953`*^9, 
  3.616380394750862*^9}}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Print", "Subsection",
 CellChangeTimes->{{3.616066517892889*^9, 3.616066525368004*^9}, {
  3.6161477964933276`*^9, 3.6161477997765155`*^9}, {3.6161484368929567`*^9, 
  3.616148442676287*^9}, {3.6162101405315*^9, 3.616210143211541*^9}, {
  3.616211894519441*^9, 3.616211895446955*^9}, {3.6162415825907955`*^9, 
  3.6162415846359124`*^9}, {3.6162832730846567`*^9, 3.616283281854791*^9}, {
  3.6165966026331725`*^9, 3.616596603096199*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"ctr", "=", 
   RowBox[{"<<", "\"\<print11.mx\>\""}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6165966381872063`*^9, 3.6165966657887845`*^9}, {
  3.616596698428652*^9, 3.6165966988006725`*^9}}],

Cell[BoxData[
 RowBox[{"DooSabinDemo", "[", 
  RowBox[{"ctr", ",", "1"}], "]"}]], "Input",
 CellChangeTimes->{{3.616596670881076*^9, 3.6165966759703665`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ctr", "=", 
   RowBox[{"<<", "\"\<print11.mx\>\""}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fin", "=", 
   RowBox[{"Nest", "[", 
    RowBox[{"DooSabinSubdivide", ",", "ctr", ",", "2"}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.6162046582842784`*^9, 3.616204723430279*^9}, {
   3.616204786973755*^9, 3.6162048053815374`*^9}, {3.616205042851185*^9, 
   3.6162050595439415`*^9}, {3.6162052925950212`*^9, 
   3.6162052934350343`*^9}, {3.616205388343992*^9, 3.6162053885039945`*^9}, 
   3.616205609762393*^9, {3.6165966413503866`*^9, 3.6165966677648973`*^9}, {
   3.616596709694296*^9, 3.6165967493155622`*^9}}],

Cell[BoxData[{
 RowBox[{"MeshToMatlab", "[", 
  RowBox[{"\"\<D:\\\\matlab\\\\centroid\\\\dsprnC.m\>\"", ",", "ctr"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"MeshToMatlab", "[", 
  RowBox[{"\"\<D:\\\\matlab\\\\centroid\\\\dsprnF.m\>\"", ",", 
   RowBox[{"TriangulateMesh", "[", "fin", "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.6162059575077343`*^9, 3.6162059965108333`*^9}, {
  3.6162061104050856`*^9, 3.6162061133751307`*^9}, {3.6165967634803724`*^9, 
  3.6165967732889333`*^9}}]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Catmull-Clark outlook", "Section",
 CellChangeTimes->{{3.6163370729643445`*^9, 3.616337081001968*^9}}],

Cell[CellGroupData[{

Cell["moment 1", "Subsection",
 CellChangeTimes->{{3.616337082514491*^9, 3.6163370864395514`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frmA", "=", 
   RowBox[{"CCMoment1Protoform", "[", 
    RowBox[{"16", ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"frmA", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frmA", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Length", "[", "var", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Clear", "[", "frmA", "]"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
   3.615766552206892*^9, 3.615766553603972*^9}, {3.615777145035*^9, 
   3.6157771458075113`*^9}, 3.615777506580553*^9, {3.615777751277811*^9, 
   3.6157777594604373`*^9}, {3.615781908603668*^9, 3.615781912188723*^9}, {
   3.6157828339813824`*^9, 3.6157828383364496`*^9}, {3.615853014001768*^9, 
   3.6158530376621313`*^9}, {3.6162763217439766`*^9, 3.616276328711375*^9}, {
   3.616336039322468*^9, 3.6163360494026227`*^9}, 3.616336177629592*^9, {
   3.6163366518268757`*^9, 3.616336651984378*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frmA", "=", 
   RowBox[{"CCMoment1Protoform", "[", 
    RowBox[{"14", ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"frmA", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frmA", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Length", "[", "var", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Clear", "[", "frmA", "]"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
   3.615766552206892*^9, 3.615766553603972*^9}, {3.615777145035*^9, 
   3.6157771458075113`*^9}, 3.615777506580553*^9, {3.615777751277811*^9, 
   3.6157777594604373`*^9}, {3.615781908603668*^9, 3.615781912188723*^9}, {
   3.6157828339813824`*^9, 3.6157828383364496`*^9}, {3.615853014001768*^9, 
   3.6158530376621313`*^9}, {3.6162763217439766`*^9, 3.616276328711375*^9}, {
   3.616336039322468*^9, 3.6163360494026227`*^9}, 3.616336177629592*^9, {
   3.6163366518268757`*^9, 3.616336651984378*^9}, 3.616336817391919*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frmA", "=", 
   RowBox[{"CCMoment1Protoform", "[", 
    RowBox[{"18", ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"frmA", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frmA", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Length", "[", "var", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Clear", "[", "frmA", "]"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
   3.615766552206892*^9, 3.615766553603972*^9}, {3.615777145035*^9, 
   3.6157771458075113`*^9}, 3.615777506580553*^9, {3.615777751277811*^9, 
   3.6157777594604373`*^9}, {3.615781908603668*^9, 3.615781912188723*^9}, {
   3.6157828339813824`*^9, 3.6157828383364496`*^9}, {3.615853014001768*^9, 
   3.6158530376621313`*^9}, {3.6162763217439766`*^9, 3.616276328711375*^9}, {
   3.616336039322468*^9, 3.6163360494026227`*^9}, 3.616336177629592*^9, {
   3.6163366518268757`*^9, 3.616336651984378*^9}, 3.616336817391919*^9, 
   3.616337027903652*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["moment 2", "Subsection",
 CellChangeTimes->{{3.616337082514491*^9, 3.616337092532145*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frmA", "=", 
   RowBox[{"CCMoment2Protoform", "[", 
    RowBox[{"16", ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"frmA", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frmA", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Length", "[", "var", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Clear", "[", "frmA", "]"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
   3.615766552206892*^9, 3.615766553603972*^9}, {3.615777145035*^9, 
   3.6157771458075113`*^9}, 3.615777506580553*^9, {3.615777751277811*^9, 
   3.6157777594604373`*^9}, {3.615781908603668*^9, 3.615781912188723*^9}, {
   3.6157828339813824`*^9, 3.6157828383364496`*^9}, {3.615853014001768*^9, 
   3.6158530376621313`*^9}, {3.6162763217439766`*^9, 3.616276328711375*^9}, {
   3.616336039322468*^9, 3.6163360494026227`*^9}, 3.616336177629592*^9, {
   3.6163366518268757`*^9, 3.616336651984378*^9}, 3.6163371556706147`*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frmA", "=", 
   RowBox[{"CCMoment2Protoform", "[", 
    RowBox[{"14", ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"frmA", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frmA", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Length", "[", "var", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Clear", "[", "frmA", "]"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
   3.615766552206892*^9, 3.615766553603972*^9}, {3.615777145035*^9, 
   3.6157771458075113`*^9}, 3.615777506580553*^9, {3.615777751277811*^9, 
   3.6157777594604373`*^9}, {3.615781908603668*^9, 3.615781912188723*^9}, {
   3.6157828339813824`*^9, 3.6157828383364496`*^9}, {3.615853014001768*^9, 
   3.6158530376621313`*^9}, {3.6162763217439766`*^9, 3.616276328711375*^9}, {
   3.616336039322468*^9, 3.6163360494026227`*^9}, 3.616336177629592*^9, {
   3.6163366518268757`*^9, 3.616336651984378*^9}, 3.616336817391919*^9, 
   3.616337164793255*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frmA", "=", 
   RowBox[{"CCMoment2Protoform", "[", 
    RowBox[{"18", ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"frmA", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frmA", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Length", "[", "var", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Clear", "[", "frmA", "]"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
   3.615766552206892*^9, 3.615766553603972*^9}, {3.615777145035*^9, 
   3.6157771458075113`*^9}, 3.615777506580553*^9, {3.615777751277811*^9, 
   3.6157777594604373`*^9}, {3.615781908603668*^9, 3.615781912188723*^9}, {
   3.6157828339813824`*^9, 3.6157828383364496`*^9}, {3.615853014001768*^9, 
   3.6158530376621313`*^9}, {3.6162763217439766`*^9, 3.616276328711375*^9}, {
   3.616336039322468*^9, 3.6163360494026227`*^9}, 3.616336177629592*^9, {
   3.6163366518268757`*^9, 3.616336651984378*^9}, 3.616336817391919*^9, 
   3.616337027903652*^9, 3.6163371703058395`*^9}]
}, Closed]]
}, Open  ]]
},
WindowSize->{815, 952},
WindowMargins->{{Automatic, 155}, {Automatic, 6}},
PrintingCopies->1,
PrintingPageRange->{32000, 32000},
PrintingOptions->{"Magnification"->1.,
"PaperOrientation"->"Portrait",
"PaperSize"->{612, 792}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 375, 5, 79, "Section"],
Cell[957, 29, 441, 9, 49, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1435, 43, 242, 3, 79, "Section"],
Cell[CellGroupData[{
Cell[1702, 50, 183, 4, 43, "Subsection"],
Cell[1888, 56, 1763, 54, 111, "Input"],
Cell[3654, 112, 148, 3, 31, "Input"],
Cell[3805, 117, 1249, 32, 72, "Input"],
Cell[5057, 151, 1870, 47, 194, "Input"],
Cell[6930, 200, 224, 4, 31, "Input"],
Cell[7157, 206, 129, 2, 31, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[7323, 213, 232, 5, 35, "Subsection"],
Cell[7558, 220, 1763, 54, 111, "Input"],
Cell[9324, 276, 148, 3, 31, "Input"],
Cell[9475, 281, 1515, 39, 72, "Input"],
Cell[10993, 322, 1900, 48, 194, "Input"],
Cell[12896, 372, 325, 5, 31, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[13258, 382, 199, 3, 35, "Subsection"],
Cell[13460, 387, 3916, 95, 332, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[17413, 487, 209, 3, 35, "Subsection"],
Cell[17625, 492, 3077, 87, 132, "Input"],
Cell[20705, 581, 4050, 99, 132, "Input"],
Cell[24758, 682, 145, 2, 31, "Input"],
Cell[24906, 686, 1731, 49, 92, "Input"],
Cell[26640, 737, 2529, 69, 172, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[29206, 811, 158, 2, 35, "Subsection"],
Cell[29367, 815, 1966, 46, 92, "Input"],
Cell[31336, 863, 2967, 68, 192, "Input"],
Cell[34306, 933, 2633, 70, 172, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[36976, 1008, 94, 1, 35, "Subsection"],
Cell[37073, 1011, 881, 23, 72, "Input"],
Cell[37957, 1036, 927, 24, 72, "Input"],
Cell[38887, 1062, 803, 22, 72, "Input"],
Cell[39693, 1086, 135, 2, 31, "Input"],
Cell[39831, 1090, 624, 17, 31, "Input"],
Cell[40458, 1109, 803, 22, 72, "Input"],
Cell[41264, 1133, 1372, 34, 92, "Input"],
Cell[42639, 1169, 1160, 31, 112, "Input"],
Cell[43802, 1202, 30, 0, 31, "Input"],
Cell[43835, 1204, 1113, 30, 92, "Input"],
Cell[44951, 1236, 1331, 35, 112, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[46319, 1276, 192, 3, 35, "Subsection"],
Cell[46514, 1281, 1136, 32, 72, "Input"],
Cell[47653, 1315, 543, 13, 46, "Input"],
Cell[48199, 1330, 1703, 38, 52, "Input"]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[49951, 1374, 324, 4, 79, "Section"],
Cell[CellGroupData[{
Cell[50300, 1382, 199, 3, 43, "Subsection"],
Cell[CellGroupData[{
Cell[50524, 1389, 206, 3, 34, "Subsubsection"],
Cell[50733, 1394, 2822, 71, 419, "Input"],
Cell[53558, 1467, 327, 6, 31, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[53922, 1478, 115, 1, 28, "Subsubsection"],
Cell[54040, 1481, 787, 15, 92, "Input"],
Cell[54830, 1498, 923, 21, 31, "Input"],
Cell[55756, 1521, 385, 9, 31, "Input"],
Cell[56144, 1532, 238, 4, 52, "Input"],
Cell[56385, 1538, 253, 4, 31, "Input"],
Cell[56641, 1544, 184, 4, 31, "Input"],
Cell[56828, 1550, 229, 5, 31, "Input"],
Cell[57060, 1557, 127, 2, 31, "Input"],
Cell[57190, 1561, 947, 27, 52, "Input"],
Cell[58140, 1590, 610, 17, 31, "Input"],
Cell[58753, 1609, 159, 3, 31, "Input"],
Cell[58915, 1614, 128, 2, 31, "Input"],
Cell[59046, 1618, 204, 4, 31, "Input"],
Cell[59253, 1624, 315, 6, 31, "Input"],
Cell[59571, 1632, 795, 26, 46, "Input"],
Cell[60369, 1660, 327, 9, 46, "Input"],
Cell[60699, 1671, 173, 4, 31, "Input"],
Cell[60875, 1677, 168, 2, 31, "Input"],
Cell[61046, 1681, 381, 12, 31, "Input"],
Cell[61430, 1695, 387, 10, 31, "Input"],
Cell[61820, 1707, 413, 10, 52, "Input"],
Cell[62236, 1719, 124, 2, 31, "Input"],
Cell[62363, 1723, 1072, 29, 88, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[63472, 1757, 165, 2, 28, "Subsubsection"],
Cell[63640, 1761, 809, 15, 92, "Input"],
Cell[64452, 1778, 923, 21, 31, "Input"],
Cell[65378, 1801, 385, 9, 31, "Input"],
Cell[65766, 1812, 238, 4, 52, "Input"],
Cell[66007, 1818, 305, 4, 31, "Input"],
Cell[66315, 1824, 237, 5, 31, "Input"],
Cell[66555, 1831, 229, 5, 31, "Input"],
Cell[66787, 1838, 127, 2, 31, "Input"],
Cell[66917, 1842, 152, 2, 31, "Input"],
Cell[67072, 1846, 947, 27, 52, "Input"],
Cell[68022, 1875, 636, 17, 31, "Input"],
Cell[68661, 1894, 159, 3, 31, "Input"],
Cell[68823, 1899, 128, 2, 31, "Input"],
Cell[68954, 1903, 204, 4, 31, "Input"],
Cell[69161, 1909, 315, 6, 31, "Input"],
Cell[69479, 1917, 795, 26, 46, "Input"],
Cell[70277, 1945, 327, 9, 46, "Input"],
Cell[70607, 1956, 173, 4, 31, "Input"],
Cell[70783, 1962, 168, 2, 31, "Input"],
Cell[70954, 1966, 381, 12, 31, "Input"],
Cell[71338, 1980, 387, 10, 31, "Input"],
Cell[71728, 1992, 413, 10, 52, "Input"],
Cell[72144, 2004, 124, 2, 31, "Input"],
Cell[72271, 2008, 1072, 29, 88, "Input"]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[73392, 2043, 95, 1, 43, "Subsection"],
Cell[CellGroupData[{
Cell[73512, 2048, 206, 3, 34, "Subsubsection"],
Cell[73721, 2053, 2805, 69, 385, "Input"],
Cell[76529, 2124, 276, 5, 31, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[76842, 2134, 212, 3, 28, "Subsubsection"],
Cell[77057, 2139, 599, 12, 72, "Input"],
Cell[77659, 2153, 164, 3, 31, "Input"],
Cell[77826, 2158, 313, 8, 31, "Input"],
Cell[78142, 2168, 378, 12, 31, "Input"],
Cell[78523, 2182, 65, 1, 31, "Input"],
Cell[78591, 2185, 133, 2, 31, "Input"],
Cell[78727, 2189, 1688, 39, 112, "Input"],
Cell[80418, 2230, 385, 9, 31, "Input"],
Cell[80806, 2241, 380, 12, 31, "Input"],
Cell[81189, 2255, 65, 1, 31, "Input"],
Cell[81257, 2258, 145, 3, 31, "Input"],
Cell[81405, 2263, 131, 2, 31, "Input"],
Cell[81539, 2267, 224, 6, 31, "Input"],
Cell[81766, 2275, 767, 23, 52, "Input"],
Cell[82536, 2300, 423, 10, 31, "Input"],
Cell[82962, 2312, 182, 3, 31, "Input"],
Cell[83147, 2317, 319, 8, 31, "Input"],
Cell[83469, 2327, 626, 15, 31, "Input"],
Cell[84098, 2344, 837, 24, 52, "Input"],
Cell[84938, 2370, 1676, 41, 112, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[86651, 2416, 156, 2, 28, "Subsubsection"],
Cell[86810, 2420, 769, 15, 92, "Input"],
Cell[87582, 2437, 1688, 39, 112, "Input"],
Cell[89273, 2478, 385, 9, 31, "Input"],
Cell[89661, 2489, 65, 1, 31, "Input"],
Cell[89729, 2492, 224, 6, 31, "Input"],
Cell[89956, 2500, 767, 23, 52, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[90760, 2528, 153, 2, 28, "Subsubsection"],
Cell[90916, 2532, 211, 5, 31, "Input"],
Cell[91130, 2539, 235, 5, 52, "Input"],
Cell[91368, 2546, 1461, 36, 112, "Input"],
Cell[92832, 2584, 191, 6, 31, "Input"],
Cell[93026, 2592, 131, 2, 31, "Input"],
Cell[93160, 2596, 226, 6, 31, "Input"],
Cell[93389, 2604, 158, 5, 31, "Input"],
Cell[93550, 2611, 519, 15, 31, "Input"],
Cell[94072, 2628, 168, 3, 31, "Input"],
Cell[94243, 2633, 206, 5, 31, "Input"],
Cell[94452, 2640, 335, 9, 31, "Input"],
Cell[94790, 2651, 767, 23, 52, "Input"],
Cell[95560, 2676, 129, 2, 31, "Input"]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[95738, 2684, 278, 4, 43, "Subsection"],
Cell[CellGroupData[{
Cell[96041, 2692, 206, 3, 34, "Subsubsection"],
Cell[96250, 2697, 551, 17, 31, "Input"],
Cell[96804, 2716, 3613, 90, 395, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[100454, 2811, 212, 3, 28, "Subsubsection"],
Cell[100669, 2816, 427, 8, 52, "Input"],
Cell[101099, 2826, 327, 6, 31, "Input"],
Cell[101429, 2834, 1588, 38, 112, "Input"],
Cell[103020, 2874, 347, 10, 52, "Input"],
Cell[103370, 2886, 203, 5, 31, "Input"],
Cell[103576, 2893, 239, 6, 31, "Input"],
Cell[103818, 2901, 131, 2, 31, "Input"],
Cell[103952, 2905, 476, 10, 31, "Input"],
Cell[104431, 2917, 660, 17, 52, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[105128, 2939, 205, 3, 28, "Subsubsection"],
Cell[105336, 2944, 646, 13, 92, "Input"],
Cell[105985, 2959, 327, 6, 31, "Input"],
Cell[106315, 2967, 1588, 38, 112, "Input"],
Cell[107906, 3007, 259, 7, 31, "Input"],
Cell[108168, 3016, 280, 7, 31, "Input"],
Cell[108451, 3025, 322, 9, 31, "Input"],
Cell[108776, 3036, 131, 2, 31, "Input"],
Cell[108910, 3040, 476, 10, 31, "Input"],
Cell[109389, 3052, 872, 25, 52, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[110298, 3082, 153, 2, 28, "Subsubsection"],
Cell[110454, 3086, 265, 6, 31, "Input"],
Cell[110722, 3094, 260, 6, 52, "Input"],
Cell[110985, 3102, 127, 2, 31, "Input"]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[111161, 3110, 275, 4, 43, "Subsection"],
Cell[CellGroupData[{
Cell[111461, 3118, 206, 3, 34, "Subsubsection"],
Cell[111670, 3123, 4457, 105, 429, "Input"],
Cell[116130, 3230, 327, 6, 31, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[116494, 3241, 212, 3, 28, "Subsubsection"],
Cell[116709, 3246, 518, 11, 52, "Input"],
Cell[117230, 3259, 1487, 36, 112, "Input"],
Cell[118720, 3297, 495, 12, 52, "Input"],
Cell[119218, 3311, 180, 3, 31, "Input"],
Cell[119401, 3316, 226, 6, 31, "Input"],
Cell[119630, 3324, 763, 18, 52, "Input"],
Cell[120396, 3344, 365, 9, 31, "Input"],
Cell[120764, 3355, 1674, 41, 112, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[122475, 3401, 255, 3, 28, "Subsubsection"],
Cell[122733, 3406, 722, 14, 92, "Input"],
Cell[123458, 3422, 1487, 36, 112, "Input"],
Cell[124948, 3460, 407, 9, 31, "Input"],
Cell[125358, 3471, 180, 3, 31, "Input"],
Cell[125541, 3476, 226, 6, 31, "Input"],
Cell[125770, 3484, 885, 25, 52, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[126692, 3514, 153, 2, 28, "Subsubsection"],
Cell[126848, 3518, 316, 7, 31, "Input"],
Cell[127167, 3527, 282, 6, 52, "Input"],
Cell[127452, 3535, 153, 3, 31, "Input"]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[127654, 3544, 255, 3, 43, "Subsection"],
Cell[CellGroupData[{
Cell[127934, 3551, 206, 3, 34, "Subsubsection"],
Cell[128143, 3556, 5226, 123, 445, "Input"],
Cell[133372, 3681, 377, 7, 31, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[133786, 3693, 212, 3, 28, "Subsubsection"],
Cell[134001, 3698, 526, 11, 52, "Input"],
Cell[134530, 3711, 1536, 37, 112, "Input"],
Cell[136069, 3750, 519, 12, 52, "Input"],
Cell[136591, 3764, 180, 3, 31, "Input"],
Cell[136774, 3769, 226, 6, 31, "Input"],
Cell[137003, 3777, 757, 18, 52, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[137797, 3800, 255, 3, 28, "Subsubsection"],
Cell[138055, 3805, 720, 14, 92, "Input"],
Cell[138778, 3821, 1536, 37, 112, "Input"],
Cell[140317, 3860, 435, 10, 31, "Input"],
Cell[140755, 3872, 180, 3, 31, "Input"],
Cell[140938, 3877, 226, 6, 31, "Input"],
Cell[141167, 3885, 1068, 28, 52, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[142272, 3918, 153, 2, 28, "Subsubsection"],
Cell[142428, 3922, 364, 7, 31, "Input"],
Cell[142795, 3931, 306, 6, 52, "Input"],
Cell[143104, 3939, 176, 3, 31, "Input"]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[143329, 3948, 285, 4, 43, "Subsection"],
Cell[CellGroupData[{
Cell[143639, 3956, 206, 3, 34, "Subsubsection"],
Cell[143848, 3961, 67, 1, 31, "Input"],
Cell[143918, 3964, 6014, 140, 459, "Input"],
Cell[149935, 4106, 427, 7, 31, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[150399, 4118, 212, 3, 28, "Subsubsection"],
Cell[150614, 4123, 580, 12, 52, "Input"],
Cell[151197, 4137, 1587, 38, 112, "Input"],
Cell[152787, 4177, 573, 13, 52, "Input"],
Cell[153363, 4192, 180, 3, 31, "Input"],
Cell[153546, 4197, 226, 6, 31, "Input"],
Cell[153775, 4205, 806, 19, 52, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[154618, 4229, 255, 3, 28, "Subsubsection"],
Cell[154876, 4234, 774, 15, 92, "Input"],
Cell[155653, 4251, 1587, 38, 112, "Input"],
Cell[157243, 4291, 513, 11, 31, "Input"],
Cell[157759, 4304, 180, 3, 31, "Input"],
Cell[157942, 4309, 226, 6, 31, "Input"],
Cell[158171, 4317, 1121, 29, 52, "Input"],
Cell[159295, 4348, 131, 2, 31, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[159463, 4355, 153, 2, 28, "Subsubsection"],
Cell[159619, 4359, 417, 8, 31, "Input"],
Cell[160039, 4369, 332, 7, 52, "Input"],
Cell[160374, 4378, 201, 3, 31, "Input"]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[160624, 4387, 359, 5, 43, "Subsection"],
Cell[CellGroupData[{
Cell[161008, 4396, 206, 3, 34, "Subsubsection"],
Cell[161217, 4401, 195, 4, 31, "Input"],
Cell[161415, 4407, 6544, 151, 475, "Input"],
Cell[167962, 4560, 476, 8, 31, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[168475, 4573, 212, 3, 28, "Subsubsection"],
Cell[168690, 4578, 622, 13, 52, "Input"],
Cell[169315, 4593, 237, 5, 52, "Input"],
Cell[169555, 4600, 1637, 38, 112, "Input"],
Cell[171195, 4640, 191, 6, 31, "Input"],
Cell[171389, 4648, 308, 8, 31, "Input"],
Cell[171700, 4658, 241, 6, 31, "Input"],
Cell[171944, 4666, 128, 2, 31, "Input"],
Cell[172075, 4670, 61, 1, 31, "Input"],
Cell[172139, 4673, 226, 6, 31, "Input"],
Cell[172368, 4681, 163, 2, 31, "Input"],
Cell[172534, 4685, 861, 20, 52, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[173432, 4710, 255, 3, 28, "Subsubsection"],
Cell[173690, 4715, 820, 15, 92, "Input"],
Cell[174513, 4732, 1637, 38, 112, "Input"],
Cell[176153, 4772, 191, 6, 31, "Input"],
Cell[176347, 4780, 61, 1, 31, "Input"],
Cell[176411, 4783, 226, 6, 31, "Input"],
Cell[176640, 4791, 1165, 29, 52, "Input"]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[177854, 4826, 407, 5, 43, "Subsection"],
Cell[178264, 4833, 956, 17, 112, "Input"]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[179269, 4856, 451, 6, 79, "Section"],
Cell[CellGroupData[{
Cell[179745, 4866, 104, 1, 43, "Subsection"],
Cell[179852, 4869, 703, 18, 31, "Input"],
Cell[180558, 4889, 15080, 281, 147, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[195675, 5175, 155, 2, 35, "Subsection"],
Cell[195833, 5179, 142, 2, 30, "Text"],
Cell[195978, 5183, 341, 7, 72, "Input"],
Cell[196322, 5192, 348, 7, 72, "Input"],
Cell[196673, 5201, 390, 8, 72, "Input"],
Cell[197066, 5211, 337, 7, 72, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[197440, 5223, 212, 3, 35, "Subsection"],
Cell[197655, 5228, 1813, 53, 65, "Input"],
Cell[199471, 5283, 1050, 26, 36, "Input"],
Cell[200524, 5311, 620, 15, 36, "Input"],
Cell[201147, 5328, 776, 17, 36, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[201960, 5350, 107, 1, 35, "Subsection"],
Cell[202070, 5353, 928, 27, 35, "Input"],
Cell[203001, 5382, 92, 1, 21, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[203130, 5388, 152, 2, 35, "Subsection"],
Cell[203285, 5392, 103, 1, 22, "Text"],
Cell[203391, 5395, 748, 17, 55, "Input"],
Cell[204142, 5414, 421, 10, 23, "Input"],
Cell[204566, 5426, 462, 11, 33, "Input"],
Cell[205031, 5439, 100, 1, 22, "Text"],
Cell[205134, 5442, 580, 14, 33, "Input"],
Cell[205717, 5458, 190, 5, 23, "Input"],
Cell[205910, 5465, 144, 2, 23, "Input"],
Cell[206057, 5469, 117, 2, 23, "Input"],
Cell[206177, 5473, 147, 3, 23, "Input"],
Cell[206327, 5478, 158, 3, 23, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[206522, 5486, 208, 3, 35, "Subsection"],
Cell[206733, 5491, 187, 3, 31, "Input"],
Cell[206923, 5496, 1389, 36, 172, "Input"],
Cell[208315, 5534, 218, 5, 31, "Input"],
Cell[208536, 5541, 198, 3, 30, "Text"],
Cell[208737, 5546, 651, 19, 31, "Output"],
Cell[209391, 5567, 1185, 29, 52, "Input"],
Cell[210579, 5598, 440, 8, 52, "Input"],
Cell[211022, 5608, 120, 2, 31, "Input"],
Cell[211145, 5612, 29, 0, 31, "Input"],
Cell[211177, 5614, 173, 4, 31, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[211387, 5623, 253, 3, 35, "Subsection"],
Cell[211643, 5628, 170, 3, 52, "Input"],
Cell[211816, 5633, 1749, 49, 132, "Input"],
Cell[213568, 5684, 191, 3, 31, "Input"],
Cell[213762, 5689, 197, 4, 46, "Input"],
Cell[213962, 5695, 1169, 33, 172, "Input"],
Cell[215134, 5730, 150, 4, 31, "Input"],
Cell[215287, 5736, 758, 23, 52, "Input"],
Cell[216048, 5761, 385, 7, 52, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[216470, 5773, 305, 4, 35, "Subsection"],
Cell[216778, 5779, 369, 10, 52, "Input"],
Cell[217150, 5791, 403, 11, 31, "Input"],
Cell[217556, 5804, 336, 8, 31, "Input"],
Cell[217895, 5814, 132, 2, 31, "Input"],
Cell[218030, 5818, 142, 2, 31, "Input"],
Cell[218175, 5822, 493, 13, 31, "Input"],
Cell[218671, 5837, 252, 5, 31, "Input"],
Cell[218926, 5844, 599, 17, 52, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[219562, 5866, 99, 1, 35, "Subsection"],
Cell[219664, 5869, 542, 15, 31, "Input"],
Cell[220209, 5886, 321, 8, 31, "Input"],
Cell[220533, 5896, 1232, 27, 52, "Input"],
Cell[221768, 5925, 158, 3, 31, "Input"],
Cell[221929, 5930, 1622, 46, 172, "Input"],
Cell[223554, 5978, 150, 4, 31, "Input"],
Cell[223707, 5984, 758, 23, 52, "Input"],
Cell[224468, 6009, 442, 8, 52, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[224947, 6022, 171, 2, 35, "Subsection"],
Cell[225121, 6026, 1106, 33, 52, "Input"],
Cell[226230, 6061, 469, 10, 31, "Input"],
Cell[CellGroupData[{
Cell[226724, 6075, 151, 2, 34, "Subsubsection"],
Cell[226878, 6079, 191, 4, 31, "Input"],
Cell[227072, 6085, 1022, 24, 52, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[228131, 6114, 100, 1, 34, "Subsubsection"],
Cell[228234, 6117, 192, 4, 31, "Input"],
Cell[228429, 6123, 1421, 35, 52, "Input"],
Cell[229853, 6160, 1349, 30, 52, "Input"],
Cell[231205, 6192, 1323, 29, 52, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[232565, 6226, 157, 2, 34, "Subsubsection"],
Cell[232725, 6230, 193, 4, 31, "Input"],
Cell[232921, 6236, 2289, 49, 132, "Input"],
Cell[235213, 6287, 1496, 38, 132, "Input"],
Cell[236712, 6327, 2030, 43, 92, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[238779, 6375, 99, 1, 34, "Subsubsection"],
Cell[238881, 6378, 501, 11, 31, "Input"],
Cell[239385, 6391, 187, 4, 31, "Input"],
Cell[239575, 6397, 1883, 40, 52, "Input"],
Cell[241461, 6439, 1544, 33, 52, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[243042, 6477, 99, 1, 34, "Subsubsection"],
Cell[243144, 6480, 597, 13, 31, "Input"],
Cell[243744, 6495, 216, 4, 31, "Input"],
Cell[243963, 6501, 1811, 39, 52, "Input"],
Cell[245777, 6542, 1544, 33, 52, "Input"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[247370, 6581, 160, 2, 35, "Subsection"],
Cell[247533, 6585, 1067, 35, 71, "Input"],
Cell[248603, 6622, 391, 8, 31, "Input"],
Cell[248997, 6632, 544, 15, 46, "Input"],
Cell[249544, 6649, 2360, 58, 112, "Input"],
Cell[251907, 6709, 2404, 59, 112, "Input"],
Cell[254314, 6770, 2231, 56, 112, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[256582, 6831, 412, 5, 35, "Subsection"],
Cell[256997, 6838, 746, 18, 163, "Text"],
Cell[257746, 6858, 137, 2, 31, "Input"],
Cell[257886, 6862, 139, 2, 31, "Input"],
Cell[258028, 6866, 1259, 30, 52, "Input"],
Cell[259290, 6898, 145, 2, 31, "Input"],
Cell[CellGroupData[{
Cell[259460, 6904, 212, 3, 34, "Subsubsection"],
Cell[259675, 6909, 363, 9, 31, "Input"],
Cell[260041, 6920, 559, 12, 31, "Input"],
Cell[260603, 6934, 415, 10, 31, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[261055, 6949, 212, 3, 34, "Subsubsection"],
Cell[261270, 6954, 530, 12, 31, "Input"],
Cell[261803, 6968, 573, 13, 31, "Input"],
Cell[262379, 6983, 474, 11, 31, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[262890, 6999, 184, 2, 34, "Subsubsection"],
Cell[263077, 7003, 457, 10, 31, "Input"],
Cell[263537, 7015, 315, 8, 31, "Input"],
Cell[263855, 7025, 364, 9, 31, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[264256, 7039, 212, 3, 34, "Subsubsection"],
Cell[264471, 7044, 464, 12, 31, "Input"],
Cell[264938, 7058, 543, 13, 31, "Input"],
Cell[265484, 7073, 609, 14, 31, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[266130, 7092, 210, 3, 34, "Subsubsection"],
Cell[266343, 7097, 509, 11, 31, "Input"],
Cell[266855, 7110, 415, 10, 31, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[267307, 7125, 212, 3, 34, "Subsubsection"],
Cell[267522, 7130, 522, 12, 31, "Input"],
Cell[268047, 7144, 573, 13, 31, "Input"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[268669, 7163, 442, 6, 35, "Subsection"],
Cell[269114, 7171, 227, 5, 31, "Input"],
Cell[269344, 7178, 158, 3, 31, "Input"],
Cell[269505, 7183, 668, 14, 52, "Input"],
Cell[270176, 7199, 491, 9, 52, "Input"]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[270716, 7214, 108, 1, 79, "Section"],
Cell[CellGroupData[{
Cell[270849, 7219, 98, 1, 43, "Subsection"],
Cell[270950, 7222, 1008, 18, 112, "Input"],
Cell[271961, 7242, 1030, 18, 112, "Input"],
Cell[272994, 7262, 1056, 19, 112, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[274087, 7286, 96, 1, 35, "Subsection"],
Cell[274186, 7289, 1032, 18, 112, "Input"],
Cell[275221, 7309, 1056, 19, 112, "Input"],
Cell[276280, 7330, 1080, 19, 112, "Input"]
}, Closed]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
