(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     13215,        393]
NotebookOptionsPosition[     11896,        345]
NotebookOutlinePosition[     12238,        360]
CellTagsIndexPosition[     12195,        357]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Moments of an Ellipsoid", "Section",
 CellChangeTimes->{{3.604699325951583*^9, 3.604699342005501*^9}, {
  3.605316105939847*^9, 3.6053161113441563`*^9}, {3.6053189977682505`*^9, 
  3.605319007676817*^9}, {3.60569576697237*^9, 3.6056957867405005`*^9}, {
  3.612308616785124*^9, 3.6123086227794666`*^9}, {3.6189000284343295`*^9, 
  3.6189000314905043`*^9}, {3.6190080870446067`*^9, 3.6190080897777634`*^9}}],

Cell[TextData[{
 "code by jph, 2014\ndownload from ",
 StyleBox["www.hakenberg.de",
  FontSlant->"Italic"]
}], "Text",
 CellChangeTimes->{{3.605695943586472*^9, 3.6056959456205883`*^9}, {
   3.6056970059162335`*^9, 3.6056970389631243`*^9}, 3.605735755713481*^9, 
   3.612138146605847*^9, {3.612175969429984*^9, 3.6121759752833195`*^9}, {
   3.6121774860257287`*^9, 3.6121774882888584`*^9}, {3.61231043884534*^9, 
   3.6123104396233845`*^9}}],

Cell[CellGroupData[{

Cell["Ellipse", "Subsection",
 CellChangeTimes->{{3.6161993705945435`*^9, 3.6161993742145987`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[CurlyPhi]2", "=", 
   RowBox[{"r", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"a", " ", 
       RowBox[{"Cos", "[", "\[Theta]", "]"}]}], ",", 
      RowBox[{"b", " ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}]}]}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"d\[CurlyPhi]2", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{"\[CurlyPhi]2", ",", "r"}], "]"}], ",", 
    RowBox[{"D", "[", 
     RowBox[{"\[CurlyPhi]2", ",", "\[Theta]"}], "]"}]}], "}"}]}]}], "Input",
 CellChangeTimes->{{3.616199226449829*^9, 3.6161992517852182`*^9}, {
  3.616199396929948*^9, 3.61619940097751*^9}}],

Cell[BoxData[
 RowBox[{"ParametricPlot", "[", 
  RowBox[{
   RowBox[{"\[CurlyPhi]2", "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"a", "\[Rule]", "2"}], ",", 
      RowBox[{"b", "\[Rule]", "1"}]}], "}"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"r", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Theta]", ",", "0", ",", 
     RowBox[{"2", "\[Pi]"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6161991508686686`*^9, 3.6161992155846624`*^9}, {
  3.6161992659679365`*^9, 3.6161992671954556`*^9}, {3.616199410530157*^9, 
  3.616199411447671*^9}}],

Cell[BoxData[
 RowBox[{"n\[CurlyPhi]2", "=", 
  RowBox[{
   RowBox[{"Det", "[", "d\[CurlyPhi]2", "]"}], "//", "Simplify"}]}]], "Input",
 CellChangeTimes->{{3.61619926167537*^9, 3.6161992738255568`*^9}, {
  3.616199312711154*^9, 3.6161993165287127`*^9}, {3.616199417002756*^9, 
  3.6161994181277733`*^9}}],

Cell[BoxData[
 RowBox[{
  SubsuperscriptBox["\[Integral]", "0", 
   RowBox[{"2", "\[Pi]"}]], 
  RowBox[{
   SubsuperscriptBox["\[Integral]", "0", "1"], 
   RowBox[{"n\[CurlyPhi]2", 
    RowBox[{"\[DifferentialD]", "r"}], 
    RowBox[{"\[DifferentialD]", "\[Theta]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.616199287403266*^9, 3.6161993332489696`*^9}, 
   3.6161994209303164`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Ellipsoid", "Subsection",
 CellChangeTimes->{{3.6161993705945435`*^9, 3.6161993868947935`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[CurlyPhi]3", "=", 
   RowBox[{"r", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"a", " ", 
       RowBox[{"Cos", "[", "\[Theta]", "]"}], 
       RowBox[{"Cos", "[", "\[Alpha]", "]"}]}], ",", 
      RowBox[{"b", " ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}], 
       RowBox[{"Cos", "[", "\[Alpha]", "]"}]}], ",", 
      RowBox[{"c", " ", 
       RowBox[{"Sin", "[", "\[Alpha]", "]"}]}]}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"d\[CurlyPhi]3", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{"\[CurlyPhi]3", ",", "r"}], "]"}], ",", 
    RowBox[{"D", "[", 
     RowBox[{"\[CurlyPhi]3", ",", "\[Theta]"}], "]"}], ",", 
    RowBox[{"D", "[", 
     RowBox[{"\[CurlyPhi]3", ",", "\[Alpha]"}], "]"}]}], "}"}]}]}], "Input",
 CellChangeTimes->{{3.616199226449829*^9, 3.6161992517852182`*^9}, {
  3.616199396929948*^9, 3.61619940097751*^9}, {3.6161994325079947`*^9, 
  3.6161994524408007`*^9}, {3.6161995238668976`*^9, 3.616199558857435*^9}}],

Cell[BoxData[
 RowBox[{"ParametricPlot3D", "[", 
  RowBox[{
   RowBox[{"\[CurlyPhi]3", "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"a", "\[Rule]", "2"}], ",", 
      RowBox[{"b", "\[Rule]", "1"}], ",", 
      RowBox[{"c", "\[Rule]", "1.5"}], ",", 
      RowBox[{"\[Alpha]", "\[Rule]", 
       RowBox[{
        RowBox[{"-", "\[Pi]"}], "/", "3"}]}]}], "}"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"r", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Theta]", ",", "0", ",", 
     RowBox[{"2", "\[Pi]"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6161991508686686`*^9, 3.6161992155846624`*^9}, {
  3.6161992659679365`*^9, 3.6161992671954556`*^9}, {3.616199410530157*^9, 
  3.616199411447671*^9}, {3.6161995648250265`*^9, 3.6161996722816772`*^9}, {
  3.616335386634943*^9, 3.6163353868199453`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"d\[CurlyPhi]3", ".", 
    RowBox[{"Transpose", "[", "d\[CurlyPhi]3", "]"}]}], "//", "Det"}], "//", 
  "Simplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Transpose", "[", "d\[CurlyPhi]3", "]"}], ".", "d\[CurlyPhi]3"}], 
   "//", "Det"}], "//", "Simplify"}]}], "Input",
 CellChangeTimes->{{3.6163353962400904`*^9, 3.61633546393613*^9}}],

Cell[BoxData[
 RowBox[{"n\[CurlyPhi]3", "=", 
  RowBox[{
   RowBox[{"Det", "[", "d\[CurlyPhi]3", "]"}], "//", "Simplify"}]}]], "Input",
 CellChangeTimes->{{3.61619926167537*^9, 3.6161992738255568`*^9}, {
  3.616199312711154*^9, 3.6161993165287127`*^9}, {3.616199417002756*^9, 
  3.6161994181277733`*^9}, {3.616199692141982*^9, 3.616199693494503*^9}}],

Cell[CellGroupData[{

Cell["moment 0 \[Bullet] volume", "Subsubsection",
 CellChangeTimes->{{3.6161997320275946`*^9, 3.6161997340201254`*^9}, {
  3.6161997994361305`*^9, 3.616199801883668*^9}}],

Cell[BoxData[
 RowBox[{
  SubsuperscriptBox["\[Integral]", 
   RowBox[{
    RowBox[{"-", "\[Pi]"}], "/", "2"}], 
   RowBox[{"\[Pi]", "/", "2"}]], 
  RowBox[{
   SubsuperscriptBox["\[Integral]", "0", 
    RowBox[{"2", "\[Pi]"}]], 
   RowBox[{
    SubsuperscriptBox["\[Integral]", "0", "1"], 
    RowBox[{"n\[CurlyPhi]3", 
     RowBox[{"\[DifferentialD]", "r"}], 
     RowBox[{"\[DifferentialD]", "\[Theta]"}], 
     RowBox[{"\[DifferentialD]", "\[Alpha]"}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.616199287403266*^9, 3.6161993332489696`*^9}, 
   3.6161994209303164`*^9, {3.6161996979995723`*^9, 3.6161997115022793`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["moment 1 \[Bullet] centroid", "Subsubsection",
 CellChangeTimes->{{3.6161997830858793`*^9, 3.6161997979486074`*^9}}],

Cell[BoxData[
 RowBox[{
  SubsuperscriptBox["\[Integral]", 
   RowBox[{
    RowBox[{"-", "\[Pi]"}], "/", "2"}], 
   RowBox[{"\[Pi]", "/", "2"}]], 
  RowBox[{
   SubsuperscriptBox["\[Integral]", "0", 
    RowBox[{"2", "\[Pi]"}]], 
   RowBox[{
    SubsuperscriptBox["\[Integral]", "0", "1"], 
    RowBox[{"\[CurlyPhi]3", " ", "n\[CurlyPhi]3", 
     RowBox[{"\[DifferentialD]", "r"}], 
     RowBox[{"\[DifferentialD]", "\[Theta]"}], 
     RowBox[{"\[DifferentialD]", "\[Alpha]"}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.616199287403266*^9, 3.6161993332489696`*^9}, 
   3.6161994209303164`*^9, {3.6161996979995723`*^9, 3.6161997115022793`*^9}, {
   3.6161997595430174`*^9, 3.616199780870845*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["moment 2 \[Bullet] variance", "Subsubsection",
 CellChangeTimes->{{3.6161997830858793`*^9, 3.6161997937560425`*^9}, {
  3.6161998372842116`*^9, 3.6161998406192627`*^9}}],

Cell[BoxData[
 RowBox[{"MatrixForm", "@", 
  RowBox[{
   SubsuperscriptBox["\[Integral]", 
    RowBox[{
     RowBox[{"-", "\[Pi]"}], "/", "2"}], 
    RowBox[{"\[Pi]", "/", "2"}]], 
   RowBox[{
    SubsuperscriptBox["\[Integral]", "0", 
     RowBox[{"2", "\[Pi]"}]], 
    RowBox[{
     SubsuperscriptBox["\[Integral]", "0", "1"], 
     RowBox[{
      RowBox[{"KroneckerProduct", "[", 
       RowBox[{"\[CurlyPhi]3", ",", "\[CurlyPhi]3"}], "]"}], " ", 
      "n\[CurlyPhi]3", 
      RowBox[{"\[DifferentialD]", "r"}], 
      RowBox[{"\[DifferentialD]", "\[Theta]"}], 
      RowBox[{"\[DifferentialD]", "\[Alpha]"}]}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.616199287403266*^9, 3.6161993332489696`*^9}, 
   3.6161994209303164`*^9, {3.6161996979995723`*^9, 3.6161997115022793`*^9}, {
   3.6161997595430174`*^9, 3.616199780870845*^9}, {3.6161998150763702`*^9, 
   3.6161998153363743`*^9}, {3.61620005075749*^9, 3.6162000580376024`*^9}}],

Cell[BoxData[
 RowBox[{
  TagBox[
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {
       RowBox[{
        FractionBox["4", "15"], " ", 
        SuperscriptBox["a", "3"], " ", "b", " ", "c", " ", "\[Pi]"}], "0", 
       "0"},
      {"0", 
       RowBox[{
        FractionBox["4", "15"], " ", "a", " ", 
        SuperscriptBox["b", "3"], " ", "c", " ", "\[Pi]"}], "0"},
      {"0", "0", 
       RowBox[{
        FractionBox["4", "15"], " ", "a", " ", "b", " ", 
        SuperscriptBox["c", "3"], " ", "\[Pi]"}]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
        "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.7]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
   Function[BoxForm`e$, 
    MatrixForm[BoxForm`e$]]], "//", "Diagonal"}]], "Input",
 CellChangeTimes->{{3.616200763884444*^9, 3.616200768379513*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     FractionBox["4", "15"], " ", 
     SuperscriptBox["a", "3"], " ", "b", " ", "c", " ", "\[Pi]"}], ",", 
    RowBox[{
     FractionBox["4", "15"], " ", "a", " ", 
     SuperscriptBox["b", "3"], " ", "c", " ", "\[Pi]"}], ",", 
    RowBox[{
     FractionBox["4", "15"], " ", "a", " ", "b", " ", 
     SuperscriptBox["c", "3"], " ", "\[Pi]"}]}], "}"}], "/.", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "\[Rule]", "r1"}], ",", 
    RowBox[{"b", "\[Rule]", "r2"}], ",", 
    RowBox[{"c", "\[Rule]", "r3"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.6162007996849937`*^9, 3.6162008118176804`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["moment 3", "Subsubsection",
 CellChangeTimes->{{3.6161997830858793`*^9, 3.6161997937560425`*^9}, {
   3.6161998372842116`*^9, 3.6161998406192627`*^9}, 3.616199999826708*^9, {
   3.6162001404263678`*^9, 3.616200140961376*^9}}],

Cell[BoxData[
 RowBox[{"MatrixForm", "@", 
  RowBox[{
   SubsuperscriptBox["\[Integral]", 
    RowBox[{
     RowBox[{"-", "\[Pi]"}], "/", "2"}], 
    RowBox[{"\[Pi]", "/", "2"}]], 
   RowBox[{
    SubsuperscriptBox["\[Integral]", "0", 
     RowBox[{"2", "\[Pi]"}]], 
    RowBox[{
     SubsuperscriptBox["\[Integral]", "0", "1"], 
     RowBox[{
      RowBox[{"KroneckerProduct", "[", 
       RowBox[{"\[CurlyPhi]3", ",", "\[CurlyPhi]3", ",", "\[CurlyPhi]3"}], 
       "]"}], " ", "n\[CurlyPhi]3", 
      RowBox[{"\[DifferentialD]", "r"}], 
      RowBox[{"\[DifferentialD]", "\[Theta]"}], 
      RowBox[{"\[DifferentialD]", "\[Alpha]"}]}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.6162000778854074`*^9, 3.6162000811504574`*^9}, 
   3.6162001266686563`*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]]
},
WindowSize->{707, 857},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 411, 5, 79, "Section"],
Cell[993, 29, 441, 9, 49, "Text"],
Cell[CellGroupData[{
Cell[1459, 42, 99, 1, 43, "Subsection"],
Cell[1561, 45, 657, 19, 52, "Input"],
Cell[2221, 66, 575, 15, 31, "Input"],
Cell[2799, 83, 304, 6, 31, "Input"],
Cell[3106, 91, 379, 10, 48, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[3522, 106, 101, 1, 35, "Subsection"],
Cell[3626, 109, 1015, 26, 52, "Input"],
Cell[4644, 137, 829, 20, 52, "Input"],
Cell[5476, 159, 415, 11, 52, "Input"],
Cell[5894, 172, 350, 6, 31, "Input"],
Cell[CellGroupData[{
Cell[6269, 182, 171, 2, 34, "Subsubsection"],
Cell[6443, 186, 620, 16, 49, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7100, 207, 122, 1, 34, "Subsubsection"],
Cell[7225, 210, 693, 17, 49, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7955, 232, 175, 2, 34, "Subsubsection"],
Cell[8133, 236, 932, 22, 49, "Input"],
Cell[9068, 260, 1098, 30, 87, "Input"],
Cell[10169, 292, 663, 18, 46, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10869, 315, 231, 3, 34, "Subsubsection"],
Cell[11103, 320, 753, 20, 49, "Input"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
