(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[    441399,      10673]
NotebookOptionsPosition[    421269,      10107]
NotebookOutlinePosition[    421799,      10128]
CellTagsIndexPosition[    421756,      10125]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
Moments defined by Loop surfaces\
\>", "Section",
 CellChangeTimes->{{3.604699325951583*^9, 3.604699342005501*^9}, {
   3.605316105939847*^9, 3.6053161113441563`*^9}, {3.6053189977682505`*^9, 
   3.605319007676817*^9}, {3.60569576697237*^9, 3.6056957867405005`*^9}, {
   3.605735736585387*^9, 3.6057357410236406`*^9}, {3.6057914738677197`*^9, 
   3.6057914743427267`*^9}, {3.6122809897430925`*^9, 3.612280998334584*^9}, 
   3.6190079884849696`*^9}],

Cell[TextData[{
 "code by jph, 2014\ndownload from ",
 StyleBox["www.hakenberg.de",
  FontSlant->"Italic"]
}], "Text",
 CellChangeTimes->{{3.605695943586472*^9, 3.6056959456205883`*^9}, {
   3.6056970059162335`*^9, 3.6056970389631243`*^9}, 3.605735755713481*^9, 
   3.612138146605847*^9, {3.612175969429984*^9, 3.6121759752833195`*^9}, {
   3.6121774860257287`*^9, 3.6121774882888584`*^9}, 3.6123104611686163`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Utilities", "Section",
 CellChangeTimes->{{3.604699325951583*^9, 3.604699342005501*^9}, {
  3.605316105939847*^9, 3.6053161113441563`*^9}, {3.6053189977682505`*^9, 
  3.605319007676817*^9}, {3.6190079923171887`*^9, 3.61900799408929*^9}}],

Cell[CellGroupData[{

Cell["Constructors", "Subsection",
 CellChangeTimes->{{3.615775718576589*^9, 3.615775729351754*^9}, {
  3.615778207877325*^9, 3.6157782097548532`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"BuildEssential", "[", 
   RowBox[{"eqs_", ",", "vars_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"lst", "=", 
       RowBox[{
        RowBox[{
         RowBox[{"Normal", "[", 
          RowBox[{"CoefficientArrays", "[", 
           RowBox[{"#", ",", 
            RowBox[{"Flatten", "[", "vars", "]"}]}], "]"}], "]"}], "&"}], "/@", 
        RowBox[{"Flatten", "[", "eqs", "]"}]}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"outM", "=", 
       RowBox[{"{", "}"}]}], ",", 
      RowBox[{"outV", "=", 
       RowBox[{"{", "}"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Which", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"Length", "[", 
           RowBox[{
           "lst", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
           "]"}], "\[Equal]", "1"}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Chop", "[", 
             RowBox[{
             "lst", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
             "]"}], "=!=", 
            RowBox[{"{", "0", "}"}]}], ",", 
           RowBox[{
            RowBox[{"Print", "/@", 
             RowBox[{"{", 
              RowBox[{"\"\<zero expected\>\"", ",", 
               RowBox[{
               "lst", "\[LeftDoubleBracket]", "k", 
                "\[RightDoubleBracket]"}]}], "}"}]}], ";"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Length", "[", 
           RowBox[{
           "lst", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
           "]"}], "\[Equal]", "2"}], ",", "\[IndentingNewLine]", 
         RowBox[{"With", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"row", "=", 
              RowBox[{"lst", "\[LeftDoubleBracket]", 
               RowBox[{"k", ",", "2"}], "\[RightDoubleBracket]"}]}], ",", 
             RowBox[{"val", "=", 
              RowBox[{"lst", "\[LeftDoubleBracket]", 
               RowBox[{"k", ",", "1"}], "\[RightDoubleBracket]"}]}]}], "}"}], 
           ",", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"Union", "@", "row"}], ")"}], "===", 
               RowBox[{"{", "0", "}"}]}], "\[And]", 
              RowBox[{"(", 
               RowBox[{"val", "===", "0"}], ")"}]}], ",", 
             "\[IndentingNewLine]", ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"AppendTo", "[", 
               RowBox[{"outM", ",", "row"}], "]"}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"AppendTo", "[", 
               RowBox[{"outV", ",", "val"}], "]"}], ";"}]}], 
            "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}], ",",
          "\[IndentingNewLine]", "True", ",", 
         RowBox[{"Print", "[", 
          RowBox[{"Length", "[", 
           RowBox[{
           "lst", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
           "]"}], "]"}]}], "\[IndentingNewLine]", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", 
         RowBox[{"Length", "[", "lst", "]"}]}], "}"}]}], "]"}], ";", 
     RowBox[{"{", 
      RowBox[{"outM", ",", "outV"}], "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6158509739489255`*^9, 3.615851065820337*^9}, {
  3.61585115193666*^9, 3.615851209737547*^9}, {3.615851240963027*^9, 
  3.6158512782060986`*^9}, {3.615851568254562*^9, 3.6158516254479403`*^9}, {
  3.615851878464327*^9, 3.61585188195938*^9}, {3.6158519171974216`*^9, 
  3.6158519289626026`*^9}, {3.615854169994524*^9, 3.6158541731420727`*^9}, {
  3.61600203717083*^9, 3.61600204239841*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Unified Constructor", "Subsection",
 CellChangeTimes->{{3.615775718576589*^9, 3.615775729351754*^9}, {
  3.615778207877325*^9, 3.6157782097548532`*^9}, {3.6159993842305813`*^9, 
  3.615999387713135*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"SubsetQ", "[", 
   RowBox[{"sup_", ",", "sub_"}], "]"}], ":=", 
  RowBox[{"And", "@@", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"MemberQ", "[", 
       RowBox[{"sup", ",", "#"}], "]"}], "&"}], "/@", "sub"}], 
    ")"}]}]}]], "Input"],

Cell[BoxData[{
 RowBox[{"SubsetQ", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "}"}], ",", 
   RowBox[{"{", "1", "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"SubsetQ", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2", ",", "3"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.6163381212829466`*^9, 3.6163381357181683`*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{"UniIndexSwapXX", "[", 
    RowBox[{"{", 
     RowBox[{"p_", ",", "s_"}], "}"}], "]"}], ":=", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"p", ",", "s"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"p", "\[LeftDoubleBracket]", 
          RowBox[{"{", 
           RowBox[{"1", ",", "2", ",", "4", ",", "3"}], "}"}], 
          "\[RightDoubleBracket]"}], ",", "s"}], "}"}]}], "}"}], 
     "\[IndentingNewLine]", 
     RowBox[{"UniIndexSwapYZ", "[", 
      RowBox[{"{", 
       RowBox[{"p_", ",", "s_"}], "}"}], "]"}]}], ":=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"p", ",", "s"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"p", "\[LeftDoubleBracket]", 
         RowBox[{"{", 
          RowBox[{"2", ",", "1", ",", "3", ",", "4"}], "}"}], 
         "\[RightDoubleBracket]"}], ",", 
        RowBox[{"-", "s"}]}], "}"}]}], "}"}]}]}], "*)"}]], "Input",
 CellChangeTimes->{{3.6159507578942842`*^9, 3.6159509148902645`*^9}, {
  3.6159510058424664`*^9, 3.6159510096156826`*^9}, {3.61595109017229*^9, 
  3.615951117063828*^9}, {3.615951279800136*^9, 3.6159512993752556`*^9}, {
  3.615951459289402*^9, 3.615951498831664*^9}, {3.6159516052407503`*^9, 
  3.6159516122631516`*^9}, {3.6160000417966814`*^9, 3.6160000584544373`*^9}, {
  3.616000234232137*^9, 3.6160002352246523`*^9}, {3.616000765092791*^9, 
  3.616000779563013*^9}, {3.6160018088623233`*^9, 3.6160018127348824`*^9}, {
  3.61633804857683*^9, 3.6163380497618475`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"UniIndexSwapXX", "[", 
   RowBox[{"{", 
    RowBox[{"p_", ",", "s_"}], "}"}], "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[LeftDoubleBracket]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", "2"}], "}"}], "~", "Join", "~", "#"}], 
       "\[RightDoubleBracket]"}], ",", "s"}], "}"}], "&"}], "/@", 
   RowBox[{"Permutations", "[", 
    RowBox[{"Range", "[", 
     RowBox[{"3", ",", 
      RowBox[{"Length", "[", "p", "]"}]}], "]"}], 
    "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"UniIndexSwapYZ", "[", 
   RowBox[{"{", 
    RowBox[{"p_", ",", "s_"}], "}"}], "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"p", ",", "s"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[LeftDoubleBracket]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"2", ",", "1"}], "}"}], "~", "Join", "~", 
        RowBox[{"Range", "[", 
         RowBox[{"3", ",", 
          RowBox[{"Length", "[", "p", "]"}]}], "]"}]}], 
       "\[RightDoubleBracket]"}], ",", 
      RowBox[{"-", "s"}]}], "}"}]}], "}"}]}]}], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"GetRepresentative", "[", 
   RowBox[{"func_", ",", 
    RowBox[{"{", 
     RowBox[{"p_", ",", "s_"}], "}"}]}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"lst", "=", 
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{"p", ",", "s"}], "}"}], "}"}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"lst", "=", 
         RowBox[{"Flatten", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
            "func", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], "/@",
             "lst"}], ",", "1"}], "]"}]}], ";"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", 
         RowBox[{"Length", "[", "func", "]"}]}], "}"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"lst", "=", 
      RowBox[{"Union", "@", "lst"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"lst", "\[LeftDoubleBracket]", 
         RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}], "===", 
        RowBox[{"lst", "\[LeftDoubleBracket]", 
         RowBox[{"2", ",", "1"}], "\[RightDoubleBracket]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"lst", "\[LeftDoubleBracket]", 
          RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}], ",", "0"}], 
        "}"}], ",", 
       RowBox[{
       "lst", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
      "]"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6159517382143555`*^9, 3.6159517863731103`*^9}, {
   3.61595181905898*^9, 3.6159518755012083`*^9}, {3.6159519166635623`*^9, 
   3.615951918600673*^9}, {3.615951955766799*^9, 3.61595201033792*^9}, {
   3.615952058324665*^9, 3.6159522560759754`*^9}, {3.6159525157258267`*^9, 
   3.615952572587079*^9}, {3.615999448484068*^9, 3.6159994546091623`*^9}, {
   3.6159998685440207`*^9, 3.6159998783266706`*^9}, 3.616000090274926*^9, {
   3.6160008174035945`*^9, 3.616000837161398*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"LoopFormula", "[", 
   RowBox[{"n_", ",", "var_", ",", 
    RowBox[{"{", 
     RowBox[{"p_", ",", "s_"}], "}"}]}], "]"}], ":=", 
  RowBox[{"s", " ", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"n", "\[NotEqual]", "12"}], "\[And]", 
      RowBox[{"SubsetQ", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "7"}], "}"}], ",", 
        "p"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
      "LoopListMoment1", "\[LeftDoubleBracket]", "4", 
       "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", 
      RowBox[{
       RowBox[{"p", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
       ",", 
       RowBox[{"p", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
       ",", 
       RowBox[{"p", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
       ",", 
       RowBox[{"p", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}]}], 
      "\[RightDoubleBracket]"}], ",", 
     SubscriptBox["var", 
      RowBox[{"Reverse", "[", "p", "]"}]]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.6160025490261917`*^9, 3.616002562363897*^9}, {
  3.6160030384072084`*^9, 3.61600304046224*^9}, {3.61606821198991*^9, 
  3.616068245407923*^9}, {3.616068289803605*^9, 3.6160682930486546`*^9}, {
  3.6160690427646832`*^9, 3.6160690594624395`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"LoopFormula2", "[", 
   RowBox[{"n_", ",", "var_", ",", 
    RowBox[{"{", 
     RowBox[{"p_", ",", "s_"}], "}"}]}], "]"}], ":=", 
  RowBox[{"s", " ", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"n", "\[NotEqual]", "12"}], "\[And]", 
      RowBox[{"SubsetQ", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "7"}], "}"}], ",", 
        "p"}], "]"}]}], ",", "\[IndentingNewLine]", "1", ",", 
     SubscriptBox["var", 
      RowBox[{"Reverse", "[", "p", "]"}]]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.6163374953808327`*^9, 3.616337501203422*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"LoopIndexMirror", "[", 
   RowBox[{"n_", ",", 
    RowBox[{"{", 
     RowBox[{"p_", ",", "s_"}], "}"}]}], "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"p", ",", "s"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"Which", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"n", "\[Equal]", "9"}], ",", 
         RowBox[{"{", 
          RowBox[{
          "3", ",", "2", ",", "1", ",", "  ", "7", ",", "6", ",", "5", ",", 
           "4", ",", "  ", "8", ",", "9"}], "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"n", "\[Equal]", "10"}], ",", 
         RowBox[{"{", 
          RowBox[{
          "3", ",", "2", ",", "1", ",", "  ", "7", ",", "6", ",", "5", ",", 
           "4", ",", "  ", "10", ",", "9", ",", "8"}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"n", "\[GreaterEqual]", "11"}], ",", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
           "3", ",", "2", ",", "1", ",", "  ", "7", ",", "6", ",", "5", ",", 
            "4", ",", "  ", "10", ",", "9", ",", "8"}], "}"}], "~", "Join", 
          "~", 
          RowBox[{"Range", "[", 
           RowBox[{"n", ",", "11", ",", 
            RowBox[{"-", "1"}]}], "]"}]}], ",", "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{
           RowBox[{"n", "\[Equal]", "12"}], ",", 
           RowBox[{"{", 
            RowBox[{
            "3", ",", "2", ",", "1", ",", "  ", "7", ",", "6", ",", "5", ",", 
             "4", ",", "  ", "10", ",", "9", ",", "8", ",", "  ", "12", ",", 
             "11"}], "}"}], ",", "\[IndentingNewLine]", 
           RowBox[{"n", "\[Equal]", "13"}], ",", 
           RowBox[{"{", 
            RowBox[{
            "3", ",", "2", ",", "1", ",", "  ", "7", ",", "6", ",", "5", ",", 
             "4", ",", "  ", "10", ",", "9", ",", "8", ",", "  ", "13", ",", 
             "12", ",", "11"}], "}"}], ",", "\[IndentingNewLine]", 
           RowBox[{"n", "\[Equal]", "14"}], ",", 
           RowBox[{"{", 
            RowBox[{
            "3", ",", "2", ",", "1", ",", "  ", "7", ",", "6", ",", "5", ",", 
             "4", ",", "  ", "10", ",", "9", ",", "8", ",", "  ", "14", ",", 
             "13", ",", "12", ",", "11"}], "}"}], ",", "\[IndentingNewLine]", 
           RowBox[{"n", "\[Equal]", "14"}], ",", 
           RowBox[{"{", 
            RowBox[{
            "3", ",", "2", ",", "1", ",", "  ", "7", ",", "6", ",", "5", ",", 
             "4", ",", "  ", "10", ",", "9", ",", "8", ",", "  ", "14", ",", 
             "13", ",", "12", ",", "11"}], "}"}], ","}], "*)"}], 
         "\[IndentingNewLine]", "True", ",", 
         RowBox[{"{", "}"}]}], "]"}], "\[LeftDoubleBracket]", "p", 
       "\[RightDoubleBracket]"}], ",", 
      RowBox[{"-", "s"}]}], "}"}]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LoopIndexMirror", "[", "n_", "]"}], ":=", 
  RowBox[{
   RowBox[{"LoopIndexMirror", "[", 
    RowBox[{"n", ",", "#"}], "]"}], "&"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LoopIndexRotate", "[", 
   RowBox[{"{", 
    RowBox[{"p_", ",", "s_"}], "}"}], "]"}], ":=", 
  RowBox[{"NestList", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "11", ",", "8", ",", "4", ",", "12", ",", "9", ",", "5", ",", "1", 
          ",", "10", ",", "6", ",", "2", ",", "7", ",", "3"}], "}"}], 
        "\[LeftDoubleBracket]", 
        RowBox[{"#", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
        "\[RightDoubleBracket]"}], ",", "s"}], "}"}], "&"}], ",", 
    RowBox[{"{", 
     RowBox[{"p", ",", "s"}], "}"}], ",", "2"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.615951525436186*^9, 3.6159515500275917`*^9}, {
   3.6159516060367956`*^9, 3.61595160645982*^9}, {3.61600089783733*^9, 
   3.6160008980473332`*^9}, {3.6160025692540026`*^9, 3.616002583011714*^9}, 
   3.616002714534734*^9, {3.616002819318844*^9, 3.6160028984700594`*^9}, {
   3.6160029336305995`*^9, 3.616002935173123*^9}, {3.6160047638697114`*^9, 
   3.616004808505397*^9}, {3.6160048445994525`*^9, 3.616004925525695*^9}, {
   3.6160726682836714`*^9, 3.616072693219054*^9}, {3.6160732751568832`*^9, 
   3.61607328144448*^9}, {3.616338453346547*^9, 3.6163384535440497`*^9}, {
   3.6163384969397163`*^9, 3.6163385287802057`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"LoopPrototypeForm", "[", 
   RowBox[{"n_", ",", "var_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"func", "=", 
      RowBox[{"{", 
       RowBox[{"UniIndexSwapXX", ",", "UniIndexSwapYZ", ",", 
        RowBox[{"LoopIndexMirror", "[", "n", "]"}]}], "}"}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"n", "\[Equal]", "12"}], ",", 
       RowBox[{"AppendTo", "[", 
        RowBox[{"func", ",", "LoopIndexRotate"}], "]"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Array", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"LoopFormula", "[", 
         RowBox[{"n", ",", "var", ",", 
          RowBox[{"GetRepresentative", "[", 
           RowBox[{"func", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", "##", "}"}], ",", "1"}], "}"}]}], "]"}]}], "]"}], 
        "&"}], ",", 
       RowBox[{"{", 
        RowBox[{"n", ",", "n", ",", "n", ",", "n"}], "}"}]}], "]"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.6160005635146947`*^9, 3.6160006678837976`*^9}, {
  3.616000905614949*^9, 3.6160009281202955`*^9}, {3.6160012521212716`*^9, 
  3.61600125525882*^9}, {3.616003017061881*^9, 3.616003034092142*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"LoopPrototype2Form", "[", 
   RowBox[{"n_", ",", "var_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"func", "=", 
      RowBox[{"{", 
       RowBox[{"UniIndexSwapXX", ",", "UniIndexSwapYZ", ",", 
        RowBox[{"LoopIndexMirror", "[", "n", "]"}]}], "}"}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"n", "\[Equal]", "12"}], ",", 
       RowBox[{"AppendTo", "[", 
        RowBox[{"func", ",", "LoopIndexRotate"}], "]"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Array", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"LoopFormula2", "[", 
         RowBox[{"n", ",", "var", ",", 
          RowBox[{"GetRepresentative", "[", 
           RowBox[{"func", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", "##", "}"}], ",", "1"}], "}"}]}], "]"}]}], "]"}], 
        "&"}], ",", 
       RowBox[{"{", 
        RowBox[{"n", ",", "n", ",", "n", ",", "n", ",", "n"}], "}"}]}], 
      "]"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6163375214762335`*^9, 3.616337528138836*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"LoopIndexCreaseMirror", "[", 
   RowBox[{"n_", ",", 
    RowBox[{"{", 
     RowBox[{"p_", ",", "s_"}], "}"}]}], "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"p", ",", "s"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"Which", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"n", "\[Equal]", "9"}], ",", 
         RowBox[{"{", 
          RowBox[{
          "4", ",", "7", ",", "9", ",", "  ", "1", ",", "5", ",", "8", ",", 
           "  ", "2", ",", "6", ",", "3"}], "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"n", "\[Equal]", "10"}], ",", 
         RowBox[{"{", 
          RowBox[{
          "3", ",", "2", ",", "1", ",", "  ", "7", ",", "6", ",", "5", ",", 
           "4", ",", "  ", "10", ",", "9", ",", "8"}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"n", "\[Equal]", "8"}], ",", 
         RowBox[{"{", 
          RowBox[{
          "3", ",", "6", ",", "1", ",", "4", ",", "7", ",", "2", ",", "5", 
           ",", "8"}], "}"}], ",", 
         RowBox[{"(*", "1.1", "*)"}], "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{
           RowBox[{"n", "\[Equal]", "6"}], ",", 
           RowBox[{"{", 
            RowBox[{"3", ",", "2", ",", "1", ",", "5", ",", "4", ",", "6"}], 
            "}"}], ","}], 
          RowBox[{"(*", "1.2", "*)"}], "*)"}], "\[IndentingNewLine]", 
         RowBox[{"n", "\[Equal]", "6"}], ",", 
         RowBox[{"{", 
          RowBox[{"3", ",", "2", ",", "1", ",", "5", ",", "4", ",", "6"}], 
          "}"}], ",", 
         RowBox[{"(*", "1.2", "*)"}], "\[IndentingNewLine]", "True", ",", 
         RowBox[{"{", "}"}]}], "]"}], "\[LeftDoubleBracket]", "p", 
       "\[RightDoubleBracket]"}], ",", 
      RowBox[{"-", "s"}]}], "}"}]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LoopIndexCreaseMirror", "[", "n_", "]"}], ":=", 
  RowBox[{
   RowBox[{"LoopIndexCreaseMirror", "[", 
    RowBox[{"n", ",", "#"}], "]"}], "&"}]}]}], "Input",
 CellChangeTimes->{{3.615951525436186*^9, 3.6159515500275917`*^9}, {
   3.6159516060367956`*^9, 3.61595160645982*^9}, {3.61600089783733*^9, 
   3.6160008980473332`*^9}, {3.6160025692540026`*^9, 3.616002583011714*^9}, 
   3.616002714534734*^9, {3.616002819318844*^9, 3.6160028984700594`*^9}, {
   3.6160029336305995`*^9, 3.616002935173123*^9}, {3.6160047638697114`*^9, 
   3.616004808505397*^9}, {3.6160048445994525`*^9, 3.616004925525695*^9}, {
   3.6160726682836714`*^9, 3.616072693219054*^9}, {3.6160732751568832`*^9, 
   3.61607328144448*^9}, {3.616095343191602*^9, 3.616095355231787*^9}, {
   3.6160957481678224`*^9, 3.6160957820183425`*^9}, {3.6166642607058926`*^9, 
   3.6166642748887033`*^9}, {3.6167568225065536`*^9, 
   3.6167568800608454`*^9}, {3.6167571452640142`*^9, 3.616757162274987*^9}, {
   3.6167572927594504`*^9, 3.6167572955426097`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"LoopCrease13Rotate", "[", 
   RowBox[{"{", 
    RowBox[{"p_", ",", "s_"}], "}"}], "]"}], ":=", 
  RowBox[{"NestList", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"6", ",", "3", ",", "5", ",", "1", ",", "2", ",", "6"}], 
         "}"}], "\[LeftDoubleBracket]", 
        RowBox[{"#", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
        "\[RightDoubleBracket]"}], ",", "s"}], "}"}], "&"}], ",", 
    RowBox[{"{", 
     RowBox[{"p", ",", "s"}], "}"}], ",", "2"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.616757369643848*^9, 3.61675740954213*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"LoopCreaseFormula", "[", 
   RowBox[{"n_", ",", "var_", ",", 
    RowBox[{"{", 
     RowBox[{"p_", ",", "s_"}], "}"}]}], "]"}], ":=", 
  RowBox[{"s", " ", 
   SubscriptBox["var", 
    RowBox[{"Reverse", "[", "p", "]"}]]}]}]], "Input",
 CellChangeTimes->{{3.616095507659128*^9, 3.6160955090841503`*^9}, {
  3.6160955504597855`*^9, 3.6160955613924537`*^9}, {3.616095738010166*^9, 
  3.616095738312671*^9}, {3.6160960421733394`*^9, 3.6160960536885166`*^9}, {
  3.616096121374556*^9, 3.6160961360472813`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"LoopCreasePrototypeForm", "[", 
   RowBox[{"n_", ",", "var_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"func", "=", 
      RowBox[{"{", 
       RowBox[{"UniIndexSwapXX", ",", "UniIndexSwapYZ"}], "}"}]}], "}"}], ",",
     "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"AppendTo", "[", 
      RowBox[{"func", ",", 
       RowBox[{"LoopIndexCreaseMirror", "[", "n", "]"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"AppendTo", "[", 
      RowBox[{"func", ",", "LoopCrease13Rotate"}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Array", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"LoopCreaseFormula", "[", 
         RowBox[{"n", ",", "var", ",", 
          RowBox[{"GetRepresentative", "[", 
           RowBox[{"func", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", "##", "}"}], ",", "1"}], "}"}]}], "]"}]}], "]"}], 
        "&"}], ",", 
       RowBox[{"{", 
        RowBox[{"n", ",", "n", ",", "n", ",", "n"}], "}"}]}], "]"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.6160952955358706`*^9, 3.6160953278563666`*^9}, 
   3.6160955776302032`*^9, 3.6160961134044333`*^9, {3.6166601706299534`*^9, 
   3.6166601714870024`*^9}, {3.6167574298992944`*^9, 3.616757436428668*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"LoopCreasePrototype2Form", "[", 
   RowBox[{"n_", ",", "var_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"func", "=", 
      RowBox[{"{", 
       RowBox[{"UniIndexSwapXX", ",", "UniIndexSwapYZ"}], "}"}]}], "}"}], ",",
     "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"AppendTo", "[", 
      RowBox[{"func", ",", 
       RowBox[{"LoopIndexCreaseMirror", "[", "n", "]"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"AppendTo", "[", 
      RowBox[{"func", ",", "LoopCrease13Rotate"}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Array", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"LoopCreaseFormula", "[", 
         RowBox[{"n", ",", "var", ",", 
          RowBox[{"GetRepresentative", "[", 
           RowBox[{"func", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", "##", "}"}], ",", "1"}], "}"}]}], "]"}]}], "]"}], 
        "&"}], ",", 
       RowBox[{"{", 
        RowBox[{"n", ",", "n", ",", "n", ",", "n", ",", "n"}], "}"}]}], 
      "]"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.616659344507702*^9, 3.6166593476858835`*^9}, {
  3.616659513578372*^9, 3.6166595274801674`*^9}, {3.616659963303095*^9, 
  3.616659963954132*^9}, {3.616664352163123*^9, 3.616664353392194*^9}, {
  3.616757443579077*^9, 3.616757443784088*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Analytical moments of Tetrahedron\
\>", "Subsection",
 CellChangeTimes->{{3.6161280201488943`*^9, 3.616128028332362*^9}, {
  3.616660162323478*^9, 3.6166601645626063`*^9}}],

Cell[BoxData[
 RowBox[{"ParametricPlot3D", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"z", ",", 
     RowBox[{"Max", "[", 
      RowBox[{
       RowBox[{"1", "-", "z"}], ",", "0"}], "]"}], ",", 
     RowBox[{"Max", "[", 
      RowBox[{
       RowBox[{"1", "-", "z", "-", "y"}], ",", "0"}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"z", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", "0", ",", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6161280704137697`*^9, 3.6161281170474367`*^9}}],

Cell[BoxData[
 RowBox[{
  SubsuperscriptBox["\[Integral]", "0", "1"], 
  RowBox[{
   SubsuperscriptBox["\[Integral]", "0", 
    RowBox[{"Max", "[", 
     RowBox[{
      RowBox[{"1", "-", "z"}], ",", "0"}], "]"}]], 
   RowBox[{
    SubsuperscriptBox["\[Integral]", "0", 
     RowBox[{"Max", "[", 
      RowBox[{
       RowBox[{"1", "-", "z", "-", "y"}], ",", "0"}], "]"}]], 
    RowBox[{
     RowBox[{"x", "^", "2"}], 
     RowBox[{"\[DifferentialD]", "x"}], 
     RowBox[{"\[DifferentialD]", "y"}], 
     RowBox[{"\[DifferentialD]", "z"}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.6161280341686964`*^9, 3.6161280590641203`*^9}}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "60"], "1."}]], "Input",
 CellChangeTimes->{{3.616128264225855*^9, 3.6161282643148603`*^9}}],

Cell[BoxData[{
 RowBox[{"(", 
  RowBox[{
   SubsuperscriptBox["\[Integral]", "0", "1"], 
   RowBox[{
    SubsuperscriptBox["\[Integral]", "0", 
     RowBox[{"Max", "[", 
      RowBox[{
       RowBox[{"1", "-", "z"}], ",", "0"}], "]"}]], 
    RowBox[{
     SubsuperscriptBox["\[Integral]", "0", 
      RowBox[{"Max", "[", 
       RowBox[{
        RowBox[{"1", "-", "z", "-", "y"}], ",", "0"}], "]"}]], 
     RowBox[{"1", 
      RowBox[{"\[DifferentialD]", "x"}], 
      RowBox[{"\[DifferentialD]", "y"}], 
      RowBox[{"\[DifferentialD]", "z"}]}]}]}]}], ")"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    SubsuperscriptBox["\[Integral]", "0", "1"], 
    RowBox[{
     SubsuperscriptBox["\[Integral]", "0", 
      RowBox[{"Max", "[", 
       RowBox[{
        RowBox[{"1", "-", "z"}], ",", "0"}], "]"}]], 
     RowBox[{
      SubsuperscriptBox["\[Integral]", "0", 
       RowBox[{"Max", "[", 
        RowBox[{
         RowBox[{"1", "-", "z", "-", "y"}], ",", "0"}], "]"}]], 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", "y", ",", "z"}], "}"}], 
       RowBox[{"\[DifferentialD]", "x"}], 
       RowBox[{"\[DifferentialD]", "y"}], 
       RowBox[{"\[DifferentialD]", "z"}]}]}]}]}], ")"}], "/", 
  FractionBox["1", "6"]}], "\[IndentingNewLine]", 
 RowBox[{"{", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     SubsuperscriptBox["\[Integral]", "0", "1"], 
     RowBox[{
      SubsuperscriptBox["\[Integral]", "0", 
       RowBox[{"Max", "[", 
        RowBox[{
         RowBox[{"1", "-", "z"}], ",", "0"}], "]"}]], 
      RowBox[{
       SubsuperscriptBox["\[Integral]", "0", 
        RowBox[{"Max", "[", 
         RowBox[{
          RowBox[{"1", "-", "z", "-", "y"}], ",", "0"}], "]"}]], 
       RowBox[{
        RowBox[{"x", "^", "2"}], 
        RowBox[{"\[DifferentialD]", "x"}], 
        RowBox[{"\[DifferentialD]", "y"}], 
        RowBox[{"\[DifferentialD]", "z"}]}]}]}]}], ")"}], ",", 
   RowBox[{"(", 
    RowBox[{
     SubsuperscriptBox["\[Integral]", "0", "1"], 
     RowBox[{
      SubsuperscriptBox["\[Integral]", "0", 
       RowBox[{"Max", "[", 
        RowBox[{
         RowBox[{"1", "-", "z"}], ",", "0"}], "]"}]], 
      RowBox[{
       SubsuperscriptBox["\[Integral]", "0", 
        RowBox[{"Max", "[", 
         RowBox[{
          RowBox[{"1", "-", "z", "-", "y"}], ",", "0"}], "]"}]], 
       RowBox[{"x", " ", "y", 
        RowBox[{"\[DifferentialD]", "x"}], 
        RowBox[{"\[DifferentialD]", "y"}], 
        RowBox[{"\[DifferentialD]", "z"}]}]}]}]}], ")"}]}], 
  "}"}], "\[IndentingNewLine]", 
 RowBox[{"{", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     SubsuperscriptBox["\[Integral]", "0", "1"], 
     RowBox[{
      SubsuperscriptBox["\[Integral]", "0", 
       RowBox[{"Max", "[", 
        RowBox[{
         RowBox[{"1", "-", "z"}], ",", "0"}], "]"}]], 
      RowBox[{
       SubsuperscriptBox["\[Integral]", "0", 
        RowBox[{"Max", "[", 
         RowBox[{
          RowBox[{"1", "-", "z", "-", "y"}], ",", "0"}], "]"}]], 
       RowBox[{
        RowBox[{"y", "^", "2"}], 
        RowBox[{"\[DifferentialD]", "x"}], 
        RowBox[{"\[DifferentialD]", "y"}], 
        RowBox[{"\[DifferentialD]", "z"}]}]}]}]}], ")"}], ",", 
   RowBox[{"(", 
    RowBox[{
     SubsuperscriptBox["\[Integral]", "0", "1"], 
     RowBox[{
      SubsuperscriptBox["\[Integral]", "0", 
       RowBox[{"Max", "[", 
        RowBox[{
         RowBox[{"1", "-", "z"}], ",", "0"}], "]"}]], 
      RowBox[{
       SubsuperscriptBox["\[Integral]", "0", 
        RowBox[{"Max", "[", 
         RowBox[{
          RowBox[{"1", "-", "z", "-", "y"}], ",", "0"}], "]"}]], 
       RowBox[{"y", " ", "z", 
        RowBox[{"\[DifferentialD]", "x"}], 
        RowBox[{"\[DifferentialD]", "y"}], 
        RowBox[{"\[DifferentialD]", "z"}]}]}]}]}], ")"}]}], 
  "}"}], "\[IndentingNewLine]", 
 RowBox[{"{", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     SubsuperscriptBox["\[Integral]", "0", "1"], 
     RowBox[{
      SubsuperscriptBox["\[Integral]", "0", 
       RowBox[{"Max", "[", 
        RowBox[{
         RowBox[{"1", "-", "z"}], ",", "0"}], "]"}]], 
      RowBox[{
       SubsuperscriptBox["\[Integral]", "0", 
        RowBox[{"Max", "[", 
         RowBox[{
          RowBox[{"1", "-", "z", "-", "y"}], ",", "0"}], "]"}]], 
       RowBox[{
        RowBox[{"z", "^", "2"}], 
        RowBox[{"\[DifferentialD]", "x"}], 
        RowBox[{"\[DifferentialD]", "y"}], 
        RowBox[{"\[DifferentialD]", "z"}]}]}]}]}], ")"}], ",", 
   RowBox[{"(", 
    RowBox[{
     SubsuperscriptBox["\[Integral]", "0", "1"], 
     RowBox[{
      SubsuperscriptBox["\[Integral]", "0", 
       RowBox[{"Max", "[", 
        RowBox[{
         RowBox[{"1", "-", "z"}], ",", "0"}], "]"}]], 
      RowBox[{
       SubsuperscriptBox["\[Integral]", "0", 
        RowBox[{"Max", "[", 
         RowBox[{
          RowBox[{"1", "-", "z", "-", "y"}], ",", "0"}], "]"}]], 
       RowBox[{"z", " ", "x", 
        RowBox[{"\[DifferentialD]", "x"}], 
        RowBox[{"\[DifferentialD]", "y"}], 
        RowBox[{"\[DifferentialD]", "z"}]}]}]}]}], ")"}]}], "}"}]}], "Input",
 CellChangeTimes->{{3.6161283252873473`*^9, 3.6161284626362033`*^9}}],

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     SubsuperscriptBox["\[Integral]", "0", "1"], 
     RowBox[{
      SubsuperscriptBox["\[Integral]", "0", 
       RowBox[{"Max", "[", 
        RowBox[{
         RowBox[{"1", "-", "z"}], ",", "0"}], "]"}]], 
      RowBox[{
       SubsuperscriptBox["\[Integral]", "0", 
        RowBox[{"Max", "[", 
         RowBox[{
          RowBox[{"1", "-", "z", "-", "y"}], ",", "0"}], "]"}]], 
       RowBox[{
        RowBox[{"x", "^", "p"}], " ", 
        RowBox[{"y", "^", "q"}], " ", 
        RowBox[{"z", "^", "r"}], 
        RowBox[{"\[DifferentialD]", "x"}], 
        RowBox[{"\[DifferentialD]", "y"}], 
        RowBox[{"\[DifferentialD]", "z"}]}]}]}]}], ")"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"0", "\[LessEqual]", "p"}], "\[And]", 
      RowBox[{"p", "\[Element]", "Integers"}]}], ",", 
     RowBox[{"0", "\[LessEqual]", "r"}], ",", 
     RowBox[{"0", "\[LessEqual]", "q"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6161284685265403`*^9, 3.616128554998486*^9}, {
  3.6161286308158226`*^9, 3.6161286387552767`*^9}}],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{"p", "!"}], " ", 
      RowBox[{"q", "!"}], " ", 
      RowBox[{"r", "!"}]}], 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"3", "+", "p", "+", "q", "+", "r"}], ")"}], "!"}]], "==", 
    FractionBox[
     RowBox[{
      RowBox[{"Gamma", "[", 
       RowBox[{"1", "+", "p"}], "]"}], " ", 
      RowBox[{"Gamma", "[", 
       RowBox[{"1", "+", "q"}], "]"}], " ", 
      RowBox[{"Gamma", "[", 
       RowBox[{"1", "+", "r"}], "]"}]}], 
     RowBox[{"Gamma", "[", 
      RowBox[{"4", "+", "p", "+", "q", "+", "r"}], "]"}]]}], ",", 
   RowBox[{"{", 
    RowBox[{"p", ",", "0", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"q", ",", "0", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"r", ",", "0", ",", "3"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.616128859265889*^9, 3.6161288997732058`*^9}}],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{"p", "!"}], " ", 
     RowBox[{"q", "!"}], " ", 
     RowBox[{"r", "!"}]}], 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"3", "+", "p", "+", "q", "+", "r"}], ")"}], "!"}]], ",", 
   RowBox[{"{", 
    RowBox[{"p", ",", "0", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"q", ",", "0", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"r", ",", "0", ",", "4"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.616129030394677*^9, 3.616129045794558*^9}}],

Cell[BoxData[
 RowBox[{"Reduce", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Factorial", "[", "p", "]"}], " ", "\[Equal]", " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"1", "+", "p"}], "]"}]}], ",", "Integers"}], "]"}]], "Input",
 CellChangeTimes->{{3.6161288165934486`*^9, 3.6161288399117823`*^9}}],

Cell[BoxData[
 RowBox[{"Reduce", "[", 
  RowBox[{
   RowBox[{"Factorial", "[", "p", "]"}], "\[Equal]", 
   RowBox[{"Gamma", "[", 
    RowBox[{"1", "+", "p"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6161287604212356`*^9, 3.6161287796823373`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "!"}], ",", 
      RowBox[{"Gamma", "[", 
       RowBox[{"1", "+", "p"}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"p", ",", "0", ",", "10"}], "}"}]}], "]"}], "//", 
  "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.616128652377056*^9, 3.6161287124144897`*^9}}],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{
    RowBox[{"Gamma", "[", 
     RowBox[{"1", "+", "p"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"1", "+", "q"}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"1", "+", "r"}], "]"}]}], 
   RowBox[{"Gamma", "[", 
    RowBox[{"4", "+", "p", "+", "q", "+", "r"}], "]"}]], "//", "ExpandAll"}]],\
 "Input",
 CellChangeTimes->{{3.6161285641280084`*^9, 3.6161285712834177`*^9}}],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"6", "+", 
     RowBox[{"11", " ", "p"}], "+", 
     RowBox[{"6", " ", 
      SuperscriptBox["p", "2"]}], "+", 
     SuperscriptBox["p", "3"]}]], ",", 
   RowBox[{"{", 
    RowBox[{"p", ",", "0", ",", "3"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6161285043645897`*^9, 3.6161285162932725`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Test value", "Subsection",
 CellChangeTimes->{{3.616660228245249*^9, 3.616660232881514*^9}}],

Cell[BoxData[
 RowBox[{"Length", "@", 
  RowBox[{"Tally", "@", 
   RowBox[{"Abs", "@", 
    RowBox[{"Flatten", "@", "LoopCen3aForm"}]}]}]}]], "Input",
 CellChangeTimes->{3.616660122222184*^9}]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Loop case 6, 3, 4, 5, 7, 8", "Section",
 CellChangeTimes->{{3.605327924449959*^9, 3.6053279283121796`*^9}, {
  3.6056149079927945`*^9, 3.6056149089858513`*^9}, {3.6056228516001425`*^9, 
  3.6056228546483173`*^9}, {3.6158639571278963`*^9, 3.615863961377962*^9}, {
  3.6158671505747256`*^9, 3.6158671524897547`*^9}, {3.6160031731092777`*^9, 
  3.6160031799943833`*^9}, {3.616095005338913*^9, 3.6160950120890164`*^9}}],

Cell[CellGroupData[{

Cell["axis calibration mesh", "Subsection",
 CellChangeTimes->{{3.6161275993748274`*^9, 3.616127604055095*^9}, {
  3.616127878996821*^9, 3.6161278795648537`*^9}}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{3.616129848777486*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"V", ",", "F"}], "}"}], "=", "TetrahedronMesh"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"Vs", ",", "Fs"}], "}"}], "=", 
   RowBox[{"Nest", "[", 
    RowBox[{"LinearSubdivide", ",", 
     RowBox[{"{", 
      RowBox[{"V", ",", "F"}], "}"}], ",", "3"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Vn", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"V", "\[LeftDoubleBracket]", 
      RowBox[{
       RowBox[{"Sort", "[", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"With", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"dif", "=", 
              RowBox[{
               RowBox[{
               "Vs", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
               "-", 
               RowBox[{
               "V", "\[LeftDoubleBracket]", "j", 
                "\[RightDoubleBracket]"}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"N", "[", 
               RowBox[{"dif", ".", "dif"}], "]"}], ",", "j"}], "}"}]}], "]"}],
           ",", 
          RowBox[{"{", 
           RowBox[{"j", ",", 
            RowBox[{"Length", "[", "V", "]"}]}], "}"}]}], "]"}], "]"}], 
       "\[LeftDoubleBracket]", 
       RowBox[{"1", ",", "2"}], "\[RightDoubleBracket]"}], 
      "\[RightDoubleBracket]"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "Vs", "]"}]}], "}"}]}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.6063783554164915`*^9, 3.606378376046671*^9}, {
   3.6063784103286324`*^9, 3.6063784219932995`*^9}, {3.6065963432043233`*^9, 
   3.6065963435633435`*^9}, 3.6065964385137744`*^9, {3.606725789057846*^9, 
   3.6067258245068736`*^9}, {3.6069297709603915`*^9, 3.606929829292728*^9}, {
   3.606929964858482*^9, 3.6069300225847836`*^9}, 3.6069302678788137`*^9, 
   3.6069304745306334`*^9, 3.606959855502966*^9, 3.6075202939272947`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Rasterize", "[", 
    RowBox[{
     RowBox[{"Show", "[", 
      RowBox[{
       RowBox[{"PlotMesh", "[", 
        RowBox[{"TetrahedronInvertMesh", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"1", "-", "\[Lambda]"}], ")"}], " ", "Vs"}], "+", 
             RowBox[{"\[Lambda]", " ", "Vn"}]}], ",", "Fs"}], "}"}], "/.", 
          RowBox[{"\[Lambda]", "\[Rule]", "#"}]}], "]"}], "]"}], ",", 
       RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
       RowBox[{"Axes", "\[Rule]", "False"}], ",", 
       RowBox[{"ImageSize", "\[Rule]", "90"}], ",", 
       RowBox[{"PlotRangePadding", "\[Rule]", "None"}]}], "]"}], ",", 
     RowBox[{"ImageResolution", "\[Rule]", "200"}]}], "]"}], "&"}], "/@", 
  RowBox[{"{", 
   RowBox[{"0", ",", "0.4", ",", "0.7", ",", "1"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.6069302708749847`*^9, 3.606930288889015*^9}, {
   3.6073834103471932`*^9, 3.607383450732814*^9}, {3.6074598024620256`*^9, 
   3.607459883949686*^9}, 3.607460104328291*^9, {3.607550057658789*^9, 
   3.6075501152580833`*^9}, {3.607550218232973*^9, 3.607550245411528*^9}, {
   3.607550281779608*^9, 3.6075502936832886`*^9}, {3.6075504061857233`*^9, 
   3.6075504106909814`*^9}, 3.60755064476937*^9, {3.616129854245799*^9, 
   3.6161298609971848`*^9}}],

Cell[BoxData[
 RowBox[{"Rasterize", "[", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"PlotMesh", "[", 
      RowBox[{"Nest", "[", 
       RowBox[{"LoopSubdivide", ",", 
        RowBox[{"TetrahedronInvertMesh", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Vn", "+", "0."}], ",", "Fs"}], "}"}], "]"}], ",", "1"}], 
       "]"}], "]"}], ",", 
     RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
     RowBox[{"Axes", "\[Rule]", "False"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "90"}], ",", 
     RowBox[{"PlotRangePadding", "\[Rule]", "None"}]}], "]"}], ",", 
   RowBox[{"ImageResolution", "\[Rule]", "200"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6161609736950207`*^9, 3.6161610107411394`*^9}}],

Cell[BoxData[
 RowBox[{"Rasterize", "[", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"PlotMesh", "[", 
      RowBox[{"Nest", "[", 
       RowBox[{"LoopSubdivide", ",", 
        RowBox[{"TetrahedronInvertMesh", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Vn", "+", "0."}], ",", "Fs"}], "}"}], "]"}], ",", "2"}], 
       "]"}], "]"}], ",", 
     RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
     RowBox[{"Axes", "\[Rule]", "False"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "90"}], ",", 
     RowBox[{"PlotRangePadding", "\[Rule]", "None"}]}], "]"}], ",", 
   RowBox[{"ImageResolution", "\[Rule]", "200"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6161609736950207`*^9, 3.616161017183508*^9}}],

Cell[BoxData[
 RowBox[{"PlotMesh", "[", "LoopCalibrationAxisTetrahedron", "]"}]], "Input",
 CellChangeTimes->{{3.616127652602872*^9, 3.616127654537983*^9}}],

Cell[BoxData[
 RowBox[{"LoopVolume", "[", "LoopCalibrationAxisTetrahedron", "]"}]], "Input",
 CellChangeTimes->{{3.6161276058131957`*^9, 3.6161276275214376`*^9}, {
  3.616127682952608*^9, 3.6161276948102865`*^9}}],

Cell[BoxData[
 RowBox[{"LoopMoment1", "[", "LoopCalibrationAxisTetrahedron", "]"}]], "Input",
 CellChangeTimes->{{3.616127701296657*^9, 3.6161277037928*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    FractionBox["1", "24"], ",", 
    FractionBox["1", "24"], ",", 
    FractionBox["1", "24"]}], "}"}], "6"}]], "Input",
 CellChangeTimes->{{3.616127711574245*^9, 3.616127711630248*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["case 6 symb", "Subsection",
 CellChangeTimes->{{3.60562336381744*^9, 3.6056233784292755`*^9}, {
   3.6158654820083184`*^9, 3.6158654885984197`*^9}, 3.6160031767318335`*^9, 
   3.6160051057384634`*^9, {3.616095019914137*^9, 3.616095020391644*^9}}],

Cell[CellGroupData[{

Cell["subdivision", "Subsubsection",
 CellChangeTimes->{{3.616338294574108*^9, 3.6163383102568493`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Omega]", "1"], ",", 
     SubscriptBox["\[Omega]", "2"]}], "}"}], "=", 
   RowBox[{"LoopWeight", "[", "6", "]"}]}], ";", 
  RowBox[{"{", 
   RowBox[{
    SubscriptBox["\[Omega]", "1"], ",", 
    SubscriptBox["\[Omega]", "2"]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sub", "=", 
   RowBox[{"(", GridBox[{
      {"3", "1", "0", "1", "3", "0", "0", "0", "0", "0", "0", "0"},
      {"1", "3", "0", "0", "3", "1", "0", "0", "0", "0", "0", "0"},
      {"0", "3", "1", "0", "1", "3", "0", "0", "0", "0", "0", "0"},
      {"0", "1", "3", "0", "0", "3", "1", "0", "0", "0", "0", "0"},
      {"1", "0", "0", "3", "3", "0", "0", "1", "0", "0", "0", "0"},
      {
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"], "0", 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "1"], 
       SubscriptBox["\[Omega]", "2"], "0", 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"], "0", "0", "0"},
      {"0", "1", "0", "0", "3", "3", "0", "0", "1", "0", "0", "0"},
      {"0", 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"], "0", 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "1"], 
       SubscriptBox["\[Omega]", "2"], "0", 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"], "0", "0"},
      {"0", "0", "1", "0", "0", "3", "3", "0", "0", "1", "0", "0"},
      {"0", "0", "0", "1", "3", "0", "0", "3", "1", "0", "0", "0"},
      {"0", "0", "0", "0", "3", "1", "0", "1", "3", "0", "0", "0"},
      {"0", "0", "0", "0", "1", "3", "0", "0", "3", "1", "0", "0"},
      {"0", "0", "0", "0", "0", "3", "1", "0", "1", "3", "0", "0"},
      {"0", "0", "0", "0", "1", "0", "0", "3", "3", "0", "1", "0"},
      {"0", "0", "0", "0", 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"], "0", 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "1"], 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"]},
      {"0", "0", "0", "0", "0", "1", "0", "0", "3", "3", "0", "1"},
      {"0", "0", "0", "0", "0", "0", "0", "1", "3", "0", "3", "1"},
      {"0", "0", "0", "0", "0", "0", "0", "0", "3", "1", "1", "3"}
     }], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Total", "/@", "sub"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LP6sub", "=", 
   RowBox[{"NormalizeWeights", "[", "sub", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LP6ind", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "1", ",", "2", ",", "3", ",", "  ", "5", ",", "6", ",", "7", ",", "8", 
       ",", "  ", "10", ",", "11", ",", "12", ",", "  ", "14", ",", "15"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "2", ",", "3", ",", "4", ",", "  ", "6", ",", "7", ",", "8", ",", "9", 
       ",", "  ", "11", ",", "12", ",", "13", ",", "  ", "15", ",", "16"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "16", ",", "15", ",", "14", ",", "  ", "13", ",", "12", ",", "11", ",", 
       "10", ",", "  ", "8", ",", "7", ",", "6", ",", "  ", "3", ",", "2"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "6", ",", "7", ",", "8", ",", "  ", "10", ",", "11", ",", "12", ",", 
       "13", ",", "  ", "14", ",", "15", ",", "16", ",", "  ", "17", ",", 
       "18"}], "}"}]}], "\[IndentingNewLine]", "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.6160032904110794`*^9, 3.616003318834016*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"LP6sub", "\[LeftDoubleBracket]", 
   RowBox[{"LP6ind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
   "\[RightDoubleBracket]"}], "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.615766473350382*^9, 3.6157664954506454`*^9}, {
  3.615865579397314*^9, 3.6158655810848403`*^9}, {3.6160033292241755`*^9, 
  3.6160033392168293`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["centroid", "Subsubsection",
 CellChangeTimes->{{3.616338294574108*^9, 3.6163382975916543`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frm6", "=", 
   RowBox[{"LoopPrototypeForm", "[", 
    RowBox[{"12", ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"frm6", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm6", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"var", "//", "Length"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
   3.615766552206892*^9, 3.615766553603972*^9}, {3.615777145035*^9, 
   3.6157771458075113`*^9}, 3.615777506580553*^9, {3.6158483613035173`*^9, 
   3.6158483649685736`*^9}, {3.615850523497007*^9, 3.615850524609524*^9}, {
   3.615865587912445*^9, 3.615865604127694*^9}, {3.6160019693522882`*^9, 
   3.616001977987421*^9}, {3.616003343314392*^9, 3.616003357052103*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"eqs", "=", 
   RowBox[{"Expand", "[", 
    RowBox[{
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{"NestT", "[", 
        RowBox[{"frm6", ",", 
         RowBox[{"LP6sub", "\[LeftDoubleBracket]", 
          RowBox[{
          "LP6ind", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
          "\[RightDoubleBracket]"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "4"}], "}"}]}], "]"}], "-", "frm6"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.61576653363883*^9, 3.615766611305272*^9}, {
  3.6157753144203815`*^9, 3.6157753321406536`*^9}, {3.6157774072065268`*^9, 
  3.615777423144271*^9}, {3.6157784459034805`*^9, 3.61577844843602*^9}, {
  3.6157791005035353`*^9, 3.6157791031910763`*^9}, {3.615865635648178*^9, 
  3.61586566114357*^9}, {3.6158660814633045`*^9, 3.6158661220314274`*^9}, {
  3.615866168059634*^9, 3.615866170957179*^9}, {3.616003363884708*^9, 
  3.616003377489917*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"eqs", "\[LeftDoubleBracket]", 
   RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "\[RightDoubleBracket]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.6158661271165056`*^9, 3.615866162984556*^9}, 
   3.615866235298167*^9, {3.616003737320444*^9, 3.6160037465680857`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"mat", ",", "vec"}], "}"}], "=", 
   RowBox[{"BuildEssential", "[", 
    RowBox[{"eqs", ",", "var"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6157784163080263`*^9, 3.615778417588046*^9}, {
   3.6157784536986003`*^9, 3.615778494956734*^9}, {3.615778565062811*^9, 
   3.615778574187951*^9}, 3.6158505213319736`*^9}],

Cell[BoxData[
 RowBox[{"Clear", "[", "eqs", "]"}]], "Input",
 CellChangeTimes->{{3.616003876482581*^9, 3.6160038784101105`*^9}}],

Cell[BoxData[{
 RowBox[{"mat", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{"Union", "@", "vec"}]}], "Input",
 CellChangeTimes->{{3.615865730872141*^9, 3.615865731714654*^9}, {
  3.6158662484283686`*^9, 3.6158662582235193`*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"mat", ">>", "\"\<loop_regularMat.mx\>\""}], "*)"}]], "Input",
 CellChangeTimes->{{3.615865752372471*^9, 3.615865760507596*^9}, {
  3.616003889552782*^9, 3.6160038900502896`*^9}, {3.6160039358559933`*^9, 
  3.6160039365685043`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"mat", "=", 
   RowBox[{"<<", "\"\<loop_regularMat.mx\>\""}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6160039626464047`*^9, 3.6160039656539507`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nul", "=", 
   RowBox[{"NullSpace", "[", "mat", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6158657336246834`*^9, 3.6158657372147384`*^9}, {
  3.6158657705652504`*^9, 3.615865772717784*^9}}],

Cell[BoxData[
 RowBox[{"nul", "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.615865787330508*^9, 3.615865788215522*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"nul", ">>", "\"\<loop_regularNullspace.mx\>\""}], "*)"}]], "Input",
 CellChangeTimes->{{3.6160040477002115`*^9, 3.61600406064141*^9}, {
  3.616065320458496*^9, 3.616065321146007*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nul", "=", 
   RowBox[{"<<", "\"\<loop_regularNullspace.mx\>\""}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6160653167659397`*^9, 3.616065318855972*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"sol", "=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"lin", "=", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Alpha]", "1"], ",", 
          SubscriptBox["\[Alpha]", "2"]}], "}"}], ".", "nul"}]}], "}"}], ",", 
     RowBox[{"frm6", "/.", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
         "var", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
         "\[Rule]", 
         RowBox[{
         "lin", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", 
          RowBox[{"Length", "[", "var", "]"}]}], "}"}]}], "]"}]}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.6160021609777317`*^9, 3.6160022383389196`*^9}, 
   3.6160653298836412`*^9}],

Cell[BoxData[
 RowBox[{"Dimensions", "@", "sol"}]], "Input",
 CellChangeTimes->{{3.6160653447588696`*^9, 3.616065357606567*^9}}],

Cell[BoxData[
 RowBox[{"sol", "\[LeftDoubleBracket]", 
  RowBox[{"1", ",", "2"}], "\[RightDoubleBracket]"}]], "Input",
 CellChangeTimes->{{3.6160653659566956`*^9, 3.6160653787443914`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["inertia", "Subsubsection",
 CellChangeTimes->{{3.6163375641468887`*^9, 3.616337568836961*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frm6", "=", 
   RowBox[{"LoopPrototype2Form", "[", 
    RowBox[{"12", ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"frm6", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm6", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"var", "//", "Length"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
   3.615766552206892*^9, 3.615766553603972*^9}, {3.615777145035*^9, 
   3.6157771458075113`*^9}, 3.615777506580553*^9, {3.6158483613035173`*^9, 
   3.6158483649685736`*^9}, {3.615850523497007*^9, 3.615850524609524*^9}, {
   3.615865587912445*^9, 3.615865604127694*^9}, {3.6160019693522882`*^9, 
   3.616001977987421*^9}, {3.616003343314392*^9, 3.616003357052103*^9}, 
   3.61633759418485*^9}],

Cell[BoxData[
 RowBox[{"var", "\[LeftDoubleBracket]", 
  RowBox[{"Range", "[", "10", "]"}], "\[RightDoubleBracket]"}]], "Input",
 CellChangeTimes->{{3.616337887844361*^9, 3.6163378926194344`*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["case 3 symb", "Subsection",
 CellChangeTimes->{{3.60562336381744*^9, 3.6056233784292755`*^9}, {
   3.6158654820083184`*^9, 3.6158654885984197`*^9}, 3.6160031767318335`*^9, 
   3.6160051057384634`*^9, 3.6160680581050463`*^9, {3.6160950146915565`*^9, 
   3.6160950153615665`*^9}}],

Cell[CellGroupData[{

Cell["subdivision", "Subsubsection",
 CellChangeTimes->{{3.616338294574108*^9, 3.6163383102568493`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Omega]", "1"], ",", 
     SubscriptBox["\[Omega]", "2"]}], "}"}], "=", 
   RowBox[{"LoopWeight", "[", "6", "]"}]}], ";", 
  RowBox[{"{", 
   RowBox[{
    SubscriptBox["\[Omega]", "1"], ",", 
    SubscriptBox["\[Omega]", "2"]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Beta]", "1"], ",", 
     SubscriptBox["\[Beta]", "2"]}], "}"}], "=", 
   RowBox[{"LoopWeight", "[", "3", "]"}]}], ";", 
  RowBox[{"{", 
   RowBox[{
    SubscriptBox["\[Beta]", "1"], ",", 
    SubscriptBox["\[Beta]", "2"]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sub", "=", 
   RowBox[{"(", GridBox[{
      {"3", "1", "0", "1", "3", "0", "0", "0", "0"},
      {"1", "3", "0", "0", "3", "1", "0", "0", "0"},
      {"0", "3", "1", "0", "1", "3", "0", "0", "0"},
      {"0", "1", "3", "0", "0", "3", "1", "0", "0"},
      {"1", "0", "0", "3", "3", "0", "0", "1", "0"},
      {
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"], "0", 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "1"], 
       SubscriptBox["\[Omega]", "2"], "0", 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"]},
      {"0", "1", "0", "0", "3", "3", "0", "0", "1"},
      {"0", 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"], "0", 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "1"], 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"]},
      {"0", "0", "1", "0", "0", "3", "3", "1", "0"},
      {"0", "0", "0", "1", "3", "0", "0", "3", "1"},
      {"0", "0", "0", "0", "3", "1", "0", "1", "3"},
      {"0", "0", "0", "0", "1", "3", "0", "1", "3"},
      {"0", "0", "0", "0", "0", "3", "1", "3", "1"},
      {"0", "0", "0", "0", "1", "1", "0", "3", "3"},
      {"0", "0", "0", "0", 
       SubscriptBox["\[Beta]", "2"], 
       SubscriptBox["\[Beta]", "2"], "0", 
       SubscriptBox["\[Beta]", "2"], 
       SubscriptBox["\[Beta]", "1"]}
     }], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Total", "[", "#", "]"}], "&"}], "/@", 
  "sub"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LP3sub", "=", 
   RowBox[{"NormalizeWeights", "[", "sub", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"LP3sub", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LP3ind", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "1", ",", "2", ",", "3", ",", "  ", "5", ",", "6", ",", "7", ",", "8", 
       ",", "  ", "10", ",", "11", ",", "12", ",", "  ", "14", ",", "15"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "2", ",", "3", ",", "4", ",", "  ", "6", ",", "7", ",", "8", ",", "9", 
       ",", "  ", "11", ",", "12", ",", "13", ",", "  ", "15", ",", "14"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "14", ",", "15", ",", "14", ",", "  ", "13", ",", "12", ",", "11", ",", 
       "10", ",", "  ", "8", ",", "7", ",", "6", ",", "  ", "3", ",", "2"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "6", ",", "7", ",", "8", ",", "  ", "10", ",", "11", ",", "12", ",", 
       "13", ",", "  ", "14", ",", "15"}], "}"}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.6160032904110794`*^9, 3.616003318834016*^9}, 
   3.616068099633184*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"LP3sub", "\[LeftDoubleBracket]", 
   RowBox[{"LP3ind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
   "\[RightDoubleBracket]"}], "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.615766473350382*^9, 3.6157664954506454`*^9}, {
  3.615865579397314*^9, 3.6158655810848403`*^9}, {3.6160033292241755`*^9, 
  3.6160033392168293`*^9}, {3.616068143253854*^9, 3.616068145713892*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["centroid", "Subsubsection",
 CellChangeTimes->{{3.616338294574108*^9, 3.6163382975916543`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frm3", "=", 
   RowBox[{"LoopPrototypeForm", "[", 
    RowBox[{"9", ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"frm3", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm3", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"var", "//", "Length"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
   3.615766552206892*^9, 3.615766553603972*^9}, {3.615777145035*^9, 
   3.6157771458075113`*^9}, 3.615777506580553*^9, {3.6158483613035173`*^9, 
   3.6158483649685736`*^9}, {3.615850523497007*^9, 3.615850524609524*^9}, {
   3.615865587912445*^9, 3.615865604127694*^9}, {3.6160019693522882`*^9, 
   3.616001977987421*^9}, {3.616003343314392*^9, 3.616003357052103*^9}, {
   3.616068150586467*^9, 3.616068160079112*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"eqs", "=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"frm6", "=", 
       RowBox[{
       "LoopListMoment1", "\[LeftDoubleBracket]", "4", 
        "\[RightDoubleBracket]"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"NestT", "[", 
       RowBox[{"frm6", ",", 
        RowBox[{"LP3sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP3ind", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm6", ",", 
        RowBox[{"LP3sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP3ind", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm6", ",", 
        RowBox[{"LP3sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP3ind", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm3", ",", 
        RowBox[{"LP3sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP3ind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "-", "frm3"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.616055875601272*^9, {3.616068383675047*^9, 3.616068406730401*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"mat", ",", "vec"}], "}"}], "=", 
   RowBox[{"BuildEssential", "[", 
    RowBox[{"eqs", ",", "var"}], "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"mat", "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.6160562176147895`*^9, 3.6160562193198867`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"lin", "=", 
   RowBox[{"LinearSolve", "[", 
    RowBox[{"mat", ",", 
     RowBox[{"-", "vec"}]}], "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"Length", "/@", 
  RowBox[{"{", 
   RowBox[{"lin", ",", "var"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.6160685341808586`*^9, 3.6160685482085743`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"sol", "=", 
   RowBox[{"frm3", "/.", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"var", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
       "\[Rule]", 
       RowBox[{
       "lin", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", 
        RowBox[{"Length", "[", "lin", "]"}]}], "}"}]}], "]"}]}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.616056437880782*^9, 3.616056446295912*^9}}],

Cell[BoxData[
 RowBox[{"sol", "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.616068558111226*^9, 3.616068559611249*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{"sol", ">>", "\"\<LoopMoment1Xalt3.mx\>\""}], ";"}], 
  "*)"}]], "Input",
 CellChangeTimes->{{3.6160564653262043`*^9, 3.616056475178855*^9}, {
  3.616068569738905*^9, 3.6160685725214477`*^9}, {3.616068810711119*^9, 
  3.616068811343629*^9}}],

Cell[BoxData[
 RowBox[{"Length", "@", 
  RowBox[{"Tally", "@", 
   RowBox[{"Abs", "@", 
    RowBox[{"Flatten", "@", "sol"}]}]}]}]], "Input",
 CellChangeTimes->{{3.616068578501539*^9, 3.6160685881516876`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Array", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"SubsetQ", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "7"}], "}"}], ",", 
         RowBox[{"{", "##", "}"}]}], "]"}], ",", 
       RowBox[{"Print", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", "##", "}"}], ",", 
          RowBox[{
           RowBox[{
            RowBox[{
            "LoopListMoment1", "\[LeftDoubleBracket]", "1", 
             "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", "##", 
            "\[RightDoubleBracket]"}], "-", 
           RowBox[{
            RowBox[{
            "LoopListMoment1", "\[LeftDoubleBracket]", "4", 
             "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", "##", 
            "\[RightDoubleBracket]"}]}]}], "}"}], "]"}]}], "]"}], "&"}], ",", 
    RowBox[{"{", 
     RowBox[{"9", ",", "9", ",", "9", ",", "9"}], "}"}]}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.6160688974199505`*^9, 3.6160689982139993`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frm3", "=", 
   RowBox[{"LoopPrototypeForm", "[", 
    RowBox[{"9", ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"frm3", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm3", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"var", "//", "Length"}]}], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"0", "\[Equal]", "#"}], "&"}], "/@", 
    RowBox[{"Flatten", "[", 
     RowBox[{"frm3", "-", 
      RowBox[{
      "LoopListMoment1", "\[LeftDoubleBracket]", "1", 
       "\[RightDoubleBracket]"}]}], "]"}]}], "]"}], "//", "Length"}]], "Input",
 CellChangeTimes->{{3.616069130133525*^9, 3.6160691716541634`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["inertia", "Subsubsection",
 CellChangeTimes->{{3.6163375641468887`*^9, 3.616337568836961*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frm6", "=", 
   RowBox[{"LoopPrototype2Form", "[", 
    RowBox[{"9", ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"frm6", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm6", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"var", "//", "Length"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
   3.615766552206892*^9, 3.615766553603972*^9}, {3.615777145035*^9, 
   3.6157771458075113`*^9}, 3.615777506580553*^9, {3.6158483613035173`*^9, 
   3.6158483649685736`*^9}, {3.615850523497007*^9, 3.615850524609524*^9}, {
   3.615865587912445*^9, 3.615865604127694*^9}, {3.6160019693522882`*^9, 
   3.616001977987421*^9}, {3.616003343314392*^9, 3.616003357052103*^9}, 
   3.61633759418485*^9, 3.6163377093891196`*^9}]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["case 4 symb", "Subsection",
 CellChangeTimes->{{3.60562336381744*^9, 3.6056233784292755`*^9}, {
   3.6158654820083184`*^9, 3.6158654885984197`*^9}, 3.6160031767318335`*^9, 
   3.6160051057384634`*^9, 3.6160680581050463`*^9, 3.616069186916898*^9, {
   3.6160950169190907`*^9, 3.6160950175566006`*^9}}],

Cell[CellGroupData[{

Cell["subdivision", "Subsubsection",
 CellChangeTimes->{{3.6163382621251097`*^9, 3.616338265705165*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Omega]", "1"], ",", 
     SubscriptBox["\[Omega]", "2"]}], "}"}], "=", 
   RowBox[{"LoopWeight", "[", "6", "]"}]}], ";", 
  RowBox[{"{", 
   RowBox[{
    SubscriptBox["\[Omega]", "1"], ",", 
    SubscriptBox["\[Omega]", "2"]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Beta]", "1"], ",", 
     SubscriptBox["\[Beta]", "2"]}], "}"}], "=", 
   RowBox[{"LoopWeight", "[", "4", "]"}]}], ";", 
  RowBox[{"{", 
   RowBox[{
    SubscriptBox["\[Beta]", "1"], ",", 
    SubscriptBox["\[Beta]", "2"]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sub", "=", 
   RowBox[{"(", GridBox[{
      {"3", "1", "0", "1", "3", "0", "0", "0", "0", "0"},
      {"1", "3", "0", "0", "3", "1", "0", "0", "0", "0"},
      {"0", "3", "1", "0", "1", "3", "0", "0", "0", "0"},
      {"0", "1", "3", "0", "0", "3", "1", "0", "0", "0"},
      {"1", "0", "0", "3", "3", "0", "0", "1", "0", "0"},
      {
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"], "0", 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "1"], 
       SubscriptBox["\[Omega]", "2"], "0", 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"], "0"},
      {"0", "1", "0", "0", "3", "3", "0", "0", "1", "0"},
      {"0", 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"], "0", 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "1"], 
       SubscriptBox["\[Omega]", "2"], "0", 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"]},
      {"0", "0", "1", "0", "0", "3", "3", "0", "0", "1"},
      {"0", "0", "0", "1", "3", "0", "0", "3", "1", "0"},
      {"0", "0", "0", "0", "3", "1", "0", "1", "3", "0"},
      {"0", "0", "0", "0", "1", "3", "0", "0", "3", "1"},
      {"0", "0", "0", "0", "0", "3", "1", "0", "1", "3"},
      {"0", "0", "0", "0", "1", "0", "0", "3", "3", "1"},
      {"0", "0", "0", "0", 
       SubscriptBox["\[Beta]", "2"], 
       SubscriptBox["\[Beta]", "2"], "0", 
       SubscriptBox["\[Beta]", "2"], 
       SubscriptBox["\[Beta]", "1"], 
       SubscriptBox["\[Beta]", "2"]},
      {"0", "0", "0", "0", "0", "1", "0", "1", "3", "3"}
     }], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Total", "[", "#", "]"}], "&"}], "/@", 
  "sub"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LP4sub", "=", 
   RowBox[{"NormalizeWeights", "[", "sub", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"LP4sub", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LP4ind", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "1", ",", "2", ",", "3", ",", "  ", "5", ",", "6", ",", "7", ",", "8", 
       ",", "  ", "10", ",", "11", ",", "12", ",", "  ", "14", ",", "15"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "2", ",", "3", ",", "4", ",", "  ", "6", ",", "7", ",", "8", ",", "9", 
       ",", "  ", "11", ",", "12", ",", "13", ",", "  ", "15", ",", "16"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "16", ",", "15", ",", "14", ",", "  ", "13", ",", "12", ",", "11", ",", 
       "10", ",", "  ", "8", ",", "7", ",", "6", ",", "  ", "3", ",", "2"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "6", ",", "7", ",", "8", ",", "  ", "10", ",", "11", ",", "12", ",", 
       "13", ",", "  ", "14", ",", "15", ",", "16"}], "}"}]}], 
    "\[IndentingNewLine]", "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.6160032904110794`*^9, 3.616003318834016*^9}, 
   3.616068099633184*^9, 3.616069208364727*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"LP4sub", "\[LeftDoubleBracket]", 
   RowBox[{"LP4ind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
   "\[RightDoubleBracket]"}], "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.615766473350382*^9, 3.6157664954506454`*^9}, {
  3.615865579397314*^9, 3.6158655810848403`*^9}, {3.6160033292241755`*^9, 
  3.6160033392168293`*^9}, {3.616068143253854*^9, 3.616068145713892*^9}, {
  3.6160692227324476`*^9, 3.616069224122469*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["centroid", "Subsubsection",
 CellChangeTimes->{{3.616338294574108*^9, 3.6163382975916543`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frm4", "=", 
   RowBox[{"LoopPrototypeForm", "[", 
    RowBox[{"10", ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"frm4", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm4", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"var", "//", "Length"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
   3.615766552206892*^9, 3.615766553603972*^9}, {3.615777145035*^9, 
   3.6157771458075113`*^9}, 3.615777506580553*^9, {3.6158483613035173`*^9, 
   3.6158483649685736`*^9}, {3.615850523497007*^9, 3.615850524609524*^9}, {
   3.615865587912445*^9, 3.615865604127694*^9}, {3.6160019693522882`*^9, 
   3.616001977987421*^9}, {3.616003343314392*^9, 3.616003357052103*^9}, {
   3.616068150586467*^9, 3.616068160079112*^9}, {3.6160692278475266`*^9, 
   3.6160692380376825`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"eqs", "=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"frm6", "=", 
       RowBox[{
       "LoopListMoment1", "\[LeftDoubleBracket]", "4", 
        "\[RightDoubleBracket]"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"NestT", "[", 
       RowBox[{"frm6", ",", 
        RowBox[{"LP4sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP4ind", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm6", ",", 
        RowBox[{"LP4sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP4ind", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm6", ",", 
        RowBox[{"LP4sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP4ind", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm4", ",", 
        RowBox[{"LP4sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP4ind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "-", "frm4"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.616055875601272*^9, {3.616068383675047*^9, 3.616068406730401*^9}, {
   3.6160692449227886`*^9, 3.6160692610380363`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"mat", ",", "vec"}], "}"}], "=", 
   RowBox[{"BuildEssential", "[", 
    RowBox[{"eqs", ",", "var"}], "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"mat", "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.6160562176147895`*^9, 3.6160562193198867`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"lin", "=", 
   RowBox[{"LinearSolve", "[", 
    RowBox[{"mat", ",", 
     RowBox[{"-", "vec"}]}], "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"Length", "/@", 
  RowBox[{"{", 
   RowBox[{"lin", ",", "var"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.6160685341808586`*^9, 3.6160685482085743`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"sol", "=", 
   RowBox[{"frm4", "/.", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"var", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
       "\[Rule]", 
       RowBox[{
       "lin", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", 
        RowBox[{"Length", "[", "lin", "]"}]}], "}"}]}], "]"}]}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.616056437880782*^9, 3.616056446295912*^9}, {
  3.6160693038586936`*^9, 3.616069304226199*^9}}],

Cell[BoxData[
 RowBox[{"sol", "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.616068558111226*^9, 3.616068559611249*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"sol", ">>", "\"\<LoopMoment1Xalt4.mx\>\""}], ";"}]], "Input",
 CellChangeTimes->{{3.6160564653262043`*^9, 3.616056475178855*^9}, {
  3.616068569738905*^9, 3.6160685725214477`*^9}, {3.616068810711119*^9, 
  3.616068811343629*^9}, {3.616069311123805*^9, 3.6160693134313407`*^9}}],

Cell[BoxData[
 RowBox[{"Length", "@", 
  RowBox[{"Tally", "@", 
   RowBox[{"Abs", "@", 
    RowBox[{"Flatten", "@", "sol"}]}]}]}]], "Input",
 CellChangeTimes->{{3.616068578501539*^9, 3.6160685881516876`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Array", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"SubsetQ", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "7"}], "}"}], ",", 
         RowBox[{"{", "##", "}"}]}], "]"}], ",", 
       RowBox[{"Print", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", "##", "}"}], ",", 
          RowBox[{
           RowBox[{
            RowBox[{
            "LoopListMoment1", "\[LeftDoubleBracket]", "1", 
             "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", "##", 
            "\[RightDoubleBracket]"}], "-", 
           RowBox[{
            RowBox[{
            "LoopListMoment1", "\[LeftDoubleBracket]", "4", 
             "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", "##", 
            "\[RightDoubleBracket]"}]}]}], "}"}], "]"}]}], "]"}], "&"}], ",", 
    RowBox[{"{", 
     RowBox[{"9", ",", "9", ",", "9", ",", "9"}], "}"}]}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.6160688974199505`*^9, 3.6160689982139993`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frm3", "=", 
   RowBox[{"LoopPrototypeForm", "[", 
    RowBox[{"9", ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"frm3", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm3", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"var", "//", "Length"}]}], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"0", "\[Equal]", "#"}], "&"}], "/@", 
    RowBox[{"Flatten", "[", 
     RowBox[{"frm3", "-", 
      RowBox[{
      "LoopListMoment1", "\[LeftDoubleBracket]", "1", 
       "\[RightDoubleBracket]"}]}], "]"}]}], "]"}], "//", "Length"}]], "Input",
 CellChangeTimes->{{3.616069130133525*^9, 3.6160691716541634`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["inertia", "Subsubsection",
 CellChangeTimes->{{3.6163375641468887`*^9, 3.616337568836961*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frm6", "=", 
   RowBox[{"LoopPrototype2Form", "[", 
    RowBox[{"10", ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"frm6", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm6", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"var", "//", "Length"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
   3.615766552206892*^9, 3.615766553603972*^9}, {3.615777145035*^9, 
   3.6157771458075113`*^9}, 3.615777506580553*^9, {3.6158483613035173`*^9, 
   3.6158483649685736`*^9}, {3.615850523497007*^9, 3.615850524609524*^9}, {
   3.615865587912445*^9, 3.615865604127694*^9}, {3.6160019693522882`*^9, 
   3.616001977987421*^9}, {3.616003343314392*^9, 3.616003357052103*^9}, 
   3.61633759418485*^9, 3.6163377093891196`*^9, {3.6163378037130685`*^9, 
   3.6163378038330708`*^9}}],

Cell[BoxData[
 RowBox[{"var", "\[LeftDoubleBracket]", 
  RowBox[{"Range", "[", "10", "]"}], "\[RightDoubleBracket]"}]], "Input",
 CellChangeTimes->{{3.6163378166807675`*^9, 3.6163378217983465`*^9}}]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["case 5", "Subsection",
 CellChangeTimes->{{3.60562336381744*^9, 3.6056233784292755`*^9}, {
   3.6158654820083184`*^9, 3.6158654885984197`*^9}, 3.6160031767318335`*^9, 
   3.6160051057384634`*^9, 3.6160680581050463`*^9, 3.616069186916898*^9, 
   3.6160694851689787`*^9}],

Cell[CellGroupData[{

Cell["subdivision", "Subsubsection",
 CellChangeTimes->{{3.6163382621251097`*^9, 3.616338265705165*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Omega]", "1"], ",", 
     SubscriptBox["\[Omega]", "2"]}], "}"}], "=", 
   RowBox[{"LoopWeight", "[", "6", "]"}]}], ";", 
  RowBox[{"{", 
   RowBox[{
    SubscriptBox["\[Omega]", "1"], ",", 
    SubscriptBox["\[Omega]", "2"]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Beta]", "1"], ",", 
      SubscriptBox["\[Beta]", "2"]}], "}"}], "=", 
    RowBox[{
     RowBox[{"LoopWeight", "[", "5", "]"}], "//", "N"}]}], ";", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Beta]", "1"], ",", 
     SubscriptBox["\[Beta]", "2"]}], "}"}]}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Beta]", "1"], ",", 
      SubscriptBox["\[Beta]", "2"]}], "}"}], "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       FractionBox["1", "128"], " ", 
       RowBox[{"(", 
        RowBox[{"63", "+", 
         RowBox[{"5", " ", "s"}]}], ")"}]}], ",", 
      RowBox[{
       FractionBox["1", "128"], " ", 
       RowBox[{"(", 
        RowBox[{"13", "-", "s"}], ")"}]}]}], "}"}]}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sub", "=", 
   RowBox[{"(", GridBox[{
      {"3", "1", "0", "1", "3", "0", "0", "0", "0", "0", "0"},
      {"1", "3", "0", "0", "3", "1", "0", "0", "0", "0", "0"},
      {"0", "3", "1", "0", "1", "3", "0", "0", "0", "0", "0"},
      {"0", "1", "3", "0", "0", "3", "1", "0", "0", "0", "0"},
      {"1", "0", "0", "3", "3", "0", "0", "1", "0", "0", "0"},
      {
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"], "0", 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "1"], 
       SubscriptBox["\[Omega]", "2"], "0", 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"], "0", "0"},
      {"0", "1", "0", "0", "3", "3", "0", "0", "1", "0", "0"},
      {"0", 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"], "0", 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "1"], 
       SubscriptBox["\[Omega]", "2"], "0", 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"], "0"},
      {"0", "0", "1", "0", "0", "3", "3", "0", "0", "1", "0"},
      {"0", "0", "0", "1", "3", "0", "0", "3", "1", "0", "0"},
      {"0", "0", "0", "0", "3", "1", "0", "1", "3", "0", "0"},
      {"0", "0", "0", "0", "1", "3", "0", "0", "3", "1", "0"},
      {"0", "0", "0", "0", "0", "3", "1", "0", "1", "3", "0"},
      {"0", "0", "0", "0", "1", "0", "0", "3", "3", "0", "1"},
      {"0", "0", "0", "0", 
       SubscriptBox["\[Beta]", "2"], 
       SubscriptBox["\[Beta]", "2"], "0", 
       SubscriptBox["\[Beta]", "2"], 
       SubscriptBox["\[Beta]", "1"], 
       SubscriptBox["\[Beta]", "2"], 
       SubscriptBox["\[Beta]", "2"]},
      {"0", "0", "0", "0", "0", "1", "0", "0", "3", "3", "1"},
      {"0", "0", "0", "0", "0", "0", "0", "1", "3", "1", "3"}
     }], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Simplify", "[", 
    RowBox[{"Total", "[", "#", "]"}], "]"}], "&"}], "/@", 
  "sub"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LP5sub", "=", 
   RowBox[{
    RowBox[{"NormalizeWeights", "[", "sub", "]"}], "//", "Simplify"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"LP5sub", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LP5ind", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "1", ",", "2", ",", "3", ",", "  ", "5", ",", "6", ",", "7", ",", "8", 
       ",", "  ", "10", ",", "11", ",", "12", ",", "  ", "14", ",", "15"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "2", ",", "3", ",", "4", ",", "  ", "6", ",", "7", ",", "8", ",", "9", 
       ",", "  ", "11", ",", "12", ",", "13", ",", "  ", "15", ",", "16"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "16", ",", "15", ",", "14", ",", "  ", "13", ",", "12", ",", "11", ",", 
       "10", ",", "  ", "8", ",", "7", ",", "6", ",", "  ", "3", ",", "2"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "6", ",", "7", ",", "8", ",", "  ", "10", ",", "11", ",", "12", ",", 
       "13", ",", "  ", "14", ",", "15", ",", "16", ",", "  ", "17"}], 
      "}"}]}], "\[IndentingNewLine]", "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.6160032904110794`*^9, 3.616003318834016*^9}, 
   3.616068099633184*^9, 3.616069208364727*^9, {3.6160695181894855`*^9, 
   3.616069543384873*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"LP5sub", "\[LeftDoubleBracket]", 
   RowBox[{"LP5ind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
   "\[RightDoubleBracket]"}], "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.615766473350382*^9, 3.6157664954506454`*^9}, {
  3.615865579397314*^9, 3.6158655810848403`*^9}, {3.6160033292241755`*^9, 
  3.6160033392168293`*^9}, {3.616068143253854*^9, 3.616068145713892*^9}, {
  3.6160692227324476`*^9, 3.616069224122469*^9}, {3.6160695538925343`*^9, 
  3.6160695566000757`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["centroid", "Subsubsection",
 CellChangeTimes->{{3.616338294574108*^9, 3.6163382975916543`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frm5", "=", 
   RowBox[{"LoopPrototypeForm", "[", 
    RowBox[{"11", ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"frm5", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm5", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"var", "//", "Length"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
   3.615766552206892*^9, 3.615766553603972*^9}, {3.615777145035*^9, 
   3.6157771458075113`*^9}, 3.615777506580553*^9, {3.6158483613035173`*^9, 
   3.6158483649685736`*^9}, {3.615850523497007*^9, 3.615850524609524*^9}, {
   3.615865587912445*^9, 3.615865604127694*^9}, {3.6160019693522882`*^9, 
   3.616001977987421*^9}, {3.616003343314392*^9, 3.616003357052103*^9}, {
   3.616068150586467*^9, 3.616068160079112*^9}, {3.6160692278475266`*^9, 
   3.6160692380376825`*^9}, {3.61606956338768*^9, 3.6160695662227235`*^9}, 
   3.616071476182861*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"eqs", "=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"frm6", "=", 
       RowBox[{
       "LoopListMoment1", "\[LeftDoubleBracket]", "4", 
        "\[RightDoubleBracket]"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"NestT", "[", 
       RowBox[{"frm6", ",", 
        RowBox[{"LP5sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP5ind", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm6", ",", 
        RowBox[{"LP5sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP5ind", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm6", ",", 
        RowBox[{"LP5sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP5ind", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm5", ",", 
        RowBox[{"LP5sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP5ind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "-", "frm5"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.616055875601272*^9, {3.616068383675047*^9, 3.616068406730401*^9}, {
   3.6160692449227886`*^9, 3.6160692610380363`*^9}, {3.6160714851904993`*^9, 
   3.61607150415079*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"mat", ",", "vec"}], "}"}], "=", 
   RowBox[{"BuildEssential", "[", 
    RowBox[{"eqs", ",", "var"}], "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"mat", "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.6160562176147895`*^9, 3.6160562193198867`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"lin", "=", 
   RowBox[{"LinearSolve", "[", 
    RowBox[{"mat", ",", 
     RowBox[{"-", "vec"}]}], "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"Length", "/@", 
  RowBox[{"{", 
   RowBox[{"lin", ",", "var"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.6160685341808586`*^9, 3.6160685482085743`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"sol", "=", 
   RowBox[{"frm5", "/.", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"var", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
       "\[Rule]", 
       RowBox[{
       "lin", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", 
        RowBox[{"Length", "[", "lin", "]"}]}], "}"}]}], "]"}]}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.616056437880782*^9, 3.616056446295912*^9}, {
   3.6160693038586936`*^9, 3.616069304226199*^9}, 3.616071599284752*^9}],

Cell[BoxData[
 RowBox[{"sol", "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.616068558111226*^9, 3.616068559611249*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"sol", ">>", "\"\<LoopMoment1Xalt5.mx\>\""}], ";"}]], "Input",
 CellChangeTimes->{{3.6160564653262043`*^9, 3.616056475178855*^9}, {
   3.616068569738905*^9, 3.6160685725214477`*^9}, {3.616068810711119*^9, 
   3.616068811343629*^9}, {3.616069311123805*^9, 3.6160693134313407`*^9}, 
   3.6160716066073637`*^9}],

Cell[BoxData[
 RowBox[{"Length", "@", 
  RowBox[{"Tally", "@", 
   RowBox[{"Abs", "@", 
    RowBox[{"Flatten", "@", "sol"}]}]}]}]], "Input",
 CellChangeTimes->{{3.616068578501539*^9, 3.6160685881516876`*^9}}],

Cell[BoxData[
 RowBox[{"sol", "\[LeftDoubleBracket]", 
  RowBox[{"1", ",", "2"}], "\[RightDoubleBracket]"}]], "Input",
 CellChangeTimes->{{3.616071638710357*^9, 3.6160716589756684`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["inertia", "Subsubsection",
 CellChangeTimes->{{3.6163375641468887`*^9, 3.616337568836961*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frm6", "=", 
   RowBox[{"LoopPrototype2Form", "[", 
    RowBox[{"11", ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"frm6", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm6", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"var", "//", "Length"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
   3.615766552206892*^9, 3.615766553603972*^9}, {3.615777145035*^9, 
   3.6157771458075113`*^9}, 3.615777506580553*^9, {3.6158483613035173`*^9, 
   3.6158483649685736`*^9}, {3.615850523497007*^9, 3.615850524609524*^9}, {
   3.615865587912445*^9, 3.615865604127694*^9}, {3.6160019693522882`*^9, 
   3.616001977987421*^9}, {3.616003343314392*^9, 3.616003357052103*^9}, 
   3.61633759418485*^9, 3.6163377093891196`*^9, {3.6163378037130685`*^9, 
   3.6163378038330708`*^9}, 3.6163383654351964`*^9}],

Cell[BoxData[
 RowBox[{"var", "\[LeftDoubleBracket]", 
  RowBox[{"Range", "[", "10", "]"}], "\[RightDoubleBracket]"}]], "Input",
 CellChangeTimes->{{3.6163378166807675`*^9, 3.6163378217983465`*^9}}]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["case 7", "Subsection",
 CellChangeTimes->{{3.60562336381744*^9, 3.6056233784292755`*^9}, {
   3.6158654820083184`*^9, 3.6158654885984197`*^9}, 3.6160031767318335`*^9, 
   3.6160051057384634`*^9, 3.6160680581050463`*^9, 3.616069186916898*^9, 
   3.6160694851689787`*^9, 3.616072297040469*^9}],

Cell[CellGroupData[{

Cell["subdivision", "Subsubsection",
 CellChangeTimes->{{3.6163382621251097`*^9, 3.616338265705165*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Omega]", "1"], ",", 
     SubscriptBox["\[Omega]", "2"]}], "}"}], "=", 
   RowBox[{"LoopWeight", "[", "6", "]"}]}], ";", 
  RowBox[{"{", 
   RowBox[{
    SubscriptBox["\[Omega]", "1"], ",", 
    SubscriptBox["\[Omega]", "2"]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Beta]", "1"], ",", 
     SubscriptBox["\[Beta]", "2"]}], "}"}], "=", 
   RowBox[{
    RowBox[{"LoopWeight", "[", "7", "]"}], "//", "N"}]}], ";", 
  RowBox[{"{", 
   RowBox[{
    SubscriptBox["\[Beta]", "1"], ",", 
    SubscriptBox["\[Beta]", "2"]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sub", "=", 
   RowBox[{"(", GridBox[{
      {"3", "1", "0", "1", "3", "0", "0", "0", "0", "0", "0", "0", "0"},
      {"1", "3", "0", "0", "3", "1", "0", "0", "0", "0", "0", "0", "0"},
      {"0", "3", "1", "0", "1", "3", "0", "0", "0", "0", "0", "0", "0"},
      {"0", "1", "3", "0", "0", "3", "1", "0", "0", "0", "0", "0", "0"},
      {"1", "0", "0", "3", "3", "0", "0", "1", "0", "0", "0", "0", "0"},
      {
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"], "0", 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "1"], 
       SubscriptBox["\[Omega]", "2"], "0", 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"], "0", "0", "0", "0"},
      {"0", "1", "0", "0", "3", "3", "0", "0", "1", "0", "0", "0", "0"},
      {"0", 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"], "0", 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "1"], 
       SubscriptBox["\[Omega]", "2"], "0", 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"], "0", "0", "0"},
      {"0", "0", "1", "0", "0", "3", "3", "0", "0", "1", "0", "0", "0"},
      {"0", "0", "0", "1", "3", "0", "0", "3", "1", "0", "0", "0", "0"},
      {"0", "0", "0", "0", "3", "1", "0", "1", "3", "0", "0", "0", "0"},
      {"0", "0", "0", "0", "1", "3", "0", "0", "3", "1", "0", "0", "0"},
      {"0", "0", "0", "0", "0", "3", "1", "0", "1", "3", "0", "0", "0"},
      {"0", "0", "0", "0", "1", "0", "0", "3", "3", "0", "1", "0", "0"},
      {"0", "0", "0", "0", 
       SubscriptBox["\[Beta]", "2"], 
       SubscriptBox["\[Beta]", "2"], "0", 
       SubscriptBox["\[Beta]", "2"], 
       SubscriptBox["\[Beta]", "1"], 
       SubscriptBox["\[Beta]", "2"], 
       SubscriptBox["\[Beta]", "2"], 
       SubscriptBox["\[Beta]", "2"], 
       SubscriptBox["\[Beta]", "2"]},
      {"0", "0", "0", "0", "0", "1", "0", "0", "3", "3", "0", "0", "1"},
      {"0", "0", "0", "0", "0", "0", "0", "1", "3", "0", "3", "1", "0"},
      {"0", "0", "0", "0", "0", "0", "0", "0", "3", "0", "1", "3", "1"},
      {"0", "0", "0", "0", "0", "0", "0", "0", "3", "1", "0", "1", "3"}
     }], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Simplify", "[", 
    RowBox[{"Total", "[", "#", "]"}], "]"}], "&"}], "/@", 
  "sub"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LP7sub", "=", 
   RowBox[{"NormalizeWeights", "[", "sub", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"LP7sub", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LP7ind", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "1", ",", "2", ",", "3", ",", "  ", "5", ",", "6", ",", "7", ",", "8", 
       ",", "  ", "10", ",", "11", ",", "12", ",", "  ", "14", ",", "15"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "2", ",", "3", ",", "4", ",", "  ", "6", ",", "7", ",", "8", ",", "9", 
       ",", "  ", "11", ",", "12", ",", "13", ",", "  ", "15", ",", "16"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "16", ",", "15", ",", "14", ",", "  ", "13", ",", "12", ",", "11", ",", 
       "10", ",", "  ", "8", ",", "7", ",", "6", ",", "  ", "3", ",", "2"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "6", ",", "7", ",", "8", ",", "  ", "10", ",", "11", ",", "12", ",", 
       "13", ",", "  ", "14", ",", "15", ",", "16", ",", "  ", "17", ",", 
       "18", ",", "19"}], "}"}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.6160032904110794`*^9, 3.616003318834016*^9}, 
   3.616068099633184*^9, 3.616069208364727*^9, {3.6160695181894855`*^9, 
   3.616069543384873*^9}, {3.6160723220983543`*^9, 3.616072326663424*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"LP7sub", "\[LeftDoubleBracket]", 
   RowBox[{"LP7ind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
   "\[RightDoubleBracket]"}], "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.615766473350382*^9, 3.6157664954506454`*^9}, {
  3.615865579397314*^9, 3.6158655810848403`*^9}, {3.6160033292241755`*^9, 
  3.6160033392168293`*^9}, {3.616068143253854*^9, 3.616068145713892*^9}, {
  3.6160692227324476`*^9, 3.616069224122469*^9}, {3.6160695538925343`*^9, 
  3.6160695566000757`*^9}, {3.616072338321103*^9, 3.616072340856142*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["centroid", "Subsubsection",
 CellChangeTimes->{{3.616338294574108*^9, 3.6163382975916543`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frm7", "=", 
   RowBox[{"LoopPrototypeForm", "[", 
    RowBox[{"13", ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"frm7", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm7", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"var", "//", "Length"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
   3.615766552206892*^9, 3.615766553603972*^9}, {3.615777145035*^9, 
   3.6157771458075113`*^9}, 3.615777506580553*^9, {3.6158483613035173`*^9, 
   3.6158483649685736`*^9}, {3.615850523497007*^9, 3.615850524609524*^9}, {
   3.615865587912445*^9, 3.615865604127694*^9}, {3.6160019693522882`*^9, 
   3.616001977987421*^9}, {3.616003343314392*^9, 3.616003357052103*^9}, {
   3.616068150586467*^9, 3.616068160079112*^9}, {3.6160692278475266`*^9, 
   3.6160692380376825`*^9}, {3.61606956338768*^9, 3.6160695662227235`*^9}, 
   3.616071476182861*^9, {3.616072343068676*^9, 3.6160723498112793`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"eqs", "=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"frm6", "=", 
       RowBox[{
       "LoopListMoment1", "\[LeftDoubleBracket]", "4", 
        "\[RightDoubleBracket]"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"NestT", "[", 
       RowBox[{"frm6", ",", 
        RowBox[{"LP7sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP7ind", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm6", ",", 
        RowBox[{"LP7sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP7ind", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm6", ",", 
        RowBox[{"LP7sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP7ind", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm7", ",", 
        RowBox[{"LP7sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP7ind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "-", "frm7"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.616055875601272*^9, {3.616068383675047*^9, 3.616068406730401*^9}, {
   3.6160692449227886`*^9, 3.6160692610380363`*^9}, {3.6160714851904993`*^9, 
   3.61607150415079*^9}, {3.616072355491367*^9, 3.616072357453897*^9}, {
   3.6160727270995746`*^9, 3.6160727404197793`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"mat", ",", "vec"}], "}"}], "=", 
   RowBox[{"BuildEssential", "[", 
    RowBox[{"eqs", ",", "var"}], "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"mat", "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.6160562176147895`*^9, 3.6160562193198867`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"lin", "=", 
   RowBox[{"LinearSolve", "[", 
    RowBox[{"mat", ",", 
     RowBox[{"-", "vec"}]}], "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"Length", "/@", 
  RowBox[{"{", 
   RowBox[{"lin", ",", "var"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.6160685341808586`*^9, 3.6160685482085743`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"sol", "=", 
   RowBox[{"frm7", "/.", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"var", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
       "\[Rule]", 
       RowBox[{
       "lin", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", 
        RowBox[{"Length", "[", "lin", "]"}]}], "}"}]}], "]"}]}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.616056437880782*^9, 3.616056446295912*^9}, {
   3.6160693038586936`*^9, 3.616069304226199*^9}, 3.616071599284752*^9, 
   3.6160723682565627`*^9}],

Cell[BoxData[
 RowBox[{"sol", "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.616068558111226*^9, 3.616068559611249*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"sol", ">>", "\"\<LoopMoment1Xalt7.mx\>\""}], ";"}]], "Input",
 CellChangeTimes->{{3.6160564653262043`*^9, 3.616056475178855*^9}, {
   3.616068569738905*^9, 3.6160685725214477`*^9}, {3.616068810711119*^9, 
   3.616068811343629*^9}, {3.616069311123805*^9, 3.6160693134313407`*^9}, 
   3.6160716066073637`*^9, 3.616072371409111*^9}],

Cell[BoxData[
 RowBox[{"Length", "@", 
  RowBox[{"Tally", "@", 
   RowBox[{"Abs", "@", 
    RowBox[{"Flatten", "@", "sol"}]}]}]}]], "Input",
 CellChangeTimes->{{3.616068578501539*^9, 3.6160685881516876`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["inertia", "Subsubsection",
 CellChangeTimes->{{3.6163375641468887`*^9, 3.616337568836961*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frm6", "=", 
   RowBox[{"LoopPrototype2Form", "[", 
    RowBox[{"13", ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"frm6", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm6", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"var", "//", "Length"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
   3.615766552206892*^9, 3.615766553603972*^9}, {3.615777145035*^9, 
   3.6157771458075113`*^9}, 3.615777506580553*^9, {3.6158483613035173`*^9, 
   3.6158483649685736`*^9}, {3.615850523497007*^9, 3.615850524609524*^9}, {
   3.615865587912445*^9, 3.615865604127694*^9}, {3.6160019693522882`*^9, 
   3.616001977987421*^9}, {3.616003343314392*^9, 3.616003357052103*^9}, 
   3.61633759418485*^9, 3.6163377093891196`*^9, {3.6163378037130685`*^9, 
   3.6163378038330708`*^9}, 3.6163383654351964`*^9, {3.6163386518270955`*^9, 
   3.616338666262317*^9}}],

Cell[BoxData[
 RowBox[{"var", "\[LeftDoubleBracket]", 
  RowBox[{"Range", "[", "10", "]"}], "\[RightDoubleBracket]"}]], "Input",
 CellChangeTimes->{{3.6163378166807675`*^9, 3.6163378217983465`*^9}}]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["case 8", "Subsection",
 CellChangeTimes->{{3.60562336381744*^9, 3.6056233784292755`*^9}, {
   3.6158654820083184`*^9, 3.6158654885984197`*^9}, 3.6160031767318335`*^9, 
   3.6160051057384634`*^9, 3.6160680581050463`*^9, 3.616069186916898*^9, 
   3.6160694851689787`*^9, 3.616072297040469*^9, 3.6160732271861467`*^9}],

Cell[CellGroupData[{

Cell["subdivision", "Subsubsection",
 CellChangeTimes->{{3.6163382621251097`*^9, 3.616338265705165*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Omega]", "1"], ",", 
     SubscriptBox["\[Omega]", "2"]}], "}"}], "=", 
   RowBox[{"LoopWeight", "[", "6", "]"}]}], ";", 
  RowBox[{"{", 
   RowBox[{
    SubscriptBox["\[Omega]", "1"], ",", 
    SubscriptBox["\[Omega]", "2"]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Beta]", "1"], ",", 
     SubscriptBox["\[Beta]", "2"]}], "}"}], "=", 
   RowBox[{
    RowBox[{"LoopWeight", "[", "8", "]"}], "//", "N"}]}], ";", 
  RowBox[{"{", 
   RowBox[{
    SubscriptBox["\[Beta]", "1"], ",", 
    SubscriptBox["\[Beta]", "2"]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sub", "=", 
   RowBox[{"(", GridBox[{
      {"3", "1", "0", "1", "3", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
      {"1", "3", "0", "0", "3", "1", "0", "0", "0", "0", "0", "0", "0", "0"},
      {"0", "3", "1", "0", "1", "3", "0", "0", "0", "0", "0", "0", "0", "0"},
      {"0", "1", "3", "0", "0", "3", "1", "0", "0", "0", "0", "0", "0", "0"},
      {"1", "0", "0", "3", "3", "0", "0", "1", "0", "0", "0", "0", "0", "0"},
      {
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"], "0", 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "1"], 
       SubscriptBox["\[Omega]", "2"], "0", 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"], "0", "0", "0", "0", "0"},
      {"0", "1", "0", "0", "3", "3", "0", "0", "1", "0", "0", "0", "0", "0"},
      {"0", 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"], "0", 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "1"], 
       SubscriptBox["\[Omega]", "2"], "0", 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"], "0", "0", "0", "0"},
      {"0", "0", "1", "0", "0", "3", "3", "0", "0", "1", "0", "0", "0", "0"},
      {"0", "0", "0", "1", "3", "0", "0", "3", "1", "0", "0", "0", "0", "0"},
      {"0", "0", "0", "0", "3", "1", "0", "1", "3", "0", "0", "0", "0", "0"},
      {"0", "0", "0", "0", "1", "3", "0", "0", "3", "1", "0", "0", "0", "0"},
      {"0", "0", "0", "0", "0", "3", "1", "0", "1", "3", "0", "0", "0", "0"},
      {"0", "0", "0", "0", "1", "0", "0", "3", "3", "0", "1", "0", "0", "0"},
      {"0", "0", "0", "0", 
       SubscriptBox["\[Beta]", "2"], 
       SubscriptBox["\[Beta]", "2"], "0", 
       SubscriptBox["\[Beta]", "2"], 
       SubscriptBox["\[Beta]", "1"], 
       SubscriptBox["\[Beta]", "2"], 
       SubscriptBox["\[Beta]", "2"], 
       SubscriptBox["\[Beta]", "2"], 
       SubscriptBox["\[Beta]", "2"], 
       SubscriptBox["\[Beta]", "2"]},
      {"0", "0", "0", "0", "0", "1", "0", "0", "3", "3", "0", "0", "0", "1"},
      {"0", "0", "0", "0", "0", "0", "0", "1", "3", "0", "3", "1", "0", "0"},
      {"0", "0", "0", "0", "0", "0", "0", "0", "3", "0", "1", "3", "1", "0"},
      {"0", "0", "0", "0", "0", "0", "0", "0", "3", "0", "0", "1", "3", "1"},
      {"0", "0", "0", "0", "0", "0", "0", "0", "3", "1", "0", "0", "1", "3"}
     }], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Simplify", "[", 
    RowBox[{"Total", "[", "#", "]"}], "]"}], "&"}], "/@", 
  "sub"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LP8sub", "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{"NormalizeWeights", "[", "sub", "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"LP8sub", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LP8ind", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "1", ",", "2", ",", "3", ",", "  ", "5", ",", "6", ",", "7", ",", "8", 
       ",", "  ", "10", ",", "11", ",", "12", ",", "  ", "14", ",", "15"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "2", ",", "3", ",", "4", ",", "  ", "6", ",", "7", ",", "8", ",", "9", 
       ",", "  ", "11", ",", "12", ",", "13", ",", "  ", "15", ",", "16"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "16", ",", "15", ",", "14", ",", "  ", "13", ",", "12", ",", "11", ",", 
       "10", ",", "  ", "8", ",", "7", ",", "6", ",", "  ", "3", ",", "2"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "6", ",", "7", ",", "8", ",", "  ", "10", ",", "11", ",", "12", ",", 
       "13", ",", "  ", "14", ",", "15", ",", "16", ",", "  ", "17", ",", 
       "18", ",", "19", ",", "20"}], "}"}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.6160032904110794`*^9, 3.616003318834016*^9}, 
   3.616068099633184*^9, 3.616069208364727*^9, {3.6160695181894855`*^9, 
   3.616069543384873*^9}, {3.6160723220983543`*^9, 3.616072326663424*^9}, {
   3.616073247343956*^9, 3.616073256269093*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"LP8sub", "\[LeftDoubleBracket]", 
   RowBox[{"LP8ind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
   "\[RightDoubleBracket]"}], "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.615766473350382*^9, 3.6157664954506454`*^9}, {
  3.615865579397314*^9, 3.6158655810848403`*^9}, {3.6160033292241755`*^9, 
  3.6160033392168293`*^9}, {3.616068143253854*^9, 3.616068145713892*^9}, {
  3.6160692227324476`*^9, 3.616069224122469*^9}, {3.6160695538925343`*^9, 
  3.6160695566000757`*^9}, {3.616072338321103*^9, 3.616072340856142*^9}, {
  3.616073265574236*^9, 3.6160732675667667`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["centroid", "Subsubsection",
 CellChangeTimes->{{3.616338294574108*^9, 3.6163382975916543`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frm8", "=", 
   RowBox[{"LoopPrototypeForm", "[", 
    RowBox[{"14", ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"frm8", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm8", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"var", "//", "Length"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
   3.615766552206892*^9, 3.615766553603972*^9}, {3.615777145035*^9, 
   3.6157771458075113`*^9}, 3.615777506580553*^9, {3.6158483613035173`*^9, 
   3.6158483649685736`*^9}, {3.615850523497007*^9, 3.615850524609524*^9}, {
   3.615865587912445*^9, 3.615865604127694*^9}, {3.6160019693522882`*^9, 
   3.616001977987421*^9}, {3.616003343314392*^9, 3.616003357052103*^9}, {
   3.616068150586467*^9, 3.616068160079112*^9}, {3.6160692278475266`*^9, 
   3.6160692380376825`*^9}, {3.61606956338768*^9, 3.6160695662227235`*^9}, 
   3.616071476182861*^9, {3.616072343068676*^9, 3.6160723498112793`*^9}, {
   3.6160732933021617`*^9, 3.61607330099228*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"eqs", "=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"frm6", "=", 
       RowBox[{
       "LoopListMoment1", "\[LeftDoubleBracket]", "4", 
        "\[RightDoubleBracket]"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"NestT", "[", 
       RowBox[{"frm6", ",", 
        RowBox[{"LP8sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP8ind", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm6", ",", 
        RowBox[{"LP8sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP8ind", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm6", ",", 
        RowBox[{"LP8sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP8ind", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm8", ",", 
        RowBox[{"LP8sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP8ind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "-", "frm8"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.616055875601272*^9, {3.616068383675047*^9, 3.616068406730401*^9}, {
   3.6160692449227886`*^9, 3.6160692610380363`*^9}, {3.6160714851904993`*^9, 
   3.61607150415079*^9}, {3.616072355491367*^9, 3.616072357453897*^9}, {
   3.6160727270995746`*^9, 3.6160727404197793`*^9}, {3.6160733075498805`*^9, 
   3.61607331921756*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"mat", ",", "vec"}], "}"}], "=", 
   RowBox[{"BuildEssential", "[", 
    RowBox[{"eqs", ",", "var"}], "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"mat", "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.6160562176147895`*^9, 3.6160562193198867`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"lin", "=", 
   RowBox[{"LinearSolve", "[", 
    RowBox[{"mat", ",", 
     RowBox[{"-", "vec"}]}], "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"Length", "/@", 
  RowBox[{"{", 
   RowBox[{"lin", ",", "var"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.6160685341808586`*^9, 3.6160685482085743`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"sol", "=", 
   RowBox[{"frm8", "/.", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"var", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
       "\[Rule]", 
       RowBox[{
       "lin", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", 
        RowBox[{"Length", "[", "lin", "]"}]}], "}"}]}], "]"}]}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.616056437880782*^9, 3.616056446295912*^9}, {
   3.6160693038586936`*^9, 3.616069304226199*^9}, 3.616071599284752*^9, 
   3.6160723682565627`*^9, 3.616073458662202*^9}],

Cell[BoxData[
 RowBox[{"sol", "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.616068558111226*^9, 3.616068559611249*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{"sol", ">>", "\"\<LoopMoment1Xalt8.mx\>\""}], ";"}], 
  "*)"}]], "Input",
 CellChangeTimes->{{3.6160564653262043`*^9, 3.616056475178855*^9}, {
   3.616068569738905*^9, 3.6160685725214477`*^9}, {3.616068810711119*^9, 
   3.616068811343629*^9}, {3.616069311123805*^9, 3.6160693134313407`*^9}, 
   3.6160716066073637`*^9, 3.616072371409111*^9, 3.6160734658098116`*^9, {
   3.616074037656101*^9, 3.6160740383886127`*^9}}],

Cell[BoxData[
 RowBox[{"Length", "@", 
  RowBox[{"Tally", "@", 
   RowBox[{"Abs", "@", 
    RowBox[{"Flatten", "@", "sol"}]}]}]}]], "Input",
 CellChangeTimes->{{3.616068578501539*^9, 3.6160685881516876`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["inertia", "Subsubsection",
 CellChangeTimes->{{3.6163375641468887`*^9, 3.616337568836961*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frm6", "=", 
   RowBox[{"LoopPrototype2Form", "[", 
    RowBox[{"14", ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"frm6", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm6", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"var", "//", "Length"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
   3.615766552206892*^9, 3.615766553603972*^9}, {3.615777145035*^9, 
   3.6157771458075113`*^9}, 3.615777506580553*^9, {3.6158483613035173`*^9, 
   3.6158483649685736`*^9}, {3.615850523497007*^9, 3.615850524609524*^9}, {
   3.615865587912445*^9, 3.615865604127694*^9}, {3.6160019693522882`*^9, 
   3.616001977987421*^9}, {3.616003343314392*^9, 3.616003357052103*^9}, 
   3.61633759418485*^9, 3.6163377093891196`*^9, {3.6163378037130685`*^9, 
   3.6163378038330708`*^9}, 3.6163383654351964`*^9, {3.6163386518270955`*^9, 
   3.616338666262317*^9}, 3.6163387090629745`*^9}],

Cell[BoxData[
 RowBox[{"var", "\[LeftDoubleBracket]", 
  RowBox[{"Range", "[", "10", "]"}], "\[RightDoubleBracket]"}]], "Input",
 CellChangeTimes->{{3.6163378166807675`*^9, 3.6163378217983465`*^9}}]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["case 9+", "Subsection",
 CellChangeTimes->{{3.60562336381744*^9, 3.6056233784292755`*^9}, {
   3.6158654820083184`*^9, 3.6158654885984197`*^9}, 3.6160031767318335`*^9, 
   3.6160051057384634`*^9, 3.6160680581050463`*^9, 3.616069186916898*^9, 
   3.6160694851689787`*^9, 3.616072297040469*^9, 3.6160732271861467`*^9, {
   3.616338393775632*^9, 3.6163383939756346`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frmA", "=", 
   RowBox[{"LoopPrototypeForm", "[", 
    RowBox[{"16", ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"frmA", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frmA", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"var", "//", "Length"}]}], "Input",
 CellChangeTimes->{
  3.616338445788931*^9, {3.6163385573306437`*^9, 3.616338584931068*^9}}],

Cell[BoxData[
 RowBox[{"var", "\[LeftDoubleBracket]", 
  RowBox[{"Range", "[", "10", "]"}], "\[RightDoubleBracket]"}]], "Input",
 CellChangeTimes->{{3.616338589261134*^9, 3.616338595033723*^9}}]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Creases ", "Section",
 CellChangeTimes->{{3.605327924449959*^9, 3.6053279283121796`*^9}, {
  3.6056149079927945`*^9, 3.6056149089858513`*^9}, {3.6056228516001425`*^9, 
  3.6056228546483173`*^9}, {3.6158639571278963`*^9, 3.615863961377962*^9}, {
  3.6158671505747256`*^9, 3.6158671524897547`*^9}, {3.6160031731092777`*^9, 
  3.6160031799943833`*^9}, {3.6160949934612303`*^9, 3.6160949961912727`*^9}}],

Cell[CellGroupData[{

Cell["Valence 3.A", "Subsection",
 CellChangeTimes->{{3.60562336381744*^9, 3.6056233784292755`*^9}, {
   3.6056963600892944`*^9, 3.605696366944687*^9}, 3.605792262258835*^9, {
   3.609885110253237*^9, 3.60988511118829*^9}, 3.6099251070439873`*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Omega]", "1"], ",", 
     SubscriptBox["\[Omega]", "2"]}], "}"}], "=", 
   RowBox[{"LoopWeight", "[", "6", "]"}]}], ";", 
  RowBox[{"{", 
   RowBox[{
    SubscriptBox["\[Omega]", "1"], ",", 
    SubscriptBox["\[Omega]", "2"]}], "}"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sub", "=", 
   RowBox[{"(", GridBox[{
      {"3", "1", "0", "1", "3", "0", "0", "0", "0", "0"},
      {"1", "3", "0", "0", "3", "1", "0", "0", "0", "0"},
      {"0", "3", "1", "0", "1", "3", "0", "0", "0", "0"},
      {"0", "1", "3", "0", "0", "3", "1", "0", "0", "0"},
      {"1", "0", "0", "3", "3", "0", "0", "1", "0", "0"},
      {
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"], "0", 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "1"], 
       SubscriptBox["\[Omega]", "2"], "0", 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"], "0"},
      {"0", "1", "0", "0", "3", "3", "0", "0", "1", "0"},
      {"0", 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"], "0", 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "1"], 
       SubscriptBox["\[Omega]", "2"], "0", 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"]},
      {"0", "0", "1", "0", "0", "3", "3", "0", "0", "1"},
      {"0", "0", "0", "1", "3", "0", "0", "3", "1", "0"},
      {"0", "0", "0", "0", "3", "1", "0", "1", "3", "0"},
      {"0", "0", "0", "0", "1", "3", "0", "0", "3", "1"},
      {"0", "0", "0", "0", "0", "3", "1", "0", "1", "3"},
      {"0", "0", "0", "0", "0", "0", "0", "1", "1", "0"},
      {"0", "0", "0", "0", "0", "0", "0", "1", "6", "1"},
      {"0", "0", "0", "0", "0", "0", "0", "0", "1", "1"}
     }], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Total", "[", "#", "]"}], "&"}], "/@", 
  "sub"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LP3Asub", "=", 
   RowBox[{"NormalizeWeights", "[", "sub", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LP3Aind", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "1", ",", "2", ",", "3", ",", "  ", "5", ",", "6", ",", "7", ",", "8", 
       ",", "  ", "10", ",", "11", ",", "12", ",", "  ", "14", ",", "15"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "2", ",", "3", ",", "4", ",", "  ", "6", ",", "7", ",", "8", ",", "9", 
       ",", "  ", "11", ",", "12", ",", "13", ",", "  ", "15", ",", "16"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "16", ",", "15", ",", "14", ",", "  ", "13", ",", "12", ",", "11", ",", 
       "10", ",", "  ", "8", ",", "7", ",", "6", ",", "  ", "3", ",", "2"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "6", ",", "7", ",", "8", ",", "  ", "10", ",", "11", ",", "12", ",", 
       "13", ",", "  ", "14", ",", "15", ",", "16"}], "}"}]}], 
    "\[IndentingNewLine]", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"LP3Asub", "//", "Dimensions"}]}], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"LP3Asub", "\[LeftDoubleBracket]", 
   RowBox[{"LP3Aind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
   "\[RightDoubleBracket]"}], "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.615766473350382*^9, 3.6157664954506454`*^9}, {
  3.615865579397314*^9, 3.6158655810848403`*^9}, {3.6160033292241755`*^9, 
  3.6160033392168293`*^9}, {3.616068143253854*^9, 3.616068145713892*^9}, {
  3.6160952410700336`*^9, 3.616095255860261*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Union", "@", 
   RowBox[{"Flatten", "@", "frm3a"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.616659306451525*^9, 3.616659335818205*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frm3a", "=", 
   RowBox[{"LoopCreasePrototypeForm", "[", 
    RowBox[{"10", ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"frm3a", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm3a", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"var", "//", "Length"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
   3.615766552206892*^9, 3.615766553603972*^9}, {3.615777145035*^9, 
   3.6157771458075113`*^9}, 3.615777506580553*^9, {3.6158483613035173`*^9, 
   3.6158483649685736`*^9}, {3.615850523497007*^9, 3.615850524609524*^9}, {
   3.615865587912445*^9, 3.615865604127694*^9}, {3.6160019693522882`*^9, 
   3.616001977987421*^9}, {3.616003343314392*^9, 3.616003357052103*^9}, {
   3.616068150586467*^9, 3.616068160079112*^9}, {3.616095388102292*^9, 
   3.6160953944698896`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"eqs", "=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"frm6", "=", 
       RowBox[{
       "LoopListMoment1", "\[LeftDoubleBracket]", "4", 
        "\[RightDoubleBracket]"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"NestT", "[", 
       RowBox[{"frm6", ",", 
        RowBox[{"LP3Asub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP3Aind", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm6", ",", 
        RowBox[{"LP3Asub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP3Aind", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm6", ",", 
        RowBox[{"LP3Asub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP3Aind", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm3a", ",", 
        RowBox[{"LP3Asub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP3Aind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "-", "frm3a"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.616055875601272*^9, {3.616068383675047*^9, 3.616068406730401*^9}, {
   3.6160952432100663`*^9, 3.6160952514376926`*^9}, {3.6160953996524696`*^9, 
   3.616095400552483*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"mat", ",", "vec"}], "}"}], "=", 
   RowBox[{"BuildEssential", "[", 
    RowBox[{"eqs", ",", "var"}], "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"mat", "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.6160562176147895`*^9, 3.6160562193198867`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"lin", "=", 
   RowBox[{"LinearSolve", "[", 
    RowBox[{"mat", ",", 
     RowBox[{"-", "vec"}]}], "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"Length", "/@", 
  RowBox[{"{", 
   RowBox[{"lin", ",", "var"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.6160685341808586`*^9, 3.6160685482085743`*^9}}],

Cell[BoxData[
 RowBox[{"MatrixRank", "[", "mat", "]"}]], "Input",
 CellChangeTimes->{{3.616096253601587*^9, 3.616096257109141*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"LP3Aalt", "=", 
   RowBox[{"frm3a", "/.", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"var", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
       "\[Rule]", 
       RowBox[{
       "lin", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", 
        RowBox[{"Length", "[", "lin", "]"}]}], "}"}]}], "]"}]}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.616056437880782*^9, 3.616056446295912*^9}, 
   3.616095417315241*^9, {3.616095888820984*^9, 3.616095892328538*^9}}],

Cell[BoxData[
 RowBox[{"LP3Aalt", "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.616068558111226*^9, 3.616068559611249*^9}, 
   3.6160959099513083`*^9}],

Cell[BoxData[
 RowBox[{"Union", "@", 
  RowBox[{"Flatten", "@", 
   RowBox[{"(", 
    RowBox[{"LoopCen3aForm", "-", "LP3Aalt"}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.6166602484674053`*^9, 3.616660260529095*^9}}],

Cell[BoxData[
 RowBox[{"LP3Aalt", ">>", "\"\<LoopMoment1altc31vec.mx\>\""}]], "Input",
 CellChangeTimes->{{3.6160954516807685`*^9, 3.616095467726015*^9}, {
  3.6160959164564085`*^9, 3.6160959223289986`*^9}, {3.6160962291037107`*^9, 
  3.6160962299012227`*^9}}],

Cell[BoxData[
 RowBox[{"Length", "@", 
  RowBox[{"Tally", "@", 
   RowBox[{"Abs", "@", 
    RowBox[{"Flatten", "@", "LP3Aalt"}]}]}]}]], "Input",
 CellChangeTimes->{{3.616068578501539*^9, 3.6160685881516876`*^9}, 
   3.616095919296452*^9}],

Cell[CellGroupData[{

Cell["Inertia", "Subsubsection",
 CellChangeTimes->{{3.6166597056363573`*^9, 3.6166597109496613`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frm3a", "=", 
   RowBox[{"LoopCreasePrototype2Form", "[", 
    RowBox[{"10", ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"frm3a", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm3a", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"var", "//", "Length"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
   3.615766552206892*^9, 3.615766553603972*^9}, {3.615777145035*^9, 
   3.6157771458075113`*^9}, 3.615777506580553*^9, {3.6158483613035173`*^9, 
   3.6158483649685736`*^9}, {3.615850523497007*^9, 3.615850524609524*^9}, {
   3.615865587912445*^9, 3.615865604127694*^9}, {3.6160019693522882`*^9, 
   3.616001977987421*^9}, {3.616003343314392*^9, 3.616003357052103*^9}, {
   3.616068150586467*^9, 3.616068160079112*^9}, {3.616095388102292*^9, 
   3.6160953944698896`*^9}, 3.6166593786806564`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Valence 3.B", "Subsection",
 CellChangeTimes->{{3.60562336381744*^9, 3.6056233784292755`*^9}, {
   3.6056963600892944`*^9, 3.605696366944687*^9}, 3.605792262258835*^9, {
   3.609885110253237*^9, 3.60988511118829*^9}, 3.6099251070439873`*^9, 
   3.6160956502313185`*^9}],

Cell[CellGroupData[{

Cell["subdivision", "Subsubsection",
 CellChangeTimes->{{3.6164059850592666`*^9, 3.616405988454319*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Omega]", "1"], ",", 
     SubscriptBox["\[Omega]", "2"]}], "}"}], "=", 
   RowBox[{"LoopWeight", "[", "6", "]"}]}], ";", 
  RowBox[{"{", 
   RowBox[{
    SubscriptBox["\[Omega]", "1"], ",", 
    SubscriptBox["\[Omega]", "2"]}], "}"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sub", "=", 
   RowBox[{"(", GridBox[{
      {"3", "1", "0", "1", "3", "0", "0", "0", "0"},
      {"1", "3", "0", "0", "3", "1", "0", "0", "0"},
      {"0", "3", "1", "0", "1", "3", "0", "0", "0"},
      {"0", "0", "1", "0", "0", "1", "0", "0", "0"},
      {"1", "0", "0", "3", "3", "0", "1", "0", "0"},
      {
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"], "0", 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "1"], 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"], "0"},
      {"0", "1", "0", "0", "3", "3", "0", "1", "0"},
      {"0", "0", "1", "0", "0", "6", "0", "1", "0"},
      {"0", "0", "0", "1", "3", "0", "3", "1", "0"},
      {"0", "0", "0", "0", "3", "1", "1", "3", "0"},
      {"0", "0", "0", "0", "0", "1", "0", "1", "0"},
      {"0", "0", "0", "0", "1", "0", "3", "3", "1"},
      {"0", "0", "0", "0", "0", "1", "0", "6", "1"},
      {"0", "0", "0", "0", "0", "0", "0", "1", "1"}
     }], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Total", "[", "#", "]"}], "&"}], "/@", 
  "sub"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LP3Bsub", "=", 
   RowBox[{"NormalizeWeights", "[", "sub", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LP3Bind", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "1", ",", "2", ",", "3", ",", "  ", "5", ",", "6", ",", "7", ",", "8", 
       ",", "  ", "9", ",", "10", ",", "11", ",", "  ", "12", ",", "13"}], 
      "}"}], ",", 
     RowBox[{"(*", "reg", "*)"}], "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "9", ",", "6", ",", "2", ",", "  ", "12", ",", "10", ",", "7", ",", "3",
        ",", "  ", "13", ",", "11", ",", "8"}], "}"}], ",", 
     RowBox[{"(*", "3.1", "*)"}], "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "2", ",", "3", ",", "4", ",", "   ", "6", ",", "7", ",", "8", ",", "  ",
        "10", ",", "11", ",", "  ", "13"}], "}"}], ",", 
     RowBox[{"(*", "3.2", "*)"}], "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "6", ",", "7", ",", "8", ",", "  ", "9", ",", "10", ",", "11", ",", 
       "  ", "12", ",", "13", ",", "  ", "14"}], "}"}]}], 
    RowBox[{"(*", "3.2", "*)"}], "\[IndentingNewLine]", "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"LP3Bsub", "//", "Dimensions"}]}], "Input",
 CellChangeTimes->{3.6160956731741705`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"LP3Bsub", "\[LeftDoubleBracket]", 
   RowBox[{"LP3Bind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
   "\[RightDoubleBracket]"}], "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.615766473350382*^9, 3.6157664954506454`*^9}, {
  3.615865579397314*^9, 3.6158655810848403`*^9}, {3.6160033292241755`*^9, 
  3.6160033392168293`*^9}, {3.616068143253854*^9, 3.616068145713892*^9}, {
  3.6160952410700336`*^9, 3.616095255860261*^9}, {3.616095679519268*^9, 
  3.616095683746833*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["crease", "Subsubsection",
 CellChangeTimes->{{3.6164059942069073`*^9, 3.616405997119452*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frm3b", "=", 
   RowBox[{"LoopCreasePrototypeForm", "[", 
    RowBox[{"9", ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"frm3b", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm3b", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"var", "//", "Length"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
   3.615766552206892*^9, 3.615766553603972*^9}, {3.615777145035*^9, 
   3.6157771458075113`*^9}, 3.615777506580553*^9, {3.6158483613035173`*^9, 
   3.6158483649685736`*^9}, {3.615850523497007*^9, 3.615850524609524*^9}, {
   3.615865587912445*^9, 3.615865604127694*^9}, {3.6160019693522882`*^9, 
   3.616001977987421*^9}, {3.616003343314392*^9, 3.616003357052103*^9}, {
   3.616068150586467*^9, 3.616068160079112*^9}, {3.616095388102292*^9, 
   3.6160953944698896`*^9}, {3.6160956889694133`*^9, 3.616095697467044*^9}, {
   3.6160958274115396`*^9, 3.616095838941717*^9}}],

Cell[BoxData[
 RowBox[{"Dimensions", "/@", "LP3Bind"}]], "Input",
 CellChangeTimes->{{3.6164060984010077`*^9, 3.6164061220563707`*^9}}],

Cell[BoxData[
 RowBox[{"LoopCen3aForm", "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.616406081240744*^9, 3.6164060826582656`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
  "LoopListMoment1", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], "//",
   "Dimensions"}]], "Input",
 CellChangeTimes->{{3.616406134214058*^9, 3.616406135346575*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"eqs", "=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"frm6", "=", 
       RowBox[{
       "LoopListMoment1", "\[LeftDoubleBracket]", "4", 
        "\[RightDoubleBracket]"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"NestT", "[", 
       RowBox[{"frm6", ",", 
        RowBox[{"LP3Bsub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP3Bind", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"LoopCen3aForm", ",", 
        RowBox[{"LP3Bsub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP3Bind", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm3b", ",", 
        RowBox[{"LP3Bsub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP3Bind", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm3b", ",", 
        RowBox[{"LP3Bsub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP3Bind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "-", "frm3b"}]}], 
    "\[IndentingNewLine]", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.616055875601272*^9, {3.616068383675047*^9, 3.616068406730401*^9}, {
   3.6160952432100663`*^9, 3.6160952514376926`*^9}, {3.6160953996524696`*^9, 
   3.616095400552483*^9}, {3.616095843604288*^9, 3.616095860567049*^9}, {
   3.616095938434246*^9, 3.6160959412792892`*^9}, 3.6164060603979235`*^9, {
   3.61640617407967*^9, 3.6164061893299046`*^9}, {3.6164062441882467`*^9, 
   3.616406247185793*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"mat", ",", "vec"}], "}"}], "=", 
   RowBox[{"BuildEssential", "[", 
    RowBox[{"eqs", ",", "var"}], "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"MatrixRank", "[", "mat", "]"}]], "Input",
 CellChangeTimes->{{3.6166645020726976`*^9, 3.616664507114986*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nul", "=", 
   RowBox[{"NullSpace", "[", "mat", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.616406265026067*^9, 3.616406270683654*^9}, {
  3.616406403485694*^9, 3.6164064103032985`*^9}}],

Cell[BoxData[
 RowBox[{"nul", "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.6164065021397085`*^9, 3.616406503874736*^9}}],

Cell[BoxData[
 RowBox[{"mat", "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.6160562176147895`*^9, 3.6160562193198867`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"lin", "=", 
   RowBox[{"LinearSolve", "[", 
    RowBox[{"mat", ",", 
     RowBox[{"-", "vec"}]}], "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"Length", "/@", 
  RowBox[{"{", 
   RowBox[{"lin", ",", "var"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.6160685341808586`*^9, 3.6160685482085743`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"LP3Balt", "=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"vec", "=", 
       RowBox[{"lin", "+", 
        RowBox[{
         RowBox[{"{", 
          SubscriptBox["\[Alpha]", "1"], "}"}], ".", "nul"}]}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"frm3b", "/.", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
         "var", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
         "\[Rule]", 
         RowBox[{
         "vec", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", 
          RowBox[{"Length", "[", "lin", "]"}]}], "}"}]}], "]"}]}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.616056437880782*^9, 3.616056446295912*^9}, 
   3.616095417315241*^9, {3.616095978147356*^9, 3.616095982704926*^9}, {
   3.6164065589180813`*^9, 3.6164065814184265`*^9}, 3.6166645289762363`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"LP3Balt", "=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"vec", "=", "lin"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"frm3b", "/.", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
         "var", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
         "\[Rule]", 
         RowBox[{
         "vec", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", 
          RowBox[{"Length", "[", "lin", "]"}]}], "}"}]}], "]"}]}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{3.61666440875436*^9}],

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"0", "\[Equal]", "#"}], "&"}], "/@", 
   RowBox[{"(", 
    RowBox[{"Union", "@", 
     RowBox[{"Flatten", "@", 
      RowBox[{"(", 
       RowBox[{"LoopCen3bForm", "-", "LP3Balt"}], ")"}]}]}], ")"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.6166644231661844`*^9, 3.616664437634012*^9}, {
  3.616664540689906*^9, 3.616664550575472*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"LP3Balt", ">>", "\"\<general3BLoopCreaseForm.mx\>\""}], 
  "*)"}]], "Input",
 CellChangeTimes->{{3.616406764636241*^9, 3.616406778316451*^9}}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{3.6164069479490566`*^9}],

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"0", "\[Equal]", "#"}], "&"}], "/@", 
   RowBox[{"Flatten", "[", 
    RowBox[{"LP3Balt", "\[LeftDoubleBracket]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"6", ",", "8"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"6", ",", "8"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"6", ",", "8"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"6", ",", "8"}], "}"}]}], "\[RightDoubleBracket]"}], "]"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.6164068928207097`*^9, 3.616406904868395*^9}}],

Cell[BoxData[{
 RowBox[{"MatrixForm", "/@", 
  RowBox[{"LP3Balt", "\[LeftDoubleBracket]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"6", ",", "8"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"6", ",", "8"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"6", ",", "8"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"6", ",", "8"}], "}"}]}], 
   "\[RightDoubleBracket]"}]}], "\[IndentingNewLine]", 
 RowBox[{"MatrixForm", "/@", 
  RowBox[{"LoopCen3bForm", "\[LeftDoubleBracket]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"6", ",", "8"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"6", ",", "8"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"6", ",", "8"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"6", ",", "8"}], "}"}]}], "\[RightDoubleBracket]"}]}]}], "Input",
 CellChangeTimes->{{3.616406870100361*^9, 3.616406878002982*^9}, {
  3.616406945716522*^9, 3.6164069492615767`*^9}}],

Cell[BoxData[
 RowBox[{"LP3Balt", "\[LeftDoubleBracket]", 
  "\[RightDoubleBracket]"}]], "Input",
 CellChangeTimes->{{3.616406820052092*^9, 3.6164068210871077`*^9}}],

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"0", "\[Equal]", "#"}], "&"}], "/@", 
   RowBox[{"Flatten", "[", 
    RowBox[{"LoopCen3bForm", "-", "LP3Balt"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6164066629946795`*^9, 3.6164066849850173`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"mysug", "=", 
   RowBox[{"Select", "[", 
    RowBox[{
     RowBox[{"Union", "@", 
      RowBox[{"Flatten", "@", "frm6done"}]}], ",", 
     RowBox[{
      RowBox[{"0", "<", 
       RowBox[{"Length", "@", 
        RowBox[{"Variables", "[", "#", "]"}]}]}], "&"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.6160670905726852`*^9, 3.6160671668188562`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"cnv", "=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "tmp", "}"}], ",", 
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"tmp", "=", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
           "mysug", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
           ",", 
           RowBox[{"Length", "@", 
            RowBox[{"Tally", "@", 
             RowBox[{"Abs", "@", 
              RowBox[{"Flatten", "[", 
               RowBox[{"frm6done", "/.", 
                RowBox[{
                 RowBox[{"Solve", "[", 
                  RowBox[{
                   RowBox[{
                   "mysug", "\[LeftDoubleBracket]", "k", 
                    "\[RightDoubleBracket]"}], "\[Equal]", "0"}], "]"}], 
                 "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
               "]"}]}]}]}]}], "}"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Print", "[", "tmp", "]"}], ";", "tmp"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", 
         RowBox[{"Length", "[", "mysug", "]"}]}], "}"}]}], "]"}]}], 
    "\[IndentingNewLine]", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.616067004597864*^9, 3.6160670745199385`*^9}, {
  3.6160671707489166`*^9, 3.616067224884748*^9}, {3.6160672715929656`*^9, 
  3.616067301280922*^9}}],

Cell[BoxData[
 RowBox[{"Total", "/@", "nul"}]], "Input",
 CellChangeTimes->{{3.6164066943451614`*^9, 3.6164066978977156`*^9}}],

Cell[BoxData[
 RowBox[{"\[LeftDoubleBracket]", 
  RowBox[{"5", ",", "6"}], "\[RightDoubleBracket]"}]], "Input",
 CellChangeTimes->{{3.6164065925010967`*^9, 3.6164065952061386`*^9}, 
   3.6164066655422187`*^9}],

Cell[BoxData[
 RowBox[{"LP3Balt", "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.616068558111226*^9, 3.616068559611249*^9}, 
   3.616096408408965*^9}],

Cell[BoxData[
 RowBox[{"LP3Balt", ">>", "\"\<LoopMoment1altc32vec.mx\>\""}]], "Input",
 CellChangeTimes->{{3.6160954516807685`*^9, 3.616095467726015*^9}, {
  3.6160964105289974`*^9, 3.6160964132915397`*^9}}],

Cell[BoxData[
 RowBox[{"Length", "@", 
  RowBox[{"Tally", "@", 
   RowBox[{"Abs", "@", 
    RowBox[{"Flatten", "@", "LP3Balt"}]}]}]}]], "Input",
 CellChangeTimes->{{3.616068578501539*^9, 3.6160685881516876`*^9}, 
   3.6160964296267905`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Inertia", "Subsubsection",
 CellChangeTimes->{{3.6166597056363573`*^9, 3.6166597109496613`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frm3b", "=", 
   RowBox[{"LoopCreasePrototype2Form", "[", 
    RowBox[{"9", ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"frm3b", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm3b", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"var", "//", "Length"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
   3.615766552206892*^9, 3.615766553603972*^9}, {3.615777145035*^9, 
   3.6157771458075113`*^9}, 3.615777506580553*^9, {3.6158483613035173`*^9, 
   3.6158483649685736`*^9}, {3.615850523497007*^9, 3.615850524609524*^9}, {
   3.615865587912445*^9, 3.615865604127694*^9}, {3.6160019693522882`*^9, 
   3.616001977987421*^9}, {3.616003343314392*^9, 3.616003357052103*^9}, {
   3.616068150586467*^9, 3.616068160079112*^9}, {3.616095388102292*^9, 
   3.6160953944698896`*^9}, {3.6160956889694133`*^9, 3.616095697467044*^9}, {
   3.6160958274115396`*^9, 3.616095838941717*^9}, 3.616659748023782*^9}]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Valence 1.A expl", "Subsection",
 CellChangeTimes->{{3.60562336381744*^9, 3.6056233784292755`*^9}, {
   3.6056963600892944`*^9, 3.605696366944687*^9}, 3.605792262258835*^9, {
   3.609885110253237*^9, 3.60988511118829*^9}, 3.6099251070439873`*^9, 
   3.6160956502313185`*^9, {3.6160964421944838`*^9, 3.6160964432369995`*^9}, {
   3.616097191009281*^9, 3.616097191354286*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Omega]", "1"], ",", 
     SubscriptBox["\[Omega]", "2"]}], "}"}], "=", 
   RowBox[{"LoopWeight", "[", "6", "]"}]}], ";", 
  RowBox[{"{", 
   RowBox[{
    SubscriptBox["\[Omega]", "1"], ",", 
    SubscriptBox["\[Omega]", "2"]}], "}"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sub", "=", 
   RowBox[{"(", GridBox[{
      {"3", "1", "1", "3", "0", "0", "0", "0"},
      {"1", "3", "0", "3", "1", "0", "0", "0"},
      {"0", "1", "0", "0", "1", "0", "0", "0"},
      {"1", "0", "3", "3", "0", "1", "0", "0"},
      {
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "1"], 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"], "0"},
      {"0", "1", "0", "3", "3", "0", "1", "0"},
      {"0", "1", "0", "0", "6", "0", "0", "1"},
      {"0", "0", "1", "3", "0", "3", "1", "0"},
      {"0", "0", "0", "3", "1", "1", "3", "0"},
      {"0", "0", "0", "1", "3", "0", "3", "1"},
      {"0", "0", "0", "0", "1", "0", "0", "1"},
      {"0", "0", "0", "0", "0", "1", "1", "0"},
      {"0", "0", "0", "0", "0", "1", "6", "1"},
      {"0", "0", "0", "0", "0", "0", "1", "1"},
      {"0", "0", "0", "0", "1", "0", "1", "6"}
     }], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Total", "[", "#", "]"}], "&"}], "/@", 
  "sub"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LP1Asub", "=", 
   RowBox[{"NormalizeWeights", "[", "sub", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LP1Aind", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "1", ",", "2", ",", "3", ",", "  ", "4", ",", "5", ",", "6", ",", "7", 
       ",", "  ", "8", ",", "9", ",", "10", ",", "  ", "12", ",", "13"}], 
      "}"}], ",", 
     RowBox[{"(*", "reg", "*)"}], "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "8", ",", "5", ",", "2", ",", "  ", "12", ",", "9", ",", "6", ",", "3", 
       ",", "  ", "13", ",", "10", ",", "7", ",", "  ", "14", ",", "11"}], 
      "}"}], ",", 
     RowBox[{"(*", "reg", "*)"}], "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "5", ",", "6", ",", "7", ",", "  ", "8", ",", "9", ",", "10", ",", "11",
        ",", "  ", "12", ",", "13", ",", "14"}], "}"}], ",", 
     RowBox[{"(*", "3.1", "*)"}], "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "13", ",", "9", ",", "5", ",", "  ", "14", ",", "10", ",", "6", ",", 
       "2", ",", "  ", "11", ",", "7", ",", "3"}], "}"}]}], 
    RowBox[{"(*", "3.1", "*)"}], "\[IndentingNewLine]", "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"LP1Asub", "//", "Dimensions"}]}], "Input",
 CellChangeTimes->{3.6160956731741705`*^9, 3.6160964770925198`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"LP1Asub", "\[LeftDoubleBracket]", 
   RowBox[{"LP1Aind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
   "\[RightDoubleBracket]"}], "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.615766473350382*^9, 3.6157664954506454`*^9}, {
  3.615865579397314*^9, 3.6158655810848403`*^9}, {3.6160033292241755`*^9, 
  3.6160033392168293`*^9}, {3.616068143253854*^9, 3.616068145713892*^9}, {
  3.6160952410700336`*^9, 3.616095255860261*^9}, {3.616095679519268*^9, 
  3.616095683746833*^9}, {3.6160964854901485`*^9, 3.6160964880976887`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frm1a", "=", 
   RowBox[{"LoopCreasePrototypeForm", "[", 
    RowBox[{"8", ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"frm1a", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm1a", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"var", "//", "Length"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
   3.615766552206892*^9, 3.615766553603972*^9}, {3.615777145035*^9, 
   3.6157771458075113`*^9}, 3.615777506580553*^9, {3.6158483613035173`*^9, 
   3.6158483649685736`*^9}, {3.615850523497007*^9, 3.615850524609524*^9}, {
   3.615865587912445*^9, 3.615865604127694*^9}, {3.6160019693522882`*^9, 
   3.616001977987421*^9}, {3.616003343314392*^9, 3.616003357052103*^9}, {
   3.616068150586467*^9, 3.616068160079112*^9}, {3.616095388102292*^9, 
   3.6160953944698896`*^9}, {3.6160956889694133`*^9, 3.616095697467044*^9}, {
   3.6160958274115396`*^9, 3.616095838941717*^9}, {3.6160964933502693`*^9, 
   3.6160965163981237`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"LP1Aalt", "=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"frm6", "=", 
       RowBox[{
       "LoopListMoment1", "\[LeftDoubleBracket]", "4", 
        "\[RightDoubleBracket]"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"NestT", "[", 
       RowBox[{"frm6", ",", 
        RowBox[{"LP1Asub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP1Aind", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm6", ",", 
        RowBox[{"LP1Asub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP1Aind", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"LoopCen3aForm", ",", 
        RowBox[{"LP1Asub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP1Aind", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"LoopCen3aForm", ",", 
        RowBox[{"LP1Asub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP1Aind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}]}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.616055875601272*^9, {3.616068383675047*^9, 3.616068406730401*^9}, {
   3.6160952432100663`*^9, 3.6160952514376926`*^9}, {3.6160953996524696`*^9, 
   3.616095400552483*^9}, {3.616095843604288*^9, 3.616095860567049*^9}, {
   3.616095938434246*^9, 3.6160959412792892`*^9}, {3.6160965475186014`*^9, 
   3.616096613384613*^9}, {3.616756940599308*^9, 3.6167569414953594`*^9}}],

Cell[BoxData[
 RowBox[{"LP1Aalt", ">>", "\"\<LoopMoment1altc11vec.mx\>\""}]], "Input",
 CellChangeTimes->{{3.6160954516807685`*^9, 3.616095467726015*^9}, {
   3.6160964105289974`*^9, 3.6160964132915397`*^9}, {3.6160964491770906`*^9, 
   3.6160964493245935`*^9}, 3.6160966303173733`*^9}],

Cell[BoxData[
 RowBox[{"Length", "@", 
  RowBox[{"Tally", "@", 
   RowBox[{"Abs", "@", 
    RowBox[{"Flatten", "@", "LP1Aalt"}]}]}]}]], "Input",
 CellChangeTimes->{{3.616068578501539*^9, 3.6160685881516876`*^9}, 
   3.6160964296267905`*^9, 3.6160966324724064`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"0", "\[Equal]", "#"}], "&"}], "/@", 
    RowBox[{"Flatten", "[", 
     RowBox[{"frm1a", "-", "LP1Aalt"}], "]"}]}], "]"}], "//", 
  "Length"}]], "Input",
 CellChangeTimes->{{3.61675695882035*^9, 3.6167569826517134`*^9}}],

Cell[CellGroupData[{

Cell["Inertia", "Subsubsection",
 CellChangeTimes->{{3.6166597056363573`*^9, 3.6166597109496613`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frm", "=", 
   RowBox[{"LoopCreasePrototype2Form", "[", 
    RowBox[{"8", ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"frm", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"var", "//", "Length"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
   3.615766552206892*^9, 3.615766553603972*^9}, {3.615777145035*^9, 
   3.6157771458075113`*^9}, 3.615777506580553*^9, {3.6158483613035173`*^9, 
   3.6158483649685736`*^9}, {3.615850523497007*^9, 3.615850524609524*^9}, {
   3.615865587912445*^9, 3.615865604127694*^9}, {3.6160019693522882`*^9, 
   3.616001977987421*^9}, {3.616003343314392*^9, 3.616003357052103*^9}, {
   3.616068150586467*^9, 3.616068160079112*^9}, {3.616095388102292*^9, 
   3.6160953944698896`*^9}, {3.6160956889694133`*^9, 3.616095697467044*^9}, {
   3.6160958274115396`*^9, 3.616095838941717*^9}, 3.616659748023782*^9, {
   3.61675704606334*^9, 3.6167570535127664`*^9}}],

Cell[BoxData[
 RowBox[{"var", "\[LeftDoubleBracket]", 
  RowBox[{"Range", "[", "10", "]"}], "\[RightDoubleBracket]"}]], "Input",
 CellChangeTimes->{{3.6167570861586337`*^9, 3.6167570900758576`*^9}}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Valence 1.B", "Subsection",
 CellChangeTimes->{{3.60562336381744*^9, 3.6056233784292755`*^9}, {
   3.6056963600892944`*^9, 3.605696366944687*^9}, 3.605792262258835*^9, {
   3.609885110253237*^9, 3.60988511118829*^9}, 3.6099251070439873`*^9, 
   3.6160956502313185`*^9, 3.6160966664579287`*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Omega]", "1"], ",", 
     SubscriptBox["\[Omega]", "2"]}], "}"}], "=", 
   RowBox[{"LoopWeight", "[", "6", "]"}]}], ";", 
  RowBox[{"{", 
   RowBox[{
    SubscriptBox["\[Omega]", "1"], ",", 
    SubscriptBox["\[Omega]", "2"]}], "}"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sub", "=", 
   RowBox[{"(", GridBox[{
      {"1", "0", "0", "1", "0", "0"},
      {"1", "3", "0", "3", "1", "0"},
      {"0", "3", "1", "1", "3", "0"},
      {"0", "0", "1", "0", "1", "0"},
      {"1", "0", "0", "6", "0", "1"},
      {"0", "1", "0", "3", "3", "1"},
      {"0", "0", "1", "0", "6", "1"},
      {"0", "0", "0", "1", "0", "1"},
      {"0", "0", "0", "0", "1", "1"},
      {"0", "0", "0", "1", "1", "6"}
     }], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Total", "[", "#", "]"}], "&"}], "/@", 
  "sub"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LP1Bsub", "=", 
   RowBox[{"NormalizeWeights", "[", "sub", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LP1Bind", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "7", ",", "9", ",", "10", ",", "  ", "3", ",", "6", ",", "8", ",", "  ",
        "2", ",", "5", ",", "  ", "1"}], "}"}], ",", 
     RowBox[{"(*", "3.2", "*)"}], "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "2", ",", "3", ",", "4", ",", "  ", "5", ",", "6", ",", "7", ",", "  ", 
       "8", ",", "9", ",", "  ", "10"}], "}"}], ",", 
     RowBox[{"(*", "3.2", "*)"}], "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "3", ",", "7", ",", "  ", "2", ",", "6", ",", "9", ",", "  ", "5", ",", 
       "8", ",", "10"}], "}"}], ",", 
     RowBox[{"(*", "1.1", "*)"}], "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "5", ",", "6", ",", "7", ",", "  ", "8", ",", "9", ",", "  ", "10"}], 
      "}"}]}], 
    RowBox[{"(*", "1.2", "*)"}], "\[IndentingNewLine]", "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"LP1Bsub", "//", "Dimensions"}]}], "Input",
 CellChangeTimes->{3.6160956731741705`*^9, 3.616096685155716*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"LP1Bsub", "\[LeftDoubleBracket]", 
   RowBox[{"LP1Bind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
   "\[RightDoubleBracket]"}], "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.615766473350382*^9, 3.6157664954506454`*^9}, {
  3.615865579397314*^9, 3.6158655810848403`*^9}, {3.6160033292241755`*^9, 
  3.6160033392168293`*^9}, {3.616068143253854*^9, 3.616068145713892*^9}, {
  3.6160952410700336`*^9, 3.616095255860261*^9}, {3.616095679519268*^9, 
  3.616095683746833*^9}, {3.6160966950083666`*^9, 3.6160966979159117`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frm1b", "=", 
   RowBox[{"LoopCreasePrototypeForm", "[", 
    RowBox[{"6", ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"frm1b", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm1b", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"var", "//", "Length"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
   3.615766552206892*^9, 3.615766553603972*^9}, {3.615777145035*^9, 
   3.6157771458075113`*^9}, 3.615777506580553*^9, {3.6158483613035173`*^9, 
   3.6158483649685736`*^9}, {3.615850523497007*^9, 3.615850524609524*^9}, {
   3.615865587912445*^9, 3.615865604127694*^9}, {3.6160019693522882`*^9, 
   3.616001977987421*^9}, {3.616003343314392*^9, 3.616003357052103*^9}, {
   3.616068150586467*^9, 3.616068160079112*^9}, {3.616095388102292*^9, 
   3.6160953944698896`*^9}, {3.6160956889694133`*^9, 3.616095697467044*^9}, {
   3.6160958274115396`*^9, 3.616095838941717*^9}, {3.616096704538513*^9, 
   3.616096715856187*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"eqs", "=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"frm6", "=", 
       RowBox[{
       "LoopListMoment1", "\[LeftDoubleBracket]", "4", 
        "\[RightDoubleBracket]"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"NestT", "[", 
       RowBox[{"LoopCen3bForm", ",", 
        RowBox[{"LP1Bsub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP1Bind", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"LoopCen3bForm", ",", 
        RowBox[{"LP1Bsub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP1Bind", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"LP1Aalt", ",", 
        RowBox[{"LP1Bsub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP1Bind", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm1b", ",", 
        RowBox[{"LP1Bsub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP1Bind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "-", "frm1b"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.616055875601272*^9, {3.616068383675047*^9, 3.616068406730401*^9}, {
   3.6160952432100663`*^9, 3.6160952514376926`*^9}, {3.6160953996524696`*^9, 
   3.616095400552483*^9}, {3.616095843604288*^9, 3.616095860567049*^9}, {
   3.616095938434246*^9, 3.6160959412792892`*^9}, {3.6160967257413387`*^9, 
   3.6160967446591296`*^9}, {3.6160967759571104`*^9, 
   3.6160967837947307`*^9}, {3.6167571976490107`*^9, 3.6167572037873616`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"mat", ",", "vec"}], "}"}], "=", 
   RowBox[{"BuildEssential", "[", 
    RowBox[{"eqs", ",", "var"}], "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"mat", "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.6160562176147895`*^9, 3.6160562193198867`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"lin", "=", 
   RowBox[{"LinearSolve", "[", 
    RowBox[{"mat", ",", 
     RowBox[{"-", "vec"}]}], "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"Length", "/@", 
  RowBox[{"{", 
   RowBox[{"lin", ",", "var"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.6160685341808586`*^9, 3.6160685482085743`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"LP1Balt", "=", 
   RowBox[{"frm1b", "/.", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"var", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
       "\[Rule]", 
       RowBox[{
       "lin", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", 
        RowBox[{"Length", "[", "lin", "]"}]}], "}"}]}], "]"}]}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.616056437880782*^9, 3.616056446295912*^9}, 
   3.616095417315241*^9, {3.616095978147356*^9, 3.616095982704926*^9}, {
   3.6160968639834623`*^9, 3.6160968682035275`*^9}}],

Cell[BoxData[
 RowBox[{"LP1Balt", "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.616068558111226*^9, 3.616068559611249*^9}, 
   3.616096408408965*^9, 3.6160968712260733`*^9}],

Cell[BoxData[
 RowBox[{"LP1Balt", ">>", "\"\<LoopMoment1altc12vec.mx\>\""}]], "Input",
 CellChangeTimes->{{3.6160954516807685`*^9, 3.616095467726015*^9}, {
  3.6160964105289974`*^9, 3.6160964132915397`*^9}, {3.6160968732311044`*^9, 
  3.6160968753211365`*^9}}],

Cell[BoxData[
 RowBox[{"Tally", "@", 
  RowBox[{"Abs", "@", 
   RowBox[{"Flatten", "@", 
    RowBox[{"(", 
     RowBox[{"LP1Balt", "-", "LoopCen1bForm"}], ")"}]}]}]}]], "Input",
 CellChangeTimes->{{3.616068578501539*^9, 3.6160685881516876`*^9}, 
   3.6160964296267905`*^9, 3.616096880058709*^9, {3.616757224965573*^9, 
   3.616757237272277*^9}}],

Cell[CellGroupData[{

Cell["Inertia", "Subsubsection",
 CellChangeTimes->{{3.616659939924758*^9, 3.6166599431079397`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frm1b", "=", 
   RowBox[{"LoopCreasePrototype2Form", "[", 
    RowBox[{"6", ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"frm1b", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm1b", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"var", "//", "Length"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
   3.615766552206892*^9, 3.615766553603972*^9}, {3.615777145035*^9, 
   3.6157771458075113`*^9}, 3.615777506580553*^9, {3.6158483613035173`*^9, 
   3.6158483649685736`*^9}, {3.615850523497007*^9, 3.615850524609524*^9}, {
   3.615865587912445*^9, 3.615865604127694*^9}, {3.6160019693522882`*^9, 
   3.616001977987421*^9}, {3.616003343314392*^9, 3.616003357052103*^9}, {
   3.616068150586467*^9, 3.616068160079112*^9}, {3.616095388102292*^9, 
   3.6160953944698896`*^9}, {3.6160956889694133`*^9, 3.616095697467044*^9}, {
   3.6160958274115396`*^9, 3.616095838941717*^9}, {3.616096704538513*^9, 
   3.616096715856187*^9}, 3.6166599458850985`*^9, {3.6166599854303603`*^9, 
   3.6166600534862533`*^9}, 3.616757267631013*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Valence 1.C expl", "Subsection",
 CellChangeTimes->{{3.60562336381744*^9, 3.6056233784292755`*^9}, {
   3.6056963600892944`*^9, 3.605696366944687*^9}, 3.605792262258835*^9, {
   3.609885110253237*^9, 3.60988511118829*^9}, 3.6099251070439873`*^9, 
   3.6160956502313185`*^9, {3.6160964421944838`*^9, 3.6160964432369995`*^9}, {
   3.616097191009281*^9, 3.616097195916857*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Omega]", "1"], ",", 
     SubscriptBox["\[Omega]", "2"]}], "}"}], "=", 
   RowBox[{"LoopWeight", "[", "6", "]"}]}], ";", 
  RowBox[{"{", 
   RowBox[{
    SubscriptBox["\[Omega]", "1"], ",", 
    SubscriptBox["\[Omega]", "2"]}], "}"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sub", "=", 
   RowBox[{"(", GridBox[{
      {"1", "1", "0", "0", "0", "0"},
      {"1", "0", "1", "0", "0", "0"},
      {"1", "6", "0", "1", "0", "0"},
      {"1", "3", "3", "0", "1", "0"},
      {"1", "0", "6", "0", "0", "1"},
      {"0", "1", "0", "1", "0", "0"},
      {"0", "3", "1", "1", "3", "0"},
      {"0", "1", "3", "0", "3", "1"},
      {"0", "0", "1", "0", "0", "1"},
      {"0", "0", "0", "1", "1", "0"},
      {"0", "0", "0", "1", "6", "1"},
      {"0", "0", "0", "0", "1", "1"}
     }], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Total", "[", "#", "]"}], "&"}], "/@", 
  "sub"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LP1Csub", "=", 
   RowBox[{"NormalizeWeights", "[", "sub", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LP1Cind", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "6", ",", "3", ",", "1", ",", "  ", "10", ",", "7", ",", "4", ",", "2", 
       ",", "  ", "11", ",", "8", ",", "5", ",", "  ", "12", ",", "9"}], 
      "}"}], ",", 
     RowBox[{"(*", "reg", "*)"}], "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "3", ",", "4", ",", "5", ",", "  ", "6", ",", "7", ",", "8", ",", "9", 
       ",", "  ", "10", ",", "11", ",", "12"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "11", ",", "7", ",", "3", ",", "  ", "12", ",", "8", ",", "4", ",", "1",
        ",", "  ", "9", ",", "5", ",", "2"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "5", ",", "8", ",", "11", ",", "  ", "2", ",", "4", ",", "7", ",", "10",
        ",", "  ", "1", ",", "3", ",", "6"}], "}"}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"LP1Csub", "//", "Dimensions"}]}], "Input",
 CellChangeTimes->{3.6160956731741705`*^9, 3.6160964770925198`*^9, 
  3.6160972205797358`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"LP1Csub", "\[LeftDoubleBracket]", 
   RowBox[{"LP1Cind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
   "\[RightDoubleBracket]"}], "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.615766473350382*^9, 3.6157664954506454`*^9}, {
  3.615865579397314*^9, 3.6158655810848403`*^9}, {3.6160033292241755`*^9, 
  3.6160033392168293`*^9}, {3.616068143253854*^9, 3.616068145713892*^9}, {
  3.6160952410700336`*^9, 3.616095255860261*^9}, {3.616095679519268*^9, 
  3.616095683746833*^9}, {3.6160964854901485`*^9, 3.6160964880976887`*^9}, {
  3.6160972835182023`*^9, 3.6160972858107376`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frm1a", "=", 
   RowBox[{"LoopCreasePrototypeForm", "[", 
    RowBox[{"6", ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"frm1a", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm1a", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"var", "//", "Length"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
   3.615766552206892*^9, 3.615766553603972*^9}, {3.615777145035*^9, 
   3.6157771458075113`*^9}, 3.615777506580553*^9, {3.6158483613035173`*^9, 
   3.6158483649685736`*^9}, {3.615850523497007*^9, 3.615850524609524*^9}, {
   3.615865587912445*^9, 3.615865604127694*^9}, {3.6160019693522882`*^9, 
   3.616001977987421*^9}, {3.616003343314392*^9, 3.616003357052103*^9}, {
   3.616068150586467*^9, 3.616068160079112*^9}, {3.616095388102292*^9, 
   3.6160953944698896`*^9}, {3.6160956889694133`*^9, 3.616095697467044*^9}, {
   3.6160958274115396`*^9, 3.616095838941717*^9}, {3.6160964933502693`*^9, 
   3.6160965163981237`*^9}, 3.6166598686476808`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"LP1Calt", "=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"frm6", "=", 
       RowBox[{
       "LoopListMoment1", "\[LeftDoubleBracket]", "4", 
        "\[RightDoubleBracket]"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"NestT", "[", 
       RowBox[{"frm6", ",", 
        RowBox[{"LP1Csub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP1Cind", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"LoopCen3aForm", ",", 
        RowBox[{"LP1Csub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP1Cind", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"LoopCen3aForm", ",", 
        RowBox[{"LP1Csub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP1Cind", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"LoopCen3aForm", ",", 
        RowBox[{"LP1Csub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP1Cind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}]}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.616055875601272*^9, {3.616068383675047*^9, 3.616068406730401*^9}, {
   3.6160952432100663`*^9, 3.6160952514376926`*^9}, {3.6160953996524696`*^9, 
   3.616095400552483*^9}, {3.616095843604288*^9, 3.616095860567049*^9}, {
   3.616095938434246*^9, 3.6160959412792892`*^9}, {3.6160965475186014`*^9, 
   3.616096613384613*^9}, {3.6160972276223435`*^9, 3.616097255582773*^9}, {
   3.616757470282604*^9, 3.6167574743428364`*^9}}],

Cell[BoxData[
 RowBox[{"LP1Calt", ">>", "\"\<LoopMoment1altc13vec.mx\>\""}]], "Input",
 CellChangeTimes->{{3.6160954516807685`*^9, 3.616095467726015*^9}, {
   3.6160964105289974`*^9, 3.6160964132915397`*^9}, {3.6160964491770906`*^9, 
   3.6160964493245935`*^9}, 3.6160966303173733`*^9, {3.616097263980402*^9, 
   3.616097266395439*^9}}],

Cell[BoxData[
 RowBox[{"Tally", "@", 
  RowBox[{"Abs", "@", 
   RowBox[{"Flatten", "@", 
    RowBox[{"(", 
     RowBox[{"LP1Calt", "-", "LoopCen1cForm"}], ")"}]}]}]}]], "Input",
 CellChangeTimes->{{3.616068578501539*^9, 3.6160685881516876`*^9}, 
   3.6160964296267905`*^9, 3.6160966324724064`*^9, 3.6160972694879866`*^9, {
   3.616757478269061*^9, 3.616757489018676*^9}}],

Cell[CellGroupData[{

Cell["Inertia", "Subsubsection",
 CellChangeTimes->{{3.616659939924758*^9, 3.6166599431079397`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frm1b", "=", 
   RowBox[{"LoopCreasePrototype2Form", "[", 
    RowBox[{"6", ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"frm1b", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm1b", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"var", "//", "Length"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
   3.615766552206892*^9, 3.615766553603972*^9}, {3.615777145035*^9, 
   3.6157771458075113`*^9}, 3.615777506580553*^9, {3.6158483613035173`*^9, 
   3.6158483649685736`*^9}, {3.615850523497007*^9, 3.615850524609524*^9}, {
   3.615865587912445*^9, 3.615865604127694*^9}, {3.6160019693522882`*^9, 
   3.616001977987421*^9}, {3.616003343314392*^9, 3.616003357052103*^9}, {
   3.616068150586467*^9, 3.616068160079112*^9}, {3.616095388102292*^9, 
   3.6160953944698896`*^9}, {3.6160956889694133`*^9, 3.616095697467044*^9}, {
   3.6160958274115396`*^9, 3.616095838941717*^9}, {3.616096704538513*^9, 
   3.616096715856187*^9}, 3.6166599458850985`*^9, {3.6166599854303603`*^9, 
   3.6166600534862533`*^9}, 3.616757267631013*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Valence 2.A", "Subsection",
 CellChangeTimes->{{3.60562336381744*^9, 3.6056233784292755`*^9}, {
   3.6056963600892944`*^9, 3.605696366944687*^9}, 3.605792262258835*^9, {
   3.609885110253237*^9, 3.60988511118829*^9}, 3.6099251070439873`*^9, 
   3.6160956502313185`*^9, 3.6160966664579287`*^9, {3.6160973087535896`*^9, 
   3.616097309481101*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Omega]", "1"], ",", 
     SubscriptBox["\[Omega]", "2"]}], "}"}], "=", 
   RowBox[{"LoopWeight", "[", "6", "]"}]}], ";", 
  RowBox[{"{", 
   RowBox[{
    SubscriptBox["\[Omega]", "1"], ",", 
    SubscriptBox["\[Omega]", "2"]}], "}"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sub", "=", 
   RowBox[{"(", GridBox[{
      {"3", "1", "0", "1", "3", "0", "0", "0"},
      {"1", "3", "0", "0", "3", "1", "0", "0"},
      {"0", "3", "1", "0", "1", "3", "0", "0"},
      {"0", "0", "1", "0", "0", "1", "0", "0"},
      {"1", "0", "0", "3", "3", "0", "1", "0"},
      {
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"], "0", 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "1"], 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"]},
      {"0", "1", "0", "0", "3", "3", "0", "1"},
      {"0", "0", "1", "0", "0", "6", "0", "1"},
      {"0", "0", "0", "1", "3", "0", "3", "1"},
      {"0", "0", "0", "0", "3", "1", "1", "3"},
      {"0", "0", "0", "0", "0", "1", "0", "1"},
      {"0", "0", "0", "0", "0", "0", "1", "1"},
      {"0", "0", "0", "0", "0", "1", "1", "6"}
     }], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Total", "[", "#", "]"}], "&"}], "/@", 
  "sub"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LP2sub", "=", 
   RowBox[{"NormalizeWeights", "[", "sub", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LP2ind", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "1", ",", "2", ",", "3", ",", "  ", "5", ",", "6", ",", "7", ",", "8", 
       ",", "  ", "9", ",", "10", ",", "11", ",", "  ", "12", ",", "13"}], 
      "}"}], ",", 
     RowBox[{"(*", "6", "*)"}], "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "2", ",", "3", ",", "4", ",", "  ", "6", ",", "7", ",", "8", ",", "  ", 
       "10", ",", "11", ",", "  ", "13"}], "}"}], ",", 
     RowBox[{"(*", "3.2", "*)"}], "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "9", ",", "6", ",", "2", ",", "  ", "12", ",", "10", ",", "7", ",", "3",
        ",", "  ", "13", ",", "11", ",", "8"}], "}"}], ",", 
     RowBox[{"(*", "3.1", "*)"}], "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "6", ",", "7", ",", "8", ",", "  ", "9", ",", "10", ",", "11", ",", 
       "  ", "12", ",", "13"}], "}"}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"LP2sub", "//", "Dimensions"}]}], "Input",
 CellChangeTimes->{3.6160956731741705`*^9, 3.616096685155716*^9, 
  3.6160973278213825`*^9}],

Cell[BoxData[
 RowBox[{"Dimensions", "/@", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"LP2sub", "\[LeftDoubleBracket]", "#", "\[RightDoubleBracket]"}],
      "&"}], "/@", "LP2ind"}], ")"}]}]], "Input",
 CellChangeTimes->{{3.615766473350382*^9, 3.6157664954506454`*^9}, {
  3.615865579397314*^9, 3.6158655810848403`*^9}, {3.6160033292241755`*^9, 
  3.6160033392168293`*^9}, {3.616068143253854*^9, 3.616068145713892*^9}, {
  3.6160952410700336`*^9, 3.616095255860261*^9}, {3.616095679519268*^9, 
  3.616095683746833*^9}, {3.6160966950083666`*^9, 3.6160966979159117`*^9}, {
  3.616097341579094*^9, 3.616097345361652*^9}, {3.616097436250548*^9, 
  3.6160974521107917`*^9}}],

Cell[BoxData[
 RowBox[{"Dimensions", "[", "LP3Aalt", "]"}]], "Input",
 CellChangeTimes->{{3.616097459988413*^9, 3.6160974648109865`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frm2a", "=", 
   RowBox[{"LoopCreasePrototypeForm", "[", 
    RowBox[{"8", ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"frm2a", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm2a", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"var", "//", "Length"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
   3.615766552206892*^9, 3.615766553603972*^9}, {3.615777145035*^9, 
   3.6157771458075113`*^9}, 3.615777506580553*^9, {3.6158483613035173`*^9, 
   3.6158483649685736`*^9}, {3.615850523497007*^9, 3.615850524609524*^9}, {
   3.615865587912445*^9, 3.615865604127694*^9}, {3.6160019693522882`*^9, 
   3.616001977987421*^9}, {3.616003343314392*^9, 3.616003357052103*^9}, {
   3.616068150586467*^9, 3.616068160079112*^9}, {3.616095388102292*^9, 
   3.6160953944698896`*^9}, {3.6160956889694133`*^9, 3.616095697467044*^9}, {
   3.6160958274115396`*^9, 3.616095838941717*^9}, {3.616096704538513*^9, 
   3.616096715856187*^9}, {3.6160973505242314`*^9, 3.6160973596493716`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"eqs", "=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"frm6", "=", 
       RowBox[{
       "LoopListMoment1", "\[LeftDoubleBracket]", "4", 
        "\[RightDoubleBracket]"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"NestT", "[", 
       RowBox[{"frm6", ",", 
        RowBox[{"LP2sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP2ind", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"LP3Balt", ",", 
        RowBox[{"LP2sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP2ind", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"LP3Aalt", ",", 
        RowBox[{"LP2sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP2ind", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm2a", ",", 
        RowBox[{"LP2sub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP2ind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "-", "frm2a"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.616055875601272*^9, {3.616068383675047*^9, 3.616068406730401*^9}, {
   3.6160952432100663`*^9, 3.6160952514376926`*^9}, {3.6160953996524696`*^9, 
   3.616095400552483*^9}, {3.616095843604288*^9, 3.616095860567049*^9}, {
   3.616095938434246*^9, 3.6160959412792892`*^9}, {3.6160967257413387`*^9, 
   3.6160967446591296`*^9}, {3.6160967759571104`*^9, 
   3.6160967837947307`*^9}, {3.6160973737645884`*^9, 
   3.6160974037800493`*^9}, {3.6160974787587013`*^9, 3.6160974808812337`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"mat", ",", "vec"}], "}"}], "=", 
   RowBox[{"BuildEssential", "[", 
    RowBox[{"eqs", ",", "var"}], "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"mat", "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.6160562176147895`*^9, 3.6160562193198867`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"lin", "=", 
   RowBox[{"LinearSolve", "[", 
    RowBox[{"mat", ",", 
     RowBox[{"-", "vec"}]}], "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"Length", "/@", 
  RowBox[{"{", 
   RowBox[{"lin", ",", "var"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.6160685341808586`*^9, 3.6160685482085743`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"LP2Aalt", "=", 
   RowBox[{"frm2a", "/.", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"var", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
       "\[Rule]", 
       RowBox[{
       "lin", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", 
        RowBox[{"Length", "[", "lin", "]"}]}], "}"}]}], "]"}]}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.616056437880782*^9, 3.616056446295912*^9}, 
   3.616095417315241*^9, {3.616095978147356*^9, 3.616095982704926*^9}, {
   3.6160968639834623`*^9, 3.6160968682035275`*^9}, {3.6160975000140276`*^9, 
   3.6160975032340765`*^9}}],

Cell[BoxData[
 RowBox[{"LP2Aalt", "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.616068558111226*^9, 3.616068559611249*^9}, 
   3.616096408408965*^9, 3.6160968712260733`*^9, 3.616097514099244*^9}],

Cell[BoxData[
 RowBox[{"LP2Aalt", ">>", "\"\<LoopMoment1altc21vec.mx\>\""}]], "Input",
 CellChangeTimes->{{3.6160954516807685`*^9, 3.616095467726015*^9}, {
  3.6160964105289974`*^9, 3.6160964132915397`*^9}, {3.6160968732311044`*^9, 
  3.6160968753211365`*^9}, {3.6160975168867865`*^9, 3.6160975200043344`*^9}}],

Cell[BoxData[
 RowBox[{"Length", "@", 
  RowBox[{"Tally", "@", 
   RowBox[{"Abs", "@", 
    RowBox[{"Flatten", "@", "LP2Aalt"}]}]}]}]], "Input",
 CellChangeTimes->{{3.616068578501539*^9, 3.6160685881516876`*^9}, 
   3.6160964296267905`*^9, 3.616096880058709*^9, 3.616097522749377*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Valence 4.A", "Subsection",
 CellChangeTimes->{{3.60562336381744*^9, 3.6056233784292755`*^9}, {
   3.6056963600892944`*^9, 3.605696366944687*^9}, 3.605792262258835*^9, {
   3.609885110253237*^9, 3.60988511118829*^9}, 3.6099251070439873`*^9, 
   3.6160956502313185`*^9, 3.6160966664579287`*^9, {3.6160973087535896`*^9, 
   3.616097309481101*^9}, 3.616097556052388*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Omega]", "1"], ",", 
     SubscriptBox["\[Omega]", "2"]}], "}"}], "=", 
   RowBox[{"LoopWeight", "[", "6", "]"}]}], ";", 
  RowBox[{"{", 
   RowBox[{
    SubscriptBox["\[Omega]", "1"], ",", 
    SubscriptBox["\[Omega]", "2"]}], "}"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sub", "=", 
   RowBox[{"(", GridBox[{
      {"3", "1", "0", "1", "3", "0", "0", "0", "0", "0", "0"},
      {"1", "3", "0", "0", "3", "1", "0", "0", "0", "0", "0"},
      {"0", "3", "1", "0", "1", "3", "0", "0", "0", "0", "0"},
      {"0", "1", "3", "0", "0", "3", "1", "0", "0", "0", "0"},
      {"1", "0", "0", "3", "3", "0", "0", "1", "0", "0", "0"},
      {
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"], "0", 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "1"], 
       SubscriptBox["\[Omega]", "2"], "0", 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"], "0", "0"},
      {"0", "1", "0", "0", "3", "3", "0", "0", "1", "0", "0"},
      {"0", 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"], "0", 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "1"], 
       SubscriptBox["\[Omega]", "2"], "0", 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"], "0"},
      {"0", "0", "1", "0", "0", "3", "3", "0", "0", "1", "0"},
      {"0", "0", "0", "1", "3", "0", "0", "3", "1", "0", "0"},
      {"0", "0", "0", "0", "3", "1", "0", "1", "3", "0", "0"},
      {"0", "0", "0", "0", "1", "3", "0", "0", "3", "1", "0"},
      {"0", "0", "0", "0", "0", "3", "1", "0", "1", "3", "0"},
      {"0", "0", "0", "0", "1", "0", "0", "3", "3", "0", "1"},
      {"0", "0", "0", "0", "0", "0", "0", "0", "6", "1", "1"},
      {"0", "0", "0", "0", "0", "0", "0", "0", "1", "1", "0"},
      {"0", "0", "0", "0", "0", "0", "0", "0", "1", "0", "1"}
     }], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Total", "[", "#", "]"}], "&"}], "/@", 
  "sub"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LP4Asub", "=", 
   RowBox[{"NormalizeWeights", "[", "sub", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LP4Aind", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "1", ",", "2", ",", "3", ",", "  ", "5", ",", "6", ",", "7", ",", "8", 
       ",", "  ", "10", ",", "11", ",", "12", ",", "  ", "14", ",", "15"}], 
      "}"}], ",", 
     RowBox[{"(*", "reg", "*)"}], "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "2", ",", "3", ",", "4", ",", "  ", "6", ",", "7", ",", "8", ",", "9", 
       ",", "  ", "11", ",", "12", ",", "13", ",", "  ", "15", ",", "16"}], 
      "}"}], ",", 
     RowBox[{"(*", "reg", "*)"}], "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "16", ",", "15", ",", "14", ",", "  ", "13", ",", "12", ",", "11", ",", 
       "10", ",", "  ", "8", ",", "7", ",", "6", ",", "  ", "3", ",", "2"}], 
      "}"}], ",", 
     RowBox[{"(*", "reg", "*)"}], "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "6", ",", "7", ",", "8", ",", "  ", "10", ",", "11", ",", "12", ",", 
       "13", ",", "  ", "14", ",", "15", ",", "16", ",", "  ", "17"}], 
      "}"}]}], 
    RowBox[{"(*", 
     RowBox[{"4.", "a"}], "*)"}], "\[IndentingNewLine]", "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"LP4Asub", "//", "Dimensions"}]}], "Input",
 CellChangeTimes->{3.6160956731741705`*^9, 3.616096685155716*^9, 
  3.6160973278213825`*^9, 3.6160975727301445`*^9}],

Cell[BoxData[
 RowBox[{"Dimensions", "/@", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{
     "LP4Asub", "\[LeftDoubleBracket]", "#", "\[RightDoubleBracket]"}], "&"}],
     "/@", "LP4Aind"}], ")"}]}]], "Input",
 CellChangeTimes->{{3.615766473350382*^9, 3.6157664954506454`*^9}, {
  3.615865579397314*^9, 3.6158655810848403`*^9}, {3.6160033292241755`*^9, 
  3.6160033392168293`*^9}, {3.616068143253854*^9, 3.616068145713892*^9}, {
  3.6160952410700336`*^9, 3.616095255860261*^9}, {3.616095679519268*^9, 
  3.616095683746833*^9}, {3.6160966950083666`*^9, 3.6160966979159117`*^9}, {
  3.616097341579094*^9, 3.616097345361652*^9}, {3.616097436250548*^9, 
  3.6160974521107917`*^9}, {3.6160975810527725`*^9, 3.6160975846653275`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frm4a", "=", 
   RowBox[{"LoopCreasePrototypeForm", "[", 
    RowBox[{"11", ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"frm4a", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm4a", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"var", "//", "Length"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
   3.615766552206892*^9, 3.615766553603972*^9}, {3.615777145035*^9, 
   3.6157771458075113`*^9}, 3.615777506580553*^9, {3.6158483613035173`*^9, 
   3.6158483649685736`*^9}, {3.615850523497007*^9, 3.615850524609524*^9}, {
   3.615865587912445*^9, 3.615865604127694*^9}, {3.6160019693522882`*^9, 
   3.616001977987421*^9}, {3.616003343314392*^9, 3.616003357052103*^9}, {
   3.616068150586467*^9, 3.616068160079112*^9}, {3.616095388102292*^9, 
   3.6160953944698896`*^9}, {3.6160956889694133`*^9, 3.616095697467044*^9}, {
   3.6160958274115396`*^9, 3.616095838941717*^9}, {3.616096704538513*^9, 
   3.616096715856187*^9}, {3.6160973505242314`*^9, 3.6160973596493716`*^9}, {
   3.6160976013330836`*^9, 3.616097612768259*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"eqs", "=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"frm6", "=", 
       RowBox[{
       "LoopListMoment1", "\[LeftDoubleBracket]", "4", 
        "\[RightDoubleBracket]"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"NestT", "[", 
       RowBox[{"frm6", ",", 
        RowBox[{"LP4Asub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP4Aind", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm6", ",", 
        RowBox[{"LP4Asub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP4Aind", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm6", ",", 
        RowBox[{"LP4Asub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP4Aind", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm4a", ",", 
        RowBox[{"LP4Asub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP4Aind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "-", "frm4a"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.616055875601272*^9, {3.616068383675047*^9, 3.616068406730401*^9}, {
   3.6160952432100663`*^9, 3.6160952514376926`*^9}, {3.6160953996524696`*^9, 
   3.616095400552483*^9}, {3.616095843604288*^9, 3.616095860567049*^9}, {
   3.616095938434246*^9, 3.6160959412792892`*^9}, {3.6160967257413387`*^9, 
   3.6160967446591296`*^9}, {3.6160967759571104`*^9, 
   3.6160967837947307`*^9}, {3.6160973737645884`*^9, 
   3.6160974037800493`*^9}, {3.6160974787587013`*^9, 
   3.6160974808812337`*^9}, {3.616097639428669*^9, 3.616097656278928*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"mat", ",", "vec"}], "}"}], "=", 
   RowBox[{"BuildEssential", "[", 
    RowBox[{"eqs", ",", "var"}], "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"mat", "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.6160562176147895`*^9, 3.6160562193198867`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"lin", "=", 
   RowBox[{"LinearSolve", "[", 
    RowBox[{"mat", ",", 
     RowBox[{"-", "vec"}]}], "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"Length", "/@", 
  RowBox[{"{", 
   RowBox[{"lin", ",", "var"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.6160685341808586`*^9, 3.6160685482085743`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"LP4Aalt", "=", 
   RowBox[{"frm4a", "/.", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"var", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
       "\[Rule]", 
       RowBox[{
       "lin", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", 
        RowBox[{"Length", "[", "lin", "]"}]}], "}"}]}], "]"}]}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.616056437880782*^9, 3.616056446295912*^9}, 
   3.616095417315241*^9, {3.616095978147356*^9, 3.616095982704926*^9}, {
   3.6160968639834623`*^9, 3.6160968682035275`*^9}, {3.6160975000140276`*^9, 
   3.6160975032340765`*^9}, 3.616097682191826*^9, 3.6160979264680777`*^9}],

Cell[BoxData[
 RowBox[{"LP4Aalt", "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.616068558111226*^9, 3.616068559611249*^9}, 
   3.616096408408965*^9, 3.6160968712260733`*^9, 3.616097514099244*^9, 
   3.616097684894367*^9}],

Cell[BoxData[
 RowBox[{"LP4Aalt", ">>", "\"\<LoopMoment1altc41vec.mx\>\""}]], "Input",
 CellChangeTimes->{{3.6160954516807685`*^9, 3.616095467726015*^9}, {
  3.6160964105289974`*^9, 3.6160964132915397`*^9}, {3.6160968732311044`*^9, 
  3.6160968753211365`*^9}, {3.6160975168867865`*^9, 3.6160975200043344`*^9}, {
  3.6160976778317585`*^9, 3.616097679819289*^9}}],

Cell[BoxData[
 RowBox[{"Length", "@", 
  RowBox[{"Tally", "@", 
   RowBox[{"Abs", "@", 
    RowBox[{"Flatten", "@", "LP4Aalt"}]}]}]}]], "Input",
 CellChangeTimes->{{3.616068578501539*^9, 3.6160685881516876`*^9}, 
   3.6160964296267905`*^9, 3.616096880058709*^9, 3.616097522749377*^9, 
   3.616097688836928*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Valence 4.B", "Subsection",
 CellChangeTimes->{{3.60562336381744*^9, 3.6056233784292755`*^9}, {
   3.6056963600892944`*^9, 3.605696366944687*^9}, 3.605792262258835*^9, {
   3.609885110253237*^9, 3.60988511118829*^9}, 3.6099251070439873`*^9, 
   3.6160956502313185`*^9, 3.6160966664579287`*^9, {3.6160973087535896`*^9, 
   3.616097309481101*^9}, 3.616097556052388*^9, 3.616097716639855*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Omega]", "1"], ",", 
     SubscriptBox["\[Omega]", "2"]}], "}"}], "=", 
   RowBox[{"LoopWeight", "[", "6", "]"}]}], ";", 
  RowBox[{"{", 
   RowBox[{
    SubscriptBox["\[Omega]", "1"], ",", 
    SubscriptBox["\[Omega]", "2"]}], "}"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sub", "=", 
   RowBox[{"(", GridBox[{
      {"3", "1", "0", "1", "3", "0", "0", "0", "0", "0"},
      {"1", "3", "0", "0", "3", "1", "0", "0", "0", "0"},
      {"0", "3", "1", "0", "1", "3", "0", "0", "0", "0"},
      {"0", "0", "1", "0", "0", "1", "0", "0", "0", "0"},
      {"1", "0", "0", "3", "3", "0", "1", "0", "0", "0"},
      {
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"], "0", 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "1"], 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"], 
       SubscriptBox["\[Omega]", "2"], "0", "0"},
      {"0", "1", "0", "0", "3", "3", "0", "1", "0", "0"},
      {"0", "0", "1", "0", "0", "6", "0", "1", "0", "0"},
      {"0", "0", "0", "1", "3", "0", "3", "1", "0", "0"},
      {"0", "0", "0", "0", "3", "1", "1", "3", "0", "0"},
      {"0", "0", "0", "0", "0", "1", "0", "1", "0", "0"},
      {"0", "0", "0", "0", "1", "0", "3", "3", "1", "0"},
      {"0", "0", "0", "0", "0", "1", "0", "6", "0", "1"},
      {"0", "0", "0", "0", "0", "0", "1", "3", "3", "1"},
      {"0", "0", "0", "0", "0", "0", "0", "1", "0", "1"}
     }], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Total", "[", "#", "]"}], "&"}], "/@", 
  "sub"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LP4Bsub", "=", 
   RowBox[{"NormalizeWeights", "[", "sub", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LP4Bind", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "1", ",", "2", ",", "3", ",", "  ", "5", ",", "6", ",", "7", ",", "8", 
       ",", "  ", "9", ",", "10", ",", "11", ",", "  ", "12", ",", "13"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "9", ",", "6", ",", "2", ",", "  ", "12", ",", "10", ",", "7", ",", "3",
        ",", "  ", "13", ",", "11", ",", "8"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "2", ",", "3", ",", "4", ",", "  ", "6", ",", "7", ",", "8", ",", "  ", 
       "10", ",", "11", ",", "  ", "13"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "6", ",", "7", ",", "8", ",", "  ", "9", ",", "10", ",", "11", ",", 
       "  ", "12", ",", "13", ",", "  ", "14", ",", "15"}], "}"}]}], 
    "\[IndentingNewLine]", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"LP4Bsub", "//", "Dimensions"}]}], "Input",
 CellChangeTimes->{3.6160956731741705`*^9, 3.616096685155716*^9, 
  3.6160973278213825`*^9, 3.6160975727301445`*^9, 3.616097733730117*^9}],

Cell[BoxData[
 RowBox[{"Dimensions", "/@", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{
     "LP4Bsub", "\[LeftDoubleBracket]", "#", "\[RightDoubleBracket]"}], "&"}],
     "/@", "LP4Bind"}], ")"}]}]], "Input",
 CellChangeTimes->{{3.615766473350382*^9, 3.6157664954506454`*^9}, {
  3.615865579397314*^9, 3.6158655810848403`*^9}, {3.6160033292241755`*^9, 
  3.6160033392168293`*^9}, {3.616068143253854*^9, 3.616068145713892*^9}, {
  3.6160952410700336`*^9, 3.616095255860261*^9}, {3.616095679519268*^9, 
  3.616095683746833*^9}, {3.6160966950083666`*^9, 3.6160966979159117`*^9}, {
  3.616097341579094*^9, 3.616097345361652*^9}, {3.616097436250548*^9, 
  3.6160974521107917`*^9}, {3.6160975810527725`*^9, 3.6160975846653275`*^9}, {
  3.6160977378901815`*^9, 3.616097758382996*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frm4b", "=", 
   RowBox[{"LoopCreasePrototypeForm", "[", 
    RowBox[{"10", ",", "a"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"frm4b", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Variables", "[", "frm4b", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"var", "//", "Length"}]}], "Input",
 CellChangeTimes->{{3.6157662881837907`*^9, 3.615766291631988*^9}, {
   3.615766552206892*^9, 3.615766553603972*^9}, {3.615777145035*^9, 
   3.6157771458075113`*^9}, 3.615777506580553*^9, {3.6158483613035173`*^9, 
   3.6158483649685736`*^9}, {3.615850523497007*^9, 3.615850524609524*^9}, {
   3.615865587912445*^9, 3.615865604127694*^9}, {3.6160019693522882`*^9, 
   3.616001977987421*^9}, {3.616003343314392*^9, 3.616003357052103*^9}, {
   3.616068150586467*^9, 3.616068160079112*^9}, {3.616095388102292*^9, 
   3.6160953944698896`*^9}, {3.6160956889694133`*^9, 3.616095697467044*^9}, {
   3.6160958274115396`*^9, 3.616095838941717*^9}, {3.616096704538513*^9, 
   3.616096715856187*^9}, {3.6160973505242314`*^9, 3.6160973596493716`*^9}, {
   3.6160976013330836`*^9, 3.616097612768259*^9}, {3.616098115458481*^9, 
   3.6160981300962057`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"eqs", "=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"frm6", "=", 
       RowBox[{
       "LoopListMoment1", "\[LeftDoubleBracket]", "4", 
        "\[RightDoubleBracket]"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"NestT", "[", 
       RowBox[{"frm6", ",", 
        RowBox[{"LP4Bsub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP4Bind", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"LP3Aalt", ",", 
        RowBox[{"LP4Bsub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP4Bind", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"LP3Balt", ",", 
        RowBox[{"LP4Bsub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP4Bind", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "+", "\[IndentingNewLine]", 
      RowBox[{"NestT", "[", 
       RowBox[{"frm4b", ",", 
        RowBox[{"LP4Bsub", "\[LeftDoubleBracket]", 
         RowBox[{
         "LP4Bind", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
         "\[RightDoubleBracket]"}]}], "]"}], "-", "frm4b"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.616055875601272*^9, {3.616068383675047*^9, 3.616068406730401*^9}, {
   3.6160952432100663`*^9, 3.6160952514376926`*^9}, {3.6160953996524696`*^9, 
   3.616095400552483*^9}, {3.616095843604288*^9, 3.616095860567049*^9}, {
   3.616095938434246*^9, 3.6160959412792892`*^9}, {3.6160967257413387`*^9, 
   3.6160967446591296`*^9}, {3.6160967759571104`*^9, 
   3.6160967837947307`*^9}, {3.6160973737645884`*^9, 
   3.6160974037800493`*^9}, {3.6160974787587013`*^9, 
   3.6160974808812337`*^9}, {3.616097639428669*^9, 3.616097656278928*^9}, {
   3.6160977397427096`*^9, 3.6160977481428385`*^9}, {3.6160981522440453`*^9, 
   3.6160981687117987`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"mat", ",", "vec"}], "}"}], "=", 
   RowBox[{"BuildEssential", "[", 
    RowBox[{"eqs", ",", "var"}], "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"mat", "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.6160562176147895`*^9, 3.6160562193198867`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"lin", "=", 
   RowBox[{"LinearSolve", "[", 
    RowBox[{"mat", ",", 
     RowBox[{"-", "vec"}]}], "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"Length", "/@", 
  RowBox[{"{", 
   RowBox[{"lin", ",", "var"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.6160685341808586`*^9, 3.6160685482085743`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"LP4Balt", "=", 
   RowBox[{"frm4b", "/.", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"var", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
       "\[Rule]", 
       RowBox[{
       "lin", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", 
        RowBox[{"Length", "[", "lin", "]"}]}], "}"}]}], "]"}]}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.616056437880782*^9, 3.616056446295912*^9}, 
   3.616095417315241*^9, {3.616095978147356*^9, 3.616095982704926*^9}, {
   3.6160968639834623`*^9, 3.6160968682035275`*^9}, {3.6160975000140276`*^9, 
   3.6160975032340765`*^9}, 3.616097682191826*^9, {3.6160981871320815`*^9, 
   3.616098193627181*^9}}],

Cell[BoxData[
 RowBox[{"LP4Balt", "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.616068558111226*^9, 3.616068559611249*^9}, 
   3.616096408408965*^9, 3.6160968712260733`*^9, 3.616097514099244*^9, 
   3.616097684894367*^9, 3.616098198374754*^9}],

Cell[BoxData[
 RowBox[{"LP4Balt", ">>", "\"\<LoopMoment1altc42vec.mx\>\""}]], "Input",
 CellChangeTimes->{{3.6160954516807685`*^9, 3.616095467726015*^9}, {
   3.6160964105289974`*^9, 3.6160964132915397`*^9}, {3.6160968732311044`*^9, 
   3.6160968753211365`*^9}, {3.6160975168867865`*^9, 
   3.6160975200043344`*^9}, {3.6160976778317585`*^9, 3.616097679819289*^9}, {
   3.616098201032295*^9, 3.616098203884839*^9}, 3.6160982851085863`*^9}],

Cell[BoxData[
 RowBox[{"Length", "@", 
  RowBox[{"Tally", "@", 
   RowBox[{"Abs", "@", 
    RowBox[{"Flatten", "@", "LP4Balt"}]}]}]}]], "Input",
 CellChangeTimes->{{3.616068578501539*^9, 3.6160685881516876`*^9}, 
   3.6160964296267905`*^9, 3.616096880058709*^9, 3.616097522749377*^9, 
   3.616097688836928*^9, 3.6160982086224117`*^9, 3.6160982879361296`*^9}]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Applications", "Section",
 CellChangeTimes->{{3.605327924449959*^9, 3.6053279283121796`*^9}, {
   3.6056149079927945`*^9, 3.6056149089858513`*^9}, {3.6056228516001425`*^9, 
   3.6056228546483173`*^9}, 3.605696312889595*^9, {3.60570271998906*^9, 
   3.60570272033908*^9}, {3.6057363923638954`*^9, 3.6057364076977725`*^9}, 
   3.6060117523985486`*^9, {3.6067159239480705`*^9, 3.6067159244350986`*^9}, {
   3.6067182744948053`*^9, 3.606718275012313*^9}, {3.612138185056046*^9, 
   3.6121381853740644`*^9}, {3.612175503135314*^9, 3.612175503623342*^9}, {
   3.6121760908519297`*^9, 3.612176092419019*^9}, {3.6123085842462626`*^9, 
   3.612308584340268*^9}}],

Cell[CellGroupData[{

Cell["Facet topologies", "Subsection",
 CellChangeTimes->{{3.618904417426365*^9, 3.618904427765957*^9}}],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"LoopPlot", "[", 
      RowBox[{
       RowBox[{"LoopDefault", "[", "k", "]"}], ",", 
       RowBox[{"LoopDefault", "[", "k", "]"}], ",", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"k", "\[Equal]", "6"}], ",", "Green", ",", "Red"}], "]"}]}], 
      "]"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "130"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "3", ",", "8"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.618904321988907*^9, 3.6189043779381065`*^9}, {
  3.6189044863223057`*^9, 3.618904514698929*^9}}],

Cell[BoxData[
 RowBox[{
  GraphicsBox[{
    {GrayLevel[0.5], 
     LineBox[NCache[{{0, -1}, {
        Rational[3, 4] 3^Rational[1, 2], Rational[-3, 4]}, {
        Rational[1, 4] 3^Rational[1, 2], Rational[-1, 4]}, {0, -1}}, {{
        0, -1}, {1.299038105676658, -0.75}, {0.4330127018922193, -0.25}, {
        0, -1}}]], 
     LineBox[NCache[{{Rational[1, 4] 3^Rational[1, 2], Rational[-1, 4]}, {0, 
        0}, {Rational[-1, 4] 3^Rational[1, 2], Rational[-1, 4]}, {
        Rational[1, 4] 3^Rational[1, 2], Rational[-1, 4]}}, {{
        0.4330127018922193, -0.25}, {0, 0}, {-0.4330127018922193, -0.25}, {
        0.4330127018922193, -0.25}}]], 
     LineBox[NCache[{{Rational[-1, 4] 3^Rational[1, 2], Rational[-1, 4]}, {
        Rational[-3, 4] 3^Rational[1, 2], Rational[-3, 4]}, {0, -1}, {
        Rational[-1, 4] 3^Rational[1, 2], 
         Rational[-1, 
          4]}}, {{-0.4330127018922193, -0.25}, {-1.299038105676658, -0.75}, {
        0, -1}, {-0.4330127018922193, -0.25}}]], 
     LineBox[NCache[{{Rational[1, 4] 3^Rational[1, 2], Rational[-1, 4]}, {
        Rational[-1, 4] 3^Rational[1, 2], Rational[-1, 4]}, {0, -1}, {
        Rational[1, 4] 3^Rational[1, 2], Rational[-1, 4]}}, {{
        0.4330127018922193, -0.25}, {-0.4330127018922193, -0.25}, {0, -1}, {
        0.4330127018922193, -0.25}}]], 
     LineBox[NCache[{{0, Rational[1, 2]}, {0, 0}, {
        Rational[1, 4] 3^Rational[1, 2], Rational[-1, 4]}, {
        0, Rational[1, 2]}}, {{0, 0.5}, {0, 0}, {0.4330127018922193, -0.25}, {
        0, 0.5}}]], 
     LineBox[NCache[{{Rational[1, 4] 3^Rational[1, 2], Rational[-1, 4]}, {
        Rational[3, 4] 3^Rational[1, 2], Rational[-3, 4]}, {
        Rational[1, 2] 3^Rational[1, 2], Rational[1, 2]}, {
        Rational[1, 4] 3^Rational[1, 2], Rational[-1, 4]}}, {{
       0.4330127018922193, -0.25}, {1.299038105676658, -0.75}, {
       0.8660254037844386, 0.5}, {0.4330127018922193, -0.25}}]], 
     LineBox[NCache[{{0, Rational[1, 2]}, {
        Rational[1, 4] 3^Rational[1, 2], Rational[-1, 4]}, {
        Rational[1, 2] 3^Rational[1, 2], Rational[1, 2]}, {
        0, Rational[1, 2]}}, {{0, 0.5}, {0.4330127018922193, -0.25}, {
        0.8660254037844386, 0.5}, {0, 0.5}}]], 
     LineBox[NCache[{{Rational[-1, 2] 3^Rational[1, 2], Rational[1, 2]}, {
        Rational[-3, 4] 3^Rational[1, 2], Rational[-3, 4]}, {
        Rational[-1, 4] 3^Rational[1, 2], Rational[-1, 4]}, {
        Rational[-1, 2] 3^Rational[1, 2], Rational[
         1, 2]}}, {{-0.8660254037844386, 
       0.5}, {-1.299038105676658, -0.75}, {-0.4330127018922193, -0.25}, \
{-0.8660254037844386, 0.5}}]], 
     LineBox[NCache[{{Rational[-1, 4] 3^Rational[1, 2], Rational[-1, 4]}, {0, 
        0}, {0, Rational[1, 2]}, {
        Rational[-1, 4] 3^Rational[1, 2], 
         Rational[-1, 4]}}, {{-0.4330127018922193, -0.25}, {0, 0}, {
        0, 0.5}, {-0.4330127018922193, -0.25}}]], 
     LineBox[NCache[{{Rational[-1, 4] 3^Rational[1, 2], Rational[-1, 4]}, {
        0, Rational[1, 2]}, {
        Rational[-1, 2] 3^Rational[1, 2], Rational[1, 2]}, {
        Rational[-1, 4] 3^Rational[1, 2], 
         Rational[-1, 4]}}, {{-0.4330127018922193, -0.25}, {
        0, 0.5}, {-0.8660254037844386, 
        0.5}, {-0.4330127018922193, -0.25}}]]}, {
     {RGBColor[0.88, 1, 0.88], EdgeForm[Dashing[{Small, Small}]], 
      PolygonBox[
       NCache[{{0, -1}, {Rational[3, 4] 3^Rational[1, 2], Rational[-3, 4]}, {
         Rational[1, 4] 3^Rational[1, 2], Rational[-1, 4]}}, {{0, -1}, {
         1.299038105676658, -0.75}, {0.4330127018922193, -0.25}}]], 
      PolygonBox[
       NCache[{{Rational[1, 4] 3^Rational[1, 2], Rational[-1, 4]}, {0, 0}, {
         Rational[-1, 4] 3^Rational[1, 2], Rational[-1, 4]}}, {{
         0.4330127018922193, -0.25}, {0, 0}, {-0.4330127018922193, -0.25}}]], 
      PolygonBox[
       NCache[{{Rational[-1, 4] 3^Rational[1, 2], Rational[-1, 4]}, {
         Rational[-3, 4] 3^Rational[1, 2], Rational[-3, 4]}, {
         0, -1}}, {{-0.4330127018922193, -0.25}, {-1.299038105676658, -0.75}, \
{0, -1}}]], 
      PolygonBox[
       NCache[{{Rational[1, 4] 3^Rational[1, 2], Rational[-1, 4]}, {
         Rational[-1, 4] 3^Rational[1, 2], Rational[-1, 4]}, {0, -1}}, {{
         0.4330127018922193, -0.25}, {-0.4330127018922193, -0.25}, {0, -1}}]],
       PolygonBox[
       NCache[{{0, Rational[1, 2]}, {0, 0}, {
         Rational[1, 4] 3^Rational[1, 2], Rational[-1, 4]}}, {{0, 0.5}, {0, 
         0}, {0.4330127018922193, -0.25}}]], 
      PolygonBox[
       NCache[{{Rational[1, 4] 3^Rational[1, 2], Rational[-1, 4]}, {
         Rational[3, 4] 3^Rational[1, 2], Rational[-3, 4]}, {
         Rational[1, 2] 3^Rational[1, 2], Rational[1, 2]}}, {{
        0.4330127018922193, -0.25}, {1.299038105676658, -0.75}, {
        0.8660254037844386, 0.5}}]], 
      PolygonBox[
       NCache[{{0, Rational[1, 2]}, {
         Rational[1, 4] 3^Rational[1, 2], Rational[-1, 4]}, {
         Rational[1, 2] 3^Rational[1, 2], Rational[1, 2]}}, {{0, 0.5}, {
         0.4330127018922193, -0.25}, {0.8660254037844386, 0.5}}]], 
      PolygonBox[
       NCache[{{Rational[-1, 2] 3^Rational[1, 2], Rational[1, 2]}, {
         Rational[-3, 4] 3^Rational[1, 2], Rational[-3, 4]}, {
         Rational[-1, 4] 3^Rational[1, 2], 
          Rational[-1, 4]}}, {{-0.8660254037844386, 
        0.5}, {-1.299038105676658, -0.75}, {-0.4330127018922193, -0.25}}]], 
      PolygonBox[
       NCache[{{Rational[-1, 4] 3^Rational[1, 2], Rational[-1, 4]}, {0, 0}, {
         0, Rational[1, 2]}}, {{-0.4330127018922193, -0.25}, {0, 0}, {
         0, 0.5}}]], 
      PolygonBox[
       NCache[{{Rational[-1, 4] 3^Rational[1, 2], Rational[-1, 4]}, {
         0, Rational[1, 2]}, {
         Rational[-1, 2] 3^Rational[1, 2], Rational[
          1, 2]}}, {{-0.4330127018922193, -0.25}, {
         0, 0.5}, {-0.8660254037844386, 0.5}}]]}, 
     {RGBColor[1, 0, 0], EdgeForm[Dashing[{Small, Small}]], 
      PolygonBox[
       NCache[{{Rational[1, 4] 3^Rational[1, 2], Rational[-1, 4]}, {0, 0}, {
         Rational[-1, 4] 3^Rational[1, 2], Rational[-1, 4]}}, {{
         0.4330127018922193, -0.25}, {0, 
         0}, {-0.4330127018922193, -0.25}}]]}}, 
    {RGBColor[1, 0, 0], Opacity[0.5], 
     PolygonBox[
      NCache[{{Rational[1, 4] 3^Rational[1, 2], Rational[-1, 4]}, {0, 0}, {
        Rational[-1, 4] 3^Rational[1, 2], Rational[-1, 4]}}, {{
        0.4330127018922193, -0.25}, {0, 0}, {-0.4330127018922193, -0.25}}]]}, 
    {RGBColor[0, 1, 0], EdgeForm[RGBColor[0, 0, 1]], 
     DiskBox[NCache[{
       Rational[-3, 4] 3^Rational[1, 2], 
        Rational[-3, 4]}, {-1.299038105676658, -0.75}], 0.04], 
     DiskBox[{0, -1}, 0.04], 
     DiskBox[NCache[{Rational[3, 4] 3^Rational[1, 2], Rational[-3, 4]}, {
       1.299038105676658, -0.75}], 0.04], 
     DiskBox[NCache[{
       Rational[-1, 2] 3^Rational[1, 2], Rational[
        1, 2]}, {-0.8660254037844386, 0.5}], 0.04], 
     DiskBox[NCache[{
       Rational[-1, 4] 3^Rational[1, 2], 
        Rational[-1, 4]}, {-0.4330127018922193, -0.25}], 0.04], 
     DiskBox[NCache[{Rational[1, 4] 3^Rational[1, 2], Rational[-1, 4]}, {
       0.4330127018922193, -0.25}], 0.04], 
     DiskBox[NCache[{Rational[1, 2] 3^Rational[1, 2], Rational[1, 2]}, {
       0.8660254037844386, 0.5}], 0.04], 
     DiskBox[NCache[{0, Rational[1, 2]}, {0, 0.5}], 0.04], 
     DiskBox[{0, 0}, 0.04]}},
   Axes->False,
   ImageSize->130], "  ", 
  GraphicsBox[{
    {GrayLevel[0.5], 
     LineBox[NCache[{{0, -2^Rational[1, 2]}, {
        Rational[7, 4] 2^Rational[-1, 2], Rational[-7, 4] 
         2^Rational[-1, 2]}, {
        Rational[3, 4] 2^Rational[-1, 2], Rational[-3, 4] 
         2^Rational[-1, 2]}, {0, -2^Rational[1, 2]}}, {{
        0, -1.4142135623730951`}, {1.237436867076458, -1.237436867076458}, {
        0.5303300858899106, -0.5303300858899106}, {
        0, -1.4142135623730951`}}]], 
     LineBox[NCache[{{
        Rational[3, 4] 2^Rational[-1, 2], Rational[-3, 4] 
         2^Rational[-1, 2]}, {0, 0}, {
        Rational[-3, 4] 2^Rational[-1, 2], Rational[-3, 4] 
         2^Rational[-1, 2]}, {
        Rational[3, 4] 2^Rational[-1, 2], Rational[-3, 4] 
         2^Rational[-1, 2]}}, {{0.5303300858899106, -0.5303300858899106}, {0, 
        0}, {-0.5303300858899106, -0.5303300858899106}, {
        0.5303300858899106, -0.5303300858899106}}]], 
     LineBox[NCache[{{
        Rational[-3, 4] 2^Rational[-1, 2], Rational[-3, 4] 
         2^Rational[-1, 2]}, {
        Rational[-7, 4] 2^Rational[-1, 2], Rational[-7, 4] 
         2^Rational[-1, 2]}, {0, -2^Rational[1, 2]}, {
        Rational[-3, 4] 2^Rational[-1, 2], Rational[-3, 4] 
         2^Rational[-1, 
            2]}}, {{-0.5303300858899106, -0.5303300858899106}, \
{-1.237436867076458, -1.237436867076458}, {
        0, -1.4142135623730951`}, {-0.5303300858899106, \
-0.5303300858899106}}]], 
     LineBox[
      NCache[{{Rational[3, 4] 2^Rational[-1, 2], Rational[-3, 4] 
         2^Rational[-1, 2]}, {
        Rational[-3, 4] 2^Rational[-1, 2], Rational[-3, 4] 
         2^Rational[-1, 2]}, {0, -2^Rational[1, 2]}, {
        Rational[3, 4] 2^Rational[-1, 2], Rational[-3, 4] 
         2^Rational[-1, 2]}}, {{
        0.5303300858899106, -0.5303300858899106}, {-0.5303300858899106, \
-0.5303300858899106}, {0, -1.4142135623730951`}, {
        0.5303300858899106, -0.5303300858899106}}]], 
     LineBox[NCache[{{
        Rational[3, 4] 2^Rational[-1, 2], Rational[3, 4] 2^Rational[-1, 2]}, {
        0, 0}, {Rational[3, 4] 2^Rational[-1, 2], Rational[-3, 4] 
         2^Rational[-1, 2]}, {
        Rational[3, 4] 2^Rational[-1, 2], Rational[3, 4] 
         2^Rational[-1, 2]}}, {{0.5303300858899106, 0.5303300858899106}, {0, 
        0}, {0.5303300858899106, -0.5303300858899106}, {0.5303300858899106, 
        0.5303300858899106}}]], 
     LineBox[NCache[{{
        Rational[3, 4] 2^Rational[-1, 2], Rational[-3, 4] 
         2^Rational[-1, 2]}, {
        Rational[7, 4] 2^Rational[-1, 2], Rational[-7, 4] 
         2^Rational[-1, 2]}, {2^Rational[1, 2], 0}, {
        Rational[3, 4] 2^Rational[-1, 2], Rational[-3, 4] 
         2^Rational[-1, 2]}}, {{0.5303300858899106, -0.5303300858899106}, {
        1.237436867076458, -1.237436867076458}, {1.4142135623730951`, 0}, {
        0.5303300858899106, -0.5303300858899106}}]], 
     LineBox[NCache[{{
        Rational[3, 4] 2^Rational[-1, 2], Rational[3, 4] 2^Rational[-1, 2]}, {
        Rational[3, 4] 2^Rational[-1, 2], Rational[-3, 4] 
         2^Rational[-1, 2]}, {2^Rational[1, 2], 0}, {
        Rational[3, 4] 2^Rational[-1, 2], Rational[3, 4] 
         2^Rational[-1, 2]}}, {{0.5303300858899106, 0.5303300858899106}, {
        0.5303300858899106, -0.5303300858899106}, {1.4142135623730951`, 0}, {
        0.5303300858899106, 0.5303300858899106}}]], 
     LineBox[NCache[{{
        Rational[-3, 4] 2^Rational[-1, 2], Rational[3, 4] 
         2^Rational[-1, 2]}, {0, 0}, {
        Rational[3, 4] 2^Rational[-1, 2], Rational[3, 4] 2^Rational[-1, 2]}, {
        Rational[-3, 4] 2^Rational[-1, 2], Rational[3, 4] 
         2^Rational[-1, 2]}}, {{-0.5303300858899106, 0.5303300858899106}, {0, 
        0}, {0.5303300858899106, 0.5303300858899106}, {-0.5303300858899106, 
        0.5303300858899106}}]], 
     LineBox[NCache[{{-2^Rational[1, 2], 0}, {
        Rational[-7, 4] 2^Rational[-1, 2], Rational[-7, 4] 
         2^Rational[-1, 2]}, {
        Rational[-3, 4] 2^Rational[-1, 2], Rational[-3, 4] 
         2^Rational[-1, 2]}, {-2^Rational[1, 2], 0}}, {{-1.4142135623730951`, 
         0}, {-1.237436867076458, -1.237436867076458}, {-0.5303300858899106, \
-0.5303300858899106}, {-1.4142135623730951`, 0}}]], 
     LineBox[NCache[{{
        Rational[-3, 4] 2^Rational[-1, 2], Rational[-3, 4] 
         2^Rational[-1, 2]}, {0, 0}, {
        Rational[-3, 4] 2^Rational[-1, 2], Rational[3, 4] 
         2^Rational[-1, 2]}, {
        Rational[-3, 4] 2^Rational[-1, 2], Rational[-3, 4] 
         2^Rational[-1, 2]}}, {{-0.5303300858899106, -0.5303300858899106}, {0,
         0}, {-0.5303300858899106, 
        0.5303300858899106}, {-0.5303300858899106, -0.5303300858899106}}]], 
     LineBox[NCache[{{
        Rational[-3, 4] 2^Rational[-1, 2], Rational[-3, 4] 
         2^Rational[-1, 2]}, {
        Rational[-3, 4] 2^Rational[-1, 2], Rational[3, 4] 
         2^Rational[-1, 2]}, {-2^Rational[1, 2], 0}, {
        Rational[-3, 4] 2^Rational[-1, 2], Rational[-3, 4] 
         2^Rational[-1, 
            2]}}, {{-0.5303300858899106, -0.5303300858899106}, \
{-0.5303300858899106, 
        0.5303300858899106}, {-1.4142135623730951`, 
         0}, {-0.5303300858899106, -0.5303300858899106}}]]}, {
     {RGBColor[0.88, 1, 0.88], EdgeForm[Dashing[{Small, Small}]], 
      PolygonBox[
       NCache[{{0, -2^Rational[1, 2]}, {
         Rational[7, 4] 2^Rational[-1, 2], Rational[-7, 4] 
          2^Rational[-1, 2]}, {
         Rational[3, 4] 2^Rational[-1, 2], Rational[-3, 4] 
          2^Rational[-1, 2]}}, {{0, -1.4142135623730951`}, {
         1.237436867076458, -1.237436867076458}, {
         0.5303300858899106, -0.5303300858899106}}]], 
      PolygonBox[
       NCache[{{
         Rational[3, 4] 2^Rational[-1, 2], Rational[-3, 4] 
          2^Rational[-1, 2]}, {0, 0}, {
         Rational[-3, 4] 2^Rational[-1, 2], Rational[-3, 4] 
          2^Rational[-1, 2]}}, {{0.5303300858899106, -0.5303300858899106}, {0,
          0}, {-0.5303300858899106, -0.5303300858899106}}]], 
      PolygonBox[
       NCache[{{
         Rational[-3, 4] 2^Rational[-1, 2], Rational[-3, 4] 
          2^Rational[-1, 2]}, {
         Rational[-7, 4] 2^Rational[-1, 2], Rational[-7, 4] 
          2^Rational[-1, 2]}, {
         0, -2^Rational[
            1, 2]}}, {{-0.5303300858899106, -0.5303300858899106}, \
{-1.237436867076458, -1.237436867076458}, {0, -1.4142135623730951`}}]], 
      PolygonBox[
       NCache[{{
         Rational[3, 4] 2^Rational[-1, 2], Rational[-3, 4] 
          2^Rational[-1, 2]}, {
         Rational[-3, 4] 2^Rational[-1, 2], Rational[-3, 4] 
          2^Rational[-1, 2]}, {0, -2^Rational[1, 2]}}, {{
         0.5303300858899106, -0.5303300858899106}, {-0.5303300858899106, \
-0.5303300858899106}, {0, -1.4142135623730951`}}]], 
      PolygonBox[
       NCache[{{
         Rational[3, 4] 2^Rational[-1, 2], Rational[3, 4] 
          2^Rational[-1, 2]}, {0, 0}, {
         Rational[3, 4] 2^Rational[-1, 2], Rational[-3, 4] 
          2^Rational[-1, 2]}}, {{0.5303300858899106, 0.5303300858899106}, {0, 
         0}, {0.5303300858899106, -0.5303300858899106}}]], 
      PolygonBox[
       NCache[{{
         Rational[3, 4] 2^Rational[-1, 2], Rational[-3, 4] 
          2^Rational[-1, 2]}, {
         Rational[7, 4] 2^Rational[-1, 2], Rational[-7, 4] 
          2^Rational[-1, 2]}, {2^Rational[1, 2], 0}}, {{
         0.5303300858899106, -0.5303300858899106}, {
         1.237436867076458, -1.237436867076458}, {1.4142135623730951`, 0}}]], 
      PolygonBox[
       NCache[{{
         Rational[3, 4] 2^Rational[-1, 2], Rational[3, 4] 
          2^Rational[-1, 2]}, {
         Rational[3, 4] 2^Rational[-1, 2], Rational[-3, 4] 
          2^Rational[-1, 2]}, {2^Rational[1, 2], 0}}, {{0.5303300858899106, 
         0.5303300858899106}, {0.5303300858899106, -0.5303300858899106}, {
         1.4142135623730951`, 0}}]], 
      PolygonBox[
       NCache[{{
         Rational[-3, 4] 2^Rational[-1, 2], Rational[3, 4] 
          2^Rational[-1, 2]}, {0, 0}, {
         Rational[3, 4] 2^Rational[-1, 2], Rational[3, 4] 
          2^Rational[-1, 2]}}, {{-0.5303300858899106, 0.5303300858899106}, {0,
          0}, {0.5303300858899106, 0.5303300858899106}}]], 
      PolygonBox[
       NCache[{{-2^Rational[1, 2], 0}, {
         Rational[-7, 4] 2^Rational[-1, 2], Rational[-7, 4] 
          2^Rational[-1, 2]}, {
         Rational[-3, 4] 2^Rational[-1, 2], Rational[-3, 4] 
          2^Rational[-1, 2]}}, {{-1.4142135623730951`, 
          0}, {-1.237436867076458, -1.237436867076458}, {-0.5303300858899106, \
-0.5303300858899106}}]], 
      PolygonBox[
       NCache[{{
         Rational[-3, 4] 2^Rational[-1, 2], Rational[-3, 4] 
          2^Rational[-1, 2]}, {0, 0}, {
         Rational[-3, 4] 2^Rational[-1, 2], Rational[3, 4] 
          2^Rational[-1, 2]}}, {{-0.5303300858899106, -0.5303300858899106}, {
         0, 0}, {-0.5303300858899106, 0.5303300858899106}}]], 
      PolygonBox[
       NCache[{{
         Rational[-3, 4] 2^Rational[-1, 2], Rational[-3, 4] 
          2^Rational[-1, 2]}, {
         Rational[-3, 4] 2^Rational[-1, 2], Rational[3, 4] 
          2^Rational[-1, 2]}, {-2^Rational[1, 2], 
          0}}, {{-0.5303300858899106, -0.5303300858899106}, \
{-0.5303300858899106, 0.5303300858899106}, {-1.4142135623730951`, 0}}]]}, 
     {RGBColor[1, 0, 0], EdgeForm[Dashing[{Small, Small}]], 
      PolygonBox[
       NCache[{{
         Rational[3, 4] 2^Rational[-1, 2], Rational[-3, 4] 
          2^Rational[-1, 2]}, {0, 0}, {
         Rational[-3, 4] 2^Rational[-1, 2], Rational[-3, 4] 
          2^Rational[-1, 2]}}, {{0.5303300858899106, -0.5303300858899106}, {0,
          0}, {-0.5303300858899106, -0.5303300858899106}}]]}}, 
    {RGBColor[1, 0, 0], Opacity[0.5], 
     PolygonBox[
      NCache[{{Rational[3, 4] 2^Rational[-1, 2], Rational[-3, 4] 
         2^Rational[-1, 2]}, {0, 0}, {
        Rational[-3, 4] 2^Rational[-1, 2], Rational[-3, 4] 
         2^Rational[-1, 2]}}, {{0.5303300858899106, -0.5303300858899106}, {0, 
        0}, {-0.5303300858899106, -0.5303300858899106}}]]}, 
    {RGBColor[0, 1, 0], EdgeForm[RGBColor[0, 0, 1]], 
     DiskBox[NCache[{
       Rational[-7, 4] 2^Rational[-1, 2], Rational[-7, 4] 
        2^Rational[-1, 2]}, {-1.237436867076458, -1.237436867076458}], 0.04], 
     DiskBox[NCache[{0, -2^Rational[1, 2]}, {0, -1.4142135623730951`}], 0.04],
      DiskBox[NCache[{
       Rational[7, 4] 2^Rational[-1, 2], Rational[-7, 4] 2^Rational[-1, 2]}, {
       1.237436867076458, -1.237436867076458}], 0.04], 
     DiskBox[NCache[{-2^Rational[1, 2], 0}, {-1.4142135623730951`, 0}], 0.04],
      DiskBox[
      NCache[{Rational[-3, 4] 2^Rational[-1, 2], Rational[-3, 4] 
        2^Rational[-1, 2]}, {-0.5303300858899106, -0.5303300858899106}], 
      0.04], DiskBox[
      NCache[{Rational[3, 4] 2^Rational[-1, 2], Rational[-3, 4] 
        2^Rational[-1, 2]}, {0.5303300858899106, -0.5303300858899106}], 0.04],
      DiskBox[NCache[{2^Rational[1, 2], 0}, {1.4142135623730951`, 0}], 0.04], 
     DiskBox[NCache[{
       Rational[-3, 4] 2^Rational[-1, 2], Rational[3, 4] 
        2^Rational[-1, 2]}, {-0.5303300858899106, 0.5303300858899106}], 0.04],
      DiskBox[{0, 0}, 0.04], 
     DiskBox[NCache[{
       Rational[3, 4] 2^Rational[-1, 2], Rational[3, 4] 2^Rational[-1, 2]}, {
       0.5303300858899106, 0.5303300858899106}], 0.04]}},
   Axes->False,
   ImageSize->130], "  ", 
  GraphicsBox[{
    {GrayLevel[0.5], 
     LineBox[NCache[{{0, Rational[1, 2] (-1 - 5^Rational[1, 2])}, {
        4 (Rational[
            5, 16] (Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
            Rational[1, 2] + 
          Rational[1, 16] (
            Rational[
              1, 2] (Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
              Rational[1, 2] + 
            Rational[1, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
              Rational[1, 2] + 
            Rational[
              1, 2] ((Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
               Rational[1, 2] + (Rational[5, 8] + 
                Rational[1, 8] 5^Rational[1, 2])^Rational[1, 2]))), 
         4 (Rational[5, 64] (-1 - 5^Rational[1, 2]) + 
          Rational[1, 16] (Rational[5, 8] (-1 - 5^Rational[1, 2]) + 
            Rational[1, 8] (-1 + 5^Rational[1, 2]) + 
            Rational[1, 2] (Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
              Rational[1, 4] (-1 + 5^Rational[1, 2]))))}, {
        Rational[
          1, 2] ((Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
           Rational[1, 2] + 
          Rational[1, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
            Rational[1, 2]), 
         Rational[1, 2] (Rational[1, 2] (-1 - 5^Rational[1, 2]) + 
          Rational[1, 8] (-1 + 5^Rational[1, 2]))}, {
        0, Rational[1, 2] (-1 - 5^Rational[1, 2])}}, {{
        0, -1.618033988749895}, {1.119442007512498, -1.540779740156158}, {
        0.531656755220025, -0.7317627457812106}, {0, -1.618033988749895}}]], 
     LineBox[
      NCache[{{Rational[
          1, 2] ((Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
           Rational[1, 2] + 
          Rational[1, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
            Rational[1, 2]), 
         Rational[1, 2] (Rational[1, 2] (-1 - 5^Rational[1, 2]) + 
          Rational[1, 8] (-1 + 5^Rational[1, 2]))}, {
        0, (Rational[1, 32] (13 - 5^Rational[1, 2])) (Rational[1, 2] + 
          Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
          Rational[1, 4] (-1 + 5^Rational[1, 2]))}, {
        Rational[
          1, 2] (-(Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
            Rational[1, 2] + 
          Rational[-1, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
            Rational[1, 2]), 
         Rational[1, 2] (Rational[1, 2] (-1 - 5^Rational[1, 2]) + 
          Rational[1, 8] (-1 + 5^Rational[1, 2]))}, {
        Rational[
          1, 2] ((Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
           Rational[1, 2] + 
          Rational[1, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
            Rational[1, 2]), 
         Rational[1, 2] (Rational[1, 2] (-1 - 5^Rational[1, 2]) + 
          Rational[1, 8] (-1 + 5^Rational[1, 2]))}}, {{
        0.531656755220025, -0.7317627457812106}, {
        0, 0.}, {-0.531656755220025, -0.7317627457812106}, {
        0.531656755220025, -0.7317627457812106}}]], 
     LineBox[NCache[{{
        Rational[
          1, 2] (-(Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
            Rational[1, 2] + 
          Rational[-1, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
            Rational[1, 2]), 
         Rational[1, 2] (Rational[1, 2] (-1 - 5^Rational[1, 2]) + 
          Rational[1, 8] (-1 + 5^Rational[1, 2]))}, {
        4 (Rational[-5, 16] (Rational[5, 8] + 
             Rational[-1, 8] 5^Rational[1, 2])^Rational[1, 2] + 
          Rational[1, 16] (
            Rational[-1, 2] (Rational[5, 8] + 
               Rational[-1, 8] 5^Rational[1, 2])^Rational[1, 2] + 
            Rational[-1, 2] (Rational[5, 8] + 
               Rational[1, 8] 5^Rational[1, 2])^Rational[1, 2] + 
            Rational[
              1, 2] (-(Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
                Rational[1, 2] - (Rational[5, 8] + 
               Rational[1, 8] 5^Rational[1, 2])^Rational[1, 2]))), 
         4 (Rational[5, 64] (-1 - 5^Rational[1, 2]) + 
          Rational[1, 16] (Rational[5, 8] (-1 - 5^Rational[1, 2]) + 
            Rational[1, 8] (-1 + 5^Rational[1, 2]) + 
            Rational[1, 2] (Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
              Rational[1, 4] (-1 + 5^Rational[1, 2]))))}, {
        0, Rational[1, 2] (-1 - 5^Rational[1, 2])}, {
        Rational[
          1, 2] (-(Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
            Rational[1, 2] + 
          Rational[-1, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
            Rational[1, 2]), 
         Rational[1, 2] (Rational[1, 2] (-1 - 5^Rational[1, 2]) + 
          Rational[1, 8] (-1 + 
            5^Rational[
              1, 2]))}}, {{-0.531656755220025, -0.7317627457812106}, \
{-1.119442007512498, -1.540779740156158}, {
        0, -1.618033988749895}, {-0.531656755220025, -0.7317627457812106}}]], 
     LineBox[NCache[{{
        Rational[
          1, 2] ((Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
           Rational[1, 2] + 
          Rational[1, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
            Rational[1, 2]), 
         Rational[1, 2] (Rational[1, 2] (-1 - 5^Rational[1, 2]) + 
          Rational[1, 8] (-1 + 5^Rational[1, 2]))}, {
        Rational[
          1, 2] (-(Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
            Rational[1, 2] + 
          Rational[-1, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
            Rational[1, 2]), 
         Rational[1, 2] (Rational[1, 2] (-1 - 5^Rational[1, 2]) + 
          Rational[1, 8] (-1 + 5^Rational[1, 2]))}, {
        0, Rational[1, 2] (-1 - 5^Rational[1, 2])}, {
        Rational[
          1, 2] ((Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
           Rational[1, 2] + 
          Rational[1, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
            Rational[1, 2]), 
         Rational[1, 2] (Rational[1, 2] (-1 - 5^Rational[1, 2]) + 
          Rational[1, 8] (-1 + 5^Rational[1, 2]))}}, {{
        0.531656755220025, -0.7317627457812106}, {-0.531656755220025, \
-0.7317627457812106}, {0, -1.618033988749895}, {
        0.531656755220025, -0.7317627457812106}}]], 
     LineBox[NCache[{{
        Rational[1, 2] (
          Rational[1, 2] (Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
            Rational[1, 2] + 
          Rational[3, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
            Rational[1, 2]), 
         Rational[1, 2] (Rational[1, 2] + 
          Rational[1, 8] (-1 - 5^Rational[1, 2]) + 
          Rational[3, 8] (-1 + 5^Rational[1, 2]))}, {
        0, (Rational[1, 32] (13 - 5^Rational[1, 2])) (Rational[1, 2] + 
          Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
          Rational[1, 4] (-1 + 5^Rational[1, 2]))}, {
        Rational[
          1, 2] ((Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
           Rational[1, 2] + 
          Rational[1, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
            Rational[1, 2]), 
         Rational[1, 2] (Rational[1, 2] (-1 - 5^Rational[1, 2]) + 
          Rational[1, 8] (-1 + 5^Rational[1, 2]))}, {
        Rational[1, 2] (
          Rational[1, 2] (Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
            Rational[1, 2] + 
          Rational[3, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
            Rational[1, 2]), 
         Rational[1, 2] (Rational[1, 2] + 
          Rational[1, 8] (-1 - 5^Rational[1, 2]) + 
          Rational[3, 8] (-1 + 5^Rational[1, 2]))}}, {{0.8602387002944833, 
        0.2795084971874737}, {0, 0.}, {
        0.531656755220025, -0.7317627457812106}, {0.8602387002944833, 
        0.2795084971874737}}]], 
     LineBox[NCache[{{
        Rational[
          1, 2] ((Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
           Rational[1, 2] + 
          Rational[1, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
            Rational[1, 2]), 
         Rational[1, 2] (Rational[1, 2] (-1 - 5^Rational[1, 2]) + 
          Rational[1, 8] (-1 + 5^Rational[1, 2]))}, {
        4 (Rational[
            5, 16] (Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
            Rational[1, 2] + 
          Rational[1, 16] (
            Rational[
              1, 2] (Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
              Rational[1, 2] + 
            Rational[1, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
              Rational[1, 2] + 
            Rational[
              1, 2] ((Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
               Rational[1, 2] + (Rational[5, 8] + 
                Rational[1, 8] 5^Rational[1, 2])^Rational[1, 2]))), 
         4 (Rational[5, 64] (-1 - 5^Rational[1, 2]) + 
          Rational[1, 16] (Rational[5, 8] (-1 - 5^Rational[1, 2]) + 
            Rational[1, 8] (-1 + 5^Rational[1, 2]) + 
            Rational[1, 2] (Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
              Rational[1, 4] (-1 + 5^Rational[1, 2]))))}, {
        Rational[1, 2] (
          Rational[3, 2] (Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
            Rational[1, 2] + 
          Rational[3, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
            Rational[1, 2] + 
          Rational[
            1, 2] ((Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
             Rational[1, 2] + (Rational[5, 8] + 
              Rational[1, 8] 5^Rational[1, 2])^Rational[1, 2])), 
         Rational[1, 2] (Rational[3, 8] (-1 - 5^Rational[1, 2]) + 
          Rational[3, 8] (-1 + 5^Rational[1, 2]) + 
          Rational[1, 2] (Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
            Rational[1, 4] (-1 + 5^Rational[1, 2])))}, {
        Rational[
          1, 2] ((Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
           Rational[1, 2] + 
          Rational[1, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
            Rational[1, 2]), 
         Rational[1, 2] (Rational[1, 2] (-1 - 5^Rational[1, 2]) + 
          Rational[1, 8] (-1 + 5^Rational[1, 2]))}}, {{
       0.531656755220025, -0.7317627457812106}, {
       1.119442007512498, -1.540779740156158}, {1.5388417685876266`, -0.5}, {
       0.531656755220025, -0.7317627457812106}}]], 
     LineBox[NCache[{{
        Rational[1, 2] (
          Rational[1, 2] (Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
            Rational[1, 2] + 
          Rational[3, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
            Rational[1, 2]), 
         Rational[1, 2] (Rational[1, 2] + 
          Rational[1, 8] (-1 - 5^Rational[1, 2]) + 
          Rational[3, 8] (-1 + 5^Rational[1, 2]))}, {
        Rational[
          1, 2] ((Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
           Rational[1, 2] + 
          Rational[1, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
            Rational[1, 2]), 
         Rational[1, 2] (Rational[1, 2] (-1 - 5^Rational[1, 2]) + 
          Rational[1, 8] (-1 + 5^Rational[1, 2]))}, {
        Rational[1, 2] (
          Rational[3, 2] (Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
            Rational[1, 2] + 
          Rational[3, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
            Rational[1, 2] + 
          Rational[
            1, 2] ((Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
             Rational[1, 2] + (Rational[5, 8] + 
              Rational[1, 8] 5^Rational[1, 2])^Rational[1, 2])), 
         Rational[1, 2] (Rational[3, 8] (-1 - 5^Rational[1, 2]) + 
          Rational[3, 8] (-1 + 5^Rational[1, 2]) + 
          Rational[1, 2] (Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
            Rational[1, 4] (-1 + 5^Rational[1, 2])))}, {
        Rational[1, 2] (
          Rational[1, 2] (Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
            Rational[1, 2] + 
          Rational[3, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
            Rational[1, 2]), 
         Rational[1, 2] (Rational[1, 2] + 
          Rational[1, 8] (-1 - 5^Rational[1, 2]) + 
          Rational[3, 8] (-1 + 5^Rational[1, 2]))}}, {{0.8602387002944833, 
       0.2795084971874737}, {0.531656755220025, -0.7317627457812106}, {
       1.5388417685876266`, -0.5}, {0.8602387002944833, 
       0.2795084971874737}}]], 
     LineBox[NCache[{{
        0, Rational[1, 2] (Rational[3, 2] + 
          Rational[1, 4] (-1 + 5^Rational[1, 2]))}, {
        0, (Rational[1, 32] (13 - 5^Rational[1, 2])) (Rational[1, 2] + 
          Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
          Rational[1, 4] (-1 + 5^Rational[1, 2]))}, {
        Rational[1, 2] (
          Rational[1, 2] (Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
            Rational[1, 2] + 
          Rational[3, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
            Rational[1, 2]), 
         Rational[1, 2] (Rational[1, 2] + 
          Rational[1, 8] (-1 - 5^Rational[1, 2]) + 
          Rational[3, 8] (-1 + 5^Rational[1, 2]))}, {
        0, Rational[1, 2] (Rational[3, 2] + 
          Rational[1, 4] (-1 + 5^Rational[1, 2]))}}, {{
        0, 0.9045084971874737}, {0, 0.}, {0.8602387002944833, 
        0.2795084971874737}, {0, 0.9045084971874737}}]], 
     LineBox[NCache[{{
        Rational[1, 2] (
          Rational[-1, 2] (Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
            Rational[1, 2] + 
          Rational[-3, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
            Rational[1, 2]), 
         Rational[1, 2] (Rational[1, 2] + 
          Rational[1, 8] (-1 - 5^Rational[1, 2]) + 
          Rational[3, 8] (-1 + 5^Rational[1, 2]))}, {
        0, (Rational[1, 32] (13 - 5^Rational[1, 2])) (Rational[1, 2] + 
          Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
          Rational[1, 4] (-1 + 5^Rational[1, 2]))}, {
        0, Rational[1, 2] (Rational[3, 2] + 
          Rational[1, 4] (-1 + 5^Rational[1, 2]))}, {
        Rational[1, 2] (
          Rational[-1, 2] (Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
            Rational[1, 2] + 
          Rational[-3, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
            Rational[1, 2]), 
         Rational[1, 2] (Rational[1, 2] + 
          Rational[1, 8] (-1 - 5^Rational[1, 2]) + 
          Rational[3, 8] (-1 + 5^Rational[1, 2]))}}, {{-0.8602387002944833, 
        0.2795084971874737}, {0, 0.}, {
        0, 0.9045084971874737}, {-0.8602387002944833, 0.2795084971874737}}]], 
     LineBox[NCache[{{
        Rational[1, 2] (
          Rational[-3, 2] (Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
            Rational[1, 2] + 
          Rational[-3, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
            Rational[1, 2] + 
          Rational[
            1, 2] (-(Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
              Rational[1, 2] - (Rational[5, 8] + 
             Rational[1, 8] 5^Rational[1, 2])^Rational[1, 2])), 
         Rational[1, 2] (Rational[3, 8] (-1 - 5^Rational[1, 2]) + 
          Rational[3, 8] (-1 + 5^Rational[1, 2]) + 
          Rational[1, 2] (Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
            Rational[1, 4] (-1 + 5^Rational[1, 2])))}, {
        4 (Rational[-5, 16] (Rational[5, 8] + 
             Rational[-1, 8] 5^Rational[1, 2])^Rational[1, 2] + 
          Rational[1, 16] (
            Rational[-1, 2] (Rational[5, 8] + 
               Rational[-1, 8] 5^Rational[1, 2])^Rational[1, 2] + 
            Rational[-1, 2] (Rational[5, 8] + 
               Rational[1, 8] 5^Rational[1, 2])^Rational[1, 2] + 
            Rational[
              1, 2] (-(Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
                Rational[1, 2] - (Rational[5, 8] + 
               Rational[1, 8] 5^Rational[1, 2])^Rational[1, 2]))), 
         4 (Rational[5, 64] (-1 - 5^Rational[1, 2]) + 
          Rational[1, 16] (Rational[5, 8] (-1 - 5^Rational[1, 2]) + 
            Rational[1, 8] (-1 + 5^Rational[1, 2]) + 
            Rational[1, 2] (Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
              Rational[1, 4] (-1 + 5^Rational[1, 2]))))}, {
        Rational[
          1, 2] (-(Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
            Rational[1, 2] + 
          Rational[-1, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
            Rational[1, 2]), 
         Rational[1, 2] (Rational[1, 2] (-1 - 5^Rational[1, 2]) + 
          Rational[1, 8] (-1 + 5^Rational[1, 2]))}, {
        Rational[1, 2] (
          Rational[-3, 2] (Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
            Rational[1, 2] + 
          Rational[-3, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
            Rational[1, 2] + 
          Rational[
            1, 2] (-(Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
              Rational[1, 2] - (Rational[5, 8] + 
             Rational[1, 8] 5^Rational[1, 2])^Rational[1, 2])), 
         Rational[1, 2] (Rational[3, 8] (-1 - 5^Rational[1, 2]) + 
          Rational[3, 8] (-1 + 5^Rational[1, 2]) + 
          Rational[1, 2] (Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
            Rational[1, 4] (-1 + 
              5^Rational[
                1, 2])))}}, {{-1.5388417685876266`, -0.5}, \
{-1.119442007512498, -1.540779740156158}, {-0.531656755220025, \
-0.7317627457812106}, {-1.5388417685876266`, -0.5}}]], 
     LineBox[NCache[{{
        Rational[
          1, 2] (-(Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
            Rational[1, 2] + 
          Rational[-1, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
            Rational[1, 2]), 
         Rational[1, 2] (Rational[1, 2] (-1 - 5^Rational[1, 2]) + 
          Rational[1, 8] (-1 + 5^Rational[1, 2]))}, {
        0, (Rational[1, 32] (13 - 5^Rational[1, 2])) (Rational[1, 2] + 
          Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
          Rational[1, 4] (-1 + 5^Rational[1, 2]))}, {
        Rational[1, 2] (
          Rational[-1, 2] (Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
            Rational[1, 2] + 
          Rational[-3, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
            Rational[1, 2]), 
         Rational[1, 2] (Rational[1, 2] + 
          Rational[1, 8] (-1 - 5^Rational[1, 2]) + 
          Rational[3, 8] (-1 + 5^Rational[1, 2]))}, {
        Rational[
          1, 2] (-(Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
            Rational[1, 2] + 
          Rational[-1, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
            Rational[1, 2]), 
         Rational[1, 2] (Rational[1, 2] (-1 - 5^Rational[1, 2]) + 
          Rational[1, 8] (-1 + 
            5^Rational[
              1, 2]))}}, {{-0.531656755220025, -0.7317627457812106}, {
        0, 0.}, {-0.8602387002944833, 
        0.2795084971874737}, {-0.531656755220025, -0.7317627457812106}}]], 
     LineBox[NCache[{{
        Rational[
          1, 2] (-(Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
            Rational[1, 2] + 
          Rational[-1, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
            Rational[1, 2]), 
         Rational[1, 2] (Rational[1, 2] (-1 - 5^Rational[1, 2]) + 
          Rational[1, 8] (-1 + 5^Rational[1, 2]))}, {
        Rational[1, 2] (
          Rational[-1, 2] (Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
            Rational[1, 2] + 
          Rational[-3, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
            Rational[1, 2]), 
         Rational[1, 2] (Rational[1, 2] + 
          Rational[1, 8] (-1 - 5^Rational[1, 2]) + 
          Rational[3, 8] (-1 + 5^Rational[1, 2]))}, {
        Rational[1, 2] (
          Rational[-3, 2] (Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
            Rational[1, 2] + 
          Rational[-3, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
            Rational[1, 2] + 
          Rational[
            1, 2] (-(Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
              Rational[1, 2] - (Rational[5, 8] + 
             Rational[1, 8] 5^Rational[1, 2])^Rational[1, 2])), 
         Rational[1, 2] (Rational[3, 8] (-1 - 5^Rational[1, 2]) + 
          Rational[3, 8] (-1 + 5^Rational[1, 2]) + 
          Rational[1, 2] (Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
            Rational[1, 4] (-1 + 5^Rational[1, 2])))}, {
        Rational[
          1, 2] (-(Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
            Rational[1, 2] + 
          Rational[-1, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
            Rational[1, 2]), 
         Rational[1, 2] (Rational[1, 2] (-1 - 5^Rational[1, 2]) + 
          Rational[1, 8] (-1 + 
            5^Rational[
              1, 2]))}}, {{-0.531656755220025, -0.7317627457812106}, \
{-0.8602387002944833, 
       0.2795084971874737}, {-1.5388417685876266`, -0.5}, \
{-0.531656755220025, -0.7317627457812106}}]]}, {
     {RGBColor[0.88, 1, 0.88], EdgeForm[Dashing[{Small, Small}]], 
      PolygonBox[
       NCache[{{0, Rational[1, 2] (-1 - 5^Rational[1, 2])}, {
         4 (Rational[
             5, 16] (Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
             Rational[1, 2] + 
           Rational[1, 16] (
             Rational[
               1, 2] (Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
               Rational[1, 2] + 
             Rational[
               1, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
               Rational[1, 2] + 
             Rational[
               1, 2] ((Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
                Rational[1, 2] + (Rational[5, 8] + 
                 Rational[1, 8] 5^Rational[1, 2])^Rational[1, 2]))), 
          4 (Rational[5, 64] (-1 - 5^Rational[1, 2]) + 
           Rational[1, 16] (Rational[5, 8] (-1 - 5^Rational[1, 2]) + 
             Rational[1, 8] (-1 + 5^Rational[1, 2]) + 
             Rational[1, 2] (Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
               Rational[1, 4] (-1 + 5^Rational[1, 2]))))}, {
         Rational[
           1, 2] ((Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
            Rational[1, 2] + 
           Rational[1, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
             Rational[1, 2]), 
          Rational[1, 2] (Rational[1, 2] (-1 - 5^Rational[1, 2]) + 
           Rational[1, 8] (-1 + 5^Rational[1, 2]))}}, {{
         0, -1.618033988749895}, {1.119442007512498, -1.540779740156158}, {
         0.531656755220025, -0.7317627457812106}}]], 
      PolygonBox[
       NCache[{{
         Rational[
           1, 2] ((Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
            Rational[1, 2] + 
           Rational[1, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
             Rational[1, 2]), 
          Rational[1, 2] (Rational[1, 2] (-1 - 5^Rational[1, 2]) + 
           Rational[1, 8] (-1 + 5^Rational[1, 2]))}, {
         0, (Rational[1, 32] (13 - 5^Rational[1, 2])) (Rational[1, 2] + 
           Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
           Rational[1, 4] (-1 + 5^Rational[1, 2]))}, {
         Rational[
           1, 2] (-(Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
             Rational[1, 2] + 
           Rational[-1, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
             Rational[1, 2]), 
          Rational[1, 2] (Rational[1, 2] (-1 - 5^Rational[1, 2]) + 
           Rational[1, 8] (-1 + 5^Rational[1, 2]))}}, {{
         0.531656755220025, -0.7317627457812106}, {
         0, 0.}, {-0.531656755220025, -0.7317627457812106}}]], 
      PolygonBox[
       NCache[{{
         Rational[
           1, 2] (-(Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
             Rational[1, 2] + 
           Rational[-1, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
             Rational[1, 2]), 
          Rational[1, 2] (Rational[1, 2] (-1 - 5^Rational[1, 2]) + 
           Rational[1, 8] (-1 + 5^Rational[1, 2]))}, {
         4 (Rational[-5, 16] (Rational[5, 8] + 
              Rational[-1, 8] 5^Rational[1, 2])^Rational[1, 2] + 
           Rational[1, 16] (
             Rational[-1, 2] (Rational[5, 8] + 
                Rational[-1, 8] 5^Rational[1, 2])^Rational[1, 2] + 
             Rational[-1, 2] (Rational[5, 8] + 
                Rational[1, 8] 5^Rational[1, 2])^Rational[1, 2] + 
             Rational[
               1, 2] (-(Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
                 Rational[1, 2] - (Rational[5, 8] + 
                Rational[1, 8] 5^Rational[1, 2])^Rational[1, 2]))), 
          4 (Rational[5, 64] (-1 - 5^Rational[1, 2]) + 
           Rational[1, 16] (Rational[5, 8] (-1 - 5^Rational[1, 2]) + 
             Rational[1, 8] (-1 + 5^Rational[1, 2]) + 
             Rational[1, 2] (Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
               Rational[1, 4] (-1 + 5^Rational[1, 2]))))}, {
         0, Rational[1, 2] (-1 - 5^
           Rational[
            1, 2])}}, {{-0.531656755220025, -0.7317627457812106}, \
{-1.119442007512498, -1.540779740156158}, {0, -1.618033988749895}}]], 
      PolygonBox[
       NCache[{{
         Rational[
           1, 2] ((Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
            Rational[1, 2] + 
           Rational[1, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
             Rational[1, 2]), 
          Rational[1, 2] (Rational[1, 2] (-1 - 5^Rational[1, 2]) + 
           Rational[1, 8] (-1 + 5^Rational[1, 2]))}, {
         Rational[
           1, 2] (-(Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
             Rational[1, 2] + 
           Rational[-1, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
             Rational[1, 2]), 
          Rational[1, 2] (Rational[1, 2] (-1 - 5^Rational[1, 2]) + 
           Rational[1, 8] (-1 + 5^Rational[1, 2]))}, {
         0, Rational[1, 2] (-1 - 5^Rational[1, 2])}}, {{
         0.531656755220025, -0.7317627457812106}, {-0.531656755220025, \
-0.7317627457812106}, {0, -1.618033988749895}}]], 
      PolygonBox[
       NCache[{{
         Rational[1, 2] (
           Rational[1, 2] (Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
             Rational[1, 2] + 
           Rational[3, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
             Rational[1, 2]), 
          Rational[1, 2] (Rational[1, 2] + 
           Rational[1, 8] (-1 - 5^Rational[1, 2]) + 
           Rational[3, 8] (-1 + 5^Rational[1, 2]))}, {
         0, (Rational[1, 32] (13 - 5^Rational[1, 2])) (Rational[1, 2] + 
           Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
           Rational[1, 4] (-1 + 5^Rational[1, 2]))}, {
         Rational[
           1, 2] ((Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
            Rational[1, 2] + 
           Rational[1, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
             Rational[1, 2]), 
          Rational[1, 2] (Rational[1, 2] (-1 - 5^Rational[1, 2]) + 
           Rational[1, 8] (-1 + 5^Rational[1, 2]))}}, {{0.8602387002944833, 
         0.2795084971874737}, {0, 0.}, {
         0.531656755220025, -0.7317627457812106}}]], 
      PolygonBox[
       NCache[{{
         Rational[
           1, 2] ((Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
            Rational[1, 2] + 
           Rational[1, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
             Rational[1, 2]), 
          Rational[1, 2] (Rational[1, 2] (-1 - 5^Rational[1, 2]) + 
           Rational[1, 8] (-1 + 5^Rational[1, 2]))}, {
         4 (Rational[
             5, 16] (Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
             Rational[1, 2] + 
           Rational[1, 16] (
             Rational[
               1, 2] (Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
               Rational[1, 2] + 
             Rational[
               1, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
               Rational[1, 2] + 
             Rational[
               1, 2] ((Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
                Rational[1, 2] + (Rational[5, 8] + 
                 Rational[1, 8] 5^Rational[1, 2])^Rational[1, 2]))), 
          4 (Rational[5, 64] (-1 - 5^Rational[1, 2]) + 
           Rational[1, 16] (Rational[5, 8] (-1 - 5^Rational[1, 2]) + 
             Rational[1, 8] (-1 + 5^Rational[1, 2]) + 
             Rational[1, 2] (Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
               Rational[1, 4] (-1 + 5^Rational[1, 2]))))}, {
         Rational[1, 2] (
           Rational[3, 2] (Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
             Rational[1, 2] + 
           Rational[3, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
             Rational[1, 2] + 
           Rational[
             1, 2] ((Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
              Rational[1, 2] + (Rational[5, 8] + 
               Rational[1, 8] 5^Rational[1, 2])^Rational[1, 2])), 
          Rational[1, 2] (Rational[3, 8] (-1 - 5^Rational[1, 2]) + 
           Rational[3, 8] (-1 + 5^Rational[1, 2]) + 
           Rational[1, 2] (Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
             Rational[1, 4] (-1 + 5^Rational[1, 2])))}}, {{
        0.531656755220025, -0.7317627457812106}, {
        1.119442007512498, -1.540779740156158}, {
        1.5388417685876266`, -0.5}}]], 
      PolygonBox[
       NCache[{{
         Rational[1, 2] (
           Rational[1, 2] (Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
             Rational[1, 2] + 
           Rational[3, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
             Rational[1, 2]), 
          Rational[1, 2] (Rational[1, 2] + 
           Rational[1, 8] (-1 - 5^Rational[1, 2]) + 
           Rational[3, 8] (-1 + 5^Rational[1, 2]))}, {
         Rational[
           1, 2] ((Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
            Rational[1, 2] + 
           Rational[1, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
             Rational[1, 2]), 
          Rational[1, 2] (Rational[1, 2] (-1 - 5^Rational[1, 2]) + 
           Rational[1, 8] (-1 + 5^Rational[1, 2]))}, {
         Rational[1, 2] (
           Rational[3, 2] (Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
             Rational[1, 2] + 
           Rational[3, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
             Rational[1, 2] + 
           Rational[
             1, 2] ((Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
              Rational[1, 2] + (Rational[5, 8] + 
               Rational[1, 8] 5^Rational[1, 2])^Rational[1, 2])), 
          Rational[1, 2] (Rational[3, 8] (-1 - 5^Rational[1, 2]) + 
           Rational[3, 8] (-1 + 5^Rational[1, 2]) + 
           Rational[1, 2] (Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
             Rational[1, 4] (-1 + 5^Rational[1, 2])))}}, {{0.8602387002944833,
         0.2795084971874737}, {0.531656755220025, -0.7317627457812106}, {
        1.5388417685876266`, -0.5}}]], 
      PolygonBox[
       NCache[{{
         0, Rational[1, 2] (Rational[3, 2] + 
           Rational[1, 4] (-1 + 5^Rational[1, 2]))}, {
         0, (Rational[1, 32] (13 - 5^Rational[1, 2])) (Rational[1, 2] + 
           Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
           Rational[1, 4] (-1 + 5^Rational[1, 2]))}, {
         Rational[1, 2] (
           Rational[1, 2] (Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
             Rational[1, 2] + 
           Rational[3, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
             Rational[1, 2]), 
          Rational[1, 2] (Rational[1, 2] + 
           Rational[1, 8] (-1 - 5^Rational[1, 2]) + 
           Rational[3, 8] (-1 + 5^Rational[1, 2]))}}, {{
         0, 0.9045084971874737}, {0, 0.}, {0.8602387002944833, 
         0.2795084971874737}}]], 
      PolygonBox[
       NCache[{{
         Rational[1, 2] (
           Rational[-1, 2] (Rational[5, 8] + 
              Rational[-1, 8] 5^Rational[1, 2])^Rational[1, 2] + 
           Rational[-3, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
             Rational[1, 2]), 
          Rational[1, 2] (Rational[1, 2] + 
           Rational[1, 8] (-1 - 5^Rational[1, 2]) + 
           Rational[3, 8] (-1 + 5^Rational[1, 2]))}, {
         0, (Rational[1, 32] (13 - 5^Rational[1, 2])) (Rational[1, 2] + 
           Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
           Rational[1, 4] (-1 + 5^Rational[1, 2]))}, {
         0, Rational[1, 2] (Rational[3, 2] + 
           Rational[1, 4] (-1 + 5^Rational[1, 2]))}}, {{-0.8602387002944833, 
         0.2795084971874737}, {0, 0.}, {0, 0.9045084971874737}}]], 
      PolygonBox[
       NCache[{{
         Rational[1, 2] (
           Rational[-3, 2] (Rational[5, 8] + 
              Rational[-1, 8] 5^Rational[1, 2])^Rational[1, 2] + 
           Rational[-3, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
             Rational[1, 2] + 
           Rational[
             1, 2] (-(Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
               Rational[1, 2] - (Rational[5, 8] + 
              Rational[1, 8] 5^Rational[1, 2])^Rational[1, 2])), 
          Rational[1, 2] (Rational[3, 8] (-1 - 5^Rational[1, 2]) + 
           Rational[3, 8] (-1 + 5^Rational[1, 2]) + 
           Rational[1, 2] (Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
             Rational[1, 4] (-1 + 5^Rational[1, 2])))}, {
         4 (Rational[-5, 16] (Rational[5, 8] + 
              Rational[-1, 8] 5^Rational[1, 2])^Rational[1, 2] + 
           Rational[1, 16] (
             Rational[-1, 2] (Rational[5, 8] + 
                Rational[-1, 8] 5^Rational[1, 2])^Rational[1, 2] + 
             Rational[-1, 2] (Rational[5, 8] + 
                Rational[1, 8] 5^Rational[1, 2])^Rational[1, 2] + 
             Rational[
               1, 2] (-(Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
                 Rational[1, 2] - (Rational[5, 8] + 
                Rational[1, 8] 5^Rational[1, 2])^Rational[1, 2]))), 
          4 (Rational[5, 64] (-1 - 5^Rational[1, 2]) + 
           Rational[1, 16] (Rational[5, 8] (-1 - 5^Rational[1, 2]) + 
             Rational[1, 8] (-1 + 5^Rational[1, 2]) + 
             Rational[1, 2] (Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
               Rational[1, 4] (-1 + 5^Rational[1, 2]))))}, {
         Rational[
           1, 2] (-(Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
             Rational[1, 2] + 
           Rational[-1, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
             Rational[1, 2]), 
          Rational[1, 2] (Rational[1, 2] (-1 - 5^Rational[1, 2]) + 
           Rational[1, 8] (-1 + 
             5^Rational[
               1, 2]))}}, {{-1.5388417685876266`, -0.5}, {-1.119442007512498, \
-1.540779740156158}, {-0.531656755220025, -0.7317627457812106}}]], 
      PolygonBox[
       NCache[{{
         Rational[
           1, 2] (-(Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
             Rational[1, 2] + 
           Rational[-1, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
             Rational[1, 2]), 
          Rational[1, 2] (Rational[1, 2] (-1 - 5^Rational[1, 2]) + 
           Rational[1, 8] (-1 + 5^Rational[1, 2]))}, {
         0, (Rational[1, 32] (13 - 5^Rational[1, 2])) (Rational[1, 2] + 
           Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
           Rational[1, 4] (-1 + 5^Rational[1, 2]))}, {
         Rational[1, 2] (
           Rational[-1, 2] (Rational[5, 8] + 
              Rational[-1, 8] 5^Rational[1, 2])^Rational[1, 2] + 
           Rational[-3, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
             Rational[1, 2]), 
          Rational[1, 2] (Rational[1, 2] + 
           Rational[1, 8] (-1 - 5^Rational[1, 2]) + 
           Rational[3, 8] (-1 + 
             5^Rational[
               1, 2]))}}, {{-0.531656755220025, -0.7317627457812106}, {
         0, 0.}, {-0.8602387002944833, 0.2795084971874737}}]], 
      PolygonBox[
       NCache[{{
         Rational[
           1, 2] (-(Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
             Rational[1, 2] + 
           Rational[-1, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
             Rational[1, 2]), 
          Rational[1, 2] (Rational[1, 2] (-1 - 5^Rational[1, 2]) + 
           Rational[1, 8] (-1 + 5^Rational[1, 2]))}, {
         Rational[1, 2] (
           Rational[-1, 2] (Rational[5, 8] + 
              Rational[-1, 8] 5^Rational[1, 2])^Rational[1, 2] + 
           Rational[-3, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
             Rational[1, 2]), 
          Rational[1, 2] (Rational[1, 2] + 
           Rational[1, 8] (-1 - 5^Rational[1, 2]) + 
           Rational[3, 8] (-1 + 5^Rational[1, 2]))}, {
         Rational[1, 2] (
           Rational[-3, 2] (Rational[5, 8] + 
              Rational[-1, 8] 5^Rational[1, 2])^Rational[1, 2] + 
           Rational[-3, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
             Rational[1, 2] + 
           Rational[
             1, 2] (-(Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
               Rational[1, 2] - (Rational[5, 8] + 
              Rational[1, 8] 5^Rational[1, 2])^Rational[1, 2])), 
          Rational[1, 2] (Rational[3, 8] (-1 - 5^Rational[1, 2]) + 
           Rational[3, 8] (-1 + 5^Rational[1, 2]) + 
           Rational[1, 2] (Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
             Rational[1, 4] (-1 + 
               5^Rational[
                 1, 2])))}}, {{-0.531656755220025, -0.7317627457812106}, \
{-0.8602387002944833, 0.2795084971874737}, {-1.5388417685876266`, -0.5}}]]}, 
     {RGBColor[1, 0, 0], EdgeForm[Dashing[{Small, Small}]], 
      PolygonBox[
       NCache[{{
         Rational[
           1, 2] ((Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
            Rational[1, 2] + 
           Rational[1, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
             Rational[1, 2]), 
          Rational[1, 2] (Rational[1, 2] (-1 - 5^Rational[1, 2]) + 
           Rational[1, 8] (-1 + 5^Rational[1, 2]))}, {
         0, (Rational[1, 32] (13 - 5^Rational[1, 2])) (Rational[1, 2] + 
           Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
           Rational[1, 4] (-1 + 5^Rational[1, 2]))}, {
         Rational[
           1, 2] (-(Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
             Rational[1, 2] + 
           Rational[-1, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
             Rational[1, 2]), 
          Rational[1, 2] (Rational[1, 2] (-1 - 5^Rational[1, 2]) + 
           Rational[1, 8] (-1 + 5^Rational[1, 2]))}}, {{
         0.531656755220025, -0.7317627457812106}, {
         0, 0.}, {-0.531656755220025, -0.7317627457812106}}]]}}, 
    {RGBColor[1, 0, 0], Opacity[0.5], 
     PolygonBox[
      NCache[{{Rational[
          1, 2] ((Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
           Rational[1, 2] + 
          Rational[1, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
            Rational[1, 2]), 
         Rational[1, 2] (Rational[1, 2] (-1 - 5^Rational[1, 2]) + 
          Rational[1, 8] (-1 + 5^Rational[1, 2]))}, {
        0, (Rational[1, 32] (13 - 5^Rational[1, 2])) (Rational[1, 2] + 
          Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
          Rational[1, 4] (-1 + 5^Rational[1, 2]))}, {
        Rational[
          1, 2] (-(Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
            Rational[1, 2] + 
          Rational[-1, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
            Rational[1, 2]), 
         Rational[1, 2] (Rational[1, 2] (-1 - 5^Rational[1, 2]) + 
          Rational[1, 8] (-1 + 5^Rational[1, 2]))}}, {{
        0.531656755220025, -0.7317627457812106}, {
        0, 0.}, {-0.531656755220025, -0.7317627457812106}}]]}, 
    {RGBColor[0, 1, 0], EdgeForm[RGBColor[0, 0, 1]], 
     DiskBox[NCache[{
       4 (Rational[-5, 16] (Rational[5, 8] + 
            Rational[-1, 8] 5^Rational[1, 2])^Rational[1, 2] + 
         Rational[1, 16] (
           Rational[-1, 2] (Rational[5, 8] + 
              Rational[-1, 8] 5^Rational[1, 2])^Rational[1, 2] + 
           Rational[-1, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
             Rational[1, 2] + 
           Rational[
             1, 2] (-(Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
               Rational[1, 2] - (Rational[5, 8] + 
              Rational[1, 8] 5^Rational[1, 2])^Rational[1, 2]))), 
        4 (Rational[5, 64] (-1 - 5^Rational[1, 2]) + 
         Rational[1, 16] (Rational[5, 8] (-1 - 5^Rational[1, 2]) + 
           Rational[1, 8] (-1 + 5^Rational[1, 2]) + 
           Rational[1, 2] (Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
             Rational[1, 4] (-1 + 
               5^Rational[
                 1, 2]))))}, {-1.119442007512498, -1.540779740156158}], 0.04],
      DiskBox[NCache[{0, Rational[1, 2] (-1 - 5^Rational[1, 2])}, {
       0, -1.618033988749895}], 0.04], 
     DiskBox[NCache[{
       4 (Rational[5, 16] (Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
           Rational[1, 2] + 
         Rational[1, 16] (
           Rational[1, 2] (Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
             Rational[1, 2] + 
           Rational[1, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
             Rational[1, 2] + 
           Rational[
             1, 2] ((Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
              Rational[1, 2] + (Rational[5, 8] + 
               Rational[1, 8] 5^Rational[1, 2])^Rational[1, 2]))), 
        4 (Rational[5, 64] (-1 - 5^Rational[1, 2]) + 
         Rational[1, 16] (Rational[5, 8] (-1 - 5^Rational[1, 2]) + 
           Rational[1, 8] (-1 + 5^Rational[1, 2]) + 
           Rational[1, 2] (Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
             Rational[1, 4] (-1 + 5^Rational[1, 2]))))}, {
       1.119442007512498, -1.540779740156158}], 0.04], 
     DiskBox[NCache[{
       Rational[1, 2] (
         Rational[-3, 2] (Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
           Rational[1, 2] + 
         Rational[-3, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
           Rational[1, 2] + 
         Rational[
           1, 2] (-(Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
             Rational[1, 2] - (Rational[5, 8] + 
            Rational[1, 8] 5^Rational[1, 2])^Rational[1, 2])), 
        Rational[1, 2] (Rational[3, 8] (-1 - 5^Rational[1, 2]) + 
         Rational[3, 8] (-1 + 5^Rational[1, 2]) + 
         Rational[1, 2] (Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
           Rational[1, 4] (-1 + 
             5^Rational[1, 2])))}, {-1.5388417685876266`, -0.5}], 0.04], 
     DiskBox[NCache[{
       Rational[
         1, 2] (-(Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
           Rational[1, 2] + 
         Rational[-1, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
           Rational[1, 2]), 
        Rational[1, 2] (Rational[1, 2] (-1 - 5^Rational[1, 2]) + 
         Rational[1, 8] (-1 + 
           5^Rational[1, 2]))}, {-0.531656755220025, -0.7317627457812106}], 
      0.04], DiskBox[
      NCache[{Rational[
         1, 2] ((Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
          Rational[1, 2] + 
         Rational[1, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
           Rational[1, 2]), 
        Rational[1, 2] (Rational[1, 2] (-1 - 5^Rational[1, 2]) + 
         Rational[1, 8] (-1 + 5^Rational[1, 2]))}, {
       0.531656755220025, -0.7317627457812106}], 0.04], 
     DiskBox[NCache[{
       Rational[1, 2] (
         Rational[3, 2] (Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
           Rational[1, 2] + 
         Rational[3, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
           Rational[1, 2] + 
         Rational[
           1, 2] ((Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
            Rational[1, 2] + (Rational[5, 8] + 
             Rational[1, 8] 5^Rational[1, 2])^Rational[1, 2])), 
        Rational[1, 2] (Rational[3, 8] (-1 - 5^Rational[1, 2]) + 
         Rational[3, 8] (-1 + 5^Rational[1, 2]) + 
         Rational[1, 2] (Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
           Rational[1, 4] (-1 + 5^Rational[1, 2])))}, {
       1.5388417685876266`, -0.5}], 0.04], 
     DiskBox[NCache[{
       Rational[1, 2] (
         Rational[-1, 2] (Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
           Rational[1, 2] + 
         Rational[-3, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
           Rational[1, 2]), 
        Rational[1, 2] (Rational[1, 2] + 
         Rational[1, 8] (-1 - 5^Rational[1, 2]) + 
         Rational[3, 8] (-1 + 5^Rational[1, 2]))}, {-0.8602387002944833, 
       0.2795084971874737}], 0.04], 
     DiskBox[NCache[{
       0, (Rational[1, 32] (13 - 5^Rational[1, 2])) (Rational[1, 2] + 
         Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
         Rational[1, 4] (-1 + 5^Rational[1, 2]))}, {0, 0.}], 0.04], 
     DiskBox[NCache[{
       Rational[1, 2] (
         Rational[1, 2] (Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
           Rational[1, 2] + 
         Rational[3, 2] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
           Rational[1, 2]), 
        Rational[1, 2] (Rational[1, 2] + 
         Rational[1, 8] (-1 - 5^Rational[1, 2]) + 
         Rational[3, 8] (-1 + 5^Rational[1, 2]))}, {0.8602387002944833, 
       0.2795084971874737}], 0.04], 
     DiskBox[NCache[{
       0, Rational[1, 2] (Rational[3, 2] + 
         Rational[1, 4] (-1 + 5^Rational[1, 2]))}, {0, 0.9045084971874737}], 
      0.04]}},
   Axes->False,
   ImageSize->130], "  ", 
  GraphicsBox[{
    {GrayLevel[0.5], 
     LineBox[NCache[{{0, -3^Rational[1, 2]}, {1, -3^Rational[1, 2]}, {
        Rational[1, 2], Rational[-1, 2] 3^Rational[1, 2]}, {
        0, -3^Rational[1, 2]}}, {{0, -1.7320508075688772`}, {
        1, -1.7320508075688772`}, {0.5, -0.8660254037844386}, {
        0, -1.7320508075688772`}}]], 
     LineBox[NCache[{{Rational[1, 2], Rational[-1, 2] 3^Rational[1, 2]}, {0, 
        0}, {Rational[-1, 2], Rational[-1, 2] 3^Rational[1, 2]}, {
        Rational[1, 2], Rational[-1, 2] 3^Rational[1, 2]}}, {{
        0.5, -0.8660254037844386}, {0, 0}, {-0.5, -0.8660254037844386}, {
        0.5, -0.8660254037844386}}]], 
     LineBox[NCache[{{
        Rational[-1, 2], Rational[-1, 2] 
         3^Rational[1, 2]}, {-1, -3^Rational[1, 2]}, {0, -3^Rational[1, 2]}, {
        Rational[-1, 2], Rational[-1, 2] 
         3^Rational[
           1, 2]}}, {{-0.5, -0.8660254037844386}, {-1, -1.7320508075688772`}, \
{0, -1.7320508075688772`}, {-0.5, -0.8660254037844386}}]], 
     LineBox[NCache[{{Rational[1, 2], Rational[-1, 2] 3^Rational[1, 2]}, {
        Rational[-1, 2], Rational[-1, 2] 3^Rational[1, 2]}, {
        0, -3^Rational[1, 2]}, {
        Rational[1, 2], Rational[-1, 2] 3^Rational[1, 2]}}, {{
        0.5, -0.8660254037844386}, {-0.5, -0.8660254037844386}, {
        0, -1.7320508075688772`}, {0.5, -0.8660254037844386}}]], 
     LineBox[NCache[{{1, 0}, {0, 0}, {
        Rational[1, 2], Rational[-1, 2] 3^Rational[1, 2]}, {1, 0}}, {{1, 0}, {
        0, 0}, {0.5, -0.8660254037844386}, {1, 0}}]], 
     LineBox[NCache[{{Rational[1, 2], Rational[-1, 2] 3^Rational[1, 2]}, {
        1, -3^Rational[1, 2]}, {
        Rational[3, 2], Rational[-1, 2] 3^Rational[1, 2]}, {
        Rational[1, 2], Rational[-1, 2] 3^Rational[1, 2]}}, {{
        0.5, -0.8660254037844386}, {1, -1.7320508075688772`}, {
        1.5, -0.8660254037844386}, {0.5, -0.8660254037844386}}]], 
     LineBox[NCache[{{1, 0}, {
        Rational[1, 2], Rational[-1, 2] 3^Rational[1, 2]}, {
        Rational[3, 2], Rational[-1, 2] 3^Rational[1, 2]}, {1, 0}}, {{1, 0}, {
        0.5, -0.8660254037844386}, {1.5, -0.8660254037844386}, {1, 0}}]], 
     LineBox[NCache[{{Rational[1, 2], Rational[1, 2] 3^Rational[1, 2]}, {0, 
        0}, {1, 0}, {Rational[1, 2], Rational[1, 2] 3^Rational[1, 2]}}, {{0.5,
         0.8660254037844386}, {0, 0}, {1, 0}, {0.5, 0.8660254037844386}}]], 
     LineBox[NCache[{{Rational[-1, 2], Rational[1, 2] 3^Rational[1, 2]}, {0, 
        0}, {Rational[1, 2], Rational[1, 2] 3^Rational[1, 2]}, {
        Rational[-1, 2], Rational[1, 2] 3^Rational[1, 2]}}, {{-0.5, 
        0.8660254037844386}, {0, 0}, {0.5, 0.8660254037844386}, {-0.5, 
        0.8660254037844386}}]], 
     LineBox[NCache[{{-1, 0}, {0, 0}, {
        Rational[-1, 2], Rational[1, 2] 3^Rational[1, 2]}, {-1, 0}}, {{-1, 
        0}, {0, 0}, {-0.5, 0.8660254037844386}, {-1, 0}}]], 
     LineBox[NCache[{{
        Rational[-3, 2], Rational[-1, 2] 
         3^Rational[1, 2]}, {-1, -3^Rational[1, 2]}, {
        Rational[-1, 2], Rational[-1, 2] 3^Rational[1, 2]}, {
        Rational[-3, 2], Rational[-1, 2] 
         3^Rational[
           1, 2]}}, {{-1.5, -0.8660254037844386}, {-1, -1.7320508075688772`}, \
{-0.5, -0.8660254037844386}, {-1.5, -0.8660254037844386}}]], 
     LineBox[NCache[{{Rational[-1, 2], Rational[-1, 2] 3^Rational[1, 2]}, {0, 
        0}, {-1, 0}, {
        Rational[-1, 2], Rational[-1, 2] 
         3^Rational[1, 2]}}, {{-0.5, -0.8660254037844386}, {0, 0}, {-1, 
        0}, {-0.5, -0.8660254037844386}}]], 
     LineBox[NCache[{{Rational[-1, 2], Rational[-1, 2] 3^Rational[1, 2]}, {-1,
         0}, {Rational[-3, 2], Rational[-1, 2] 3^Rational[1, 2]}, {
        Rational[-1, 2], Rational[-1, 2] 
         3^Rational[1, 2]}}, {{-0.5, -0.8660254037844386}, {-1, 
        0}, {-1.5, -0.8660254037844386}, {-0.5, -0.8660254037844386}}]]}, {
     {RGBColor[0.88, 1, 0.88], EdgeForm[Dashing[{Small, Small}]], 
      PolygonBox[
       NCache[{{0, -3^Rational[1, 2]}, {1, -3^Rational[1, 2]}, {
         Rational[1, 2], Rational[-1, 2] 3^Rational[1, 2]}}, {{
         0, -1.7320508075688772`}, {1, -1.7320508075688772`}, {
         0.5, -0.8660254037844386}}]], 
      PolygonBox[
       NCache[{{Rational[1, 2], Rational[-1, 2] 3^Rational[1, 2]}, {0, 0}, {
         Rational[-1, 2], Rational[-1, 2] 3^Rational[1, 2]}}, {{
         0.5, -0.8660254037844386}, {0, 0}, {-0.5, -0.8660254037844386}}]], 
      PolygonBox[
       NCache[{{
         Rational[-1, 2], Rational[-1, 2] 
          3^Rational[1, 2]}, {-1, -3^Rational[1, 2]}, {
         0, -3^Rational[
            1, 2]}}, {{-0.5, -0.8660254037844386}, {-1, \
-1.7320508075688772`}, {0, -1.7320508075688772`}}]], 
      PolygonBox[
       NCache[{{Rational[1, 2], Rational[-1, 2] 3^Rational[1, 2]}, {
         Rational[-1, 2], Rational[-1, 2] 3^Rational[1, 2]}, {
         0, -3^Rational[1, 2]}}, {{
         0.5, -0.8660254037844386}, {-0.5, -0.8660254037844386}, {
         0, -1.7320508075688772`}}]], 
      PolygonBox[
       NCache[{{1, 0}, {0, 0}, {
         Rational[1, 2], Rational[-1, 2] 3^Rational[1, 2]}}, {{1, 0}, {0, 
         0}, {0.5, -0.8660254037844386}}]], 
      PolygonBox[
       NCache[{{Rational[1, 2], Rational[-1, 2] 3^Rational[1, 2]}, {
         1, -3^Rational[1, 2]}, {
         Rational[3, 2], Rational[-1, 2] 3^Rational[1, 2]}}, {{
         0.5, -0.8660254037844386}, {1, -1.7320508075688772`}, {
         1.5, -0.8660254037844386}}]], 
      PolygonBox[
       NCache[{{1, 0}, {Rational[1, 2], Rational[-1, 2] 3^Rational[1, 2]}, {
         Rational[3, 2], Rational[-1, 2] 3^Rational[1, 2]}}, {{1, 0}, {
         0.5, -0.8660254037844386}, {1.5, -0.8660254037844386}}]], 
      PolygonBox[
       NCache[{{Rational[1, 2], Rational[1, 2] 3^Rational[1, 2]}, {0, 0}, {1, 
         0}}, {{0.5, 0.8660254037844386}, {0, 0}, {1, 0}}]], 
      PolygonBox[
       NCache[{{Rational[-1, 2], Rational[1, 2] 3^Rational[1, 2]}, {0, 0}, {
         Rational[1, 2], Rational[1, 2] 3^Rational[1, 2]}}, {{-0.5, 
         0.8660254037844386}, {0, 0}, {0.5, 0.8660254037844386}}]], 
      PolygonBox[
       NCache[{{-1, 0}, {0, 0}, {
         Rational[-1, 2], Rational[1, 2] 3^Rational[1, 2]}}, {{-1, 0}, {0, 
         0}, {-0.5, 0.8660254037844386}}]], 
      PolygonBox[
       NCache[{{
         Rational[-3, 2], Rational[-1, 2] 
          3^Rational[1, 2]}, {-1, -3^Rational[1, 2]}, {
         Rational[-1, 2], Rational[-1, 2] 
          3^Rational[
            1, 2]}}, {{-1.5, -0.8660254037844386}, {-1, \
-1.7320508075688772`}, {-0.5, -0.8660254037844386}}]], 
      PolygonBox[
       NCache[{{Rational[-1, 2], Rational[-1, 2] 3^Rational[1, 2]}, {0, 
         0}, {-1, 0}}, {{-0.5, -0.8660254037844386}, {0, 0}, {-1, 0}}]], 
      PolygonBox[
       NCache[{{Rational[-1, 2], Rational[-1, 2] 3^Rational[1, 2]}, {-1, 0}, {
         Rational[-3, 2], Rational[-1, 2] 
          3^Rational[1, 2]}}, {{-0.5, -0.8660254037844386}, {-1, 
         0}, {-1.5, -0.8660254037844386}}]]}, 
     {RGBColor[0, 1, 0], EdgeForm[Dashing[{Small, Small}]], 
      PolygonBox[
       NCache[{{Rational[1, 2], Rational[-1, 2] 3^Rational[1, 2]}, {0, 0}, {
         Rational[-1, 2], Rational[-1, 2] 3^Rational[1, 2]}}, {{
         0.5, -0.8660254037844386}, {0, 0}, {-0.5, -0.8660254037844386}}]]}}, 
    {RGBColor[0, 1, 0], Opacity[0.5], 
     PolygonBox[
      NCache[{{Rational[1, 2], Rational[-1, 2] 3^Rational[1, 2]}, {0, 0}, {
        Rational[-1, 2], Rational[-1, 2] 3^Rational[1, 2]}}, {{
        0.5, -0.8660254037844386}, {0, 0}, {-0.5, -0.8660254037844386}}]]}, 
    {RGBColor[0, 1, 0], EdgeForm[RGBColor[0, 0, 1]], 
     DiskBox[NCache[{Rational[3, 2], Rational[-1, 2] 3^Rational[1, 2]}, {
       1.5, -0.8660254037844386}], 0.04], DiskBox[{1, 0}, 0.04], 
     DiskBox[NCache[{Rational[1, 2], Rational[1, 2] 3^Rational[1, 2]}, {0.5, 
       0.8660254037844386}], 0.04], 
     DiskBox[NCache[{1, -3^Rational[1, 2]}, {1, -1.7320508075688772`}], 0.04],
      DiskBox[NCache[{Rational[1, 2], Rational[-1, 2] 3^Rational[1, 2]}, {
       0.5, -0.8660254037844386}], 0.04], DiskBox[{0, 0}, 0.04], 
     DiskBox[NCache[{Rational[-1, 2], Rational[1, 2] 3^Rational[1, 2]}, {-0.5,
        0.8660254037844386}], 0.04], 
     DiskBox[NCache[{0, -3^Rational[1, 2]}, {0, -1.7320508075688772`}], 0.04],
      DiskBox[NCache[{
       Rational[-1, 2], Rational[-1, 2] 
        3^Rational[1, 2]}, {-0.5, -0.8660254037844386}], 0.04], 
     DiskBox[{-1, 0}, 0.04], 
     DiskBox[NCache[{-1, -3^Rational[1, 2]}, {-1, -1.7320508075688772`}], 
      0.04], DiskBox[
      NCache[{Rational[-3, 2], Rational[-1, 2] 
        3^Rational[1, 2]}, {-1.5, -0.8660254037844386}], 0.04]}},
   Axes->False,
   ImageSize->130], "  ", 
  GraphicsBox[{
    {GrayLevel[0.5], 
     LineBox[NCache[{{0, (-2) Cos[Rational[1, 7] Pi]}, {
        4 (Rational[5, 16] Sin[Rational[1, 7] Pi] + 
          Rational[1, 16] (Rational[1, 2] Cos[Rational[1, 14] Pi] + 
            Rational[1, 2] Sin[Rational[1, 7] Pi] + 
            Rational[1, 2] (Cos[Rational[1, 14] Pi] + 
              Sin[Rational[1, 7] Pi]))), 
         4 (Rational[-5, 16] Cos[Rational[1, 7] Pi] + 
          Rational[1, 16] (Rational[-5, 2] Cos[Rational[1, 7] Pi] + 
            Rational[1, 2] (-Cos[Rational[1, 7] Pi] - Sin[
              Rational[1, 14] Pi]) + 
            Rational[-1, 2] Sin[Rational[1, 14] Pi]))}, {
        Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 14] Pi] + 
          Sin[Rational[1, 7] Pi]), 
         Rational[1, 2] ((-2) Cos[Rational[1, 7] Pi] + 
          Rational[-1, 2] Sin[Rational[1, 14] Pi])}, {
        0, (-2) Cos[Rational[1, 7] Pi]}}, {{0, -1.8019377358048383`}, {
        0.8945575867217932, -1.857567969293917}, {
        0.46067384760423497`, -0.9565991013914977}, {
        0, -1.8019377358048383`}}]], 
     LineBox[NCache[{{
        Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 14] Pi] + 
          Sin[Rational[1, 7] Pi]), 
         Rational[1, 2] ((-2) Cos[Rational[1, 7] Pi] + 
          Rational[-1, 2] Sin[Rational[1, 14] Pi])}, {
        0, (Rational[4, 7] (Rational[1, 2] - Cos[Rational[1, 7] Pi] - Sin[
           Rational[1, 14] Pi] + Sin[Rational[3, 14] Pi])) (Rational[5, 8] + 
          Rational[-1, 64] (3 + 2 Sin[Rational[3, 14] Pi])^2)}, {
        Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 14] Pi] - Sin[
          Rational[1, 7] Pi]), 
         Rational[1, 2] ((-2) Cos[Rational[1, 7] Pi] + 
          Rational[-1, 2] Sin[Rational[1, 14] Pi])}, {
        Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 14] Pi] + 
          Sin[Rational[1, 7] Pi]), 
         Rational[1, 2] ((-2) Cos[Rational[1, 7] Pi] + 
          Rational[-1, 2] Sin[Rational[1, 14] Pi])}}, {{
        0.46067384760423497`, -0.9565991013914977}, {
        0, -1.0885719035311525`*^-17}, {-0.46067384760423497`, \
-0.9565991013914977}, {0.46067384760423497`, -0.9565991013914977}}]], 
     LineBox[NCache[{{
        Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 14] Pi] - Sin[
          Rational[1, 7] Pi]), 
         Rational[1, 2] ((-2) Cos[Rational[1, 7] Pi] + 
          Rational[-1, 2] Sin[Rational[1, 14] Pi])}, {
        4 (Rational[1, 16] (Rational[-1, 2] Cos[Rational[1, 14] Pi] + 
            Rational[1, 2] (-Cos[Rational[1, 14] Pi] - Sin[
              Rational[1, 7] Pi]) + Rational[-1, 2] Sin[Rational[1, 7] Pi]) + 
          Rational[-5, 16] Sin[Rational[1, 7] Pi]), 
         4 (Rational[-5, 16] Cos[Rational[1, 7] Pi] + 
          Rational[1, 16] (Rational[-5, 2] Cos[Rational[1, 7] Pi] + 
            Rational[1, 2] (-Cos[Rational[1, 7] Pi] - Sin[
              Rational[1, 14] Pi]) + 
            Rational[-1, 2] Sin[Rational[1, 14] Pi]))}, {
        0, (-2) Cos[Rational[1, 7] Pi]}, {
        Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 14] Pi] - Sin[
          Rational[1, 7] Pi]), 
         Rational[1, 2] ((-2) Cos[Rational[1, 7] Pi] + 
          Rational[-1, 2] 
           Sin[Rational[1, 14] 
             Pi])}}, {{-0.46067384760423497`, -0.9565991013914977}, \
{-0.8945575867217932, -1.857567969293917}, {
        0, -1.8019377358048383`}, {-0.46067384760423497`, \
-0.9565991013914977}}]], 
     LineBox[NCache[{{
        Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 14] Pi] + 
          Sin[Rational[1, 7] Pi]), 
         Rational[1, 2] ((-2) Cos[Rational[1, 7] Pi] + 
          Rational[-1, 2] Sin[Rational[1, 14] Pi])}, {
        Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 14] Pi] - Sin[
          Rational[1, 7] Pi]), 
         Rational[1, 2] ((-2) Cos[Rational[1, 7] Pi] + 
          Rational[-1, 2] Sin[Rational[1, 14] Pi])}, {
        0, (-2) Cos[Rational[1, 7] Pi]}, {
        Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 14] Pi] + 
          Sin[Rational[1, 7] Pi]), 
         Rational[1, 2] ((-2) Cos[Rational[1, 7] Pi] + 
          Rational[-1, 2] Sin[Rational[1, 14] Pi])}}, {{
        0.46067384760423497`, -0.9565991013914977}, {-0.46067384760423497`, \
-0.9565991013914977}, {0, -1.8019377358048383`}, {
        0.46067384760423497`, -0.9565991013914977}}]], 
     LineBox[NCache[{{
        Rational[1, 2] (Rational[3, 2] Cos[Rational[1, 14] Pi] + 
          Rational[1, 2] Cos[Rational[3, 14] Pi] + 
          Rational[1, 2] Sin[Rational[1, 7] Pi]), 
         Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 7] Pi] + 
          Rational[-3, 2] Sin[Rational[1, 14] Pi] + 
          Rational[1, 2] Sin[Rational[3, 14] Pi])}, {
        0, (Rational[4, 7] (Rational[1, 2] - Cos[Rational[1, 7] Pi] - Sin[
           Rational[1, 14] Pi] + Sin[Rational[3, 14] Pi])) (Rational[5, 8] + 
          Rational[-1, 64] (3 + 2 Sin[Rational[3, 14] Pi])^2)}, {
        Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 14] Pi] + 
          Sin[Rational[1, 7] Pi]), 
         Rational[1, 2] ((-2) Cos[Rational[1, 7] Pi] + 
          Rational[-1, 2] Sin[Rational[1, 14] Pi])}, {
        Rational[1, 2] (Rational[3, 2] Cos[Rational[1, 14] Pi] + 
          Rational[1, 2] Cos[Rational[3, 14] Pi] + 
          Rational[1, 2] Sin[Rational[1, 7] Pi]), 
         Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 7] Pi] + 
          Rational[-3, 2] Sin[Rational[1, 14] Pi] + 
          Rational[1, 2] Sin[Rational[3, 14] Pi])}}, {{
        1.0351247395327647`, -0.23626046697815725`}, {
        0, -1.0885719035311525`*^-17}, {
        0.46067384760423497`, -0.9565991013914977}, {
        1.0351247395327647`, -0.23626046697815725`}}]], 
     LineBox[NCache[{{
        Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 14] Pi] + 
          Sin[Rational[1, 7] Pi]), 
         Rational[1, 2] ((-2) Cos[Rational[1, 7] Pi] + 
          Rational[-1, 2] Sin[Rational[1, 14] Pi])}, {
        4 (Rational[5, 16] Sin[Rational[1, 7] Pi] + 
          Rational[1, 16] (Rational[1, 2] Cos[Rational[1, 14] Pi] + 
            Rational[1, 2] Sin[Rational[1, 7] Pi] + 
            Rational[1, 2] (Cos[Rational[1, 14] Pi] + 
              Sin[Rational[1, 7] Pi]))), 
         4 (Rational[-5, 16] Cos[Rational[1, 7] Pi] + 
          Rational[1, 16] (Rational[-5, 2] Cos[Rational[1, 7] Pi] + 
            Rational[1, 2] (-Cos[Rational[1, 7] Pi] - Sin[
              Rational[1, 14] Pi]) + 
            Rational[-1, 2] Sin[Rational[1, 14] Pi]))}, {
        Rational[1, 2] (Rational[3, 2] Cos[Rational[1, 14] Pi] + 
          Rational[3, 2] Sin[Rational[1, 7] Pi] + 
          Rational[1, 2] (Cos[Rational[1, 14] Pi] + Sin[Rational[1, 7] Pi])), 
         Rational[1, 2] (Rational[-3, 2] Cos[Rational[1, 7] Pi] + 
          Rational[1, 2] (-Cos[Rational[1, 7] Pi] - Sin[Rational[1, 14] Pi]) + 
          Rational[-3, 2] Sin[Rational[1, 14] Pi])}, {
        Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 14] Pi] + 
          Sin[Rational[1, 7] Pi]), 
         Rational[1, 2] ((-2) Cos[Rational[1, 7] Pi] + 
          Rational[-1, 2] Sin[Rational[1, 14] Pi])}}, {{
       0.46067384760423497`, -0.9565991013914977}, {
       0.8945575867217932, -1.857567969293917}, {
       1.4088116512993818`, -1.1234898018587336`}, {
       0.46067384760423497`, -0.9565991013914977}}]], 
     LineBox[NCache[{{
        Rational[1, 2] (Rational[3, 2] Cos[Rational[1, 14] Pi] + 
          Rational[1, 2] Cos[Rational[3, 14] Pi] + 
          Rational[1, 2] Sin[Rational[1, 7] Pi]), 
         Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 7] Pi] + 
          Rational[-3, 2] Sin[Rational[1, 14] Pi] + 
          Rational[1, 2] Sin[Rational[3, 14] Pi])}, {
        Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 14] Pi] + 
          Sin[Rational[1, 7] Pi]), 
         Rational[1, 2] ((-2) Cos[Rational[1, 7] Pi] + 
          Rational[-1, 2] Sin[Rational[1, 14] Pi])}, {
        Rational[1, 2] (Rational[3, 2] Cos[Rational[1, 14] Pi] + 
          Rational[3, 2] Sin[Rational[1, 7] Pi] + 
          Rational[1, 2] (Cos[Rational[1, 14] Pi] + Sin[Rational[1, 7] Pi])), 
         Rational[1, 2] (Rational[-3, 2] Cos[Rational[1, 7] Pi] + 
          Rational[1, 2] (-Cos[Rational[1, 7] Pi] - Sin[Rational[1, 14] Pi]) + 
          Rational[-3, 2] Sin[Rational[1, 14] Pi])}, {
        Rational[1, 2] (Rational[3, 2] Cos[Rational[1, 14] Pi] + 
          Rational[1, 2] Cos[Rational[3, 14] Pi] + 
          Rational[1, 2] Sin[Rational[1, 7] Pi]), 
         Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 7] Pi] + 
          Rational[-3, 2] Sin[Rational[1, 14] Pi] + 
          Rational[1, 2] Sin[Rational[3, 14] Pi])}}, {{
       1.0351247395327647`, -0.23626046697815725`}, {
       0.46067384760423497`, -0.9565991013914977}, {
       1.4088116512993818`, -1.1234898018587336`}, {
       1.0351247395327647`, -0.23626046697815725`}}]], 
     LineBox[NCache[{{
        Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 14] Pi] + 
          Rational[3, 2] Cos[Rational[3, 14] Pi]), 
         Rational[1, 2] (Rational[1, 2] + 
          Rational[-1, 2] Sin[Rational[1, 14] Pi] + 
          Rational[3, 2] Sin[Rational[3, 14] Pi])}, {
        0, (Rational[4, 7] (Rational[1, 2] - Cos[Rational[1, 7] Pi] - Sin[
           Rational[1, 14] Pi] + Sin[Rational[3, 14] Pi])) (Rational[5, 8] + 
          Rational[-1, 64] (3 + 2 Sin[Rational[3, 14] Pi])^2)}, {
        Rational[1, 2] (Rational[3, 2] Cos[Rational[1, 14] Pi] + 
          Rational[1, 2] Cos[Rational[3, 14] Pi] + 
          Rational[1, 2] Sin[Rational[1, 7] Pi]), 
         Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 7] Pi] + 
          Rational[-3, 2] Sin[Rational[1, 14] Pi] + 
          Rational[1, 2] Sin[Rational[3, 14] Pi])}, {
        Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 14] Pi] + 
          Rational[3, 2] Cos[Rational[3, 14] Pi]), 
         Rational[1, 2] (Rational[1, 2] + 
          Rational[-1, 2] Sin[Rational[1, 14] Pi] + 
          Rational[3, 2] Sin[Rational[3, 14] Pi])}}, {{0.8301055898964782, 
        0.6619871179049716}, {0, -1.0885719035311525`*^-17}, {
        1.0351247395327647`, -0.23626046697815725`}, {0.8301055898964782, 
        0.6619871179049716}}]], 
     LineBox[NCache[{{
        0, Rational[1, 2] (Rational[3, 2] + Sin[Rational[3, 14] Pi])}, {
        0, (Rational[4, 7] (Rational[1, 2] - Cos[Rational[1, 7] Pi] - Sin[
           Rational[1, 14] Pi] + Sin[Rational[3, 14] Pi])) (Rational[5, 8] + 
          Rational[-1, 64] (3 + 2 Sin[Rational[3, 14] Pi])^2)}, {
        Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 14] Pi] + 
          Rational[3, 2] Cos[Rational[3, 14] Pi]), 
         Rational[1, 2] (Rational[1, 2] + 
          Rational[-1, 2] Sin[Rational[1, 14] Pi] + 
          Rational[3, 2] Sin[Rational[3, 14] Pi])}, {
        0, Rational[1, 2] (Rational[3, 2] + Sin[Rational[3, 14] Pi])}}, {{
        0, 1.0617449009293667`}, {0, -1.0885719035311525`*^-17}, {
        0.8301055898964782, 0.6619871179049716}, {0, 1.0617449009293667`}}]], 
     LineBox[NCache[{{
        Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 14] Pi] + 
          Rational[-3, 2] Cos[Rational[3, 14] Pi]), 
         Rational[1, 2] (Rational[1, 2] + 
          Rational[-1, 2] Sin[Rational[1, 14] Pi] + 
          Rational[3, 2] Sin[Rational[3, 14] Pi])}, {
        0, (Rational[4, 7] (Rational[1, 2] - Cos[Rational[1, 7] Pi] - Sin[
           Rational[1, 14] Pi] + Sin[Rational[3, 14] Pi])) (Rational[5, 8] + 
          Rational[-1, 64] (3 + 2 Sin[Rational[3, 14] Pi])^2)}, {
        0, Rational[1, 2] (Rational[3, 2] + Sin[Rational[3, 14] Pi])}, {
        Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 14] Pi] + 
          Rational[-3, 2] Cos[Rational[3, 14] Pi]), 
         Rational[1, 2] (Rational[1, 2] + 
          Rational[-1, 2] Sin[Rational[1, 14] Pi] + 
          Rational[3, 2] Sin[Rational[3, 14] Pi])}}, {{-0.8301055898964782, 
        0.6619871179049716}, {0, -1.0885719035311525`*^-17}, {
        0, 1.0617449009293667`}, {-0.8301055898964782, 0.6619871179049716}}]],
      LineBox[NCache[{{
        Rational[1, 2] (Rational[-3, 2] Cos[Rational[1, 14] Pi] + 
          Rational[-1, 2] Cos[Rational[3, 14] Pi] + 
          Rational[-1, 2] Sin[Rational[1, 7] Pi]), 
         Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 7] Pi] + 
          Rational[-3, 2] Sin[Rational[1, 14] Pi] + 
          Rational[1, 2] Sin[Rational[3, 14] Pi])}, {
        0, (Rational[4, 7] (Rational[1, 2] - Cos[Rational[1, 7] Pi] - Sin[
           Rational[1, 14] Pi] + Sin[Rational[3, 14] Pi])) (Rational[5, 8] + 
          Rational[-1, 64] (3 + 2 Sin[Rational[3, 14] Pi])^2)}, {
        Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 14] Pi] + 
          Rational[-3, 2] Cos[Rational[3, 14] Pi]), 
         Rational[1, 2] (Rational[1, 2] + 
          Rational[-1, 2] Sin[Rational[1, 14] Pi] + 
          Rational[3, 2] Sin[Rational[3, 14] Pi])}, {
        Rational[1, 2] (Rational[-3, 2] Cos[Rational[1, 14] Pi] + 
          Rational[-1, 2] Cos[Rational[3, 14] Pi] + 
          Rational[-1, 2] Sin[Rational[1, 7] Pi]), 
         Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 7] Pi] + 
          Rational[-3, 2] Sin[Rational[1, 14] Pi] + 
          Rational[1, 2] 
           Sin[Rational[3, 14] 
             Pi])}}, {{-1.0351247395327647`, -0.23626046697815725`}, {
        0, -1.0885719035311525`*^-17}, {-0.8301055898964782, 
        0.6619871179049716}, {-1.0351247395327647`, -0.23626046697815725`}}]],
      LineBox[NCache[{{
        Rational[1, 2] (Rational[-3, 2] Cos[Rational[1, 14] Pi] + 
          Rational[1, 2] (-Cos[Rational[1, 14] Pi] - Sin[Rational[1, 7] Pi]) + 
          Rational[-3, 2] Sin[Rational[1, 7] Pi]), 
         Rational[1, 2] (Rational[-3, 2] Cos[Rational[1, 7] Pi] + 
          Rational[1, 2] (-Cos[Rational[1, 7] Pi] - Sin[Rational[1, 14] Pi]) + 
          Rational[-3, 2] Sin[Rational[1, 14] Pi])}, {
        4 (Rational[1, 16] (Rational[-1, 2] Cos[Rational[1, 14] Pi] + 
            Rational[1, 2] (-Cos[Rational[1, 14] Pi] - Sin[
              Rational[1, 7] Pi]) + Rational[-1, 2] Sin[Rational[1, 7] Pi]) + 
          Rational[-5, 16] Sin[Rational[1, 7] Pi]), 
         4 (Rational[-5, 16] Cos[Rational[1, 7] Pi] + 
          Rational[1, 16] (Rational[-5, 2] Cos[Rational[1, 7] Pi] + 
            Rational[1, 2] (-Cos[Rational[1, 7] Pi] - Sin[
              Rational[1, 14] Pi]) + 
            Rational[-1, 2] Sin[Rational[1, 14] Pi]))}, {
        Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 14] Pi] - Sin[
          Rational[1, 7] Pi]), 
         Rational[1, 2] ((-2) Cos[Rational[1, 7] Pi] + 
          Rational[-1, 2] Sin[Rational[1, 14] Pi])}, {
        Rational[1, 2] (Rational[-3, 2] Cos[Rational[1, 14] Pi] + 
          Rational[1, 2] (-Cos[Rational[1, 14] Pi] - Sin[Rational[1, 7] Pi]) + 
          Rational[-3, 2] Sin[Rational[1, 7] Pi]), 
         Rational[1, 2] (Rational[-3, 2] Cos[Rational[1, 7] Pi] + 
          Rational[1, 2] (-Cos[Rational[1, 7] Pi] - Sin[Rational[1, 14] Pi]) + 
          Rational[-3, 2] 
           Sin[Rational[1, 14] 
             Pi])}}, {{-1.4088116512993818`, -1.1234898018587336`}, \
{-0.8945575867217932, -1.857567969293917}, {-0.46067384760423497`, \
-0.9565991013914977}, {-1.4088116512993818`, -1.1234898018587336`}}]], 
     LineBox[NCache[{{
        Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 14] Pi] - Sin[
          Rational[1, 7] Pi]), 
         Rational[1, 2] ((-2) Cos[Rational[1, 7] Pi] + 
          Rational[-1, 2] Sin[Rational[1, 14] Pi])}, {
        0, (Rational[4, 7] (Rational[1, 2] - Cos[Rational[1, 7] Pi] - Sin[
           Rational[1, 14] Pi] + Sin[Rational[3, 14] Pi])) (Rational[5, 8] + 
          Rational[-1, 64] (3 + 2 Sin[Rational[3, 14] Pi])^2)}, {
        Rational[1, 2] (Rational[-3, 2] Cos[Rational[1, 14] Pi] + 
          Rational[-1, 2] Cos[Rational[3, 14] Pi] + 
          Rational[-1, 2] Sin[Rational[1, 7] Pi]), 
         Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 7] Pi] + 
          Rational[-3, 2] Sin[Rational[1, 14] Pi] + 
          Rational[1, 2] Sin[Rational[3, 14] Pi])}, {
        Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 14] Pi] - Sin[
          Rational[1, 7] Pi]), 
         Rational[1, 2] ((-2) Cos[Rational[1, 7] Pi] + 
          Rational[-1, 2] 
           Sin[Rational[1, 14] 
             Pi])}}, {{-0.46067384760423497`, -0.9565991013914977}, {
        0, -1.0885719035311525`*^-17}, {-1.0351247395327647`, \
-0.23626046697815725`}, {-0.46067384760423497`, -0.9565991013914977}}]], 
     LineBox[NCache[{{
        Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 14] Pi] - Sin[
          Rational[1, 7] Pi]), 
         Rational[1, 2] ((-2) Cos[Rational[1, 7] Pi] + 
          Rational[-1, 2] Sin[Rational[1, 14] Pi])}, {
        Rational[1, 2] (Rational[-3, 2] Cos[Rational[1, 14] Pi] + 
          Rational[-1, 2] Cos[Rational[3, 14] Pi] + 
          Rational[-1, 2] Sin[Rational[1, 7] Pi]), 
         Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 7] Pi] + 
          Rational[-3, 2] Sin[Rational[1, 14] Pi] + 
          Rational[1, 2] Sin[Rational[3, 14] Pi])}, {
        Rational[1, 2] (Rational[-3, 2] Cos[Rational[1, 14] Pi] + 
          Rational[1, 2] (-Cos[Rational[1, 14] Pi] - Sin[Rational[1, 7] Pi]) + 
          Rational[-3, 2] Sin[Rational[1, 7] Pi]), 
         Rational[1, 2] (Rational[-3, 2] Cos[Rational[1, 7] Pi] + 
          Rational[1, 2] (-Cos[Rational[1, 7] Pi] - Sin[Rational[1, 14] Pi]) + 
          Rational[-3, 2] Sin[Rational[1, 14] Pi])}, {
        Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 14] Pi] - Sin[
          Rational[1, 7] Pi]), 
         Rational[1, 2] ((-2) Cos[Rational[1, 7] Pi] + 
          Rational[-1, 2] 
           Sin[Rational[1, 14] 
             Pi])}}, {{-0.46067384760423497`, -0.9565991013914977}, \
{-1.0351247395327647`, -0.23626046697815725`}, {-1.4088116512993818`, \
-1.1234898018587336`}, {-0.46067384760423497`, -0.9565991013914977}}]]}, {
     {RGBColor[0.88, 1, 0.88], EdgeForm[Dashing[{Small, Small}]], 
      PolygonBox[
       NCache[{{0, (-2) Cos[Rational[1, 7] Pi]}, {
         4 (Rational[5, 16] Sin[Rational[1, 7] Pi] + 
           Rational[1, 16] (Rational[1, 2] Cos[Rational[1, 14] Pi] + 
             Rational[1, 2] Sin[Rational[1, 7] Pi] + 
             Rational[1, 2] (Cos[Rational[1, 14] Pi] + 
               Sin[Rational[1, 7] Pi]))), 
          4 (Rational[-5, 16] Cos[Rational[1, 7] Pi] + 
           Rational[1, 16] (Rational[-5, 2] Cos[Rational[1, 7] Pi] + 
             Rational[1, 2] (-Cos[Rational[1, 7] Pi] - Sin[
               Rational[1, 14] Pi]) + 
             Rational[-1, 2] Sin[Rational[1, 14] Pi]))}, {
         Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 14] Pi] + 
           Sin[Rational[1, 7] Pi]), 
          Rational[1, 2] ((-2) Cos[Rational[1, 7] Pi] + 
           Rational[-1, 2] Sin[Rational[1, 14] Pi])}}, {{
         0, -1.8019377358048383`}, {0.8945575867217932, -1.857567969293917}, {
         0.46067384760423497`, -0.9565991013914977}}]], 
      PolygonBox[
       NCache[{{
         Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 14] Pi] + 
           Sin[Rational[1, 7] Pi]), 
          Rational[1, 2] ((-2) Cos[Rational[1, 7] Pi] + 
           Rational[-1, 2] Sin[Rational[1, 14] Pi])}, {
         0, (Rational[4, 7] (Rational[1, 2] - Cos[Rational[1, 7] Pi] - Sin[
            Rational[1, 14] Pi] + Sin[Rational[3, 14] Pi])) (Rational[5, 8] + 
           Rational[-1, 64] (3 + 2 Sin[Rational[3, 14] Pi])^2)}, {
         Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 14] Pi] - Sin[
           Rational[1, 7] Pi]), 
          Rational[1, 2] ((-2) Cos[Rational[1, 7] Pi] + 
           Rational[-1, 2] Sin[Rational[1, 14] Pi])}}, {{
         0.46067384760423497`, -0.9565991013914977}, {
         0, -1.0885719035311525`*^-17}, {-0.46067384760423497`, \
-0.9565991013914977}}]], 
      PolygonBox[
       NCache[{{
         Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 14] Pi] - Sin[
           Rational[1, 7] Pi]), 
          Rational[1, 2] ((-2) Cos[Rational[1, 7] Pi] + 
           Rational[-1, 2] Sin[Rational[1, 14] Pi])}, {
         4 (Rational[1, 16] (Rational[-1, 2] Cos[Rational[1, 14] Pi] + 
             Rational[1, 2] (-Cos[Rational[1, 14] Pi] - Sin[
               Rational[1, 7] Pi]) + Rational[-1, 2] Sin[Rational[1, 7] Pi]) + 
           Rational[-5, 16] Sin[Rational[1, 7] Pi]), 
          4 (Rational[-5, 16] Cos[Rational[1, 7] Pi] + 
           Rational[1, 16] (Rational[-5, 2] Cos[Rational[1, 7] Pi] + 
             Rational[1, 2] (-Cos[Rational[1, 7] Pi] - Sin[
               Rational[1, 14] Pi]) + 
             Rational[-1, 2] Sin[Rational[1, 14] Pi]))}, {
         0, (-2) Cos[
           Rational[1, 7] 
            Pi]}}, {{-0.46067384760423497`, -0.9565991013914977}, \
{-0.8945575867217932, -1.857567969293917}, {0, -1.8019377358048383`}}]], 
      PolygonBox[
       NCache[{{
         Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 14] Pi] + 
           Sin[Rational[1, 7] Pi]), 
          Rational[1, 2] ((-2) Cos[Rational[1, 7] Pi] + 
           Rational[-1, 2] Sin[Rational[1, 14] Pi])}, {
         Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 14] Pi] - Sin[
           Rational[1, 7] Pi]), 
          Rational[1, 2] ((-2) Cos[Rational[1, 7] Pi] + 
           Rational[-1, 2] Sin[Rational[1, 14] Pi])}, {
         0, (-2) Cos[Rational[1, 7] Pi]}}, {{
         0.46067384760423497`, -0.9565991013914977}, {-0.46067384760423497`, \
-0.9565991013914977}, {0, -1.8019377358048383`}}]], 
      PolygonBox[
       NCache[{{
         Rational[1, 2] (Rational[3, 2] Cos[Rational[1, 14] Pi] + 
           Rational[1, 2] Cos[Rational[3, 14] Pi] + 
           Rational[1, 2] Sin[Rational[1, 7] Pi]), 
          Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 7] Pi] + 
           Rational[-3, 2] Sin[Rational[1, 14] Pi] + 
           Rational[1, 2] Sin[Rational[3, 14] Pi])}, {
         0, (Rational[4, 7] (Rational[1, 2] - Cos[Rational[1, 7] Pi] - Sin[
            Rational[1, 14] Pi] + Sin[Rational[3, 14] Pi])) (Rational[5, 8] + 
           Rational[-1, 64] (3 + 2 Sin[Rational[3, 14] Pi])^2)}, {
         Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 14] Pi] + 
           Sin[Rational[1, 7] Pi]), 
          Rational[1, 2] ((-2) Cos[Rational[1, 7] Pi] + 
           Rational[-1, 2] Sin[Rational[1, 14] Pi])}}, {{
         1.0351247395327647`, -0.23626046697815725`}, {
         0, -1.0885719035311525`*^-17}, {
         0.46067384760423497`, -0.9565991013914977}}]], 
      PolygonBox[
       NCache[{{
         Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 14] Pi] + 
           Sin[Rational[1, 7] Pi]), 
          Rational[1, 2] ((-2) Cos[Rational[1, 7] Pi] + 
           Rational[-1, 2] Sin[Rational[1, 14] Pi])}, {
         4 (Rational[5, 16] Sin[Rational[1, 7] Pi] + 
           Rational[1, 16] (Rational[1, 2] Cos[Rational[1, 14] Pi] + 
             Rational[1, 2] Sin[Rational[1, 7] Pi] + 
             Rational[1, 2] (Cos[Rational[1, 14] Pi] + 
               Sin[Rational[1, 7] Pi]))), 
          4 (Rational[-5, 16] Cos[Rational[1, 7] Pi] + 
           Rational[1, 16] (Rational[-5, 2] Cos[Rational[1, 7] Pi] + 
             Rational[1, 2] (-Cos[Rational[1, 7] Pi] - Sin[
               Rational[1, 14] Pi]) + 
             Rational[-1, 2] Sin[Rational[1, 14] Pi]))}, {
         Rational[1, 2] (Rational[3, 2] Cos[Rational[1, 14] Pi] + 
           Rational[3, 2] Sin[Rational[1, 7] Pi] + 
           Rational[1, 2] (Cos[Rational[1, 14] Pi] + Sin[Rational[1, 7] Pi])),
           Rational[1, 2] (Rational[-3, 2] Cos[Rational[1, 7] Pi] + 
           Rational[1, 2] (-Cos[Rational[1, 7] Pi] - Sin[Rational[1, 14] Pi]) + 
           Rational[-3, 2] Sin[Rational[1, 14] Pi])}}, {{
        0.46067384760423497`, -0.9565991013914977}, {
        0.8945575867217932, -1.857567969293917}, {
        1.4088116512993818`, -1.1234898018587336`}}]], 
      PolygonBox[
       NCache[{{
         Rational[1, 2] (Rational[3, 2] Cos[Rational[1, 14] Pi] + 
           Rational[1, 2] Cos[Rational[3, 14] Pi] + 
           Rational[1, 2] Sin[Rational[1, 7] Pi]), 
          Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 7] Pi] + 
           Rational[-3, 2] Sin[Rational[1, 14] Pi] + 
           Rational[1, 2] Sin[Rational[3, 14] Pi])}, {
         Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 14] Pi] + 
           Sin[Rational[1, 7] Pi]), 
          Rational[1, 2] ((-2) Cos[Rational[1, 7] Pi] + 
           Rational[-1, 2] Sin[Rational[1, 14] Pi])}, {
         Rational[1, 2] (Rational[3, 2] Cos[Rational[1, 14] Pi] + 
           Rational[3, 2] Sin[Rational[1, 7] Pi] + 
           Rational[1, 2] (Cos[Rational[1, 14] Pi] + Sin[Rational[1, 7] Pi])),
           Rational[1, 2] (Rational[-3, 2] Cos[Rational[1, 7] Pi] + 
           Rational[1, 2] (-Cos[Rational[1, 7] Pi] - Sin[Rational[1, 14] Pi]) + 
           Rational[-3, 2] Sin[Rational[1, 14] Pi])}}, {{
        1.0351247395327647`, -0.23626046697815725`}, {
        0.46067384760423497`, -0.9565991013914977}, {
        1.4088116512993818`, -1.1234898018587336`}}]], 
      PolygonBox[
       NCache[{{
         Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 14] Pi] + 
           Rational[3, 2] Cos[Rational[3, 14] Pi]), 
          Rational[1, 2] (Rational[1, 2] + 
           Rational[-1, 2] Sin[Rational[1, 14] Pi] + 
           Rational[3, 2] Sin[Rational[3, 14] Pi])}, {
         0, (Rational[4, 7] (Rational[1, 2] - Cos[Rational[1, 7] Pi] - Sin[
            Rational[1, 14] Pi] + Sin[Rational[3, 14] Pi])) (Rational[5, 8] + 
           Rational[-1, 64] (3 + 2 Sin[Rational[3, 14] Pi])^2)}, {
         Rational[1, 2] (Rational[3, 2] Cos[Rational[1, 14] Pi] + 
           Rational[1, 2] Cos[Rational[3, 14] Pi] + 
           Rational[1, 2] Sin[Rational[1, 7] Pi]), 
          Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 7] Pi] + 
           Rational[-3, 2] Sin[Rational[1, 14] Pi] + 
           Rational[1, 2] Sin[Rational[3, 14] Pi])}}, {{0.8301055898964782, 
         0.6619871179049716}, {0, -1.0885719035311525`*^-17}, {
         1.0351247395327647`, -0.23626046697815725`}}]], 
      PolygonBox[
       NCache[{{
         0, Rational[1, 2] (Rational[3, 2] + Sin[Rational[3, 14] Pi])}, {
         0, (Rational[4, 7] (Rational[1, 2] - Cos[Rational[1, 7] Pi] - Sin[
            Rational[1, 14] Pi] + Sin[Rational[3, 14] Pi])) (Rational[5, 8] + 
           Rational[-1, 64] (3 + 2 Sin[Rational[3, 14] Pi])^2)}, {
         Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 14] Pi] + 
           Rational[3, 2] Cos[Rational[3, 14] Pi]), 
          Rational[1, 2] (Rational[1, 2] + 
           Rational[-1, 2] Sin[Rational[1, 14] Pi] + 
           Rational[3, 2] Sin[Rational[3, 14] Pi])}}, {{
         0, 1.0617449009293667`}, {0, -1.0885719035311525`*^-17}, {
         0.8301055898964782, 0.6619871179049716}}]], 
      PolygonBox[
       NCache[{{
         Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 14] Pi] + 
           Rational[-3, 2] Cos[Rational[3, 14] Pi]), 
          Rational[1, 2] (Rational[1, 2] + 
           Rational[-1, 2] Sin[Rational[1, 14] Pi] + 
           Rational[3, 2] Sin[Rational[3, 14] Pi])}, {
         0, (Rational[4, 7] (Rational[1, 2] - Cos[Rational[1, 7] Pi] - Sin[
            Rational[1, 14] Pi] + Sin[Rational[3, 14] Pi])) (Rational[5, 8] + 
           Rational[-1, 64] (3 + 2 Sin[Rational[3, 14] Pi])^2)}, {
         0, Rational[1, 2] (Rational[3, 2] + 
           Sin[Rational[3, 14] Pi])}}, {{-0.8301055898964782, 
         0.6619871179049716}, {0, -1.0885719035311525`*^-17}, {
         0, 1.0617449009293667`}}]], 
      PolygonBox[
       NCache[{{
         Rational[1, 2] (Rational[-3, 2] Cos[Rational[1, 14] Pi] + 
           Rational[-1, 2] Cos[Rational[3, 14] Pi] + 
           Rational[-1, 2] Sin[Rational[1, 7] Pi]), 
          Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 7] Pi] + 
           Rational[-3, 2] Sin[Rational[1, 14] Pi] + 
           Rational[1, 2] Sin[Rational[3, 14] Pi])}, {
         0, (Rational[4, 7] (Rational[1, 2] - Cos[Rational[1, 7] Pi] - Sin[
            Rational[1, 14] Pi] + Sin[Rational[3, 14] Pi])) (Rational[5, 8] + 
           Rational[-1, 64] (3 + 2 Sin[Rational[3, 14] Pi])^2)}, {
         Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 14] Pi] + 
           Rational[-3, 2] Cos[Rational[3, 14] Pi]), 
          Rational[1, 2] (Rational[1, 2] + 
           Rational[-1, 2] Sin[Rational[1, 14] Pi] + 
           Rational[3, 2] 
            Sin[Rational[3, 14] 
              Pi])}}, {{-1.0351247395327647`, -0.23626046697815725`}, {
         0, -1.0885719035311525`*^-17}, {-0.8301055898964782, 
         0.6619871179049716}}]], 
      PolygonBox[
       NCache[{{
         Rational[1, 2] (Rational[-3, 2] Cos[Rational[1, 14] Pi] + 
           Rational[1, 2] (-Cos[Rational[1, 14] Pi] - Sin[Rational[1, 7] Pi]) + 
           Rational[-3, 2] Sin[Rational[1, 7] Pi]), 
          Rational[1, 2] (Rational[-3, 2] Cos[Rational[1, 7] Pi] + 
           Rational[1, 2] (-Cos[Rational[1, 7] Pi] - Sin[Rational[1, 14] Pi]) + 
           Rational[-3, 2] Sin[Rational[1, 14] Pi])}, {
         4 (Rational[1, 16] (Rational[-1, 2] Cos[Rational[1, 14] Pi] + 
             Rational[1, 2] (-Cos[Rational[1, 14] Pi] - Sin[
               Rational[1, 7] Pi]) + Rational[-1, 2] Sin[Rational[1, 7] Pi]) + 
           Rational[-5, 16] Sin[Rational[1, 7] Pi]), 
          4 (Rational[-5, 16] Cos[Rational[1, 7] Pi] + 
           Rational[1, 16] (Rational[-5, 2] Cos[Rational[1, 7] Pi] + 
             Rational[1, 2] (-Cos[Rational[1, 7] Pi] - Sin[
               Rational[1, 14] Pi]) + 
             Rational[-1, 2] Sin[Rational[1, 14] Pi]))}, {
         Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 14] Pi] - Sin[
           Rational[1, 7] Pi]), 
          Rational[1, 2] ((-2) Cos[Rational[1, 7] Pi] + 
           Rational[-1, 2] 
            Sin[Rational[1, 14] 
              Pi])}}, {{-1.4088116512993818`, -1.1234898018587336`}, \
{-0.8945575867217932, -1.857567969293917}, {-0.46067384760423497`, \
-0.9565991013914977}}]], 
      PolygonBox[
       NCache[{{
         Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 14] Pi] - Sin[
           Rational[1, 7] Pi]), 
          Rational[1, 2] ((-2) Cos[Rational[1, 7] Pi] + 
           Rational[-1, 2] Sin[Rational[1, 14] Pi])}, {
         0, (Rational[4, 7] (Rational[1, 2] - Cos[Rational[1, 7] Pi] - Sin[
            Rational[1, 14] Pi] + Sin[Rational[3, 14] Pi])) (Rational[5, 8] + 
           Rational[-1, 64] (3 + 2 Sin[Rational[3, 14] Pi])^2)}, {
         Rational[1, 2] (Rational[-3, 2] Cos[Rational[1, 14] Pi] + 
           Rational[-1, 2] Cos[Rational[3, 14] Pi] + 
           Rational[-1, 2] Sin[Rational[1, 7] Pi]), 
          Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 7] Pi] + 
           Rational[-3, 2] Sin[Rational[1, 14] Pi] + 
           Rational[1, 2] 
            Sin[Rational[3, 14] 
              Pi])}}, {{-0.46067384760423497`, -0.9565991013914977}, {
         0, -1.0885719035311525`*^-17}, {-1.0351247395327647`, \
-0.23626046697815725`}}]], 
      PolygonBox[
       NCache[{{
         Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 14] Pi] - Sin[
           Rational[1, 7] Pi]), 
          Rational[1, 2] ((-2) Cos[Rational[1, 7] Pi] + 
           Rational[-1, 2] Sin[Rational[1, 14] Pi])}, {
         Rational[1, 2] (Rational[-3, 2] Cos[Rational[1, 14] Pi] + 
           Rational[-1, 2] Cos[Rational[3, 14] Pi] + 
           Rational[-1, 2] Sin[Rational[1, 7] Pi]), 
          Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 7] Pi] + 
           Rational[-3, 2] Sin[Rational[1, 14] Pi] + 
           Rational[1, 2] Sin[Rational[3, 14] Pi])}, {
         Rational[1, 2] (Rational[-3, 2] Cos[Rational[1, 14] Pi] + 
           Rational[1, 2] (-Cos[Rational[1, 14] Pi] - Sin[Rational[1, 7] Pi]) + 
           Rational[-3, 2] Sin[Rational[1, 7] Pi]), 
          Rational[1, 2] (Rational[-3, 2] Cos[Rational[1, 7] Pi] + 
           Rational[1, 2] (-Cos[Rational[1, 7] Pi] - Sin[Rational[1, 14] Pi]) + 
           Rational[-3, 2] 
            Sin[Rational[1, 14] 
              Pi])}}, {{-0.46067384760423497`, -0.9565991013914977}, \
{-1.0351247395327647`, -0.23626046697815725`}, {-1.4088116512993818`, \
-1.1234898018587336`}}]]}, 
     {RGBColor[1, 0, 0], EdgeForm[Dashing[{Small, Small}]], 
      PolygonBox[
       NCache[{{
         Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 14] Pi] + 
           Sin[Rational[1, 7] Pi]), 
          Rational[1, 2] ((-2) Cos[Rational[1, 7] Pi] + 
           Rational[-1, 2] Sin[Rational[1, 14] Pi])}, {
         0, (Rational[4, 7] (Rational[1, 2] - Cos[Rational[1, 7] Pi] - Sin[
            Rational[1, 14] Pi] + Sin[Rational[3, 14] Pi])) (Rational[5, 8] + 
           Rational[-1, 64] (3 + 2 Sin[Rational[3, 14] Pi])^2)}, {
         Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 14] Pi] - Sin[
           Rational[1, 7] Pi]), 
          Rational[1, 2] ((-2) Cos[Rational[1, 7] Pi] + 
           Rational[-1, 2] Sin[Rational[1, 14] Pi])}}, {{
         0.46067384760423497`, -0.9565991013914977}, {
         0, -1.0885719035311525`*^-17}, {-0.46067384760423497`, \
-0.9565991013914977}}]]}}, 
    {RGBColor[1, 0, 0], Opacity[0.5], 
     PolygonBox[
      NCache[{{Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 14] Pi] + 
          Sin[Rational[1, 7] Pi]), 
         Rational[1, 2] ((-2) Cos[Rational[1, 7] Pi] + 
          Rational[-1, 2] Sin[Rational[1, 14] Pi])}, {
        0, (Rational[4, 7] (Rational[1, 2] - Cos[Rational[1, 7] Pi] - Sin[
           Rational[1, 14] Pi] + Sin[Rational[3, 14] Pi])) (Rational[5, 8] + 
          Rational[-1, 64] (3 + 2 Sin[Rational[3, 14] Pi])^2)}, {
        Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 14] Pi] - Sin[
          Rational[1, 7] Pi]), 
         Rational[1, 2] ((-2) Cos[Rational[1, 7] Pi] + 
          Rational[-1, 2] Sin[Rational[1, 14] Pi])}}, {{
        0.46067384760423497`, -0.9565991013914977}, {
        0, -1.0885719035311525`*^-17}, {-0.46067384760423497`, \
-0.9565991013914977}}]]}, 
    {RGBColor[0, 1, 0], EdgeForm[RGBColor[0, 0, 1]], 
     DiskBox[NCache[{
       4 (Rational[1, 16] (Rational[-1, 2] Cos[Rational[1, 14] Pi] + 
           Rational[1, 2] (-Cos[Rational[1, 14] Pi] - Sin[Rational[1, 7] Pi]) + 
           Rational[-1, 2] Sin[Rational[1, 7] Pi]) + 
         Rational[-5, 16] Sin[Rational[1, 7] Pi]), 
        4 (Rational[-5, 16] Cos[Rational[1, 7] Pi] + 
         Rational[1, 16] (Rational[-5, 2] Cos[Rational[1, 7] Pi] + 
           Rational[1, 2] (-Cos[Rational[1, 7] Pi] - Sin[Rational[1, 14] Pi]) + 
           Rational[-1, 2] 
            Sin[Rational[1, 14] 
              Pi]))}, {-0.8945575867217932, -1.857567969293917}], 0.04], 
     DiskBox[NCache[{0, (-2) Cos[Rational[1, 7] Pi]}, {
       0, -1.8019377358048383`}], 0.04], 
     DiskBox[NCache[{
       4 (Rational[5, 16] Sin[Rational[1, 7] Pi] + 
         Rational[1, 16] (Rational[1, 2] Cos[Rational[1, 14] Pi] + 
           Rational[1, 2] Sin[Rational[1, 7] Pi] + 
           Rational[1, 2] (Cos[Rational[1, 14] Pi] + 
             Sin[Rational[1, 7] Pi]))), 
        4 (Rational[-5, 16] Cos[Rational[1, 7] Pi] + 
         Rational[1, 16] (Rational[-5, 2] Cos[Rational[1, 7] Pi] + 
           Rational[1, 2] (-Cos[Rational[1, 7] Pi] - Sin[Rational[1, 14] Pi]) + 
           Rational[-1, 2] Sin[Rational[1, 14] Pi]))}, {
       0.8945575867217932, -1.857567969293917}], 0.04], 
     DiskBox[NCache[{
       Rational[1, 2] (Rational[-3, 2] Cos[Rational[1, 14] Pi] + 
         Rational[1, 2] (-Cos[Rational[1, 14] Pi] - Sin[Rational[1, 7] Pi]) + 
         Rational[-3, 2] Sin[Rational[1, 7] Pi]), 
        Rational[1, 2] (Rational[-3, 2] Cos[Rational[1, 7] Pi] + 
         Rational[1, 2] (-Cos[Rational[1, 7] Pi] - Sin[Rational[1, 14] Pi]) + 
         Rational[-3, 2] 
          Sin[Rational[1, 14] 
            Pi])}, {-1.4088116512993818`, -1.1234898018587336`}], 0.04], 
     DiskBox[NCache[{
       Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 14] Pi] - Sin[
         Rational[1, 7] Pi]), 
        Rational[1, 2] ((-2) Cos[Rational[1, 7] Pi] + 
         Rational[-1, 2] 
          Sin[Rational[1, 14] 
            Pi])}, {-0.46067384760423497`, -0.9565991013914977}], 0.04], 
     DiskBox[NCache[{
       Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 14] Pi] + 
         Sin[Rational[1, 7] Pi]), 
        Rational[1, 2] ((-2) Cos[Rational[1, 7] Pi] + 
         Rational[-1, 2] Sin[Rational[1, 14] Pi])}, {
       0.46067384760423497`, -0.9565991013914977}], 0.04], 
     DiskBox[NCache[{
       Rational[1, 2] (Rational[3, 2] Cos[Rational[1, 14] Pi] + 
         Rational[3, 2] Sin[Rational[1, 7] Pi] + 
         Rational[1, 2] (Cos[Rational[1, 14] Pi] + Sin[Rational[1, 7] Pi])), 
        Rational[1, 2] (Rational[-3, 2] Cos[Rational[1, 7] Pi] + 
         Rational[1, 2] (-Cos[Rational[1, 7] Pi] - Sin[Rational[1, 14] Pi]) + 
         Rational[-3, 2] Sin[Rational[1, 14] Pi])}, {
       1.4088116512993818`, -1.1234898018587336`}], 0.04], 
     DiskBox[NCache[{
       Rational[1, 2] (Rational[-3, 2] Cos[Rational[1, 14] Pi] + 
         Rational[-1, 2] Cos[Rational[3, 14] Pi] + 
         Rational[-1, 2] Sin[Rational[1, 7] Pi]), 
        Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 7] Pi] + 
         Rational[-3, 2] Sin[Rational[1, 14] Pi] + 
         Rational[1, 2] 
          Sin[
           Rational[3, 14] 
            Pi])}, {-1.0351247395327647`, -0.23626046697815725`}], 0.04], 
     DiskBox[NCache[{
       0, (Rational[4, 7] (Rational[1, 2] - Cos[Rational[1, 7] Pi] - Sin[
          Rational[1, 14] Pi] + Sin[Rational[3, 14] Pi])) (Rational[5, 8] + 
         Rational[-1, 64] (3 + 2 Sin[Rational[3, 14] Pi])^2)}, {
       0, -1.0885719035311525`*^-17}], 0.04], 
     DiskBox[NCache[{
       Rational[1, 2] (Rational[3, 2] Cos[Rational[1, 14] Pi] + 
         Rational[1, 2] Cos[Rational[3, 14] Pi] + 
         Rational[1, 2] Sin[Rational[1, 7] Pi]), 
        Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 7] Pi] + 
         Rational[-3, 2] Sin[Rational[1, 14] Pi] + 
         Rational[1, 2] Sin[Rational[3, 14] Pi])}, {
       1.0351247395327647`, -0.23626046697815725`}], 0.04], 
     DiskBox[NCache[{
       Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 14] Pi] + 
         Rational[-3, 2] Cos[Rational[3, 14] Pi]), 
        Rational[1, 2] (Rational[1, 2] + 
         Rational[-1, 2] Sin[Rational[1, 14] Pi] + 
         Rational[3, 2] Sin[Rational[3, 14] Pi])}, {-0.8301055898964782, 
       0.6619871179049716}], 0.04], 
     DiskBox[NCache[{
       0, Rational[1, 2] (Rational[3, 2] + Sin[Rational[3, 14] Pi])}, {
       0, 1.0617449009293667`}], 0.04], 
     DiskBox[NCache[{
       Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 14] Pi] + 
         Rational[3, 2] Cos[Rational[3, 14] Pi]), 
        Rational[1, 2] (Rational[1, 2] + 
         Rational[-1, 2] Sin[Rational[1, 14] Pi] + 
         Rational[3, 2] Sin[Rational[3, 14] Pi])}, {0.8301055898964782, 
       0.6619871179049716}], 0.04]}},
   Axes->False,
   ImageSize->130], "  ", 
  GraphicsBox[{
    {GrayLevel[0.5], 
     LineBox[NCache[{{0, (-2) Cos[Rational[1, 8] Pi]}, {
        4 (Rational[5, 16] Sin[Rational[1, 8] Pi] + 
          Rational[1, 16] (Rational[1, 2] Cos[Rational[1, 8] Pi] + 
            Rational[1, 2] Sin[Rational[1, 8] Pi] + 
            Rational[1, 2] (Cos[Rational[1, 8] Pi] + 
              Sin[Rational[1, 8] Pi]))), 
         4 (Rational[-5, 16] Cos[Rational[1, 8] Pi] + 
          Rational[1, 16] (Rational[-5, 2] Cos[Rational[1, 8] Pi] + 
            Rational[1, 2] (-Cos[Rational[1, 8] Pi] - Sin[Rational[1, 8] Pi]) + 
            Rational[-1, 2] Sin[Rational[1, 8] Pi]))}, {
        Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 8] Pi] + 
          Sin[Rational[1, 8] Pi]), 
         Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
          Rational[-1, 2] Sin[Rational[1, 8] Pi])}, {
        0, (-2) Cos[Rational[1, 8] Pi]}}, {{0, -1.8477590650225735`}, {
        0.8049950316754564, -1.9434299231138459`}, {
        0.42231159931036655`, -1.0195503906025591`}, {
        0, -1.8477590650225735`}}]], 
     LineBox[NCache[{{
        Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 8] Pi] + 
          Sin[Rational[1, 8] Pi]), 
         Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
          Rational[-1, 2] Sin[Rational[1, 8] Pi])}, {0, 0}, {
        Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 8] Pi] - Sin[
          Rational[1, 8] Pi]), 
         Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
          Rational[-1, 2] Sin[Rational[1, 8] Pi])}, {
        Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 8] Pi] + 
          Sin[Rational[1, 8] Pi]), 
         Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
          Rational[-1, 2] Sin[Rational[1, 8] Pi])}}, {{
        0.42231159931036655`, -1.0195503906025591`}, {0, 
        0}, {-0.42231159931036655`, -1.0195503906025591`}, {
        0.42231159931036655`, -1.0195503906025591`}}]], 
     LineBox[NCache[{{
        Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 8] Pi] - Sin[
          Rational[1, 8] Pi]), 
         Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
          Rational[-1, 2] Sin[Rational[1, 8] Pi])}, {
        4 (Rational[1, 16] (Rational[-1, 2] Cos[Rational[1, 8] Pi] + 
            Rational[1, 2] (-Cos[Rational[1, 8] Pi] - Sin[Rational[1, 8] Pi]) + 
            Rational[-1, 2] Sin[Rational[1, 8] Pi]) + 
          Rational[-5, 16] Sin[Rational[1, 8] Pi]), 
         4 (Rational[-5, 16] Cos[Rational[1, 8] Pi] + 
          Rational[1, 16] (Rational[-5, 2] Cos[Rational[1, 8] Pi] + 
            Rational[1, 2] (-Cos[Rational[1, 8] Pi] - Sin[Rational[1, 8] Pi]) + 
            Rational[-1, 2] Sin[Rational[1, 8] Pi]))}, {
        0, (-2) Cos[Rational[1, 8] Pi]}, {
        Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 8] Pi] - Sin[
          Rational[1, 8] Pi]), 
         Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
          Rational[-1, 2] 
           Sin[Rational[1, 8] 
             Pi])}}, {{-0.42231159931036655`, -1.0195503906025591`}, \
{-0.8049950316754564, -1.9434299231138459`}, {
        0, -1.8477590650225735`}, {-0.42231159931036655`, \
-1.0195503906025591`}}]], 
     LineBox[NCache[{{
        Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 8] Pi] + 
          Sin[Rational[1, 8] Pi]), 
         Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
          Rational[-1, 2] Sin[Rational[1, 8] Pi])}, {
        Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 8] Pi] - Sin[
          Rational[1, 8] Pi]), 
         Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
          Rational[-1, 2] Sin[Rational[1, 8] Pi])}, {
        0, (-2) Cos[Rational[1, 8] Pi]}, {
        Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 8] Pi] + 
          Sin[Rational[1, 8] Pi]), 
         Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
          Rational[-1, 2] Sin[Rational[1, 8] Pi])}}, {{
        0.42231159931036655`, -1.0195503906025591`}, {-0.42231159931036655`, \
-1.0195503906025591`}, {0, -1.8477590650225735`}, {
        0.42231159931036655`, -1.0195503906025591`}}]], 
     LineBox[NCache[{{
        Rational[1, 2] (2 Cos[Rational[1, 8] Pi] + 
          Rational[1, 2] Sin[Rational[1, 8] Pi]), 
         Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 8] Pi] - Sin[
          Rational[1, 8] Pi])}, {0, 0}, {
        Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 8] Pi] + 
          Sin[Rational[1, 8] Pi]), 
         Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
          Rational[-1, 2] Sin[Rational[1, 8] Pi])}, {
        Rational[1, 2] (2 Cos[Rational[1, 8] Pi] + 
          Rational[1, 2] Sin[Rational[1, 8] Pi]), 
         Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 8] Pi] - Sin[
          Rational[1, 8] Pi])}}, {{
        1.0195503906025591`, -0.42231159931036655`}, {0, 0}, {
        0.42231159931036655`, -1.0195503906025591`}, {
        1.0195503906025591`, -0.42231159931036655`}}]], 
     LineBox[NCache[{{
        Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 8] Pi] + 
          Sin[Rational[1, 8] Pi]), 
         Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
          Rational[-1, 2] Sin[Rational[1, 8] Pi])}, {
        4 (Rational[5, 16] Sin[Rational[1, 8] Pi] + 
          Rational[1, 16] (Rational[1, 2] Cos[Rational[1, 8] Pi] + 
            Rational[1, 2] Sin[Rational[1, 8] Pi] + 
            Rational[1, 2] (Cos[Rational[1, 8] Pi] + 
              Sin[Rational[1, 8] Pi]))), 
         4 (Rational[-5, 16] Cos[Rational[1, 8] Pi] + 
          Rational[1, 16] (Rational[-5, 2] Cos[Rational[1, 8] Pi] + 
            Rational[1, 2] (-Cos[Rational[1, 8] Pi] - Sin[Rational[1, 8] Pi]) + 
            Rational[-1, 2] Sin[Rational[1, 8] Pi]))}, {
        Rational[1, 2] (Rational[3, 2] Cos[Rational[1, 8] Pi] + 
          Rational[3, 2] Sin[Rational[1, 8] Pi] + 
          Rational[1, 2] (Cos[Rational[1, 8] Pi] + Sin[Rational[1, 8] Pi])), 
         Rational[1, 2] (Rational[-3, 2] Cos[Rational[1, 8] Pi] + 
          Rational[1, 2] (-Cos[Rational[1, 8] Pi] - Sin[Rational[1, 8] Pi]) + 
          Rational[-3, 2] Sin[Rational[1, 8] Pi])}, {
        Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 8] Pi] + 
          Sin[Rational[1, 8] Pi]), 
         Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
          Rational[-1, 2] Sin[Rational[1, 8] Pi])}}, {{
       0.42231159931036655`, -1.0195503906025591`}, {
       0.8049950316754564, -1.9434299231138459`}, {
       1.3065629648763766`, -1.3065629648763766`}, {
       0.42231159931036655`, -1.0195503906025591`}}]], 
     LineBox[NCache[{{
        Rational[1, 2] (2 Cos[Rational[1, 8] Pi] + 
          Rational[1, 2] Sin[Rational[1, 8] Pi]), 
         Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 8] Pi] - Sin[
          Rational[1, 8] Pi])}, {
        Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 8] Pi] + 
          Sin[Rational[1, 8] Pi]), 
         Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
          Rational[-1, 2] Sin[Rational[1, 8] Pi])}, {
        Rational[1, 2] (Rational[3, 2] Cos[Rational[1, 8] Pi] + 
          Rational[3, 2] Sin[Rational[1, 8] Pi] + 
          Rational[1, 2] (Cos[Rational[1, 8] Pi] + Sin[Rational[1, 8] Pi])), 
         Rational[1, 2] (Rational[-3, 2] Cos[Rational[1, 8] Pi] + 
          Rational[1, 2] (-Cos[Rational[1, 8] Pi] - Sin[Rational[1, 8] Pi]) + 
          Rational[-3, 2] Sin[Rational[1, 8] Pi])}, {
        Rational[1, 2] (2 Cos[Rational[1, 8] Pi] + 
          Rational[1, 2] Sin[Rational[1, 8] Pi]), 
         Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 8] Pi] - Sin[
          Rational[1, 8] Pi])}}, {{
       1.0195503906025591`, -0.42231159931036655`}, {
       0.42231159931036655`, -1.0195503906025591`}, {
       1.3065629648763766`, -1.3065629648763766`}, {
       1.0195503906025591`, -0.42231159931036655`}}]], 
     LineBox[NCache[{{
        Rational[1, 2] (2 Cos[Rational[1, 8] Pi] + 
          Rational[1, 2] Sin[Rational[1, 8] Pi]), 
         Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 8] Pi] + 
          Sin[Rational[1, 8] Pi])}, {0, 0}, {
        Rational[1, 2] (2 Cos[Rational[1, 8] Pi] + 
          Rational[1, 2] Sin[Rational[1, 8] Pi]), 
         Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 8] Pi] - Sin[
          Rational[1, 8] Pi])}, {
        Rational[1, 2] (2 Cos[Rational[1, 8] Pi] + 
          Rational[1, 2] Sin[Rational[1, 8] Pi]), 
         Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 8] Pi] + 
          Sin[Rational[1, 8] Pi])}}, {{1.0195503906025591`, 
        0.42231159931036655`}, {0, 0}, {
        1.0195503906025591`, -0.42231159931036655`}, {1.0195503906025591`, 
        0.42231159931036655`}}]], 
     LineBox[NCache[{{
        Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 8] Pi] + 
          Sin[Rational[1, 8] Pi]), 
         Rational[1, 2] (2 Cos[Rational[1, 8] Pi] + 
          Rational[1, 2] Sin[Rational[1, 8] Pi])}, {0, 0}, {
        Rational[1, 2] (2 Cos[Rational[1, 8] Pi] + 
          Rational[1, 2] Sin[Rational[1, 8] Pi]), 
         Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 8] Pi] + 
          Sin[Rational[1, 8] Pi])}, {
        Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 8] Pi] + 
          Sin[Rational[1, 8] Pi]), 
         Rational[1, 2] (2 Cos[Rational[1, 8] Pi] + 
          Rational[1, 2] Sin[Rational[1, 8] Pi])}}, {{0.42231159931036655`, 
        1.0195503906025591`}, {0, 0}, {1.0195503906025591`, 
        0.42231159931036655`}, {0.42231159931036655`, 1.0195503906025591`}}]],
      LineBox[NCache[{{
        Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 8] Pi] - Sin[
          Rational[1, 8] Pi]), 
         Rational[1, 2] (2 Cos[Rational[1, 8] Pi] + 
          Rational[1, 2] Sin[Rational[1, 8] Pi])}, {0, 0}, {
        Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 8] Pi] + 
          Sin[Rational[1, 8] Pi]), 
         Rational[1, 2] (2 Cos[Rational[1, 8] Pi] + 
          Rational[1, 2] Sin[Rational[1, 8] Pi])}, {
        Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 8] Pi] - Sin[
          Rational[1, 8] Pi]), 
         Rational[1, 2] (2 Cos[Rational[1, 8] Pi] + 
          Rational[1, 2] Sin[Rational[1, 8] Pi])}}, {{-0.42231159931036655`, 
        1.0195503906025591`}, {0, 0}, {0.42231159931036655`, 
        1.0195503906025591`}, {-0.42231159931036655`, 1.0195503906025591`}}]],
      LineBox[NCache[{{
        Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
          Rational[-1, 2] Sin[Rational[1, 8] Pi]), 
         Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 8] Pi] + 
          Sin[Rational[1, 8] Pi])}, {0, 0}, {
        Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 8] Pi] - Sin[
          Rational[1, 8] Pi]), 
         Rational[1, 2] (2 Cos[Rational[1, 8] Pi] + 
          Rational[1, 2] Sin[Rational[1, 8] Pi])}, {
        Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
          Rational[-1, 2] Sin[Rational[1, 8] Pi]), 
         Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 8] Pi] + 
          Sin[Rational[1, 8] Pi])}}, {{-1.0195503906025591`, 
        0.42231159931036655`}, {0, 0}, {-0.42231159931036655`, 
        1.0195503906025591`}, {-1.0195503906025591`, 0.42231159931036655`}}]],
      LineBox[NCache[{{
        Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
          Rational[-1, 2] Sin[Rational[1, 8] Pi]), 
         Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 8] Pi] - Sin[
          Rational[1, 8] Pi])}, {0, 0}, {
        Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
          Rational[-1, 2] Sin[Rational[1, 8] Pi]), 
         Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 8] Pi] + 
          Sin[Rational[1, 8] Pi])}, {
        Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
          Rational[-1, 2] Sin[Rational[1, 8] Pi]), 
         Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 8] Pi] - Sin[
          Rational[1, 8] 
           Pi])}}, {{-1.0195503906025591`, -0.42231159931036655`}, {0, 
        0}, {-1.0195503906025591`, 
        0.42231159931036655`}, {-1.0195503906025591`, \
-0.42231159931036655`}}]], 
     LineBox[NCache[{{
        Rational[1, 2] (Rational[-3, 2] Cos[Rational[1, 8] Pi] + 
          Rational[1, 2] (-Cos[Rational[1, 8] Pi] - Sin[Rational[1, 8] Pi]) + 
          Rational[-3, 2] Sin[Rational[1, 8] Pi]), 
         Rational[1, 2] (Rational[-3, 2] Cos[Rational[1, 8] Pi] + 
          Rational[1, 2] (-Cos[Rational[1, 8] Pi] - Sin[Rational[1, 8] Pi]) + 
          Rational[-3, 2] Sin[Rational[1, 8] Pi])}, {
        4 (Rational[1, 16] (Rational[-1, 2] Cos[Rational[1, 8] Pi] + 
            Rational[1, 2] (-Cos[Rational[1, 8] Pi] - Sin[Rational[1, 8] Pi]) + 
            Rational[-1, 2] Sin[Rational[1, 8] Pi]) + 
          Rational[-5, 16] Sin[Rational[1, 8] Pi]), 
         4 (Rational[-5, 16] Cos[Rational[1, 8] Pi] + 
          Rational[1, 16] (Rational[-5, 2] Cos[Rational[1, 8] Pi] + 
            Rational[1, 2] (-Cos[Rational[1, 8] Pi] - Sin[Rational[1, 8] Pi]) + 
            Rational[-1, 2] Sin[Rational[1, 8] Pi]))}, {
        Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 8] Pi] - Sin[
          Rational[1, 8] Pi]), 
         Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
          Rational[-1, 2] Sin[Rational[1, 8] Pi])}, {
        Rational[1, 2] (Rational[-3, 2] Cos[Rational[1, 8] Pi] + 
          Rational[1, 2] (-Cos[Rational[1, 8] Pi] - Sin[Rational[1, 8] Pi]) + 
          Rational[-3, 2] Sin[Rational[1, 8] Pi]), 
         Rational[1, 2] (Rational[-3, 2] Cos[Rational[1, 8] Pi] + 
          Rational[1, 2] (-Cos[Rational[1, 8] Pi] - Sin[Rational[1, 8] Pi]) + 
          Rational[-3, 2] 
           Sin[Rational[1, 8] 
             Pi])}}, {{-1.3065629648763766`, -1.3065629648763766`}, \
{-0.8049950316754564, -1.9434299231138459`}, {-0.42231159931036655`, \
-1.0195503906025591`}, {-1.3065629648763766`, -1.3065629648763766`}}]], 
     LineBox[NCache[{{
        Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 8] Pi] - Sin[
          Rational[1, 8] Pi]), 
         Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
          Rational[-1, 2] Sin[Rational[1, 8] Pi])}, {0, 0}, {
        Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
          Rational[-1, 2] Sin[Rational[1, 8] Pi]), 
         Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 8] Pi] - Sin[
          Rational[1, 8] Pi])}, {
        Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 8] Pi] - Sin[
          Rational[1, 8] Pi]), 
         Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
          Rational[-1, 2] 
           Sin[Rational[1, 8] 
             Pi])}}, {{-0.42231159931036655`, -1.0195503906025591`}, {0, 
        0}, {-1.0195503906025591`, -0.42231159931036655`}, \
{-0.42231159931036655`, -1.0195503906025591`}}]], 
     LineBox[NCache[{{
        Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 8] Pi] - Sin[
          Rational[1, 8] Pi]), 
         Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
          Rational[-1, 2] Sin[Rational[1, 8] Pi])}, {
        Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
          Rational[-1, 2] Sin[Rational[1, 8] Pi]), 
         Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 8] Pi] - Sin[
          Rational[1, 8] Pi])}, {
        Rational[1, 2] (Rational[-3, 2] Cos[Rational[1, 8] Pi] + 
          Rational[1, 2] (-Cos[Rational[1, 8] Pi] - Sin[Rational[1, 8] Pi]) + 
          Rational[-3, 2] Sin[Rational[1, 8] Pi]), 
         Rational[1, 2] (Rational[-3, 2] Cos[Rational[1, 8] Pi] + 
          Rational[1, 2] (-Cos[Rational[1, 8] Pi] - Sin[Rational[1, 8] Pi]) + 
          Rational[-3, 2] Sin[Rational[1, 8] Pi])}, {
        Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 8] Pi] - Sin[
          Rational[1, 8] Pi]), 
         Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
          Rational[-1, 2] 
           Sin[Rational[1, 8] 
             Pi])}}, {{-0.42231159931036655`, -1.0195503906025591`}, \
{-1.0195503906025591`, -0.42231159931036655`}, {-1.3065629648763766`, \
-1.3065629648763766`}, {-0.42231159931036655`, -1.0195503906025591`}}]]}, {
     {RGBColor[0.88, 1, 0.88], EdgeForm[Dashing[{Small, Small}]], 
      PolygonBox[
       NCache[{{0, (-2) Cos[Rational[1, 8] Pi]}, {
         4 (Rational[5, 16] Sin[Rational[1, 8] Pi] + 
           Rational[1, 16] (Rational[1, 2] Cos[Rational[1, 8] Pi] + 
             Rational[1, 2] Sin[Rational[1, 8] Pi] + 
             Rational[1, 2] (Cos[Rational[1, 8] Pi] + 
               Sin[Rational[1, 8] Pi]))), 
          4 (Rational[-5, 16] Cos[Rational[1, 8] Pi] + 
           Rational[1, 16] (Rational[-5, 2] Cos[Rational[1, 8] Pi] + 
             Rational[1, 2] (-Cos[Rational[1, 8] Pi] - Sin[
               Rational[1, 8] Pi]) + 
             Rational[-1, 2] Sin[Rational[1, 8] Pi]))}, {
         Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 8] Pi] + 
           Sin[Rational[1, 8] Pi]), 
          Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
           Rational[-1, 2] Sin[Rational[1, 8] Pi])}}, {{
         0, -1.8477590650225735`}, {
         0.8049950316754564, -1.9434299231138459`}, {
         0.42231159931036655`, -1.0195503906025591`}}]], 
      PolygonBox[
       NCache[{{
         Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 8] Pi] + 
           Sin[Rational[1, 8] Pi]), 
          Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
           Rational[-1, 2] Sin[Rational[1, 8] Pi])}, {0, 0}, {
         Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 8] Pi] - Sin[
           Rational[1, 8] Pi]), 
          Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
           Rational[-1, 2] Sin[Rational[1, 8] Pi])}}, {{
         0.42231159931036655`, -1.0195503906025591`}, {0, 
         0}, {-0.42231159931036655`, -1.0195503906025591`}}]], 
      PolygonBox[
       NCache[{{
         Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 8] Pi] - Sin[
           Rational[1, 8] Pi]), 
          Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
           Rational[-1, 2] Sin[Rational[1, 8] Pi])}, {
         4 (Rational[1, 16] (Rational[-1, 2] Cos[Rational[1, 8] Pi] + 
             Rational[1, 2] (-Cos[Rational[1, 8] Pi] - Sin[
               Rational[1, 8] Pi]) + Rational[-1, 2] Sin[Rational[1, 8] Pi]) + 
           Rational[-5, 16] Sin[Rational[1, 8] Pi]), 
          4 (Rational[-5, 16] Cos[Rational[1, 8] Pi] + 
           Rational[1, 16] (Rational[-5, 2] Cos[Rational[1, 8] Pi] + 
             Rational[1, 2] (-Cos[Rational[1, 8] Pi] - Sin[
               Rational[1, 8] Pi]) + 
             Rational[-1, 2] Sin[Rational[1, 8] Pi]))}, {
         0, (-2) Cos[
           Rational[1, 8] 
            Pi]}}, {{-0.42231159931036655`, -1.0195503906025591`}, \
{-0.8049950316754564, -1.9434299231138459`}, {0, -1.8477590650225735`}}]], 
      PolygonBox[
       NCache[{{
         Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 8] Pi] + 
           Sin[Rational[1, 8] Pi]), 
          Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
           Rational[-1, 2] Sin[Rational[1, 8] Pi])}, {
         Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 8] Pi] - Sin[
           Rational[1, 8] Pi]), 
          Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
           Rational[-1, 2] Sin[Rational[1, 8] Pi])}, {
         0, (-2) Cos[Rational[1, 8] Pi]}}, {{
         0.42231159931036655`, -1.0195503906025591`}, {-0.42231159931036655`, \
-1.0195503906025591`}, {0, -1.8477590650225735`}}]], 
      PolygonBox[
       NCache[{{
         Rational[1, 2] (2 Cos[Rational[1, 8] Pi] + 
           Rational[1, 2] Sin[Rational[1, 8] Pi]), 
          Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 8] Pi] - Sin[
           Rational[1, 8] Pi])}, {0, 0}, {
         Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 8] Pi] + 
           Sin[Rational[1, 8] Pi]), 
          Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
           Rational[-1, 2] Sin[Rational[1, 8] Pi])}}, {{
         1.0195503906025591`, -0.42231159931036655`}, {0, 0}, {
         0.42231159931036655`, -1.0195503906025591`}}]], 
      PolygonBox[
       NCache[{{
         Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 8] Pi] + 
           Sin[Rational[1, 8] Pi]), 
          Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
           Rational[-1, 2] Sin[Rational[1, 8] Pi])}, {
         4 (Rational[5, 16] Sin[Rational[1, 8] Pi] + 
           Rational[1, 16] (Rational[1, 2] Cos[Rational[1, 8] Pi] + 
             Rational[1, 2] Sin[Rational[1, 8] Pi] + 
             Rational[1, 2] (Cos[Rational[1, 8] Pi] + 
               Sin[Rational[1, 8] Pi]))), 
          4 (Rational[-5, 16] Cos[Rational[1, 8] Pi] + 
           Rational[1, 16] (Rational[-5, 2] Cos[Rational[1, 8] Pi] + 
             Rational[1, 2] (-Cos[Rational[1, 8] Pi] - Sin[
               Rational[1, 8] Pi]) + 
             Rational[-1, 2] Sin[Rational[1, 8] Pi]))}, {
         Rational[1, 2] (Rational[3, 2] Cos[Rational[1, 8] Pi] + 
           Rational[3, 2] Sin[Rational[1, 8] Pi] + 
           Rational[1, 2] (Cos[Rational[1, 8] Pi] + Sin[Rational[1, 8] Pi])), 
          Rational[1, 2] (Rational[-3, 2] Cos[Rational[1, 8] Pi] + 
           Rational[1, 2] (-Cos[Rational[1, 8] Pi] - Sin[Rational[1, 8] Pi]) + 
           Rational[-3, 2] Sin[Rational[1, 8] Pi])}}, {{
        0.42231159931036655`, -1.0195503906025591`}, {
        0.8049950316754564, -1.9434299231138459`}, {
        1.3065629648763766`, -1.3065629648763766`}}]], 
      PolygonBox[
       NCache[{{
         Rational[1, 2] (2 Cos[Rational[1, 8] Pi] + 
           Rational[1, 2] Sin[Rational[1, 8] Pi]), 
          Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 8] Pi] - Sin[
           Rational[1, 8] Pi])}, {
         Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 8] Pi] + 
           Sin[Rational[1, 8] Pi]), 
          Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
           Rational[-1, 2] Sin[Rational[1, 8] Pi])}, {
         Rational[1, 2] (Rational[3, 2] Cos[Rational[1, 8] Pi] + 
           Rational[3, 2] Sin[Rational[1, 8] Pi] + 
           Rational[1, 2] (Cos[Rational[1, 8] Pi] + Sin[Rational[1, 8] Pi])), 
          Rational[1, 2] (Rational[-3, 2] Cos[Rational[1, 8] Pi] + 
           Rational[1, 2] (-Cos[Rational[1, 8] Pi] - Sin[Rational[1, 8] Pi]) + 
           Rational[-3, 2] Sin[Rational[1, 8] Pi])}}, {{
        1.0195503906025591`, -0.42231159931036655`}, {
        0.42231159931036655`, -1.0195503906025591`}, {
        1.3065629648763766`, -1.3065629648763766`}}]], 
      PolygonBox[
       NCache[{{
         Rational[1, 2] (2 Cos[Rational[1, 8] Pi] + 
           Rational[1, 2] Sin[Rational[1, 8] Pi]), 
          Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 8] Pi] + 
           Sin[Rational[1, 8] Pi])}, {0, 0}, {
         Rational[1, 2] (2 Cos[Rational[1, 8] Pi] + 
           Rational[1, 2] Sin[Rational[1, 8] Pi]), 
          Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 8] Pi] - Sin[
           Rational[1, 8] Pi])}}, {{1.0195503906025591`, 
         0.42231159931036655`}, {0, 0}, {
         1.0195503906025591`, -0.42231159931036655`}}]], 
      PolygonBox[
       NCache[{{
         Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 8] Pi] + 
           Sin[Rational[1, 8] Pi]), 
          Rational[1, 2] (2 Cos[Rational[1, 8] Pi] + 
           Rational[1, 2] Sin[Rational[1, 8] Pi])}, {0, 0}, {
         Rational[1, 2] (2 Cos[Rational[1, 8] Pi] + 
           Rational[1, 2] Sin[Rational[1, 8] Pi]), 
          Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 8] Pi] + 
           Sin[Rational[1, 8] Pi])}}, {{0.42231159931036655`, 
         1.0195503906025591`}, {0, 0}, {1.0195503906025591`, 
         0.42231159931036655`}}]], 
      PolygonBox[
       NCache[{{
         Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 8] Pi] - Sin[
           Rational[1, 8] Pi]), 
          Rational[1, 2] (2 Cos[Rational[1, 8] Pi] + 
           Rational[1, 2] Sin[Rational[1, 8] Pi])}, {0, 0}, {
         Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 8] Pi] + 
           Sin[Rational[1, 8] Pi]), 
          Rational[1, 2] (2 Cos[Rational[1, 8] Pi] + 
           Rational[1, 2] Sin[Rational[1, 8] Pi])}}, {{-0.42231159931036655`, 
         1.0195503906025591`}, {0, 0}, {0.42231159931036655`, 
         1.0195503906025591`}}]], 
      PolygonBox[
       NCache[{{
         Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
           Rational[-1, 2] Sin[Rational[1, 8] Pi]), 
          Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 8] Pi] + 
           Sin[Rational[1, 8] Pi])}, {0, 0}, {
         Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 8] Pi] - Sin[
           Rational[1, 8] Pi]), 
          Rational[1, 2] (2 Cos[Rational[1, 8] Pi] + 
           Rational[1, 2] Sin[Rational[1, 8] Pi])}}, {{-1.0195503906025591`, 
         0.42231159931036655`}, {0, 0}, {-0.42231159931036655`, 
         1.0195503906025591`}}]], 
      PolygonBox[
       NCache[{{
         Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
           Rational[-1, 2] Sin[Rational[1, 8] Pi]), 
          Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 8] Pi] - Sin[
           Rational[1, 8] Pi])}, {0, 0}, {
         Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
           Rational[-1, 2] Sin[Rational[1, 8] Pi]), 
          Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 8] Pi] + 
           Sin[Rational[1, 8] 
             Pi])}}, {{-1.0195503906025591`, -0.42231159931036655`}, {0, 
         0}, {-1.0195503906025591`, 0.42231159931036655`}}]], 
      PolygonBox[
       NCache[{{
         Rational[1, 2] (Rational[-3, 2] Cos[Rational[1, 8] Pi] + 
           Rational[1, 2] (-Cos[Rational[1, 8] Pi] - Sin[Rational[1, 8] Pi]) + 
           Rational[-3, 2] Sin[Rational[1, 8] Pi]), 
          Rational[1, 2] (Rational[-3, 2] Cos[Rational[1, 8] Pi] + 
           Rational[1, 2] (-Cos[Rational[1, 8] Pi] - Sin[Rational[1, 8] Pi]) + 
           Rational[-3, 2] Sin[Rational[1, 8] Pi])}, {
         4 (Rational[1, 16] (Rational[-1, 2] Cos[Rational[1, 8] Pi] + 
             Rational[1, 2] (-Cos[Rational[1, 8] Pi] - Sin[
               Rational[1, 8] Pi]) + Rational[-1, 2] Sin[Rational[1, 8] Pi]) + 
           Rational[-5, 16] Sin[Rational[1, 8] Pi]), 
          4 (Rational[-5, 16] Cos[Rational[1, 8] Pi] + 
           Rational[1, 16] (Rational[-5, 2] Cos[Rational[1, 8] Pi] + 
             Rational[1, 2] (-Cos[Rational[1, 8] Pi] - Sin[
               Rational[1, 8] Pi]) + 
             Rational[-1, 2] Sin[Rational[1, 8] Pi]))}, {
         Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 8] Pi] - Sin[
           Rational[1, 8] Pi]), 
          Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
           Rational[-1, 2] 
            Sin[Rational[1, 8] 
              Pi])}}, {{-1.3065629648763766`, -1.3065629648763766`}, \
{-0.8049950316754564, -1.9434299231138459`}, {-0.42231159931036655`, \
-1.0195503906025591`}}]], 
      PolygonBox[
       NCache[{{
         Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 8] Pi] - Sin[
           Rational[1, 8] Pi]), 
          Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
           Rational[-1, 2] Sin[Rational[1, 8] Pi])}, {0, 0}, {
         Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
           Rational[-1, 2] Sin[Rational[1, 8] Pi]), 
          Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 8] Pi] - Sin[
           Rational[1, 8] 
            Pi])}}, {{-0.42231159931036655`, -1.0195503906025591`}, {0, 
         0}, {-1.0195503906025591`, -0.42231159931036655`}}]], 
      PolygonBox[
       NCache[{{
         Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 8] Pi] - Sin[
           Rational[1, 8] Pi]), 
          Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
           Rational[-1, 2] Sin[Rational[1, 8] Pi])}, {
         Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
           Rational[-1, 2] Sin[Rational[1, 8] Pi]), 
          Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 8] Pi] - Sin[
           Rational[1, 8] Pi])}, {
         Rational[1, 2] (Rational[-3, 2] Cos[Rational[1, 8] Pi] + 
           Rational[1, 2] (-Cos[Rational[1, 8] Pi] - Sin[Rational[1, 8] Pi]) + 
           Rational[-3, 2] Sin[Rational[1, 8] Pi]), 
          Rational[1, 2] (Rational[-3, 2] Cos[Rational[1, 8] Pi] + 
           Rational[1, 2] (-Cos[Rational[1, 8] Pi] - Sin[Rational[1, 8] Pi]) + 
           Rational[-3, 2] 
            Sin[Rational[1, 8] 
              Pi])}}, {{-0.42231159931036655`, -1.0195503906025591`}, \
{-1.0195503906025591`, -0.42231159931036655`}, {-1.3065629648763766`, \
-1.3065629648763766`}}]]}, 
     {RGBColor[1, 0, 0], EdgeForm[Dashing[{Small, Small}]], 
      PolygonBox[
       NCache[{{
         Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 8] Pi] + 
           Sin[Rational[1, 8] Pi]), 
          Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
           Rational[-1, 2] Sin[Rational[1, 8] Pi])}, {0, 0}, {
         Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 8] Pi] - Sin[
           Rational[1, 8] Pi]), 
          Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
           Rational[-1, 2] Sin[Rational[1, 8] Pi])}}, {{
         0.42231159931036655`, -1.0195503906025591`}, {0, 
         0}, {-0.42231159931036655`, -1.0195503906025591`}}]]}}, 
    {RGBColor[1, 0, 0], Opacity[0.5], 
     PolygonBox[
      NCache[{{Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 8] Pi] + 
          Sin[Rational[1, 8] Pi]), 
         Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
          Rational[-1, 2] Sin[Rational[1, 8] Pi])}, {0, 0}, {
        Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 8] Pi] - Sin[
          Rational[1, 8] Pi]), 
         Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
          Rational[-1, 2] Sin[Rational[1, 8] Pi])}}, {{
        0.42231159931036655`, -1.0195503906025591`}, {0, 
        0}, {-0.42231159931036655`, -1.0195503906025591`}}]]}, 
    {RGBColor[0, 1, 0], EdgeForm[RGBColor[0, 0, 1]], 
     DiskBox[NCache[{
       4 (Rational[1, 16] (Rational[-1, 2] Cos[Rational[1, 8] Pi] + 
           Rational[1, 2] (-Cos[Rational[1, 8] Pi] - Sin[Rational[1, 8] Pi]) + 
           Rational[-1, 2] Sin[Rational[1, 8] Pi]) + 
         Rational[-5, 16] Sin[Rational[1, 8] Pi]), 
        4 (Rational[-5, 16] Cos[Rational[1, 8] Pi] + 
         Rational[1, 16] (Rational[-5, 2] Cos[Rational[1, 8] Pi] + 
           Rational[1, 2] (-Cos[Rational[1, 8] Pi] - Sin[Rational[1, 8] Pi]) + 
           Rational[-1, 2] 
            Sin[Rational[1, 8] 
              Pi]))}, {-0.8049950316754564, -1.9434299231138459`}], 0.04], 
     DiskBox[NCache[{0, (-2) Cos[Rational[1, 8] Pi]}, {
       0, -1.8477590650225735`}], 0.04], 
     DiskBox[NCache[{
       4 (Rational[5, 16] Sin[Rational[1, 8] Pi] + 
         Rational[1, 16] (Rational[1, 2] Cos[Rational[1, 8] Pi] + 
           Rational[1, 2] Sin[Rational[1, 8] Pi] + 
           Rational[1, 2] (Cos[Rational[1, 8] Pi] + Sin[Rational[1, 8] Pi]))),
         4 (Rational[-5, 16] Cos[Rational[1, 8] Pi] + 
         Rational[1, 16] (Rational[-5, 2] Cos[Rational[1, 8] Pi] + 
           Rational[1, 2] (-Cos[Rational[1, 8] Pi] - Sin[Rational[1, 8] Pi]) + 
           Rational[-1, 2] Sin[Rational[1, 8] Pi]))}, {
       0.8049950316754564, -1.9434299231138459`}], 0.04], 
     DiskBox[NCache[{
       Rational[1, 2] (Rational[-3, 2] Cos[Rational[1, 8] Pi] + 
         Rational[1, 2] (-Cos[Rational[1, 8] Pi] - Sin[Rational[1, 8] Pi]) + 
         Rational[-3, 2] Sin[Rational[1, 8] Pi]), 
        Rational[1, 2] (Rational[-3, 2] Cos[Rational[1, 8] Pi] + 
         Rational[1, 2] (-Cos[Rational[1, 8] Pi] - Sin[Rational[1, 8] Pi]) + 
         Rational[-3, 2] 
          Sin[Rational[1, 8] 
            Pi])}, {-1.3065629648763766`, -1.3065629648763766`}], 0.04], 
     DiskBox[NCache[{
       Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 8] Pi] - Sin[
         Rational[1, 8] Pi]), 
        Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
         Rational[-1, 2] 
          Sin[Rational[1, 8] 
            Pi])}, {-0.42231159931036655`, -1.0195503906025591`}], 0.04], 
     DiskBox[NCache[{
       Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 8] Pi] + 
         Sin[Rational[1, 8] Pi]), 
        Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
         Rational[-1, 2] Sin[Rational[1, 8] Pi])}, {
       0.42231159931036655`, -1.0195503906025591`}], 0.04], 
     DiskBox[NCache[{
       Rational[1, 2] (Rational[3, 2] Cos[Rational[1, 8] Pi] + 
         Rational[3, 2] Sin[Rational[1, 8] Pi] + 
         Rational[1, 2] (Cos[Rational[1, 8] Pi] + Sin[Rational[1, 8] Pi])), 
        Rational[1, 2] (Rational[-3, 2] Cos[Rational[1, 8] Pi] + 
         Rational[1, 2] (-Cos[Rational[1, 8] Pi] - Sin[Rational[1, 8] Pi]) + 
         Rational[-3, 2] Sin[Rational[1, 8] Pi])}, {
       1.3065629648763766`, -1.3065629648763766`}], 0.04], 
     DiskBox[NCache[{
       Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
         Rational[-1, 2] Sin[Rational[1, 8] Pi]), 
        Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 8] Pi] - Sin[
         Rational[1, 8] Pi])}, {-1.0195503906025591`, -0.42231159931036655`}],
       0.04], DiskBox[{0, 0}, 0.04], 
     DiskBox[NCache[{
       Rational[1, 2] (2 Cos[Rational[1, 8] Pi] + 
         Rational[1, 2] Sin[Rational[1, 8] Pi]), 
        Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 8] Pi] - Sin[
         Rational[1, 8] Pi])}, {1.0195503906025591`, -0.42231159931036655`}], 
      0.04], DiskBox[
      NCache[{Rational[1, 2] ((-2) Cos[Rational[1, 8] Pi] + 
         Rational[-1, 2] Sin[Rational[1, 8] Pi]), 
        Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 8] Pi] + 
         Sin[Rational[1, 8] Pi])}, {-1.0195503906025591`, 
       0.42231159931036655`}], 0.04], 
     DiskBox[NCache[{
       Rational[1, 2] (Rational[-1, 2] Cos[Rational[1, 8] Pi] - Sin[
         Rational[1, 8] Pi]), 
        Rational[1, 2] (2 Cos[Rational[1, 8] Pi] + 
         Rational[1, 2] Sin[Rational[1, 8] Pi])}, {-0.42231159931036655`, 
       1.0195503906025591`}], 0.04], 
     DiskBox[NCache[{
       Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 8] Pi] + 
         Sin[Rational[1, 8] Pi]), 
        Rational[1, 2] (2 Cos[Rational[1, 8] Pi] + 
         Rational[1, 2] Sin[Rational[1, 8] Pi])}, {0.42231159931036655`, 
       1.0195503906025591`}], 0.04], 
     DiskBox[NCache[{
       Rational[1, 2] (2 Cos[Rational[1, 8] Pi] + 
         Rational[1, 2] Sin[Rational[1, 8] Pi]), 
        Rational[1, 2] (Rational[1, 2] Cos[Rational[1, 8] Pi] + 
         Sin[Rational[1, 8] Pi])}, {1.0195503906025591`, 
       0.42231159931036655`}], 0.04]}},
   Axes->False,
   ImageSize->130]}]], "Input",
 CellChangeTimes->{{3.6189045219983463`*^9, 3.6189045299448013`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Index valence 4", "Subsection",
 CellChangeTimes->{{3.616064924059908*^9, 3.6160649296274934`*^9}, {
  3.616626415528028*^9, 3.616626420088289*^9}}],

Cell[BoxData[
 RowBox[{"LoopIndexing", "[", "4", "]"}]], "Input",
 CellChangeTimes->{3.6166259400048294`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Init Calibration", "Subsection",
 CellChangeTimes->{{3.616064924059908*^9, 3.6160649296274934`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"V", ",", "F"}], "}"}], "=", "TetrahedronMesh"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"Vs", ",", "Fs"}], "}"}], "=", 
   RowBox[{"Nest", "[", 
    RowBox[{"LinearSubdivide", ",", 
     RowBox[{"{", 
      RowBox[{"V", ",", "F"}], "}"}], ",", "3"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Vn", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"V", "\[LeftDoubleBracket]", 
      RowBox[{
       RowBox[{"Sort", "[", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"With", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"dif", "=", 
              RowBox[{
               RowBox[{
               "Vs", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
               "-", 
               RowBox[{
               "V", "\[LeftDoubleBracket]", "j", 
                "\[RightDoubleBracket]"}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"N", "[", 
               RowBox[{"dif", ".", "dif"}], "]"}], ",", "j"}], "}"}]}], "]"}],
           ",", 
          RowBox[{"{", 
           RowBox[{"j", ",", 
            RowBox[{"Length", "[", "V", "]"}]}], "}"}]}], "]"}], "]"}], 
       "\[LeftDoubleBracket]", 
       RowBox[{"1", ",", "2"}], "\[RightDoubleBracket]"}], 
      "\[RightDoubleBracket]"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"Length", "[", "Vs", "]"}]}], "}"}]}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.6063783554164915`*^9, 3.606378376046671*^9}, {
   3.6063784103286324`*^9, 3.6063784219932995`*^9}, {3.6065963432043233`*^9, 
   3.6065963435633435`*^9}, 3.6065964385137744`*^9, {3.606725789057846*^9, 
   3.6067258245068736`*^9}, {3.6069297709603915`*^9, 3.606929829292728*^9}, {
   3.606929964858482*^9, 3.6069300225847836`*^9}, 3.6069302678788137`*^9, 
   3.6069304745306334`*^9, 3.606959855502966*^9, 3.6075202939272947`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Mean", "[", 
   RowBox[{
   "TetrahedronMesh", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
   "]"}], "//", "Simplify"}]], "Input",
 CellChangeTimes->{{3.6160649558028955`*^9, 3.616064971778141*^9}}],

Cell[BoxData[
 RowBox[{"LoopVolume", "[", "LoopCalibrationTetrahedron", "]"}]], "Input",
 CellChangeTimes->{{3.616064932190033*^9, 3.616064934797573*^9}}],

Cell[BoxData[
 RowBox[{"PlotMesh", "[", 
  RowBox[{"Nest", "[", 
   RowBox[{"LoopSubdivide", ",", 
    RowBox[{"NumericMesh", "[", "LoopCalibrationTetrahedron", "]"}], ",", 
    "2"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.6160647685625196`*^9, 3.616064775495126*^9}, {
   3.6160648407011275`*^9, 3.616064843831176*^9}, 3.616064916459791*^9, {
   3.616065142830768*^9, 3.616065154213443*^9}}],

Cell[BoxData[{
 RowBox[{"Clear", "[", "PlotMeshIndex", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PlotMeshIndex", "[", 
   RowBox[{"{", 
    RowBox[{"V_", ",", "F_"}], "}"}], "]"}], ":=", 
  RowBox[{"Show", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"PlotMesh", "[", 
      RowBox[{"{", 
       RowBox[{"V", ",", "F"}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Graphics3D", "[", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"k", ",", "Bold", ",", "12"}], "]"}], ",", 
          RowBox[{"V", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}],
           ",", 
          RowBox[{"Background", "\[Rule]", "LightRed"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", 
          RowBox[{"Length", "[", "V", "]"}]}], "}"}]}], "]"}], "]"}]}], "}"}],
    "]"}]}]}], "Input",
 CellChangeTimes->{{3.6097956911824703`*^9, 3.609795795010409*^9}, {
  3.6097958316185026`*^9, 3.6097958512986283`*^9}, {3.6158979338248014`*^9, 
  3.615897949807716*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Rasterize", "[", 
    RowBox[{
     RowBox[{"Show", "[", 
      RowBox[{
       RowBox[{"PlotMesh", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "-", "\[Lambda]"}], ")"}], " ", "Vs"}], "+", 
            RowBox[{"\[Lambda]", " ", "Vn"}]}], ",", "Fs"}], "}"}], "/.", 
         RowBox[{"\[Lambda]", "\[Rule]", "#"}]}], "]"}], ",", 
       RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
       RowBox[{"Axes", "\[Rule]", "False"}], ",", 
       RowBox[{"ImageSize", "\[Rule]", "90"}], ",", 
       RowBox[{"PlotRangePadding", "\[Rule]", "None"}]}], "]"}], ",", 
     RowBox[{"ImageResolution", "\[Rule]", "200"}]}], "]"}], "&"}], "/@", 
  RowBox[{"{", 
   RowBox[{"0", ",", "0.4", ",", "0.7", ",", "1"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.6069302708749847`*^9, 3.606930288889015*^9}, {
   3.6073834103471932`*^9, 3.607383450732814*^9}, {3.6074598024620256`*^9, 
   3.607459883949686*^9}, 3.607460104328291*^9, {3.607550057658789*^9, 
   3.6075501152580833`*^9}, {3.607550218232973*^9, 3.607550245411528*^9}, {
   3.607550281779608*^9, 3.6075502936832886`*^9}, {3.6075504061857233`*^9, 
   3.6075504106909814`*^9}, 3.60755064476937*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Simple test", "Subsection",
 CellChangeTimes->{{3.612176085368616*^9, 3.6121760878417573`*^9}, {
  3.6121771037798653`*^9, 3.612177113539424*^9}, {3.612308589301552*^9, 
  3.6123085894515605`*^9}}],

Cell[BoxData[{
 RowBox[{"PlotMesh", "[", 
  RowBox[{"Nest", "[", 
   RowBox[{"LoopSubdivide", ",", "TetrahedronMesh", ",", "2"}], "]"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"PlotMesh", "[", 
  RowBox[{"Nest", "[", 
   RowBox[{"LoopSubdivide", ",", 
    RowBox[{"DiamondMesh", "[", "5", "]"}], ",", "2"}], "]"}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.6123065846168904`*^9, 3.6123065958625336`*^9}, {
  3.612306825443665*^9, 3.6123068257166805`*^9}}],

Cell[BoxData[
 RowBox[{"LoopVolume", "[", 
  RowBox[{"Nest", "[", 
   RowBox[{"LoopSubdivide", ",", "TetrahedronMesh", ",", "1"}], "]"}], 
  "]"}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Calibration of solution Minimizing # zeros", "Subsection",
 CellChangeTimes->{{3.616066517892889*^9, 3.616066525368004*^9}, {
  3.6161477964933276`*^9, 3.6161477997765155`*^9}}],

Cell[BoxData[{
 RowBox[{"LoopMoment1", "[", 
  RowBox[{"Nest", "[", 
   RowBox[{"LoopSubdivide", ",", "OctahedronPeakMesh", ",", "1"}], "]"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"LoopMoment1", "[", 
  RowBox[{"Nest", "[", 
   RowBox[{"LoopSubdivide", ",", "OctahedronPeakMesh", ",", "2"}], "]"}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.6161478863954697`*^9, 3.616147891274749*^9}, {
  3.616148002442107*^9, 3.616148053634035*^9}, {3.6161482794889536`*^9, 
  3.6161482808330307`*^9}}],

Cell[BoxData[{
 RowBox[{"Dimensions", "[", "sol", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Variables", "[", "sol", "]"}]}], "Input",
 CellChangeTimes->{{3.6160664433292437`*^9, 3.616066452931891*^9}}],

Cell[BoxData[
 RowBox[{"LoopVolume", "[", "LoopCalibrationTetrahedron", "]"}]], "Input",
 CellChangeTimes->{{3.616066407218689*^9, 3.616066416723835*^9}}],

Cell[BoxData[
 RowBox[{"LoopMoment1", "[", "LoopCalibrationTetrahedron", "]"}]], "Input",
 CellChangeTimes->{{3.616066276956688*^9, 3.616066278564213*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"lm1", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{"435891456", " ", 
        SqrtBox["2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"494", " ", 
           SubscriptBox["\[Alpha]", "1"]}], "-", 
          RowBox[{"51", " ", 
           SubscriptBox["\[Alpha]", "2"]}]}], ")"}]}], "81253"]}], ",", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{"145297152", " ", 
        SqrtBox["6"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"494", " ", 
           SubscriptBox["\[Alpha]", "1"]}], "-", 
          RowBox[{"51", " ", 
           SubscriptBox["\[Alpha]", "2"]}]}], ")"}]}], "81253"]}], ",", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{"145297152", " ", 
        SqrtBox["3"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"494", " ", 
           SubscriptBox["\[Alpha]", "1"]}], "-", 
          RowBox[{"51", " ", 
           SubscriptBox["\[Alpha]", "2"]}]}], ")"}]}], "81253"]}]}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.6160667045357556`*^9, 3.6160667074508004`*^9}}],

Cell[BoxData[
 RowBox[{"lcen", "=", 
  RowBox[{"lm1", "/", 
   FractionBox["1", 
    RowBox[{"6", " ", 
     SqrtBox["2"]}]]}]}]], "Input",
 CellChangeTimes->{{3.6160667094683313`*^9, 3.6160667201684957`*^9}}],

Cell["---------------------------", "Text",
 CellChangeTimes->{{3.616066545700816*^9, 3.61606655055589*^9}}],

Cell[BoxData[
 RowBox[{"eqs", "=", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     FractionBox["1", "2"], ",", 
     FractionBox["1", 
      RowBox[{"2", " ", 
       SqrtBox["3"]}]], ",", 
     FractionBox["1", 
      RowBox[{"2", " ", 
       SqrtBox["6"]}]]}], "}"}], "-", "lcen"}]}]], "Input",
 CellChangeTimes->{{3.616065792299244*^9, 3.6160658164721155`*^9}, 
   3.616066531598099*^9, {3.6160667240660553`*^9, 3.616066724491062*^9}}],

Cell[BoxData[
 RowBox[{"sol", "//", "Dimensions"}]], "Input",
 CellChangeTimes->{{3.6160659108110642`*^9, 3.6160659194911976`*^9}}],

Cell[BoxData[
 RowBox[{"alp", "=", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"0", "\[Equal]", "#"}], "&"}], "/@", "eqs"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6160659273863187`*^9, 3.616065928031329*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"frm6done", "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{"sol", "/.", 
     RowBox[{"alp", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
    "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.616065818692149*^9, 3.6160658258372593`*^9}, {
  3.6160658713154573`*^9, 3.6160658717754645`*^9}, {3.616065922301241*^9, 
  3.616065957186776*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"frm6done", ">>", "\"\<LoopMoment1GeneralSolution.mx\>\""}], 
    ";"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"frm6done", "=", 
    RowBox[{"<<", "\"\<LoopMoment1GeneralSolution.mx\>\""}]}], 
   ";"}]}]], "Input",
 CellChangeTimes->{{3.616066843682893*^9, 3.616066851568014*^9}, {
  3.6161478311793118`*^9, 3.616147841625909*^9}}],

Cell[BoxData[{
 RowBox[{"MatrixForm", "/@", 
  RowBox[{
   RowBox[{
   "LoopListMoment1", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
   "\[LeftDoubleBracket]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"5", ",", "7"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"5", ",", "7"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"5", ",", "7"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"5", ",", "7"}], "}"}]}], 
   "\[RightDoubleBracket]"}]}], "\[IndentingNewLine]", 
 RowBox[{"MatrixForm", "/@", 
  RowBox[{
   RowBox[{
   "LoopListMoment1", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
   "\[LeftDoubleBracket]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"6", ",", "7"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"6", ",", "7"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"6", ",", "7"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"6", ",", "7"}], "}"}]}], 
   "\[RightDoubleBracket]"}]}], "\[IndentingNewLine]", 
 RowBox[{"MatrixForm", "/@", 
  RowBox[{
   RowBox[{
   "LoopListMoment1", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
   "\[LeftDoubleBracket]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"5", ",", "6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"5", ",", "6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"5", ",", "6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"5", ",", "6"}], "}"}]}], "\[RightDoubleBracket]"}]}]}], "Input",
 CellChangeTimes->{{3.6163818467566648`*^9, 3.6163818987699633`*^9}, {
  3.6163820097116675`*^9, 3.6163820262544217`*^9}, {3.616382108548186*^9, 
  3.6163822187348785`*^9}}],

Cell[BoxData[{
 RowBox[{"MatrixForm", "/@", 
  RowBox[{"frm6done", "\[LeftDoubleBracket]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"5", ",", "7"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"5", ",", "7"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"5", ",", "7"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"5", ",", "7"}], "}"}]}], 
   "\[RightDoubleBracket]"}]}], "\[IndentingNewLine]", 
 RowBox[{"MatrixForm", "/@", 
  RowBox[{"frm6done", "\[LeftDoubleBracket]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"6", ",", "7"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"6", ",", "7"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"6", ",", "7"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"6", ",", "7"}], "}"}]}], 
   "\[RightDoubleBracket]"}]}], "\[IndentingNewLine]", 
 RowBox[{"MatrixForm", "/@", 
  RowBox[{"frm6done", "\[LeftDoubleBracket]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"5", ",", "6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"5", ",", "6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"5", ",", "6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"5", ",", "6"}], "}"}]}], "\[RightDoubleBracket]"}]}]}], "Input",
 CellChangeTimes->{{3.6163822270125055`*^9, 3.616382232667592*^9}}],

Cell[BoxData[
 RowBox[{"MatrixForm", "/@", 
  RowBox[{"frm6done", "\[LeftDoubleBracket]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"5", ",", "7"}], "}"}], ",", "7"}], 
   "\[RightDoubleBracket]"}]}]], "Input",
 CellChangeTimes->{{3.6163820729151382`*^9, 3.6163820950529785`*^9}}],

Cell[BoxData[
 RowBox[{"MatrixForm", "[", 
  RowBox[{"frm6done", "\[LeftDoubleBracket]", 
   RowBox[{"5", ",", "7", ",", "5", ",", 
    RowBox[{"{", "5", "}"}]}], "\[RightDoubleBracket]"}], "]"}]], "Input",
 CellChangeTimes->{{3.61638179565338*^9, 3.6163818060060387`*^9}, {
  3.6163818810096908`*^9, 3.616381933760501*^9}, {3.6163820176442895`*^9, 
  3.616382031154497*^9}}],

Cell[BoxData[{
 RowBox[{"frm6done", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{"Variables", "[", "frm6done", "]"}]}], "Input",
 CellChangeTimes->{{3.6160667765093613`*^9, 3.6160667832194643`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"mysug", "=", 
   RowBox[{"Select", "[", 
    RowBox[{
     RowBox[{"Union", "@", 
      RowBox[{"Flatten", "@", "frm6done"}]}], ",", 
     RowBox[{
      RowBox[{"0", "<", 
       RowBox[{"Length", "@", 
        RowBox[{"Variables", "[", "#", "]"}]}]}], "&"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.6160670905726852`*^9, 3.6160671668188562`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"cnv", "=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "tmp", "}"}], ",", 
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"tmp", "=", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
           "mysug", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
           ",", 
           RowBox[{"Length", "@", 
            RowBox[{"Tally", "@", 
             RowBox[{"Abs", "@", 
              RowBox[{"Flatten", "[", 
               RowBox[{"frm6done", "/.", 
                RowBox[{
                 RowBox[{"Solve", "[", 
                  RowBox[{
                   RowBox[{
                   "mysug", "\[LeftDoubleBracket]", "k", 
                    "\[RightDoubleBracket]"}], "\[Equal]", "0"}], "]"}], 
                 "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
               "]"}]}]}]}]}], "}"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Print", "[", "tmp", "]"}], ";", "tmp"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", 
         RowBox[{"Length", "[", "mysug", "]"}]}], "}"}]}], "]"}]}], 
    "\[IndentingNewLine]", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.616067004597864*^9, 3.6160670745199385`*^9}, {
  3.6160671707489166`*^9, 3.616067224884748*^9}, {3.6160672715929656`*^9, 
  3.616067301280922*^9}}],

Cell[BoxData[
 RowBox[{"Union", "@", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{"0", "\[Equal]", "#"}], "]"}], "&"}], "/@", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Select", "[", 
       RowBox[{"cnv", ",", 
        RowBox[{
         RowBox[{
          RowBox[{"#", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}],
           "\[Equal]", "736"}], "&"}]}], "]"}], "\[LeftDoubleBracket]", 
      RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}], ")"}]}], 
   ")"}]}]], "Input",
 CellChangeTimes->{{3.6160675691425357`*^9, 3.6160676786442175`*^9}}],

Cell[BoxData[
 RowBox[{"\[NoBreak]", 
  RowBox[{
   RowBox[{
    TagBox[GridBox[{
       {
        RowBox[{
         RowBox[{"-", 
          FractionBox["7688872967", "129198227558400"]}], "-", 
         FractionBox[
          RowBox[{"780517", " ", 
           SubscriptBox["\[Alpha]", "2"]}], "494"]}]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.5599999999999999]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     Column], "\[NoBreak]", "\[Equal]", "0"}], "//", "Solve"}]}]], "Input",
 CellChangeTimes->{{3.616381972868602*^9, 3.616381978428687*^9}, {
  3.616382037267091*^9, 3.6163820399896326`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    FractionBox["7036901", "769037068800"], "-", 
    FractionBox[
     RowBox[{"112829", " ", 
      SubscriptBox["\[Alpha]", "2"]}], "247"]}], "\[Equal]", "0"}], "//", 
  "Solve"}]], "Input",
 CellChangeTimes->{{3.6160669630597267`*^9, 3.616066980672497*^9}}],

Cell[BoxData[
 RowBox[{"MatrixForm", "[", 
  RowBox[{
   RowBox[{"frm6done", "\[LeftDoubleBracket]", 
    RowBox[{"5", ",", "6"}], "\[RightDoubleBracket]"}], "/.", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Alpha]", "2"], "\[Rule]", 
     RowBox[{"-", 
      FractionBox["9851", "261534873600"]}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6160667895445614`*^9, 3.616066808874858*^9}, {
   3.6160668866735535`*^9, 3.616066902488796*^9}, {3.616066941231891*^9, 
   3.616066953202075*^9}, 3.616067832229077*^9}],

Cell[BoxData[
 RowBox[{"Length", "@", 
  RowBox[{"Tally", "@", 
   RowBox[{"Abs", "@", 
    RowBox[{"Flatten", "[", 
     RowBox[{"frm6done", "/.", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Alpha]", "2"], "\[Rule]", 
        RowBox[{"-", 
         FractionBox["9851", "261534873600"]}]}], "}"}]}], 
     "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.6160658637553415`*^9, 3.6160658692204256`*^9}, {
   3.6160659605568285`*^9, 3.616065981732154*^9}, 3.6160669188940477`*^9, {
   3.6160669713348536`*^9, 3.6160669870675955`*^9}, 3.6160676934219446`*^9}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{"Simplify", "[", 
    RowBox[{"frm6done", "/.", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Alpha]", "2"], "\[Rule]", 
       RowBox[{"-", 
        FractionBox["9851", "261534873600"]}]}], "}"}]}], "]"}], ">>", 
   "\"\<LoopMoment1Xalt6.mx\>\""}], "*)"}]], "Input",
 CellChangeTimes->{{3.616066178647678*^9, 3.6160661867478027`*^9}, {
  3.616067706654648*^9, 3.6160677215998774`*^9}, {3.6160678008960953`*^9, 
  3.6160678015911064`*^9}}],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"blub", "=", 
    RowBox[{"<<", "\"\<LoopMoment1Xalt6.mx\>\""}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.616067732347543*^9, 3.6160677416051846`*^9}}],

Cell[BoxData[{
 RowBox[{"blub", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{"blub", "//", "Variables"}], "\[IndentingNewLine]", 
 RowBox[{"Length", "@", 
  RowBox[{"Tally", "@", 
   RowBox[{"Union", "@", 
    RowBox[{"Abs", "@", 
     RowBox[{"Flatten", "@", "blub"}]}]}]}]}]}], "Input",
 CellChangeTimes->{{3.6160677458802505`*^9, 3.61606777122564*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Test Linear Tetra", "Subsection",
 CellChangeTimes->{{3.616067916162866*^9, 3.61606792162045*^9}, {
  3.616069422503016*^9, 3.6160694242955437`*^9}}],

Cell[BoxData[
 RowBox[{"LoopMoment1", "[", "LoopCalibrationTetrahedron", "]"}]], "Input",
 CellChangeTimes->{{3.6160678471943064`*^9, 3.6160678561569443`*^9}, {
  3.616067933110626*^9, 3.61606793529816*^9}}],

Cell[BoxData[
 RowBox[{"LoopVolume", "[", "LoopCalibrationTetrahedron", "]"}]], "Input",
 CellChangeTimes->{{3.6160678588569856`*^9, 3.616067866512103*^9}, 
   3.6160679388682146`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"12", " ", 
      SqrtBox["2"]}]], ",", 
    FractionBox["1", 
     RowBox[{"12", " ", 
      SqrtBox["6"]}]], ",", 
    FractionBox["1", 
     RowBox[{"24", " ", 
      SqrtBox["3"]}]]}], "}"}], "/", 
  FractionBox["1", 
   RowBox[{"6", " ", 
    SqrtBox["2"]}]]}]], "Input",
 CellChangeTimes->{{3.6160679991941414`*^9, 3.6160680017341805`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox["1", "2"], ",", 
   FractionBox["1", 
    RowBox[{"2", " ", 
     SqrtBox["3"]}]], ",", 
   FractionBox["1", 
    RowBox[{"2", " ", 
     SqrtBox["6"]}]]}], "}"}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Test Smooth Tetra", "Subsection",
 CellChangeTimes->{{3.616067916162866*^9, 3.61606792162045*^9}, {
  3.616069428158103*^9, 3.616069429085617*^9}}],

Cell[BoxData[
 RowBox[{"LoopMoment1", "[", 
  RowBox[{"LoopSubdivide", "[", "TetrahedronMesh", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.6160678471943064`*^9, 3.6160678561569443`*^9}}],

Cell[BoxData[
 RowBox[{"LoopVolume", "[", 
  RowBox[{"LoopSubdivide", "[", "TetrahedronMesh", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.6160678588569856`*^9, 3.616067866512103*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    FractionBox["44192429513855101", 
     RowBox[{"13730604750851788800", " ", 
      SqrtBox["2"]}]], ",", 
    FractionBox["44192429513855101", 
     RowBox[{"13730604750851788800", " ", 
      SqrtBox["6"]}]], ",", 
    FractionBox["44192429513855101", 
     RowBox[{"27461209501703577600", " ", 
      SqrtBox["3"]}]]}], "}"}], "/", 
  FractionBox["44192429513855101", 
   RowBox[{"6865302375425894400", " ", 
    SqrtBox["2"]}]]}]], "Input",
 CellChangeTimes->{{3.616067879064796*^9, 3.6160678793823013`*^9}, {
  3.6160687679604626`*^9, 3.6160687706855044`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Test Octahedron", "Subsection",
 CellChangeTimes->{{3.616067916162866*^9, 3.61606792162045*^9}, {
  3.616069442693326*^9, 3.6160694445633545`*^9}}],

Cell[BoxData[
 RowBox[{"mycen", "=", 
  RowBox[{"LoopMoment1", "[", 
   RowBox[{"LoopSubdivide", "[", "OctahedronMesh", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6160678471943064`*^9, 3.6160678561569443`*^9}, {
  3.6160694468233895`*^9, 3.616069457516054*^9}}],

Cell[BoxData[
 RowBox[{"myvol", "=", 
  RowBox[{"LoopVolume", "[", 
   RowBox[{"LoopSubdivide", "[", "OctahedronMesh", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6160678588569856`*^9, 3.616067866512103*^9}, {
  3.6160694520934706`*^9, 3.6160694616161165`*^9}}],

Cell[BoxData[
 RowBox[{"mycen", "/", "myvol"}]], "Input",
 CellChangeTimes->{{3.616067879064796*^9, 3.6160678793823013`*^9}, {
  3.6160687679604626`*^9, 3.6160687706855044`*^9}, {3.6160694641461554`*^9, 
  3.6160694668661976`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Matlab Diamond demo", "Subsection",
 CellChangeTimes->{{3.616067916162866*^9, 3.61606792162045*^9}, {
  3.616069442693326*^9, 3.6160694445633545`*^9}, {3.616213392340947*^9, 
  3.616213396908518*^9}}],

Cell[BoxData[
 RowBox[{"ctr", "=", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"m", "=", 
      RowBox[{"NumericMesh", "[", 
       RowBox[{"DiamondMesh", "[", "8", "]"}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"m", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
       ".", 
       RowBox[{"RotationMatrix", "[", 
        RowBox[{"\[Pi]", ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}]}], ",", 
      RowBox[{"m", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], 
     "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{3.6162140829875555`*^9}],

Cell[BoxData[
 RowBox[{"MatrixForm", "/@", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "0.3826834323650898`"}], ",", "0.9238795325112867`", ",",
         "0.`"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "0.3826834323650898`", ",", "0.9238795325112867`", ",", "0.`"}], "}"}],
       ",", 
      RowBox[{"{", 
       RowBox[{
       "0.9238795325112867`", ",", "0.3826834323650898`", ",", "0.`"}], "}"}],
       ",", 
      RowBox[{"{", 
       RowBox[{"0.9238795325112867`", ",", 
        RowBox[{"-", "0.3826834323650898`"}], ",", "0.`"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0.3826834323650898`", ",", 
        RowBox[{"-", "0.9238795325112867`"}], ",", "0.`"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "0.3826834323650898`"}], ",", 
        RowBox[{"-", "0.9238795325112867`"}], ",", "0.`"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "0.9238795325112867`"}], ",", 
        RowBox[{"-", "0.3826834323650898`"}], ",", "0.`"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "0.9238795325112867`"}], ",", "0.3826834323650898`", ",",
         "0.`"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0.`", ",", "0.`", ",", "1.`"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0.`", ",", "0.`", ",", "0.`"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "2", ",", "10"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"2", ",", "3", ",", "10"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"3", ",", "4", ",", "10"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"4", ",", "5", ",", "10"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "6", ",", "10"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"6", ",", "7", ",", "10"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"7", ",", "8", ",", "10"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"8", ",", "1", ",", "10"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"2", ",", "1", ",", "9"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"3", ",", "2", ",", "9"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"4", ",", "3", ",", "9"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "4", ",", "9"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"6", ",", "5", ",", "9"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"7", ",", "6", ",", "9"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"8", ",", "7", ",", "9"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "8", ",", "9"}], "}"}]}], "}"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.616214090000163*^9, 3.616214091995194*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ctr", "=", 
   RowBox[{"{", 
    RowBox[{
     TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {
          RowBox[{"-", "0.3826834323650898`"}], "0.9238795325112867`", "0.`"},
         {"0.3826834323650898`", "0.9238795325112867`", "0.`"},
         {"0.9238795325112867`", "0.3826834323650898`", "0.`"},
         {"0.9238795325112867`", 
          RowBox[{"-", "0.3826834323650898`"}], "0.`"},
         {"0.3826834323650898`", 
          RowBox[{"-", "0.9238795325112867`"}], "0.`"},
         {
          RowBox[{"-", "0.3826834323650898`"}], 
          RowBox[{"-", "0.9238795325112867`"}], "0.`"},
         {
          RowBox[{"-", "0.9238795325112867`"}], 
          RowBox[{"-", "0.3826834323650898`"}], "0.`"},
         {
          RowBox[{"-", "0.9238795325112867`"}], "0.3826834323650898`", "0.`"},
         {"0.`", "0.`", "2.`"},
         {"0.`", "0.`", "0.`"}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
      Function[BoxForm`e$, 
       MatrixForm[BoxForm`e$]]], ",", 
     TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {"1", "2", "10"},
         {"2", "3", "10"},
         {"3", "4", "10"},
         {"4", "5", "10"},
         {"5", "6", "10"},
         {"6", "7", "10"},
         {"7", "8", "10"},
         {"8", "1", "10"},
         {"2", "1", "9"},
         {"3", "2", "9"},
         {"4", "3", "9"},
         {"5", "4", "9"},
         {"6", "5", "9"},
         {"7", "6", "9"},
         {"8", "7", "9"},
         {"1", "8", "9"}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
      Function[BoxForm`e$, 
       MatrixForm[BoxForm`e$]]]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Norm", "/@", 
  RowBox[{"(", 
   RowBox[{"ctr", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
   ")"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"msh", "=", 
   RowBox[{"LoopSubdivide", "[", "ctr", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"cen", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"LoopMoment1", "[", "msh", "]"}], "/", 
    RowBox[{"LoopVolume", "[", "msh", "]"}]}], "//", 
   "Chop"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ctr", "=", 
   RowBox[{"TranslateMesh", "[", 
    RowBox[{"ctr", ",", 
     RowBox[{"-", "cen"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"msh", "=", 
   RowBox[{"TranslateMesh", "[", 
    RowBox[{"msh", ",", 
     RowBox[{"-", "cen"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LoopMoment1", "[", "msh", "]"}], "//", 
  "Chop"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fin", "=", 
   RowBox[{"Nest", "[", 
    RowBox[{"LoopSubdivide", ",", "msh", ",", "3"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"tst", "=", 
       RowBox[{"LoopSubdivide", "[", "msh", "]"}]}], "}"}], ",", 
     RowBox[{
      RowBox[{"LoopMoment1", "[", "tst", "]"}], "/", 
      RowBox[{"LoopVolume", "[", "tst", "]"}]}]}], "]"}], "*)"}]}]}], "Input",
 CellChangeTimes->{{3.6162102310778913`*^9, 3.6162103507297287`*^9}, {
   3.616210423518347*^9, 3.616210442471138*^9}, {3.61621047644166*^9, 
   3.6162105116147003`*^9}, 3.616210546712739*^9, 3.6162111102523947`*^9, {
   3.6162111691432996`*^9, 3.616211178075937*^9}, {3.6162135894989758`*^9, 
   3.616213610549299*^9}, {3.6162140793675003`*^9, 3.616214109235459*^9}, {
   3.618901697435791*^9, 3.6189016978788157`*^9}}],

Cell[BoxData["0.4324941275876875`"], "Input"],

Cell[BoxData[
 RowBox[{"Norm", "[", GridBox[{
    {
     RowBox[{"-", "0.3826834323650898`"}], "0.9238795325112867`"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[0.7]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}], "]"}]], "Input",
 CellChangeTimes->{{3.618901663400844*^9, 3.6189016742174625`*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"PlotMesh", "/@", 
   RowBox[{"{", "fin", "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.616210530109984*^9, 3.6162105308699956`*^9}, 
   3.616213656390003*^9}],

Cell[BoxData[{
 RowBox[{"MeshToMatlab", "[", 
  RowBox[{"\"\<D:\\\\matlab\\\\centroid\\\\diamondC.m\>\"", ",", "ctr"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"MeshToMatlab", "[", 
  RowBox[{"\"\<D:\\\\matlab\\\\centroid\\\\diamondF.m\>\"", ",", "fin"}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.616210588678384*^9, 3.616210620856378*^9}, {
  3.616213681510389*^9, 3.6162136909915347`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Example values for article", "Subsection",
 CellChangeTimes->{{3.616066517892889*^9, 3.616066525368004*^9}, {
  3.6161477964933276`*^9, 3.6161477997765155`*^9}, {3.6161484368929567`*^9, 
  3.616148442676287*^9}, {3.6162101405315*^9, 3.616210143211541*^9}, {
  3.616211894519441*^9, 3.616211895446955*^9}, {3.6162415825907955`*^9, 
  3.6162415846359124`*^9}, {3.6162832730846567`*^9, 3.616283281854791*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"GetAt", "[", 
   RowBox[{"Y_", ",", "prm_"}], "]"}], ":=", 
  RowBox[{"Y", "\[LeftDoubleBracket]", 
   RowBox[{
    RowBox[{"prm", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
    ",", 
    RowBox[{"prm", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
    ",", 
    RowBox[{"prm", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
    ",", 
    RowBox[{"prm", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
   "\[RightDoubleBracket]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"GetAt2", "[", 
   RowBox[{"Y_", ",", "prm_"}], "]"}], ":=", 
  RowBox[{"Y", "\[LeftDoubleBracket]", 
   RowBox[{
    RowBox[{"prm", "\[LeftDoubleBracket]", "5", "\[RightDoubleBracket]"}], 
    ",", 
    RowBox[{"prm", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
    ",", 
    RowBox[{"prm", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
    ",", 
    RowBox[{"prm", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
    ",", 
    RowBox[{"prm", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
   "\[RightDoubleBracket]"}]}]}], "Input",
 CellChangeTimes->{{3.616283513595851*^9, 3.6162835492463984`*^9}, {
  3.6163789937714853`*^9, 3.6163790018849497`*^9}}],

Cell[BoxData[
 RowBox[{"Dimensions", "/@", "LoopListMoment1"}]], "Input",
 CellChangeTimes->{{3.6163785935085917`*^9, 3.616378596146743*^9}, {
  3.6163823922175426`*^9, 3.6163823962426047`*^9}}],

Cell[CellGroupData[{

Cell["d=1 \[Bullet] 6", "Subsubsection",
 CellChangeTimes->{{3.6162837699107876`*^9, 3.616283773410842*^9}, {
   3.616378739696954*^9, 3.6163787460733185`*^9}, {3.6163789711511917`*^9, 
   3.6163789729672956`*^9}, 3.616382404735235*^9}],

Cell[BoxData[
 RowBox[{"GetAt", "[", 
  RowBox[{
   RowBox[{
   "LoopListMoment1", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "5", ",", "3", ",", "12"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.61628365874058*^9, 3.6162836807144175`*^9}, {
  3.6163788611569004`*^9, 3.616378891417631*^9}, {3.6163824020751944`*^9, 
  3.6163824166579185`*^9}}],

Cell[BoxData[
 RowBox[{"GetAt", "[", 
  RowBox[{
   RowBox[{
   "LoopListMoment1", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "3", ",", "7", ",", "8"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6163825943206472`*^9, 3.6163826217535686`*^9}}],

Cell[BoxData[
 RowBox[{"GetAt", "[", 
  RowBox[{
   RowBox[{
   "LoopListMoment1", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "10", ",", "6", ",", "11"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6162836214550076`*^9, 3.616283633295189*^9}, {
  3.6163786722860975`*^9, 3.616378692516255*^9}, {3.6163787498055315`*^9, 
  3.616378767772559*^9}, {3.616382479178879*^9, 3.6163825157294397`*^9}}],

Cell[BoxData[
 RowBox[{"GetAt", "[", 
  RowBox[{
   RowBox[{
   "LoopListMoment1", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "4", ",", "2", ",", "9"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.616283481975365*^9, 3.616283483002881*^9}, {
  3.616283551611435*^9, 3.616283600534686*^9}, {3.6163784209583797`*^9, 
  3.616378423230915*^9}, {3.616378602055081*^9, 3.616378605942303*^9}, {
  3.616378748164438*^9, 3.616378753293731*^9}, {3.6163789664099207`*^9, 
  3.6163789700271273`*^9}, {3.6163824775538535`*^9, 3.616382496281641*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["d=1 \[Bullet] 3", "Subsubsection",
 CellChangeTimes->{{3.6162837699107876`*^9, 3.616283773410842*^9}, {
  3.616378739696954*^9, 3.6163787460733185`*^9}, {3.6163789711511917`*^9, 
  3.6163789811277623`*^9}, {3.61638271627752*^9, 3.616382716845029*^9}}],

Cell[BoxData[
 RowBox[{"GetAt", "[", 
  RowBox[{
   RowBox[{
   "LoopListMoment1", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "4", ",", "3", ",", "9"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6162836214550076`*^9, 3.616283633295189*^9}, {
  3.6163786722860975`*^9, 3.616378692516255*^9}, {3.6163787498055315`*^9, 
  3.616378767772559*^9}, {3.616378984219939*^9, 3.6163790097473993`*^9}, {
  3.6163791392098045`*^9, 3.6163791484423323`*^9}, {3.616382729965231*^9, 
  3.6163827588006735`*^9}}],

Cell[BoxData[
 RowBox[{"GetAt", "[", 
  RowBox[{
   RowBox[{
   "LoopListMoment1", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "5", ",", "8", ",", "9"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.616382844309487*^9, 3.6163828828050785`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["d=1 \[Bullet] 4", "Subsubsection",
 CellChangeTimes->{{3.6162837699107876`*^9, 3.616283773410842*^9}, 
   3.616378739696954*^9, {3.6163793315508056`*^9, 3.6163793327248726`*^9}, 
   3.6163827262776737`*^9}],

Cell[BoxData[
 RowBox[{"GetAt", "[", 
  RowBox[{
   RowBox[{
   "LoopListMoment1", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "3", ",", "8", ",", "10"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6163798903971157`*^9, 3.6163799067548666`*^9}, {
  3.6163830460210853`*^9, 3.6163831053469963`*^9}}],

Cell[BoxData[
 RowBox[{"GetAt", "[", 
  RowBox[{
   RowBox[{
   "LoopListMoment1", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "3", ",", "5", ",", "7"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.616283481975365*^9, 3.616283483002881*^9}, {
  3.616283551611435*^9, 3.616283600534686*^9}, {3.6163784209583797`*^9, 
  3.616378423230915*^9}, {3.616378602055081*^9, 3.616378605942303*^9}, {
  3.6163830424710307`*^9, 3.6163830633713517`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["d=1 \[Bullet] 5", "Subsubsection",
 CellChangeTimes->{{3.6162837699107876`*^9, 3.616283773410842*^9}, 
   3.616378739696954*^9, {3.6163793315508056`*^9, 3.6163793327248726`*^9}, 
   3.616380091735208*^9, 3.618792947662188*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"GetAt", "[", 
   RowBox[{
    RowBox[{
    "LoopListMoment1", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}],
     ",", 
    RowBox[{"{", 
     RowBox[{"2", ",", "9", ",", "6", ",", "8"}], "}"}]}], "]"}], 
  RowBox[{"10", "^", "5"}]}]], "Input",
 CellChangeTimes->{{3.6163798903971157`*^9, 3.6163799067548666`*^9}, {
  3.61638014393951*^9, 3.616380169474902*^9}, {3.616380250633649*^9, 
  3.6163802534186916`*^9}, {3.6187929588748293`*^9, 3.618792969811455*^9}, {
  3.6187930102367673`*^9, 3.6187930215894165`*^9}, {3.6188473609013147`*^9, 
  3.618847362006378*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"GetAt", "[", 
   RowBox[{
    RowBox[{
    "LoopListMoment1", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}],
     ",", 
    RowBox[{"{", 
     RowBox[{"5", ",", "10", ",", "8", ",", "11"}], "}"}]}], "]"}], 
  RowBox[{"10", "^", "5"}]}]], "Input",
 CellChangeTimes->{{3.616283481975365*^9, 3.616283483002881*^9}, {
  3.616283551611435*^9, 3.616283600534686*^9}, {3.6163784209583797`*^9, 
  3.616378423230915*^9}, {3.616378602055081*^9, 3.616378605942303*^9}, {
  3.6163800973227935`*^9, 3.616380116416587*^9}, {3.618792955337627*^9, 
  3.6187929688534*^9}, {3.6187929991201315`*^9, 3.618793032039014*^9}, {
  3.6188473670656676`*^9, 3.618847368349741*^9}}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Octahedron demo", "Subsection",
 CellChangeTimes->{{3.616064924059908*^9, 3.6160649296274934`*^9}, {
  3.616626464711841*^9, 3.616626467616007*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"mV", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", 
       FractionBox["1", "2"], ",", 
       FractionBox["1", 
        SqrtBox["2"]]}], "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mF", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "3", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "4", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "1", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "2", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "3", ",", "1"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PyramidMesh", "=", 
   RowBox[{"TranslateMesh", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"mV", ",", "mF"}], "}"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "1"}], "/", "2"}], 
      RowBox[{"{", 
       RowBox[{"1", ",", "1", ",", "0"}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"PlotMesh", "[", 
  RowBox[{"Nest", "[", 
   RowBox[{"LoopSubdivide", ",", 
    RowBox[{"LinearSubdivide", "[", "PyramidMesh", "]"}], ",", "2"}], "]"}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.6165720591320267`*^9, 3.6165721059817066`*^9}, {
  3.6165721499702225`*^9, 3.616572175328673*^9}, {3.616572232936968*^9, 
  3.616572293101409*^9}, {3.616572463287143*^9, 3.6165724766369066`*^9}, {
  3.616572516180168*^9, 3.616572555215401*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"msh", "=", 
   RowBox[{"LinearSubdivide", "[", 
    RowBox[{"NumericMesh", "[", "PyramidMesh", "]"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6162419014290323`*^9, 3.6162419230122666`*^9}, {
  3.616241976078302*^9, 3.616241982843689*^9}, {3.616572499489214*^9, 
  3.616572505220542*^9}, {3.6165725730924234`*^9, 3.6165725831689997`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"msh", "=", 
   RowBox[{"LoopSubdivide", "[", 
    RowBox[{"NumericMesh", "[", "PyramidMesh", "]"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6165730550639906`*^9, 3.6165730559110394`*^9}, {
  3.6165731628461556`*^9, 3.6165731666383724`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"myList", "=", 
   RowBox[{"NestList", "[", 
    RowBox[{"LoopSubdivide", ",", "msh", ",", "4"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.616243025197308*^9, 3.6162430298485737`*^9}, {
   3.6165725887723207`*^9, 3.616572629784666*^9}, {3.616572936474208*^9, 
   3.6165729366472178`*^9}, 3.616573169495536*^9, 3.6165735263299456`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"PlotMesh", "[", 
      RowBox[{"#", ",", 
       RowBox[{"LoopVolumeFace", "[", "#", "]"}]}], "]"}], ",", 
     RowBox[{"Axes", "\[Rule]", "False"}], ",", 
     RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
     RowBox[{"ImagePadding", "\[Rule]", "0"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "300"}], ",", 
     RowBox[{"ViewPoint", "\[Rule]", 
      RowBox[{"2", 
       RowBox[{"{", 
        RowBox[{"5", ",", "3", ",", "7"}], "}"}]}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"1.0", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "1"}], "/", "2"}], ",", 
           RowBox[{"1", "/", "2"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "1"}], "/", "2"}], ",", 
           RowBox[{"1", "/", "2"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", 
           FractionBox["1", 
            SqrtBox["2"]]}], "}"}]}], "}"}]}]}]}], "]"}], "&"}], "/@", 
  RowBox[{"myList", "\[LeftDoubleBracket]", 
   RowBox[{"Range", "[", 
    RowBox[{"Length", "[", "myList", "]"}], "]"}], 
   "\[RightDoubleBracket]"}]}]], "Input",
 CellChangeTimes->{{3.616242069180627*^9, 3.616242077170084*^9}, 
   3.616242327164383*^9, {3.6162425973638372`*^9, 3.6162426114886456`*^9}, {
   3.6162427060760555`*^9, 3.616242819147523*^9}, {3.616242860201871*^9, 
   3.616242862787019*^9}, {3.6162430175668716`*^9, 3.6162430335067835`*^9}, {
   3.6162431515135326`*^9, 3.616243219740435*^9}, {3.616572611757635*^9, 
   3.616572625912445*^9}, 3.6165727103372736`*^9, {3.61657290101818*^9, 
   3.616572923016438*^9}, {3.616573195372016*^9, 3.6165732473749905`*^9}, {
   3.616573281934967*^9, 3.6165733338119345`*^9}, {3.6165733787595053`*^9, 
   3.616573405138014*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"Rasterize", "[", 
      RowBox[{
       RowBox[{"Show", "[", 
        RowBox[{
         RowBox[{"PlotMesh", "[", 
          RowBox[{"#", ",", 
           RowBox[{"LoopVolumeFace", "[", "#", "]"}]}], "]"}], ",", 
         RowBox[{"Axes", "\[Rule]", "False"}], ",", 
         RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
         RowBox[{"ImagePadding", "\[Rule]", "0"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "300"}], ",", 
         RowBox[{"ViewPoint", "\[Rule]", 
          RowBox[{"2", 
           RowBox[{"{", 
            RowBox[{"5", ",", "3", ",", "6"}], "}"}]}]}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"1", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "1"}], "/", "2"}], ",", 
               RowBox[{"1", "/", "2"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "1"}], "/", "2"}], ",", 
               RowBox[{"1", "/", "2"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", 
               FractionBox["1", 
                SqrtBox["2"]]}], "}"}]}], "}"}]}]}]}], "]"}], ",", 
       RowBox[{"ImageResolution", "\[Rule]", "200"}]}], "]"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "100"}]}], "]"}], "&"}], "/@", 
  RowBox[{"myList", "\[LeftDoubleBracket]", 
   RowBox[{"Range", "[", 
    RowBox[{"Length", "[", "myList", "]"}], "]"}], 
   "\[RightDoubleBracket]"}]}]], "Input",
 CellChangeTimes->{{3.616242069180627*^9, 3.616242077170084*^9}, 
   3.616242327164383*^9, {3.6162425973638372`*^9, 3.6162426114886456`*^9}, {
   3.6162427060760555`*^9, 3.616242819147523*^9}, {3.616242860201871*^9, 
   3.616242862787019*^9}, {3.6162430175668716`*^9, 3.6162430335067835`*^9}, {
   3.6162431515135326`*^9, 3.616243219740435*^9}, {3.616572611757635*^9, 
   3.616572625912445*^9}, 3.6165727103372736`*^9, {3.61657290101818*^9, 
   3.616572923016438*^9}, {3.616573195372016*^9, 3.6165732473749905`*^9}, {
   3.616573431902545*^9, 3.616573434250679*^9}, 3.616575318314441*^9}],

Cell[BoxData[
 RowBox[{"LoopDemo", "[", 
  RowBox[{
   RowBox[{"LinearSubdivide", "[", "PyramidMesh", "]"}], ",", "2"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.616243117131566*^9, 3.6162431249940157`*^9}, {
  3.6165735372175684`*^9, 3.616573537712597*^9}, {3.616573588735515*^9, 
  3.6165735916436815`*^9}}],

Cell[BoxData[{
 RowBox[{"MeshToMatlab", "[", 
  RowBox[{"\"\<D:\\\\matlab\\\\volume\\\\lpyeamC.m\>\"", ",", "PyramidMesh"}],
   "]"}], "\[IndentingNewLine]", 
 RowBox[{"MeshToMatlab", "[", 
  RowBox[{"\"\<D:\\\\matlab\\\\volume\\\\lpyeamM.m\>\"", ",", 
   RowBox[{"myList", "\[LeftDoubleBracket]", 
    RowBox[{"Length", "[", "myList", "]"}], "\[RightDoubleBracket]"}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.6162122132403364`*^9, 3.6162122201804433`*^9}, {
  3.6162436368182907`*^9, 3.6162436406575108`*^9}, {3.616574029990753*^9, 
  3.6165741135765343`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Octahedron centroid", "Subsection",
 CellChangeTimes->{{3.616064924059908*^9, 3.6160649296274934`*^9}, {
  3.616626469136094*^9, 3.6166264729353113`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"mV", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", 
       FractionBox["1", "2"], ",", 
       FractionBox["1", 
        SqrtBox["2"]]}], "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mF", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "3", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "4", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "1", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "2", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "3", ",", "1"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PyramidMesh", "=", 
   RowBox[{"TranslateMesh", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"mV", ",", "mF"}], "}"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "1"}], "/", "2"}], 
      RowBox[{"{", 
       RowBox[{"1", ",", "1", ",", "0"}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"PlotMesh", "[", 
  RowBox[{"Nest", "[", 
   RowBox[{"LoopSubdivide", ",", 
    RowBox[{"LinearSubdivide", "[", "PyramidMesh", "]"}], ",", "2"}], "]"}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.6165720591320267`*^9, 3.6165721059817066`*^9}, {
  3.6165721499702225`*^9, 3.616572175328673*^9}, {3.616572232936968*^9, 
  3.616572293101409*^9}, {3.616572463287143*^9, 3.6165724766369066`*^9}, {
  3.616572516180168*^9, 3.616572555215401*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"msh", "=", 
   RowBox[{"LinearSubdivide", "[", 
    RowBox[{"NumericMesh", "[", "PyramidMesh", "]"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6162419014290323`*^9, 3.6162419230122666`*^9}, {
  3.616241976078302*^9, 3.616241982843689*^9}, {3.616572499489214*^9, 
  3.616572505220542*^9}, {3.6165725730924234`*^9, 3.6165725831689997`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"msh", "=", 
   RowBox[{"LoopSubdivide", "[", 
    RowBox[{"NumericMesh", "[", "PyramidMesh", "]"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6165730550639906`*^9, 3.6165730559110394`*^9}, {
  3.6165731628461556`*^9, 3.6165731666383724`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"myList", "=", 
   RowBox[{"NestList", "[", 
    RowBox[{"LoopSubdivide", ",", "msh", ",", "1"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.616243025197308*^9, 3.6162430298485737`*^9}, {
   3.6165725887723207`*^9, 3.616572629784666*^9}, {3.616572936474208*^9, 
   3.6165729366472178`*^9}, 3.616573169495536*^9, 3.6165735263299456`*^9, 
   3.6166265067042427`*^9, 3.6166266604400363`*^9, 3.6189029151274385`*^9, 
   3.61890295658181*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"myList", "=", 
   RowBox[{"myList", "\[LeftDoubleBracket]", 
    RowBox[{"{", 
     RowBox[{"Length", "[", "myList", "]"}], "}"}], 
    "\[RightDoubleBracket]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6166266668644037`*^9, 3.6166266773770046`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"PlotMesh", "[", 
      RowBox[{"#", ",", 
       RowBox[{"LoopVolumeFace", "[", "#", "]"}]}], "]"}], ",", 
     RowBox[{"Axes", "\[Rule]", "False"}], ",", 
     RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
     RowBox[{"ImagePadding", "\[Rule]", "0"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "300"}], ",", 
     RowBox[{"ViewPoint", "\[Rule]", 
      RowBox[{"2", 
       RowBox[{"{", 
        RowBox[{"5", ",", "3", ",", "7"}], "}"}]}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"1.0", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "1"}], "/", "2"}], ",", 
           RowBox[{"1", "/", "2"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "1"}], "/", "2"}], ",", 
           RowBox[{"1", "/", "2"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", 
           FractionBox["1", 
            SqrtBox["2"]]}], "}"}]}], "}"}]}]}]}], "]"}], "&"}], "/@", 
  RowBox[{"myList", "\[LeftDoubleBracket]", 
   RowBox[{"Range", "[", 
    RowBox[{"Length", "[", "myList", "]"}], "]"}], 
   "\[RightDoubleBracket]"}]}]], "Input",
 CellChangeTimes->{{3.616242069180627*^9, 3.616242077170084*^9}, 
   3.616242327164383*^9, {3.6162425973638372`*^9, 3.6162426114886456`*^9}, {
   3.6162427060760555`*^9, 3.616242819147523*^9}, {3.616242860201871*^9, 
   3.616242862787019*^9}, {3.6162430175668716`*^9, 3.6162430335067835`*^9}, {
   3.6162431515135326`*^9, 3.616243219740435*^9}, {3.616572611757635*^9, 
   3.616572625912445*^9}, 3.6165727103372736`*^9, {3.61657290101818*^9, 
   3.616572923016438*^9}, {3.616573195372016*^9, 3.6165732473749905`*^9}, {
   3.616573281934967*^9, 3.6165733338119345`*^9}, {3.6165733787595053`*^9, 
   3.616573405138014*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"CenOct", "=", 
   RowBox[{"LoopMoment1Face", "/@", "myList"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.616626529433543*^9, 3.616626546087496*^9}}],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"Rasterize", "[", 
      RowBox[{
       RowBox[{"Show", "[", 
        RowBox[{
         RowBox[{"PlotMesh", "[", 
          RowBox[{
           RowBox[{
           "myList", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
           ",", 
           RowBox[{
            RowBox[{
            "CenOct", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
            "\[LeftDoubleBracket]", 
            RowBox[{"All", ",", "n"}], "\[RightDoubleBracket]"}]}], "]"}], 
         ",", 
         RowBox[{"Axes", "\[Rule]", "False"}], ",", 
         RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
         RowBox[{"ImagePadding", "\[Rule]", "0"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "300"}], ",", 
         RowBox[{"ViewPoint", "\[Rule]", 
          RowBox[{"2", 
           RowBox[{"{", 
            RowBox[{"5", ",", "3", ",", "6"}], "}"}]}]}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"1", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "1"}], "/", "2"}], ",", 
               RowBox[{"1", "/", "2"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "1"}], "/", "2"}], ",", 
               RowBox[{"1", "/", "2"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", 
               FractionBox["1", 
                SqrtBox["2"]]}], "}"}]}], "}"}]}]}]}], "]"}], ",", 
       RowBox[{"ImageResolution", "\[Rule]", "200"}]}], "]"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "200"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", 
     RowBox[{"Length", "[", "myList", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "3"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.616242069180627*^9, 3.616242077170084*^9}, 
   3.616242327164383*^9, {3.6162425973638372`*^9, 3.6162426114886456`*^9}, {
   3.6162427060760555`*^9, 3.616242819147523*^9}, {3.616242860201871*^9, 
   3.616242862787019*^9}, {3.6162430175668716`*^9, 3.6162430335067835`*^9}, {
   3.6162431515135326`*^9, 3.616243219740435*^9}, {3.616572611757635*^9, 
   3.616572625912445*^9}, 3.6165727103372736`*^9, {3.61657290101818*^9, 
   3.616572923016438*^9}, {3.616573195372016*^9, 3.6165732473749905`*^9}, {
   3.616573431902545*^9, 3.616573434250679*^9}, 3.616575318314441*^9, {
   3.6166265514588027`*^9, 3.616626601660674*^9}, 3.618902944158099*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"CenOct2", "=", 
   RowBox[{"LoopAltMoment1Face", "/@", "myList"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.616626529433543*^9, 3.616626546087496*^9}, {
  3.6166269121344323`*^9, 3.616626915439621*^9}}],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"Rasterize", "[", 
      RowBox[{
       RowBox[{"Show", "[", 
        RowBox[{
         RowBox[{"PlotMesh", "[", 
          RowBox[{
           RowBox[{
           "myList", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
           ",", 
           RowBox[{
            RowBox[{
            "CenOct2", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}],
             "\[LeftDoubleBracket]", 
            RowBox[{"All", ",", "n"}], "\[RightDoubleBracket]"}]}], "]"}], 
         ",", 
         RowBox[{"Axes", "\[Rule]", "False"}], ",", 
         RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
         RowBox[{"ImagePadding", "\[Rule]", "0"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "300"}], ",", 
         RowBox[{"ViewPoint", "\[Rule]", 
          RowBox[{"2", 
           RowBox[{"{", 
            RowBox[{"5", ",", "3", ",", "6"}], "}"}]}]}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"1", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "1"}], "/", "2"}], ",", 
               RowBox[{"1", "/", "2"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "1"}], "/", "2"}], ",", 
               RowBox[{"1", "/", "2"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", 
               FractionBox["1", 
                SqrtBox["2"]]}], "}"}]}], "}"}]}]}]}], "]"}], ",", 
       RowBox[{"ImageResolution", "\[Rule]", "200"}]}], "]"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "100"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", 
     RowBox[{"Length", "[", "myList", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "3"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.616242069180627*^9, 3.616242077170084*^9}, 
   3.616242327164383*^9, {3.6162425973638372`*^9, 3.6162426114886456`*^9}, {
   3.6162427060760555`*^9, 3.616242819147523*^9}, {3.616242860201871*^9, 
   3.616242862787019*^9}, {3.6162430175668716`*^9, 3.6162430335067835`*^9}, {
   3.6162431515135326`*^9, 3.616243219740435*^9}, {3.616572611757635*^9, 
   3.616572625912445*^9}, 3.6165727103372736`*^9, {3.61657290101818*^9, 
   3.616572923016438*^9}, {3.616573195372016*^9, 3.6165732473749905`*^9}, {
   3.616573431902545*^9, 3.616573434250679*^9}, 3.616575318314441*^9, {
   3.6166265514588027`*^9, 3.616626601660674*^9}, 3.616626921784984*^9}],

Cell[BoxData[{
 RowBox[{"MeshToMatlab", "[", 
  RowBox[{"\"\<D:\\\\matlab\\\\volume\\\\lpyeamC.m\>\"", ",", "PyramidMesh"}],
   "]"}], "\[IndentingNewLine]", 
 RowBox[{"MeshToMatlab", "[", 
  RowBox[{"\"\<D:\\\\matlab\\\\volume\\\\lpyeamM.m\>\"", ",", 
   RowBox[{"myList", "\[LeftDoubleBracket]", 
    RowBox[{"Length", "[", "myList", "]"}], "\[RightDoubleBracket]"}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.6162122132403364`*^9, 3.6162122201804433`*^9}, {
  3.6162436368182907`*^9, 3.6162436406575108`*^9}, {3.616574029990753*^9, 
  3.6165741135765343`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Octahedron centroid", "Subsection",
 CellChangeTimes->{{3.616064924059908*^9, 3.6160649296274934`*^9}, {
  3.616626469136094*^9, 3.6166264729353113`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"mV", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", 
       FractionBox["1", "2"], ",", 
       FractionBox["1", 
        SqrtBox["2"]]}], "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mF", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "3", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "4", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "1", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "2", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "3", ",", "1"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PyramidMesh", "=", 
   RowBox[{"TranslateMesh", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"mV", ",", "mF"}], "}"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "1"}], "/", "2"}], 
      RowBox[{"{", 
       RowBox[{"1", ",", "1", ",", "0"}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"PlotMesh", "[", 
  RowBox[{"Nest", "[", 
   RowBox[{"LoopSubdivide", ",", 
    RowBox[{"LinearSubdivide", "[", "PyramidMesh", "]"}], ",", "2"}], "]"}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.6165720591320267`*^9, 3.6165721059817066`*^9}, {
  3.6165721499702225`*^9, 3.616572175328673*^9}, {3.616572232936968*^9, 
  3.616572293101409*^9}, {3.616572463287143*^9, 3.6165724766369066`*^9}, {
  3.616572516180168*^9, 3.616572555215401*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"msh", "=", 
   RowBox[{"LinearSubdivide", "[", 
    RowBox[{"NumericMesh", "[", "PyramidMesh", "]"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6162419014290323`*^9, 3.6162419230122666`*^9}, {
  3.616241976078302*^9, 3.616241982843689*^9}, {3.616572499489214*^9, 
  3.616572505220542*^9}, {3.6165725730924234`*^9, 3.6165725831689997`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"msh", "=", 
   RowBox[{"LoopSubdivide", "[", 
    RowBox[{"NumericMesh", "[", "PyramidMesh", "]"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6165730550639906`*^9, 3.6165730559110394`*^9}, {
  3.6165731628461556`*^9, 3.6165731666383724`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"myList", "=", 
   RowBox[{"NestList", "[", 
    RowBox[{"LoopSubdivide", ",", "msh", ",", "3"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.616243025197308*^9, 3.6162430298485737`*^9}, {
   3.6165725887723207`*^9, 3.616572629784666*^9}, {3.616572936474208*^9, 
   3.6165729366472178`*^9}, 3.616573169495536*^9, 3.6165735263299456`*^9, 
   3.6166265067042427`*^9, 3.6166266604400363`*^9, 3.616627148838971*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"myList", "=", 
   RowBox[{"myList", "\[LeftDoubleBracket]", 
    RowBox[{"{", 
     RowBox[{"Length", "[", "myList", "]"}], "}"}], 
    "\[RightDoubleBracket]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6166266668644037`*^9, 3.6166266773770046`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"PlotMesh", "[", 
      RowBox[{"#", ",", 
       RowBox[{"LoopVolumeFace", "[", "#", "]"}]}], "]"}], ",", 
     RowBox[{"Axes", "\[Rule]", "False"}], ",", 
     RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
     RowBox[{"ImagePadding", "\[Rule]", "0"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "300"}], ",", 
     RowBox[{"ViewPoint", "\[Rule]", 
      RowBox[{"2", 
       RowBox[{"{", 
        RowBox[{"5", ",", "3", ",", "7"}], "}"}]}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"1.0", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "1"}], "/", "2"}], ",", 
           RowBox[{"1", "/", "2"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "1"}], "/", "2"}], ",", 
           RowBox[{"1", "/", "2"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", 
           FractionBox["1", 
            SqrtBox["2"]]}], "}"}]}], "}"}]}]}]}], "]"}], "&"}], "/@", 
  RowBox[{"myList", "\[LeftDoubleBracket]", 
   RowBox[{"Range", "[", 
    RowBox[{"Length", "[", "myList", "]"}], "]"}], 
   "\[RightDoubleBracket]"}]}]], "Input",
 CellChangeTimes->{{3.616242069180627*^9, 3.616242077170084*^9}, 
   3.616242327164383*^9, {3.6162425973638372`*^9, 3.6162426114886456`*^9}, {
   3.6162427060760555`*^9, 3.616242819147523*^9}, {3.616242860201871*^9, 
   3.616242862787019*^9}, {3.6162430175668716`*^9, 3.6162430335067835`*^9}, {
   3.6162431515135326`*^9, 3.616243219740435*^9}, {3.616572611757635*^9, 
   3.616572625912445*^9}, 3.6165727103372736`*^9, {3.61657290101818*^9, 
   3.616572923016438*^9}, {3.616573195372016*^9, 3.6165732473749905`*^9}, {
   3.616573281934967*^9, 3.6165733338119345`*^9}, {3.6165733787595053`*^9, 
   3.616573405138014*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"VolOct", "=", 
   RowBox[{"LoopVolumeFace", "/@", "myList"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"CenOct", "=", 
   RowBox[{"LoopMoment1Face", "/@", "myList"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.616626529433543*^9, 3.616626546087496*^9}, {
  3.6166271597235937`*^9, 3.616627172485324*^9}}],

Cell[BoxData[{
 RowBox[{"VolOct", "//", "Dimensions"}], "\[IndentingNewLine]", 
 RowBox[{"CenOct", "//", "Dimensions"}]}], "Input",
 CellChangeTimes->{{3.616627176762568*^9, 3.6166271811978216`*^9}}],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"Rasterize", "[", 
      RowBox[{
       RowBox[{"Show", "[", 
        RowBox[{
         RowBox[{"PlotMesh", "[", 
          RowBox[{
           RowBox[{
           "myList", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
           ",", 
           RowBox[{
            RowBox[{
             RowBox[{
             "CenOct", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}],
              "\[LeftDoubleBracket]", 
             RowBox[{"All", ",", "n"}], "\[RightDoubleBracket]"}], "/", 
            RowBox[{
            "VolOct", "\[LeftDoubleBracket]", "k", 
             "\[RightDoubleBracket]"}]}]}], "]"}], ",", 
         RowBox[{"Axes", "\[Rule]", "False"}], ",", 
         RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
         RowBox[{"ImagePadding", "\[Rule]", "0"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "300"}], ",", 
         RowBox[{"ViewPoint", "\[Rule]", 
          RowBox[{"2", 
           RowBox[{"{", 
            RowBox[{"5", ",", "3", ",", "6"}], "}"}]}]}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"1", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "1"}], "/", "2"}], ",", 
               RowBox[{"1", "/", "2"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "1"}], "/", "2"}], ",", 
               RowBox[{"1", "/", "2"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", 
               FractionBox["1", 
                SqrtBox["2"]]}], "}"}]}], "}"}]}]}]}], "]"}], ",", 
       RowBox[{"ImageResolution", "\[Rule]", "200"}]}], "]"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "100"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", 
     RowBox[{"Length", "[", "myList", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "3"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.616242069180627*^9, 3.616242077170084*^9}, 
   3.616242327164383*^9, {3.6162425973638372`*^9, 3.6162426114886456`*^9}, {
   3.6162427060760555`*^9, 3.616242819147523*^9}, {3.616242860201871*^9, 
   3.616242862787019*^9}, {3.6162430175668716`*^9, 3.6162430335067835`*^9}, {
   3.6162431515135326`*^9, 3.616243219740435*^9}, {3.616572611757635*^9, 
   3.616572625912445*^9}, 3.6165727103372736`*^9, {3.61657290101818*^9, 
   3.616572923016438*^9}, {3.616573195372016*^9, 3.6165732473749905`*^9}, {
   3.616573431902545*^9, 3.616573434250679*^9}, 3.616575318314441*^9, {
   3.6166265514588027`*^9, 3.616626601660674*^9}, {3.6166271949186068`*^9, 
   3.6166271987828274`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"CenOct2", "=", 
   RowBox[{"LoopAltMoment1Face", "/@", "myList"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.616626529433543*^9, 3.616626546087496*^9}, {
  3.6166269121344323`*^9, 3.616626915439621*^9}}],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"Rasterize", "[", 
      RowBox[{
       RowBox[{"Show", "[", 
        RowBox[{
         RowBox[{"PlotMesh", "[", 
          RowBox[{
           RowBox[{
           "myList", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
           ",", 
           RowBox[{
            RowBox[{
             RowBox[{
             "CenOct2", "\[LeftDoubleBracket]", "k", 
              "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", 
             RowBox[{"All", ",", "n"}], "\[RightDoubleBracket]"}], "/", 
            RowBox[{
            "VolOct", "\[LeftDoubleBracket]", "k", 
             "\[RightDoubleBracket]"}]}]}], "]"}], ",", 
         RowBox[{"Axes", "\[Rule]", "False"}], ",", 
         RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
         RowBox[{"ImagePadding", "\[Rule]", "0"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "300"}], ",", 
         RowBox[{"ViewPoint", "\[Rule]", 
          RowBox[{"2", 
           RowBox[{"{", 
            RowBox[{"5", ",", "3", ",", "6"}], "}"}]}]}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"1", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "1"}], "/", "2"}], ",", 
               RowBox[{"1", "/", "2"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "1"}], "/", "2"}], ",", 
               RowBox[{"1", "/", "2"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", 
               FractionBox["1", 
                SqrtBox["2"]]}], "}"}]}], "}"}]}]}]}], "]"}], ",", 
       RowBox[{"ImageResolution", "\[Rule]", "200"}]}], "]"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "100"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", 
     RowBox[{"Length", "[", "myList", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "3"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.616242069180627*^9, 3.616242077170084*^9}, 
   3.616242327164383*^9, {3.6162425973638372`*^9, 3.6162426114886456`*^9}, {
   3.6162427060760555`*^9, 3.616242819147523*^9}, {3.616242860201871*^9, 
   3.616242862787019*^9}, {3.6162430175668716`*^9, 3.6162430335067835`*^9}, {
   3.6162431515135326`*^9, 3.616243219740435*^9}, {3.616572611757635*^9, 
   3.616572625912445*^9}, 3.6165727103372736`*^9, {3.61657290101818*^9, 
   3.616572923016438*^9}, {3.616573195372016*^9, 3.6165732473749905`*^9}, {
   3.616573431902545*^9, 3.616573434250679*^9}, 3.616575318314441*^9, {
   3.6166265514588027`*^9, 3.616626601660674*^9}, 3.616626921784984*^9, 
   3.61662726771177*^9}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"Rasterize", "[", 
    RowBox[{
     RowBox[{"Show", "[", 
      RowBox[{
       RowBox[{"PlotMesh", "[", "msh", "]"}], ",", 
       RowBox[{"Axes", "\[Rule]", "False"}], ",", 
       RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
       RowBox[{"ImagePadding", "\[Rule]", "0"}], ",", 
       RowBox[{"ImageSize", "\[Rule]", "300"}], ",", 
       RowBox[{"ViewPoint", "\[Rule]", 
        RowBox[{"2", 
         RowBox[{"{", 
          RowBox[{"5", ",", "3", ",", "6"}], "}"}]}]}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"1", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "1"}], "/", "2"}], ",", 
             RowBox[{"1", "/", "2"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "1"}], "/", "2"}], ",", 
             RowBox[{"1", "/", "2"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", 
             FractionBox["1", 
              SqrtBox["2"]]}], "}"}]}], "}"}]}]}]}], "]"}], ",", 
     RowBox[{"ImageResolution", "\[Rule]", "200"}]}], "]"}], ",", 
   RowBox[{"ImageSize", "\[Rule]", "100"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.616627386810582*^9, 3.6166273998833303`*^9}}]
}, Closed]]
}, Open  ]]
},
WindowSize->{919, 952},
WindowMargins->{{Automatic, 174}, {Automatic, 14}},
PrintingCopies->1,
PrintingPageRange->{32000, 32000},
PrintingOptions->{"Magnification"->1.,
"PaperOrientation"->"Portrait",
"PaperSize"->{612, 792}},
Magnification->1.100000023841858,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 458, 8, 86, "Section"],
Cell[1040, 32, 414, 8, 53, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1491, 45, 243, 3, 86, "Section"],
Cell[CellGroupData[{
Cell[1759, 52, 151, 2, 47, "Subsection"],
Cell[1913, 56, 3916, 95, 366, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[5866, 156, 209, 3, 37, "Subsection"],
Cell[6078, 161, 286, 10, 35, "Input"],
Cell[6367, 173, 440, 12, 58, "Input"],
Cell[6810, 187, 1600, 40, 58, "Input"],
Cell[8413, 229, 1161, 37, 58, "Input"],
Cell[9577, 268, 2043, 52, 102, "Input"],
Cell[11623, 322, 1391, 34, 58, "Input"],
Cell[13017, 358, 657, 18, 58, "Input"],
Cell[13677, 378, 4357, 98, 256, "Input"],
Cell[18037, 478, 1303, 35, 102, "Input"],
Cell[19343, 515, 1169, 33, 102, "Input"],
Cell[20515, 550, 2895, 63, 190, "Input"],
Cell[23413, 615, 667, 18, 38, "Input"],
Cell[24083, 635, 540, 12, 38, "Input"],
Cell[24626, 649, 1328, 35, 112, "Input"],
Cell[25957, 686, 1381, 36, 112, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[27375, 727, 182, 4, 37, "Subsection"],
Cell[27560, 733, 535, 15, 41, "Input"],
Cell[28098, 750, 627, 18, 67, "Input"],
Cell[28728, 770, 135, 3, 62, "Input"],
Cell[28866, 775, 5136, 152, 290, "Input"],
Cell[34005, 929, 1133, 31, 67, "Input"],
Cell[35141, 962, 925, 28, 67, "Input"],
Cell[36069, 992, 557, 17, 67, "Input"],
Cell[36629, 1011, 298, 7, 41, "Input"],
Cell[36930, 1020, 254, 6, 41, "Input"],
Cell[37187, 1028, 385, 12, 41, "Input"],
Cell[37575, 1042, 443, 13, 67, "Input"],
Cell[38021, 1057, 385, 11, 69, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[38443, 1073, 98, 1, 37, "Subsection"],
Cell[38544, 1076, 192, 5, 35, "Input"]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[38785, 1087, 421, 5, 86, "Section"],
Cell[CellGroupData[{
Cell[39231, 1096, 162, 2, 47, "Subsection"],
Cell[39396, 1100, 68, 1, 53, "Input"],
Cell[39467, 1103, 2016, 55, 162, "Input"],
Cell[41486, 1160, 1413, 31, 126, "Input"],
Cell[42902, 1193, 739, 18, 90, "Input"],
Cell[43644, 1213, 737, 18, 90, "Input"],
Cell[44384, 1233, 156, 2, 53, "Input"],
Cell[44543, 1237, 213, 3, 53, "Input"],
Cell[44759, 1242, 157, 2, 53, "Input"],
Cell[44919, 1246, 239, 7, 81, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[45195, 1258, 252, 3, 37, "Subsection"],
Cell[CellGroupData[{
Cell[45472, 1265, 104, 1, 57, "Subsubsection"],
Cell[45579, 1268, 3682, 84, 873, "Input"],
Cell[49264, 1354, 380, 7, 49, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[49681, 1366, 101, 1, 57, "Subsubsection"],
Cell[49785, 1369, 811, 15, 148, "Input"],
Cell[50599, 1386, 966, 22, 49, "Input"],
Cell[51568, 1410, 302, 6, 49, "Input"],
Cell[51873, 1418, 385, 9, 49, "Input"],
Cell[52261, 1429, 128, 2, 49, "Input"],
Cell[52392, 1433, 238, 4, 82, "Input"],
Cell[52633, 1439, 272, 5, 49, "Input"],
Cell[52908, 1446, 184, 4, 49, "Input"],
Cell[53095, 1452, 229, 5, 49, "Input"],
Cell[53327, 1459, 127, 2, 49, "Input"],
Cell[53457, 1463, 224, 4, 49, "Input"],
Cell[53684, 1469, 188, 4, 49, "Input"],
Cell[53875, 1475, 858, 26, 49, "Input"],
Cell[54736, 1503, 128, 2, 49, "Input"],
Cell[54867, 1507, 188, 3, 49, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[55092, 1515, 100, 1, 57, "Subsubsection"],
Cell[55195, 1518, 837, 16, 162, "Input"],
Cell[56035, 1536, 196, 3, 53, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[56280, 1545, 284, 4, 37, "Subsection"],
Cell[CellGroupData[{
Cell[56589, 1553, 104, 1, 37, "Subsubsection"],
Cell[56696, 1556, 3575, 94, 937, "Input"],
Cell[60274, 1652, 426, 7, 53, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[60737, 1664, 101, 1, 30, "Subsubsection"],
Cell[60841, 1667, 860, 16, 162, "Input"],
Cell[61704, 1685, 1506, 37, 196, "Input"],
Cell[63213, 1724, 191, 6, 53, "Input"],
Cell[63407, 1732, 131, 2, 53, "Input"],
Cell[63541, 1736, 158, 5, 53, "Input"],
Cell[63702, 1743, 176, 4, 53, "Input"],
Cell[63881, 1749, 519, 15, 53, "Input"],
Cell[64403, 1766, 127, 2, 53, "Input"],
Cell[64533, 1770, 293, 7, 53, "Input"],
Cell[64829, 1779, 208, 5, 53, "Input"],
Cell[65040, 1786, 1088, 30, 126, "Input"],
Cell[66131, 1818, 373, 9, 162, "Input"],
Cell[66507, 1829, 398, 11, 53, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[66942, 1845, 100, 1, 30, "Subsubsection"],
Cell[67045, 1848, 860, 16, 162, "Input"]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[67954, 1870, 306, 4, 47, "Subsection"],
Cell[CellGroupData[{
Cell[68285, 1878, 104, 1, 37, "Subsubsection"],
Cell[68392, 1881, 3774, 96, 968, "Input"],
Cell[72169, 1979, 477, 8, 53, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[72683, 1992, 101, 1, 30, "Subsubsection"],
Cell[72787, 1995, 915, 17, 162, "Input"],
Cell[73705, 2014, 1560, 38, 196, "Input"],
Cell[75268, 2054, 191, 6, 53, "Input"],
Cell[75462, 2062, 131, 2, 53, "Input"],
Cell[75596, 2066, 158, 5, 53, "Input"],
Cell[75757, 2073, 176, 4, 53, "Input"],
Cell[75936, 2079, 570, 16, 53, "Input"],
Cell[76509, 2097, 127, 2, 53, "Input"],
Cell[76639, 2101, 312, 5, 53, "Input"],
Cell[76954, 2108, 208, 5, 53, "Input"],
Cell[77165, 2115, 1088, 30, 126, "Input"],
Cell[78256, 2147, 373, 9, 162, "Input"],
Cell[78632, 2158, 398, 11, 53, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[79067, 2174, 100, 1, 30, "Subsubsection"],
Cell[79170, 2177, 915, 17, 162, "Input"],
Cell[80088, 2196, 198, 3, 53, "Input"]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[80335, 2205, 275, 4, 47, "Subsection"],
Cell[CellGroupData[{
Cell[80635, 2213, 104, 1, 37, "Subsubsection"],
Cell[80742, 2216, 4644, 121, 1045, "Input"],
Cell[85389, 2339, 530, 9, 53, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[85956, 2353, 101, 1, 30, "Subsubsection"],
Cell[86060, 2356, 988, 18, 162, "Input"],
Cell[87051, 2376, 1611, 39, 196, "Input"],
Cell[88665, 2417, 191, 6, 53, "Input"],
Cell[88859, 2425, 131, 2, 53, "Input"],
Cell[88993, 2429, 158, 5, 53, "Input"],
Cell[89154, 2436, 176, 4, 53, "Input"],
Cell[89333, 2442, 593, 16, 53, "Input"],
Cell[89929, 2460, 127, 2, 53, "Input"],
Cell[90059, 2464, 342, 6, 53, "Input"],
Cell[90404, 2472, 208, 5, 53, "Input"],
Cell[90615, 2479, 186, 3, 53, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[90838, 2487, 100, 1, 30, "Subsubsection"],
Cell[90941, 2490, 939, 17, 162, "Input"],
Cell[91883, 2509, 198, 3, 53, "Input"]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[92130, 2518, 297, 4, 47, "Subsection"],
Cell[CellGroupData[{
Cell[92452, 2526, 104, 1, 37, "Subsubsection"],
Cell[92559, 2529, 4540, 106, 1064, "Input"],
Cell[97102, 2637, 576, 9, 53, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[97715, 2651, 101, 1, 30, "Subsubsection"],
Cell[97819, 2654, 1036, 18, 162, "Input"],
Cell[98858, 2674, 1711, 40, 196, "Input"],
Cell[100572, 2716, 191, 6, 53, "Input"],
Cell[100766, 2724, 131, 2, 53, "Input"],
Cell[100900, 2728, 158, 5, 53, "Input"],
Cell[101061, 2735, 176, 4, 53, "Input"],
Cell[101240, 2741, 621, 17, 53, "Input"],
Cell[101864, 2760, 127, 2, 53, "Input"],
Cell[101994, 2764, 364, 6, 53, "Input"],
Cell[102361, 2772, 208, 5, 53, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[102606, 2782, 100, 1, 30, "Subsubsection"],
Cell[102709, 2785, 991, 18, 162, "Input"],
Cell[103703, 2805, 198, 3, 53, "Input"]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[103950, 2814, 321, 4, 47, "Subsection"],
Cell[CellGroupData[{
Cell[104296, 2822, 104, 1, 37, "Subsubsection"],
Cell[104403, 2825, 4844, 110, 1096, "Input"],
Cell[109250, 2937, 627, 10, 53, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[109914, 2952, 101, 1, 30, "Subsubsection"],
Cell[110018, 2955, 1087, 19, 162, "Input"],
Cell[111108, 2976, 1762, 41, 196, "Input"],
Cell[112873, 3019, 191, 6, 53, "Input"],
Cell[113067, 3027, 131, 2, 53, "Input"],
Cell[113201, 3031, 158, 5, 53, "Input"],
Cell[113362, 3038, 176, 4, 53, "Input"],
Cell[113541, 3044, 643, 17, 53, "Input"],
Cell[114187, 3063, 127, 2, 53, "Input"],
Cell[114317, 3067, 469, 9, 53, "Input"],
Cell[114789, 3078, 208, 5, 53, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[115034, 3088, 100, 1, 30, "Subsubsection"],
Cell[115137, 3091, 1015, 18, 162, "Input"],
Cell[116155, 3111, 198, 3, 53, "Input"]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[116402, 3120, 374, 5, 47, "Subsection"],
Cell[116779, 3127, 467, 11, 135, "Input"],
Cell[117249, 3140, 194, 3, 45, "Input"]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[117492, 3149, 405, 5, 86, "Section"],
Cell[CellGroupData[{
Cell[117922, 3158, 247, 3, 47, "Subsection"],
Cell[118172, 3163, 3172, 78, 701, "Input"],
Cell[121347, 3243, 479, 8, 41, "Input"],
Cell[121829, 3253, 171, 4, 41, "Input"],
Cell[122003, 3259, 922, 17, 123, "Input"],
Cell[122928, 3278, 1622, 39, 149, "Input"],
Cell[124553, 3319, 191, 6, 41, "Input"],
Cell[124747, 3327, 131, 2, 41, "Input"],
Cell[124881, 3331, 158, 5, 41, "Input"],
Cell[125042, 3338, 176, 4, 41, "Input"],
Cell[125221, 3344, 131, 2, 41, "Input"],
Cell[125355, 3348, 596, 16, 41, "Input"],
Cell[125954, 3366, 159, 3, 41, "Input"],
Cell[126116, 3371, 217, 5, 41, "Input"],
Cell[126336, 3378, 260, 4, 41, "Input"],
Cell[126599, 3384, 238, 6, 41, "Input"],
Cell[CellGroupData[{
Cell[126862, 3394, 102, 1, 48, "Subsubsection"],
Cell[126967, 3397, 947, 17, 123, "Input"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[127963, 3420, 275, 4, 37, "Subsection"],
Cell[CellGroupData[{
Cell[128263, 3428, 104, 1, 37, "Subsubsection"],
Cell[128370, 3431, 2848, 72, 654, "Input"],
Cell[131221, 3505, 528, 9, 41, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[131786, 3519, 99, 1, 30, "Subsubsection"],
Cell[131888, 3522, 1021, 18, 123, "Input"],
Cell[132912, 3542, 135, 2, 41, "Input"],
Cell[133050, 3546, 139, 2, 41, "Input"],
Cell[133192, 3550, 212, 5, 41, "Input"],
Cell[133407, 3557, 1882, 42, 176, "Input"],
Cell[135292, 3601, 191, 6, 41, "Input"],
Cell[135486, 3609, 133, 2, 41, "Input"],
Cell[135622, 3613, 225, 5, 41, "Input"],
Cell[135850, 3620, 129, 2, 41, "Input"],
Cell[135982, 3624, 131, 2, 41, "Input"],
Cell[136116, 3628, 158, 5, 41, "Input"],
Cell[136277, 3635, 176, 4, 41, "Input"],
Cell[136456, 3641, 975, 27, 69, "Input"],
Cell[137434, 3670, 668, 20, 69, "Input"],
Cell[138105, 3692, 411, 12, 41, "Input"],
Cell[138519, 3706, 183, 4, 41, "Input"],
Cell[138705, 3712, 70, 1, 41, "Input"],
Cell[138778, 3715, 580, 17, 41, "Input"],
Cell[139361, 3734, 890, 25, 69, "Input"],
Cell[140254, 3761, 165, 3, 41, "Input"],
Cell[140422, 3766, 281, 7, 41, "Input"],
Cell[140706, 3775, 396, 12, 41, "Input"],
Cell[141105, 3789, 1407, 36, 149, "Input"],
Cell[142515, 3827, 126, 2, 41, "Input"],
Cell[142644, 3831, 209, 4, 41, "Input"],
Cell[142856, 3837, 157, 3, 41, "Input"],
Cell[143016, 3842, 207, 3, 41, "Input"],
Cell[143226, 3847, 240, 6, 41, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[143503, 3858, 102, 1, 30, "Subsubsection"],
Cell[143608, 3861, 1044, 18, 123, "Input"]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[144701, 3885, 380, 5, 47, "Subsection"],
Cell[145084, 3892, 2891, 74, 561, "Input"],
Cell[147978, 3968, 578, 9, 35, "Input"],
Cell[148559, 3979, 1075, 19, 102, "Input"],
Cell[149637, 4000, 1824, 40, 124, "Input"],
Cell[151464, 4042, 286, 4, 35, "Input"],
Cell[151753, 4048, 264, 6, 35, "Input"],
Cell[152020, 4056, 307, 9, 35, "Input"],
Cell[CellGroupData[{
Cell[152352, 4069, 102, 1, 40, "Subsubsection"],
Cell[152457, 4072, 1089, 19, 102, "Input"],
Cell[153549, 4093, 198, 3, 35, "Input"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[153796, 4102, 299, 4, 37, "Subsection"],
Cell[154098, 4108, 2163, 60, 462, "Input"],
Cell[156264, 4170, 578, 9, 35, "Input"],
Cell[156845, 4181, 1071, 19, 102, "Input"],
Cell[157919, 4202, 1899, 42, 124, "Input"],
Cell[159821, 4246, 191, 6, 35, "Input"],
Cell[160015, 4254, 131, 2, 35, "Input"],
Cell[160149, 4258, 158, 5, 38, "Input"],
Cell[160310, 4265, 176, 4, 38, "Input"],
Cell[160489, 4271, 650, 17, 38, "Input"],
Cell[161142, 4290, 181, 3, 38, "Input"],
Cell[161326, 4295, 260, 4, 38, "Input"],
Cell[161589, 4301, 345, 8, 38, "Input"],
Cell[CellGroupData[{
Cell[161959, 4313, 100, 1, 44, "Subsubsection"],
Cell[162062, 4316, 1172, 20, 112, "Input"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[163283, 4342, 380, 5, 37, "Subsection"],
Cell[163666, 4349, 2286, 63, 501, "Input"],
Cell[165955, 4414, 631, 10, 35, "Input"],
Cell[166589, 4426, 1099, 19, 102, "Input"],
Cell[167691, 4447, 1885, 41, 124, "Input"],
Cell[169579, 4490, 336, 5, 35, "Input"],
Cell[169918, 4497, 371, 8, 35, "Input"],
Cell[CellGroupData[{
Cell[170314, 4509, 100, 1, 44, "Subsubsection"],
Cell[170417, 4512, 1172, 20, 112, "Input"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[171638, 4538, 351, 5, 37, "Subsection"],
Cell[171992, 4545, 2722, 71, 1119, "Input"],
Cell[174717, 4618, 681, 13, 74, "Input"],
Cell[175401, 4633, 137, 2, 74, "Input"],
Cell[175541, 4637, 1121, 19, 234, "Input"],
Cell[176665, 4658, 1930, 43, 283, "Input"],
Cell[178598, 4703, 191, 6, 74, "Input"],
Cell[178792, 4711, 131, 2, 74, "Input"],
Cell[178926, 4715, 158, 5, 74, "Input"],
Cell[179087, 4722, 176, 4, 74, "Input"],
Cell[179266, 4728, 704, 18, 74, "Input"],
Cell[179973, 4748, 203, 3, 74, "Input"],
Cell[180179, 4753, 310, 4, 74, "Input"],
Cell[180492, 4759, 284, 6, 74, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[180813, 4770, 373, 5, 37, "Subsection"],
Cell[181189, 4777, 3613, 87, 1277, "Input"],
Cell[184805, 4866, 738, 14, 74, "Input"],
Cell[185546, 4882, 1174, 20, 234, "Input"],
Cell[186723, 4904, 1982, 44, 283, "Input"],
Cell[188708, 4950, 191, 6, 74, "Input"],
Cell[188902, 4958, 131, 2, 74, "Input"],
Cell[189036, 4962, 158, 5, 74, "Input"],
Cell[189197, 4969, 176, 4, 74, "Input"],
Cell[189376, 4975, 750, 18, 74, "Input"],
Cell[190129, 4995, 229, 4, 74, "Input"],
Cell[190361, 5001, 361, 5, 74, "Input"],
Cell[190725, 5008, 310, 7, 74, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[191072, 5020, 395, 5, 37, "Subsection"],
Cell[191470, 5027, 2950, 71, 1200, "Input"],
Cell[194423, 5100, 789, 15, 74, "Input"],
Cell[195215, 5117, 1226, 21, 234, "Input"],
Cell[196444, 5140, 2096, 46, 283, "Input"],
Cell[198543, 5188, 191, 6, 74, "Input"],
Cell[198737, 5196, 131, 2, 74, "Input"],
Cell[198871, 5200, 158, 5, 74, "Input"],
Cell[199032, 5207, 176, 4, 74, "Input"],
Cell[199211, 5213, 778, 19, 74, "Input"],
Cell[199992, 5234, 251, 4, 74, "Input"],
Cell[200246, 5240, 438, 6, 74, "Input"],
Cell[200687, 5248, 358, 7, 74, "Input"]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[201094, 5261, 659, 9, 86, "Section"],
Cell[CellGroupData[{
Cell[201778, 5274, 104, 1, 47, "Subsection"],
Cell[201885, 5277, 642, 17, 31, "Input"],
Cell[202530, 5296, 145093, 2775, 163, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[347660, 8076, 154, 2, 37, "Subsection"],
Cell[347817, 8080, 109, 2, 31, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[347963, 8087, 106, 1, 37, "Subsection"],
Cell[348072, 8090, 2016, 55, 72, "Input"],
Cell[350091, 8147, 246, 6, 31, "Input"],
Cell[350340, 8155, 154, 2, 31, "Input"],
Cell[350497, 8159, 400, 8, 31, "Input"],
Cell[350900, 8169, 1092, 28, 72, "Input"],
Cell[351995, 8199, 1298, 29, 52, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[353330, 8233, 203, 3, 37, "Subsection"],
Cell[353536, 8238, 460, 11, 52, "Input"],
Cell[353999, 8251, 157, 4, 31, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[354193, 8260, 183, 2, 37, "Subsection"],
Cell[354379, 8264, 495, 11, 52, "Input"],
Cell[354877, 8277, 200, 3, 52, "Input"],
Cell[355080, 8282, 154, 2, 31, "Input"],
Cell[355237, 8286, 155, 2, 31, "Input"],
Cell[355395, 8290, 1143, 36, 51, "Input"],
Cell[356541, 8328, 209, 6, 51, "Input"],
Cell[356753, 8336, 108, 1, 30, "Text"],
Cell[356864, 8339, 438, 13, 52, "Input"],
Cell[357305, 8354, 131, 2, 31, "Input"],
Cell[357439, 8358, 231, 6, 31, "Input"],
Cell[357673, 8366, 385, 9, 31, "Input"],
Cell[358061, 8377, 412, 11, 52, "Input"],
Cell[358476, 8390, 1578, 47, 72, "Input"],
Cell[360057, 8439, 1223, 36, 72, "Input"],
Cell[361283, 8477, 282, 7, 31, "Input"],
Cell[361568, 8486, 375, 7, 31, "Input"],
Cell[361946, 8495, 208, 3, 52, "Input"],
Cell[362157, 8500, 396, 12, 31, "Input"],
Cell[362556, 8514, 1407, 36, 112, "Input"],
Cell[363966, 8552, 604, 17, 31, "Input"],
Cell[364573, 8571, 940, 25, 38, "Input"],
Cell[365516, 8598, 308, 9, 46, "Input"],
Cell[365827, 8609, 526, 12, 46, "Input"],
Cell[366356, 8623, 569, 14, 46, "Input"],
Cell[366928, 8639, 503, 13, 36, "Input"],
Cell[367434, 8654, 204, 5, 31, "Input"],
Cell[367641, 8661, 365, 8, 72, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[368043, 8674, 155, 2, 37, "Subsection"],
Cell[368201, 8678, 207, 3, 31, "Input"],
Cell[368411, 8683, 184, 3, 31, "Input"],
Cell[368598, 8688, 433, 16, 51, "Input"],
Cell[369034, 8706, 228, 9, 52, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[369299, 8720, 153, 2, 37, "Subsection"],
Cell[369455, 8724, 188, 3, 31, "Input"],
Cell[369646, 8729, 185, 3, 31, "Input"],
Cell[369834, 8734, 620, 17, 51, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[370491, 8756, 153, 2, 37, "Subsection"],
Cell[370647, 8760, 266, 5, 31, "Input"],
Cell[370916, 8767, 265, 5, 31, "Input"],
Cell[371184, 8774, 231, 4, 31, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[371452, 8783, 206, 3, 37, "Subsection"],
Cell[371661, 8788, 671, 19, 31, "Input"],
Cell[372335, 8809, 2748, 74, 132, "Input"],
Cell[375086, 8885, 4279, 115, 426, "Input"],
Cell[379368, 9002, 45, 0, 31, "Input"],
Cell[379416, 9004, 597, 15, 31, "Input"],
Cell[380016, 9021, 208, 5, 31, "Input"],
Cell[380227, 9028, 396, 8, 52, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[380660, 9041, 412, 5, 37, "Subsection"],
Cell[381075, 9048, 1259, 30, 52, "Input"],
Cell[382337, 9080, 194, 3, 31, "Input"],
Cell[CellGroupData[{
Cell[382556, 9087, 236, 3, 34, "Subsubsection"],
Cell[382795, 9092, 412, 10, 31, "Input"],
Cell[383210, 9104, 310, 8, 31, "Input"],
Cell[383523, 9114, 460, 10, 31, "Input"],
Cell[383986, 9126, 602, 12, 31, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[384625, 9143, 257, 3, 34, "Subsubsection"],
Cell[384885, 9148, 562, 12, 31, "Input"],
Cell[385450, 9162, 308, 8, 31, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[385795, 9175, 212, 3, 34, "Subsubsection"],
Cell[386010, 9180, 364, 9, 31, "Input"],
Cell[386377, 9191, 505, 11, 31, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[386919, 9207, 232, 3, 34, "Subsubsection"],
Cell[387154, 9212, 609, 14, 31, "Input"],
Cell[387766, 9228, 699, 15, 31, "Input"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[388514, 9249, 154, 2, 37, "Subsection"],
Cell[388671, 9253, 1900, 56, 115, "Input"],
Cell[390574, 9311, 380, 7, 31, "Input"],
Cell[390957, 9320, 283, 6, 31, "Input"],
Cell[391243, 9328, 375, 7, 31, "Input"],
Cell[391621, 9337, 1899, 46, 103, "Input"],
Cell[393523, 9385, 2204, 51, 109, "Input"],
Cell[395730, 9438, 310, 7, 31, "Input"],
Cell[396043, 9447, 566, 11, 52, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[396646, 9463, 160, 2, 37, "Subsection"],
Cell[396809, 9467, 1900, 56, 115, "Input"],
Cell[398712, 9525, 380, 7, 31, "Input"],
Cell[399095, 9534, 283, 6, 31, "Input"],
Cell[399381, 9542, 476, 9, 31, "Input"],
Cell[399860, 9553, 286, 7, 31, "Input"],
Cell[400149, 9562, 1899, 46, 80, "Input"],
Cell[402051, 9610, 182, 4, 31, "Input"],
Cell[402236, 9616, 2575, 61, 137, "Input"],
Cell[404814, 9679, 237, 5, 31, "Input"],
Cell[405054, 9686, 2576, 61, 137, "Input"],
Cell[407633, 9749, 566, 11, 52, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[408236, 9765, 160, 2, 37, "Subsection"],
Cell[408399, 9769, 1900, 56, 115, "Input"],
Cell[410302, 9827, 380, 7, 31, "Input"],
Cell[410685, 9836, 283, 6, 31, "Input"],
Cell[410971, 9844, 449, 8, 31, "Input"],
Cell[411423, 9854, 286, 7, 31, "Input"],
Cell[411712, 9863, 1899, 46, 80, "Input"],
Cell[413614, 9911, 351, 8, 52, "Input"],
Cell[413968, 9921, 199, 3, 52, "Input"],
Cell[414170, 9926, 2743, 65, 137, "Input"],
Cell[416916, 9993, 237, 5, 31, "Input"],
Cell[417156, 10000, 2738, 65, 137, "Input"],
Cell[419897, 10067, 1344, 36, 80, "Input"]
}, Closed]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
